/*! For license information please see main.js.LICENSE.txt */
(()=>{var t={1547:(t,n,r)=>{"use strict";r.d(n,{W:()=>a});const a=r(9392).iv`.output {
  margin-bottom: 8px;
}

.output-table {
  border-spacing: 0;
  width: 100%;
  --score-col-width: 80px;
}

.output-table thead {
  position: sticky;
  top: 0;

  background: #f5fcfc;
}

.output-table tr {
  text-align: left;
  vertical-align: initial;
}

.output-table tr > * {
  padding: 4px;
}

.output-table tbody th {
  vertical-align: top;
}

.candidate-row {
  display: flex;
  flex-direction: row;
  width: 100%;
  box-sizing: border-box;
  color: var(--lit-gray-800);
  font-family: 'Roboto', sans;

  padding: 0 2px; /* align with content row hpad */
}

.candidate-row > * {
  padding: 4px;
}

.field-name {
  width: 100px;
}

.model-score {
  margin-right: 8px;
  width: var(--score-col-width);
  min-width: var(--score-col-width);
}

.candidate-text {
  flex-grow: 1;
  white-space: pre-wrap;
}

.reference-score {
  margin-right: 8px;
  width: var(--score-col-width);
  min-width: var(--score-col-width);
}

/* use this style instead of .token-chip-label.selected */
.candidate-selected {
  border: 1px solid #80868b;
}

.highlighted-diff {
  color: #a93d00;
  font-weight: bold;
}

.highlighted-match {
  color: #129eaf;
  font-weight: bold;
}
`},5889:(t,n,r)=>{"use strict";r.d(n,{W:()=>a});const a=r(9392).iv`/**
 * Shared styles for all modules.
 */
:host {
  /* LIT Brand Palettes */
  --lit-cyea-50:  #EDFFFA;
  --lit-cyea-100: #CDF2FA;
  --lit-cyea-200: #AFE6DE;
  --lit-cyea-300: #7BCCCC;
  --lit-cyea-400: #52A6B3;
  --lit-cyea-500: #348199;
  --lit-cyea-600: #1F6180;
  --lit-cyea-700: #114566;
  --lit-cyea-800: #092F4D;
  --lit-cyea-900: #041D33;

  --lit-mage-50:  #FFF5F7;
  --lit-mage-100: #FEEAEF;
  --lit-mage-200: #FED5E0;
  --lit-mage-300: #F9A9C0;
  --lit-mage-400: #EF7CA1;
  --lit-mage-500: #E25287;
  --lit-mage-600: #CE2F75;
  --lit-mage-700: #B7166A;
  --lit-mage-800: #800060;
  --lit-mage-900: #470046;

  --lit-bric-50:  #FDF8EA;
  --lit-bric-100: #F9F1DC;
  --lit-bric-200: #EFD9AB;
  --lit-bric-300: #E4BC78;
  --lit-bric-400: #D59441;
  --lit-bric-500: #C26412;
  --lit-bric-600: #A93D00;
  --lit-bric-700: #8B2100;
  --lit-bric-800: #6A0C00;
  --lit-bric-900: #470000;

  --lit-neutral-50:  #F8F9FA;
  --lit-neutral-100: #F1F3F4;
  --lit-neutral-200: #E8EAED;
  --lit-neutral-300: #DADCE0;
  --lit-neutral-400: #BDC1C6;
  --lit-neutral-500: #9AA0A6;
  --lit-neutral-600: #80868B;
  --lit-neutral-700: #5F6368;
  --lit-neutral-800: #3C4043;
  --lit-neutral-900: #202124;

  /* LIT Major Tonal Palettes */
  --lit-majtonal-p-50:  #EEFBF8;
  --lit-majtonal-p-100: #D8F2ED;
  --lit-majtonal-p-200: #C0E7E3;
  --lit-majtonal-p-300: #A1D2D4;
  --lit-majtonal-p-400: #72AEB9;
  --lit-majtonal-p-500: #48879C;
  --lit-majtonal-p-600: #326882;
  --lit-majtonal-p-700: #284E67;
  --lit-majtonal-p-800: #1D3649;
  --lit-majtonal-p-900: #142838;

  --lit-majtonal-s-50:  #FFF5F7;
  --lit-majtonal-s-100: #FAEDF0;
  --lit-majtonal-s-200: #F7DBE4;
  --lit-majtonal-s-300: #EDBDCD;
  --lit-majtonal-s-400: #E091AC;
  --lit-majtonal-s-500: #CC6990;
  --lit-majtonal-s-600: #BE4079;
  --lit-majtonal-s-700: #9D2D69;
  --lit-majtonal-s-800: #651A54;
  --lit-majtonal-s-900: #3B0A3C;

  --lit-majtonal-t-50:  #FCF8EF;
  --lit-majtonal-t-100: #F9F7ED;
  --lit-majtonal-t-200: #EDDEBF;
  --lit-majtonal-t-300: #E0C9A2;
  --lit-majtonal-t-400: #CEA269;
  --lit-majtonal-t-500: #B6763E;
  --lit-majtonal-t-600: #A14C1C;
  --lit-majtonal-t-700: #7E351F;
  --lit-majtonal-t-800: #58211B;
  --lit-majtonal-t-900: #3B0A0B;

  --lit-majtonal-nv-50:  #F0F7F7;
  --lit-majtonal-nv-100: #EBF3F2;
  --lit-majtonal-nv-200: #E3ECED;
  --lit-majtonal-nv-300: #CCD9DD;
  --lit-majtonal-nv-400: #B5C6CA;
  --lit-majtonal-nv-500: #9CAFB4;
  --lit-majtonal-nv-600: #72868F;
  --lit-majtonal-nv-700: #596C75;
  --lit-majtonal-nv-800: #3F5259;
  --lit-majtonal-nv-900: #222C35;

  /* LIT Minor Tonal Palettes */
  --lit-mintonal-p-1: #F5F9FA;
  --lit-mintonal-p-2: #EFF5F7;
  --lit-mintonal-p-3: #E9F1F4;
  --lit-mintonal-p-4: #E7F0F3;
  --lit-mintonal-p-5: #E3EDF1;

  --lit-mintonal-s-1: #F9F2F7;
  --lit-mintonal-s-2: #F5EBF2;
  --lit-mintonal-s-3: #F1E3EE;
  --lit-mintonal-s-4: #F0E0EC;
  --lit-mintonal-s-5: #EDDBE9;

  --lit-mintonal-t-1: #FAF4F3;
  --lit-mintonal-t-2: #F6EDEB;
  --lit-mintonal-t-3: #F2E7E3;
  --lit-mintonal-t-4: #F3E4E1;
  --lit-mintonal-t-5: #EFE0DB;

  /* Google Red, Exclusively for Errors */
  --google-red-50: #FCE8E6;
  --google-red-500: #EA4335;
  --google-red-600: #D93025;
  --google-red-700: #C5221F;

  /* Viz Colors */
  --viz-color-orange-1: #FFD8C3;
  --viz-color-orange-2: #F0BD80;
  --viz-color-orange-3: #FF9230;
  --viz-color-orange-4: #BA4A0D;

  --viz-color-blue-1: #87CDF9;
  --viz-color-blue-2: #61AFF7;
  --viz-color-blue-3: #3C7DBF;
  --viz-color-blue-4: #184889;

  --viz-color-yellow-1: #FAF49F;
  --viz-color-yellow-2: #FFE839;
  --viz-color-yellow-3: #FFC700;
  --viz-color-yellow-4: #848014;

  --viz-color-purple-1: #CDC5FF;
  --viz-color-purple-2: #9B86EF;
  --viz-color-purple-3: #7647EA;
  --viz-color-purple-4: #270085;

  --viz-color-coral-1: #F6AEA9;
  --viz-color-coral-2: #FF777B;
  --viz-color-coral-3: #FC4F61;
  --viz-color-coral-4: #B12D33;

  --viz-color-teal-1: #BDF4E7;
  --viz-color-teal-2: #7DDAD3;
  --viz-color-teal-3: #1F978A;
  --viz-color-teal-4: #006067;

  --viz-color-magenta-1: #EDC4E6;
  --viz-color-magenta-2: #EF96CD;
  --viz-color-magenta-3: #B22A72;
  --viz-color-magenta-4: #632440;

  --viz-color-grey-1: #DADCE0;
  --viz-color-grey-2: #B5BCC3;
  --viz-color-grey-3: #879695;
  --viz-color-grey-4: #515050;

  /* Compatibility Aliases */
  --lit-gray-700: var(--lit-neutral-700);
  --lit-gray-800: var(--lit-neutral-700);
  /* For field names, etc. like preds (MulticlassPreds) */
  --lit-bold-label-color: var(--lit-majtonal-nv-800);
  --lit-light-label-color: var(--lit-majtonal-nv-600);

  --lit-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, .14),
                    0 3px 1px -2px rgba(0, 0, 0, .2),
                    0 1px 5px 0 rgba(0, 0, 0, .12);
}

button {
  width: fit-content;
  max-height: 100%;
  background: white;
  pointer-events: auto;
  cursor: pointer;
  border: 1px solid darkgrey;
  margin: 5px;
  text-align: center;
  padding: 5px 10px;
  font-size: 13px;
  border-radius: 3px;
  justify-content: center;
  align-items: center;
  display: flex;
}

button.accent {
  background: rgb(47, 140, 155);
  border: none;
  color: white;
}

button.accent:hover {
  background: rgb(33, 98, 108);
}


button:hover {
  background: #faf49f;
}

button:disabled {
  background: darkgrey;
  color: lightgrey;
  pointer-events: none;
  cursor: auto;
}

.dropdown-label {
  font-family: Roboto;
  font-style: normal;
  font-weight: 500;
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.3px;
  color: var(--lit-neutral-800);
}

.dropdown {
  outline: none;
  border: none;
  border-bottom: 1px solid var(--lit-neutral-400);
  appearance: none;
  -webkit-appearance: none;
  padding: 4px 18px 3px 4px;
  margin:  2px  8px 2px 0;
  color: var(--lit-neutral-800);
  background-color: transparent;
  /* SVG background-image sets fill: var(--lit-neutral-800) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%233C4043%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-size: .65em auto, 100%;
  background-position: top 50% right 5.5px;
  background-repeat: no-repeat;
}

.dropdown:hover {
  background-color: var(--lit-mintonal-p-3);
  cursor: pointer;
}

.dropdown:active {
  color: var(--lit-cyea-600);
  /* SVG background-image sets fill: var(--lit-cyea-600) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%231F6180%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
  background-color: var(--lit-mintonal-p-1);
}

.dropdown:disabled {
  color: var(--lit-neutral-400);
  /* SVG background-image sets fill: var(--lit-neutral-200) as HEX value */
  background-image: url('data:image/svg+xml;charset=US-ASCII,%3Csvg%20xmlns%3D%22http%3A%2F%2Fwww.w3.org%2F2000%2Fsvg%22%20width%3D%22292.4%22%20height%3D%22292.4%22%3E%3Cpath%20fill%3D%22%23E8EAED%22%20d%3D%22M287%2069.4a17.6%2017.6%200%200%200-13-5.4H18.4c-5%200-9.3%201.8-12.9%205.4A17.6%2017.6%200%200%200%200%2082.2c0%205%201.8%209.3%205.4%2012.9l128%20127.9c3.6%203.6%207.8%205.4%2012.8%205.4s9.2-1.8%2012.8-5.4L287%2095c3.5-3.5%205.4-7.8%205.4-12.8%200-5-1.9-9.2-5.5-12.8z%22%2F%3E%3C%2Fsvg%3E');
}

.dropdown.borderless { /* Not currently in use but available */
  border: none;
}

.dropdown.hairline { /* Not currently in use but likely will be in AppToolbar */
  border: 1px solid var(--lit-neutral-400);
  border-radius: 4px;
  padding: 4px 16px 4px 5px;
}

.dropdown.hairline:disabled {
  border: 1px solid var(--lit-neutral-200);
  border-radius: 4px;
}

.monospace {
  font-family: 'Share Tech Mono', monospace;
}

/* Field name headings, for use in module content. */
.field-title {
  font-size: 14px;
}

/* Smaller field name headings, as in the data table. */
.field-name {
  font-weight: bold;
  color: var(--lit-bold-label-color);
}

mwc-textfield {
  --mdc-theme-primary: #2f8c9b;
}

/* For in-line icons in a <span> */
.material-icon {
  font-family: 'Material Icons';
  vertical-align: middle;
  margin: 0;
}

.material-icon-outlined {
  font-family: 'Material Icons Outlined';
  vertical-align: middle;
  margin: 0;
}

/* Token chips */
.token-chip-function {
  color: #5f6368;
  font-family: 'Roboto';
  background: #f8f9fa;
  border-radius: 2px;
  border: 1px solid transparent; /* for spacing */
  padding: 2px;
  width: fit-content;
}

.token-chip-function.selected {
  border: 1px solid #80868b;
}

.token-chip-function:hover {
  background: #e8eaed;
}

.token-chip-label {
  color: #3c4043;
  font-family: 'Roboto Mono', monospace;
  border: 1px solid transparent; /* for spacing */
  border-radius: 2px;
  padding: 2px;
  width: fit-content;
}

.token-chip-label.selected {
  color: #098591;
  border-color: #098591;
}

.token-chip-label:not(:only-child):hover {
  background: #e4f7fb;
}

.token-chip-generated {
  color: #8430ce;
  font-family: 'Roboto';
  background: #f3e8fd;
  border: 1px solid transparent; /* for spacing */
  border-radius: 2px;
  padding: 2px;
  width: fit-content;
}

.token-chip-generated.selected {
  border-color: #a142f4;
}

.token-chip-generated:hover {
  background: #e9d2fd;
}

.filled-button,
.hairline-button {
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 13px;
  line-height: 20px;
  letter-spacing: 0.3px;
  padding: 0 12px;
  margin: 0 4px;
  border-radius: 4px;
}

.filled-button.xl,
.hairline-button.xl {
  font-size: 14px;
  line-height: 24px;
}

.filled-button .material-icon:first-child,
.hairline-button .material-icon:first-child {
  margin-right: 4px;
}

/**
 * Design Spec Deviation -- No button:focus states
 *
 * A decision was made to remove the :focus style from LIT buttons until a
 * complete accessibility audit is completed.
 */

.filled-button {
  background: var(--lit-majtonal-p-500);
  border: 1px solid var(--lit-majtonal-p-500);
  color: white;
}

.filled-button:active {
  background: var(--lit-majtonal-p-700);
  border: 1px solid var(--lit-majtonal-p-700);
}

.filled-button:hover {
  background: var(--lit-majtonal-p-600);
  border: 1px solid var(--lit-majtonal-p-600);
}

.filled-button:disabled {
  background: var(--lit-neutral-100);
  border: 1px solid var(--lit-neutral-100);
  color: var(--lit-neutral-400);
}

.hairline-button {
  background: transparent;
  border: 1px solid var(--lit-neutral-400);
  color: var(--lit-cyea-600);
}

.hairline-button:hover {
  background-color: var(--lit-mintonal-p-3);
  border: 1px solid var(--lit-neutral-400);
  color: var(--lit-cyea-600);
}

.hairline-button:disabled {
  color: var(--lit-neutral-400);
  background: rgba(255, 255, 255, 0.8);
  border: 1px solid var(--lit-neutral-200);
}

.hairline-button:active,
.hairline-button.active {
  background-color: var(--lit-mintonal-p-4);
  border: 1px solid var(--lit-cyea-500);
  color: var(--lit-cyea-500);
}

.pin-icon {
  height: 14px;
  width: 14px;
  min-width: 14px;
  --mdc-icon-size: 14px;
  user-select: none;
  color: var(--lit-cyea-500);
  margin-right: 2px;
}

.icon-button.cyea {
  color: var(--lit-cyea-500);
}

.icon {
  height: 16px;
  width: 16px;
  min-width: 16px;
  --mdc-icon-size: 16px;
  user-select: none;
  color: var(--lit-neutral-700);
}

/**
 * For standalone MWC icons as buttons. We don't use mwc-icon-button because it
 * adds a large backdrop and extra whitespace.
 */
.icon-button {
  height: 16px;
  width: 16px;
  min-width: 16px;
  --mdc-icon-size: 16px;
  cursor: pointer;
  user-select: none;
  color: var(--lit-neutral-700);
}

.icon-button:hover {
  color: var(--lit-neutral-500);
}

.icon-button:disabled,
mwc-icon.disabled{
  pointer-events: none;
  cursor: default;
  color: var(--lit-neutral-200);
}

.icon-button:active {
  color: var(--lit-neutral-900);
}

mwc-icon.mdi-outlined {
  --mdc-icon-font: "Material Icons Outlined";
}

.span-outlined {
  font-family: "Material Icons Outlined";
}

.icon-button.large-icon {
  height: 20px;
  width: 20px;
  min-width: 20px;
  --mdc-icon-size: 20px;
  padding: 0x 2px 0px 2px;
}

.icon-button.white-icon {
  color: var(--lit-neutral-100);
}

.icon-button.white-icon:hover {
  color: var(--lit-neutral-400);
}

.icon-button.cyea-icon {
  color: var(--lit-cyea-800);
}

.icon-button.cyea-icon:hover {
  color: var(--lit-cyea-600);
}

.large-help-icon{
  position: relative;
  height: 14px;
  width: 14px;
  min-width: 14px;
  --mdc-icon-size: 14px;
  margin: auto;
}

.help-icon{
  cursor: pointer;
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-size: 12px;
}

/**
 * Main container to use inside modules.
 * If this contains a .module-toolbar and a .module-results-area,
 * the results area will scroll while the toolbar remains at the top.
 */
.module-container {
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  height: 100%;
}

/* Toolbar container for module controls. */
.module-toolbar {
  align-items: center;
  display: flex;
  flex-flow: row wrap;
  min-height: 36px;
  box-sizing: border-box;
  padding: 0 4px;
}

.module-toolbar > * {
  margin: 0px 4px;
}

.module-results-area {
  flex: 1;
  overflow-y: auto;
}

.module-content {
  box-sizing: border-box;
  flex-grow: 1;
  flex-shrink: 1;
}

.module-footer {
  align-items: center;
  border-top: 1px solid var(--viz-color-grey-1);
  box-sizing: border-box;
  display: flex;
  flex-direction: row;
  flex-grow: 0;
  flex-shrink: 0;
  justify-content: space-between;
  height: 36px;
  padding: 0 8px;
}

/** Status text in a module footer. **/
.module-status {
  color: var(--lit-neutral-800);
  font-style: italic;
  font-weight: normal;
  margin: 0 0.5em;
}

/**
 * Spacer div: insert this before content if you want a module without a
 * subtitle to align horizontally to one that does have one.
 * Used in span graph and annotated text modules, where the gold preds don't
 * have a subtitle for the model name.
 */
.offset-for-module-header {
  height: 0;
  margin-top: 24px; /* match .header height from widget.css */
}

mwc-icon.outlined {
  --mdc-icon-font: "Material Icons Outlined";
}

/* TODO(b/254783802): consolidate this with <popup-container> */
.popup-container {
  background: white;
  border: 1px solid var(--lit-neutral-600);
  box-shadow: var(--lit-box-shadow);
}

.nowrap {
  white-space: nowrap;
}
`},7924:(t,n,r)=>{"use strict";r.d(n,{G:()=>MobxLitElement});const a=Symbol("LitMobxRenderReaction"),s=Symbol("LitMobxRequestUpdate");var l=r(8949);function d(t){return function(t,n){var r,l;return l=class MobxReactingElement extends t{constructor(){super(...arguments),this[r]=()=>{this.requestUpdate()}}connectedCallback(){super.connectedCallback();const t=this.constructor.name||this.nodeName;this[a]=new n(`${t}.update()`,this[s]),this.hasUpdated&&this.requestUpdate()}disconnectedCallback(){super.disconnectedCallback(),this[a]&&(this[a].dispose(),this[a]=void 0)}update(t){this[a]?this[a].track(super.update.bind(this,t)):super.update(t)}},r=s,l}(t,l.le)}var h=r(9392);class MobxLitElement extends(d(h.oi)){}},6308:(t,n,r)=>{"use strict";r.d(n,{K:()=>a});var a=function(){function t(t){void 0===t&&(t={}),this.adapter=t}return Object.defineProperty(t,"cssClasses",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"strings",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"numbers",{get:function(){return{}},enumerable:!1,configurable:!0}),Object.defineProperty(t,"defaultAdapter",{get:function(){return{}},enumerable:!1,configurable:!0}),t.prototype.init=function(){},t.prototype.destroy=function(){},t}()},6036:(t,n,r)=>{"use strict";function a(t,n,r){if(void 0!==n)return function(t,n,r){const a=t.constructor;if(!r){const t=`__${n}`;if(!(r=a.getPropertyDescriptor(n,t)))throw new Error("@ariaProperty must be used after a @property decorator")}const s=r;let l="";if(!s.set)throw new Error(`@ariaProperty requires a setter for ${n}`);if(t.dispatchWizEvent)return r;const d={configurable:!0,enumerable:!0,set(t){if(""===l){const t=a.getPropertyOptions(n);l="string"==typeof t.attribute?t.attribute:n}this.hasAttribute(l)&&this.removeAttribute(l),s.set.call(this,t)}};return s.get&&(d.get=function(){return s.get.call(this)}),d}(t,n,r);throw new Error("@ariaProperty only supports TypeScript Decorators")}r.d(n,{L:()=>a})},7392:(t,n,r)=>{"use strict";r.d(n,{H:()=>BaseElement,q:()=>s.qN});var a=r(9392),s=r(5610);class BaseElement extends a.oi{click(){if(this.mdcRoot)return this.mdcRoot.focus(),void this.mdcRoot.click();super.click()}createFoundation(){void 0!==this.mdcFoundation&&this.mdcFoundation.destroy(),this.mdcFoundationClass&&(this.mdcFoundation=new this.mdcFoundationClass(this.createAdapter()),this.mdcFoundation.init())}firstUpdated(){this.createFoundation()}}},339:(t,n,r)=>{"use strict";r.d(n,{Wg:()=>FormElement,qN:()=>h.q});var a,s,l=r(7582),d=r(5595),h=r(7392);const p=null!==(s=null===(a=window.ShadyDOM)||void 0===a?void 0:a.inUse)&&void 0!==s&&s;class FormElement extends h.H{constructor(){super(...arguments),this.disabled=!1,this.containingForm=null,this.formDataListener=t=>{this.disabled||this.setFormData(t.formData)}}findFormElement(){if(!this.shadowRoot||p)return null;const t=this.getRootNode().querySelectorAll("form");for(const n of Array.from(t))if(n.contains(this))return n;return null}connectedCallback(){var t;super.connectedCallback(),this.containingForm=this.findFormElement(),null===(t=this.containingForm)||void 0===t||t.addEventListener("formdata",this.formDataListener)}disconnectedCallback(){var t;super.disconnectedCallback(),null===(t=this.containingForm)||void 0===t||t.removeEventListener("formdata",this.formDataListener),this.containingForm=null}click(){this.formElement&&!this.disabled&&(this.formElement.focus(),this.formElement.click())}firstUpdated(){super.firstUpdated(),this.shadowRoot&&this.mdcRoot.addEventListener("change",(t=>{this.dispatchEvent(new Event("change",t))}))}}FormElement.shadowRootOptions={mode:"open",delegatesFocus:!0},(0,l.gn)([(0,d.Cb)({type:Boolean})],FormElement.prototype,"disabled",void 0)},6551:(t,n,r)=>{"use strict";r.d(n,{P:()=>a});const a=t=>(n,r)=>{if(n.constructor._observers){if(!n.constructor.hasOwnProperty("_observers")){const t=n.constructor._observers;n.constructor._observers=new Map,t.forEach(((t,r)=>n.constructor._observers.set(r,t)))}}else{n.constructor._observers=new Map;const t=n.updated;n.updated=function(n){t.call(this,n),n.forEach(((t,n)=>{const r=this.constructor._observers.get(n);void 0!==r&&r.call(this,this[n],t)}))}}n.constructor._observers.set(r,t)}},5610:(t,n,r)=>{"use strict";r.d(n,{Mh:()=>p,OE:()=>a,WU:()=>f,qN:()=>s});const a=t=>t.nodeType===Node.ELEMENT_NODE;function s(t){return{addClass:n=>{t.classList.add(n)},removeClass:n=>{t.classList.remove(n)},hasClass:n=>t.classList.contains(n)}}let l=!1;const d=()=>{},h={get passive(){return l=!0,!1}};document.addEventListener("x",d,h),document.removeEventListener("x",d);const p=(t=window.document)=>{let n=t.activeElement;const r=[];if(!n)return r;for(;n&&(r.push(n),n.shadowRoot);)n=n.shadowRoot.activeElement;return r},f=t=>{const n=p();if(!n.length)return!1;const r=n[n.length-1],a=new Event("check-if-focused",{bubbles:!0,composed:!0});let s=[];const l=t=>{s=t.composedPath()};return document.body.addEventListener("check-if-focused",l),r.dispatchEvent(a),document.body.removeEventListener("check-if-focused",l),-1!==s.indexOf(t)}},1239:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595);const d=s.iv`:host{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}`;let h=class Icon extends s.oi{render(){return s.dy`<span><slot></slot></span>`}};h.styles=[d],h=(0,a.gn)([(0,l.Mo)("mwc-icon")],h)},2380:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595);function l(t,n){return(t.matches||t.webkitMatchesSelector||t.msMatchesSelector).call(t,n)}var d=r(7392),h=r(6308),p={BG_FOCUSED:"mdc-ripple-upgraded--background-focused",FG_ACTIVATION:"mdc-ripple-upgraded--foreground-activation",FG_DEACTIVATION:"mdc-ripple-upgraded--foreground-deactivation",ROOT:"mdc-ripple-upgraded",UNBOUNDED:"mdc-ripple-upgraded--unbounded"},f={VAR_FG_SCALE:"--mdc-ripple-fg-scale",VAR_FG_SIZE:"--mdc-ripple-fg-size",VAR_FG_TRANSLATE_END:"--mdc-ripple-fg-translate-end",VAR_FG_TRANSLATE_START:"--mdc-ripple-fg-translate-start",VAR_LEFT:"--mdc-ripple-left",VAR_TOP:"--mdc-ripple-top"},m={DEACTIVATION_TIMEOUT_MS:225,FG_DEACTIVATION_MS:150,INITIAL_ORIGIN_SCALE:.6,PADDING:10,TAP_DELAY_MS:300};var g=["touchstart","pointerdown","mousedown","keydown"],v=["touchend","pointerup","mouseup","contextmenu"],y=[];const b=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.activationAnimationHasEnded=!1,s.activationTimer=0,s.fgDeactivationRemovalTimer=0,s.fgScale="0",s.frame={width:0,height:0},s.initialSize=0,s.layoutFrame=0,s.maxRadius=0,s.unboundedCoords={left:0,top:0},s.activationState=s.defaultActivationState(),s.activationTimerCallback=function(){s.activationAnimationHasEnded=!0,s.runDeactivationUXLogicIfReady()},s.activateHandler=function(t){s.activateImpl(t)},s.deactivateHandler=function(){s.deactivateImpl()},s.focusHandler=function(){s.handleFocus()},s.blurHandler=function(){s.handleBlur()},s.resizeHandler=function(){s.layout()},s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return p},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return f},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return m},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},browserSupportsCssVars:function(){return!0},computeBoundingRect:function(){return{top:0,right:0,bottom:0,left:0,width:0,height:0}},containsEventTarget:function(){return!0},deregisterDocumentInteractionHandler:function(){},deregisterInteractionHandler:function(){},deregisterResizeHandler:function(){},getWindowPageOffset:function(){return{x:0,y:0}},isSurfaceActive:function(){return!0},isSurfaceDisabled:function(){return!0},isUnbounded:function(){return!0},registerDocumentInteractionHandler:function(){},registerInteractionHandler:function(){},registerResizeHandler:function(){},removeClass:function(){},updateCssVariable:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t=this,r=this.supportsPressRipple();if(this.registerRootHandlers(r),r){var a=n.cssClasses,s=a.ROOT,l=a.UNBOUNDED;requestAnimationFrame((function(){t.adapter.addClass(s),t.adapter.isUnbounded()&&(t.adapter.addClass(l),t.layoutInternal())}))}},n.prototype.destroy=function(){var t=this;if(this.supportsPressRipple()){this.activationTimer&&(clearTimeout(this.activationTimer),this.activationTimer=0,this.adapter.removeClass(n.cssClasses.FG_ACTIVATION)),this.fgDeactivationRemovalTimer&&(clearTimeout(this.fgDeactivationRemovalTimer),this.fgDeactivationRemovalTimer=0,this.adapter.removeClass(n.cssClasses.FG_DEACTIVATION));var r=n.cssClasses,a=r.ROOT,s=r.UNBOUNDED;requestAnimationFrame((function(){t.adapter.removeClass(a),t.adapter.removeClass(s),t.removeCssVars()}))}this.deregisterRootHandlers(),this.deregisterDeactivationHandlers()},n.prototype.activate=function(t){this.activateImpl(t)},n.prototype.deactivate=function(){this.deactivateImpl()},n.prototype.layout=function(){var t=this;this.layoutFrame&&cancelAnimationFrame(this.layoutFrame),this.layoutFrame=requestAnimationFrame((function(){t.layoutInternal(),t.layoutFrame=0}))},n.prototype.setUnbounded=function(t){var r=n.cssClasses.UNBOUNDED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.handleFocus=function(){var t=this;requestAnimationFrame((function(){return t.adapter.addClass(n.cssClasses.BG_FOCUSED)}))},n.prototype.handleBlur=function(){var t=this;requestAnimationFrame((function(){return t.adapter.removeClass(n.cssClasses.BG_FOCUSED)}))},n.prototype.supportsPressRipple=function(){return this.adapter.browserSupportsCssVars()},n.prototype.defaultActivationState=function(){return{activationEvent:void 0,hasDeactivationUXRun:!1,isActivated:!1,isProgrammatic:!1,wasActivatedByPointer:!1,wasElementMadeActive:!1}},n.prototype.registerRootHandlers=function(t){var n,r;if(t){try{for(var s=(0,a.XA)(g),l=s.next();!l.done;l=s.next()){var d=l.value;this.adapter.registerInteractionHandler(d,this.activateHandler)}}catch(t){n={error:t}}finally{try{l&&!l.done&&(r=s.return)&&r.call(s)}finally{if(n)throw n.error}}this.adapter.isUnbounded()&&this.adapter.registerResizeHandler(this.resizeHandler)}this.adapter.registerInteractionHandler("focus",this.focusHandler),this.adapter.registerInteractionHandler("blur",this.blurHandler)},n.prototype.registerDeactivationHandlers=function(t){var n,r;if("keydown"===t.type)this.adapter.registerInteractionHandler("keyup",this.deactivateHandler);else try{for(var s=(0,a.XA)(v),l=s.next();!l.done;l=s.next()){var d=l.value;this.adapter.registerDocumentInteractionHandler(d,this.deactivateHandler)}}catch(t){n={error:t}}finally{try{l&&!l.done&&(r=s.return)&&r.call(s)}finally{if(n)throw n.error}}},n.prototype.deregisterRootHandlers=function(){var t,n;try{for(var r=(0,a.XA)(g),s=r.next();!s.done;s=r.next()){var l=s.value;this.adapter.deregisterInteractionHandler(l,this.activateHandler)}}catch(n){t={error:n}}finally{try{s&&!s.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.adapter.deregisterInteractionHandler("focus",this.focusHandler),this.adapter.deregisterInteractionHandler("blur",this.blurHandler),this.adapter.isUnbounded()&&this.adapter.deregisterResizeHandler(this.resizeHandler)},n.prototype.deregisterDeactivationHandlers=function(){var t,n;this.adapter.deregisterInteractionHandler("keyup",this.deactivateHandler);try{for(var r=(0,a.XA)(v),s=r.next();!s.done;s=r.next()){var l=s.value;this.adapter.deregisterDocumentInteractionHandler(l,this.deactivateHandler)}}catch(n){t={error:n}}finally{try{s&&!s.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}},n.prototype.removeCssVars=function(){var t=this,r=n.strings;Object.keys(r).forEach((function(n){0===n.indexOf("VAR_")&&t.adapter.updateCssVariable(r[n],null)}))},n.prototype.activateImpl=function(t){var n=this;if(!this.adapter.isSurfaceDisabled()){var r=this.activationState;if(!r.isActivated){var a=this.previousActivationEvent;if(!(a&&void 0!==t&&a.type!==t.type))r.isActivated=!0,r.isProgrammatic=void 0===t,r.activationEvent=t,r.wasActivatedByPointer=!r.isProgrammatic&&(void 0!==t&&("mousedown"===t.type||"touchstart"===t.type||"pointerdown"===t.type)),void 0!==t&&y.length>0&&y.some((function(t){return n.adapter.containsEventTarget(t)}))?this.resetActivationState():(void 0!==t&&(y.push(t.target),this.registerDeactivationHandlers(t)),r.wasElementMadeActive=this.checkElementMadeActive(t),r.wasElementMadeActive&&this.animateActivation(),requestAnimationFrame((function(){y=[],r.wasElementMadeActive||void 0===t||" "!==t.key&&32!==t.keyCode||(r.wasElementMadeActive=n.checkElementMadeActive(t),r.wasElementMadeActive&&n.animateActivation()),r.wasElementMadeActive||(n.activationState=n.defaultActivationState())})))}}},n.prototype.checkElementMadeActive=function(t){return void 0===t||"keydown"!==t.type||this.adapter.isSurfaceActive()},n.prototype.animateActivation=function(){var t=this,r=n.strings,a=r.VAR_FG_TRANSLATE_START,s=r.VAR_FG_TRANSLATE_END,l=n.cssClasses,d=l.FG_DEACTIVATION,h=l.FG_ACTIVATION,p=n.numbers.DEACTIVATION_TIMEOUT_MS;this.layoutInternal();var f="",m="";if(!this.adapter.isUnbounded()){var g=this.getFgTranslationCoordinates(),v=g.startPoint,y=g.endPoint;f=v.x+"px, "+v.y+"px",m=y.x+"px, "+y.y+"px"}this.adapter.updateCssVariable(a,f),this.adapter.updateCssVariable(s,m),clearTimeout(this.activationTimer),clearTimeout(this.fgDeactivationRemovalTimer),this.rmBoundedActivationClasses(),this.adapter.removeClass(d),this.adapter.computeBoundingRect(),this.adapter.addClass(h),this.activationTimer=setTimeout((function(){t.activationTimerCallback()}),p)},n.prototype.getFgTranslationCoordinates=function(){var t,n=this.activationState,r=n.activationEvent;return{startPoint:t={x:(t=n.wasActivatedByPointer?function(t,n,r){if(!t)return{x:0,y:0};var a,s,l=n.x,d=n.y,h=l+r.left,p=d+r.top;if("touchstart"===t.type){var f=t;a=f.changedTouches[0].pageX-h,s=f.changedTouches[0].pageY-p}else{var m=t;a=m.pageX-h,s=m.pageY-p}return{x:a,y:s}}(r,this.adapter.getWindowPageOffset(),this.adapter.computeBoundingRect()):{x:this.frame.width/2,y:this.frame.height/2}).x-this.initialSize/2,y:t.y-this.initialSize/2},endPoint:{x:this.frame.width/2-this.initialSize/2,y:this.frame.height/2-this.initialSize/2}}},n.prototype.runDeactivationUXLogicIfReady=function(){var t=this,r=n.cssClasses.FG_DEACTIVATION,a=this.activationState,s=a.hasDeactivationUXRun,l=a.isActivated;(s||!l)&&this.activationAnimationHasEnded&&(this.rmBoundedActivationClasses(),this.adapter.addClass(r),this.fgDeactivationRemovalTimer=setTimeout((function(){t.adapter.removeClass(r)}),m.FG_DEACTIVATION_MS))},n.prototype.rmBoundedActivationClasses=function(){var t=n.cssClasses.FG_ACTIVATION;this.adapter.removeClass(t),this.activationAnimationHasEnded=!1,this.adapter.computeBoundingRect()},n.prototype.resetActivationState=function(){var t=this;this.previousActivationEvent=this.activationState.activationEvent,this.activationState=this.defaultActivationState(),setTimeout((function(){return t.previousActivationEvent=void 0}),n.numbers.TAP_DELAY_MS)},n.prototype.deactivateImpl=function(){var t=this,n=this.activationState;if(n.isActivated){var r=(0,a.pi)({},n);n.isProgrammatic?(requestAnimationFrame((function(){t.animateDeactivation(r)})),this.resetActivationState()):(this.deregisterDeactivationHandlers(),requestAnimationFrame((function(){t.activationState.hasDeactivationUXRun=!0,t.animateDeactivation(r),t.resetActivationState()})))}},n.prototype.animateDeactivation=function(t){var n=t.wasActivatedByPointer,r=t.wasElementMadeActive;(n||r)&&this.runDeactivationUXLogicIfReady()},n.prototype.layoutInternal=function(){var t=this;this.frame=this.adapter.computeBoundingRect();var r=Math.max(this.frame.height,this.frame.width);this.maxRadius=this.adapter.isUnbounded()?r:Math.sqrt(Math.pow(t.frame.width,2)+Math.pow(t.frame.height,2))+n.numbers.PADDING;var a=Math.floor(r*n.numbers.INITIAL_ORIGIN_SCALE);this.adapter.isUnbounded()&&a%2!=0?this.initialSize=a-1:this.initialSize=a,this.fgScale=""+this.maxRadius/this.initialSize,this.updateLayoutCssVars()},n.prototype.updateLayoutCssVars=function(){var t=n.strings,r=t.VAR_FG_SIZE,a=t.VAR_LEFT,s=t.VAR_TOP,l=t.VAR_FG_SCALE;this.adapter.updateCssVariable(r,this.initialSize+"px"),this.adapter.updateCssVariable(l,this.fgScale),this.adapter.isUnbounded()&&(this.unboundedCoords={left:Math.round(this.frame.width/2-this.initialSize/2),top:Math.round(this.frame.height/2-this.initialSize/2)},this.adapter.updateCssVariable(a,this.unboundedCoords.left+"px"),this.adapter.updateCssVariable(s,this.unboundedCoords.top+"px"))},n}(h.K);var x=r(9392),w=r(9455),S=r(3959);class RippleBase extends d.H{constructor(){super(...arguments),this.primary=!1,this.accent=!1,this.unbounded=!1,this.disabled=!1,this.activated=!1,this.selected=!1,this.internalUseStateLayerCustomProperties=!1,this.hovering=!1,this.bgFocused=!1,this.fgActivation=!1,this.fgDeactivation=!1,this.fgScale="",this.fgSize="",this.translateStart="",this.translateEnd="",this.leftPos="",this.topPos="",this.mdcFoundationClass=b}get isActive(){return l(this.parentElement||this,":active")}createAdapter(){return{browserSupportsCssVars:()=>!0,isUnbounded:()=>this.unbounded,isSurfaceActive:()=>this.isActive,isSurfaceDisabled:()=>this.disabled,addClass:t=>{switch(t){case"mdc-ripple-upgraded--background-focused":this.bgFocused=!0;break;case"mdc-ripple-upgraded--foreground-activation":this.fgActivation=!0;break;case"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation=!0}},removeClass:t=>{switch(t){case"mdc-ripple-upgraded--background-focused":this.bgFocused=!1;break;case"mdc-ripple-upgraded--foreground-activation":this.fgActivation=!1;break;case"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation=!1}},containsEventTarget:()=>!0,registerInteractionHandler:()=>{},deregisterInteractionHandler:()=>{},registerDocumentInteractionHandler:()=>{},deregisterDocumentInteractionHandler:()=>{},registerResizeHandler:()=>{},deregisterResizeHandler:()=>{},updateCssVariable:(t,n)=>{switch(t){case"--mdc-ripple-fg-scale":this.fgScale=n;break;case"--mdc-ripple-fg-size":this.fgSize=n;break;case"--mdc-ripple-fg-translate-end":this.translateEnd=n;break;case"--mdc-ripple-fg-translate-start":this.translateStart=n;break;case"--mdc-ripple-left":this.leftPos=n;break;case"--mdc-ripple-top":this.topPos=n}},computeBoundingRect:()=>(this.parentElement||this).getBoundingClientRect(),getWindowPageOffset:()=>({x:window.pageXOffset,y:window.pageYOffset})}}startPress(t){this.waitForFoundation((()=>{this.mdcFoundation.activate(t)}))}endPress(){this.waitForFoundation((()=>{this.mdcFoundation.deactivate()}))}startFocus(){this.waitForFoundation((()=>{this.mdcFoundation.handleFocus()}))}endFocus(){this.waitForFoundation((()=>{this.mdcFoundation.handleBlur()}))}startHover(){this.hovering=!0}endHover(){this.hovering=!1}waitForFoundation(t){this.mdcFoundation?t():this.updateComplete.then(t)}update(t){t.has("disabled")&&this.disabled&&this.endHover(),super.update(t)}render(){const t=this.activated&&(this.primary||!this.accent),n=this.selected&&(this.primary||!this.accent),r={"mdc-ripple-surface--accent":this.accent,"mdc-ripple-surface--primary--activated":t,"mdc-ripple-surface--accent--activated":this.accent&&this.activated,"mdc-ripple-surface--primary--selected":n,"mdc-ripple-surface--accent--selected":this.accent&&this.selected,"mdc-ripple-surface--disabled":this.disabled,"mdc-ripple-surface--hover":this.hovering,"mdc-ripple-surface--primary":this.primary,"mdc-ripple-surface--selected":this.selected,"mdc-ripple-upgraded--background-focused":this.bgFocused,"mdc-ripple-upgraded--foreground-activation":this.fgActivation,"mdc-ripple-upgraded--foreground-deactivation":this.fgDeactivation,"mdc-ripple-upgraded--unbounded":this.unbounded,"mdc-ripple-surface--internal-use-state-layer-custom-properties":this.internalUseStateLayerCustomProperties};return x.dy`
        <div class="mdc-ripple-surface mdc-ripple-upgraded ${(0,w.$)(r)}"
          style="${(0,S.V)({"--mdc-ripple-fg-scale":this.fgScale,"--mdc-ripple-fg-size":this.fgSize,"--mdc-ripple-fg-translate-end":this.translateEnd,"--mdc-ripple-fg-translate-start":this.translateStart,"--mdc-ripple-left":this.leftPos,"--mdc-ripple-top":this.topPos})}"></div>`}}(0,a.gn)([(0,s.IO)(".mdc-ripple-surface")],RippleBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"primary",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"accent",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"unbounded",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"activated",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"selected",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RippleBase.prototype,"internalUseStateLayerCustomProperties",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"hovering",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"bgFocused",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"fgActivation",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"fgDeactivation",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"fgScale",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"fgSize",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"translateStart",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"translateEnd",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"leftPos",void 0),(0,a.gn)([(0,s.SB)()],RippleBase.prototype,"topPos",void 0);const _=x.iv`.mdc-ripple-surface{--mdc-ripple-fg-size: 0;--mdc-ripple-left: 0;--mdc-ripple-top: 0;--mdc-ripple-fg-scale: 1;--mdc-ripple-fg-translate-end: 0;--mdc-ripple-fg-translate-start: 0;-webkit-tap-highlight-color:rgba(0,0,0,0);will-change:transform,opacity;position:relative;outline:none;overflow:hidden}.mdc-ripple-surface::before,.mdc-ripple-surface::after{position:absolute;border-radius:50%;opacity:0;pointer-events:none;content:""}.mdc-ripple-surface::before{transition:opacity 15ms linear,background-color 15ms linear;z-index:1;z-index:var(--mdc-ripple-z-index, 1)}.mdc-ripple-surface::after{z-index:0;z-index:var(--mdc-ripple-z-index, 0)}.mdc-ripple-surface.mdc-ripple-upgraded::before{transform:scale(var(--mdc-ripple-fg-scale, 1))}.mdc-ripple-surface.mdc-ripple-upgraded::after{top:0;left:0;transform:scale(0);transform-origin:center center}.mdc-ripple-surface.mdc-ripple-upgraded--unbounded::after{top:var(--mdc-ripple-top, 0);left:var(--mdc-ripple-left, 0)}.mdc-ripple-surface.mdc-ripple-upgraded--foreground-activation::after{animation:mdc-ripple-fg-radius-in 225ms forwards,mdc-ripple-fg-opacity-in 75ms forwards}.mdc-ripple-surface.mdc-ripple-upgraded--foreground-deactivation::after{animation:mdc-ripple-fg-opacity-out 150ms;transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}.mdc-ripple-surface::before,.mdc-ripple-surface::after{top:calc(50% - 100%);left:calc(50% - 100%);width:200%;height:200%}.mdc-ripple-surface.mdc-ripple-upgraded::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface[data-mdc-ripple-is-unbounded],.mdc-ripple-upgraded--unbounded{overflow:visible}.mdc-ripple-surface[data-mdc-ripple-is-unbounded]::before,.mdc-ripple-surface[data-mdc-ripple-is-unbounded]::after,.mdc-ripple-upgraded--unbounded::before,.mdc-ripple-upgraded--unbounded::after{top:calc(50% - 50%);left:calc(50% - 50%);width:100%;height:100%}.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::before,.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::after,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::before,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::after{top:var(--mdc-ripple-top, calc(50% - 50%));left:var(--mdc-ripple-left, calc(50% - 50%));width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface[data-mdc-ripple-is-unbounded].mdc-ripple-upgraded::after,.mdc-ripple-upgraded--unbounded.mdc-ripple-upgraded::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-ripple-surface::before,.mdc-ripple-surface::after{background-color:#000;background-color:var(--mdc-ripple-color, #000)}.mdc-ripple-surface:hover::before,.mdc-ripple-surface.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}:host{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none;display:block}:host .mdc-ripple-surface{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none;will-change:unset}.mdc-ripple-surface--primary::before,.mdc-ripple-surface--primary::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary:hover::before,.mdc-ripple-surface--primary.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface--primary.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--primary.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--primary--activated::before{opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12)}.mdc-ripple-surface--primary--activated::before,.mdc-ripple-surface--primary--activated::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary--activated:hover::before,.mdc-ripple-surface--primary--activated.mdc-ripple-surface--hover::before{opacity:0.16;opacity:var(--mdc-ripple-hover-opacity, 0.16)}.mdc-ripple-surface--primary--activated.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-focus-opacity, 0.24)}.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary--activated:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--primary--activated.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--primary--selected::before{opacity:0.08;opacity:var(--mdc-ripple-selected-opacity, 0.08)}.mdc-ripple-surface--primary--selected::before,.mdc-ripple-surface--primary--selected::after{background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-ripple-surface--primary--selected:hover::before,.mdc-ripple-surface--primary--selected.mdc-ripple-surface--hover::before{opacity:0.12;opacity:var(--mdc-ripple-hover-opacity, 0.12)}.mdc-ripple-surface--primary--selected.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-focus-opacity, 0.2)}.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--primary--selected:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--primary--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--accent::before,.mdc-ripple-surface--accent::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent:hover::before,.mdc-ripple-surface--accent.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-ripple-surface--accent.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--accent.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-ripple-surface--accent--activated::before{opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12)}.mdc-ripple-surface--accent--activated::before,.mdc-ripple-surface--accent--activated::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent--activated:hover::before,.mdc-ripple-surface--accent--activated.mdc-ripple-surface--hover::before{opacity:0.16;opacity:var(--mdc-ripple-hover-opacity, 0.16)}.mdc-ripple-surface--accent--activated.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-focus-opacity, 0.24)}.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent--activated:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.24;opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--accent--activated.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.24)}.mdc-ripple-surface--accent--selected::before{opacity:0.08;opacity:var(--mdc-ripple-selected-opacity, 0.08)}.mdc-ripple-surface--accent--selected::before,.mdc-ripple-surface--accent--selected::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-ripple-surface--accent--selected:hover::before,.mdc-ripple-surface--accent--selected.mdc-ripple-surface--hover::before{opacity:0.12;opacity:var(--mdc-ripple-hover-opacity, 0.12)}.mdc-ripple-surface--accent--selected.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-focus-opacity, 0.2)}.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--accent--selected:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.2;opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--accent--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.2)}.mdc-ripple-surface--disabled{opacity:0}.mdc-ripple-surface--internal-use-state-layer-custom-properties::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties::after{background-color:#000;background-color:var(--mdc-ripple-hover-state-layer-color, #000)}.mdc-ripple-surface--internal-use-state-layer-custom-properties:hover::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-surface--hover::before{opacity:0.04;opacity:var(--mdc-ripple-hover-state-layer-opacity, 0.04)}.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-upgraded--background-focused::before,.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded):focus::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-state-layer-opacity, 0.12)}.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded)::after{transition:opacity 150ms linear}.mdc-ripple-surface--internal-use-state-layer-custom-properties:not(.mdc-ripple-upgraded):active::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-pressed-state-layer-opacity, 0.12)}.mdc-ripple-surface--internal-use-state-layer-custom-properties.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-pressed-state-layer-opacity, 0.12)}`;let T=class Ripple extends RippleBase{};T.styles=[_],T=(0,a.gn)([(0,s.Mo)("mwc-ripple")],T)},9263:(t,n,r)=>{"use strict";r.d(n,{A:()=>RippleHandlers});class RippleHandlers{constructor(t){this.startPress=n=>{t().then((t=>{t&&t.startPress(n)}))},this.endPress=()=>{t().then((t=>{t&&t.endPress()}))},this.startFocus=()=>{t().then((t=>{t&&t.startFocus()}))},this.endFocus=()=>{t().then((t=>{t&&t.endFocus()}))},this.startHover=()=>{t().then((t=>{t&&t.startHover()}))},this.endHover=()=>{t().then((t=>{t&&t.endHover()}))}}}},9282:(t,n,r)=>{"use strict";var a=r(4155),s=r(5108);function l(t){return l="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},l(t)}var d,h,p=r(2136).codes,f=p.ERR_AMBIGUOUS_ARGUMENT,m=p.ERR_INVALID_ARG_TYPE,g=p.ERR_INVALID_ARG_VALUE,v=p.ERR_INVALID_RETURN_VALUE,y=p.ERR_MISSING_ARGS,b=r(5961),x=r(9539).inspect,w=r(9539).types,S=w.isPromise,_=w.isRegExp,T=Object.assign?Object.assign:r(8091).assign,E=Object.is?Object.is:r(609);new Map;function C(){var t=r(9158);d=t.isDeepEqual,h=t.isDeepStrictEqual}var A=!1,O=t.exports=F,I={};function P(t){if(t.message instanceof Error)throw t.message;throw new b(t)}function D(t,n,r,a){if(!r){var s=!1;if(0===n)s=!0,a="No value argument passed to `assert.ok()`";else if(a instanceof Error)throw a;var l=new b({actual:r,expected:!0,message:a,operator:"==",stackStartFn:t});throw l.generatedMessage=s,l}}function F(){for(var t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];D.apply(void 0,[F,n.length].concat(n))}O.fail=function t(n,r,l,d,h){var p,f=arguments.length;if(0===f)p="Failed";else if(1===f)l=n,n=void 0;else{if(!1===A)A=!0,(a.emitWarning?a.emitWarning:s.warn.bind(s))("assert.fail() with more than one argument is deprecated. Please use assert.strictEqual() instead or only pass a message.","DeprecationWarning","DEP0094");2===f&&(d="!=")}if(l instanceof Error)throw l;var m={actual:n,expected:r,operator:void 0===d?"fail":d,stackStartFn:h||t};void 0!==l&&(m.message=l);var g=new b(m);throw p&&(g.message=p,g.generatedMessage=!0),g},O.AssertionError=b,O.ok=F,O.equal=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");n!=r&&P({actual:n,expected:r,message:a,operator:"==",stackStartFn:t})},O.notEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");n==r&&P({actual:n,expected:r,message:a,operator:"!=",stackStartFn:t})},O.deepEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");void 0===d&&C(),d(n,r)||P({actual:n,expected:r,message:a,operator:"deepEqual",stackStartFn:t})},O.notDeepEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");void 0===d&&C(),d(n,r)&&P({actual:n,expected:r,message:a,operator:"notDeepEqual",stackStartFn:t})},O.deepStrictEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");void 0===d&&C(),h(n,r)||P({actual:n,expected:r,message:a,operator:"deepStrictEqual",stackStartFn:t})},O.notDeepStrictEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");void 0===d&&C();h(n,r)&&P({actual:n,expected:r,message:a,operator:"notDeepStrictEqual",stackStartFn:t})},O.strictEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");E(n,r)||P({actual:n,expected:r,message:a,operator:"strictEqual",stackStartFn:t})},O.notStrictEqual=function t(n,r,a){if(arguments.length<2)throw new y("actual","expected");E(n,r)&&P({actual:n,expected:r,message:a,operator:"notStrictEqual",stackStartFn:t})};var B=function t(n,r,a){var s=this;!function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,t),r.forEach((function(t){t in n&&(void 0!==a&&"string"==typeof a[t]&&_(n[t])&&n[t].test(a[t])?s[t]=a[t]:s[t]=n[t])}))};function $(t,n,r,a){if("function"!=typeof n){if(_(n))return n.test(t);if(2===arguments.length)throw new m("expected",["Function","RegExp"],n);if("object"!==l(t)||null===t){var s=new b({actual:t,expected:n,message:r,operator:"deepStrictEqual",stackStartFn:a});throw s.operator=a.name,s}var p=Object.keys(n);if(n instanceof Error)p.push("name","message");else if(0===p.length)throw new g("error",n,"may not be an empty object");return void 0===d&&C(),p.forEach((function(s){"string"==typeof t[s]&&_(n[s])&&n[s].test(t[s])||function(t,n,r,a,s,l){if(!(r in t)||!h(t[r],n[r])){if(!a){var d=new B(t,s),p=new B(n,s,t),f=new b({actual:d,expected:p,operator:"deepStrictEqual",stackStartFn:l});throw f.actual=t,f.expected=n,f.operator=l.name,f}P({actual:t,expected:n,message:a,operator:l.name,stackStartFn:l})}}(t,n,s,r,p,a)})),!0}return void 0!==n.prototype&&t instanceof n||!Error.isPrototypeOf(n)&&!0===n.call({},t)}function j(t){if("function"!=typeof t)throw new m("fn","Function",t);try{t()}catch(t){return t}return I}function V(t){return S(t)||null!==t&&"object"===l(t)&&"function"==typeof t.then&&"function"==typeof t.catch}function U(t){return Promise.resolve().then((function(){var n;if("function"==typeof t){if(!V(n=t()))throw new v("instance of Promise","promiseFn",n)}else{if(!V(t))throw new m("promiseFn",["Function","Promise"],t);n=t}return Promise.resolve().then((function(){return n})).then((function(){return I})).catch((function(t){return t}))}))}function G(t,n,r,a){if("string"==typeof r){if(4===arguments.length)throw new m("error",["Object","Error","Function","RegExp"],r);if("object"===l(n)&&null!==n){if(n.message===r)throw new f("error/message",'The error message "'.concat(n.message,'" is identical to the message.'))}else if(n===r)throw new f("error/message",'The error "'.concat(n,'" is identical to the message.'));a=r,r=void 0}else if(null!=r&&"object"!==l(r)&&"function"!=typeof r)throw new m("error",["Object","Error","Function","RegExp"],r);if(n===I){var s="";r&&r.name&&(s+=" (".concat(r.name,")")),s+=a?": ".concat(a):".";var d="rejects"===t.name?"rejection":"exception";P({actual:void 0,expected:r,operator:t.name,message:"Missing expected ".concat(d).concat(s),stackStartFn:t})}if(r&&!$(n,r,a,t))throw n}function W(t,n,r,a){if(n!==I){if("string"==typeof r&&(a=r,r=void 0),!r||$(n,r)){var s=a?": ".concat(a):".",l="doesNotReject"===t.name?"rejection":"exception";P({actual:n,expected:r,operator:t.name,message:"Got unwanted ".concat(l).concat(s,"\n")+'Actual message: "'.concat(n&&n.message,'"'),stackStartFn:t})}throw n}}function q(){for(var t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];D.apply(void 0,[q,n.length].concat(n))}O.throws=function t(n){for(var r=arguments.length,a=new Array(r>1?r-1:0),s=1;s<r;s++)a[s-1]=arguments[s];G.apply(void 0,[t,j(n)].concat(a))},O.rejects=function t(n){for(var r=arguments.length,a=new Array(r>1?r-1:0),s=1;s<r;s++)a[s-1]=arguments[s];return U(n).then((function(n){return G.apply(void 0,[t,n].concat(a))}))},O.doesNotThrow=function t(n){for(var r=arguments.length,a=new Array(r>1?r-1:0),s=1;s<r;s++)a[s-1]=arguments[s];W.apply(void 0,[t,j(n)].concat(a))},O.doesNotReject=function t(n){for(var r=arguments.length,a=new Array(r>1?r-1:0),s=1;s<r;s++)a[s-1]=arguments[s];return U(n).then((function(n){return W.apply(void 0,[t,n].concat(a))}))},O.ifError=function t(n){if(null!=n){var r="ifError got unwanted exception: ";"object"===l(n)&&"string"==typeof n.message?0===n.message.length&&n.constructor?r+=n.constructor.name:r+=n.message:r+=x(n);var a=new b({actual:n,expected:null,operator:"ifError",message:r,stackStartFn:t}),s=n.stack;if("string"==typeof s){var d=s.split("\n");d.shift();for(var h=a.stack.split("\n"),p=0;p<d.length;p++){var f=h.indexOf(d[p]);if(-1!==f){h=h.slice(0,f);break}}a.stack="".concat(h.join("\n"),"\n").concat(d.join("\n"))}throw a}},O.strict=T(q,O,{equal:O.strictEqual,deepEqual:O.deepStrictEqual,notEqual:O.notStrictEqual,notDeepEqual:O.notDeepStrictEqual}),O.strict.strict=O.strict},5961:(t,n,r)=>{"use strict";var a=r(4155);function s(t,n,r){return n in t?Object.defineProperty(t,n,{value:r,enumerable:!0,configurable:!0,writable:!0}):t[n]=r,t}function l(t,n){for(var r=0;r<n.length;r++){var a=n[r];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}function d(t,n){return!n||"object"!==v(n)&&"function"!=typeof n?h(t):n}function h(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}function p(t){var n="function"==typeof Map?new Map:void 0;return p=function(t){if(null===t||(r=t,-1===Function.toString.call(r).indexOf("[native code]")))return t;var r;if("function"!=typeof t)throw new TypeError("Super expression must either be null or a function");if(void 0!==n){if(n.has(t))return n.get(t);n.set(t,a)}function a(){return f(t,arguments,g(this).constructor)}return a.prototype=Object.create(t.prototype,{constructor:{value:a,enumerable:!1,writable:!0,configurable:!0}}),m(a,t)},p(t)}function f(t,n,r){return f=function(){if("undefined"==typeof Reflect||!Reflect.construct)return!1;if(Reflect.construct.sham)return!1;if("function"==typeof Proxy)return!0;try{return Date.prototype.toString.call(Reflect.construct(Date,[],(function(){}))),!0}catch(t){return!1}}()?Reflect.construct:function(t,n,r){var a=[null];a.push.apply(a,n);var s=new(Function.bind.apply(t,a));return r&&m(s,r.prototype),s},f.apply(null,arguments)}function m(t,n){return m=Object.setPrototypeOf||function(t,n){return t.__proto__=n,t},m(t,n)}function g(t){return g=Object.setPrototypeOf?Object.getPrototypeOf:function(t){return t.__proto__||Object.getPrototypeOf(t)},g(t)}function v(t){return v="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},v(t)}var y=r(9539).inspect,b=r(2136).codes.ERR_INVALID_ARG_TYPE;function x(t,n,r){return(void 0===r||r>t.length)&&(r=t.length),t.substring(r-n.length,r)===n}var w="",S="",_="",T="",E={deepStrictEqual:"Expected values to be strictly deep-equal:",strictEqual:"Expected values to be strictly equal:",strictEqualObject:'Expected "actual" to be reference-equal to "expected":',deepEqual:"Expected values to be loosely deep-equal:",equal:"Expected values to be loosely equal:",notDeepStrictEqual:'Expected "actual" not to be strictly deep-equal to:',notStrictEqual:'Expected "actual" to be strictly unequal to:',notStrictEqualObject:'Expected "actual" not to be reference-equal to "expected":',notDeepEqual:'Expected "actual" not to be loosely deep-equal to:',notEqual:'Expected "actual" to be loosely unequal to:',notIdentical:"Values identical but not reference-equal:"};function C(t){var n=Object.keys(t),r=Object.create(Object.getPrototypeOf(t));return n.forEach((function(n){r[n]=t[n]})),Object.defineProperty(r,"message",{value:t.message}),r}function A(t){return y(t,{compact:!1,customInspect:!1,depth:1e3,maxArrayLength:1/0,showHidden:!1,breakLength:1/0,showProxy:!1,sorted:!0,getters:!0})}function O(t,n,r){var s="",l="",d=0,h="",p=!1,f=A(t),m=f.split("\n"),g=A(n).split("\n"),y=0,b="";if("strictEqual"===r&&"object"===v(t)&&"object"===v(n)&&null!==t&&null!==n&&(r="strictEqualObject"),1===m.length&&1===g.length&&m[0]!==g[0]){var C=m[0].length+g[0].length;if(C<=10){if(!("object"===v(t)&&null!==t||"object"===v(n)&&null!==n||0===t&&0===n))return"".concat(E[r],"\n\n")+"".concat(m[0]," !== ").concat(g[0],"\n")}else if("strictEqualObject"!==r){if(C<(a.stderr&&a.stderr.isTTY?a.stderr.columns:80)){for(;m[0][y]===g[0][y];)y++;y>2&&(b="\n  ".concat(function(t,n){if(n=Math.floor(n),0==t.length||0==n)return"";var r=t.length*n;for(n=Math.floor(Math.log(n)/Math.log(2));n;)t+=t,n--;return t+t.substring(0,r-t.length)}(" ",y),"^"),y=0)}}}for(var O=m[m.length-1],I=g[g.length-1];O===I&&(y++<2?h="\n  ".concat(O).concat(h):s=O,m.pop(),g.pop(),0!==m.length&&0!==g.length);)O=m[m.length-1],I=g[g.length-1];var P=Math.max(m.length,g.length);if(0===P){var D=f.split("\n");if(D.length>30)for(D[26]="".concat(w,"...").concat(T);D.length>27;)D.pop();return"".concat(E.notIdentical,"\n\n").concat(D.join("\n"),"\n")}y>3&&(h="\n".concat(w,"...").concat(T).concat(h),p=!0),""!==s&&(h="\n  ".concat(s).concat(h),s="");var F=0,B=E[r]+"\n".concat(S,"+ actual").concat(T," ").concat(_,"- expected").concat(T),$=" ".concat(w,"...").concat(T," Lines skipped");for(y=0;y<P;y++){var j=y-d;if(m.length<y+1)j>1&&y>2&&(j>4?(l+="\n".concat(w,"...").concat(T),p=!0):j>3&&(l+="\n  ".concat(g[y-2]),F++),l+="\n  ".concat(g[y-1]),F++),d=y,s+="\n".concat(_,"-").concat(T," ").concat(g[y]),F++;else if(g.length<y+1)j>1&&y>2&&(j>4?(l+="\n".concat(w,"...").concat(T),p=!0):j>3&&(l+="\n  ".concat(m[y-2]),F++),l+="\n  ".concat(m[y-1]),F++),d=y,l+="\n".concat(S,"+").concat(T," ").concat(m[y]),F++;else{var V=g[y],U=m[y],G=U!==V&&(!x(U,",")||U.slice(0,-1)!==V);G&&x(V,",")&&V.slice(0,-1)===U&&(G=!1,U+=","),G?(j>1&&y>2&&(j>4?(l+="\n".concat(w,"...").concat(T),p=!0):j>3&&(l+="\n  ".concat(m[y-2]),F++),l+="\n  ".concat(m[y-1]),F++),d=y,l+="\n".concat(S,"+").concat(T," ").concat(U),s+="\n".concat(_,"-").concat(T," ").concat(V),F+=2):(l+=s,s="",1!==j&&0!==y||(l+="\n  ".concat(U),F++))}if(F>20&&y<P-2)return"".concat(B).concat($,"\n").concat(l,"\n").concat(w,"...").concat(T).concat(s,"\n")+"".concat(w,"...").concat(T)}return"".concat(B).concat(p?$:"","\n").concat(l).concat(s).concat(h).concat(b)}var I=function(t){function n(t){var r;if(function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,n),"object"!==v(t)||null===t)throw new b("options","Object",t);var s=t.message,l=t.operator,p=t.stackStartFn,f=t.actual,m=t.expected,y=Error.stackTraceLimit;if(Error.stackTraceLimit=0,null!=s)r=d(this,g(n).call(this,String(s)));else if(a.stderr&&a.stderr.isTTY&&(a.stderr&&a.stderr.getColorDepth&&1!==a.stderr.getColorDepth()?(w="[34m",S="[32m",T="[39m",_="[31m"):(w="",S="",T="",_="")),"object"===v(f)&&null!==f&&"object"===v(m)&&null!==m&&"stack"in f&&f instanceof Error&&"stack"in m&&m instanceof Error&&(f=C(f),m=C(m)),"deepStrictEqual"===l||"strictEqual"===l)r=d(this,g(n).call(this,O(f,m,l)));else if("notDeepStrictEqual"===l||"notStrictEqual"===l){var x=E[l],I=A(f).split("\n");if("notStrictEqual"===l&&"object"===v(f)&&null!==f&&(x=E.notStrictEqualObject),I.length>30)for(I[26]="".concat(w,"...").concat(T);I.length>27;)I.pop();r=1===I.length?d(this,g(n).call(this,"".concat(x," ").concat(I[0]))):d(this,g(n).call(this,"".concat(x,"\n\n").concat(I.join("\n"),"\n")))}else{var P=A(f),D="",F=E[l];"notDeepEqual"===l||"notEqual"===l?(P="".concat(E[l],"\n\n").concat(P)).length>1024&&(P="".concat(P.slice(0,1021),"...")):(D="".concat(A(m)),P.length>512&&(P="".concat(P.slice(0,509),"...")),D.length>512&&(D="".concat(D.slice(0,509),"...")),"deepEqual"===l||"equal"===l?P="".concat(F,"\n\n").concat(P,"\n\nshould equal\n\n"):D=" ".concat(l," ").concat(D)),r=d(this,g(n).call(this,"".concat(P).concat(D)))}return Error.stackTraceLimit=y,r.generatedMessage=!s,Object.defineProperty(h(r),"name",{value:"AssertionError [ERR_ASSERTION]",enumerable:!1,writable:!0,configurable:!0}),r.code="ERR_ASSERTION",r.actual=f,r.expected=m,r.operator=l,Error.captureStackTrace&&Error.captureStackTrace(h(r),p),r.stack,r.name="AssertionError",d(r)}var r,p,f;return function(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Super expression must either be null or a function");t.prototype=Object.create(n&&n.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),n&&m(t,n)}(n,t),r=n,p=[{key:"toString",value:function(){return"".concat(this.name," [").concat(this.code,"]: ").concat(this.message)}},{key:y.custom,value:function(t,n){return y(this,function(t){for(var n=1;n<arguments.length;n++){var r=null!=arguments[n]?arguments[n]:{},a=Object.keys(r);"function"==typeof Object.getOwnPropertySymbols&&(a=a.concat(Object.getOwnPropertySymbols(r).filter((function(t){return Object.getOwnPropertyDescriptor(r,t).enumerable})))),a.forEach((function(n){s(t,n,r[n])}))}return t}({},n,{customInspect:!1,depth:0}))}}],p&&l(r.prototype,p),f&&l(r,f),n}(p(Error));t.exports=I},2136:(t,n,r)=>{"use strict";function a(t){return a="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},a(t)}function s(t,n){return!n||"object"!==a(n)&&"function"!=typeof n?function(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}(t):n}function l(t){return l=Object.setPrototypeOf?Object.getPrototypeOf:function(t){return t.__proto__||Object.getPrototypeOf(t)},l(t)}function d(t,n){return d=Object.setPrototypeOf||function(t,n){return t.__proto__=n,t},d(t,n)}var h,p,f={};function m(t,n,r){r||(r=Error);var a=function(r){function a(r,d,h){var p;return function(t,n){if(!(t instanceof n))throw new TypeError("Cannot call a class as a function")}(this,a),p=s(this,l(a).call(this,function(t,r,a){return"string"==typeof n?n:n(t,r,a)}(r,d,h))),p.code=t,p}return function(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Super expression must either be null or a function");t.prototype=Object.create(n&&n.prototype,{constructor:{value:t,writable:!0,configurable:!0}}),n&&d(t,n)}(a,r),a}(r);f[t]=a}function g(t,n){if(Array.isArray(t)){var r=t.length;return t=t.map((function(t){return String(t)})),r>2?"one of ".concat(n," ").concat(t.slice(0,r-1).join(", "),", or ")+t[r-1]:2===r?"one of ".concat(n," ").concat(t[0]," or ").concat(t[1]):"of ".concat(n," ").concat(t[0])}return"of ".concat(n," ").concat(String(t))}m("ERR_AMBIGUOUS_ARGUMENT",'The "%s" argument is ambiguous. %s',TypeError),m("ERR_INVALID_ARG_TYPE",(function(t,n,s){var l,d,p,f;if(void 0===h&&(h=r(9282)),h("string"==typeof t,"'name' must be a string"),"string"==typeof n&&(d="not ",n.substr(!p||p<0?0:+p,d.length)===d)?(l="must not be",n=n.replace(/^not /,"")):l="must be",function(t,n,r){return(void 0===r||r>t.length)&&(r=t.length),t.substring(r-n.length,r)===n}(t," argument"))f="The ".concat(t," ").concat(l," ").concat(g(n,"type"));else{var m=function(t,n,r){return"number"!=typeof r&&(r=0),!(r+n.length>t.length)&&-1!==t.indexOf(n,r)}(t,".")?"property":"argument";f='The "'.concat(t,'" ').concat(m," ").concat(l," ").concat(g(n,"type"))}return f+=". Received type ".concat(a(s))}),TypeError),m("ERR_INVALID_ARG_VALUE",(function(t,n){var a=arguments.length>2&&void 0!==arguments[2]?arguments[2]:"is invalid";void 0===p&&(p=r(9539));var s=p.inspect(n);return s.length>128&&(s="".concat(s.slice(0,128),"...")),"The argument '".concat(t,"' ").concat(a,". Received ").concat(s)}),TypeError,RangeError),m("ERR_INVALID_RETURN_VALUE",(function(t,n,r){var s;return s=r&&r.constructor&&r.constructor.name?"instance of ".concat(r.constructor.name):"type ".concat(a(r)),"Expected ".concat(t,' to be returned from the "').concat(n,'"')+" function but got ".concat(s,".")}),TypeError),m("ERR_MISSING_ARGS",(function(){for(var t=arguments.length,n=new Array(t),a=0;a<t;a++)n[a]=arguments[a];void 0===h&&(h=r(9282)),h(n.length>0,"At least one arg needs to be specified");var s="The ",l=n.length;switch(n=n.map((function(t){return'"'.concat(t,'"')})),l){case 1:s+="".concat(n[0]," argument");break;case 2:s+="".concat(n[0]," and ").concat(n[1]," arguments");break;default:s+=n.slice(0,l-1).join(", "),s+=", and ".concat(n[l-1]," arguments")}return"".concat(s," must be specified")}),TypeError),t.exports.codes=f},9158:(t,n,r)=>{"use strict";function a(t,n){return function(t){if(Array.isArray(t))return t}(t)||function(t,n){var r=[],a=!0,s=!1,l=void 0;try{for(var d,h=t[Symbol.iterator]();!(a=(d=h.next()).done)&&(r.push(d.value),!n||r.length!==n);a=!0);}catch(t){s=!0,l=t}finally{try{a||null==h.return||h.return()}finally{if(s)throw l}}return r}(t,n)||function(){throw new TypeError("Invalid attempt to destructure non-iterable instance")}()}function s(t){return s="function"==typeof Symbol&&"symbol"==typeof Symbol.iterator?function(t){return typeof t}:function(t){return t&&"function"==typeof Symbol&&t.constructor===Symbol&&t!==Symbol.prototype?"symbol":typeof t},s(t)}var l=void 0!==/a/g.flags,d=function(t){var n=[];return t.forEach((function(t){return n.push(t)})),n},h=function(t){var n=[];return t.forEach((function(t,r){return n.push([r,t])})),n},p=Object.is?Object.is:r(609),f=Object.getOwnPropertySymbols?Object.getOwnPropertySymbols:function(){return[]},m=Number.isNaN?Number.isNaN:r(360);function g(t){return t.call.bind(t)}var v=g(Object.prototype.hasOwnProperty),y=g(Object.prototype.propertyIsEnumerable),b=g(Object.prototype.toString),x=r(9539).types,w=x.isAnyArrayBuffer,S=x.isArrayBufferView,_=x.isDate,T=x.isMap,E=x.isRegExp,C=x.isSet,A=x.isNativeError,O=x.isBoxedPrimitive,I=x.isNumberObject,P=x.isStringObject,D=x.isBooleanObject,F=x.isBigIntObject,B=x.isSymbolObject,$=x.isFloat32Array,j=x.isFloat64Array;function V(t){if(0===t.length||t.length>10)return!0;for(var n=0;n<t.length;n++){var r=t.charCodeAt(n);if(r<48||r>57)return!0}return 10===t.length&&t>=Math.pow(2,32)}function U(t){return Object.keys(t).filter(V).concat(f(t).filter(Object.prototype.propertyIsEnumerable.bind(t)))}function G(t,n){if(t===n)return 0;for(var r=t.length,a=n.length,s=0,l=Math.min(r,a);s<l;++s)if(t[s]!==n[s]){r=t[s],a=n[s];break}return r<a?-1:a<r?1:0}var W=0,q=1,X=2,Y=3;function K(t,n,r,a){if(t===n)return 0!==t||(!r||p(t,n));if(r){if("object"!==s(t))return"number"==typeof t&&m(t)&&m(n);if("object"!==s(n)||null===t||null===n)return!1;if(Object.getPrototypeOf(t)!==Object.getPrototypeOf(n))return!1}else{if(null===t||"object"!==s(t))return(null===n||"object"!==s(n))&&t==n;if(null===n||"object"!==s(n))return!1}var d,h,f,g,v=b(t);if(v!==b(n))return!1;if(Array.isArray(t)){if(t.length!==n.length)return!1;var y=U(t),x=U(n);return y.length===x.length&&Q(t,n,r,a,q,y)}if("[object Object]"===v&&(!T(t)&&T(n)||!C(t)&&C(n)))return!1;if(_(t)){if(!_(n)||Date.prototype.getTime.call(t)!==Date.prototype.getTime.call(n))return!1}else if(E(t)){if(!E(n)||(f=t,g=n,!(l?f.source===g.source&&f.flags===g.flags:RegExp.prototype.toString.call(f)===RegExp.prototype.toString.call(g))))return!1}else if(A(t)||t instanceof Error){if(t.message!==n.message||t.name!==n.name)return!1}else{if(S(t)){if(r||!$(t)&&!j(t)){if(!function(t,n){return t.byteLength===n.byteLength&&0===G(new Uint8Array(t.buffer,t.byteOffset,t.byteLength),new Uint8Array(n.buffer,n.byteOffset,n.byteLength))}(t,n))return!1}else if(!function(t,n){if(t.byteLength!==n.byteLength)return!1;for(var r=0;r<t.byteLength;r++)if(t[r]!==n[r])return!1;return!0}(t,n))return!1;var V=U(t),K=U(n);return V.length===K.length&&Q(t,n,r,a,W,V)}if(C(t))return!(!C(n)||t.size!==n.size)&&Q(t,n,r,a,X);if(T(t))return!(!T(n)||t.size!==n.size)&&Q(t,n,r,a,Y);if(w(t)){if(h=n,(d=t).byteLength!==h.byteLength||0!==G(new Uint8Array(d),new Uint8Array(h)))return!1}else if(O(t)&&!function(t,n){return I(t)?I(n)&&p(Number.prototype.valueOf.call(t),Number.prototype.valueOf.call(n)):P(t)?P(n)&&String.prototype.valueOf.call(t)===String.prototype.valueOf.call(n):D(t)?D(n)&&Boolean.prototype.valueOf.call(t)===Boolean.prototype.valueOf.call(n):F(t)?F(n)&&BigInt.prototype.valueOf.call(t)===BigInt.prototype.valueOf.call(n):B(n)&&Symbol.prototype.valueOf.call(t)===Symbol.prototype.valueOf.call(n)}(t,n))return!1}return Q(t,n,r,a,W)}function J(t,n){return n.filter((function(n){return y(t,n)}))}function Q(t,n,r,l,p,m){if(5===arguments.length){m=Object.keys(t);var g=Object.keys(n);if(m.length!==g.length)return!1}for(var b=0;b<m.length;b++)if(!v(n,m[b]))return!1;if(r&&5===arguments.length){var x=f(t);if(0!==x.length){var w=0;for(b=0;b<x.length;b++){var S=x[b];if(y(t,S)){if(!y(n,S))return!1;m.push(S),w++}else if(y(n,S))return!1}var _=f(n);if(x.length!==_.length&&J(n,_).length!==w)return!1}else{var T=f(n);if(0!==T.length&&0!==J(n,T).length)return!1}}if(0===m.length&&(p===W||p===q&&0===t.length||0===t.size))return!0;if(void 0===l)l={val1:new Map,val2:new Map,position:0};else{var E=l.val1.get(t);if(void 0!==E){var C=l.val2.get(n);if(void 0!==C)return E===C}l.position++}l.val1.set(t,l.position),l.val2.set(n,l.position);var A=function(t,n,r,l,p,f){var m=0;if(f===X){if(!function(t,n,r,a){for(var l=null,h=d(t),p=0;p<h.length;p++){var f=h[p];if("object"===s(f)&&null!==f)null===l&&(l=new Set),l.add(f);else if(!n.has(f)){if(r)return!1;if(!ie(t,n,f))return!1;null===l&&(l=new Set),l.add(f)}}if(null!==l){for(var m=d(n),g=0;g<m.length;g++){var v=m[g];if("object"===s(v)&&null!==v){if(!ee(l,v,r,a))return!1}else if(!r&&!t.has(v)&&!ee(l,v,r,a))return!1}return 0===l.size}return!0}(t,n,r,p))return!1}else if(f===Y){if(!function(t,n,r,l){for(var d=null,p=h(t),f=0;f<p.length;f++){var m=a(p[f],2),g=m[0],v=m[1];if("object"===s(g)&&null!==g)null===d&&(d=new Set),d.add(g);else{var y=n.get(g);if(void 0===y&&!n.has(g)||!K(v,y,r,l)){if(r)return!1;if(!ne(t,n,g,v,l))return!1;null===d&&(d=new Set),d.add(g)}}}if(null!==d){for(var b=h(n),x=0;x<b.length;x++){var w=a(b[x],2),S=(g=w[0],w[1]);if("object"===s(g)&&null!==g){if(!re(d,t,g,S,r,l))return!1}else if(!(r||t.has(g)&&K(t.get(g),S,!1,l)||re(d,t,g,S,!1,l)))return!1}return 0===d.size}return!0}(t,n,r,p))return!1}else if(f===q)for(;m<t.length;m++){if(!v(t,m)){if(v(n,m))return!1;for(var g=Object.keys(t);m<g.length;m++){var y=g[m];if(!v(n,y)||!K(t[y],n[y],r,p))return!1}return g.length===Object.keys(n).length}if(!v(n,m)||!K(t[m],n[m],r,p))return!1}for(m=0;m<l.length;m++){var b=l[m];if(!K(t[b],n[b],r,p))return!1}return!0}(t,n,r,m,l,p);return l.val1.delete(t),l.val2.delete(n),A}function ee(t,n,r,a){for(var s=d(t),l=0;l<s.length;l++){var h=s[l];if(K(n,h,r,a))return t.delete(h),!0}return!1}function te(t){switch(s(t)){case"undefined":return null;case"object":return;case"symbol":return!1;case"string":t=+t;case"number":if(m(t))return!1}return!0}function ie(t,n,r){var a=te(r);return null!=a?a:n.has(a)&&!t.has(a)}function ne(t,n,r,a,s){var l=te(r);if(null!=l)return l;var d=n.get(l);return!(void 0===d&&!n.has(l)||!K(a,d,!1,s))&&(!t.has(l)&&K(a,d,!1,s))}function re(t,n,r,a,s,l){for(var h=d(t),p=0;p<h.length;p++){var f=h[p];if(K(r,f,s,l)&&K(a,n.get(f),s,l))return t.delete(f),!0}return!1}t.exports={isDeepEqual:function(t,n){return K(t,n,false)},isDeepStrictEqual:function(t,n){return K(t,n,true)}}},1924:(t,n,r)=>{"use strict";var a=r(210),s=r(5559),l=s(a("String.prototype.indexOf"));t.exports=function(t,n){var r=a(t,!!n);return"function"==typeof r&&l(t,".prototype.")>-1?s(r):r}},5559:(t,n,r)=>{"use strict";var a=r(8612),s=r(210),l=s("%Function.prototype.apply%"),d=s("%Function.prototype.call%"),h=s("%Reflect.apply%",!0)||a.call(d,l),p=s("%Object.getOwnPropertyDescriptor%",!0),f=s("%Object.defineProperty%",!0),m=s("%Math.max%");if(f)try{f({},"a",{value:1})}catch(t){f=null}t.exports=function(t){var n=h(a,d,arguments);p&&f&&(p(n,"length").configurable&&f(n,"length",{value:1+m(0,t.length-(arguments.length-1))}));return n};var g=function(){return h(a,l,arguments)};f?f(t.exports,"apply",{value:g}):t.exports.apply=g},5108:(t,n,r)=>{var a=r(9539),s=r(9282);function l(){return(new Date).getTime()}var d,h=Array.prototype.slice,p={};d=void 0!==r.g&&r.g.console?r.g.console:"undefined"!=typeof window&&window.console?window.console:{};for(var f=[[function(){},"log"],[function(){d.log.apply(d,arguments)},"info"],[function(){d.log.apply(d,arguments)},"warn"],[function(){d.warn.apply(d,arguments)},"error"],[function(t){p[t]=l()},"time"],[function(t){var n=p[t];if(!n)throw new Error("No such label: "+t);delete p[t];var r=l()-n;d.log(t+": "+r+"ms")},"timeEnd"],[function(){var t=new Error;t.name="Trace",t.message=a.format.apply(null,arguments),d.error(t.stack)},"trace"],[function(t){d.log(a.inspect(t)+"\n")},"dir"],[function(t){if(!t){var n=h.call(arguments,1);s.ok(!1,a.format.apply(null,n))}},"assert"]],m=0;m<f.length;m++){var g=f[m],v=g[0],y=g[1];d[y]||(d[y]=v)}t.exports=d},3886:(t,n,r)=>{"use strict";r.d(n,{j2p:()=>a,LLu:()=>te,y4O:()=>ie,b4o:()=>h,DmU:()=>nr,Yud:()=>ir,$_Y:()=>zt,$1i:()=>p,Ba6:()=>st,Wem:()=>f,KXr:()=>A,uUj:()=>Rr,u1K:()=>oi,jvg:()=>Io,Fp7:()=>D,TSy:()=>F,VV$:()=>B,Jzs:()=>vi,VRg:()=>I,w6H:()=>x,tiA:()=>Vr,BYU:()=>go,PKp:()=>jr,cJy:()=>bo,Ys:()=>bt,o6f:()=>P});function a(t,n){return t<n?-1:t>n?1:t>=n?0:NaN}var s,l,d=(1===(s=a).length&&(l=s,s=function(t,n){return a(l(t),n)}),{left:function(t,n,r,a){for(null==r&&(r=0),null==a&&(a=t.length);r<a;){var l=r+a>>>1;s(t[l],n)<0?r=l+1:a=l}return r},right:function(t,n,r,a){for(null==r&&(r=0),null==a&&(a=t.length);r<a;){var l=r+a>>>1;s(t[l],n)>0?a=l:r=l+1}return r}});const h=d.right;function p(t,n){return n<t?-1:n>t?1:n>=t?0:NaN}function f(t,n){var r,a,s,l=t.length,d=-1;if(null==n){for(;++d<l;)if(null!=(r=t[d])&&r>=r)for(a=s=r;++d<l;)null!=(r=t[d])&&(a>r&&(a=r),s<r&&(s=r))}else for(;++d<l;)if(null!=(r=n(t[d],d,t))&&r>=r)for(a=s=r;++d<l;)null!=(r=n(t[d],d,t))&&(a>r&&(a=r),s<r&&(s=r));return[a,s]}var m=Array.prototype,g=m.slice,v=m.map;function y(t){return function(){return t}}function b(t){return t}function x(t,n,r){t=+t,n=+n,r=(s=arguments.length)<2?(n=t,t=0,1):s<3?1:+r;for(var a=-1,s=0|Math.max(0,Math.ceil((n-t)/r)),l=new Array(s);++a<s;)l[a]=t+a*r;return l}var w=Math.sqrt(50),S=Math.sqrt(10),_=Math.sqrt(2);function T(t,n,r){var a=(n-t)/Math.max(0,r),s=Math.floor(Math.log(a)/Math.LN10),l=a/Math.pow(10,s);return s>=0?(l>=w?10:l>=S?5:l>=_?2:1)*Math.pow(10,s):-Math.pow(10,-s)/(l>=w?10:l>=S?5:l>=_?2:1)}function E(t,n,r){var a=Math.abs(n-t)/Math.max(0,r),s=Math.pow(10,Math.floor(Math.log(a)/Math.LN10)),l=a/s;return l>=w?s*=10:l>=S?s*=5:l>=_&&(s*=2),n<t?-s:s}function C(t){return Math.ceil(Math.log(t.length)/Math.LN2)+1}function A(){var t=b,n=f,r=C;function a(a){var s,l,d=a.length,p=new Array(d);for(s=0;s<d;++s)p[s]=t(a[s],s,a);var f=n(p),m=f[0],g=f[1],v=r(p,m,g);Array.isArray(v)||(v=E(m,g,v),v=x(Math.ceil(m/v)*v,g,v));for(var y=v.length;v[0]<=m;)v.shift(),--y;for(;v[y-1]>g;)v.pop(),--y;var b,w=new Array(y+1);for(s=0;s<=y;++s)(b=w[s]=[]).x0=s>0?v[s-1]:m,b.x1=s<y?v[s]:g;for(s=0;s<d;++s)m<=(l=p[s])&&l<=g&&w[h(v,l,0,y)].push(a[s]);return w}return a.value=function(n){return arguments.length?(t="function"==typeof n?n:y(n),a):t},a.domain=function(t){return arguments.length?(n="function"==typeof t?t:y([t[0],t[1]]),a):n},a.thresholds=function(t){return arguments.length?(r="function"==typeof t?t:Array.isArray(t)?y(g.call(t)):y(t),a):r},a}function O(t){return null===t?NaN:+t}function I(t,n,r){if(null==r&&(r=O),a=t.length){if((n=+n)<=0||a<2)return+r(t[0],0,t);if(n>=1)return+r(t[a-1],a-1,t);var a,s=(a-1)*n,l=Math.floor(s),d=+r(t[l],l,t);return d+(+r(t[l+1],l+1,t)-d)*(s-l)}}function P(t,n,r){return t=v.call(t,O).sort(a),Math.ceil((r-n)/(2*(I(t,.75)-I(t,.25))*Math.pow(t.length,-1/3)))}function D(t,n){var r,a,s=t.length,l=-1;if(null==n){for(;++l<s;)if(null!=(r=t[l])&&r>=r)for(a=r;++l<s;)null!=(r=t[l])&&r>a&&(a=r)}else for(;++l<s;)if(null!=(r=n(t[l],l,t))&&r>=r)for(a=r;++l<s;)null!=(r=n(t[l],l,t))&&r>a&&(a=r);return a}function F(t){for(var n,r,a,s=t.length,l=-1,d=0;++l<s;)d+=t[l].length;for(r=new Array(d);--s>=0;)for(n=(a=t[s]).length;--n>=0;)r[--d]=a[n];return r}function B(t,n){var r,a,s=t.length,l=-1;if(null==n){for(;++l<s;)if(null!=(r=t[l])&&r>=r)for(a=r;++l<s;)null!=(r=t[l])&&a>r&&(a=r)}else for(;++l<s;)if(null!=(r=n(t[l],l,t))&&r>=r)for(a=r;++l<s;)null!=(r=n(t[l],l,t))&&a>r&&(a=r);return a}var $=Array.prototype.slice;function j(t){return t}var V=1,U=2,G=3,W=4,q=1e-6;function X(t){return"translate("+(t+.5)+",0)"}function Y(t){return"translate(0,"+(t+.5)+")"}function K(t){return function(n){return+t(n)}}function J(t){var n=Math.max(0,t.bandwidth()-1)/2;return t.round()&&(n=Math.round(n)),function(r){return+t(r)+n}}function Q(){return!this.__axis}function ee(t,n){var r=[],a=null,s=null,l=6,d=6,h=3,p=t===V||t===W?-1:1,f=t===W||t===U?"x":"y",m=t===V||t===G?X:Y;function g(g){var v=null==a?n.ticks?n.ticks.apply(n,r):n.domain():a,y=null==s?n.tickFormat?n.tickFormat.apply(n,r):j:s,b=Math.max(l,0)+h,x=n.range(),w=+x[0]+.5,S=+x[x.length-1]+.5,_=(n.bandwidth?J:K)(n.copy()),T=g.selection?g.selection():g,E=T.selectAll(".domain").data([null]),C=T.selectAll(".tick").data(v,n).order(),A=C.exit(),O=C.enter().append("g").attr("class","tick"),I=C.select("line"),P=C.select("text");E=E.merge(E.enter().insert("path",".tick").attr("class","domain").attr("stroke","currentColor")),C=C.merge(O),I=I.merge(O.append("line").attr("stroke","currentColor").attr(f+"2",p*l)),P=P.merge(O.append("text").attr("fill","currentColor").attr(f,p*b).attr("dy",t===V?"0em":t===G?"0.71em":"0.32em")),g!==T&&(E=E.transition(g),C=C.transition(g),I=I.transition(g),P=P.transition(g),A=A.transition(g).attr("opacity",q).attr("transform",(function(t){return isFinite(t=_(t))?m(t):this.getAttribute("transform")})),O.attr("opacity",q).attr("transform",(function(t){var n=this.parentNode.__axis;return m(n&&isFinite(n=n(t))?n:_(t))}))),A.remove(),E.attr("d",t===W||t==U?d?"M"+p*d+","+w+"H0.5V"+S+"H"+p*d:"M0.5,"+w+"V"+S:d?"M"+w+","+p*d+"V0.5H"+S+"V"+p*d:"M"+w+",0.5H"+S),C.attr("opacity",1).attr("transform",(function(t){return m(_(t))})),I.attr(f+"2",p*l),P.attr(f,p*b).text(y),T.filter(Q).attr("fill","none").attr("font-size",10).attr("font-family","sans-serif").attr("text-anchor",t===U?"start":t===W?"end":"middle"),T.each((function(){this.__axis=_}))}return g.scale=function(t){return arguments.length?(n=t,g):n},g.ticks=function(){return r=$.call(arguments),g},g.tickArguments=function(t){return arguments.length?(r=null==t?[]:$.call(t),g):r.slice()},g.tickValues=function(t){return arguments.length?(a=null==t?null:$.call(t),g):a&&a.slice()},g.tickFormat=function(t){return arguments.length?(s=t,g):s},g.tickSize=function(t){return arguments.length?(l=d=+t,g):l},g.tickSizeInner=function(t){return arguments.length?(l=+t,g):l},g.tickSizeOuter=function(t){return arguments.length?(d=+t,g):d},g.tickPadding=function(t){return arguments.length?(h=+t,g):h},g}function te(t){return ee(G,t)}function ie(t){return ee(W,t)}var ne={value:function(){}};function re(){for(var t,n=0,r=arguments.length,a={};n<r;++n){if(!(t=arguments[n]+"")||t in a||/[\s.]/.test(t))throw new Error("illegal type: "+t);a[t]=[]}return new oe(a)}function oe(t){this._=t}function ae(t,n){for(var r,a=0,s=t.length;a<s;++a)if((r=t[a]).name===n)return r.value}function se(t,n,r){for(var a=0,s=t.length;a<s;++a)if(t[a].name===n){t[a]=ne,t=t.slice(0,a).concat(t.slice(a+1));break}return null!=r&&t.push({name:n,value:r}),t}oe.prototype=re.prototype={constructor:oe,on:function(t,n){var r,a,s=this._,l=(a=s,(t+"").trim().split(/^|\s+/).map((function(t){var n="",r=t.indexOf(".");if(r>=0&&(n=t.slice(r+1),t=t.slice(0,r)),t&&!a.hasOwnProperty(t))throw new Error("unknown type: "+t);return{type:t,name:n}}))),d=-1,h=l.length;if(!(arguments.length<2)){if(null!=n&&"function"!=typeof n)throw new Error("invalid callback: "+n);for(;++d<h;)if(r=(t=l[d]).type)s[r]=se(s[r],t.name,n);else if(null==n)for(r in s)s[r]=se(s[r],t.name,null);return this}for(;++d<h;)if((r=(t=l[d]).type)&&(r=ae(s[r],t.name)))return r},copy:function(){var t={},n=this._;for(var r in n)t[r]=n[r].slice();return new oe(t)},call:function(t,n){if((r=arguments.length-2)>0)for(var r,a,s=new Array(r),l=0;l<r;++l)s[l]=arguments[l+2];if(!this._.hasOwnProperty(t))throw new Error("unknown type: "+t);for(l=0,r=(a=this._[t]).length;l<r;++l)a[l].value.apply(n,s)},apply:function(t,n,r){if(!this._.hasOwnProperty(t))throw new Error("unknown type: "+t);for(var a=this._[t],s=0,l=a.length;s<l;++s)a[s].value.apply(n,r)}};const le=re;function ce(){}function de(t){return null==t?ce:function(){return this.querySelector(t)}}function ue(){return[]}function he(t){return null==t?ue:function(){return this.querySelectorAll(t)}}function pe(t){return function(){return this.matches(t)}}function fe(t){return new Array(t.length)}function me(t,n){this.ownerDocument=t.ownerDocument,this.namespaceURI=t.namespaceURI,this._next=null,this._parent=t,this.__data__=n}me.prototype={constructor:me,appendChild:function(t){return this._parent.insertBefore(t,this._next)},insertBefore:function(t,n){return this._parent.insertBefore(t,n)},querySelector:function(t){return this._parent.querySelector(t)},querySelectorAll:function(t){return this._parent.querySelectorAll(t)}};var ge="$";function ve(t,n,r,a,s,l){for(var d,h=0,p=n.length,f=l.length;h<f;++h)(d=n[h])?(d.__data__=l[h],a[h]=d):r[h]=new me(t,l[h]);for(;h<p;++h)(d=n[h])&&(s[h]=d)}function ye(t,n,r,a,s,l,d){var h,p,f,m={},g=n.length,v=l.length,y=new Array(g);for(h=0;h<g;++h)(p=n[h])&&(y[h]=f=ge+d.call(p,p.__data__,h,n),f in m?s[h]=p:m[f]=p);for(h=0;h<v;++h)(p=m[f=ge+d.call(t,l[h],h,l)])?(a[h]=p,p.__data__=l[h],m[f]=null):r[h]=new me(t,l[h]);for(h=0;h<g;++h)(p=n[h])&&m[y[h]]===p&&(s[h]=p)}function be(t,n){return t<n?-1:t>n?1:t>=n?0:NaN}var xe="http://www.w3.org/1999/xhtml";const we={svg:"http://www.w3.org/2000/svg",xhtml:xe,xlink:"http://www.w3.org/1999/xlink",xml:"http://www.w3.org/XML/1998/namespace",xmlns:"http://www.w3.org/2000/xmlns/"};function Se(t){var n=t+="",r=n.indexOf(":");return r>=0&&"xmlns"!==(n=t.slice(0,r))&&(t=t.slice(r+1)),we.hasOwnProperty(n)?{space:we[n],local:t}:t}function _e(t){return function(){this.removeAttribute(t)}}function Me(t){return function(){this.removeAttributeNS(t.space,t.local)}}function Te(t,n){return function(){this.setAttribute(t,n)}}function Ee(t,n){return function(){this.setAttributeNS(t.space,t.local,n)}}function Ce(t,n){return function(){var r=n.apply(this,arguments);null==r?this.removeAttribute(t):this.setAttribute(t,r)}}function Ae(t,n){return function(){var r=n.apply(this,arguments);null==r?this.removeAttributeNS(t.space,t.local):this.setAttributeNS(t.space,t.local,r)}}function ke(t){return t.ownerDocument&&t.ownerDocument.defaultView||t.document&&t||t.defaultView}function Oe(t){return function(){this.style.removeProperty(t)}}function Re(t,n,r){return function(){this.style.setProperty(t,n,r)}}function Ie(t,n,r){return function(){var a=n.apply(this,arguments);null==a?this.style.removeProperty(t):this.style.setProperty(t,a,r)}}function Pe(t,n){return t.style.getPropertyValue(n)||ke(t).getComputedStyle(t,null).getPropertyValue(n)}function Le(t){return function(){delete this[t]}}function De(t,n){return function(){this[t]=n}}function Fe(t,n){return function(){var r=n.apply(this,arguments);null==r?delete this[t]:this[t]=r}}function Ne(t){return t.trim().split(/^|\s+/)}function Be(t){return t.classList||new ze(t)}function ze(t){this._node=t,this._names=Ne(t.getAttribute("class")||"")}function $e(t,n){for(var r=Be(t),a=-1,s=n.length;++a<s;)r.add(n[a])}function je(t,n){for(var r=Be(t),a=-1,s=n.length;++a<s;)r.remove(n[a])}function Ve(t){return function(){$e(this,t)}}function Ue(t){return function(){je(this,t)}}function Ge(t,n){return function(){(n.apply(this,arguments)?$e:je)(this,t)}}function He(){this.textContent=""}function We(t){return function(){this.textContent=t}}function qe(t){return function(){var n=t.apply(this,arguments);this.textContent=null==n?"":n}}function Xe(){this.innerHTML=""}function Ye(t){return function(){this.innerHTML=t}}function Ze(t){return function(){var n=t.apply(this,arguments);this.innerHTML=null==n?"":n}}function Ke(){this.nextSibling&&this.parentNode.appendChild(this)}function Je(){this.previousSibling&&this.parentNode.insertBefore(this,this.parentNode.firstChild)}function Qe(t){return function(){var n=this.ownerDocument,r=this.namespaceURI;return r===xe&&n.documentElement.namespaceURI===xe?n.createElement(t):n.createElementNS(r,t)}}function et(t){return function(){return this.ownerDocument.createElementNS(t.space,t.local)}}function tt(t){var n=Se(t);return(n.local?et:Qe)(n)}function it(){return null}function nt(){var t=this.parentNode;t&&t.removeChild(this)}function rt(){var t=this.cloneNode(!1),n=this.parentNode;return n?n.insertBefore(t,this.nextSibling):t}function ot(){var t=this.cloneNode(!0),n=this.parentNode;return n?n.insertBefore(t,this.nextSibling):t}ze.prototype={add:function(t){this._names.indexOf(t)<0&&(this._names.push(t),this._node.setAttribute("class",this._names.join(" ")))},remove:function(t){var n=this._names.indexOf(t);n>=0&&(this._names.splice(n,1),this._node.setAttribute("class",this._names.join(" ")))},contains:function(t){return this._names.indexOf(t)>=0}};var at={},st=null;"undefined"!=typeof document&&("onmouseenter"in document.documentElement||(at={mouseenter:"mouseover",mouseleave:"mouseout"}));function lt(t,n,r){return t=ct(t,n,r),function(n){var r=n.relatedTarget;r&&(r===this||8&r.compareDocumentPosition(this))||t.call(this,n)}}function ct(t,n,r){return function(a){var s=st;st=a;try{t.call(this,this.__data__,n,r)}finally{st=s}}}function dt(t){return function(){var n=this.__on;if(n){for(var r,a=0,s=-1,l=n.length;a<l;++a)r=n[a],t.type&&r.type!==t.type||r.name!==t.name?n[++s]=r:this.removeEventListener(r.type,r.listener,r.capture);++s?n.length=s:delete this.__on}}}function ut(t,n,r){var a=at.hasOwnProperty(t.type)?lt:ct;return function(s,l,d){var h,p=this.__on,f=a(n,l,d);if(p)for(var m=0,g=p.length;m<g;++m)if((h=p[m]).type===t.type&&h.name===t.name)return this.removeEventListener(h.type,h.listener,h.capture),this.addEventListener(h.type,h.listener=f,h.capture=r),void(h.value=n);this.addEventListener(t.type,f,r),h={type:t.type,name:t.name,value:n,listener:f,capture:r},p?p.push(h):this.__on=[h]}}function ht(t,n,r){var a=ke(t),s=a.CustomEvent;"function"==typeof s?s=new s(n,r):(s=a.document.createEvent("Event"),r?(s.initEvent(n,r.bubbles,r.cancelable),s.detail=r.detail):s.initEvent(n,!1,!1)),t.dispatchEvent(s)}function pt(t,n){return function(){return ht(this,t,n)}}function ft(t,n){return function(){return ht(this,t,n.apply(this,arguments))}}var mt=[null];function gt(t,n){this._groups=t,this._parents=n}function vt(){return new gt([[document.documentElement]],mt)}gt.prototype=vt.prototype={constructor:gt,select:function(t){"function"!=typeof t&&(t=de(t));for(var n=this._groups,r=n.length,a=new Array(r),s=0;s<r;++s)for(var l,d,h=n[s],p=h.length,f=a[s]=new Array(p),m=0;m<p;++m)(l=h[m])&&(d=t.call(l,l.__data__,m,h))&&("__data__"in l&&(d.__data__=l.__data__),f[m]=d);return new gt(a,this._parents)},selectAll:function(t){"function"!=typeof t&&(t=he(t));for(var n=this._groups,r=n.length,a=[],s=[],l=0;l<r;++l)for(var d,h=n[l],p=h.length,f=0;f<p;++f)(d=h[f])&&(a.push(t.call(d,d.__data__,f,h)),s.push(d));return new gt(a,s)},filter:function(t){"function"!=typeof t&&(t=pe(t));for(var n=this._groups,r=n.length,a=new Array(r),s=0;s<r;++s)for(var l,d=n[s],h=d.length,p=a[s]=[],f=0;f<h;++f)(l=d[f])&&t.call(l,l.__data__,f,d)&&p.push(l);return new gt(a,this._parents)},data:function(t,n){if(!t)return y=new Array(this.size()),f=-1,this.each((function(t){y[++f]=t})),y;var r=n?ye:ve,a=this._parents,s=this._groups;"function"!=typeof t&&(t=function(t){return function(){return t}}(t));for(var l=s.length,d=new Array(l),h=new Array(l),p=new Array(l),f=0;f<l;++f){var m=a[f],g=s[f],v=g.length,y=t.call(m,m&&m.__data__,f,a),b=y.length,x=h[f]=new Array(b),w=d[f]=new Array(b);r(m,g,x,w,p[f]=new Array(v),y,n);for(var S,_,T=0,E=0;T<b;++T)if(S=x[T]){for(T>=E&&(E=T+1);!(_=w[E])&&++E<b;);S._next=_||null}}return(d=new gt(d,a))._enter=h,d._exit=p,d},enter:function(){return new gt(this._enter||this._groups.map(fe),this._parents)},exit:function(){return new gt(this._exit||this._groups.map(fe),this._parents)},join:function(t,n,r){var a=this.enter(),s=this,l=this.exit();return a="function"==typeof t?t(a):a.append(t+""),null!=n&&(s=n(s)),null==r?l.remove():r(l),a&&s?a.merge(s).order():s},merge:function(t){for(var n=this._groups,r=t._groups,a=n.length,s=r.length,l=Math.min(a,s),d=new Array(a),h=0;h<l;++h)for(var p,f=n[h],m=r[h],g=f.length,v=d[h]=new Array(g),y=0;y<g;++y)(p=f[y]||m[y])&&(v[y]=p);for(;h<a;++h)d[h]=n[h];return new gt(d,this._parents)},order:function(){for(var t=this._groups,n=-1,r=t.length;++n<r;)for(var a,s=t[n],l=s.length-1,d=s[l];--l>=0;)(a=s[l])&&(d&&4^a.compareDocumentPosition(d)&&d.parentNode.insertBefore(a,d),d=a);return this},sort:function(t){function n(n,r){return n&&r?t(n.__data__,r.__data__):!n-!r}t||(t=be);for(var r=this._groups,a=r.length,s=new Array(a),l=0;l<a;++l){for(var d,h=r[l],p=h.length,f=s[l]=new Array(p),m=0;m<p;++m)(d=h[m])&&(f[m]=d);f.sort(n)}return new gt(s,this._parents).order()},call:function(){var t=arguments[0];return arguments[0]=this,t.apply(null,arguments),this},nodes:function(){var t=new Array(this.size()),n=-1;return this.each((function(){t[++n]=this})),t},node:function(){for(var t=this._groups,n=0,r=t.length;n<r;++n)for(var a=t[n],s=0,l=a.length;s<l;++s){var d=a[s];if(d)return d}return null},size:function(){var t=0;return this.each((function(){++t})),t},empty:function(){return!this.node()},each:function(t){for(var n=this._groups,r=0,a=n.length;r<a;++r)for(var s,l=n[r],d=0,h=l.length;d<h;++d)(s=l[d])&&t.call(s,s.__data__,d,l);return this},attr:function(t,n){var r=Se(t);if(arguments.length<2){var a=this.node();return r.local?a.getAttributeNS(r.space,r.local):a.getAttribute(r)}return this.each((null==n?r.local?Me:_e:"function"==typeof n?r.local?Ae:Ce:r.local?Ee:Te)(r,n))},style:function(t,n,r){return arguments.length>1?this.each((null==n?Oe:"function"==typeof n?Ie:Re)(t,n,null==r?"":r)):Pe(this.node(),t)},property:function(t,n){return arguments.length>1?this.each((null==n?Le:"function"==typeof n?Fe:De)(t,n)):this.node()[t]},classed:function(t,n){var r=Ne(t+"");if(arguments.length<2){for(var a=Be(this.node()),s=-1,l=r.length;++s<l;)if(!a.contains(r[s]))return!1;return!0}return this.each(("function"==typeof n?Ge:n?Ve:Ue)(r,n))},text:function(t){return arguments.length?this.each(null==t?He:("function"==typeof t?qe:We)(t)):this.node().textContent},html:function(t){return arguments.length?this.each(null==t?Xe:("function"==typeof t?Ze:Ye)(t)):this.node().innerHTML},raise:function(){return this.each(Ke)},lower:function(){return this.each(Je)},append:function(t){var n="function"==typeof t?t:tt(t);return this.select((function(){return this.appendChild(n.apply(this,arguments))}))},insert:function(t,n){var r="function"==typeof t?t:tt(t),a=null==n?it:"function"==typeof n?n:de(n);return this.select((function(){return this.insertBefore(r.apply(this,arguments),a.apply(this,arguments)||null)}))},remove:function(){return this.each(nt)},clone:function(t){return this.select(t?ot:rt)},datum:function(t){return arguments.length?this.property("__data__",t):this.node().__data__},on:function(t,n,r){var a,s,l=function(t){return t.trim().split(/^|\s+/).map((function(t){var n="",r=t.indexOf(".");return r>=0&&(n=t.slice(r+1),t=t.slice(0,r)),{type:t,name:n}}))}(t+""),d=l.length;if(!(arguments.length<2)){for(h=n?ut:dt,null==r&&(r=!1),a=0;a<d;++a)this.each(h(l[a],n,r));return this}var h=this.node().__on;if(h)for(var p,f=0,m=h.length;f<m;++f)for(a=0,p=h[f];a<d;++a)if((s=l[a]).type===p.type&&s.name===p.name)return p.value},dispatch:function(t,n){return this.each(("function"==typeof n?ft:pt)(t,n))}};const yt=vt;function bt(t){return"string"==typeof t?new gt([[document.querySelector(t)]],[document.documentElement]):new gt([[t]],mt)}function xt(){st.preventDefault(),st.stopImmediatePropagation()}function wt(t,n,r){t.prototype=n.prototype=r,r.constructor=t}function St(t,n){var r=Object.create(t.prototype);for(var a in n)r[a]=n[a];return r}function _t(){}var Mt=.7,Tt=1/Mt,Et="\\s*([+-]?\\d+)\\s*",Ct="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)\\s*",At="\\s*([+-]?\\d*\\.?\\d+(?:[eE][+-]?\\d+)?)%\\s*",kt=/^#([0-9a-f]{3,8})$/,Ot=new RegExp("^rgb\\("+[Et,Et,Et]+"\\)$"),Rt=new RegExp("^rgb\\("+[At,At,At]+"\\)$"),It=new RegExp("^rgba\\("+[Et,Et,Et,Ct]+"\\)$"),Pt=new RegExp("^rgba\\("+[At,At,At,Ct]+"\\)$"),Lt=new RegExp("^hsl\\("+[Ct,At,At]+"\\)$"),Dt=new RegExp("^hsla\\("+[Ct,At,At,Ct]+"\\)$"),Ft={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074};function Nt(){return this.rgb().formatHex()}function Bt(){return this.rgb().formatRgb()}function zt(t){var n,r;return t=(t+"").trim().toLowerCase(),(n=kt.exec(t))?(r=n[1].length,n=parseInt(n[1],16),6===r?$t(n):3===r?new Gt(n>>8&15|n>>4&240,n>>4&15|240&n,(15&n)<<4|15&n,1):8===r?jt(n>>24&255,n>>16&255,n>>8&255,(255&n)/255):4===r?jt(n>>12&15|n>>8&240,n>>8&15|n>>4&240,n>>4&15|240&n,((15&n)<<4|15&n)/255):null):(n=Ot.exec(t))?new Gt(n[1],n[2],n[3],1):(n=Rt.exec(t))?new Gt(255*n[1]/100,255*n[2]/100,255*n[3]/100,1):(n=It.exec(t))?jt(n[1],n[2],n[3],n[4]):(n=Pt.exec(t))?jt(255*n[1]/100,255*n[2]/100,255*n[3]/100,n[4]):(n=Lt.exec(t))?Xt(n[1],n[2]/100,n[3]/100,1):(n=Dt.exec(t))?Xt(n[1],n[2]/100,n[3]/100,n[4]):Ft.hasOwnProperty(t)?$t(Ft[t]):"transparent"===t?new Gt(NaN,NaN,NaN,0):null}function $t(t){return new Gt(t>>16&255,t>>8&255,255&t,1)}function jt(t,n,r,a){return a<=0&&(t=n=r=NaN),new Gt(t,n,r,a)}function Vt(t){return t instanceof _t||(t=zt(t)),t?new Gt((t=t.rgb()).r,t.g,t.b,t.opacity):new Gt}function Ut(t,n,r,a){return 1===arguments.length?Vt(t):new Gt(t,n,r,null==a?1:a)}function Gt(t,n,r,a){this.r=+t,this.g=+n,this.b=+r,this.opacity=+a}function Ht(){return"#"+qt(this.r)+qt(this.g)+qt(this.b)}function Wt(){var t=this.opacity;return(1===(t=isNaN(t)?1:Math.max(0,Math.min(1,t)))?"rgb(":"rgba(")+Math.max(0,Math.min(255,Math.round(this.r)||0))+", "+Math.max(0,Math.min(255,Math.round(this.g)||0))+", "+Math.max(0,Math.min(255,Math.round(this.b)||0))+(1===t?")":", "+t+")")}function qt(t){return((t=Math.max(0,Math.min(255,Math.round(t)||0)))<16?"0":"")+t.toString(16)}function Xt(t,n,r,a){return a<=0?t=n=r=NaN:r<=0||r>=1?t=n=NaN:n<=0&&(t=NaN),new Zt(t,n,r,a)}function Yt(t){if(t instanceof Zt)return new Zt(t.h,t.s,t.l,t.opacity);if(t instanceof _t||(t=zt(t)),!t)return new Zt;if(t instanceof Zt)return t;var n=(t=t.rgb()).r/255,r=t.g/255,a=t.b/255,s=Math.min(n,r,a),l=Math.max(n,r,a),d=NaN,h=l-s,p=(l+s)/2;return h?(d=n===l?(r-a)/h+6*(r<a):r===l?(a-n)/h+2:(n-r)/h+4,h/=p<.5?l+s:2-l-s,d*=60):h=p>0&&p<1?0:d,new Zt(d,h,p,t.opacity)}function Zt(t,n,r,a){this.h=+t,this.s=+n,this.l=+r,this.opacity=+a}function Kt(t,n,r){return 255*(t<60?n+(r-n)*t/60:t<180?r:t<240?n+(r-n)*(240-t)/60:n)}function Jt(t,n,r,a,s){var l=t*t,d=l*t;return((1-3*t+3*l-d)*n+(4-6*l+3*d)*r+(1+3*t+3*l-3*d)*a+d*s)/6}function Qt(t){return function(){return t}}function ei(t,n){return function(r){return t+r*n}}function ti(t){return 1==(t=+t)?ii:function(n,r){return r-n?function(t,n,r){return t=Math.pow(t,r),n=Math.pow(n,r)-t,r=1/r,function(a){return Math.pow(t+a*n,r)}}(n,r,t):Qt(isNaN(n)?r:n)}}function ii(t,n){var r=n-t;return r?ei(t,r):Qt(isNaN(t)?n:t)}wt(_t,zt,{copy:function(t){return Object.assign(new this.constructor,this,t)},displayable:function(){return this.rgb().displayable()},hex:Nt,formatHex:Nt,formatHsl:function(){return Yt(this).formatHsl()},formatRgb:Bt,toString:Bt}),wt(Gt,Ut,St(_t,{brighter:function(t){return t=null==t?Tt:Math.pow(Tt,t),new Gt(this.r*t,this.g*t,this.b*t,this.opacity)},darker:function(t){return t=null==t?Mt:Math.pow(Mt,t),new Gt(this.r*t,this.g*t,this.b*t,this.opacity)},rgb:function(){return this},displayable:function(){return-.5<=this.r&&this.r<255.5&&-.5<=this.g&&this.g<255.5&&-.5<=this.b&&this.b<255.5&&0<=this.opacity&&this.opacity<=1},hex:Ht,formatHex:Ht,formatRgb:Wt,toString:Wt})),wt(Zt,(function(t,n,r,a){return 1===arguments.length?Yt(t):new Zt(t,n,r,null==a?1:a)}),St(_t,{brighter:function(t){return t=null==t?Tt:Math.pow(Tt,t),new Zt(this.h,this.s,this.l*t,this.opacity)},darker:function(t){return t=null==t?Mt:Math.pow(Mt,t),new Zt(this.h,this.s,this.l*t,this.opacity)},rgb:function(){var t=this.h%360+360*(this.h<0),n=isNaN(t)||isNaN(this.s)?0:this.s,r=this.l,a=r+(r<.5?r:1-r)*n,s=2*r-a;return new Gt(Kt(t>=240?t-240:t+120,s,a),Kt(t,s,a),Kt(t<120?t+240:t-120,s,a),this.opacity)},displayable:function(){return(0<=this.s&&this.s<=1||isNaN(this.s))&&0<=this.l&&this.l<=1&&0<=this.opacity&&this.opacity<=1},formatHsl:function(){var t=this.opacity;return(1===(t=isNaN(t)?1:Math.max(0,Math.min(1,t)))?"hsl(":"hsla(")+(this.h||0)+", "+100*(this.s||0)+"%, "+100*(this.l||0)+"%"+(1===t?")":", "+t+")")}}));const ni=function t(n){var r=ti(n);function a(t,n){var a=r((t=Ut(t)).r,(n=Ut(n)).r),s=r(t.g,n.g),l=r(t.b,n.b),d=ii(t.opacity,n.opacity);return function(n){return t.r=a(n),t.g=s(n),t.b=l(n),t.opacity=d(n),t+""}}return a.gamma=t,a}(1);function ri(t){return function(n){var r,a,s=n.length,l=new Array(s),d=new Array(s),h=new Array(s);for(r=0;r<s;++r)a=Ut(n[r]),l[r]=a.r||0,d[r]=a.g||0,h[r]=a.b||0;return l=t(l),d=t(d),h=t(h),a.opacity=1,function(t){return a.r=l(t),a.g=d(t),a.b=h(t),a+""}}}var oi=ri((function(t){var n=t.length-1;return function(r){var a=r<=0?r=0:r>=1?(r=1,n-1):Math.floor(r*n),s=t[a],l=t[a+1],d=a>0?t[a-1]:2*s-l,h=a<n-1?t[a+2]:2*l-s;return Jt((r-a/n)*n,d,s,l,h)}}));ri((function(t){var n=t.length;return function(r){var a=Math.floor(((r%=1)<0?++r:r)*n),s=t[(a+n-1)%n],l=t[a%n],d=t[(a+1)%n],h=t[(a+2)%n];return Jt((r-a/n)*n,s,l,d,h)}}));function ai(t,n){var r,a=n?n.length:0,s=t?Math.min(a,t.length):0,l=new Array(s),d=new Array(a);for(r=0;r<s;++r)l[r]=fi(t[r],n[r]);for(;r<a;++r)d[r]=n[r];return function(t){for(r=0;r<s;++r)d[r]=l[r](t);return d}}function si(t,n){var r=new Date;return t=+t,n=+n,function(a){return r.setTime(t*(1-a)+n*a),r}}function li(t,n){return t=+t,n=+n,function(r){return t*(1-r)+n*r}}function ci(t,n){var r,a={},s={};for(r in null!==t&&"object"==typeof t||(t={}),null!==n&&"object"==typeof n||(n={}),n)r in t?a[r]=fi(t[r],n[r]):s[r]=n[r];return function(t){for(r in a)s[r]=a[r](t);return s}}var di=/[-+]?(?:\d+\.?\d*|\.?\d+)(?:[eE][-+]?\d+)?/g,ui=new RegExp(di.source,"g");function hi(t,n){var r,a,s,l=di.lastIndex=ui.lastIndex=0,d=-1,h=[],p=[];for(t+="",n+="";(r=di.exec(t))&&(a=ui.exec(n));)(s=a.index)>l&&(s=n.slice(l,s),h[d]?h[d]+=s:h[++d]=s),(r=r[0])===(a=a[0])?h[d]?h[d]+=a:h[++d]=a:(h[++d]=null,p.push({i:d,x:li(r,a)})),l=ui.lastIndex;return l<n.length&&(s=n.slice(l),h[d]?h[d]+=s:h[++d]=s),h.length<2?p[0]?function(t){return function(n){return t(n)+""}}(p[0].x):function(t){return function(){return t}}(n):(n=p.length,function(t){for(var r,a=0;a<n;++a)h[(r=p[a]).i]=r.x(t);return h.join("")})}function pi(t,n){n||(n=[]);var r,a=t?Math.min(n.length,t.length):0,s=n.slice();return function(l){for(r=0;r<a;++r)s[r]=t[r]*(1-l)+n[r]*l;return s}}function fi(t,n){var r,a=typeof n;return null==n||"boolean"===a?Qt(n):("number"===a?li:"string"===a?(r=zt(n))?(n=r,ni):hi:n instanceof zt?ni:n instanceof Date?si:function(t){return ArrayBuffer.isView(t)&&!(t instanceof DataView)}(n)?pi:Array.isArray(n)?ai:"function"!=typeof n.valueOf&&"function"!=typeof n.toString||isNaN(n)?ci:li)(t,n)}function mi(){for(var t,n=st;t=n.sourceEvent;)n=t;return n}function gi(t,n){var r=t.ownerSVGElement||t;if(r.createSVGPoint){var a=r.createSVGPoint();return a.x=n.clientX,a.y=n.clientY,[(a=a.matrixTransform(t.getScreenCTM().inverse())).x,a.y]}var s=t.getBoundingClientRect();return[n.clientX-s.left-t.clientLeft,n.clientY-s.top-t.clientTop]}function vi(t){var n=mi();return n.changedTouches&&(n=n.changedTouches[0]),gi(t,n)}var yi,bi,xi=0,wi=0,Si=0,_i=1e3,Mi=0,Ti=0,Ei=0,Ci="object"==typeof performance&&performance.now?performance:Date,Ai="object"==typeof window&&window.requestAnimationFrame?window.requestAnimationFrame.bind(window):function(t){setTimeout(t,17)};function ki(){return Ti||(Ai(Oi),Ti=Ci.now()+Ei)}function Oi(){Ti=0}function Ri(){this._call=this._time=this._next=null}function Ii(t,n,r){var a=new Ri;return a.restart(t,n,r),a}function Pi(){Ti=(Mi=Ci.now())+Ei,xi=wi=0;try{!function(){ki(),++xi;for(var t,n=yi;n;)(t=Ti-n._time)>=0&&n._call.call(null,t),n=n._next;--xi}()}finally{xi=0,function(){var t,n,r=yi,a=1/0;for(;r;)r._call?(a>r._time&&(a=r._time),t=r,r=r._next):(n=r._next,r._next=null,r=t?t._next=n:yi=n);bi=t,Di(a)}(),Ti=0}}function Li(){var t=Ci.now(),n=t-Mi;n>_i&&(Ei-=n,Mi=t)}function Di(t){xi||(wi&&(wi=clearTimeout(wi)),t-Ti>24?(t<1/0&&(wi=setTimeout(Pi,t-Ci.now()-Ei)),Si&&(Si=clearInterval(Si))):(Si||(Mi=Ci.now(),Si=setInterval(Li,_i)),xi=1,Ai(Pi)))}function Fi(t,n,r){var a=new Ri;return n=null==n?0:+n,a.restart((function(r){a.stop(),t(r+n)}),n,r),a}Ri.prototype=Ii.prototype={constructor:Ri,restart:function(t,n,r){if("function"!=typeof t)throw new TypeError("callback is not a function");r=(null==r?ki():+r)+(null==n?0:+n),this._next||bi===this||(bi?bi._next=this:yi=this,bi=this),this._call=t,this._time=r,Di()},stop:function(){this._call&&(this._call=null,this._time=1/0,Di())}};var Ni=le("start","end","cancel","interrupt"),Bi=[],zi=0,$i=1,ji=2,Vi=3,Ui=4,Gi=5,Hi=6;function Wi(t,n,r,a,s,l){var d=t.__transition;if(d){if(r in d)return}else t.__transition={};!function(t,n,r){var a,s=t.__transition;function l(t){r.state=$i,r.timer.restart(d,r.delay,r.time),r.delay<=t&&d(t-r.delay)}function d(l){var f,m,g,v;if(r.state!==$i)return p();for(f in s)if((v=s[f]).name===r.name){if(v.state===Vi)return Fi(d);v.state===Ui?(v.state=Hi,v.timer.stop(),v.on.call("interrupt",t,t.__data__,v.index,v.group),delete s[f]):+f<n&&(v.state=Hi,v.timer.stop(),v.on.call("cancel",t,t.__data__,v.index,v.group),delete s[f])}if(Fi((function(){r.state===Vi&&(r.state=Ui,r.timer.restart(h,r.delay,r.time),h(l))})),r.state=ji,r.on.call("start",t,t.__data__,r.index,r.group),r.state===ji){for(r.state=Vi,a=new Array(g=r.tween.length),f=0,m=-1;f<g;++f)(v=r.tween[f].value.call(t,t.__data__,r.index,r.group))&&(a[++m]=v);a.length=m+1}}function h(n){for(var s=n<r.duration?r.ease.call(null,n/r.duration):(r.timer.restart(p),r.state=Gi,1),l=-1,d=a.length;++l<d;)a[l].call(t,s);r.state===Gi&&(r.on.call("end",t,t.__data__,r.index,r.group),p())}function p(){for(var a in r.state=Hi,r.timer.stop(),delete s[n],s)return;delete t.__transition}s[n]=r,r.timer=Ii(l,0,r.time)}(t,r,{name:n,index:a,group:s,on:Ni,tween:Bi,time:l.time,delay:l.delay,duration:l.duration,ease:l.ease,timer:null,state:zi})}function qi(t,n){var r=Yi(t,n);if(r.state>zi)throw new Error("too late; already scheduled");return r}function Xi(t,n){var r=Yi(t,n);if(r.state>Vi)throw new Error("too late; already running");return r}function Yi(t,n){var r=t.__transition;if(!r||!(r=r[n]))throw new Error("transition not found");return r}function Zi(t,n){var r,a,s,l=t.__transition,d=!0;if(l){for(s in n=null==n?null:n+"",l)(r=l[s]).name===n?(a=r.state>ji&&r.state<Gi,r.state=Hi,r.timer.stop(),r.on.call(a?"interrupt":"cancel",t,t.__data__,r.index,r.group),delete l[s]):d=!1;d&&delete t.__transition}}var Ki,Ji,Qi,en,tn=180/Math.PI,nn={translateX:0,translateY:0,rotate:0,skewX:0,scaleX:1,scaleY:1};function rn(t,n,r,a,s,l){var d,h,p;return(d=Math.sqrt(t*t+n*n))&&(t/=d,n/=d),(p=t*r+n*a)&&(r-=t*p,a-=n*p),(h=Math.sqrt(r*r+a*a))&&(r/=h,a/=h,p/=h),t*a<n*r&&(t=-t,n=-n,p=-p,d=-d),{translateX:s,translateY:l,rotate:Math.atan2(n,t)*tn,skewX:Math.atan(p)*tn,scaleX:d,scaleY:h}}function on(t,n,r,a){function s(t){return t.length?t.pop()+" ":""}return function(l,d){var h=[],p=[];return l=t(l),d=t(d),function(t,a,s,l,d,h){if(t!==s||a!==l){var p=d.push("translate(",null,n,null,r);h.push({i:p-4,x:li(t,s)},{i:p-2,x:li(a,l)})}else(s||l)&&d.push("translate("+s+n+l+r)}(l.translateX,l.translateY,d.translateX,d.translateY,h,p),function(t,n,r,l){t!==n?(t-n>180?n+=360:n-t>180&&(t+=360),l.push({i:r.push(s(r)+"rotate(",null,a)-2,x:li(t,n)})):n&&r.push(s(r)+"rotate("+n+a)}(l.rotate,d.rotate,h,p),function(t,n,r,l){t!==n?l.push({i:r.push(s(r)+"skewX(",null,a)-2,x:li(t,n)}):n&&r.push(s(r)+"skewX("+n+a)}(l.skewX,d.skewX,h,p),function(t,n,r,a,l,d){if(t!==r||n!==a){var h=l.push(s(l)+"scale(",null,",",null,")");d.push({i:h-4,x:li(t,r)},{i:h-2,x:li(n,a)})}else 1===r&&1===a||l.push(s(l)+"scale("+r+","+a+")")}(l.scaleX,l.scaleY,d.scaleX,d.scaleY,h,p),l=d=null,function(t){for(var n,r=-1,a=p.length;++r<a;)h[(n=p[r]).i]=n.x(t);return h.join("")}}}var an=on((function(t){return"none"===t?nn:(Ki||(Ki=document.createElement("DIV"),Ji=document.documentElement,Qi=document.defaultView),Ki.style.transform=t,t=Qi.getComputedStyle(Ji.appendChild(Ki),null).getPropertyValue("transform"),Ji.removeChild(Ki),rn(+(t=t.slice(7,-1).split(","))[0],+t[1],+t[2],+t[3],+t[4],+t[5]))}),"px, ","px)","deg)"),sn=on((function(t){return null==t?nn:(en||(en=document.createElementNS("http://www.w3.org/2000/svg","g")),en.setAttribute("transform",t),(t=en.transform.baseVal.consolidate())?rn((t=t.matrix).a,t.b,t.c,t.d,t.e,t.f):nn)}),", ",")",")");function ln(t,n){var r,a;return function(){var s=Xi(this,t),l=s.tween;if(l!==r)for(var d=0,h=(a=r=l).length;d<h;++d)if(a[d].name===n){(a=a.slice()).splice(d,1);break}s.tween=a}}function cn(t,n,r){var a,s;if("function"!=typeof r)throw new Error;return function(){var l=Xi(this,t),d=l.tween;if(d!==a){s=(a=d).slice();for(var h={name:n,value:r},p=0,f=s.length;p<f;++p)if(s[p].name===n){s[p]=h;break}p===f&&s.push(h)}l.tween=s}}function dn(t,n,r){var a=t._id;return t.each((function(){var t=Xi(this,a);(t.value||(t.value={}))[n]=r.apply(this,arguments)})),function(t){return Yi(t,a).value[n]}}function un(t,n){var r;return("number"==typeof n?li:n instanceof zt?ni:(r=zt(n))?(n=r,ni):hi)(t,n)}function hn(t){return function(){this.removeAttribute(t)}}function pn(t){return function(){this.removeAttributeNS(t.space,t.local)}}function fn(t,n,r){var a,s,l=r+"";return function(){var d=this.getAttribute(t);return d===l?null:d===a?s:s=n(a=d,r)}}function mn(t,n,r){var a,s,l=r+"";return function(){var d=this.getAttributeNS(t.space,t.local);return d===l?null:d===a?s:s=n(a=d,r)}}function gn(t,n,r){var a,s,l;return function(){var d,h,p=r(this);if(null!=p)return(d=this.getAttribute(t))===(h=p+"")?null:d===a&&h===s?l:(s=h,l=n(a=d,p));this.removeAttribute(t)}}function vn(t,n,r){var a,s,l;return function(){var d,h,p=r(this);if(null!=p)return(d=this.getAttributeNS(t.space,t.local))===(h=p+"")?null:d===a&&h===s?l:(s=h,l=n(a=d,p));this.removeAttributeNS(t.space,t.local)}}function yn(t,n){var r,a;function s(){var s=n.apply(this,arguments);return s!==a&&(r=(a=s)&&function(t,n){return function(r){this.setAttributeNS(t.space,t.local,n.call(this,r))}}(t,s)),r}return s._value=n,s}function bn(t,n){var r,a;function s(){var s=n.apply(this,arguments);return s!==a&&(r=(a=s)&&function(t,n){return function(r){this.setAttribute(t,n.call(this,r))}}(t,s)),r}return s._value=n,s}function xn(t,n){return function(){qi(this,t).delay=+n.apply(this,arguments)}}function wn(t,n){return n=+n,function(){qi(this,t).delay=n}}function Sn(t,n){return function(){Xi(this,t).duration=+n.apply(this,arguments)}}function _n(t,n){return n=+n,function(){Xi(this,t).duration=n}}var Mn=yt.prototype.constructor;function Tn(t){return function(){this.style.removeProperty(t)}}var En=0;function Cn(t,n,r,a){this._groups=t,this._parents=n,this._name=r,this._id=a}function An(){return++En}var kn=yt.prototype;Cn.prototype=function(t){return yt().transition(t)}.prototype={constructor:Cn,select:function(t){var n=this._name,r=this._id;"function"!=typeof t&&(t=de(t));for(var a=this._groups,s=a.length,l=new Array(s),d=0;d<s;++d)for(var h,p,f=a[d],m=f.length,g=l[d]=new Array(m),v=0;v<m;++v)(h=f[v])&&(p=t.call(h,h.__data__,v,f))&&("__data__"in h&&(p.__data__=h.__data__),g[v]=p,Wi(g[v],n,r,v,g,Yi(h,r)));return new Cn(l,this._parents,n,r)},selectAll:function(t){var n=this._name,r=this._id;"function"!=typeof t&&(t=he(t));for(var a=this._groups,s=a.length,l=[],d=[],h=0;h<s;++h)for(var p,f=a[h],m=f.length,g=0;g<m;++g)if(p=f[g]){for(var v,y=t.call(p,p.__data__,g,f),b=Yi(p,r),x=0,w=y.length;x<w;++x)(v=y[x])&&Wi(v,n,r,x,y,b);l.push(y),d.push(p)}return new Cn(l,d,n,r)},filter:function(t){"function"!=typeof t&&(t=pe(t));for(var n=this._groups,r=n.length,a=new Array(r),s=0;s<r;++s)for(var l,d=n[s],h=d.length,p=a[s]=[],f=0;f<h;++f)(l=d[f])&&t.call(l,l.__data__,f,d)&&p.push(l);return new Cn(a,this._parents,this._name,this._id)},merge:function(t){if(t._id!==this._id)throw new Error;for(var n=this._groups,r=t._groups,a=n.length,s=r.length,l=Math.min(a,s),d=new Array(a),h=0;h<l;++h)for(var p,f=n[h],m=r[h],g=f.length,v=d[h]=new Array(g),y=0;y<g;++y)(p=f[y]||m[y])&&(v[y]=p);for(;h<a;++h)d[h]=n[h];return new Cn(d,this._parents,this._name,this._id)},selection:function(){return new Mn(this._groups,this._parents)},transition:function(){for(var t=this._name,n=this._id,r=An(),a=this._groups,s=a.length,l=0;l<s;++l)for(var d,h=a[l],p=h.length,f=0;f<p;++f)if(d=h[f]){var m=Yi(d,n);Wi(d,t,r,f,h,{time:m.time+m.delay+m.duration,delay:0,duration:m.duration,ease:m.ease})}return new Cn(a,this._parents,t,r)},call:kn.call,nodes:kn.nodes,node:kn.node,size:kn.size,empty:kn.empty,each:kn.each,on:function(t,n){var r=this._id;return arguments.length<2?Yi(this.node(),r).on.on(t):this.each(function(t,n,r){var a,s,l=function(t){return(t+"").trim().split(/^|\s+/).every((function(t){var n=t.indexOf(".");return n>=0&&(t=t.slice(0,n)),!t||"start"===t}))}(n)?qi:Xi;return function(){var d=l(this,t),h=d.on;h!==a&&(s=(a=h).copy()).on(n,r),d.on=s}}(r,t,n))},attr:function(t,n){var r=Se(t),a="transform"===r?sn:un;return this.attrTween(t,"function"==typeof n?(r.local?vn:gn)(r,a,dn(this,"attr."+t,n)):null==n?(r.local?pn:hn)(r):(r.local?mn:fn)(r,a,n))},attrTween:function(t,n){var r="attr."+t;if(arguments.length<2)return(r=this.tween(r))&&r._value;if(null==n)return this.tween(r,null);if("function"!=typeof n)throw new Error;var a=Se(t);return this.tween(r,(a.local?yn:bn)(a,n))},style:function(t,n,r){var a="transform"==(t+="")?an:un;return null==n?this.styleTween(t,function(t,n){var r,a,s;return function(){var l=Pe(this,t),d=(this.style.removeProperty(t),Pe(this,t));return l===d?null:l===r&&d===a?s:s=n(r=l,a=d)}}(t,a)).on("end.style."+t,Tn(t)):"function"==typeof n?this.styleTween(t,function(t,n,r){var a,s,l;return function(){var d=Pe(this,t),h=r(this),p=h+"";return null==h&&(this.style.removeProperty(t),p=h=Pe(this,t)),d===p?null:d===a&&p===s?l:(s=p,l=n(a=d,h))}}(t,a,dn(this,"style."+t,n))).each(function(t,n){var r,a,s,l,d="style."+n,h="end."+d;return function(){var p=Xi(this,t),f=p.on,m=null==p.value[d]?l||(l=Tn(n)):void 0;f===r&&s===m||(a=(r=f).copy()).on(h,s=m),p.on=a}}(this._id,t)):this.styleTween(t,function(t,n,r){var a,s,l=r+"";return function(){var d=Pe(this,t);return d===l?null:d===a?s:s=n(a=d,r)}}(t,a,n),r).on("end.style."+t,null)},styleTween:function(t,n,r){var a="style."+(t+="");if(arguments.length<2)return(a=this.tween(a))&&a._value;if(null==n)return this.tween(a,null);if("function"!=typeof n)throw new Error;return this.tween(a,function(t,n,r){var a,s;function l(){var l=n.apply(this,arguments);return l!==s&&(a=(s=l)&&function(t,n,r){return function(a){this.style.setProperty(t,n.call(this,a),r)}}(t,l,r)),a}return l._value=n,l}(t,n,null==r?"":r))},text:function(t){return this.tween("text","function"==typeof t?function(t){return function(){var n=t(this);this.textContent=null==n?"":n}}(dn(this,"text",t)):function(t){return function(){this.textContent=t}}(null==t?"":t+""))},textTween:function(t){var n="text";if(arguments.length<1)return(n=this.tween(n))&&n._value;if(null==t)return this.tween(n,null);if("function"!=typeof t)throw new Error;return this.tween(n,function(t){var n,r;function a(){var a=t.apply(this,arguments);return a!==r&&(n=(r=a)&&function(t){return function(n){this.textContent=t.call(this,n)}}(a)),n}return a._value=t,a}(t))},remove:function(){return this.on("end.remove",function(t){return function(){var n=this.parentNode;for(var r in this.__transition)if(+r!==t)return;n&&n.removeChild(this)}}(this._id))},tween:function(t,n){var r=this._id;if(t+="",arguments.length<2){for(var a,s=Yi(this.node(),r).tween,l=0,d=s.length;l<d;++l)if((a=s[l]).name===t)return a.value;return null}return this.each((null==n?ln:cn)(r,t,n))},delay:function(t){var n=this._id;return arguments.length?this.each(("function"==typeof t?xn:wn)(n,t)):Yi(this.node(),n).delay},duration:function(t){var n=this._id;return arguments.length?this.each(("function"==typeof t?Sn:_n)(n,t)):Yi(this.node(),n).duration},ease:function(t){var n=this._id;return arguments.length?this.each(function(t,n){if("function"!=typeof n)throw new Error;return function(){Xi(this,t).ease=n}}(n,t)):Yi(this.node(),n).ease},end:function(){var t,n,r=this,a=r._id,s=r.size();return new Promise((function(l,d){var h={value:d},p={value:function(){0==--s&&l()}};r.each((function(){var r=Xi(this,a),s=r.on;s!==t&&((n=(t=s).copy())._.cancel.push(h),n._.interrupt.push(h),n._.end.push(p)),r.on=n}))}))}};var On={time:null,delay:0,duration:250,ease:function(t){return((t*=2)<=1?t*t*t:(t-=2)*t*t+2)/2}};function Rn(t,n){for(var r;!(r=t.__transition)||!(r=r[n]);)if(!(t=t.parentNode))return On.time=ki(),On;return r}yt.prototype.interrupt=function(t){return this.each((function(){Zi(this,t)}))},yt.prototype.transition=function(t){var n,r;t instanceof Cn?(n=t._id,t=t._name):(n=An(),(r=On).time=ki(),t=null==t?null:t+"");for(var a=this._groups,s=a.length,l=0;l<s;++l)for(var d,h=a[l],p=h.length,f=0;f<p;++f)(d=h[f])&&Wi(d,t,n,f,h,r||Rn(d,n));return new Cn(a,this._parents,t,n)};function In(t){return function(){return t}}function Pn(t,n,r){this.target=t,this.type=n,this.selection=r}function Ln(){st.stopImmediatePropagation()}function Dn(){st.preventDefault(),st.stopImmediatePropagation()}var Fn={name:"drag"},Nn={name:"space"},Bn={name:"handle"},zn={name:"center"};function $n(t){return[+t[0],+t[1]]}function jn(t){return[$n(t[0]),$n(t[1])]}function Vn(t){return function(n){return function(t,n,r){arguments.length<3&&(r=n,n=mi().changedTouches);for(var a,s=0,l=n?n.length:0;s<l;++s)if((a=n[s]).identifier===r)return gi(t,a);return null}(n,st.touches,t)}}var Un={name:"x",handles:["w","e"].map(Kn),input:function(t,n){return null==t?null:[[+t[0],n[0][1]],[+t[1],n[1][1]]]},output:function(t){return t&&[t[0][0],t[1][0]]}},Gn={name:"y",handles:["n","s"].map(Kn),input:function(t,n){return null==t?null:[[n[0][0],+t[0]],[n[1][0],+t[1]]]},output:function(t){return t&&[t[0][1],t[1][1]]}},Hn={name:"xy",handles:["n","w","e","s","nw","ne","sw","se"].map(Kn),input:function(t){return null==t?null:jn(t)},output:function(t){return t}},Wn={overlay:"crosshair",selection:"move",n:"ns-resize",e:"ew-resize",s:"ns-resize",w:"ew-resize",nw:"nwse-resize",ne:"nesw-resize",se:"nwse-resize",sw:"nesw-resize"},qn={e:"w",w:"e",nw:"ne",ne:"nw",se:"sw",sw:"se"},Xn={n:"s",s:"n",nw:"sw",ne:"se",se:"ne",sw:"nw"},Yn={overlay:1,selection:1,n:null,e:1,s:null,w:-1,nw:-1,ne:1,se:1,sw:-1},Zn={overlay:1,selection:1,n:-1,e:null,s:1,w:null,nw:-1,ne:-1,se:1,sw:1};function Kn(t){return{type:t}}function Jn(){return!st.ctrlKey&&!st.button}function Qn(){var t=this.ownerSVGElement||this;return t.hasAttribute("viewBox")?[[(t=t.viewBox.baseVal).x,t.y],[t.x+t.width,t.y+t.height]]:[[0,0],[t.width.baseVal.value,t.height.baseVal.value]]}function er(){return navigator.maxTouchPoints||"ontouchstart"in this}function tr(t){for(;!t.__brush;)if(!(t=t.parentNode))return;return t.__brush}function ir(){return rr(Un)}function nr(){return rr(Hn)}function rr(t){var n,r=Qn,a=Jn,s=er,l=!0,d=le("start","brush","end"),h=6;function p(n){var r=n.property("__brush",x).selectAll(".overlay").data([Kn("overlay")]);r.enter().append("rect").attr("class","overlay").attr("pointer-events","all").attr("cursor",Wn.overlay).merge(r).each((function(){var t=tr(this).extent;bt(this).attr("x",t[0][0]).attr("y",t[0][1]).attr("width",t[1][0]-t[0][0]).attr("height",t[1][1]-t[0][1])})),n.selectAll(".selection").data([Kn("selection")]).enter().append("rect").attr("class","selection").attr("cursor",Wn.selection).attr("fill","#777").attr("fill-opacity",.3).attr("stroke","#fff").attr("shape-rendering","crispEdges");var a=n.selectAll(".handle").data(t.handles,(function(t){return t.type}));a.exit().remove(),a.enter().append("rect").attr("class",(function(t){return"handle handle--"+t.type})).attr("cursor",(function(t){return Wn[t.type]})),n.each(f).attr("fill","none").attr("pointer-events","all").on("mousedown.brush",v).filter(s).on("touchstart.brush",v).on("touchmove.brush",y).on("touchend.brush touchcancel.brush",b).style("touch-action","none").style("-webkit-tap-highlight-color","rgba(0,0,0,0)")}function f(){var t=bt(this),n=tr(this).selection;n?(t.selectAll(".selection").style("display",null).attr("x",n[0][0]).attr("y",n[0][1]).attr("width",n[1][0]-n[0][0]).attr("height",n[1][1]-n[0][1]),t.selectAll(".handle").style("display",null).attr("x",(function(t){return"e"===t.type[t.type.length-1]?n[1][0]-h/2:n[0][0]-h/2})).attr("y",(function(t){return"s"===t.type[0]?n[1][1]-h/2:n[0][1]-h/2})).attr("width",(function(t){return"n"===t.type||"s"===t.type?n[1][0]-n[0][0]+h:h})).attr("height",(function(t){return"e"===t.type||"w"===t.type?n[1][1]-n[0][1]+h:h}))):t.selectAll(".selection,.handle").style("display","none").attr("x",null).attr("y",null).attr("width",null).attr("height",null)}function m(t,n,r){return!r&&t.__brush.emitter||new g(t,n)}function g(t,n){this.that=t,this.args=n,this.state=t.__brush,this.active=0}function v(){if((!n||st.touches)&&a.apply(this,arguments)){var r,s,d,h,p,g,v,y,b,x,w,S=this,_=st.target.__data__.type,T="selection"===(l&&st.metaKey?_="overlay":_)?Fn:l&&st.altKey?zn:Bn,E=t===Gn?null:Yn[_],C=t===Un?null:Zn[_],A=tr(S),O=A.extent,I=A.selection,P=O[0][0],D=O[0][1],F=O[1][0],B=O[1][1],$=0,j=0,V=E&&C&&l&&st.shiftKey,U=st.touches?Vn(st.changedTouches[0].identifier):vi,G=U(S),W=G,q=m(S,arguments,!0).beforestart();"overlay"===_?(I&&(b=!0),A.selection=I=[[r=t===Gn?P:G[0],d=t===Un?D:G[1]],[p=t===Gn?F:r,v=t===Un?B:d]]):(r=I[0][0],d=I[0][1],p=I[1][0],v=I[1][1]),s=r,h=d,g=p,y=v;var X=bt(S).attr("pointer-events","none"),Y=X.selectAll(".overlay").attr("cursor",Wn[_]);if(st.touches)q.moved=J,q.ended=ee;else{var K=bt(st.view).on("mousemove.brush",J,!0).on("mouseup.brush",ee,!0);l&&K.on("keydown.brush",(function(){switch(st.keyCode){case 16:V=E&&C;break;case 18:T===Bn&&(E&&(p=g-$*E,r=s+$*E),C&&(v=y-j*C,d=h+j*C),T=zn,Q());break;case 32:T!==Bn&&T!==zn||(E<0?p=g-$:E>0&&(r=s-$),C<0?v=y-j:C>0&&(d=h-j),T=Nn,Y.attr("cursor",Wn.selection),Q());break;default:return}Dn()}),!0).on("keyup.brush",(function(){switch(st.keyCode){case 16:V&&(x=w=V=!1,Q());break;case 18:T===zn&&(E<0?p=g:E>0&&(r=s),C<0?v=y:C>0&&(d=h),T=Bn,Q());break;case 32:T===Nn&&(st.altKey?(E&&(p=g-$*E,r=s+$*E),C&&(v=y-j*C,d=h+j*C),T=zn):(E<0?p=g:E>0&&(r=s),C<0?v=y:C>0&&(d=h),T=Bn),Y.attr("cursor",Wn[_]),Q());break;default:return}Dn()}),!0),function(t){var n=t.document.documentElement,r=bt(t).on("dragstart.drag",xt,!0);"onselectstart"in n?r.on("selectstart.drag",xt,!0):(n.__noselect=n.style.MozUserSelect,n.style.MozUserSelect="none")}(st.view)}Ln(),Zi(S),f.call(S),q.start()}function J(){var t=U(S);!V||x||w||(Math.abs(t[0]-W[0])>Math.abs(t[1]-W[1])?w=!0:x=!0),W=t,b=!0,Dn(),Q()}function Q(){var t;switch($=W[0]-G[0],j=W[1]-G[1],T){case Nn:case Fn:E&&($=Math.max(P-r,Math.min(F-p,$)),s=r+$,g=p+$),C&&(j=Math.max(D-d,Math.min(B-v,j)),h=d+j,y=v+j);break;case Bn:E<0?($=Math.max(P-r,Math.min(F-r,$)),s=r+$,g=p):E>0&&($=Math.max(P-p,Math.min(F-p,$)),s=r,g=p+$),C<0?(j=Math.max(D-d,Math.min(B-d,j)),h=d+j,y=v):C>0&&(j=Math.max(D-v,Math.min(B-v,j)),h=d,y=v+j);break;case zn:E&&(s=Math.max(P,Math.min(F,r-$*E)),g=Math.max(P,Math.min(F,p+$*E))),C&&(h=Math.max(D,Math.min(B,d-j*C)),y=Math.max(D,Math.min(B,v+j*C)))}g<s&&(E*=-1,t=r,r=p,p=t,t=s,s=g,g=t,_ in qn&&Y.attr("cursor",Wn[_=qn[_]])),y<h&&(C*=-1,t=d,d=v,v=t,t=h,h=y,y=t,_ in Xn&&Y.attr("cursor",Wn[_=Xn[_]])),A.selection&&(I=A.selection),x&&(s=I[0][0],g=I[1][0]),w&&(h=I[0][1],y=I[1][1]),I[0][0]===s&&I[0][1]===h&&I[1][0]===g&&I[1][1]===y||(A.selection=[[s,h],[g,y]],f.call(S),q.brush())}function ee(){if(Ln(),st.touches){if(st.touches.length)return;n&&clearTimeout(n),n=setTimeout((function(){n=null}),500)}else!function(t,n){var r=t.document.documentElement,a=bt(t).on("dragstart.drag",null);n&&(a.on("click.drag",xt,!0),setTimeout((function(){a.on("click.drag",null)}),0)),"onselectstart"in r?a.on("selectstart.drag",null):(r.style.MozUserSelect=r.__noselect,delete r.__noselect)}(st.view,b),K.on("keydown.brush keyup.brush mousemove.brush mouseup.brush",null);X.attr("pointer-events","all"),Y.attr("cursor",Wn.overlay),A.selection&&(I=A.selection),function(t){return t[0][0]===t[1][0]||t[0][1]===t[1][1]}(I)&&(A.selection=null,f.call(S)),q.end()}}function y(){m(this,arguments).moved()}function b(){m(this,arguments).ended()}function x(){var n=this.__brush||{selection:null};return n.extent=jn(r.apply(this,arguments)),n.dim=t,n}return p.move=function(n,r){n.selection?n.on("start.brush",(function(){m(this,arguments).beforestart().start()})).on("interrupt.brush end.brush",(function(){m(this,arguments).end()})).tween("brush",(function(){var n=this,a=n.__brush,s=m(n,arguments),l=a.selection,d=t.input("function"==typeof r?r.apply(this,arguments):r,a.extent),h=fi(l,d);function p(t){a.selection=1===t&&null===d?null:h(t),f.call(n),s.brush()}return null!==l&&null!==d?p:p(1)})):n.each((function(){var n=this,a=arguments,s=n.__brush,l=t.input("function"==typeof r?r.apply(n,a):r,s.extent),d=m(n,a).beforestart();Zi(n),s.selection=null===l?null:l,f.call(n),d.start().brush().end()}))},p.clear=function(t){p.move(t,null)},g.prototype={beforestart:function(){return 1==++this.active&&(this.state.emitter=this,this.starting=!0),this},start:function(){return this.starting?(this.starting=!1,this.emit("start")):this.emit("brush"),this},brush:function(){return this.emit("brush"),this},end:function(){return 0==--this.active&&(delete this.state.emitter,this.emit("end")),this},emit:function(n){!function(t,n,r,a){var s=st;t.sourceEvent=st,st=t;try{return n.apply(r,a)}finally{st=s}}(new Pn(p,n,t.output(this.state.selection)),d.apply,d,[n,this.that,this.args])}},p.extent=function(t){return arguments.length?(r="function"==typeof t?t:In(jn(t)),p):r},p.filter=function(t){return arguments.length?(a="function"==typeof t?t:In(!!t),p):a},p.touchable=function(t){return arguments.length?(s="function"==typeof t?t:In(!!t),p):s},p.handleSize=function(t){return arguments.length?(h=+t,p):h},p.keyModifiers=function(t){return arguments.length?(l=!!t,p):l},p.on=function(){var t=d.on.apply(d,arguments);return t===d?p:t},p}Math.cos,Math.sin,Math.PI,Math.max;Array.prototype.slice;var or="$";function ar(){}function sr(t,n){var r=new ar;if(t instanceof ar)t.each((function(t,n){r.set(n,t)}));else if(Array.isArray(t)){var a,s=-1,l=t.length;if(null==n)for(;++s<l;)r.set(s,t[s]);else for(;++s<l;)r.set(n(a=t[s],s,t),a)}else if(t)for(var d in t)r.set(d,t[d]);return r}ar.prototype=sr.prototype={constructor:ar,has:function(t){return or+t in this},get:function(t){return this[or+t]},set:function(t,n){return this[or+t]=n,this},remove:function(t){var n=or+t;return n in this&&delete this[n]},clear:function(){for(var t in this)t[0]===or&&delete this[t]},keys:function(){var t=[];for(var n in this)n[0]===or&&t.push(n.slice(1));return t},values:function(){var t=[];for(var n in this)n[0]===or&&t.push(this[n]);return t},entries:function(){var t=[];for(var n in this)n[0]===or&&t.push({key:n.slice(1),value:this[n]});return t},size:function(){var t=0;for(var n in this)n[0]===or&&++t;return t},empty:function(){for(var t in this)if(t[0]===or)return!1;return!0},each:function(t){for(var n in this)n[0]===or&&t(this[n],n.slice(1),this)}};const lr=sr;function cr(){}var dr=lr.prototype;function ur(t,n){var r=new cr;if(t instanceof cr)t.each((function(t){r.add(t)}));else if(t){var a=-1,s=t.length;if(null==n)for(;++a<s;)r.add(t[a]);else for(;++a<s;)r.add(n(t[a],a,t))}return r}cr.prototype=ur.prototype={constructor:cr,has:dr.has,add:function(t){return this[or+(t+="")]=t,this},remove:dr.remove,clear:dr.clear,values:dr.keys,size:dr.size,empty:dr.empty,each:dr.each};Array.prototype.slice;Math.PI,Math.sqrt(5);var hr=Math.PI/180,pr=180/Math.PI,fr=.96422,mr=1,gr=.82521,vr=4/29,yr=6/29,br=3*yr*yr,xr=yr*yr*yr;function wr(t){if(t instanceof _r)return new _r(t.l,t.a,t.b,t.opacity);if(t instanceof kr)return Or(t);t instanceof Gt||(t=Vt(t));var n,r,a=Cr(t.r),s=Cr(t.g),l=Cr(t.b),d=Mr((.2225045*a+.7168786*s+.0606169*l)/mr);return a===s&&s===l?n=r=d:(n=Mr((.4360747*a+.3850649*s+.1430804*l)/fr),r=Mr((.0139322*a+.0971045*s+.7141733*l)/gr)),new _r(116*d-16,500*(n-d),200*(d-r),t.opacity)}function Sr(t,n,r,a){return 1===arguments.length?wr(t):new _r(t,n,r,null==a?1:a)}function _r(t,n,r,a){this.l=+t,this.a=+n,this.b=+r,this.opacity=+a}function Mr(t){return t>xr?Math.pow(t,1/3):t/br+vr}function Tr(t){return t>yr?t*t*t:br*(t-vr)}function Er(t){return 255*(t<=.0031308?12.92*t:1.055*Math.pow(t,1/2.4)-.055)}function Cr(t){return(t/=255)<=.04045?t/12.92:Math.pow((t+.055)/1.055,2.4)}function Ar(t){if(t instanceof kr)return new kr(t.h,t.c,t.l,t.opacity);if(t instanceof _r||(t=wr(t)),0===t.a&&0===t.b)return new kr(NaN,0<t.l&&t.l<100?0:NaN,t.l,t.opacity);var n=Math.atan2(t.b,t.a)*pr;return new kr(n<0?n+360:n,Math.sqrt(t.a*t.a+t.b*t.b),t.l,t.opacity)}function kr(t,n,r,a){this.h=+t,this.c=+n,this.l=+r,this.opacity=+a}function Or(t){if(isNaN(t.h))return new _r(t.l,0,0,t.opacity);var n=t.h*hr;return new _r(t.l,Math.cos(n)*t.c,Math.sin(n)*t.c,t.opacity)}function Rr(t,n){var r=ii((t=Sr(t)).l,(n=Sr(n)).l),a=ii(t.a,n.a),s=ii(t.b,n.b),l=ii(t.opacity,n.opacity);return function(n){return t.l=r(n),t.a=a(n),t.b=s(n),t.opacity=l(n),t+""}}function Ir(){return Math.random()}wt(_r,Sr,St(_t,{brighter:function(t){return new _r(this.l+18*(null==t?1:t),this.a,this.b,this.opacity)},darker:function(t){return new _r(this.l-18*(null==t?1:t),this.a,this.b,this.opacity)},rgb:function(){var t=(this.l+16)/116,n=isNaN(this.a)?t:t+this.a/500,r=isNaN(this.b)?t:t-this.b/200;return new Gt(Er(3.1338561*(n=fr*Tr(n))-1.6168667*(t=mr*Tr(t))-.4906146*(r=gr*Tr(r))),Er(-.9787684*n+1.9161415*t+.033454*r),Er(.0719453*n-.2289914*t+1.4052427*r),this.opacity)}})),wt(kr,(function(t,n,r,a){return 1===arguments.length?Ar(t):new kr(t,n,r,null==a?1:a)}),St(_t,{brighter:function(t){return new kr(this.h,this.c,this.l+18*(null==t?1:t),this.opacity)},darker:function(t){return new kr(this.h,this.c,this.l-18*(null==t?1:t),this.opacity)},rgb:function(){return Or(this).rgb()}}));(function t(n){function r(t,r){return t=null==t?0:+t,r=null==r?1:+r,1===arguments.length?(r=t,t=0):r-=t,function(){return n()*r+t}}return r.source=t,r})(Ir);const Pr=function t(n){function r(t,r){var a,s;return t=null==t?0:+t,r=null==r?1:+r,function(){var l;if(null!=a)l=a,a=null;else do{a=2*n()-1,l=2*n()-1,s=a*a+l*l}while(!s||s>1);return t+r*l*Math.sqrt(-2*Math.log(s)/s)}}return r.source=t,r}(Ir),Lr=(function t(n){function r(){var t=Pr.source(n).apply(this,arguments);return function(){return Math.exp(t())}}return r.source=t,r}(Ir),function t(n){function r(t){return function(){for(var r=0,a=0;a<t;++a)r+=n();return r}}return r.source=t,r}(Ir));(function t(n){function r(t){var r=Lr.source(n)(t);return function(){return r()/t}}return r.source=t,r})(Ir),function t(n){function r(t){return function(){return-Math.log(1-n())/t}}return r.source=t,r}(Ir);function Dr(t,n){switch(arguments.length){case 0:break;case 1:this.range(t);break;default:this.range(n).domain(t)}return this}function Fr(t,n){switch(arguments.length){case 0:break;case 1:this.interpolator(t);break;default:this.interpolator(n).domain(t)}return this}var Nr=Array.prototype,Br=Nr.map,zr=Nr.slice,$r={name:"implicit"};function jr(){var t=lr(),n=[],r=[],a=$r;function s(s){var l=s+"",d=t.get(l);if(!d){if(a!==$r)return a;t.set(l,d=n.push(s))}return r[(d-1)%r.length]}return s.domain=function(r){if(!arguments.length)return n.slice();n=[],t=lr();for(var a,l,d=-1,h=r.length;++d<h;)t.has(l=(a=r[d])+"")||t.set(l,n.push(a));return s},s.range=function(t){return arguments.length?(r=zr.call(t),s):r.slice()},s.unknown=function(t){return arguments.length?(a=t,s):a},s.copy=function(){return jr(n,r).unknown(a)},Dr.apply(s,arguments),s}function Vr(){var t,n,r=jr().unknown(void 0),a=r.domain,s=r.range,l=[0,1],d=!1,h=0,p=0,f=.5;function m(){var r=a().length,m=l[1]<l[0],g=l[m-0],v=l[1-m];t=(v-g)/Math.max(1,r-h+2*p),d&&(t=Math.floor(t)),g+=(v-g-t*(r-h))*f,n=t*(1-h),d&&(g=Math.round(g),n=Math.round(n));var y=x(r).map((function(n){return g+t*n}));return s(m?y.reverse():y)}return delete r.unknown,r.domain=function(t){return arguments.length?(a(t),m()):a()},r.range=function(t){return arguments.length?(l=[+t[0],+t[1]],m()):l.slice()},r.rangeRound=function(t){return l=[+t[0],+t[1]],d=!0,m()},r.bandwidth=function(){return n},r.step=function(){return t},r.round=function(t){return arguments.length?(d=!!t,m()):d},r.padding=function(t){return arguments.length?(h=Math.min(1,p=+t),m()):h},r.paddingInner=function(t){return arguments.length?(h=Math.min(1,t),m()):h},r.paddingOuter=function(t){return arguments.length?(p=+t,m()):p},r.align=function(t){return arguments.length?(f=Math.max(0,Math.min(1,t)),m()):f},r.copy=function(){return Vr(a(),l).round(d).paddingInner(h).paddingOuter(p).align(f)},Dr.apply(m(),arguments)}function Ur(t,n){return t=+t,n=+n,function(r){return Math.round(t*(1-r)+n*r)}}function Gr(t){return+t}var Hr=[0,1];function Wr(t){return t}function qr(t,n){return(n-=t=+t)?function(r){return(r-t)/n}:function(t){return function(){return t}}(isNaN(n)?NaN:.5)}function Xr(t){var n,r=t[0],a=t[t.length-1];return r>a&&(n=r,r=a,a=n),function(t){return Math.max(r,Math.min(a,t))}}function Yr(t,n,r){var a=t[0],s=t[1],l=n[0],d=n[1];return s<a?(a=qr(s,a),l=r(d,l)):(a=qr(a,s),l=r(l,d)),function(t){return l(a(t))}}function Zr(t,n,r){var a=Math.min(t.length,n.length)-1,s=new Array(a),l=new Array(a),d=-1;for(t[a]<t[0]&&(t=t.slice().reverse(),n=n.slice().reverse());++d<a;)s[d]=qr(t[d],t[d+1]),l[d]=r(n[d],n[d+1]);return function(n){var r=h(t,n,1,a)-1;return l[r](s[r](n))}}function Kr(t,n){return function(){var t,n,r,a,s,l,d=Hr,h=Hr,p=fi,f=Wr;function m(){return a=Math.min(d.length,h.length)>2?Zr:Yr,s=l=null,g}function g(n){return isNaN(n=+n)?r:(s||(s=a(d.map(t),h,p)))(t(f(n)))}return g.invert=function(r){return f(n((l||(l=a(h,d.map(t),li)))(r)))},g.domain=function(t){return arguments.length?(d=Br.call(t,Gr),f===Wr||(f=Xr(d)),m()):d.slice()},g.range=function(t){return arguments.length?(h=zr.call(t),m()):h.slice()},g.rangeRound=function(t){return h=zr.call(t),p=Ur,m()},g.clamp=function(t){return arguments.length?(f=t?Xr(d):Wr,g):f!==Wr},g.interpolate=function(t){return arguments.length?(p=t,m()):p},g.unknown=function(t){return arguments.length?(r=t,g):r},function(r,a){return t=r,n=a,m()}}()(t,n)}var Jr,Qr=/^(?:(.)?([<>=^]))?([+\-( ])?([$#])?(0)?(\d+)?(,)?(\.\d+)?(~)?([a-z%])?$/i;function eo(t){if(!(n=Qr.exec(t)))throw new Error("invalid format: "+t);var n;return new to({fill:n[1],align:n[2],sign:n[3],symbol:n[4],zero:n[5],width:n[6],comma:n[7],precision:n[8]&&n[8].slice(1),trim:n[9],type:n[10]})}function to(t){this.fill=void 0===t.fill?" ":t.fill+"",this.align=void 0===t.align?">":t.align+"",this.sign=void 0===t.sign?"-":t.sign+"",this.symbol=void 0===t.symbol?"":t.symbol+"",this.zero=!!t.zero,this.width=void 0===t.width?void 0:+t.width,this.comma=!!t.comma,this.precision=void 0===t.precision?void 0:+t.precision,this.trim=!!t.trim,this.type=void 0===t.type?"":t.type+""}function io(t,n){if((r=(t=n?t.toExponential(n-1):t.toExponential()).indexOf("e"))<0)return null;var r,a=t.slice(0,r);return[a.length>1?a[0]+a.slice(2):a,+t.slice(r+1)]}function no(t){return(t=io(Math.abs(t)))?t[1]:NaN}function ro(t,n){var r=io(t,n);if(!r)return t+"";var a=r[0],s=r[1];return s<0?"0."+new Array(-s).join("0")+a:a.length>s+1?a.slice(0,s+1)+"."+a.slice(s+1):a+new Array(s-a.length+2).join("0")}eo.prototype=to.prototype,to.prototype.toString=function(){return this.fill+this.align+this.sign+this.symbol+(this.zero?"0":"")+(void 0===this.width?"":Math.max(1,0|this.width))+(this.comma?",":"")+(void 0===this.precision?"":"."+Math.max(0,0|this.precision))+(this.trim?"~":"")+this.type};const oo={"%":function(t,n){return(100*t).toFixed(n)},b:function(t){return Math.round(t).toString(2)},c:function(t){return t+""},d:function(t){return Math.round(t).toString(10)},e:function(t,n){return t.toExponential(n)},f:function(t,n){return t.toFixed(n)},g:function(t,n){return t.toPrecision(n)},o:function(t){return Math.round(t).toString(8)},p:function(t,n){return ro(100*t,n)},r:ro,s:function(t,n){var r=io(t,n);if(!r)return t+"";var a=r[0],s=r[1],l=s-(Jr=3*Math.max(-8,Math.min(8,Math.floor(s/3))))+1,d=a.length;return l===d?a:l>d?a+new Array(l-d+1).join("0"):l>0?a.slice(0,l)+"."+a.slice(l):"0."+new Array(1-l).join("0")+io(t,Math.max(0,n+l-1))[0]},X:function(t){return Math.round(t).toString(16).toUpperCase()},x:function(t){return Math.round(t).toString(16)}};function ao(t){return t}var so,lo,co,uo=Array.prototype.map,ho=["y","z","a","f","p","n","µ","m","","k","M","G","T","P","E","Z","Y"];function po(t){var n,r,a=void 0===t.grouping||void 0===t.thousands?ao:(n=uo.call(t.grouping,Number),r=t.thousands+"",function(t,a){for(var s=t.length,l=[],d=0,h=n[0],p=0;s>0&&h>0&&(p+h+1>a&&(h=Math.max(1,a-p)),l.push(t.substring(s-=h,s+h)),!((p+=h+1)>a));)h=n[d=(d+1)%n.length];return l.reverse().join(r)}),s=void 0===t.currency?"":t.currency[0]+"",l=void 0===t.currency?"":t.currency[1]+"",d=void 0===t.decimal?".":t.decimal+"",h=void 0===t.numerals?ao:function(t){return function(n){return n.replace(/[0-9]/g,(function(n){return t[+n]}))}}(uo.call(t.numerals,String)),p=void 0===t.percent?"%":t.percent+"",f=void 0===t.minus?"-":t.minus+"",m=void 0===t.nan?"NaN":t.nan+"";function g(t){var n=(t=eo(t)).fill,r=t.align,g=t.sign,v=t.symbol,y=t.zero,b=t.width,x=t.comma,w=t.precision,S=t.trim,_=t.type;"n"===_?(x=!0,_="g"):oo[_]||(void 0===w&&(w=12),S=!0,_="g"),(y||"0"===n&&"="===r)&&(y=!0,n="0",r="=");var T="$"===v?s:"#"===v&&/[boxX]/.test(_)?"0"+_.toLowerCase():"",E="$"===v?l:/[%p]/.test(_)?p:"",C=oo[_],A=/[defgprs%]/.test(_);function O(t){var s,l,p,v=T,O=E;if("c"===_)O=C(t)+O,t="";else{var I=(t=+t)<0||1/t<0;if(t=isNaN(t)?m:C(Math.abs(t),w),S&&(t=function(t){e:for(var n,r=t.length,a=1,s=-1;a<r;++a)switch(t[a]){case".":s=n=a;break;case"0":0===s&&(s=a),n=a;break;default:if(!+t[a])break e;s>0&&(s=0)}return s>0?t.slice(0,s)+t.slice(n+1):t}(t)),I&&0==+t&&"+"!==g&&(I=!1),v=(I?"("===g?g:f:"-"===g||"("===g?"":g)+v,O=("s"===_?ho[8+Jr/3]:"")+O+(I&&"("===g?")":""),A)for(s=-1,l=t.length;++s<l;)if(48>(p=t.charCodeAt(s))||p>57){O=(46===p?d+t.slice(s+1):t.slice(s))+O,t=t.slice(0,s);break}}x&&!y&&(t=a(t,1/0));var P=v.length+t.length+O.length,D=P<b?new Array(b-P+1).join(n):"";switch(x&&y&&(t=a(D+t,D.length?b-O.length:1/0),D=""),r){case"<":t=v+t+O+D;break;case"=":t=v+D+t+O;break;case"^":t=D.slice(0,P=D.length>>1)+v+t+O+D.slice(P);break;default:t=D+v+t+O}return h(t)}return w=void 0===w?6:/[gprs]/.test(_)?Math.max(1,Math.min(21,w)):Math.max(0,Math.min(20,w)),O.toString=function(){return t+""},O}return{format:g,formatPrefix:function(t,n){var r=g(((t=eo(t)).type="f",t)),a=3*Math.max(-8,Math.min(8,Math.floor(no(n)/3))),s=Math.pow(10,-a),l=ho[8+a/3];return function(t){return r(s*t)+l}}}}function fo(t,n,r,a){var s,l=E(t,n,r);switch((a=eo(null==a?",f":a)).type){case"s":var d=Math.max(Math.abs(t),Math.abs(n));return null!=a.precision||isNaN(s=function(t,n){return Math.max(0,3*Math.max(-8,Math.min(8,Math.floor(no(n)/3)))-no(Math.abs(t)))}(l,d))||(a.precision=s),co(a,d);case"":case"e":case"g":case"p":case"r":null!=a.precision||isNaN(s=function(t,n){return t=Math.abs(t),n=Math.abs(n)-t,Math.max(0,no(n)-no(t))+1}(l,Math.max(Math.abs(t),Math.abs(n))))||(a.precision=s-("e"===a.type));break;case"f":case"%":null!=a.precision||isNaN(s=function(t){return Math.max(0,-no(Math.abs(t)))}(l))||(a.precision=s-2*("%"===a.type))}return lo(a)}function mo(t){var n=t.domain;return t.ticks=function(t){var r=n();return function(t,n,r){var a,s,l,d,h=-1;if(r=+r,(t=+t)==(n=+n)&&r>0)return[t];if((a=n<t)&&(s=t,t=n,n=s),0===(d=T(t,n,r))||!isFinite(d))return[];if(d>0)for(t=Math.ceil(t/d),n=Math.floor(n/d),l=new Array(s=Math.ceil(n-t+1));++h<s;)l[h]=(t+h)*d;else for(t=Math.floor(t*d),n=Math.ceil(n*d),l=new Array(s=Math.ceil(t-n+1));++h<s;)l[h]=(t-h)/d;return a&&l.reverse(),l}(r[0],r[r.length-1],null==t?10:t)},t.tickFormat=function(t,r){var a=n();return fo(a[0],a[a.length-1],null==t?10:t,r)},t.nice=function(r){null==r&&(r=10);var a,s=n(),l=0,d=s.length-1,h=s[l],p=s[d];return p<h&&(a=h,h=p,p=a,a=l,l=d,d=a),(a=T(h,p,r))>0?a=T(h=Math.floor(h/a)*a,p=Math.ceil(p/a)*a,r):a<0&&(a=T(h=Math.ceil(h*a)/a,p=Math.floor(p*a)/a,r)),a>0?(s[l]=Math.floor(h/a)*a,s[d]=Math.ceil(p/a)*a,n(s)):a<0&&(s[l]=Math.ceil(h*a)/a,s[d]=Math.floor(p*a)/a,n(s)),t},t}function go(){var t=Kr(Wr,Wr);return t.copy=function(){return n=t,go().domain(n.domain()).range(n.range()).interpolate(n.interpolate()).clamp(n.clamp()).unknown(n.unknown());var n},Dr.apply(t,arguments),mo(t)}so=po({decimal:".",thousands:",",grouping:[3],currency:["$",""],minus:"-"}),lo=so.format,co=so.formatPrefix;function vo(){var t,n,r,a,s,l=0,d=1,h=Wr,p=!1;function f(n){return isNaN(n=+n)?s:h(0===r?.5:(n=(a(n)-t)*r,p?Math.max(0,Math.min(1,n)):n))}return f.domain=function(s){return arguments.length?(t=a(l=+s[0]),n=a(d=+s[1]),r=t===n?0:1/(n-t),f):[l,d]},f.clamp=function(t){return arguments.length?(p=!!t,f):p},f.interpolator=function(t){return arguments.length?(h=t,f):h},f.unknown=function(t){return arguments.length?(s=t,f):s},function(s){return a=s,t=s(l),n=s(d),r=t===n?0:1/(n-t),f}}function yo(t,n){return n.domain(t.domain()).interpolator(t.interpolator()).clamp(t.clamp()).unknown(t.unknown())}function bo(){var t=mo(vo()(Wr));return t.copy=function(){return yo(t,bo())},Fr.apply(t,arguments)}var xo=Math.PI,wo=2*xo,So=1e-6,_o=wo-So;function Mo(){this._x0=this._y0=this._x1=this._y1=null,this._=""}function To(){return new Mo}Mo.prototype=To.prototype={constructor:Mo,moveTo:function(t,n){this._+="M"+(this._x0=this._x1=+t)+","+(this._y0=this._y1=+n)},closePath:function(){null!==this._x1&&(this._x1=this._x0,this._y1=this._y0,this._+="Z")},lineTo:function(t,n){this._+="L"+(this._x1=+t)+","+(this._y1=+n)},quadraticCurveTo:function(t,n,r,a){this._+="Q"+ +t+","+ +n+","+(this._x1=+r)+","+(this._y1=+a)},bezierCurveTo:function(t,n,r,a,s,l){this._+="C"+ +t+","+ +n+","+ +r+","+ +a+","+(this._x1=+s)+","+(this._y1=+l)},arcTo:function(t,n,r,a,s){t=+t,n=+n,r=+r,a=+a,s=+s;var l=this._x1,d=this._y1,h=r-t,p=a-n,f=l-t,m=d-n,g=f*f+m*m;if(s<0)throw new Error("negative radius: "+s);if(null===this._x1)this._+="M"+(this._x1=t)+","+(this._y1=n);else if(g>So)if(Math.abs(m*h-p*f)>So&&s){var v=r-l,y=a-d,b=h*h+p*p,x=v*v+y*y,w=Math.sqrt(b),S=Math.sqrt(g),_=s*Math.tan((xo-Math.acos((b+g-x)/(2*w*S)))/2),T=_/S,E=_/w;Math.abs(T-1)>So&&(this._+="L"+(t+T*f)+","+(n+T*m)),this._+="A"+s+","+s+",0,0,"+ +(m*v>f*y)+","+(this._x1=t+E*h)+","+(this._y1=n+E*p)}else this._+="L"+(this._x1=t)+","+(this._y1=n);else;},arc:function(t,n,r,a,s,l){t=+t,n=+n,l=!!l;var d=(r=+r)*Math.cos(a),h=r*Math.sin(a),p=t+d,f=n+h,m=1^l,g=l?a-s:s-a;if(r<0)throw new Error("negative radius: "+r);null===this._x1?this._+="M"+p+","+f:(Math.abs(this._x1-p)>So||Math.abs(this._y1-f)>So)&&(this._+="L"+p+","+f),r&&(g<0&&(g=g%wo+wo),g>_o?this._+="A"+r+","+r+",0,1,"+m+","+(t-d)+","+(n-h)+"A"+r+","+r+",0,1,"+m+","+(this._x1=p)+","+(this._y1=f):g>So&&(this._+="A"+r+","+r+",0,"+ +(g>=xo)+","+m+","+(this._x1=t+r*Math.cos(s))+","+(this._y1=n+r*Math.sin(s))))},rect:function(t,n,r,a){this._+="M"+(this._x0=this._x1=+t)+","+(this._y0=this._y1=+n)+"h"+ +r+"v"+ +a+"h"+-r+"Z"},toString:function(){return this._}};const Eo=To;function Co(t){return function(){return t}}function Ao(t){this._context=t}function ko(t){return new Ao(t)}function Oo(t){return t[0]}function Ro(t){return t[1]}function Io(){var t=Oo,n=Ro,r=Co(!0),a=null,s=ko,l=null;function d(d){var h,p,f,m=d.length,g=!1;for(null==a&&(l=s(f=Eo())),h=0;h<=m;++h)!(h<m&&r(p=d[h],h,d))===g&&((g=!g)?l.lineStart():l.lineEnd()),g&&l.point(+t(p,h,d),+n(p,h,d));if(f)return l=null,f+""||null}return d.x=function(n){return arguments.length?(t="function"==typeof n?n:Co(+n),d):t},d.y=function(t){return arguments.length?(n="function"==typeof t?t:Co(+t),d):n},d.defined=function(t){return arguments.length?(r="function"==typeof t?t:Co(!!t),d):r},d.curve=function(t){return arguments.length?(s=t,null!=a&&(l=s(a)),d):s},d.context=function(t){return arguments.length?(null==t?a=l=null:l=s(a=t),d):a},d}function Po(){this._=null}function Lo(t){t.U=t.C=t.L=t.R=t.P=t.N=null}function Do(t,n){var r=n,a=n.R,s=r.U;s?s.L===r?s.L=a:s.R=a:t._=a,a.U=s,r.U=a,r.R=a.L,r.R&&(r.R.U=r),a.L=r}function Fo(t,n){var r=n,a=n.L,s=r.U;s?s.L===r?s.L=a:s.R=a:t._=a,a.U=s,r.U=a,r.L=a.R,r.L&&(r.L.U=r),a.R=r}function No(t){for(;t.L;)t=t.L;return t}Ao.prototype={areaStart:function(){this._line=0},areaEnd:function(){this._line=NaN},lineStart:function(){this._point=0},lineEnd:function(){(this._line||0!==this._line&&1===this._point)&&this._context.closePath(),this._line=1-this._line},point:function(t,n){switch(t=+t,n=+n,this._point){case 0:this._point=1,this._line?this._context.lineTo(t,n):this._context.moveTo(t,n);break;case 1:this._point=2;default:this._context.lineTo(t,n)}}},Po.prototype={constructor:Po,insert:function(t,n){var r,a,s;if(t){if(n.P=t,n.N=t.N,t.N&&(t.N.P=n),t.N=n,t.R){for(t=t.R;t.L;)t=t.L;t.L=n}else t.R=n;r=t}else this._?(t=No(this._),n.P=null,n.N=t,t.P=t.L=n,r=t):(n.P=n.N=null,this._=n,r=null);for(n.L=n.R=null,n.U=r,n.C=!0,t=n;r&&r.C;)r===(a=r.U).L?(s=a.R)&&s.C?(r.C=s.C=!1,a.C=!0,t=a):(t===r.R&&(Do(this,r),r=(t=r).U),r.C=!1,a.C=!0,Fo(this,a)):(s=a.L)&&s.C?(r.C=s.C=!1,a.C=!0,t=a):(t===r.L&&(Fo(this,r),r=(t=r).U),r.C=!1,a.C=!0,Do(this,a)),r=t.U;this._.C=!1},remove:function(t){t.N&&(t.N.P=t.P),t.P&&(t.P.N=t.N),t.N=t.P=null;var n,r,a,s=t.U,l=t.L,d=t.R;if(r=l?d?No(d):l:d,s?s.L===t?s.L=r:s.R=r:this._=r,l&&d?(a=r.C,r.C=t.C,r.L=l,l.U=r,r!==d?(s=r.U,r.U=t.U,t=r.R,s.L=t,r.R=d,d.U=r):(r.U=s,s=r,t=r.R)):(a=t.C,t=r),t&&(t.U=s),!a)if(t&&t.C)t.C=!1;else{do{if(t===this._)break;if(t===s.L){if((n=s.R).C&&(n.C=!1,s.C=!0,Do(this,s),n=s.R),n.L&&n.L.C||n.R&&n.R.C){n.R&&n.R.C||(n.L.C=!1,n.C=!0,Fo(this,n),n=s.R),n.C=s.C,s.C=n.R.C=!1,Do(this,s),t=this._;break}}else if((n=s.L).C&&(n.C=!1,s.C=!0,Fo(this,s),n=s.L),n.L&&n.L.C||n.R&&n.R.C){n.L&&n.L.C||(n.R.C=!1,n.C=!0,Do(this,n),n=s.L),n.C=s.C,s.C=n.L.C=!1,Fo(this,s),t=this._;break}n.C=!0,t=s,s=s.U}while(!t.C);t&&(t.C=!1)}}};const Bo=Po;function zo(t,n,r,a){var s=[null,null],l=ca.push(s)-1;return s.left=t,s.right=n,r&&jo(s,t,n,r),a&&jo(s,n,t,a),sa[t.index].halfedges.push(l),sa[n.index].halfedges.push(l),s}function $o(t,n,r){var a=[n,r];return a.left=t,a}function jo(t,n,r,a){t[0]||t[1]?t.left===r?t[1]=a:t[0]=a:(t[0]=a,t.left=n,t.right=r)}function Vo(t,n,r,a,s){var l,d=t[0],h=t[1],p=d[0],f=d[1],m=0,g=1,v=h[0]-p,y=h[1]-f;if(l=n-p,v||!(l>0)){if(l/=v,v<0){if(l<m)return;l<g&&(g=l)}else if(v>0){if(l>g)return;l>m&&(m=l)}if(l=a-p,v||!(l<0)){if(l/=v,v<0){if(l>g)return;l>m&&(m=l)}else if(v>0){if(l<m)return;l<g&&(g=l)}if(l=r-f,y||!(l>0)){if(l/=y,y<0){if(l<m)return;l<g&&(g=l)}else if(y>0){if(l>g)return;l>m&&(m=l)}if(l=s-f,y||!(l<0)){if(l/=y,y<0){if(l>g)return;l>m&&(m=l)}else if(y>0){if(l<m)return;l<g&&(g=l)}return!(m>0||g<1)||(m>0&&(t[0]=[p+m*v,f+m*y]),g<1&&(t[1]=[p+g*v,f+g*y]),!0)}}}}}function Uo(t,n,r,a,s){var l=t[1];if(l)return!0;var d,h,p=t[0],f=t.left,m=t.right,g=f[0],v=f[1],y=m[0],b=m[1],x=(g+y)/2,w=(v+b)/2;if(b===v){if(x<n||x>=a)return;if(g>y){if(p){if(p[1]>=s)return}else p=[x,r];l=[x,s]}else{if(p){if(p[1]<r)return}else p=[x,s];l=[x,r]}}else if(h=w-(d=(g-y)/(b-v))*x,d<-1||d>1)if(g>y){if(p){if(p[1]>=s)return}else p=[(r-h)/d,r];l=[(s-h)/d,s]}else{if(p){if(p[1]<r)return}else p=[(s-h)/d,s];l=[(r-h)/d,r]}else if(v<b){if(p){if(p[0]>=a)return}else p=[n,d*n+h];l=[a,d*a+h]}else{if(p){if(p[0]<n)return}else p=[a,d*a+h];l=[n,d*n+h]}return t[0]=p,t[1]=l,!0}function Go(t,n){var r=t.site,a=n.left,s=n.right;return r===s&&(s=a,a=r),s?Math.atan2(s[1]-a[1],s[0]-a[0]):(r===a?(a=n[1],s=n[0]):(a=n[0],s=n[1]),Math.atan2(a[0]-s[0],s[1]-a[1]))}function Ho(t,n){return n[+(n.left!==t.site)]}function Wo(t,n){return n[+(n.left===t.site)]}var qo,Xo=[];function Yo(){Lo(this),this.x=this.y=this.arc=this.site=this.cy=null}function Zo(t){var n=t.P,r=t.N;if(n&&r){var a=n.site,s=t.site,l=r.site;if(a!==l){var d=s[0],h=s[1],p=a[0]-d,f=a[1]-h,m=l[0]-d,g=l[1]-h,v=2*(p*g-f*m);if(!(v>=-ua)){var y=p*p+f*f,b=m*m+g*g,x=(g*y-f*b)/v,w=(p*b-m*y)/v,S=Xo.pop()||new Yo;S.arc=t,S.site=s,S.x=x+d,S.y=(S.cy=w+h)+Math.sqrt(x*x+w*w),t.circle=S;for(var _=null,T=la._;T;)if(S.y<T.y||S.y===T.y&&S.x<=T.x){if(!T.L){_=T.P;break}T=T.L}else{if(!T.R){_=T;break}T=T.R}la.insert(_,S),_||(qo=S)}}}}function Ko(t){var n=t.circle;n&&(n.P||(qo=n.N),la.remove(n),Xo.push(n),Lo(n),t.circle=null)}var Jo=[];function Qo(){Lo(this),this.edge=this.site=this.circle=null}function ea(t){var n=Jo.pop()||new Qo;return n.site=t,n}function ta(t){Ko(t),aa.remove(t),Jo.push(t),Lo(t)}function ia(t){var n=t.circle,r=n.x,a=n.cy,s=[r,a],l=t.P,d=t.N,h=[t];ta(t);for(var p=l;p.circle&&Math.abs(r-p.circle.x)<da&&Math.abs(a-p.circle.cy)<da;)l=p.P,h.unshift(p),ta(p),p=l;h.unshift(p),Ko(p);for(var f=d;f.circle&&Math.abs(r-f.circle.x)<da&&Math.abs(a-f.circle.cy)<da;)d=f.N,h.push(f),ta(f),f=d;h.push(f),Ko(f);var m,g=h.length;for(m=1;m<g;++m)f=h[m],p=h[m-1],jo(f.edge,p.site,f.site,s);p=h[0],(f=h[g-1]).edge=zo(p.site,f.site,null,s),Zo(p),Zo(f)}function na(t){for(var n,r,a,s,l=t[0],d=t[1],h=aa._;h;)if((a=ra(h,d)-l)>da)h=h.L;else{if(!((s=l-oa(h,d))>da)){a>-da?(n=h.P,r=h):s>-da?(n=h,r=h.N):n=r=h;break}if(!h.R){n=h;break}h=h.R}!function(t){sa[t.index]={site:t,halfedges:[]}}(t);var p=ea(t);if(aa.insert(n,p),n||r){if(n===r)return Ko(n),r=ea(n.site),aa.insert(p,r),p.edge=r.edge=zo(n.site,p.site),Zo(n),void Zo(r);if(r){Ko(n),Ko(r);var f=n.site,m=f[0],g=f[1],v=t[0]-m,y=t[1]-g,b=r.site,x=b[0]-m,w=b[1]-g,S=2*(v*w-y*x),_=v*v+y*y,T=x*x+w*w,E=[(w*_-y*T)/S+m,(v*T-x*_)/S+g];jo(r.edge,f,b,E),p.edge=zo(f,t,null,E),r.edge=zo(t,b,null,E),Zo(n),Zo(r)}else p.edge=zo(n.site,p.site)}}function ra(t,n){var r=t.site,a=r[0],s=r[1],l=s-n;if(!l)return a;var d=t.P;if(!d)return-1/0;var h=(r=d.site)[0],p=r[1],f=p-n;if(!f)return h;var m=h-a,g=1/l-1/f,v=m/f;return g?(-v+Math.sqrt(v*v-2*g*(m*m/(-2*f)-p+f/2+s-l/2)))/g+a:(a+h)/2}function oa(t,n){var r=t.N;if(r)return ra(r,n);var a=t.site;return a[1]===n?a[0]:1/0}var aa,sa,la,ca,da=1e-6,ua=1e-12;function ha(t,n){return n[1]-t[1]||n[0]-t[0]}function pa(t,n){var r,a,s,l=t.sort(ha).pop();for(ca=[],sa=new Array(t.length),aa=new Bo,la=new Bo;;)if(s=qo,l&&(!s||l[1]<s.y||l[1]===s.y&&l[0]<s.x))l[0]===r&&l[1]===a||(na(l),r=l[0],a=l[1]),l=t.pop();else{if(!s)break;ia(s.arc)}if(function(){for(var t,n,r,a,s=0,l=sa.length;s<l;++s)if((t=sa[s])&&(a=(n=t.halfedges).length)){var d=new Array(a),h=new Array(a);for(r=0;r<a;++r)d[r]=r,h[r]=Go(t,ca[n[r]]);for(d.sort((function(t,n){return h[n]-h[t]})),r=0;r<a;++r)h[r]=n[d[r]];for(r=0;r<a;++r)n[r]=h[r]}}(),n){var d=+n[0][0],h=+n[0][1],p=+n[1][0],f=+n[1][1];!function(t,n,r,a){for(var s,l=ca.length;l--;)Uo(s=ca[l],t,n,r,a)&&Vo(s,t,n,r,a)&&(Math.abs(s[0][0]-s[1][0])>da||Math.abs(s[0][1]-s[1][1])>da)||delete ca[l]}(d,h,p,f),function(t,n,r,a){var s,l,d,h,p,f,m,g,v,y,b,x,w=sa.length,S=!0;for(s=0;s<w;++s)if(l=sa[s]){for(d=l.site,h=(p=l.halfedges).length;h--;)ca[p[h]]||p.splice(h,1);for(h=0,f=p.length;h<f;)b=(y=Wo(l,ca[p[h]]))[0],x=y[1],g=(m=Ho(l,ca[p[++h%f]]))[0],v=m[1],(Math.abs(b-g)>da||Math.abs(x-v)>da)&&(p.splice(h,0,ca.push($o(d,y,Math.abs(b-t)<da&&a-x>da?[t,Math.abs(g-t)<da?v:a]:Math.abs(x-a)<da&&r-b>da?[Math.abs(v-a)<da?g:r,a]:Math.abs(b-r)<da&&x-n>da?[r,Math.abs(g-r)<da?v:n]:Math.abs(x-n)<da&&b-t>da?[Math.abs(v-n)<da?g:t,n]:null))-1),++f);f&&(S=!1)}if(S){var _,T,E,C=1/0;for(s=0,S=null;s<w;++s)(l=sa[s])&&(E=(_=(d=l.site)[0]-t)*_+(T=d[1]-n)*T)<C&&(C=E,S=l);if(S){var A=[t,n],O=[t,a],I=[r,a],P=[r,n];S.halfedges.push(ca.push($o(d=S.site,A,O))-1,ca.push($o(d,O,I))-1,ca.push($o(d,I,P))-1,ca.push($o(d,P,A))-1)}}for(s=0;s<w;++s)(l=sa[s])&&(l.halfedges.length||delete sa[s])}(d,h,p,f)}this.edges=ca,this.cells=sa,aa=la=ca=sa=null}function fa(t,n,r){this.k=t,this.x=n,this.y=r}pa.prototype={constructor:pa,polygons:function(){var t=this.edges;return this.cells.map((function(n){var r=n.halfedges.map((function(r){return Ho(n,t[r])}));return r.data=n.site.data,r}))},triangles:function(){var t=[],n=this.edges;return this.cells.forEach((function(r,a){if(l=(s=r.halfedges).length)for(var s,l,d,h,p,f,m=r.site,g=-1,v=n[s[l-1]],y=v.left===m?v.right:v.left;++g<l;)d=y,y=(v=n[s[g]]).left===m?v.right:v.left,d&&y&&a<d.index&&a<y.index&&(p=d,f=y,((h=m)[0]-f[0])*(p[1]-h[1])-(h[0]-p[0])*(f[1]-h[1])<0)&&t.push([m.data,d.data,y.data])})),t},links:function(){return this.edges.filter((function(t){return t.right})).map((function(t){return{source:t.left.data,target:t.right.data}}))},find:function(t,n,r){for(var a,s,l=this,d=l._found||0,h=l.cells.length;!(s=l.cells[d]);)if(++d>=h)return null;var p=t-s.site[0],f=n-s.site[1],m=p*p+f*f;do{s=l.cells[a=d],d=null,s.halfedges.forEach((function(r){var a=l.edges[r],h=a.left;if(h!==s.site&&h||(h=a.right)){var p=t-h[0],f=n-h[1],g=p*p+f*f;g<m&&(m=g,d=h.index)}}))}while(null!==d);return l._found=a,null==r||m<=r*r?s.site:null}},fa.prototype={constructor:fa,scale:function(t){return 1===t?this:new fa(this.k*t,this.x,this.y)},translate:function(t,n){return 0===t&0===n?this:new fa(this.k,this.x+this.k*t,this.y+this.k*n)},apply:function(t){return[t[0]*this.k+this.x,t[1]*this.k+this.y]},applyX:function(t){return t*this.k+this.x},applyY:function(t){return t*this.k+this.y},invert:function(t){return[(t[0]-this.x)/this.k,(t[1]-this.y)/this.k]},invertX:function(t){return(t-this.x)/this.k},invertY:function(t){return(t-this.y)/this.k},rescaleX:function(t){return t.copy().domain(t.range().map(this.invertX,this).map(t.invert,t))},rescaleY:function(t){return t.copy().domain(t.range().map(this.invertY,this).map(t.invert,t))},toString:function(){return"translate("+this.x+","+this.y+") scale("+this.k+")"}};new fa(1,0,0);fa.prototype},4289:(t,n,r)=>{"use strict";var a=r(2215),s="function"==typeof Symbol&&"symbol"==typeof Symbol("foo"),l=Object.prototype.toString,d=Array.prototype.concat,h=Object.defineProperty,p=h&&function(){var t={};try{for(var n in h(t,"x",{enumerable:!1,value:t}),t)return!1;return t.x===t}catch(t){return!1}}(),f=function(t,n,r,a){var s;(!(n in t)||"function"==typeof(s=a)&&"[object Function]"===l.call(s)&&a())&&(p?h(t,n,{configurable:!0,enumerable:!1,value:r,writable:!0}):t[n]=r)},m=function(t,n){var r=arguments.length>2?arguments[2]:{},l=a(n);s&&(l=d.call(l,Object.getOwnPropertySymbols(n)));for(var h=0;h<l.length;h+=1)f(t,l[h],n[l[h]],r[l[h]])};m.supportsDescriptors=!!p,t.exports=m},7499:(t,n,r)=>{t.exports=r(685)},685:function(t,n,r){(function(){var t,a,s,l,d,h,p,f,m,g,v,y,b,x,w,S,_,T,E,C,A,O=[].indexOf||function(t){for(var n=0,r=this.length;n<r;n++)if(n in this&&this[n]===t)return n;return-1};f=Math.floor,g=Math.max,v=Math.min,a=r(4485),h=r(9282),_=function(t,n){return n?2*t/n:1},S=function(t,n){var r,a,s,l,d,h;for(d=[t.length,n.length],r=l=0,h=v(a=d[0],s=d[1]);0<=h?l<h:l>h;r=0<=h?++l:--l){if(t[r]<n[r])return-1;if(t[r]>n[r])return 1}return a-s},A=function(t,n){return Object.prototype.hasOwnProperty.call(t,n)},w=function(t){var n,r;for(n=0,r=t.length;n<r;n++)if(t[n])return!0;return!1},d=function(){function t(t,n,r,a){this.isjunk=t,null==n&&(n=""),null==r&&(r=""),this.autojunk=null==a||a,this.a=this.b=null,this.setSeqs(n,r)}return t.name="SequenceMatcher",t.prototype.setSeqs=function(t,n){return this.setSeq1(t),this.setSeq2(n)},t.prototype.setSeq1=function(t){if(t!==this.a)return this.a=t,this.matchingBlocks=this.opcodes=null},t.prototype.setSeq2=function(t){if(t!==this.b)return this.b=t,this.matchingBlocks=this.opcodes=null,this.fullbcount=null,this._chainB()},t.prototype._chainB=function(){var t,n,r,a,s,l,d,h,p,m,g,v,y,b;for(t=this.b,this.b2j=n={},a=m=0,v=t.length;m<v;a=++m)r=t[a],(A(n,r)?n[r]:n[r]=[]).push(a);if(l={},s=this.isjunk)for(g=0,y=(b=Object.keys(n)).length;g<y;g++)s(r=b[g])&&(l[r]=!0,delete n[r]);if(p={},d=t.length,this.autojunk&&d>=200)for(r in h=f(d/100)+1,n)n[r].length>h&&(p[r]=!0,delete n[r]);return this.isbjunk=function(t){return A(l,t)},this.isbpopular=function(t){return A(p,t)}},t.prototype.findLongestMatch=function(t,n,r,a){var s,l,d,h,p,f,m,g,v,y,b,x,w,S,_,T,E,C,O,I,P;for(s=(T=[this.a,this.b,this.b2j,this.isbjunk])[0],l=T[1],d=T[2],g=T[3],h=(E=[t,r,0])[0],p=E[1],f=E[2],y={},m=w=t;t<=n?w<n:w>n;m=t<=n?++w:--w){for(x={},S=0,_=(C=A(d,s[m])?d[s[m]]:[]).length;S<_;S++)if(!((v=C[S])<r)){if(v>=a)break;(b=x[v]=(y[v-1]||0)+1)>f&&(h=(O=[m-b+1,v-b+1,b])[0],p=O[1],f=O[2])}y=x}for(;h>t&&p>r&&!g(l[p-1])&&s[h-1]===l[p-1];)h=(I=[h-1,p-1,f+1])[0],p=I[1],f=I[2];for(;h+f<n&&p+f<a&&!g(l[p+f])&&s[h+f]===l[p+f];)f++;for(;h>t&&p>r&&g(l[p-1])&&s[h-1]===l[p-1];)h=(P=[h-1,p-1,f+1])[0],p=P[1],f=P[2];for(;h+f<n&&p+f<a&&g(l[p+f])&&s[h+f]===l[p+f];)f++;return[h,p,f]},t.prototype.getMatchingBlocks=function(){var t,n,r,a,s,l,d,h,p,f,m,g,v,y,b,x,w,_,T,E,C,A,O,I,P,D;if(this.matchingBlocks)return this.matchingBlocks;for(_=[[0,y=(A=[this.a.length,this.b.length])[0],0,b=A[1]]],x=[];_.length;)n=(O=_.pop())[0],t=O[1],a=O[2],r=O[3],s=(I=T=this.findLongestMatch(n,t,a,r))[0],h=I[1],(m=I[2])&&(x.push(T),n<s&&a<h&&_.push([n,s,a,h]),s+m<t&&h+m<r&&_.push([s+m,t,h+m,r]));for(x.sort(S),l=p=g=0,w=[],E=0,C=x.length;E<C;E++)d=(P=x[E])[0],f=P[1],v=P[2],l+g===d&&p+g===f?g+=v:(g&&w.push([l,p,g]),l=(D=[d,f,v])[0],p=D[1],g=D[2]);return g&&w.push([l,p,g]),w.push([y,b,0]),this.matchingBlocks=w},t.prototype.getOpcodes=function(){var t,n,r,a,s,l,d,h,p,f,m,g;if(this.opcodes)return this.opcodes;for(a=s=0,this.opcodes=n=[],h=0,p=(f=this.getMatchingBlocks()).length;h<p;h++)t=(m=f[h])[0],r=m[1],l=m[2],d="",a<t&&s<r?d="replace":a<t?d="delete":s<r&&(d="insert"),d&&n.push([d,a,t,s,r]),a=(g=[t+l,r+l])[0],s=g[1],l&&n.push(["equal",t,a,r,s]);return n},t.prototype.getGroupedOpcodes=function(t){var n,r,a,s,l,d,h,p,f,m,y,b,x,w,S;for(null==t&&(t=3),(n=this.getOpcodes()).length||(n=[["equal",0,1,0,1]]),"equal"===n[0][0]&&(f=(b=n[0])[0],s=b[1],l=b[2],d=b[3],h=b[4],n[0]=[f,g(s,l-t),l,g(d,h-t),h]),"equal"===n[n.length-1][0]&&(f=(x=n[n.length-1])[0],s=x[1],l=x[2],d=x[3],h=x[4],n[n.length-1]=[f,s,v(l,s+t),d,v(h,d+t)]),p=t+t,a=[],r=[],m=0,y=n.length;m<y;m++)f=(w=n[m])[0],s=w[1],l=w[2],d=w[3],h=w[4],"equal"===f&&l-s>p&&(r.push([f,s,v(l,s+t),d,v(h,d+t)]),a.push(r),r=[],s=(S=[g(s,l-t),g(d,h-t)])[0],d=S[1]),r.push([f,s,l,d,h]);return!r.length||1===r.length&&"equal"===r[0][0]||a.push(r),a},t.prototype.ratio=function(){var t,n,r,a;for(t=0,n=0,r=(a=this.getMatchingBlocks()).length;n<r;n++)t+=a[n][2];return _(t,this.a.length+this.b.length)},t.prototype.quickRatio=function(){var t,n,r,a,s,l,d,h,p,f,m;if(!this.fullbcount)for(this.fullbcount=r={},l=0,h=(f=this.b).length;l<h;l++)r[n=f[l]]=(r[n]||0)+1;for(r=this.fullbcount,t={},a=0,d=0,p=(m=this.a).length;d<p;d++)n=m[d],s=A(t,n)?t[n]:r[n]||0,t[n]=s-1,s>0&&a++;return _(a,this.a.length+this.b.length)},t.prototype.realQuickRatio=function(){var t,n,r;return r=[this.a.length,this.b.length],_(v(t=r[0],n=r[1]),t+n)},t}(),m=function(t,n,r,s){var l,h,p,f,m,g,v,y,b;if(null==r&&(r=3),null==s&&(s=.6),!(r>0))throw new Error("n must be > 0: ("+r+")");if(!(0<=s&&s<=1))throw new Error("cutoff must be in [0.0, 1.0]: ("+s+")");for(l=[],(h=new d).setSeq2(t),f=0,g=n.length;f<g;f++)p=n[f],h.setSeq1(p),h.realQuickRatio()>=s&&h.quickRatio()>=s&&h.ratio()>=s&&l.push([h.ratio(),p]);for(b=[],m=0,v=(l=a.nlargest(l,r,S)).length;m<v;m++)(y=l[m])[0],p=y[1],b.push(p);return b},T=function(t,n){var r,a,s;for(r=(s=[0,t.length])[0],a=s[1];r<a&&t[r]===n;)r++;return r},t=function(){function t(t,n){this.linejunk=t,this.charjunk=n}return t.name="Differ",t.prototype.compare=function(t,n){var r,a,s,l,h,p,f,m,g,v,y,b,x,w;for(f=[],g=0,y=(x=new d(this.linejunk,t,n).getOpcodes()).length;g<y;g++){switch(m=(w=x[g])[0],a=w[1],r=w[2],l=w[3],s=w[4],m){case"replace":h=this._fancyReplace(t,a,r,n,l,s);break;case"delete":h=this._dump("-",t,a,r);break;case"insert":h=this._dump("+",n,l,s);break;case"equal":h=this._dump(" ",t,a,r);break;default:throw new Error("unknow tag ("+m+")")}for(v=0,b=h.length;v<b;v++)p=h[v],f.push(p)}return f},t.prototype._dump=function(t,n,r,a){var s,l,d;for(d=[],s=l=r;r<=a?l<a:l>a;s=r<=a?++l:--l)d.push(t+" "+n[s]);return d},t.prototype._plainReplace=function(t,n,r,a,s,l){var d,p,f,m,g,v,y,b,x,w;for(h(n<r&&s<l),l-s<r-n?(d=this._dump("+",a,s,l),g=this._dump("-",t,n,r)):(d=this._dump("-",t,n,r),g=this._dump("+",a,s,l)),m=[],v=0,b=(w=[d,g]).length;v<b;v++)for(y=0,x=(p=w[v]).length;y<x;y++)f=p[y],m.push(f);return m},t.prototype._fancyReplace=function(t,n,r,a,s,l){var h,p,f,m,g,v,y,b,x,w,S,_,T,E,C,A,O,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee,te,ie,ne,re,oe,ae,se,le,ce,de,ue,he,pe;for(y=(te=[.74,.75])[0],E=te[1],T=new d(this.charjunk),C=(ie=[null,null])[0],A=ie[1],B=[],I=j=s;s<=l?j<l:j>l;I=s<=l?++j:--j)for(w=a[I],T.setSeq2(w),O=V=n;n<=r?V<r:V>r;O=n<=r?++V:--V)(p=t[O])!==w?(T.setSeq1(p),T.realQuickRatio()>y&&T.quickRatio()>y&&T.ratio()>y&&(y=(se=[T.ratio(),O,I])[0],b=se[1],x=se[2])):null===C&&(C=(ae=[O,I])[0],A=ae[1]);if(y<E){if(null===C){for(U=0,W=(le=this._plainReplace(t,n,r,a,s,l)).length;U<W;U++)F=le[U],B.push(F);return B}b=(ce=[C,A,1])[0],x=ce[1],y=ce[2]}else C=null;for(G=0,q=(de=this._fancyHelper(t,n,b,a,s,x)).length;G<q;G++)F=de[G],B.push(F);if(h=(ue=[t[b],a[x]])[0],v=ue[1],null===C){for(g=_="",T.setSeqs(h,v),J=0,X=(he=T.getOpcodes()).length;J<X;J++)switch($=(pe=he[J])[0],f=pe[1],m=pe[2],S=pe[3],P=(ne=[m-f,pe[4]-S])[0],D=ne[1],$){case"replace":g+=Array(P+1).join("^"),_+=Array(D+1).join("^");break;case"delete":g+=Array(P+1).join("-");break;case"insert":_+=Array(D+1).join("+");break;case"equal":g+=Array(P+1).join(" "),_+=Array(D+1).join(" ");break;default:throw new Error("unknow tag ("+$+")")}for(Q=0,Y=(re=this._qformat(h,v,g,_)).length;Q<Y;Q++)F=re[Q],B.push(F)}else B.push("  "+h);for(ee=0,K=(oe=this._fancyHelper(t,b+1,r,a,x+1,l)).length;ee<K;ee++)F=oe[ee],B.push(F);return B},t.prototype._fancyHelper=function(t,n,r,a,s,l){var d;return d=[],n<r?d=s<l?this._fancyReplace(t,n,r,a,s,l):this._dump("-",t,n,r):s<l&&(d=this._dump("+",a,s,l)),d},t.prototype._qformat=function(t,n,r,a){var s,l;return l=[],s=v(T(t,"\t"),T(n,"\t")),s=v(s,T(r.slice(0,s)," ")),s=v(s,T(a.slice(0,s)," ")),r=r.slice(s).replace(/\s+$/,""),a=a.slice(s).replace(/\s+$/,""),l.push("- "+t),r.length&&l.push("? "+Array(s+1).join("\t")+r+"\n"),l.push("+ "+n),a.length&&l.push("? "+Array(s+1).join("\t")+a+"\n"),l},t}(),l=function(t,n){return null==n&&(n=/^\s*#?\s*$/),n.test(t)},s=function(t,n){return null==n&&(n=" \t"),O.call(n,t)>=0},C=function(t,n){var r,a;return r=t+1,1===(a=n-t)?""+r:(a||r--,r+","+a)},x=function(t,n,r){var a,s,l,h,p,f,m,g,v,y,b,x,w,S,_,T,E,A,O,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee;for(null==(p=(q=null!=r?r:{}).fromfile)&&(p=""),null==(O=q.tofile)&&(O=""),null==(f=q.fromfiledate)&&(f=""),null==(I=q.tofiledate)&&(I=""),null==q.n&&3,null==(_=q.lineterm)&&(_="\n"),S=[],T=!1,P=0,$=(X=new d(null,t,n).getGroupedOpcodes()).length;P<$;P++)for(m=X[P],T||(T=!0,h=f?"\t"+f:"",A=I?"\t"+I:"",S.push("--- "+p+h+_),S.push("+++ "+O+A+_)),x=(Y=[m[0],m[m.length-1]])[1],a=C((l=Y[0])[1],x[2]),s=C(l[3],x[4]),S.push("@@ -"+a+" +"+s+" @@"+_),D=0,j=m.length;D<j;D++)if(E=(K=m[D])[0],g=K[1],v=K[2],y=K[3],b=K[4],"equal"!==E){if("replace"===E||"delete"===E)for(B=0,U=(Q=t.slice(g,v)).length;B<U;B++)w=Q[B],S.push("-"+w);if("replace"===E||"insert"===E)for(W=0,G=(ee=n.slice(y,b)).length;W<G;W++)w=ee[W],S.push("+"+w)}else for(F=0,V=(J=t.slice(g,v)).length;F<V;F++)w=J[F],S.push(" "+w);return S},E=function(t,n){var r,a;return r=t+1,(a=n-t)||r--,a<=1?""+r:r+","+(r+a-1)},p=function(t,n,r){var a,s,l,h,p,f,m,g,v,y,b,x,S,_,T,C,A,O,I,P,D,F,B,$,j,V,U,G,W,q,X,Y,K,J,Q,ee,te,ie;for(null==(p=(Y=null!=r?r:{}).fromfile)&&(p=""),null==(P=Y.tofile)&&(P=""),null==(f=Y.fromfiledate)&&(f=""),null==(D=Y.tofiledate)&&(D=""),null==Y.n&&3,null==(T=Y.lineterm)&&(T="\n"),C={insert:"+ ",delete:"- ",replace:"! ",equal:"  "},A=!1,_=[],F=0,V=(K=new d(null,t,n).getGroupedOpcodes()).length;F<V;F++)if(m=K[F],!A){if(A=!0,h=f?"\t"+f:"",I=D?"\t"+D:"",_.push("*** "+p+h+T),_.push("--- "+P+I+T),l=(J=[m[0],m[m.length-1]])[0],x=J[1],_.push("***************"+T),a=E(l[1],x[2]),_.push("*** "+a+" ****"+T),w(function(){var t,n,r,a;for(a=[],t=0,n=m.length;t<n;t++)r=m[t],O=r[0],r[1],r[2],r[3],r[4],a.push("replace"===O||"delete"===O);return a}()))for(B=0,U=m.length;B<U;B++)if(Q=m[B],O=Q[0],g=Q[1],v=Q[2],Q[3],Q[4],"insert"!==O)for($=0,G=(ee=t.slice(g,v)).length;$<G;$++)S=ee[$],_.push(C[O]+S);if(s=E(l[3],x[4]),_.push("--- "+s+" ----"+T),w(function(){var t,n,r,a;for(a=[],t=0,n=m.length;t<n;t++)r=m[t],O=r[0],r[1],r[2],r[3],r[4],a.push("replace"===O||"insert"===O);return a}()))for(j=0,W=m.length;j<W;j++)if(te=m[j],O=te[0],te[1],te[2],y=te[3],b=te[4],"delete"!==O)for(X=0,q=(ie=n.slice(y,b)).length;X<q;X++)S=ie[X],_.push(C[O]+S)}return _},y=function(n,r,a,l){return null==l&&(l=s),new t(a,l).compare(n,r)},b=function(t,n){var r,a,s,l,d,h,p;if(!(l={1:"- ",2:"+ "}[n]))throw new Error("unknow delta choice (must be 1 or 2): "+n);for(s=["  ",l],a=[],d=0,h=t.length;d<h;d++)p=(r=t[d]).slice(0,2),O.call(s,p)>=0&&a.push(r.slice(2));return a},n._arrayCmp=S,n.SequenceMatcher=d,n.getCloseMatches=m,n._countLeading=T,n.Differ=t,n.IS_LINE_JUNK=l,n.IS_CHARACTER_JUNK=s,n._formatRangeUnified=C,n.unifiedDiff=x,n._formatRangeContext=E,n.contextDiff=p,n.ndiff=y,n.restore=b}).call(this)},8769:(t,n,r)=>{"use strict";var a,s=TypeError,l=Object.getOwnPropertyDescriptor;if(l)try{l({},"")}catch(t){l=null}var d=function(){throw new s},h=l?function(){try{return d}catch(t){try{return l(arguments,"callee").get}catch(t){return d}}}():d,p=r(1405)(),f=Object.getPrototypeOf||function(t){return t.__proto__},m=a,g=a,v=a,y=a,b="undefined"==typeof Uint8Array?a:f(Uint8Array),x={"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?a:ArrayBuffer,"%ArrayBufferPrototype%":"undefined"==typeof ArrayBuffer?a:ArrayBuffer.prototype,"%ArrayIteratorPrototype%":p?f([][Symbol.iterator]()):a,"%ArrayPrototype%":Array.prototype,"%ArrayProto_entries%":Array.prototype.entries,"%ArrayProto_forEach%":Array.prototype.forEach,"%ArrayProto_keys%":Array.prototype.keys,"%ArrayProto_values%":Array.prototype.values,"%AsyncFromSyncIteratorPrototype%":a,"%AsyncFunction%":g,"%AsyncFunctionPrototype%":a,"%AsyncGenerator%":a,"%AsyncGeneratorFunction%":v,"%AsyncGeneratorPrototype%":a,"%AsyncIteratorPrototype%":y&&p&&Symbol.asyncIterator?y[Symbol.asyncIterator]():a,"%Atomics%":"undefined"==typeof Atomics?a:Atomics,"%Boolean%":Boolean,"%BooleanPrototype%":Boolean.prototype,"%DataView%":"undefined"==typeof DataView?a:DataView,"%DataViewPrototype%":"undefined"==typeof DataView?a:DataView.prototype,"%Date%":Date,"%DatePrototype%":Date.prototype,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%ErrorPrototype%":Error.prototype,"%eval%":eval,"%EvalError%":EvalError,"%EvalErrorPrototype%":EvalError.prototype,"%Float32Array%":"undefined"==typeof Float32Array?a:Float32Array,"%Float32ArrayPrototype%":"undefined"==typeof Float32Array?a:Float32Array.prototype,"%Float64Array%":"undefined"==typeof Float64Array?a:Float64Array,"%Float64ArrayPrototype%":"undefined"==typeof Float64Array?a:Float64Array.prototype,"%Function%":Function,"%FunctionPrototype%":Function.prototype,"%Generator%":a,"%GeneratorFunction%":m,"%GeneratorPrototype%":a,"%Int8Array%":"undefined"==typeof Int8Array?a:Int8Array,"%Int8ArrayPrototype%":"undefined"==typeof Int8Array?a:Int8Array.prototype,"%Int16Array%":"undefined"==typeof Int16Array?a:Int16Array,"%Int16ArrayPrototype%":"undefined"==typeof Int16Array?a:Int8Array.prototype,"%Int32Array%":"undefined"==typeof Int32Array?a:Int32Array,"%Int32ArrayPrototype%":"undefined"==typeof Int32Array?a:Int32Array.prototype,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":p?f(f([][Symbol.iterator]())):a,"%JSON%":"object"==typeof JSON?JSON:a,"%JSONParse%":"object"==typeof JSON?JSON.parse:a,"%Map%":"undefined"==typeof Map?a:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&p?f((new Map)[Symbol.iterator]()):a,"%MapPrototype%":"undefined"==typeof Map?a:Map.prototype,"%Math%":Math,"%Number%":Number,"%NumberPrototype%":Number.prototype,"%Object%":Object,"%ObjectPrototype%":Object.prototype,"%ObjProto_toString%":Object.prototype.toString,"%ObjProto_valueOf%":Object.prototype.valueOf,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?a:Promise,"%PromisePrototype%":"undefined"==typeof Promise?a:Promise.prototype,"%PromiseProto_then%":"undefined"==typeof Promise?a:Promise.prototype.then,"%Promise_all%":"undefined"==typeof Promise?a:Promise.all,"%Promise_reject%":"undefined"==typeof Promise?a:Promise.reject,"%Promise_resolve%":"undefined"==typeof Promise?a:Promise.resolve,"%Proxy%":"undefined"==typeof Proxy?a:Proxy,"%RangeError%":RangeError,"%RangeErrorPrototype%":RangeError.prototype,"%ReferenceError%":ReferenceError,"%ReferenceErrorPrototype%":ReferenceError.prototype,"%Reflect%":"undefined"==typeof Reflect?a:Reflect,"%RegExp%":RegExp,"%RegExpPrototype%":RegExp.prototype,"%Set%":"undefined"==typeof Set?a:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&p?f((new Set)[Symbol.iterator]()):a,"%SetPrototype%":"undefined"==typeof Set?a:Set.prototype,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?a:SharedArrayBuffer,"%SharedArrayBufferPrototype%":"undefined"==typeof SharedArrayBuffer?a:SharedArrayBuffer.prototype,"%String%":String,"%StringIteratorPrototype%":p?f(""[Symbol.iterator]()):a,"%StringPrototype%":String.prototype,"%Symbol%":p?Symbol:a,"%SymbolPrototype%":p?Symbol.prototype:a,"%SyntaxError%":SyntaxError,"%SyntaxErrorPrototype%":SyntaxError.prototype,"%ThrowTypeError%":h,"%TypedArray%":b,"%TypedArrayPrototype%":b?b.prototype:a,"%TypeError%":s,"%TypeErrorPrototype%":s.prototype,"%Uint8Array%":"undefined"==typeof Uint8Array?a:Uint8Array,"%Uint8ArrayPrototype%":"undefined"==typeof Uint8Array?a:Uint8Array.prototype,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?a:Uint8ClampedArray,"%Uint8ClampedArrayPrototype%":"undefined"==typeof Uint8ClampedArray?a:Uint8ClampedArray.prototype,"%Uint16Array%":"undefined"==typeof Uint16Array?a:Uint16Array,"%Uint16ArrayPrototype%":"undefined"==typeof Uint16Array?a:Uint16Array.prototype,"%Uint32Array%":"undefined"==typeof Uint32Array?a:Uint32Array,"%Uint32ArrayPrototype%":"undefined"==typeof Uint32Array?a:Uint32Array.prototype,"%URIError%":URIError,"%URIErrorPrototype%":URIError.prototype,"%WeakMap%":"undefined"==typeof WeakMap?a:WeakMap,"%WeakMapPrototype%":"undefined"==typeof WeakMap?a:WeakMap.prototype,"%WeakSet%":"undefined"==typeof WeakSet?a:WeakSet,"%WeakSetPrototype%":"undefined"==typeof WeakSet?a:WeakSet.prototype},w=r(8612).call(Function.call,String.prototype.replace),S=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,_=/\\(\\)?/g;t.exports=function(t,n){if("string"!=typeof t||0===t.length)throw new TypeError("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof n)throw new TypeError('"allowMissing" argument must be a boolean');for(var r,a=(r=[],w(t,S,(function(t,n,a,s){r[r.length]=a?w(s,_,"$1"):n||t})),r),d=function(t,n){if(!(t in x))throw new SyntaxError("intrinsic "+t+" does not exist!");if(void 0===x[t]&&!n)throw new s("intrinsic "+t+" exists, but is not available. Please file an issue!");return x[t]}("%"+(a.length>0?a[0]:"")+"%",n),h=1;h<a.length;h+=1)if(null!=d)if(l&&h+1>=a.length){var p=l(d,a[h]);if(!n&&!(a[h]in d))throw new s("base intrinsic for "+t+" exists, but the property is not available.");d=p?p.get||p.value:d[a[h]]}else d=d[a[h]];return d}},4147:(t,n,r)=>{"use strict";var a=r(8612),s=r(8769),l=s("%Function.prototype.apply%"),d=s("%Function.prototype.call%"),h=s("%Reflect.apply%",!0)||a.call(d,l);t.exports=function(){return h(a,d,arguments)},t.exports.apply=function(){return h(a,l,arguments)}},8091:t=>{"use strict";function n(t,n){if(null==t)throw new TypeError("Cannot convert first argument to object");for(var r=Object(t),a=1;a<arguments.length;a++){var s=arguments[a];if(null!=s)for(var l=Object.keys(Object(s)),d=0,h=l.length;d<h;d++){var p=l[d],f=Object.getOwnPropertyDescriptor(s,p);void 0!==f&&f.enumerable&&(r[p]=s[p])}}return r}t.exports={assign:n,polyfill:function(){Object.assign||Object.defineProperty(Object,"assign",{enumerable:!1,configurable:!0,writable:!0,value:n})}}},4029:(t,n,r)=>{"use strict";var a=r(5320),s=Object.prototype.toString,l=Object.prototype.hasOwnProperty;t.exports=function(t,n,r){if(!a(n))throw new TypeError("iterator must be a function");var d;arguments.length>=3&&(d=r),"[object Array]"===s.call(t)?function(t,n,r){for(var a=0,s=t.length;a<s;a++)l.call(t,a)&&(null==r?n(t[a],a,t):n.call(r,t[a],a,t))}(t,n,d):"string"==typeof t?function(t,n,r){for(var a=0,s=t.length;a<s;a++)null==r?n(t.charAt(a),a,t):n.call(r,t.charAt(a),a,t)}(t,n,d):function(t,n,r){for(var a in t)l.call(t,a)&&(null==r?n(t[a],a,t):n.call(r,t[a],a,t))}(t,n,d)}},7648:t=>{"use strict";var n=Array.prototype.slice,r=Object.prototype.toString;t.exports=function(t){var a=this;if("function"!=typeof a||"[object Function]"!==r.call(a))throw new TypeError("Function.prototype.bind called on incompatible "+a);for(var s,l=n.call(arguments,1),d=Math.max(0,a.length-l.length),h=[],p=0;p<d;p++)h.push("$"+p);if(s=Function("binder","return function ("+h.join(",")+"){ return binder.apply(this,arguments); }")((function(){if(this instanceof s){var r=a.apply(this,l.concat(n.call(arguments)));return Object(r)===r?r:this}return a.apply(t,l.concat(n.call(arguments)))})),a.prototype){var f=function(){};f.prototype=a.prototype,s.prototype=new f,f.prototype=null}return s}},8612:(t,n,r)=>{"use strict";var a=r(7648);t.exports=Function.prototype.bind||a},210:(t,n,r)=>{"use strict";var a,s=SyntaxError,l=Function,d=TypeError,h=function(t){try{return l('"use strict"; return ('+t+").constructor;")()}catch(t){}},p=Object.getOwnPropertyDescriptor;if(p)try{p({},"")}catch(t){p=null}var f=function(){throw new d},m=p?function(){try{return f}catch(t){try{return p(arguments,"callee").get}catch(t){return f}}}():f,g=r(1405)(),v=r(8185)(),y=Object.getPrototypeOf||(v?function(t){return t.__proto__}:null),b={},x="undefined"!=typeof Uint8Array&&y?y(Uint8Array):a,w={"%AggregateError%":"undefined"==typeof AggregateError?a:AggregateError,"%Array%":Array,"%ArrayBuffer%":"undefined"==typeof ArrayBuffer?a:ArrayBuffer,"%ArrayIteratorPrototype%":g&&y?y([][Symbol.iterator]()):a,"%AsyncFromSyncIteratorPrototype%":a,"%AsyncFunction%":b,"%AsyncGenerator%":b,"%AsyncGeneratorFunction%":b,"%AsyncIteratorPrototype%":b,"%Atomics%":"undefined"==typeof Atomics?a:Atomics,"%BigInt%":"undefined"==typeof BigInt?a:BigInt,"%BigInt64Array%":"undefined"==typeof BigInt64Array?a:BigInt64Array,"%BigUint64Array%":"undefined"==typeof BigUint64Array?a:BigUint64Array,"%Boolean%":Boolean,"%DataView%":"undefined"==typeof DataView?a:DataView,"%Date%":Date,"%decodeURI%":decodeURI,"%decodeURIComponent%":decodeURIComponent,"%encodeURI%":encodeURI,"%encodeURIComponent%":encodeURIComponent,"%Error%":Error,"%eval%":eval,"%EvalError%":EvalError,"%Float32Array%":"undefined"==typeof Float32Array?a:Float32Array,"%Float64Array%":"undefined"==typeof Float64Array?a:Float64Array,"%FinalizationRegistry%":"undefined"==typeof FinalizationRegistry?a:FinalizationRegistry,"%Function%":l,"%GeneratorFunction%":b,"%Int8Array%":"undefined"==typeof Int8Array?a:Int8Array,"%Int16Array%":"undefined"==typeof Int16Array?a:Int16Array,"%Int32Array%":"undefined"==typeof Int32Array?a:Int32Array,"%isFinite%":isFinite,"%isNaN%":isNaN,"%IteratorPrototype%":g&&y?y(y([][Symbol.iterator]())):a,"%JSON%":"object"==typeof JSON?JSON:a,"%Map%":"undefined"==typeof Map?a:Map,"%MapIteratorPrototype%":"undefined"!=typeof Map&&g&&y?y((new Map)[Symbol.iterator]()):a,"%Math%":Math,"%Number%":Number,"%Object%":Object,"%parseFloat%":parseFloat,"%parseInt%":parseInt,"%Promise%":"undefined"==typeof Promise?a:Promise,"%Proxy%":"undefined"==typeof Proxy?a:Proxy,"%RangeError%":RangeError,"%ReferenceError%":ReferenceError,"%Reflect%":"undefined"==typeof Reflect?a:Reflect,"%RegExp%":RegExp,"%Set%":"undefined"==typeof Set?a:Set,"%SetIteratorPrototype%":"undefined"!=typeof Set&&g&&y?y((new Set)[Symbol.iterator]()):a,"%SharedArrayBuffer%":"undefined"==typeof SharedArrayBuffer?a:SharedArrayBuffer,"%String%":String,"%StringIteratorPrototype%":g&&y?y(""[Symbol.iterator]()):a,"%Symbol%":g?Symbol:a,"%SyntaxError%":s,"%ThrowTypeError%":m,"%TypedArray%":x,"%TypeError%":d,"%Uint8Array%":"undefined"==typeof Uint8Array?a:Uint8Array,"%Uint8ClampedArray%":"undefined"==typeof Uint8ClampedArray?a:Uint8ClampedArray,"%Uint16Array%":"undefined"==typeof Uint16Array?a:Uint16Array,"%Uint32Array%":"undefined"==typeof Uint32Array?a:Uint32Array,"%URIError%":URIError,"%WeakMap%":"undefined"==typeof WeakMap?a:WeakMap,"%WeakRef%":"undefined"==typeof WeakRef?a:WeakRef,"%WeakSet%":"undefined"==typeof WeakSet?a:WeakSet};if(y)try{null.error}catch(t){var S=y(y(t));w["%Error.prototype%"]=S}var _=function t(n){var r;if("%AsyncFunction%"===n)r=h("async function () {}");else if("%GeneratorFunction%"===n)r=h("function* () {}");else if("%AsyncGeneratorFunction%"===n)r=h("async function* () {}");else if("%AsyncGenerator%"===n){var a=t("%AsyncGeneratorFunction%");a&&(r=a.prototype)}else if("%AsyncIteratorPrototype%"===n){var s=t("%AsyncGenerator%");s&&y&&(r=y(s.prototype))}return w[n]=r,r},T={"%ArrayBufferPrototype%":["ArrayBuffer","prototype"],"%ArrayPrototype%":["Array","prototype"],"%ArrayProto_entries%":["Array","prototype","entries"],"%ArrayProto_forEach%":["Array","prototype","forEach"],"%ArrayProto_keys%":["Array","prototype","keys"],"%ArrayProto_values%":["Array","prototype","values"],"%AsyncFunctionPrototype%":["AsyncFunction","prototype"],"%AsyncGenerator%":["AsyncGeneratorFunction","prototype"],"%AsyncGeneratorPrototype%":["AsyncGeneratorFunction","prototype","prototype"],"%BooleanPrototype%":["Boolean","prototype"],"%DataViewPrototype%":["DataView","prototype"],"%DatePrototype%":["Date","prototype"],"%ErrorPrototype%":["Error","prototype"],"%EvalErrorPrototype%":["EvalError","prototype"],"%Float32ArrayPrototype%":["Float32Array","prototype"],"%Float64ArrayPrototype%":["Float64Array","prototype"],"%FunctionPrototype%":["Function","prototype"],"%Generator%":["GeneratorFunction","prototype"],"%GeneratorPrototype%":["GeneratorFunction","prototype","prototype"],"%Int8ArrayPrototype%":["Int8Array","prototype"],"%Int16ArrayPrototype%":["Int16Array","prototype"],"%Int32ArrayPrototype%":["Int32Array","prototype"],"%JSONParse%":["JSON","parse"],"%JSONStringify%":["JSON","stringify"],"%MapPrototype%":["Map","prototype"],"%NumberPrototype%":["Number","prototype"],"%ObjectPrototype%":["Object","prototype"],"%ObjProto_toString%":["Object","prototype","toString"],"%ObjProto_valueOf%":["Object","prototype","valueOf"],"%PromisePrototype%":["Promise","prototype"],"%PromiseProto_then%":["Promise","prototype","then"],"%Promise_all%":["Promise","all"],"%Promise_reject%":["Promise","reject"],"%Promise_resolve%":["Promise","resolve"],"%RangeErrorPrototype%":["RangeError","prototype"],"%ReferenceErrorPrototype%":["ReferenceError","prototype"],"%RegExpPrototype%":["RegExp","prototype"],"%SetPrototype%":["Set","prototype"],"%SharedArrayBufferPrototype%":["SharedArrayBuffer","prototype"],"%StringPrototype%":["String","prototype"],"%SymbolPrototype%":["Symbol","prototype"],"%SyntaxErrorPrototype%":["SyntaxError","prototype"],"%TypedArrayPrototype%":["TypedArray","prototype"],"%TypeErrorPrototype%":["TypeError","prototype"],"%Uint8ArrayPrototype%":["Uint8Array","prototype"],"%Uint8ClampedArrayPrototype%":["Uint8ClampedArray","prototype"],"%Uint16ArrayPrototype%":["Uint16Array","prototype"],"%Uint32ArrayPrototype%":["Uint32Array","prototype"],"%URIErrorPrototype%":["URIError","prototype"],"%WeakMapPrototype%":["WeakMap","prototype"],"%WeakSetPrototype%":["WeakSet","prototype"]},E=r(8612),C=r(7642),A=E.call(Function.call,Array.prototype.concat),O=E.call(Function.apply,Array.prototype.splice),I=E.call(Function.call,String.prototype.replace),P=E.call(Function.call,String.prototype.slice),D=E.call(Function.call,RegExp.prototype.exec),F=/[^%.[\]]+|\[(?:(-?\d+(?:\.\d+)?)|(["'])((?:(?!\2)[^\\]|\\.)*?)\2)\]|(?=(?:\.|\[\])(?:\.|\[\]|%$))/g,B=/\\(\\)?/g,$=function(t,n){var r,a=t;if(C(T,a)&&(a="%"+(r=T[a])[0]+"%"),C(w,a)){var l=w[a];if(l===b&&(l=_(a)),void 0===l&&!n)throw new d("intrinsic "+t+" exists, but is not available. Please file an issue!");return{alias:r,name:a,value:l}}throw new s("intrinsic "+t+" does not exist!")};t.exports=function(t,n){if("string"!=typeof t||0===t.length)throw new d("intrinsic name must be a non-empty string");if(arguments.length>1&&"boolean"!=typeof n)throw new d('"allowMissing" argument must be a boolean');if(null===D(/^%?[^%]*%?$/,t))throw new s("`%` may not be present anywhere but at the beginning and end of the intrinsic name");var r=function(t){var n=P(t,0,1),r=P(t,-1);if("%"===n&&"%"!==r)throw new s("invalid intrinsic syntax, expected closing `%`");if("%"===r&&"%"!==n)throw new s("invalid intrinsic syntax, expected opening `%`");var a=[];return I(t,F,(function(t,n,r,s){a[a.length]=r?I(s,B,"$1"):n||t})),a}(t),a=r.length>0?r[0]:"",l=$("%"+a+"%",n),h=l.name,f=l.value,m=!1,g=l.alias;g&&(a=g[0],O(r,A([0,1],g)));for(var v=1,y=!0;v<r.length;v+=1){var b=r[v],x=P(b,0,1),S=P(b,-1);if(('"'===x||"'"===x||"`"===x||'"'===S||"'"===S||"`"===S)&&x!==S)throw new s("property names with quotes must have matching quotes");if("constructor"!==b&&y||(m=!0),C(w,h="%"+(a+="."+b)+"%"))f=w[h];else if(null!=f){if(!(b in f)){if(!n)throw new d("base intrinsic for "+t+" exists, but the property is not available.");return}if(p&&v+1>=r.length){var _=p(f,b);f=(y=!!_)&&"get"in _&&!("originalValue"in _.get)?_.get:f[b]}else y=C(f,b),f=f[b];y&&!m&&(w[h]=f)}}return f}},7296:(t,n,r)=>{"use strict";var a=r(210)("%Object.getOwnPropertyDescriptor%",!0);if(a)try{a([],"length")}catch(t){a=null}t.exports=a},8185:t=>{"use strict";var n={foo:{}},r=Object;t.exports=function(){return{__proto__:n}.foo===n.foo&&!({__proto__:null}instanceof r)}},1405:(t,n,r)=>{"use strict";var a="undefined"!=typeof Symbol&&Symbol,s=r(5419);t.exports=function(){return"function"==typeof a&&("function"==typeof Symbol&&("symbol"==typeof a("foo")&&("symbol"==typeof Symbol("bar")&&s())))}},5419:t=>{"use strict";t.exports=function(){if("function"!=typeof Symbol||"function"!=typeof Object.getOwnPropertySymbols)return!1;if("symbol"==typeof Symbol.iterator)return!0;var t={},n=Symbol("test"),r=Object(n);if("string"==typeof n)return!1;if("[object Symbol]"!==Object.prototype.toString.call(n))return!1;if("[object Symbol]"!==Object.prototype.toString.call(r))return!1;for(n in t[n]=42,t)return!1;if("function"==typeof Object.keys&&0!==Object.keys(t).length)return!1;if("function"==typeof Object.getOwnPropertyNames&&0!==Object.getOwnPropertyNames(t).length)return!1;var a=Object.getOwnPropertySymbols(t);if(1!==a.length||a[0]!==n)return!1;if(!Object.prototype.propertyIsEnumerable.call(t,n))return!1;if("function"==typeof Object.getOwnPropertyDescriptor){var s=Object.getOwnPropertyDescriptor(t,n);if(42!==s.value||!0!==s.enumerable)return!1}return!0}},6410:(t,n,r)=>{"use strict";var a=r(5419);t.exports=function(){return a()&&!!Symbol.toStringTag}},7642:(t,n,r)=>{"use strict";var a=r(8612);t.exports=a.call(Function.call,Object.prototype.hasOwnProperty)},4485:(t,n,r)=>{t.exports=r(2894)},2894:function(t,n){var r,a,s;(function(){var l,d,h,p,f,m,g,v,y,b,x,w,S,_,T;h=Math.floor,b=Math.min,d=function(t,n){return t<n?-1:t>n?1:0},y=function(t,n,r,a,s){var l;if(null==r&&(r=0),null==s&&(s=d),r<0)throw new Error("lo must be non-negative");for(null==a&&(a=t.length);r<a;)s(n,t[l=h((r+a)/2)])<0?a=l:r=l+1;return[].splice.apply(t,[r,r-r].concat(n)),n},m=function(t,n,r){return null==r&&(r=d),t.push(n),_(t,0,t.length-1,r)},f=function(t,n){var r,a;return null==n&&(n=d),r=t.pop(),t.length?(a=t[0],t[0]=r,T(t,0,n)):a=r,a},v=function(t,n,r){var a;return null==r&&(r=d),a=t[0],t[0]=n,T(t,0,r),a},g=function(t,n,r){var a;return null==r&&(r=d),t.length&&r(t[0],n)<0&&(n=(a=[t[0],n])[0],t[0]=a[1],T(t,0,r)),n},p=function(t,n){var r,a,s,l,p,f;for(null==n&&(n=d),l=function(){f=[];for(var n=0,r=h(t.length/2);0<=r?n<r:n>r;0<=r?n++:n--)f.push(n);return f}.apply(this).reverse(),p=[],a=0,s=l.length;a<s;a++)r=l[a],p.push(T(t,r,n));return p},S=function(t,n,r){var a;if(null==r&&(r=d),-1!==(a=t.indexOf(n)))return _(t,0,a,r),T(t,a,r)},x=function(t,n,r){var a,s,l,h,f;if(null==r&&(r=d),!(s=t.slice(0,n)).length)return s;for(p(s,r),l=0,h=(f=t.slice(n)).length;l<h;l++)a=f[l],g(s,a,r);return s.sort(r).reverse()},w=function(t,n,r){var a,s,l,h,m,g,v,x,w;if(null==r&&(r=d),10*n<=t.length){if(!(l=t.slice(0,n).sort(r)).length)return l;for(s=l[l.length-1],h=0,g=(v=t.slice(n)).length;h<g;h++)r(a=v[h],s)<0&&(y(l,a,0,null,r),l.pop(),s=l[l.length-1]);return l}for(p(t,r),w=[],m=0,x=b(n,t.length);0<=x?m<x:m>x;0<=x?++m:--m)w.push(f(t,r));return w},_=function(t,n,r,a){var s,l,h;for(null==a&&(a=d),s=t[r];r>n&&a(s,l=t[h=r-1>>1])<0;)t[r]=l,r=h;return t[r]=s},T=function(t,n,r){var a,s,l,h,p;for(null==r&&(r=d),s=t.length,p=n,l=t[n],a=2*n+1;a<s;)(h=a+1)<s&&!(r(t[a],t[h])<0)&&(a=h),t[n]=t[a],a=2*(n=a)+1;return t[n]=l,_(t,p,n,r)},l=function(){function t(t){this.cmp=null!=t?t:d,this.nodes=[]}return t.push=m,t.pop=f,t.replace=v,t.pushpop=g,t.heapify=p,t.updateItem=S,t.nlargest=x,t.nsmallest=w,t.prototype.push=function(t){return m(this.nodes,t,this.cmp)},t.prototype.pop=function(){return f(this.nodes,this.cmp)},t.prototype.peek=function(){return this.nodes[0]},t.prototype.contains=function(t){return-1!==this.nodes.indexOf(t)},t.prototype.replace=function(t){return v(this.nodes,t,this.cmp)},t.prototype.pushpop=function(t){return g(this.nodes,t,this.cmp)},t.prototype.heapify=function(){return p(this.nodes,this.cmp)},t.prototype.updateItem=function(t){return S(this.nodes,t,this.cmp)},t.prototype.clear=function(){return this.nodes=[]},t.prototype.empty=function(){return 0===this.nodes.length},t.prototype.size=function(){return this.nodes.length},t.prototype.clone=function(){var n;return(n=new t).nodes=this.nodes.slice(0),n},t.prototype.toArray=function(){return this.nodes.slice(0)},t.prototype.insert=t.prototype.push,t.prototype.top=t.prototype.peek,t.prototype.front=t.prototype.peek,t.prototype.has=t.prototype.contains,t.prototype.copy=t.prototype.clone,t}(),a=[],void 0===(s="function"==typeof(r=function(){return l})?r.apply(n,a):r)||(t.exports=s)}).call(this)},5717:t=>{"function"==typeof Object.create?t.exports=function(t,n){n&&(t.super_=n,t.prototype=Object.create(n.prototype,{constructor:{value:t,enumerable:!1,writable:!0,configurable:!0}}))}:t.exports=function(t,n){if(n){t.super_=n;var r=function(){};r.prototype=n.prototype,t.prototype=new r,t.prototype.constructor=t}}},2584:t=>{"use strict";var n="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag,r=Object.prototype.toString,a=function(t){return!(n&&t&&"object"==typeof t&&Symbol.toStringTag in t)&&"[object Arguments]"===r.call(t)},s=function(t){return!!a(t)||null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Array]"!==r.call(t)&&"[object Function]"===r.call(t.callee)},l=function(){return a(arguments)}();a.isLegacyArguments=s,t.exports=l?a:s},5320:t=>{"use strict";var n,r,a=Function.prototype.toString,s="object"==typeof Reflect&&null!==Reflect&&Reflect.apply;if("function"==typeof s&&"function"==typeof Object.defineProperty)try{n=Object.defineProperty({},"length",{get:function(){throw r}}),r={}}catch(t){s=null}else s=null;var l=/^\s*class\b/,d=function(t){try{var n=a.call(t);return l.test(n)}catch(t){return!1}},h=Object.prototype.toString,p="function"==typeof Symbol&&"symbol"==typeof Symbol.toStringTag;t.exports=s?function(t){if(!t)return!1;if("function"!=typeof t&&"object"!=typeof t)return!1;if("function"==typeof t&&!t.prototype)return!0;try{s(t,null,n)}catch(t){if(t!==r)return!1}return!d(t)}:function(t){if(!t)return!1;if("function"!=typeof t&&"object"!=typeof t)return!1;if("function"==typeof t&&!t.prototype)return!0;if(p)return function(t){try{return!d(t)&&(a.call(t),!0)}catch(t){return!1}}(t);if(d(t))return!1;var n=h.call(t);return"[object Function]"===n||"[object GeneratorFunction]"===n}},8662:(t,n,r)=>{"use strict";var a,s=Object.prototype.toString,l=Function.prototype.toString,d=/^\s*(?:function)?\*/,h=r(6410)(),p=Object.getPrototypeOf;t.exports=function(t){if("function"!=typeof t)return!1;if(d.test(l.call(t)))return!0;if(!h)return"[object GeneratorFunction]"===s.call(t);if(!p)return!1;if(void 0===a){var n=function(){if(!h)return!1;try{return Function("return function*() {}")()}catch(t){}}();a=!!n&&p(n)}return p(t)===a}},8611:t=>{"use strict";t.exports=function(t){return t!=t}},360:(t,n,r)=>{"use strict";var a=r(5559),s=r(4289),l=r(8611),d=r(9415),h=r(3194),p=a(d(),Number);s(p,{getPolyfill:d,implementation:l,shim:h}),t.exports=p},9415:(t,n,r)=>{"use strict";var a=r(8611);t.exports=function(){return Number.isNaN&&Number.isNaN(NaN)&&!Number.isNaN("a")?Number.isNaN:a}},3194:(t,n,r)=>{"use strict";var a=r(4289),s=r(9415);t.exports=function(){var t=s();return a(Number,{isNaN:t},{isNaN:function(){return Number.isNaN!==t}}),t}},5692:(t,n,r)=>{"use strict";var a=r(6430);t.exports=function(t){return!!a(t)}},355:function(t,n,r){var a=r(5108);!function(t,n){"use strict";function r(t){return t&&"object"==typeof t&&"default"in t?t:{default:t}}var s=r(n);function l(t,n,r,a){function s(t){return t instanceof r?t:new r((function(n){n(t)}))}return new(r||(r=Promise))((function(r,l){function d(t){try{p(a.next(t))}catch(t){l(t)}}function h(t){try{p(a.throw(t))}catch(t){l(t)}}function p(t){t.done?r(t.value):s(t.value).then(d,h)}p((a=a.apply(t,n||[])).next())}))}const d=[{attributeName:"TransitionTimeMs",isTimestamp:!0},{attributeName:"PositionWorld",isInterpolable:!0,components:["X","Y"]},{attributeName:"SizeWorld",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"OrderZ",isInterpolable:!0,minValue:0,maxValue:1},{attributeName:"GeometricZoom",isInterpolable:!0,isBroadcastable:!0,components:["X","Y"]},{attributeName:"PositionPixel",isInterpolable:!0,components:["X","Y"]},{attributeName:"SizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"MaxSizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"MinSizePixel",isInterpolable:!0,isBroadcastable:!0,components:["Width","Height"]},{attributeName:"PositionRelative",isInterpolable:!0,components:["X","Y"]},{attributeName:"Sides"},{attributeName:"ShapeTexture",components:["U","V","Width","Height"]},{attributeName:"BorderRadiusPixel",isInterpolable:!0},{attributeName:"BorderRadiusRelative",isInterpolable:!0},{attributeName:"BorderPlacement",isInterpolable:!0},{attributeName:"BorderColor",isInterpolable:!0,components:["R","G","B","Opacity"]},{attributeName:"FillColor",isInterpolable:!0,components:["R","G","B","Opacity"]}],h=Object.freeze(["r","g","b","a"]),p=Object.freeze({dataChannelCount:4,desiredSwatchCapacity:1/0,attributes:d}),f=4;class AttributeMapper{constructor(t){const n=Object.assign({},p,t||{});if(!isFinite(n.maxTextureSize)&&!isFinite(n.desiredSwatchCapacity))throw new RangeError("Cannot map attributes to texture of infinite size");this.dataChannelCount=n.dataChannelCount,this.maxTextureSize=n.maxTextureSize,this.desiredSwatchCapacity=n.desiredSwatchCapacity,this.attributes=n.attributes,this.attributeComponentIndices={},this.attributeComponentNames=[],this.componentToAttributeMap={},this.isAttributeTimestamp=[];for(const t of this.attributes){const{attributeName:n,components:r}=t;for(const a of r||[""]){const r=`${n}${a}`;if(r in this.attributeComponentIndices)throw new Error(`Duplicate attribute component name detected: ${r}`);const s=this.attributeComponentNames.length;this.attributeComponentNames[s]=r,this.attributeComponentIndices[r]=s,this.componentToAttributeMap[r]=t,this.isAttributeTimestamp[s]=!!t.isTimestamp}}for(const t of this.attributes){if(!t.isInterpolable)continue;const{attributeName:n,components:r}=t;for(const a of r||[""]){const r=`${n}${a}Delta`;if(r in this.attributeComponentIndices)throw new Error(`Duplicate attribute component name detected: ${r}`);const s=this.attributeComponentNames.length;this.attributeComponentNames[s]=r,this.attributeComponentIndices[r]=s,this.isAttributeTimestamp[s]=!!t.isTimestamp}}Object.freeze(this.attributeComponentIndices),Object.freeze(this.attributeComponentNames),Object.freeze(this.isAttributeTimestamp),this.texelsPerSwatch=Math.ceil(this.attributeComponentNames.length/this.dataChannelCount),this.valuesPerSwatch=this.texelsPerSwatch*this.dataChannelCount,this.bytesPerSwatch=this.valuesPerSwatch*f,this.swatchesPerRow=Math.floor(this.maxTextureSize/this.texelsPerSwatch),this.textureWidth=this.texelsPerSwatch*this.swatchesPerRow,this.textureHeight=this.maxTextureSize,this.totalSwatches=this.swatchesPerRow*this.textureHeight,this.totalSwatches>this.desiredSwatchCapacity&&(this.swatchesPerRow=Math.min(this.swatchesPerRow,Math.ceil(Math.sqrt(this.desiredSwatchCapacity/this.texelsPerSwatch))),this.textureWidth=this.texelsPerSwatch*this.swatchesPerRow,this.textureHeight=Math.min(this.textureHeight,Math.ceil(this.desiredSwatchCapacity/this.swatchesPerRow)),this.totalSwatches=this.swatchesPerRow*this.textureHeight),this.valuesPerRow=this.swatchesPerRow*this.valuesPerSwatch,this.bytesPerRow=this.valuesPerRow*f,this.totalTexels=this.textureWidth*this.textureHeight,this.totalValues=this.totalTexels*this.dataChannelCount,this.totalBytes=this.totalValues*f,Object.freeze(this)}generateTexelReaderGLSL(t="texelValues",n="dataTexture",r="instanceSwatchUv"){const a=[],s=this.texelsPerSwatch;for(let l=0;l<s;l++){const s=(l%this.texelsPerSwatch+.5)/this.texelsPerSwatch/this.swatchesPerRow,d=(Math.floor(l/this.texelsPerSwatch)+.5)/this.textureHeight;a.push(`${t}[${l}] = texture2D(${n}, ${r} + vec2(${s}, ${d}));`)}return a.join("\n")}generateAttributeDefinesGLSL(t,n="texelValues"){return[...this.attributes.map((r=>{const{attributeName:a}=r,s=(r.components||[""]).map((t=>{const r=this.attributeComponentIndices[`${a}${t}`],s=Math.floor(r/this.dataChannelCount),l=h[r%this.dataChannelCount];return`${n}[${s}].${l}`})).join(", "),l=r.components?`vec${r.components.length}(${s})`:s;return`#define ${t}${a}() ${l}`})),...this.attributes.filter((t=>t.isInterpolable)).map((r=>{const{attributeName:a}=r,s=(r.components||[""]).map((t=>{const r=this.attributeComponentIndices[`${a}${t}Delta`],s=Math.floor(r/this.dataChannelCount),l=["r","g","b","a"][r%this.dataChannelCount];return`${n}[${s}].${l}`})).join(", "),l=r.components?`vec${r.components.length}(${s})`:s;return`#define ${t}${a}Delta() ${l}`}))].join("\n")}generateRebaseFragmentGLSL(t="previousTexelValues",n="targetTexelValues",r="texelIndex",a="rebaseTs"){const s={};for(const r of this.attributes){const{attributeName:l}=r;for(const d of r.components||[""]){const p=`${l}${d}`,f=this.attributeComponentIndices[p],m=Math.floor(f/this.dataChannelCount),g=h[f%this.dataChannelCount],v=`${t}[${m}].${g}`,y=`${n}[${m}].${g}`;if(m in s||(s[m]={}),r.isTimestamp){const t=`${a};`;s[m][g]=t}else if(r.isInterpolable){const n=`${p}Delta`,r=this.attributeComponentIndices[n],l=Math.floor(r/this.dataChannelCount),d=h[r%this.dataChannelCount];l in s||(s[l]={});const f=`${t}[${l}].${d}`;s[m][g]=`computeValueAtTime(${v}, ${f}, ${y}, ${a});`,s[l][d]=`computeDeltaAtTime(${v}, ${f}, ${y}, ${a});`}else s[m][g]=`computeThresholdValue(${v}, ${y}, ${a});`}}const l=[];for(let t=0;t<this.texelsPerSwatch;t++){const n=s[t];l.push(`if (${r} < ${t}.5) {`);for(let t=0;t<this.dataChannelCount;t++){const r=h[t];r in n&&l.push(`  gl_FragColor.${r} = ${n[r]}`)}l.push("  return;"),l.push("}")}return l.join("\n")}generateInstanceSwatchUvValues(){const t=new Float32Array(2*this.totalSwatches);for(let n=0;n<this.textureHeight;n++)for(let r=0;r<this.swatchesPerRow;r++){const a=2*(n*this.swatchesPerRow+r);t[a]=r/this.swatchesPerRow,t[a+1]=n/this.textureHeight}return t}}class CallbackTriggerPoint{constructor(t){this.callbackFn=t,this.xValue=0,this.yValue=0}get x(){return this.xValue}set x(t){if(isNaN(+t))throw new RangeError("x cannot be NaN");this.xValue=t,this.callbackFn()}get y(){return this.yValue}set y(t){if(isNaN(+t))throw new RangeError("y cannot be NaN");this.yValue=t,this.callbackFn()}}function m(t,...n){const r=[];for(let a=0;a<n.length;a++)r.push(t[a],`${n[a]}`);return r.push(t[t.length-1]),r.join("")}function g(){return m`
precision lowp float;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

/**
 * View matrix for converting from world space to clip space.
 */
uniform mat3 viewMatrix;

/**
 * Signed-distance field (SDF) texture. Sampled for implementing glyphs of text.
 */
uniform sampler2D sdfTexture;

/**
 * Antialiasing factor defines the window radius in device pixels to use to
 * determine the contribution of border and fill colors for antialiasing.
 */
uniform float antialiasingFactor;

/**
 * Varying time value, eased using cubic-in-out between the previous and target
 * timestamps for this Sprite.
 */
varying float varyingT;

/**
 * Interpolated, per-vertex coordinate attributes for the quad into which the
 * sprite will be rendered.
 */
varying vec2 varyingVertexCoordinates;

/**
 * Threshold distance values to consider the pixel outside the shape (X) or
 * inside the shape (Y). Values between constitute the border.
 */
varying vec2 varyingBorderThresholds;

/**
 * Scale value for converting edge distances to pixel distances in the fragment
 * shader.
 */
varying float varyingEdgeToPixelScale;

/**
 * Aspect ratio of the sprite's renderable area (XY) and their inverses (ZW).
 * One component of each pair will be 1. For the XY pair, the other component
 * be be greater than 1. and for the inverse pair it will be smaller.
 *
 * For example, a rectangle that's twice as wide as it is tall wolud have
 * varyingAspectRatio equal to vec4(2., 1., .5, 1.).
 */
varying vec4 varyingAspectRatio;

/**
 * Color attributes.
 */
varying vec4 varyingBorderColor;
varying vec4 varyingFillColor;

/**
 * Shape attributes used by fragment shader.
 */
varying float varyingPreviousSides;
varying float varyingTargetSides;
varying vec4 varyingPreviousShapeTexture;
varying vec4 varyingTargetShapeTexture;

const float PI = 3.1415926535897932384626433832795;

/**
 * Given a line segment described by two points (a,b), find the point along that
 * line segment nearest to a point of interest (p).
 */
vec2 closestPoint(vec2 a, vec2 b, vec2 p) {
  vec2 pa = p - a;
  vec2 ba = b - a;
  vec2 baNorm = normalize(ba);
  float baLen = length(ba);
  float projectedLen = dot(baNorm, pa);
  vec2 closest =
    projectedLen < 0. ? a :
    projectedLen > baLen ? b :
    a + baNorm * projectedLen;
  return closest;
}

/**
 * Matrix to flip XY coordinates for theta computation. To orient polygons and
 * stars pointing upwards, we compute angles counter-clockwise from vertical.
 */
const mat2 FLIP_MATRIX = mat2(vec2(0., 1.), vec2(-1., 0.));

/**
 * Given a point in the range (-1,-1) to (1,1), compute the angle to that point,
 * going counter-clockwise from vertical.
 */
float computeTheta(vec2 point) {
  vec2 f = FLIP_MATRIX * point;
  return atan(f.y, f.x) + PI;
}

/**
 * Given the varying coordinates of interest, the dimensions of the shape's
 * bounding box, the number of sides, and a list of repeating offset radii,
 * determine the signed distance from the coordinates to the nearest edge of the
 * shape.
 *
 * @param sides Number of sides of the polygon or star.
 * @param radii List of four repeating offset radii to render stars. If all
 * values are 0., then the rendered distance will be a regular polygon.
 */
float getDistStar(int sides, vec4 radii) {
  float fSides = float(sides);

  // Flip radii (0. means align with unit circle, 1. means center of shape).
  radii = 1. - radii;

  // Angle to cut through the midpoint of a regular polygon's side.
  float piSides = PI / fSides;

  // With the polygon pointed up, this is the angle (counter-clockwise from top)
  // to the point just before crossing the X-axis. For a triangle, this will
  // just be the same as piSides.
  float wideAngle = floor(fSides * .5) * piSides;

  // Compute radius for dilation to fill bounding box.
  float dilation = 1. / max(sin(wideAngle), sin(piSides));

  // Compute the height of the shape, for centering.
  float height = dilation * (1. + max(cos(PI - 2. * wideAngle), cos(piSides)));

  // The point of interest starts with the varyingVertexCoordinates, but shifted
  // to center the shape vertically.
  vec2 poi = EDGE_DISTANCE_DILATION * varyingVertexCoordinates +
    vec2(0., EDGE_DISTANCE_DILATION - height);

  // Compute theta for point of interest, counter-clockwise from vertical.
  float theta = computeTheta(poi);

  // Incorporate aspect ratio calculation. This ensures that distances to
  // borders do not stretch with the shape.
  vec2 aspect = varyingAspectRatio.xy;
  poi *= aspect;

  // Compute which side of the star we're on, and use this to compute adjustment
  // to a and b points. This creates the star effect.
  float side = floor(theta / PI * .5 * fSides);

  float minDistance = 1.e20;
  float distanceSign;

  // Look at sides to the left/right (clockwise) to find the closest.
  for (int i = -1; i < 2; i++) {
    float thisSide = side + float(i);
    float m = mod(thisSide + 4., 4.);

    vec2 adjust =
      m < 1. ? radii.xy :
      m < 2. ? radii.yz :
      m < 3. ? radii.zw :
      radii.wx;

    // Find the ab line segment endpoints.
    float thetaA = 2. * thisSide * piSides;
    float thetaB = thetaA + 2. * piSides;
    vec2 a = aspect * dilation * adjust.x * vec2(-sin(thetaA), cos(thetaA));
    vec2 b = aspect * dilation * adjust.y * vec2(-sin(thetaB), cos(thetaB));

    // Find the closest point on the segment and update minDistance.
    vec2 c = closestPoint(a, b, poi).xy;
    minDistance = min(minDistance, distance(poi, c));

    // If we're in our own segment, capture the distance sign.
    if (i == 0) {
      // Use cross product to determine if we're inside or outside the line.
      distanceSign = sign(cross(vec3(b - a, 0.), vec3(poi - c, 0.)).z);
    }
  }

  return minDistance * distanceSign;
}

/**
 * Convenience method for calling getDistStar() with a fixed size array of 0.
 * values to create a regular polygon.
 */
float getDistPolygon(int sides) {
  return getDistStar(sides, vec4(0.));
}

/**
 * Estimate the distance from the varying vertex coordinate to the nearest point
 * on an ellipse of the specified aspect ratio. Mathematically, a closed-form
 * solution for this problem has not yet been discovered.
 *
 * Higher accuracy estimates of ellipse distance are possible with more
 * computation steps, but the procedure used here yields sufficient accurancy
 * for data visualization purposes.
 */
float getDistEllipse() {
  // All quadrants can be treated the same, so use the absolute value of the
  // vertex coordinates, and flip if needed so that the X dimension is always
  // the greater.
  bool flipped = varyingAspectRatio.x < varyingAspectRatio.y;
  vec4 aspectRatio = flipped ? varyingAspectRatio.yxwz : varyingAspectRatio;

  // Point of interest in the expanded circle (before aspect ratio stretching).
  vec2 circlePoint = EDGE_DISTANCE_DILATION * abs(
      flipped ? varyingVertexCoordinates.yx : varyingVertexCoordinates);

  // Capture length for inside/outside checking.
  float len = length(circlePoint);

  // Point of interest in the ellipse (after aspect ratio stretching).
  vec2 ellipsePoint = circlePoint * aspectRatio.xy;

  // Compute the angle from the x-axis up to the point of interest.
  float theta = PI - atan(circlePoint.y, -circlePoint.x);

  // Find the point where a ray from the origin through c hits the ellipse.
  vec2 p1 = aspectRatio.xy * vec2(cos(theta), sin(theta));

  // Find a second point by casting up from the x-axis. If the point of interest
  // is outside the ellipse and past the tip, use the tip coordinate.
  float invAr2 = aspectRatio.z * aspectRatio.z;
  vec2 p2 = ellipsePoint.x > aspectRatio.x ? vec2(aspectRatio.x, 0.) :
    vec2(ellipsePoint.x, sqrt(1. - ellipsePoint.x * ellipsePoint.x * invAr2));

  // Take the minimum distance between ray intersection point and vertical.
  float dist = min(distance(ellipsePoint, p1), distance(ellipsePoint, p2));

  // If the point of interest is outside of the ellipse, smooth by checking the
  // distance to one more point: the point on the ellipse between p1 and p2 such
  // that its X coordinate is half way between.
  if (len > 1.) {
    vec2 pm = mix(p1, p2, .5);
    pm.y = sqrt(1. - pm.x * pm.x * invAr2);
    dist = min(dist, distance(ellipsePoint, pm));
  }

  // Return signed distance.
  return dist * sign(1. - len);
}

/**
 * Compute the signed distance from the point of interest to the nearest edge of
 * the sprite bonding box.
 */
float getDistRect() {
  // All quadrants can be treated the same, so we limit our computation to the
  // top right.
  vec2 ar = varyingAspectRatio.xy;
  vec2 p = ar * EDGE_DISTANCE_DILATION * abs(varyingVertexCoordinates);

  // If the point of intrest is beyond the top corner, return the negative
  // distance to that corner.
  bvec2 gt = greaterThan(p, ar);
  if (all(gt)) {
    return -distance(p, ar);
  }
  if (gt.x) {
    return ar.x - p.x;
  }
  if (gt.y) {
    return ar.y - p.y;
  }

  // Determine distance to nearest edge.
  vec2 d = ar - p;
  vec2 dabs = abs(d);
  return dabs.x < dabs.y ? d.x : d.y;
}

/**
 * Sample the distance from the sdfTexture. The texture is assumed to have
 * one-dimensional distances in the X and Y componets and two-dimensional
 * distance in the Z component.
 *
 * @param shapeTexture UV coordinates and width/height of the region of the SDF
 * texture within which to sample (corresponds to the glyph being rendered).
 */
float getDistSDF(vec4 shapeTexture) {
  // Clamp vertex coordinates to the -1 to 1 range.
  vec2 clamped = clamp(varyingVertexCoordinates, -1., 1.);

  // For sampling, UV coordinates are Y-flipped and shifted.
  vec2 coordUv = clamped * vec2(1., -1.) + .5;

  // Focus on the middle 50% of the UV space. Assumes glyphs were rendered with
  // buffer roughly equal to the font size.
  //
  //   +------+       .      .
  //   |      |         +--+
  //   |  k   |  =>     |k |
  //   |      |         +--+
  //   +------+       .      .
  //
  coordUv *= .5;
  coordUv += .25;

  // Offset into the texture according to the shapeTexture's location and size.
  vec2 textureUv =
      shapeTexture.xy +
      shapeTexture.zw * coordUv;

  return texture2D(sdfTexture, textureUv).z;
}

/**
 * Generic distance function that calls through to one of the more specific
 * distance functions.
 *
 * @param sides Number of sides of the polygon/star, or special value:
 *  s < 0      : Reserved / Undefined.
 *  s == 0     : Use SDF texture coordinates.
 *  s == 1     : Circle.
 *  s == 2     : Filled rectangle.
 *  s > 2      : Polygon / Star.
 * @param textureUv Offset into SDF texture.
 */
float getDist(int sides, vec4 shapeTexture) {
  return
    sides == 0 ? getDistSDF(shapeTexture) :
    sides == 1 ? getDistEllipse() :
    sides == 2 ? getDistRect() :
    sides > 2 ? getDistPolygon(sides) :
    1.; // Reserved / undefined.
}

void main () {
  int previousSides = int(varyingPreviousSides);
  int targetSides = int(varyingTargetSides);

  float previousDistance = getDist(previousSides, varyingPreviousShapeTexture);
  float targetDistance = getDist(targetSides, varyingTargetShapeTexture);
  float signedDistance = mix(previousDistance, targetDistance, varyingT);

  // Create an antialiasing window around the determined signed distance with
  // radius equal to 1 device pixel (diameter of 2 device pixels).
  vec2 window = signedDistance +
    varyingEdgeToPixelScale * antialiasingFactor * vec2(-1., 1.);

  // Width of the antialiasing window.
  float width = window.y - window.x;

  // Determine the contribution to the window of the border and fill.
  vec2 contrib;

  if (width > 0.) {
    // Amount of space within the window that overlaps the border.
    contrib.x =
      min(varyingBorderThresholds.y, window.y) -
      max(varyingBorderThresholds.x, window.x);

    // Amount of space within the window that overlaps the fill color. May be
    // negative, if no part of the window overlaps.
    contrib.y = width - (varyingBorderThresholds.y - window.x);

    // Normalize contributions to the antialiasing window's width.
    contrib /= width;
  } else {
    // If zero antialiasing, do a hard cutoff.
    contrib.x = float(
      varyingBorderThresholds.x <= signedDistance &&
      signedDistance < varyingBorderThresholds.y
    );
    contrib.y = float(varyingBorderThresholds.y <= signedDistance);
  }

  // Clamp contribution values to possible range.
  contrib = clamp(contrib, 0., 1.);

  // Mix alpha channels according to their absolute contributions.
  float alpha =
    contrib.x * varyingBorderColor.a +
    contrib.y * varyingFillColor.a;

  // Discard low-alpha pixels so that sprites that are out of their natural
  // order (due to OrderZ) are visible underneath higher sprites.
  if (alpha < .01) {
    discard;
    return;
  }

  // Mix RGB channels of border and fill according to their relative
  // contributions to the total.
  vec2 rel = contrib / (contrib.x + contrib.y);
  vec3 color = rel.x * varyingBorderColor.rgb + rel.y * varyingFillColor.rgb;

  gl_FragColor = vec4(color, alpha);
}
`}const v=["float","vec2","vec3","vec4"];function y(){return m`
float range(float x, float y, float a) {
  return (a - x) / (y - x);
}
`}function b(){return m`
float cubicEaseInOut(float t) {
  return t < 0.5 ? 4.0 * t * t * t :
    4.0 * (t - 1.0) * (t - 1.0) * (t - 1.0) + 1.0;
}
`}function x(t="t",n="varyingT"){return v.map((r=>m`
${r} computeCurrentValue(
    ${r} startingValue,
    ${r} startingVelocity,
    ${r} targetValue) {
  ${r} currentValue = mix(startingValue, targetValue, ${n});
  ${r} projectedValue = startingVelocity *
    (targetTransitionTimeMs() - previousTransitionTimeMs());
  return currentValue + projectedValue *
    ${t} * (1. - ${t}) * (1. - ${t}) * (1. - ${t});
}
  `)).join("\n")}function w(){return m`
/**
 * @param positionWorld The position of the sprite in world coords.
 * @param size Size of the sprite in world coordinates.
 * @param positionRelative Offset position relative to vert coords.
 * @param positionPixel Offset position in screen pixels.
 * @param vertCoords Local coordinates for this vertex.
 * @param viewMatrix Matrix to project world coords into view space (pixels).
 */
vec2 computeViewVertexPosition(
    vec2 positionWorld,
    vec2 size,
    vec2 positionRelative,
    vec2 positionPixel,
    vec2 vertCoords,
    mat3 viewMatrix
) {
  vec2 vertexPositionWorld =
    positionWorld + size * (positionRelative + vertCoords);
  vec2 viewVertexPosition =
    (viewMatrix * vec3(vertexPositionWorld, 1.)).xy + positionPixel * 4.;
  return viewVertexPosition;
}
`}function S(){return m`
/**
 *
 * @param sizeWorld Size of the sprite in world coordinates.
 * @param sizePixel Offset size of the sprite in pixels.
 * @param geometricZoom The geometric zoom size modifier.
 * @param viewMatrixScale XY scale (world coords to pixels), and ZW inverse.
 * @param maxSizePixel Maximum allowed size in pixels.
 * @param minSizePixel Minimum allowed size in pixels.
 */
vec2 computeSize(
  vec2 sizeWorld,
  vec2 sizePixel,
  vec2 geometricZoom,
  vec4 viewMatrixScale,
  vec2 maxSizePixel,
  vec2 minSizePixel
) {
  // Combine scale with geometric zoom effect.
  vec2 zoomScale = exp(log(viewMatrixScale.xy) * (1. - geometricZoom));

  // Project the size in world coordinates to pixels to apply min/max.
  vec2 projectedSizePixel = sizeWorld * zoomScale +
    sizePixel * CLIP_SPACE_RANGE * devicePixelRatio;

  // Inital computed size in world coordinates is based on projected pixel size.
  vec2 computedSize = projectedSizePixel * viewMatrixScale.zw;

  // Compute whether max and min size components are positive, in parallel.
  // XY contains results for max, ZW contains results for min.
  bvec4 isPositive = greaterThan(vec4(maxSizePixel, minSizePixel), vec4(0.));

  // Apply maximums if set.
  bvec2 gtMax = greaterThan(projectedSizePixel, maxSizePixel);
  if (isPositive.x && gtMax.x) {
    computedSize.x = maxSizePixel.x * viewMatrixScale.z;
  }
  if (isPositive.y && gtMax.y) {
    computedSize.y = maxSizePixel.y * viewMatrixScale.w;
  }

  // Apply minimums if set.
  bvec2 ltMin = lessThan(projectedSizePixel, minSizePixel);
  if (isPositive.z && ltMin.x) {
    computedSize.x = minSizePixel.x * viewMatrixScale.z;
  }
  if (isPositive.w && ltMin.y) {
    computedSize.y = minSizePixel.y * viewMatrixScale.w;
  }

  return computedSize;
}
`}function _(){return m`
vec4 computeCurrentSizePixelAndWorld() {
  return computeCurrentValue(
    vec4(
      previousSizePixel(),
      previousSizeWorld()),
    vec4(
      previousSizePixelDelta(),
      previousSizeWorldDelta()),
    vec4(
      targetSizePixel(),
      targetSizeWorld())
  );
}
`}function T(){return m`
vec4 computeCurrentMaxAndMinSizePixel() {
  return computeCurrentValue(
    vec4(
      previousMaxSizePixel(),
      previousMinSizePixel()
    ),
    vec4(
      previousMaxSizePixelDelta(),
      previousMinSizePixelDelta()
    ),
    vec4(
      targetMaxSizePixel(),
      targetMinSizePixel()
    )
  ) * CLIP_SPACE_RANGE * devicePixelRatio;
}
`}function E(){return m`
/**
 * @param size The size of the sprite.
 * @return The aspect ratio (XY) and the inverse of the aspect ratio (ZW).
 */
vec4 computeAspectRatio(vec2 size) {
  vec2 ar = size / min(size.x, size.y);
  return vec4(ar, 1. / ar);
}
`}function C(t){return m`
precision lowp float;

/**
 * WebGL vertex shaders output coordinates in clip space, which is a 3D volume
 * where each component is clipped to the range (-1,1). The distance from
 * edge-to-edge is therefore 2.
 */
const float CLIP_SPACE_RANGE = 2.;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

/**
 * Current uniform timestamp for interpolating.
 */
uniform float ts;

/**
 * Effective devicePixelRatio.
 */
uniform float devicePixelRatio;

/**
 * Total number of sprite instances being rendered this pass. Used to compute
 * clip-space Z for stacking sprites based on their instanceIndex.
 * This ensures that partial-opacity pixels of stacked sprites will be
 * alpha-blended. Without this, occluded sprites' pixels may not blend.
 */
uniform float instanceCount;

/**
 * Granularity expected in the value of OrderZ values. The higher the
 * granularity, the more control the user has over the Z position of sprites.
 * However, this leaves less precision for correctly positioning sprites which
 * have exactly the same OrderZ value.
 */
uniform float orderZGranularity;

/**
 * View and projection matrices for converting from world space to clip space.
 */
uniform mat3 viewMatrix;
uniform mat3 projectionMatrix;

/**
 * Scale includes the X and Y dimensions of the viewMatrix, and their inverses
 * in the WZ components.
 */
uniform vec4 viewMatrixScale;

/**
 * Data textures holding the previous and target Sprite instance
 * attributes. The instantaneous value for each attribute is determined by
 * interpolating between the previous and target according to the ts uniform.
 */
uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

/**
 * Per-vertex coordinates for the quad into which the sprite will be rendered.
 * XY contain the local cartesian coordinates for a unit square centered at the
 * origin.
 *
 *   vertexCoordinates: [
 *     [-0.5, -0.5],
 *     [0.5, -0.5],
 *     [-0.5, 0.5],
 *     [0.5, 0.5],
 *   ],
 *
 */
attribute vec2 vertexCoordinates;

/**
 * Instanced, per-sprite index and UV coordinates of the sprite's data swatch.
 */
attribute float instanceIndex;
attribute vec2 instanceSwatchUv;

/**
 * Varying time value, eased using cubic-in-out between the previous and target
 * timestamps for this Sprite.
 */
varying float varyingT;

/**
 * Interpolated vertexCoordinates for fragment shader.
 */
varying vec2 varyingVertexCoordinates;

/**
 * Threshold distance values to consider the pixel outside the shape (X) or
 * inside the shape (Y). Values between constitute the border.
 */
varying vec2 varyingBorderThresholds;

/**
 * Scale value for converting edge distances to pixel distances in the fragment
 * shader.
 */
varying float varyingEdgeToPixelScale;

/**
 * Aspect ratio of the sprite's renderable area (XY) and their inverses (ZW).
 * One component of each pair will be 1. For the XY pair, the other component
 * be be greater than 1. and for the inverse pair it will be smaller.
 *
 * For example, a rectangle that's twice as wide as it is tall would have
 * varyingAspectRatio equal to vec4(2., 1., .5, 1.).
 */
varying vec4 varyingAspectRatio;

/**
 * Color attributes used by fragment shader.
 */
varying vec4 varyingBorderColor;
varying vec4 varyingFillColor;

/**
 * Shape attributes used by fragment shader.
 */
varying float varyingPreviousSides;
varying float varyingTargetSides;
varying vec4 varyingPreviousShapeTexture;
varying vec4 varyingTargetShapeTexture;

// Import utility shader functions.
${y()}
${b()}

// These arrays are filled in by code generated by the AttributeMapper.
vec4 previousTexelValues[${t.texelsPerSwatch}];
vec4 targetTexelValues[${t.texelsPerSwatch}];

/**
 * Read data texel values into the previous and target arrays.
 */
void readTexels() {
    ${t.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","instanceSwatchUv")}
    ${t.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","instanceSwatchUv")}
}

// Dynamically generate #DEFINE statements to access texel attributes by name.
// These look like method invocations elsewhere in the code. For example, the
// define "targetTransitionTimeMs()" extracts the float value
// targetTexelValues[0].r.
${t.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${t.generateAttributeDefinesGLSL("target","targetTexelValues")}

/**
 * Local, non-eased, normalized time value between 0 and 1, computed between the
 * previous and target timestamp according to the uniform ts.
 */
float t;

${x()}

/**
 * Precomputed constant value for converting colors in the 0-255 RGB range to
 * the GL standard 0-1 range. (1 / 255 = 0.00392156862745098)
 */
const vec4 GL_COLOR = vec4(vec3(0.00392156862745098), 1.);

/**
 * Function to compute all the varying values needed by the fragment shader.
 */
void setupVaryings() {
  // Clamp and range t value within previous and target timestamps.
  t =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);

  // Compute eased varyingT.
  varyingT = cubicEaseInOut(t);

  // Copy and interpolate vertex coordinate values.
  varyingVertexCoordinates = vertexCoordinates;

  // Copy previous and target shape attributes.
  varyingPreviousSides = previousSides();
  varyingPreviousShapeTexture = previousShapeTexture();
  varyingTargetSides = targetSides();
  varyingTargetShapeTexture = targetShapeTexture();

  // Compute color attributes.
  varyingBorderColor = computeCurrentValue(
    previousBorderColor(),
    previousBorderColorDelta(),
    targetBorderColor()) * GL_COLOR;
  varyingFillColor = computeCurrentValue(
    previousFillColor(),
    previousFillColorDelta(),
    targetFillColor()) * GL_COLOR;
}

${E()}
${T()}
${_()}
${S()}
${w()}

void main () {

  // Read data values from previous and target data textures.
  readTexels();

  // Setup varying values used both here and by the fragment shader.
  setupVaryings();

  // Compute current size component values by interpolation (parallelized).
  vec4 currentSizePixelAndWorld = computeCurrentSizePixelAndWorld();
  vec2 currentSizePixel = currentSizePixelAndWorld.xy;
  vec2 currentSizeWorld = currentSizePixelAndWorld.zw;

  vec2 currentGeometricZoom = computeCurrentValue(
      previousGeometricZoom(),
      previousGeometricZoomDelta(),
      targetGeometricZoom()
  );

  vec4 currentMaxAndMinSizePixel = computeCurrentMaxAndMinSizePixel();
  vec2 currentMaxSizePixel = currentMaxAndMinSizePixel.xy;
  vec2 currentMinSizePixel = currentMaxAndMinSizePixel.zw;

  // Compute the current size of the sprite in world units, including the effect
  // of geometric zoom and applying min and max pixel sizes.
  vec2 computedSize = computeSize(
    currentSizeWorld,
    currentSizePixel,
    currentGeometricZoom,
    viewMatrixScale,
    currentMaxSizePixel,
    currentMinSizePixel
  );

  // Compute border attributes in parallel.
  vec3 borderProperties = computeCurrentValue(
      vec3(
        previousBorderRadiusPixel(),
        previousBorderRadiusRelative(),
        previousBorderPlacement()),
      vec3(
        previousBorderRadiusPixelDelta(),
        previousBorderRadiusRelativeDelta(),
        previousBorderPlacementDelta()),
      vec3(
        targetBorderRadiusPixel(),
        targetBorderRadiusRelative(),
        targetBorderPlacement())
  );
  float currentBorderRadiusPixel = borderProperties.x;
  float currentBorderRadiusRelative = borderProperties.y;
  float currentBorderPlacement = borderProperties.z;

  // Project the computed size into pixels by using the viewMatrixScale. Note
  // that this already includes the effect of the devicePixelRatio, and a 2x
  // multiplier for clip-space, which goes from -1 to 1 in all dimensions.
  vec2 projectedSizePixel = computedSize.xy * viewMatrixScale.xy;

  varyingEdgeToPixelScale =
    CLIP_SPACE_RANGE * EDGE_DISTANCE_DILATION /
    min(projectedSizePixel.x, projectedSizePixel.y);

  // The fragment shader needs to know the threshold signed distances that
  // indicate whether each pixel is inside the shape, in the border, or outside
  // of the shape. A point right on the edge of the shape will have a distance
  // of 0. In edge-distance space, a distance of 1 would be the dead center of a
  // circle.
  float edgeDistance = currentBorderRadiusRelative +
    currentBorderRadiusPixel * varyingEdgeToPixelScale * devicePixelRatio;
  varyingBorderThresholds =
    vec2(0., edgeDistance) - edgeDistance * currentBorderPlacement;

  // Shift the quad vertices outward to account for borders, which may expand
  // the bounding box of the sprite.
  varyingVertexCoordinates *= (1. - varyingBorderThresholds.x);

  // Compute the sprite's aspect ratio and the inverse.
  varyingAspectRatio = computeAspectRatio(projectedSizePixel);

  // Compute the current position component attributes.
  vec2 currentPositionPixel = computeCurrentValue(
      previousPositionPixel(),
      previousPositionPixelDelta(),
      targetPositionPixel());

  vec2 currentPositionWorld = computeCurrentValue(
      previousPositionWorld(),
      previousPositionWorldDelta(),
      targetPositionWorld());

  vec2 currentPositionRelative = computeCurrentValue(
      previousPositionRelative(),
      previousPositionRelativeDelta(),
      targetPositionRelative());

  // Project the world position into pixel space, then add the pixel component.
  vec2 viewVertexPosition = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      varyingVertexCoordinates,
      viewMatrix
  );

  // Project the pixel space coordinate into clip space.
  vec2 clipVertexPosition =
    (projectionMatrix * vec3(viewVertexPosition, 1.)).xy;

  // Compute the current user-specified OrderZ value.
  float currentOrderZ = computeCurrentValue(
      previousOrderZ(),
      previousOrderZDelta(),
      targetOrderZ());

  // Compute the stacking Z value for index-order blending.
  float stackZ = (1. + instanceIndex) / (1. + instanceCount);

  // Use provided granularity to combine current and stack Z values.
  float gInv = 1. / orderZGranularity;

  float combinedZ =
    mix(0., 1. - gInv, currentOrderZ) +
    mix(0., gInv, stackZ);

  // Project combined Z into clip space.
  float clipZ = mix(1., -1., combinedZ);

  gl_Position = vec4(clipVertexPosition, clipZ, 1.);
}
`}function A(t){const n={blend:{enable:!0,func:{srcRGB:"src alpha",srcAlpha:1,dstRGB:"one minus src alpha",dstAlpha:1},equation:{rgb:"add",alpha:"add"},color:[0,0,0,0]},viewport:()=>({x:0,y:0,width:t.canvas.width,height:t.canvas.height}),frag:g(),vert:C(t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],instanceSwatchUv:{buffer:t.instanceSwatchUvBuffer,divisor:1},instanceIndex:{buffer:t.instanceIndexBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),antialiasingFactor:()=>t.antialiasingFactor,devicePixelRatio:()=>t.getDevicePixelRatio(),instanceCount:()=>t.instanceCount,orderZGranularity:()=>t.orderZGranularity,viewMatrix:()=>t.getViewMatrix(),viewMatrixScale:()=>t.getViewMatrixScale(),projectionMatrix:n=>t.getProjectionMatrix(n),sdfTexture:t.sdfTexture,previousValuesTexture:t.previousValuesFramebuffer,targetValuesTexture:t.targetValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.instanceCount},r=t.regl(n);return()=>{t.regl.clear({color:[0,0,0,0],depth:1,framebuffer:null,stencil:0}),r.apply(null)}}function O(){return m`
precision lowp float;

// Need to know the maximum possible value for the index of the Sprite to
// normalize the value for RGBA packing.
uniform float capacity;

varying float varyingHitTestResult;

vec4 packFloatToVec4i(const float value) {
  const vec4 bitSh = vec4(256. * 256. * 256., 256. * 256., 256., 1.);
  const vec4 bitMsk = vec4(0., 1./256., 1./256., 1./256.);
  vec4 res = fract(value * bitSh);
  res -= res.xxyz * bitMsk;
  return res;
}

float fitToRange(const float result) {
  // Adding 1 to account for missing values (-1 becomes 0, etc.)
  return (result + 1.) / (capacity + 1.);
}

void main () {
  // Packing requires a number in the range 0-1.
  float n = fitToRange(varyingHitTestResult);
  gl_FragColor = packFloatToVec4i(n);
}
`}function I(t,n){return m`
precision lowp float;

/**
 * WebGL vertex shaders output coordinates in clip space, which is a 3D volume
 * where each component is clipped to the range (-1,1). The distance from
 * edge-to-edge is therefore 2.
 */
const float CLIP_SPACE_RANGE = 2.;

/**
 * Each sprite receives the same vertex coordinates, which describe a unit
 * square centered at the origin. However, the distance calculations performed
 * by the fragment shader use a distance of 1 to mean the dead center of a
 * circle, which implies a diameter of 2. So to convert from sprite vertex
 * coordinate space to edge distance space requires a dilation of 2.
 */
const float EDGE_DISTANCE_DILATION = 2.;

uniform float ts;

uniform float devicePixelRatio;

/**
 * Screen pixel coordinates for performing the hit test. The XY channels contain
 * the screen x and y coordinates respectively. The ZW channels hold the width
 * and height of the bounding box of interest. Currently those are ignored.
 */
uniform vec4 hitTestCoordinates;
uniform bool inclusive;

uniform mat3 viewMatrix;

/**
 * Scale includes the X and Y dimensions of the viewMatrix, and their inverses
 * in the WZ components.
 */
uniform vec4 viewMatrixScale;

uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

attribute vec2 vertexCoordinates;

attribute vec2 inputUv;
attribute vec2 indexActive;
attribute vec2 outputUv;

#define TEXELS_PER_SWATCH ${t.texelsPerSwatch}.
#define TEXTURE_WIDTH ${t.textureWidth}.
#define TEXTURE_HEIGHT ${t.textureHeight}.

// The result of the hit test, written to the data texel by the fragment shader.
varying float varyingHitTestResult;

vec4 previousTexelValues[${n.texelsPerSwatch}];
vec4 targetTexelValues[${n.texelsPerSwatch}];

${n.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${n.generateAttributeDefinesGLSL("target","targetTexelValues")}

float rangeT;
float easeT;

// Import utility shader functions.
${y()}
${b()}
${x("rangeT","easeT")}
${T()}
${_()}
${S()}
${w()}

void readInputTexels() {
${n.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","inputUv")}
${n.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","inputUv")}
}

const vec2 swatchSize =
  vec2(TEXELS_PER_SWATCH / TEXTURE_WIDTH, 1. / TEXTURE_HEIGHT);

bool spriteOverlapsTest(const vec4 spriteBox, const vec4 testBox) {
  return (
    spriteBox.x <= testBox.x + testBox.z &&
    spriteBox.x + spriteBox.z >= testBox.x &&
    spriteBox.y >= testBox.y - testBox.w &&
    spriteBox.y + spriteBox.w <= testBox.y
  );
}

bool spriteInsideTest(const vec4 spriteBox, const vec4 testBox) {
  return (
    spriteBox.x >= testBox.x &&
    spriteBox.x + spriteBox.z <= testBox.x + testBox.z &&
    spriteBox.y <= testBox.y &&
    spriteBox.y + spriteBox.w >= testBox.y - testBox.w
  );
}

void main () {
  readInputTexels();

  // Compute time variables.
  rangeT =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);
  easeT = cubicEaseInOut(rangeT);

  // Compute current size component values by interpolation (parallelized).
  vec4 currentSizePixelAndWorld = computeCurrentSizePixelAndWorld();
  vec2 currentSizePixel = currentSizePixelAndWorld.xy;
  vec2 currentSizeWorld = currentSizePixelAndWorld.zw;

  vec2 currentGeometricZoom = computeCurrentValue(
      previousGeometricZoom(),
      previousGeometricZoomDelta(),
      targetGeometricZoom()
  );

  vec4 currentMaxAndMinSizePixel = computeCurrentMaxAndMinSizePixel();
  vec2 currentMaxSizePixel = currentMaxAndMinSizePixel.xy;
  vec2 currentMinSizePixel = currentMaxAndMinSizePixel.zw;

  // Compute the current size of the sprite in world units, including the effect
  // of geometric zoom and applying min and max pixel sizes.
  vec2 computedSize = computeSize(
    currentSizeWorld,
    currentSizePixel,
    currentGeometricZoom,
    viewMatrixScale,
    currentMaxSizePixel,
    currentMinSizePixel
  );

  // Compute border attributes in parallel.
  vec3 borderProperties = computeCurrentValue(
      vec3(
        previousBorderRadiusPixel(),
        previousBorderRadiusRelative(),
        previousBorderPlacement()),
      vec3(
        previousBorderRadiusPixelDelta(),
        previousBorderRadiusRelativeDelta(),
        previousBorderPlacementDelta()),
      vec3(
        targetBorderRadiusPixel(),
        targetBorderRadiusRelative(),
        targetBorderPlacement())
  );
  float currentBorderRadiusPixel = borderProperties.x;
  float currentBorderRadiusRelative = borderProperties.y;
  float currentBorderPlacement = borderProperties.z;

  // Project the computed size into pixels by using the viewMatrixScale. Note
  // that this already includes the effect of the devicePixelRatio, and a 2x
  // multiplier for clip-space, which goes from -1 to 1 in all dimensions.
  vec2 projectedSizePixel = computedSize.xy * viewMatrixScale.xy;

  // Compute the distance from the sprite edge to the extent of the border. Used
  // to shift the corners before hit testing to make sure the bounding box
  // includes borders outside of the shape.
  float edgeDistance = currentBorderRadiusRelative + (
      currentBorderRadiusPixel *
      CLIP_SPACE_RANGE *
      EDGE_DISTANCE_DILATION *
      devicePixelRatio /
      min(projectedSizePixel.x, projectedSizePixel.y)
    );

  // Shift coorner vertices outward to account for borders, which may expand
  // the bounding box of the sprite. XY are the bottom left corner, ZW are for
  // the top right.
  vec4 cornerCoordinates = vec4(-.5, -.5, .5, .5) *
    (1. + edgeDistance * currentBorderPlacement);

  // Compute the current position component attributes.
  vec2 currentPositionPixel = computeCurrentValue(
      previousPositionPixel(),
      previousPositionPixelDelta(),
      targetPositionPixel());

  vec2 currentPositionWorld = computeCurrentValue(
      previousPositionWorld(),
      previousPositionWorldDelta(),
      targetPositionWorld());

  vec2 currentPositionRelative = computeCurrentValue(
      previousPositionRelative(),
      previousPositionRelativeDelta(),
      targetPositionRelative());

  // Project the world position into pixel space for the bottom left and top
  // right corners of the sprite's quad.
  vec2 bottomLeft = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      cornerCoordinates.xy,
      viewMatrix
  ) * .5 / devicePixelRatio;
  vec2 topRight = computeViewVertexPosition(
      currentPositionWorld,
      computedSize,
      currentPositionRelative,
      currentPositionPixel,
      cornerCoordinates.zw,
      viewMatrix
  ) * .5 / devicePixelRatio;
  vec4 spriteBox = vec4(bottomLeft.xy, topRight.xy - bottomLeft.xy);

  // Hit test coordinates are presented based on the top-left corner, so to
  // orient it from the bottom left we need to subtract the height.
  vec4 testBox = hitTestCoordinates + vec4(0., hitTestCoordinates.w, 0., 0.);

  // Test whether the coordinates of interest are within the sprite quad's
  // bounding box.
  bool hit = inclusive ?
    spriteOverlapsTest(spriteBox, testBox) :
    spriteInsideTest(spriteBox, testBox);

  // The hit test result will either be -1 if it's a miss (or the Sprite was
  // inactive), or it will be the index of the Sprite.
  varyingHitTestResult =
    indexActive.y <= 0. ? -1. :
    !hit ? -1. :
    indexActive.x;

  vec2 swatchUv =
    outputUv + (vertexCoordinates.xy + .5) * swatchSize;

  // Position the verts to write into the appropriate data texel.
  gl_Position = vec4(2. * swatchUv - 1., 0., 1.);
}
`}function P(t){const n={frag:O(),vert:I(t.hitTestAttributeMapper,t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],inputUv:{buffer:()=>t.instanceHitTestInputUvBuffer,divisor:1},indexActive:{buffer:()=>t.instanceHitTestInputIndexActiveBuffer,divisor:1},outputUv:{buffer:t.instanceHitTestOutputUvBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),capacity:()=>t.hitTestAttributeMapper.totalSwatches,devicePixelRatio:()=>t.getDevicePixelRatio(),hitTestCoordinates:()=>[t.hitTestParameters.x,t.hitTestParameters.y,t.hitTestParameters.width||0,t.hitTestParameters.height||0],inclusive:()=>void 0===t.hitTestParameters||!!t.hitTestParameters.inclusive,viewMatrix:()=>t.getViewMatrix(),viewMatrixScale:()=>t.getViewMatrixScale(),targetValuesTexture:t.targetValuesTexture,previousValuesTexture:t.previousValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.hitTestCount,framebuffer:()=>t.hitTestOutputValuesFramebuffer},r=t.regl(n);return()=>{r()}}function D(t){return m`
precision lowp float;

uniform float ts;

uniform sampler2D previousValuesTexture;
uniform sampler2D targetValuesTexture;

varying float varyingTexelIndex;
varying vec2 varyingRebaseUv;

vec4 previousTexelValues[${t.texelsPerSwatch}];
vec4 targetTexelValues[${t.texelsPerSwatch}];

${t.generateAttributeDefinesGLSL("previous","previousTexelValues")}
${t.generateAttributeDefinesGLSL("target","targetTexelValues")}

// Import utility shader functions.
${y()}
${b()}

float computeValueAtTime(
    float startingValue,
    float startingDelta,
    float targetValue,
    float ts) {
  float rangeT =
    ts >= targetTransitionTimeMs() ? 1. :
    ts <= previousTransitionTimeMs() ? 0. :
    clamp(
        range(previousTransitionTimeMs(), targetTransitionTimeMs(), ts),
        0., 1.);
  float easeT = cubicEaseInOut(rangeT);

  float currentValue = mix(startingValue, targetValue, easeT);
  float projectedValue = startingDelta *
    (targetTransitionTimeMs() - previousTransitionTimeMs());

  return currentValue + projectedValue * rangeT * pow(1. - rangeT, 3.);
}

// DELTA_MS is the duration in milliseconds to use when estimating the
// 'instantaneous' change in a value. INV_DELTA_MS is its inverse.
#define DELTA_MS 1.
#define INV_DELTA_MS 1.

float computeDeltaAtTime(
    float startingValue,
    float startingDelta,
    float targetValue,
    float ts
) {
  if (ts >= targetTransitionTimeMs()) {
    return 0.;
  }
  if (ts <= previousTransitionTimeMs()) {
    return startingDelta;
  }
  return (
      computeValueAtTime(
          startingValue, startingDelta, targetValue, ts + DELTA_MS) -
      computeValueAtTime(
          startingValue, startingDelta, targetValue, ts)
      ) * INV_DELTA_MS;
}

float computeThresholdValue(
    float previousValue,
    float targetValue,
    float rebaseTs
) {
  float mid = mix(previousTransitionTimeMs(), targetTransitionTimeMs(), .5);
  return rebaseTs < mid ? previousValue : targetValue;
}

void readInputTexels() {
${t.generateTexelReaderGLSL("previousTexelValues","previousValuesTexture","varyingRebaseUv")}
${t.generateTexelReaderGLSL("targetTexelValues","targetValuesTexture","varyingRebaseUv")}
}

void setOutputTexel() {
  float rebaseTs = ts;
  ${t.generateRebaseFragmentGLSL("previousTexelValues","targetTexelValues","varyingTexelIndex","rebaseTs")}
}

void main () {
  readInputTexels();
  setOutputTexel();
}
`}function F(t){return m`
precision lowp float;

attribute vec2 vertexCoordinates;

attribute vec2 instanceRebaseUv;

#define TEXELS_PER_SWATCH ${t.texelsPerSwatch}.
#define TEXTURE_WIDTH ${t.textureWidth}.
#define TEXTURE_HEIGHT ${t.textureHeight}.

varying vec2 varyingRebaseUv;
varying float varyingTexelIndex;

const vec2 swatchSize =
  vec2(TEXELS_PER_SWATCH / TEXTURE_WIDTH, 1. / TEXTURE_HEIGHT);

void main () {
  varyingRebaseUv = instanceRebaseUv;
  varyingTexelIndex = (vertexCoordinates.x + .5) * TEXELS_PER_SWATCH - .5;
  vec2 swatchUv = instanceRebaseUv + (vertexCoordinates.xy + .5) * swatchSize;
  gl_Position = vec4(2. * swatchUv - 1., 0., 1.);
}
`}function B(t){const n={frag:D(t.attributeMapper),vert:F(t.attributeMapper),attributes:{vertexCoordinates:[[-.5,-.5],[.5,-.5],[-.5,.5],[.5,.5]],instanceRebaseUv:{buffer:()=>t.instanceRebaseUvBuffer,divisor:1}},uniforms:{ts:()=>t.elapsedTimeMs(),targetValuesTexture:t.targetValuesTexture,previousValuesTexture:t.previousValuesTexture},primitive:"triangle strip",count:4,instances:()=>t.rebaseCount,framebuffer:()=>t.previousValuesFramebuffer},r=t.regl(n);return()=>{r()}}const $=Object.freeze({requestAnimationFrame:t=>window.requestAnimationFrame(t),cancelAnimationFrame:t=>{window.cancelAnimationFrame(t)},now:()=>Date.now()}),j=1e20;class TinySDF{constructor(t=24,n=3,r=8,a=.25,s="sans-serif",l="normal"){this.fontSize=t,this.buffer=n,this.radius=r,this.cutoff=a,this.fontFamily=s,this.fontWeight=l;const d=this.size=this.fontSize+2*this.buffer;this.canvas=document.createElement("canvas"),this.canvas.width=this.canvas.height=d;const h=this.canvas.getContext("2d");if(!h)throw new Error("Could not get canvas 2d context");this.ctx=h,this.ctx.font=`${this.fontWeight} ${this.fontSize}px ${this.fontFamily}`,this.ctx.textBaseline="middle",this.ctx.fillStyle="black",this.gridOuter=new Float64Array(d*d),this.gridInner=new Float64Array(d*d),this.f=new Float64Array(d),this.z=new Float64Array(d+1),this.v=new Uint16Array(d),this.middle=Math.round(d/2*(navigator.userAgent.indexOf("Gecko/")>=0?1.2:1))}draw(t){this.ctx.clearRect(0,0,this.size,this.size),this.ctx.fillText(t,this.buffer,this.middle);const n=this.ctx.getImageData(0,0,this.size,this.size);return V(Object.assign(Object.assign({},this),{imgData:n}))}}function V({imgData:t,size:n,radius:r,cutoff:a,gridOuter:s,gridInner:l,f:d,v:h,z:p}){const f=new Uint8ClampedArray(n*n);for(let r=0;r<n*n;r++){const n=t.data[4*r+3]/255;s[r]=1===n?0:0===n?j:Math.pow(Math.max(0,.5-n),2),l[r]=1===n?j:0===n?0:Math.pow(Math.max(0,n-.5),2)}U(s,n,n,d,h,p),U(l,n,n,d,h,p);for(let t=0;t<n*n;t++){const n=Math.sqrt(s[t])-Math.sqrt(l[t]);f[t]=Math.round(255-255*(n/r+a))}return f}function U(t,n,r,a,s,l){W(t,n,r,a,s,l),G(t,n,r,a,s,l)}function G(t,n,r,a,s,l){for(let d=0;d<r;d++)q(t,d*n,1,n,a,s,l)}function W(t,n,r,a,s,l){for(let d=0;d<n;d++)q(t,d,n,r,a,s,l)}function q(t,n,r,a,s,l,d){let h,p,f,m;for(l[0]=0,d[0]=-j,d[1]=j,h=0;h<a;h++)s[h]=t[n+h*r];for(h=1,p=0,f=0;h<a;h++){do{m=l[p],f=(s[h]-s[m]+h*h-m*m)/(h-m)/2}while(f<=d[p]&&--p>-1);p++,l[p]=h,d[p]=f,d[p+1]=j}for(h=0,p=0;h<a;h++){for(;d[p+1]<h;)p++;m=l[p],t[n+h*r]=s[m]+(h-m)*(h-m)}}function X(t,n,r=.5){const{width:a,height:s}=t,l=t.getContext("2d");if(!l)throw new Error("Could not get canvas 2d context");const d=l.getImageData(0,0,a,s),h=new Float64Array(a*s),p=new Float64Array(a*s),f=new Float64Array(a*s),m=new Float64Array(a*s),g=new Float64Array(a*s),v=new Float64Array(a*s),y=new Float64Array(a),b=new Float64Array(a+1),x=new Uint16Array(a);for(let t=0;t<a*s;t++){const n=d.data[4*t+3]/255;g[t]=f[t]=h[t]=1===n?0:0===n?j:Math.pow(Math.max(0,.5-n),2),v[t]=m[t]=p[t]=1===n?j:0===n?0:Math.pow(Math.max(0,n-.5),2)}U(g,a,s,y,x,b),U(v,a,s,y,x,b),G(h,a,s,y,x,b),G(p,a,s,y,x,b),W(f,a,s,y,x,b),W(m,a,s,y,x,b);const w=new Float32Array(a*s*3);for(let t=0;t<a*s;t++)w[3*t]=Math.max(0,1-((Math.sqrt(h[t])-Math.sqrt(p[t]))/n+r)),w[3*t+1]=Math.max(0,1-((Math.sqrt(f[t])-Math.sqrt(m[t]))/n+r)),w[3*t+2]=1-((Math.sqrt(g[t])-Math.sqrt(v[t]))/n+r);return w}const Y=32,K=Object.freeze({maxTextureSize:2048,fontSize:Y,buffer:Y,radius:Y,cutoff:1,fontFamily:"monospace",fontWeight:"normal"});class GlyphMapper{constructor(t=K){this.glyphToCoordinates=new Map;const n=Object.assign({},K,t||{});this.maxTextureSize=n.maxTextureSize,this.tinySDF=new TinySDF(n.fontSize,n.buffer,n.radius,n.cutoff,n.fontFamily,n.fontWeight),this.glyphSize=this.tinySDF.size,this.glyphsPerRow=Math.floor(this.maxTextureSize/this.glyphSize),this.glyphCapacity=this.glyphsPerRow*this.glyphsPerRow,this.textureSize=this.glyphsPerRow*this.glyphSize,this.textureData=new Float32Array(this.textureSize*this.textureSize)}hasGlyph(t){return this.glyphToCoordinates.has(t)}getGlyph(t){return this.glyphToCoordinates.get(t)}addGlyph(t){const n=this.getGlyph(t);if(n)return n;const r=this.glyphToCoordinates.size;if(r>=this.glyphCapacity)throw new Error("Cannot add glyph, already at capacity");const a=Math.floor(r/this.glyphsPerRow),s=r%this.glyphsPerRow,l=a*this.glyphSize*this.textureSize+s*this.glyphSize,{canvas:d,ctx:h,size:p,buffer:f,middle:m,radius:g,cutoff:v}=this.tinySDF;h.clearRect(0,0,p,p),h.fillText(t,f,m);const y=X(d,g,v);for(let t=0;t<this.glyphSize;t++)for(let n=0;n<this.glyphSize;n++){const r=3*(t*this.glyphSize+n)+2,a=l+t*this.textureSize+n;this.textureData[a]=y[r]}const b=Object.freeze({u:s/this.glyphsPerRow,v:a/this.glyphsPerRow,width:this.glyphSize/this.textureSize,height:this.glyphSize/this.textureSize});return this.glyphToCoordinates.set(t,b),b}get glyphs(){return[...this.glyphToCoordinates.keys()]}}const J="!\"#$%&'()*+,-./0123456789:;<=>?@ABCDEFGHIJKLMNOPQRSTUVWXYZ[\\]^_`abcdefghijklmnopqrstuvwxyz{|}",Q=Object.freeze({antialiasingFactor:.5,container:document.body,defaultTransitionTimeMs:250,desiredSpriteCapacity:1e6,devicePixelRatio:void 0,glyphs:J,glyphMapper:K,orderZGranularity:10,timingFunctions:$}),ee=Symbol("internalProperties"),te=Symbol("dataView"),ie=Symbol("sceneInternal");class SpriteViewImpl{constructor(t){this[te]=t}get TransitionTimeMs(){return this[te][0]}set TransitionTimeMs(t){if(isNaN(t))throw new RangeError("TransitionTimeMs cannot be NaN");this[te][0]=t}get PositionWorldX(){return this[te][1]}set PositionWorldX(t){if(isNaN(t))throw new RangeError("PositionWorldX cannot be NaN");this[te][1]=t}get PositionWorldY(){return this[te][2]}set PositionWorldY(t){if(isNaN(t))throw new RangeError("PositionWorldY cannot be NaN");this[te][2]=t}get SizeWorldWidth(){return this[te][3]}set SizeWorldWidth(t){if(isNaN(t))throw new RangeError("SizeWorldWidth cannot be NaN");this[te][3]=t}get SizeWorldHeight(){return this[te][4]}set SizeWorldHeight(t){if(isNaN(t))throw new RangeError("SizeWorldHeight cannot be NaN");this[te][4]=t}get OrderZ(){return this[te][5]}set OrderZ(t){if(isNaN(t))throw new RangeError("OrderZ cannot be NaN");if(t<0)throw new RangeError("OrderZ cannot be less than 0");if(t>1)throw new RangeError("OrderZ cannot be greater than 1");this[te][5]=t}get GeometricZoomX(){return this[te][6]}set GeometricZoomX(t){if(isNaN(t))throw new RangeError("GeometricZoomX cannot be NaN");this[te][6]=t}get GeometricZoomY(){return this[te][7]}set GeometricZoomY(t){if(isNaN(t))throw new RangeError("GeometricZoomY cannot be NaN");this[te][7]=t}get PositionPixelX(){return this[te][8]}set PositionPixelX(t){if(isNaN(t))throw new RangeError("PositionPixelX cannot be NaN");this[te][8]=t}get PositionPixelY(){return this[te][9]}set PositionPixelY(t){if(isNaN(t))throw new RangeError("PositionPixelY cannot be NaN");this[te][9]=t}get SizePixelWidth(){return this[te][10]}set SizePixelWidth(t){if(isNaN(t))throw new RangeError("SizePixelWidth cannot be NaN");this[te][10]=t}get SizePixelHeight(){return this[te][11]}set SizePixelHeight(t){if(isNaN(t))throw new RangeError("SizePixelHeight cannot be NaN");this[te][11]=t}get MaxSizePixelWidth(){return this[te][12]}set MaxSizePixelWidth(t){if(isNaN(t))throw new RangeError("MaxSizePixelWidth cannot be NaN");this[te][12]=t}get MaxSizePixelHeight(){return this[te][13]}set MaxSizePixelHeight(t){if(isNaN(t))throw new RangeError("MaxSizePixelHeight cannot be NaN");this[te][13]=t}get MinSizePixelWidth(){return this[te][14]}set MinSizePixelWidth(t){if(isNaN(t))throw new RangeError("MinSizePixelWidth cannot be NaN");this[te][14]=t}get MinSizePixelHeight(){return this[te][15]}set MinSizePixelHeight(t){if(isNaN(t))throw new RangeError("MinSizePixelHeight cannot be NaN");this[te][15]=t}get PositionRelativeX(){return this[te][16]}set PositionRelativeX(t){if(isNaN(t))throw new RangeError("PositionRelativeX cannot be NaN");this[te][16]=t}get PositionRelativeY(){return this[te][17]}set PositionRelativeY(t){if(isNaN(t))throw new RangeError("PositionRelativeY cannot be NaN");this[te][17]=t}get Sides(){return this[te][18]}set Sides(t){if(isNaN(t))throw new RangeError("Sides cannot be NaN");this[te][18]=t}get ShapeTextureU(){return this[te][19]}set ShapeTextureU(t){if(isNaN(t))throw new RangeError("ShapeTextureU cannot be NaN");this[te][19]=t}get ShapeTextureV(){return this[te][20]}set ShapeTextureV(t){if(isNaN(t))throw new RangeError("ShapeTextureV cannot be NaN");this[te][20]=t}get ShapeTextureWidth(){return this[te][21]}set ShapeTextureWidth(t){if(isNaN(t))throw new RangeError("ShapeTextureWidth cannot be NaN");this[te][21]=t}get ShapeTextureHeight(){return this[te][22]}set ShapeTextureHeight(t){if(isNaN(t))throw new RangeError("ShapeTextureHeight cannot be NaN");this[te][22]=t}get BorderRadiusPixel(){return this[te][23]}set BorderRadiusPixel(t){if(isNaN(t))throw new RangeError("BorderRadiusPixel cannot be NaN");this[te][23]=t}get BorderRadiusRelative(){return this[te][24]}set BorderRadiusRelative(t){if(isNaN(t))throw new RangeError("BorderRadiusRelative cannot be NaN");this[te][24]=t}get BorderPlacement(){return this[te][25]}set BorderPlacement(t){if(isNaN(t))throw new RangeError("BorderPlacement cannot be NaN");this[te][25]=t}get BorderColorR(){return this[te][26]}set BorderColorR(t){if(isNaN(t))throw new RangeError("BorderColorR cannot be NaN");this[te][26]=t}get BorderColorG(){return this[te][27]}set BorderColorG(t){if(isNaN(t))throw new RangeError("BorderColorG cannot be NaN");this[te][27]=t}get BorderColorB(){return this[te][28]}set BorderColorB(t){if(isNaN(t))throw new RangeError("BorderColorB cannot be NaN");this[te][28]=t}get BorderColorOpacity(){return this[te][29]}set BorderColorOpacity(t){if(isNaN(t))throw new RangeError("BorderColorOpacity cannot be NaN");this[te][29]=t}get FillColorR(){return this[te][30]}set FillColorR(t){if(isNaN(t))throw new RangeError("FillColorR cannot be NaN");this[te][30]=t}get FillColorG(){return this[te][31]}set FillColorG(t){if(isNaN(t))throw new RangeError("FillColorG cannot be NaN");this[te][31]=t}get FillColorB(){return this[te][32]}set FillColorB(t){if(isNaN(t))throw new RangeError("FillColorB cannot be NaN");this[te][32]=t}get FillColorOpacity(){return this[te][33]}set FillColorOpacity(t){if(isNaN(t))throw new RangeError("FillColorOpacity cannot be NaN");this[te][33]=t}set PositionWorld(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionWorldX=t[0],n=!0),"1"in t&&(this.PositionWorldY=t[1],n=!0),!n)throw new TypeError("No PositionWorld component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionWorld setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionWorldX=t.x,n=!0),"y"in t&&(this.PositionWorldY=t.y,n=!0),!n)throw new TypeError("No PositionWorld component key values were found")}}}set SizeWorld(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.SizeWorldWidth=t[0],n=!0),"1"in t&&(this.SizeWorldHeight=t[1],n=!0),!n)throw new TypeError("No SizeWorld component index values were found")}else if("object"!=typeof t)this.SizeWorldWidth=t,this.SizeWorldHeight=t;else{let n=!1;if("width"in t&&(this.SizeWorldWidth=t.width,n=!0),"height"in t&&(this.SizeWorldHeight=t.height,n=!0),!n)throw new TypeError("No SizeWorld component key values were found")}}set GeometricZoom(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.GeometricZoomX=t[0],n=!0),"1"in t&&(this.GeometricZoomY=t[1],n=!0),!n)throw new TypeError("No GeometricZoom component index values were found")}else if("object"!=typeof t)this.GeometricZoomX=t,this.GeometricZoomY=t;else{let n=!1;if("x"in t&&(this.GeometricZoomX=t.x,n=!0),"y"in t&&(this.GeometricZoomY=t.y,n=!0),!n)throw new TypeError("No GeometricZoom component key values were found")}}set PositionPixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionPixelX=t[0],n=!0),"1"in t&&(this.PositionPixelY=t[1],n=!0),!n)throw new TypeError("No PositionPixel component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionPixel setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionPixelX=t.x,n=!0),"y"in t&&(this.PositionPixelY=t.y,n=!0),!n)throw new TypeError("No PositionPixel component key values were found")}}}set SizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.SizePixelWidth=t[0],n=!0),"1"in t&&(this.SizePixelHeight=t[1],n=!0),!n)throw new TypeError("No SizePixel component index values were found")}else if("object"!=typeof t)this.SizePixelWidth=t,this.SizePixelHeight=t;else{let n=!1;if("width"in t&&(this.SizePixelWidth=t.width,n=!0),"height"in t&&(this.SizePixelHeight=t.height,n=!0),!n)throw new TypeError("No SizePixel component key values were found")}}set MaxSizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.MaxSizePixelWidth=t[0],n=!0),"1"in t&&(this.MaxSizePixelHeight=t[1],n=!0),!n)throw new TypeError("No MaxSizePixel component index values were found")}else if("object"!=typeof t)this.MaxSizePixelWidth=t,this.MaxSizePixelHeight=t;else{let n=!1;if("width"in t&&(this.MaxSizePixelWidth=t.width,n=!0),"height"in t&&(this.MaxSizePixelHeight=t.height,n=!0),!n)throw new TypeError("No MaxSizePixel component key values were found")}}set MinSizePixel(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.MinSizePixelWidth=t[0],n=!0),"1"in t&&(this.MinSizePixelHeight=t[1],n=!0),!n)throw new TypeError("No MinSizePixel component index values were found")}else if("object"!=typeof t)this.MinSizePixelWidth=t,this.MinSizePixelHeight=t;else{let n=!1;if("width"in t&&(this.MinSizePixelWidth=t.width,n=!0),"height"in t&&(this.MinSizePixelHeight=t.height,n=!0),!n)throw new TypeError("No MinSizePixel component key values were found")}}set PositionRelative(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.PositionRelativeX=t[0],n=!0),"1"in t&&(this.PositionRelativeY=t[1],n=!0),!n)throw new TypeError("No PositionRelative component index values were found")}else{if("object"!=typeof t)throw new TypeError("PositionRelative setter argument must be an array or object");{let n=!1;if("x"in t&&(this.PositionRelativeX=t.x,n=!0),"y"in t&&(this.PositionRelativeY=t.y,n=!0),!n)throw new TypeError("No PositionRelative component key values were found")}}}set ShapeTexture(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.ShapeTextureU=t[0],n=!0),"1"in t&&(this.ShapeTextureV=t[1],n=!0),"2"in t&&(this.ShapeTextureWidth=t[2],n=!0),"3"in t&&(this.ShapeTextureHeight=t[3],n=!0),!n)throw new TypeError("No ShapeTexture component index values were found")}else{if("object"!=typeof t)throw new TypeError("ShapeTexture setter argument must be an array or object");{let n=!1;if("u"in t&&(this.ShapeTextureU=t.u,n=!0),"v"in t&&(this.ShapeTextureV=t.v,n=!0),"width"in t&&(this.ShapeTextureWidth=t.width,n=!0),"height"in t&&(this.ShapeTextureHeight=t.height,n=!0),!n)throw new TypeError("No ShapeTexture component key values were found")}}}set BorderColor(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.BorderColorR=t[0],n=!0),"1"in t&&(this.BorderColorG=t[1],n=!0),"2"in t&&(this.BorderColorB=t[2],n=!0),"3"in t&&(this.BorderColorOpacity=t[3],n=!0),!n)throw new TypeError("No BorderColor component index values were found")}else{if("object"!=typeof t)throw new TypeError("BorderColor setter argument must be an array or object");{let n=!1;if("r"in t&&(this.BorderColorR=t.r,n=!0),"g"in t&&(this.BorderColorG=t.g,n=!0),"b"in t&&(this.BorderColorB=t.b,n=!0),"opacity"in t&&(this.BorderColorOpacity=t.opacity,n=!0),!n)throw new TypeError("No BorderColor component key values were found")}}}set FillColor(t){if(Array.isArray(t)){let n=!1;if("0"in t&&(this.FillColorR=t[0],n=!0),"1"in t&&(this.FillColorG=t[1],n=!0),"2"in t&&(this.FillColorB=t[2],n=!0),"3"in t&&(this.FillColorOpacity=t[3],n=!0),!n)throw new TypeError("No FillColor component index values were found")}else{if("object"!=typeof t)throw new TypeError("FillColor setter argument must be an array or object");{let n=!1;if("r"in t&&(this.FillColorR=t.r,n=!0),"g"in t&&(this.FillColorG=t.g,n=!0),"b"in t&&(this.FillColorB=t.b,n=!0),"opacity"in t&&(this.FillColorOpacity=t.opacity,n=!0),!n)throw new TypeError("No FillColor component key values were found")}}}}class InternalError extends Error{}var ne;function re(t,n){return t===n?NaN:1<<5*t+n-+(n>t)}function oe(){const{Created:t,Rest:n,HasCallback:r,NeedsRebase:a,NeedsTextureSync:s,Removed:l}=ne;let d=0;return d|=re(t,n),d|=re(t,l),d|=re(n,r),d|=re(n,s),d|=re(r,a),d|=re(r,s),d|=re(a,s),d|=re(s,n),d|=re(s,r),d|=re(s,l),d}!function(t){t[t.Created=0]="Created",t[t.Rest=1]="Rest",t[t.HasCallback=2]="HasCallback",t[t.NeedsRebase=3]="NeedsRebase",t[t.NeedsTextureSync=4]="NeedsTextureSync",t[t.Removed=5]="Removed"}(ne||(ne={}));const ae=oe();function se(t,n){if(!(re(t,n)&ae))throw new InternalError("Illegal sprite lifecycle phase transition")}class NumericRange{constructor(){this.isDefined=!1,this.lowBound=NaN,this.highBound=NaN}clear(){this.isDefined=!1,this.lowBound=NaN,this.highBound=NaN}expandToInclude(t){if(!this.isDefined)return this.lowBound=t,this.highBound=t,void(this.isDefined=!0);t<this.lowBound&&(this.lowBound=t),t>this.highBound&&(this.highBound=t)}truncateToWithin(t,n){if(isNaN(+t)||isNaN(+n))throw new RangeError("Both values must be numbers");if(n<t)throw new RangeError("High bound must be greater than or equal to low bound");this.isDefined&&(t>this.highBound||n<this.lowBound?this.clear():(this.lowBound<t&&(this.lowBound=t),this.highBound>n&&(this.highBound=n)))}overlaps(t){return this.isDefined&&t.isDefined&&this.lowBound<=t.highBound&&this.highBound>=t.lowBound}}var le;!function(t){t[t.None=0]="None",t[t.Blocked=1]="Blocked",t[t.Scheduled=2]="Scheduled",t[t.Started=3]="Started"}(le||(le={}));class SelectionImpl{constructor(t,n){this.stepsBetweenChecks=t,this.coordinator=n,this.sprites=[],this.boundData=[],this.bindingState=le.None,this.hasWarned=!1,this.bindingTaskId=Symbol("bindingTask"),this.clearingTaskId=Symbol("clearingTask")}onInit(t){return this.onInitCallback=t,this}onEnter(t){return this.onEnterCallback=t,this}onUpdate(t){return this.onUpdateCallback=t,this}onExit(t){return this.onExitCallback=t,this}bind(t,n){if(n)throw new Error("keyFn mapping is not yet supported");if(this.hasWarned||this.bindingState!==le.Scheduled||(a.warn("Possibly conflicting .bind() invocations detected"),this.hasWarned=!0),this.clearingTask)return this.bindingState=le.Blocked,this.coordinator.workScheduler.scheduleUniqueTask({id:this.bindingTaskId,callback:()=>{this.bindingState=le.None,this.bind(t,n)}}),this;let r=0;const s=t.length;let l=this.boundData.length;const{onInitCallback:d,onEnterCallback:h,onUpdateCallback:p,onExitCallback:f}=this,m=n=>{for(;l<s;){r++;const a=l++,s=t[a],p=this.coordinator.createSprite();if(this.boundData[a]=s,this.sprites[a]=p,d&&p.enter((t=>{d(t,s),t.TransitionTimeMs=0})),h&&p.update((t=>{h(t,s)})),r%this.stepsBetweenChecks==0&&n()<=0)break}return l>=s};let g=0;const v=Math.min(s,this.boundData.length),y=n=>{for(;g<v;){r++;const a=g++,s=t[a],l=this.sprites[a];if(this.boundData[a]=s,p&&l.update((t=>{p(t,s)})),r%this.stepsBetweenChecks==0&&n()<=0)break}return g>=v},b=t=>{let n=s;for(;n<this.boundData.length;){r++;const a=this.boundData[n],s=this.sprites[n];if(n++,s.isAbandoned||s.isActive||s.isRemoved?s.exit((t=>{f&&f(t,a)})):s.abandon(),r%this.stepsBetweenChecks==0&&t()<=0)break}return n>s&&(this.boundData.splice(s,n-s),this.sprites.splice(s,n-s)),this.boundData.length<=s};return this.bindingTask={id:this.bindingTaskId,callback:t=>{this.bindingState=le.Started,r=0;const n=b(t)&&y(t)&&m(t);return n&&(delete this.bindingTask,this.bindingState=le.None),n},runUntilDone:!0},this.coordinator.workScheduler.scheduleUniqueTask(this.bindingTask),this.bindingState=le.Scheduled,this}clear(){let t=0;const{onExitCallback:n}=this,r=r=>{let a=0;for(;a<this.boundData.length;){t++;const s=this.boundData[a],l=this.sprites[a];if(a++,l.isAbandoned||l.isActive||l.isRemoved?l.exit((t=>{n&&n(t,s)})):l.abandon(),t%this.stepsBetweenChecks==0&&r()<=0)break}return this.boundData.splice(0,a),this.sprites.splice(0,a),!this.boundData.length};return this.clearingTask={id:this.clearingTaskId,callback:n=>{t=0;const a=r(n);return a&&delete this.clearingTask,a},runUntilDone:!0},this.bindingTask&&(this.coordinator.workScheduler.unscheduleTask(this.bindingTask),delete this.bindingTask),this.coordinator.workScheduler.scheduleUniqueTask(this.clearingTask),this.bindingState=le.None,this}hitTest(t){const n=this.coordinator.hitTest(Object.assign(Object.assign({},t),{sprites:this.sprites})),r=new Uint32Array(n.length);let a=0;for(let t=0;t<n.length;t++)n[t]>=0&&(r[a++]=t);if(!a)return[];(void 0===t.sortResults||t.sortResults)&&r.subarray(0,a).sort(((t,r)=>n[t]-n[r]));const s=new Array(a);for(let t=0;t<a;t++)s[t]=this.boundData[r[t]];return s}}class SpriteImplProperties{constructor(){this.internalLifecyclePhase=ne.Created}get hasCallback(){return!!(this.enterCallback||this.updateCallback||this.exitCallback)}get lifecyclePhase(){return this.internalLifecyclePhase}set lifecyclePhase(t){se(this.internalLifecyclePhase,t),this.internalLifecyclePhase=t}}class SpriteImpl{constructor(t){this.coordinator=t,this[ee]=new SpriteImplProperties}enter(t){if(this.isAbandoned)throw new Error("Cannot add enter callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add enter callback to Removed sprite");const n=this[ee];if(n.enterCallback=t,n.lifecyclePhase===ne.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=ne.HasCallback}return this}update(t){if(this.isAbandoned)throw new Error("Cannot add update callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add update callback to Removed sprite");const n=this[ee];if(n.updateCallback=t,n.lifecyclePhase===ne.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=ne.HasCallback}return this}exit(t){if(this.isAbandoned)throw new Error("Cannot add exit callback to abandoned sprite");if(this.isRemoved)throw new Error("Cannot add exit callback to Removed sprite");const n=this[ee];if(n.exitCallback=t,n.toBeRemoved=!0,n.lifecyclePhase===ne.Rest){if(void 0===n.index)throw new InternalError("Sprite lacks index");this.coordinator.markSpriteCallback(n.index),n.lifecyclePhase=ne.HasCallback}return this}abandon(){if(this.isAbandoned)throw new Error("Cannot abandon a Sprite already marked abandoned");if(this.isRemoved)throw new Error("Cannot abandon a Sprite that has been removed");if(this.isActive)throw new Error("Cannot abandon an active Sprite");const t=this[ee];t.isAbandoned=!0,t.enterCallback=void 0,t.updateCallback=void 0,t.exitCallback=void 0,t.toBeRemoved=!0,t.lifecyclePhase=ne.Removed}get isActive(){const t=this[ee].lifecyclePhase;return t!==ne.Created&&t!==ne.Removed}get isAbandoned(){return!!this[ee].isAbandoned}get isRemoved(){return this[ee].lifecyclePhase===ne.Removed}}function ce(t,n,r){const{removedIndexRange:a,sprites:s,waitingSprites:l}=t;if(!a.isDefined)throw new InternalError("No removed indices available to assign");if(!l.length)throw new InternalError("No waiting sprites to assign");let d=0,h=a.lowBound,p=1,f=!1;for(;d<l.length&&h<=a.highBound&&!(d>0&&p++%r==0&&n()<=0);){for(;d<l.length&&l[d][ee].isAbandoned;)d++;if(d>=l.length)break;for(;h<=a.highBound&&!s[h].isRemoved;)h++;if(h>a.highBound)throw new InternalError("Removed index range ended on a non-removed sprite");const n=l[d],r=s[h][ee],p=n[ee];if(void 0===r.index)throw new InternalError("Removed Sprite lacks index");if(t.assignSpriteToIndex(n,r.index),void 0===p.index)throw new InternalError("Sprite index was not assigned");p.hasCallback&&(f=!0,p.lifecyclePhase=ne.HasCallback,t.callbacksIndexRange.expandToInclude(p.index)),d++,h++}l.splice(0,d),h>a.highBound?a.clear():a.truncateToWithin(h,a.highBound),f&&t.queueRunCallbacks(),l.length&&a.isDefined&&t.queueAssignWaiting()}function de(t,n,r){if(!t.callbacksIndexRange.isDefined)throw new InternalError("Running callbacks requires a range of indices");const{lowBound:a,highBound:s}=t.callbacksIndexRange;let l,d;t.callbacksIndexRange.clear();let h=!1,p=!1;const f=t.elapsedTimeMs(),m=()=>{if(!d)throw new InternalError("Attempted to re-run afterCallback steps");const{spriteView:n,index:r}=d;if(!n||void 0===r)throw new InternalError("Sprite missing required properties");n.TransitionTimeMs+=f,t.toDrawTsRange.expandToInclude(n.TransitionTimeMs+t.workScheduler.maxWorkTimeMs),n.TransitionTimeMs>f?(h=!0,d.lifecyclePhase=ne.NeedsRebase,t.needsRebaseIndexRange.expandToInclude(r)):(p=!0,d.lifecyclePhase=ne.NeedsTextureSync,t.needsTextureSyncIndexRange.expandToInclude(r),d.toBeRemoved&&!d.hasCallback&&n[te].fill(0)),l=void 0,d=void 0};let g=a;try{let h=1;for(;g<=s&&!(g>a&&h++%r==0&&n()<=0);){if(l=t.sprites[g],d=l[ee],g++,d.lifecyclePhase!==ne.HasCallback)continue;if(!d.spriteView)throw new InternalError("Sprite in HasCallback lifecycle phase missing SpriteView");let n;if(d.enterCallback)n=d.enterCallback,d.enterCallback=void 0;else if(d.updateCallback)n=d.updateCallback,d.updateCallback=void 0;else{if(!d.exitCallback)throw new InternalError("Sprite in HasCallback state missing callbacks");n=d.exitCallback,d.exitCallback=void 0}d.spriteView.TransitionTimeMs=t.defaultTransitionTimeMs,h=0,n.call(l,d.spriteView),m()}}catch(t){throw d&&d.lifecyclePhase===ne.HasCallback&&m(),t}finally{h&&t.queueRebase(),p&&t.queueTextureSync(),g<=s&&(t.callbacksIndexRange.expandToInclude(g),t.callbacksIndexRange.expandToInclude(s)),t.callbacksIndexRange.isDefined&&t.queueRunCallbacks(),t.toDrawTsRange.isDefined&&t.queueDraw()}}function ue(t){const{sprites:n,width:r,height:s,inclusive:l}=t.hitTestParameters;t.hitTestCount=n.length;const d=t.hitTestOutputResults.subarray(0,t.hitTestCount);if(!(l||r&&s))return a.warn("Inclusive hit test on a box with zero size always misses"),void d.fill(-1);const h=t.instanceHitTestInputUvValues,p=t.instanceHitTestInputIndexActiveValues,f=t.instanceSwatchUvValues;for(let t=0;t<n.length;t++){const r=n[t],a=r[ee].index||0;h[2*t]=f[2*a],h[2*t+1]=f[2*a+1],p[2*t]=a,p[2*t+1]=r.isActive?1:0}t.instanceHitTestInputUvBuffer(h.subarray(0,2*t.hitTestCount)),t.instanceHitTestInputIndexActiveBuffer(p.subarray(0,2*t.hitTestCount)),t.hitTestCommand();const m=Math.ceil(t.hitTestCount/t.hitTestAttributeMapper.swatchesPerRow);t.regl.read({x:0,y:0,width:t.hitTestAttributeMapper.textureWidth,height:m,data:t.hitTestOutputValues,framebuffer:t.hitTestOutputValuesFramebuffer});const{totalSwatches:g}=t.hitTestAttributeMapper,v=t.hitTestOutputValues;for(let n=0;n<t.hitTestCount;n++){const t=(v[4*n]/16777216+v[4*n+1]/65536+v[4*n+2]/256+v[4*n+3])/255;d[n]=t*(g+1)-1}}function he(t){if(!t.needsRebaseIndexRange.isDefined)throw new InternalError("No sprites are queued for rebase");t.rebaseCount=0;const{lowBound:n,highBound:r}=t.needsRebaseIndexRange;for(let a=n;a<=r;a++){const n=t.sprites[a][ee];n.lifecyclePhase===ne.NeedsRebase&&(t.needsTextureSyncIndexRange.expandToInclude(a),n.lifecyclePhase=ne.NeedsTextureSync,t.instanceRebaseUvValues[2*t.rebaseCount]=t.instanceSwatchUvValues[2*a],t.instanceRebaseUvValues[2*t.rebaseCount+1]=t.instanceSwatchUvValues[2*a+1],t.rebaseCount++)}if(!t.rebaseCount)throw new InternalError("No sprites were found to need rebase");t.queueTextureSync(),t.instanceRebaseUvBuffer(t.instanceRebaseUvValues.subarray(0,2*t.rebaseCount)),t.rebaseCommand(),t.previousValuesFramebuffer.use((()=>t.previousValuesTexture({copy:!0}))),t.needsRebaseIndexRange.clear()}function pe(t,n,r){if(!t.toBeRemovedIndexRange.isDefined||!t.toBeRemovedTsRange.isDefined)throw new InternalError("No sprites are queued for removal");const a=t.elapsedTimeMs();if(a<t.toBeRemovedTsRange.lowBound)return void t.queueRemovalTask();const{lowBound:s,highBound:l}=t.toBeRemovedIndexRange;t.toBeRemovedIndexRange.clear(),t.toBeRemovedTsRange.clear();let d=s;try{let h=1;for(;d<=l&&!(d>s&&h++%r==0&&n()<=0);d++){const n=t.sprites[d][ee];if(n.toBeRemoved&&n.lifecyclePhase===ne.Rest){if(!n.spriteView||void 0===n.index)throw new InternalError("Sprite missing required properties");n.spriteView.TransitionTimeMs>a?(t.toBeRemovedIndexRange.expandToInclude(d),t.toBeRemovedTsRange.expandToInclude(n.spriteView.TransitionTimeMs)):(n.spriteView[te].fill(0),n.lifecyclePhase=ne.NeedsTextureSync,t.needsTextureSyncIndexRange.expandToInclude(n.index))}}}finally{if(t.needsTextureSyncIndexRange.isDefined&&t.queueTextureSync(),d<l){t.toBeRemovedIndexRange.expandToInclude(d+1),t.toBeRemovedIndexRange.expandToInclude(l);for(let n=d+1;n<=l;n++){const r=t.sprites[n][ee];if(!0===r.toBeRemoved&&r.lifecyclePhase===ne.Rest){if(!r.spriteView)throw new InternalError("Sprite lacks a SpriteView");t.toBeRemovedTsRange.expandToInclude(r.spriteView.TransitionTimeMs)}}}t.toBeRemovedIndexRange.isDefined&&t.queueRemovalTask()}}function fe(t,n){const r=new NumericRange;if(!t.isDefined)return r;const{lowBound:a,highBound:s}=t,l=Math.floor(a/n),d=Math.floor(s/n)+1;return r.expandToInclude(l*n),r.expandToInclude(d*n-1),r}function me(t){if(!t.needsTextureSyncIndexRange.isDefined)throw new InternalError("No sprites are in need of texture sync");const{swatchesPerRow:n,textureWidth:r,valuesPerRow:a}=t.attributeMapper;if(t.needsRebaseIndexRange.isDefined){const r=fe(t.needsRebaseIndexRange,n);if(fe(t.needsTextureSyncIndexRange,n).overlaps(r))return t.queueRebase(),void t.queueTextureSync()}const{lowBound:s,highBound:l}=t.needsTextureSyncIndexRange,d=Math.floor(s/n),h=Math.floor(l/n)+1,p=h-d,f=t.targetValuesArray.subarray(d*a,h*a);let m=!1,g=!1;const v=t.elapsedTimeMs(),y=d*n,b=Math.min(h*n-1,t.sprites.length-1);for(let n=y;n<=b;n++){const r=t.sprites[n],a=r[ee];if(a.lifecyclePhase===ne.NeedsRebase)throw new InternalError("Sprite is in the wrong lifecycle phase for sync");if(a.lifecyclePhase===ne.NeedsTextureSync){if(!a.spriteView)throw new InternalError("Sprite queued for texture sync lacks a SpriteView");a.hasCallback?(m=!0,a.lifecyclePhase=ne.HasCallback,t.callbacksIndexRange.expandToInclude(n)):a.toBeRemoved?a.spriteView.TransitionTimeMs<=v?t.removeSprite(r):(g=!0,a.lifecyclePhase=ne.Rest,t.toBeRemovedIndexRange.expandToInclude(n),t.toBeRemovedTsRange.expandToInclude(a.spriteView.TransitionTimeMs)):a.lifecyclePhase=ne.Rest}}t.waitingSprites.length&&t.removedIndexRange.isDefined&&t.queueAssignWaiting(),m&&t.queueRunCallbacks(),g&&t.queueRemovalTask(),t.needsTextureSyncIndexRange.clear();const x={data:f,width:r,height:p};t.targetValuesTexture.subimage(x,0,d)}const ge="center",ve="middle";function ye(t,n){t.Sides=0,t.ShapeTexture=n.coords,t.PositionRelative=n.position}class TextSelectionImpl{constructor(t,n,r,a){this.stepsBetweenChecks=t,this.renderer=n,this.workScheduler=r,this.glyphMapper=a,this.selections=[],this.boundData=[],this.bindingTaskId=Symbol("bindingTask"),this.clearingTaskId=Symbol("clearingTask"),this.textCallback=t=>`${t}`,this.alignCallback=()=>ge,this.verticalAlignCallback=()=>ve}text(t){return this.textCallback=t,this}align(t){return this.alignCallback=t,this}verticalAlign(t){return this.verticalAlignCallback=t,this}onInit(t){return this.initCallback=t,this}onEnter(t){return this.enterCallback=t,this}onUpdate(t){return this.updateCallback=t,this}onExit(t){return this.exitCallback=t,this}bind(t,n){if(n)throw new Error("keyFn mapping is not yet supported");if(this.clearingTask)return this.workScheduler.scheduleUniqueTask({id:this.bindingTaskId,callback:()=>this.bind(t,n)}),this;let r=0;const a=t.length;let s=this.boundData.length;const{textCallback:l,alignCallback:d,verticalAlignCallback:h}=this,p=t=>{const n=(l?l(t):`${t}`).trim(),r=d&&d(t)||ge,a=h&&h(t)||ve,s=[];for(let l=0;l<n.length;l++){let d,h;d="left"===r?.5*(l+1):"right"===r?.5*(l+1-n.length):.5*(l+.75-.5*n.length),h="top"===a?-.5:"bottom"===a?.5:0;const p=this.glyphMapper.getGlyph(n.charAt(l));p&&s.push({datum:t,coords:p,position:{x:d,y:h}})}return s},{initCallback:f,enterCallback:m,updateCallback:g,exitCallback:v}=this,y=t=>{t.onInit(((t,n)=>{ye(t,n),f&&f(t,n.datum)})).onEnter(((t,n)=>{ye(t,n),m&&m(t,n.datum)})).onUpdate(((t,n)=>{ye(t,n),g&&g(t,n.datum)})).onExit(((t,n)=>{ye(t,n),v&&v(t,n.datum)}))},b=n=>{for(;s<a;){r++;const a=s++,l=t[a],d=this.renderer.createSelection();if(this.boundData.push(l),this.selections.push(d),y(d),d.bind(p(l)),r%this.stepsBetweenChecks==0&&n()<=0)break}return s>=a};let x=0;const w=Math.min(a,this.boundData.length),S=n=>{for(;x<w;){r++;const a=x++,s=t[a],l=this.selections[a];if(this.boundData[a]=s,y(l),l.bind(p(s)),r%this.stepsBetweenChecks==0&&n()<=0)break}return x>=w},_=t=>{let n=a;for(;n<this.boundData.length;){r++;const a=this.selections[n];if(n++,y(a),a.bind([]),r%this.stepsBetweenChecks==0&&t()<=0)break}return this.boundData.splice(a,n-a),this.selections.splice(a,n-a),a>=this.boundData.length};return this.bindingTask={id:this,callback:t=>(r=0,_(t)&&S(t)&&b(t)),runUntilDone:!0},this.workScheduler.scheduleUniqueTask(this.bindingTask),this}clear(){let t=0;const n=n=>{let r=0;for(;r<this.boundData.length;){t++;const a=this.selections[r];if(r++,a.clear(),t%this.stepsBetweenChecks==0&&n()<=0)break}return this.boundData.splice(0,r),this.selections.splice(0,r),!this.boundData.length};return this.clearingTask={id:this.clearingTaskId,callback:r=>{t=0;const a=n(r);return a&&delete this.clearingTask,a},runUntilDone:!0},this.bindingTask&&(this.workScheduler.unscheduleTask(this.bindingTask),delete this.bindingTask),this.workScheduler.scheduleUniqueTask(this.clearingTask),this}hitTest(t){throw new Error("Not yet implemented")}}function be(t){return!(!t||!(t instanceof Function||t.callback instanceof Function))}function xe(t){if(!be(t))throw new Error("Provided object was not a work task or function");return t instanceof Function?t:void 0!==t.id?t.id:t.callback}function we(t){if(!be(t))throw new Error("Provided object was not a work task or function");return t instanceof Function?{callback:t,id:t}:void 0!==t.id?t:Object.assign(Object.assign({},t),{id:t.callback})}class WorkQueue{constructor(){this.idSet=new Set,this.taskList=[]}get length(){return this.taskList.length}hasTaskId(t){return this.idSet.has(t)}hasTask(t){return this.hasTaskId(xe(t))}getTaskById(t){if(!this.hasTaskId(t))return;const n=this.findTaskIndexById(t);if(-1===n)throw new InternalError("Could not find matching task in task list");return this.taskList[n]}enqueueTask(t){if(this.hasTask(t))return;const n=we(t);this.idSet.add(n.id),this.taskList.push(n)}dequeueTask(){const t=this.taskList.shift();if(!t)throw new Error("No tasks remain to dequeue");return this.idSet.delete(t.id),t}removeTaskById(t){if(!this.hasTaskId(t))return;const n=this.findTaskIndexById(t);if(-1===n)throw new InternalError("Could not find matching task in task list");const[r]=this.taskList.splice(n,1);return this.idSet.delete(r.id),r}removeTask(t){return this.removeTaskById(xe(t))}findTaskIndexById(t){let n=-1;for(let r=0;r<this.taskList.length;r++)if(this.taskList[r].id===t){if(-1!==n)throw new InternalError("Duplicate task found in task list");n=r}return n}}const Se=Object.freeze({timingFunctions:$,maxWorkTimeMs:20});class WorkScheduler{constructor(t=Se){this.isEnabled=!1,this.isPerformingWork=!1,this.presentWorkQueue=new WorkQueue,this.futureWorkQueue=new WorkQueue;const n=Object.assign({},Se,t||{});this.timingFunctions=Object.freeze(Object.assign({},$,n&&n.timingFunctions||{})),this.maxWorkTimeMs=n.maxWorkTimeMs,this.enable()}scheduleTask(t){const n=we(t);return this.presentWorkQueue.hasTask(n)||this.futureWorkQueue.hasTask(n)||(this.isPerformingWork&&!n.beginImmediately?this.futureWorkQueue.enqueueTask(n):this.presentWorkQueue.enqueueTask(n)),this.updateTimer(),n}getTask(t){const n=xe(t),r=this.presentWorkQueue.getTaskById(n),a=this.futureWorkQueue.getTaskById(n);if(r&&a)throw new InternalError("Found two matching tasks when at most one is allowed");return r||a||void 0}unscheduleTask(t){const n=xe(t),r=this.presentWorkQueue.removeTaskById(n),a=this.futureWorkQueue.removeTaskById(n);if(r&&a)throw new InternalError("Found two matching tasks when at most one is allowed");return this.updateTimer(),r||a||void 0}isScheduledTask(t){return this.isScheduledId(xe(t))}isScheduledId(t){return this.presentWorkQueue.hasTaskId(t)||this.futureWorkQueue.hasTaskId(t)}scheduleUniqueTask(t){const n=we(t);return this.unscheduleTask(n),this.scheduleTask(n),n}enable(){return this.isEnabled=!0,this.updateTimer(),this}disable(){return this.isEnabled=!1,this.updateTimer(),this}updateTimer(){if(this.isEnabled&&this.presentWorkQueue.length){if(void 0===this.animationFrameTimer){const{requestAnimationFrame:t}=this.timingFunctions;this.animationFrameTimer=t((()=>{this.animationFrameTimer=void 0,this.performWork()}))}}else if(void 0!==this.animationFrameTimer){const{cancelAnimationFrame:t}=this.timingFunctions;t(this.animationFrameTimer),this.animationFrameTimer=void 0}}performWork(){if(this.isPerformingWork)throw new InternalError("Only one invocation of performWork is allowed at a time");this.isPerformingWork=!0;const{now:t}=this.timingFunctions;let n=0;const r=t(),a=()=>this.maxWorkTimeMs+r-t();try{for(;this.presentWorkQueue.length&&!(n>0&&a()<=0);){const t=this.presentWorkQueue.dequeueTask();n++;const r=t.callback.call(null,a);if(!t.runUntilDone||r)continue;let s=r;for(;!s&&a()>0;)s=t.callback.call(null,a);if(!s){this.futureWorkQueue.enqueueTask(t);break}}}finally{for(this.isPerformingWork=!1;this.futureWorkQueue.length;){const t=this.futureWorkQueue.dequeueTask();this.scheduleTask(t)}this.updateTimer()}}}const _e=500,Me=2;class SceneInternal{constructor(t={}){this.scale=new CallbackTriggerPoint((()=>{this.handleViewChange()})),this.offset=new CallbackTriggerPoint((()=>{this.handleViewChange()})),this.sprites=[],this.waitingSprites=[],this.instanceCount=0,this.callbacksIndexRange=new NumericRange,this.needsTextureSyncIndexRange=new NumericRange,this.needsRebaseIndexRange=new NumericRange,this.toBeRemovedIndexRange=new NumericRange,this.toBeRemovedTsRange=new NumericRange,this.removedIndexRange=new NumericRange,this.toDrawTsRange=new NumericRange,this.drawTaskId=Symbol("drawTask"),this.textureSyncTaskId=Symbol("textureSyncTask"),this.rebaseCount=0,this.hitTestCount=0,this.runRemovalTaskId=Symbol("runRemovalTaskId"),this.runAssignWaitingTaskId=Symbol("runAssignWaitingTask"),this.rebaseTaskId=Symbol("rebaseTask"),this.runCallbacksTaskId=Symbol("runCallbacksTask"),this.isViewInitialized=!1,this.stepsBetweenRemainingTimeChecks=_e;const n=Object.assign({},Q,t),{timingFunctions:r}=n,{now:a}=r;if(this.basisTs=a(),this.elapsedTimeMs=()=>a()-this.basisTs,this.workScheduler=new WorkScheduler({timingFunctions:r}),"function"==typeof n.devicePixelRatio){const t=n.devicePixelRatio;this.getDevicePixelRatio=()=>{const n=t();if(isNaN(n)||n<=0)throw new RangeError("Callback returned invalid devicePixelRatio");return n}}else if("number"==typeof n.devicePixelRatio){const{devicePixelRatio:t}=n;if(isNaN(t)||t<=0)throw new RangeError("Provided devicePixelRatio value is invalid");this.getDevicePixelRatio=()=>t}this.antialiasingFactor=n.antialiasingFactor,this.container=n.container,this.defaultTransitionTimeMs=n.defaultTransitionTimeMs,this.orderZGranularity=n.orderZGranularity;const l=window.createREGL||s.default;if(!l)throw new Error("Could not find REGL");this.canvas=document.createElement("canvas"),Object.assign(this.canvas.style,{border:0,height:"100%",left:0,margin:0,padding:0,top:0,width:"100%"}),this.container.appendChild(this.canvas);const{width:d,height:h}=this.canvas.getBoundingClientRect(),p=this.getDevicePixelRatio();this.canvas.height=h*p,this.canvas.width=d*p;const f=this.regl=l({attributes:{preserveDrawingBuffer:!0},canvas:this.canvas,extensions:["angle_instanced_arrays","OES_texture_float","OES_texture_float_linear"]});this.initView();const m=this.attributeMapper=new AttributeMapper({maxTextureSize:f.limits.maxTextureSize,desiredSwatchCapacity:n.desiredSpriteCapacity,dataChannelCount:4});this.previousValuesFramebuffer=f.framebuffer({color:f.texture({width:m.textureWidth,height:m.textureHeight,channels:m.dataChannelCount,type:"float32",mag:"nearest",min:"nearest"}),depthStencil:!1}),this.previousValuesTexture=f.texture({width:m.textureWidth,height:m.textureHeight,channels:m.dataChannelCount,type:"float32",mag:"nearest",min:"nearest"}),this.targetValuesArray=new Float32Array(m.totalValues),this.targetValuesTexture=f.texture({width:m.textureWidth,height:m.textureHeight,channels:m.dataChannelCount,data:this.targetValuesArray,type:"float32",mag:"nearest",min:"nearest"}),this.instanceSwatchUvValues=m.generateInstanceSwatchUvValues(),this.instanceIndexValues=new Float32Array(m.totalSwatches);for(let t=0;t<m.totalSwatches;t++)this.instanceIndexValues[t]=t;const g=this.hitTestAttributeMapper=new AttributeMapper({maxTextureSize:f.limits.maxTextureSize,desiredSwatchCapacity:m.totalSwatches,dataChannelCount:4,attributes:[{attributeName:"Hit"}]});this.instanceHitTestOutputUvValues=this.hitTestAttributeMapper.generateInstanceSwatchUvValues(),this.instanceHitTestInputUvValues=new Float32Array(this.instanceSwatchUvValues.length),this.instanceHitTestInputIndexActiveValues=new Float32Array(2*m.totalSwatches),this.hitTestOutputValuesFramebuffer=f.framebuffer({color:f.texture({width:g.textureWidth,height:g.textureHeight,channels:g.dataChannelCount,type:"uint8",mag:"nearest",min:"nearest"}),depthStencil:!1}),this.hitTestOutputValues=new Uint8Array(g.dataChannelCount*g.totalSwatches),this.hitTestOutputResults=new Float32Array(g.totalSwatches),this.glyphMapper=new GlyphMapper(n.glyphMapper);for(const t of n.glyphs.split(""))this.glyphMapper.addGlyph(t);this.sdfTexture=f.texture({height:this.glyphMapper.textureSize,width:this.glyphMapper.textureSize,min:"linear",mag:"linear",wrap:"clamp",data:this.glyphMapper.textureData,format:"luminance",type:"float32"}),this.instanceSwatchUvBuffer=this.regl.buffer(this.instanceSwatchUvValues),this.instanceIndexBuffer=this.regl.buffer(this.instanceIndexValues),this.instanceHitTestInputUvBuffer=this.regl.buffer(this.instanceHitTestInputUvValues),this.instanceHitTestInputIndexActiveBuffer=this.regl.buffer(this.instanceHitTestInputIndexActiveValues),this.instanceHitTestOutputUvBuffer=this.regl.buffer(this.instanceHitTestOutputUvValues),this.instanceRebaseUvValues=new Float32Array(this.instanceSwatchUvValues.length),this.instanceRebaseUvBuffer=this.regl.buffer({usage:"dynamic",type:"float",data:this.instanceRebaseUvValues}),this.drawCommand=A(this),this.rebaseCommand=B(this),this.hitTestCommand=P(this),this.queueDraw()}getDevicePixelRatio(){return"undefined"!=typeof window&&window.devicePixelRatio||1}initView(){if(this.isViewInitialized)return;const{width:t,height:n}=this.canvas.getBoundingClientRect();if(!t||!n)return a.warn("Delaying Scene initialization: canvas has zero size"),void(this.canvas.isConnected||a.debug("Canvas is not connected to the DOM"));this.lastDevicePixelRatio=this.getDevicePixelRatio(),this.canvas.width=t*this.lastDevicePixelRatio,this.canvas.height=n*this.lastDevicePixelRatio;const r=Math.min(t,n)||Math.max(t,n)||Math.min(window.innerWidth,window.innerHeight);this.scale.x=r,this.scale.y=r,this.offset.x=t/2,this.offset.y=n/2,this.isViewInitialized=!0}handleViewChange(){this.queueDraw()}resize(t){if(!this.isViewInitialized)return void this.initView();if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const n=this.canvas.width/this.lastDevicePixelRatio,r=this.canvas.height/this.lastDevicePixelRatio;t=t||{x:n/2,y:r/2};const a=n>0?t.x/n:.5,s=r>0?t.y/r:.5,{width:l,height:d}=this.canvas.getBoundingClientRect();this.lastDevicePixelRatio=this.getDevicePixelRatio(),this.canvas.width=l*this.lastDevicePixelRatio,this.canvas.height=d*this.lastDevicePixelRatio,this.offset.x+=a*(l-n),this.offset.y+=s*(d-r),this.queueDraw()}hitTest(t){const{sprites:n,x:r,y:a,width:s,height:l,inclusive:d}=t;if(!Array.isArray(n))throw new Error("Hit testing requires an array of candidate sprites");if(isNaN(r)||isNaN(a))throw new Error("Hit testing requires numeric x and y coordinates");if(void 0!==s&&isNaN(s)||void 0!==l&&isNaN(l))throw new Error("If specified, width and height must be numeric");return this.hitTestParameters={sprites:n,x:r,y:a,width:s||0,height:l||0,inclusive:void 0===d||!!d},n.length?(ue(this),this.hitTestOutputResults.subarray(0,n.length)):new Float32Array(0)}doDraw(){this.initView();const t=this.elapsedTimeMs();this.isViewInitialized?this.drawCommand():a.warn("Skipping draw: view is not initialized"),this.toDrawTsRange.isDefined&&(this.toDrawTsRange.truncateToWithin(t,1/0),this.queueDraw(!1))}queueDraw(t=!0){this.queueTask(this.drawTaskId,(()=>{this.doDraw()}),t)}snapshot(){return l(this,void 0,void 0,(function*(){return new Promise(((t,n)=>{this.canvas.toBlob((r=>{r?t(r):n(r)}))}))}))}getViewMatrix(){if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const t=Me*this.lastDevicePixelRatio;return[this.scale.x*t,0,0,0,this.scale.y*-t,0,this.offset.x*t,this.offset.y*t,1]}getViewMatrixScale(){if(!this.lastDevicePixelRatio)throw new InternalError("initView must set lastDevicePixelRatio");const t=Me*this.lastDevicePixelRatio,n=this.scale.x*t,r=this.scale.y*t;return[n,r,1/n,1/r]}getProjectionMatrix({viewportWidth:t,viewportHeight:n}){return[1/t,0,0,0,-1/n,0,-1,1,1]}getNextIndex(){if(!this.removedIndexRange.isDefined)return this.sprites.length<this.attributeMapper.totalSwatches?this.sprites.length:void 0;const{lowBound:t,highBound:n}=this.removedIndexRange;for(let r=t;r<=n;r++)if(this.sprites[r][ee].lifecyclePhase===ne.Removed)return r===n?this.removedIndexRange.clear():this.removedIndexRange.truncateToWithin(r+1,n),r;throw new InternalError("No removed sprites found in removed index range")}createSprite(){const t=Object.seal(new SpriteImpl(this));if(this.waitingSprites.length>0||!this.removedIndexRange.isDefined&&this.sprites.length>=this.attributeMapper.totalSwatches)this.waitingSprites.push(t);else{const n=this.getNextIndex();if(void 0===n)throw new InternalError("Next index undefined despite available capacity");this.assignSpriteToIndex(t,n)}return t}assignSpriteToIndex(t,n){const r=t[ee];if(r.lifecyclePhase!==ne.Created)throw new InternalError("Only sprites in the Created phase can be assigned indices");const{valuesPerSwatch:a}=this.attributeMapper,s=this.targetValuesArray.subarray(n*a,(n+1)*a);s.fill(0),r.lifecyclePhase=ne.Rest,r.index=n,r.spriteView=Object.seal(new SpriteViewImpl(s)),this.sprites[n]=t,this.instanceCount<=n+1&&(this.instanceCount=n+1)}markSpriteCallback(t){this.callbacksIndexRange.expandToInclude(t),this.queueRunCallbacks()}removeSprite(t){if(t.isRemoved)throw new InternalError("Sprite can be removed only once");const n=t[ee];n.index===this.instanceCount-1&&this.instanceCount--,n.lifecyclePhase=ne.Removed,n.spriteView&&(n.spriteView[te]=void 0),void 0!==n.index&&this.removedIndexRange.expandToInclude(n.index)}queueTask(t,n,r=!1){this.workScheduler.isScheduledId(t)||this.workScheduler.scheduleTask({id:t,callback:n,beginImmediately:r})}queueRebase(){this.queueTask(this.rebaseTaskId,(()=>{he(this)}))}queueAssignWaiting(){const t=t=>{ce(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runAssignWaitingTaskId,t)}queueRunCallbacks(){const t=t=>{de(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runCallbacksTaskId,t)}queueRemovalTask(){const t=t=>{pe(this,t,this.stepsBetweenRemainingTimeChecks)};this.queueTask(this.runRemovalTaskId,t)}queueTextureSync(){this.queueTask(this.textureSyncTaskId,(()=>{me(this)}))}createSelection(){return new SelectionImpl(this.stepsBetweenRemainingTimeChecks,this)}createTextSelection(){return new TextSelectionImpl(this.stepsBetweenRemainingTimeChecks,this,this.workScheduler,this.glyphMapper)}}class Scene{constructor(t={}){this[ie]=new SceneInternal(t)}get scale(){return this[ie].scale}get offset(){return this[ie].offset}get canvas(){return this[ie].canvas}resize(t){this[ie].resize(t)}elapsedTimeMs(){return this[ie].elapsedTimeMs()}createSprite(){return this[ie].createSprite()}hitTest(t){return this[ie].hitTest(t)}createSelection(){return this[ie].createSelection()}createTextSelection(){return this[ie].createTextSelection()}}t.Scene=Scene,Object.defineProperty(t,"__esModule",{value:!0})}(n,r(1550))},8949:(t,n,r)=>{"use strict";r.d(n,{EH:()=>Wt,Fl:()=>je,LO:()=>Ne,U5:()=>Yt,ZN:()=>hi,aD:()=>Vt,gx:()=>fi,le:()=>At,rC:()=>Mi,z:()=>Gt});var a=r(5108);function s(t){for(var n=arguments.length,r=new Array(n>1?n-1:0),a=1;a<n;a++)r[a-1]=arguments[a];throw new Error("number"==typeof t?"[MobX] minified error nr: "+t+(r.length?" "+r.map(String).join(","):"")+". Find the full error at: https://github.com/mobxjs/mobx/blob/main/packages/mobx/src/errors.ts":"[MobX] "+t)}var l={};function d(){return"undefined"!=typeof globalThis?globalThis:"undefined"!=typeof window?window:void 0!==r.g?r.g:"undefined"!=typeof self?self:l}var h=Object.assign,p=Object.getOwnPropertyDescriptor,f=Object.defineProperty,m=Object.prototype,g=[];Object.freeze(g);var v={};Object.freeze(v);var y="undefined"!=typeof Proxy,b=Object.toString();function x(){y||s("Proxy not available")}function w(t){var n=!1;return function(){if(!n)return n=!0,t.apply(this,arguments)}}var S=function(){};function _(t){return"function"==typeof t}function T(t){switch(typeof t){case"string":case"symbol":case"number":return!0}return!1}function E(t){return null!==t&&"object"==typeof t}function C(t){var n;if(!E(t))return!1;var r=Object.getPrototypeOf(t);return null==r||(null==(n=r.constructor)?void 0:n.toString())===b}function A(t,n,r){f(t,n,{enumerable:!1,writable:!0,configurable:!0,value:r})}function O(t,n,r){f(t,n,{enumerable:!1,writable:!1,configurable:!0,value:r})}function I(t,n){var r="isMobX"+t;return n.prototype[r]=!0,function(t){return E(t)&&!0===t[r]}}function P(t){return t instanceof Map}function D(t){return t instanceof Set}var F=void 0!==Object.getOwnPropertySymbols;function B(t){var n=Object.keys(t);if(!F)return n;var r=Object.getOwnPropertySymbols(t);return r.length?[].concat(n,r.filter((function(n){return m.propertyIsEnumerable.call(t,n)}))):n}var $="undefined"!=typeof Reflect&&Reflect.ownKeys?Reflect.ownKeys:F?function(t){return Object.getOwnPropertyNames(t).concat(Object.getOwnPropertySymbols(t))}:Object.getOwnPropertyNames;function j(t){return null===t?null:"object"==typeof t?""+t:t}function V(t,n){return m.hasOwnProperty.call(t,n)}var U=Object.getOwnPropertyDescriptors||function(t){var n={};return $(t).forEach((function(r){n[r]=p(t,r)})),n};function G(t,n){for(var r=0;r<n.length;r++){var a=n[r];a.enumerable=a.enumerable||!1,a.configurable=!0,"value"in a&&(a.writable=!0),Object.defineProperty(t,a.key,a)}}function W(t,n,r){return n&&G(t.prototype,n),r&&G(t,r),t}function q(){return q=Object.assign||function(t){for(var n=1;n<arguments.length;n++){var r=arguments[n];for(var a in r)Object.prototype.hasOwnProperty.call(r,a)&&(t[a]=r[a])}return t},q.apply(this,arguments)}function X(t,n){t.prototype=Object.create(n.prototype),t.prototype.constructor=t,t.__proto__=n}function Y(t){if(void 0===t)throw new ReferenceError("this hasn't been initialised - super() hasn't been called");return t}function K(t,n){(null==n||n>t.length)&&(n=t.length);for(var r=0,a=new Array(n);r<n;r++)a[r]=t[r];return a}function J(t,n){var r;if("undefined"==typeof Symbol||null==t[Symbol.iterator]){if(Array.isArray(t)||(r=function(t,n){if(t){if("string"==typeof t)return K(t,n);var r=Object.prototype.toString.call(t).slice(8,-1);return"Object"===r&&t.constructor&&(r=t.constructor.name),"Map"===r||"Set"===r?Array.from(t):"Arguments"===r||/^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(r)?K(t,n):void 0}}(t))||n&&t&&"number"==typeof t.length){r&&(t=r);var a=0;return function(){return a>=t.length?{done:!0}:{done:!1,value:t[a++]}}}throw new TypeError("Invalid attempt to iterate non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method.")}return(r=t[Symbol.iterator]()).next.bind(r)}var Q=Symbol("mobx-stored-annotations");function ee(t){return Object.assign((function(n,r){te(n,r,t)}),t)}function te(t,n,r){V(t,Q)||A(t,Q,q({},t[Q])),function(t){return t.annotationType_===ce}(r)||(t[Q][n]=r)}var ie=Symbol("mobx administration"),ne=function(){function t(t){void 0===t&&(t="Atom"),this.name_=void 0,this.isPendingUnobservation_=!1,this.isBeingObserved_=!1,this.observers_=new Set,this.diffValue_=0,this.lastAccessedBy_=0,this.lowestObserverState_=tt.NOT_TRACKING_,this.onBOL=void 0,this.onBUOL=void 0,this.name_=t}var n=t.prototype;return n.onBO=function(){this.onBOL&&this.onBOL.forEach((function(t){return t()}))},n.onBUO=function(){this.onBUOL&&this.onBUOL.forEach((function(t){return t()}))},n.reportObserved=function(){return Et(this)},n.reportChanged=function(){Mt(),Ct(this),Tt()},n.toString=function(){return this.name_},t}(),re=I("Atom",ne);function oe(t,n,r){void 0===n&&(n=S),void 0===r&&(r=S);var a,s=new ne(t);return n!==S&&Qt(Zt,s,n,a),r!==S&&Jt(s,r),s}var ae={identity:function(t,n){return t===n},structural:function(t,n){return yn(t,n)},default:function(t,n){return Object.is(t,n)},shallow:function(t,n){return yn(t,n,1)}};function se(t,n,r){return li(t)?t:Array.isArray(t)?Ne.array(t,{name:r}):C(t)?Ne.object(t,void 0,{name:r}):P(t)?Ne.map(t,{name:r}):D(t)?Ne.set(t,{name:r}):t}function le(t){return t}var ce="override";function de(t,n){return{annotationType_:t,options_:n,make_:ue,extend_:he}}function ue(t,n){for(var r,a,l,d=!1,h=t.target_,g=null!=(r=null==(a=this.options_)?void 0:a.bound)&&r;h&&h!==m;){var v=p(h,n);if(v){if(h===t.target_||g){var y=pe(t,this,n,v);if(!t.defineProperty_(n,y))return;if(d=!0,g)break}if(h!==t.target_){if(Ht(v.value)){d=!0;break}var b=pe(t,this,n,v,!1);f(h,n,b),d=!0}}h=Object.getPrototypeOf(h)}d?rn(t,this,n):(null==(l=t.target_[Q])?void 0:l[n])||s(1,this.annotationType_,t.name_+"."+n.toString())}function he(t,n,r,a){var s=pe(t,this,n,r);return t.defineProperty_(n,s,a)}function pe(t,n,r,a,s){var l,d,h,p,f,m;void 0===s&&(s=xt.safeDescriptors),m=a,n.annotationType_,m.value;var g,v=a.value;(null==(l=n.options_)?void 0:l.bound)&&(v=v.bind(null!=(g=t.proxy_)?g:t.target_));return{value:qe(null!=(d=null==(h=n.options_)?void 0:h.name)?d:r.toString(),v,null!=(p=null==(f=n.options_)?void 0:f.autoAction)&&p),configurable:!s||t.isPlainObject_,enumerable:!1,writable:!s}}function fe(t,n){return{annotationType_:t,options_:n,make_:me,extend_:ge}}function me(t,n){for(var r,a=!1,l=t.target_;l&&l!==m;){var d=p(l,n);if(d){if(l!==t.target_){if(ai(d.value)){a=!0;break}var h=ve(t,this,n,d,!1);f(l,n,h)}else{var g=ve(t,this,n,d);if(!t.defineProperty_(n,g))return}a=!0}l=Object.getPrototypeOf(l)}a?rn(t,this,n):(null==(r=t.target_[Q])?void 0:r[n])||s(1,this.annotationType_,t.name_+"."+n.toString())}function ge(t,n,r,a){var s=ve(t,this,n,r);return t.defineProperty_(n,s,a)}function ve(t,n,r,a,s){var l;return void 0===s&&(s=xt.safeDescriptors),l=a,n.annotationType_,l.value,{value:ri(a.value),configurable:!s||t.isPlainObject_,enumerable:!1,writable:!s}}function ye(t,n){return{annotationType_:t,options_:n,make_:be,extend_:xe}}function be(t,n){for(var r,a=t.target_;a&&a!==m;){var l=p(a,n);if(l){if(we(t,this,n,l),!t.defineComputedProperty_(n,q({},this.options_,{get:l.get,set:l.set})))return;return void rn(t,this,n)}a=Object.getPrototypeOf(a)}(null==(r=t.target_[Q])?void 0:r[n])||s(1,this.annotationType_,t.name_+"."+n.toString())}function xe(t,n,r,a){return we(t,this,n,r),t.defineComputedProperty_(n,q({},this.options_,{get:r.get,set:r.set}),a)}function we(t,n,r,a){n.annotationType_,a.get}function Se(t,n){return{annotationType_:t,options_:n,make_:_e,extend_:Me}}function _e(t,n){for(var r,a=t.target_;a&&a!==m;){var l=p(a,n);if(l){var d,h;if(Te(t,this,n,l),!t.defineObservableProperty_(n,l.value,null!=(d=null==(h=this.options_)?void 0:h.enhancer)?d:se))return;return void rn(t,this,n)}a=Object.getPrototypeOf(a)}(null==(r=t.target_[Q])?void 0:r[n])||s(1,this.annotationType_,t.name_+"."+n.toString())}function Me(t,n,r,a){var s,l;return Te(t,this,n,r),t.defineObservableProperty_(n,r.value,null!=(s=null==(l=this.options_)?void 0:l.enhancer)?s:se,a)}function Te(t,n,r,a){n.annotationType_}var Ee={deep:!0,name:void 0,defaultDecorator:void 0,proxy:!0};function Ce(t){return t||Ee}Object.freeze(Ee);var Ae=Se("observable"),ke=Se("observable.ref",{enhancer:le}),Oe=Se("observable.shallow",{enhancer:function(t,n,r){return null==t||nn(t)||Bi(t)||Hi(t)||Xi(t)?t:Array.isArray(t)?Ne.array(t,{name:r,deep:!1}):C(t)?Ne.object(t,void 0,{name:r,deep:!1}):P(t)?Ne.map(t,{name:r,deep:!1}):D(t)?Ne.set(t,{name:r,deep:!1}):void 0}}),Re=Se("observable.struct",{enhancer:function(t,n){return yn(t,n)?n:t}}),Ie=ee(Ae);function Pe(t){return!0===t.deep?se:!1===t.deep?le:(n=t.defaultDecorator)&&null!=(r=null==(a=n.options_)?void 0:a.enhancer)?r:se;var n,r,a}function Le(t,n,r){if(!T(n))return li(t)?t:C(t)?Ne.object(t,n,r):Array.isArray(t)?Ne.array(t,n):P(t)?Ne.map(t,n):D(t)?Ne.set(t,n):"object"==typeof t&&null!==t?t:Ne.box(t,n);te(t,n,Ae)}Object.assign(Le,Ie);var De,Fe,Ne=h(Le,{box:function(t,n){var r=Ce(n);return new Qe(t,Pe(r),r.name,!0,r.equals)},array:function(t,n){var r=Ce(n);return(!1===xt.useProxies||!1===r.proxy?pn:ki)(t,Pe(r),r.name)},map:function(t,n){var r=Ce(n);return new Gi(t,Pe(r),r.name)},set:function(t,n){var r=Ce(n);return new qi(t,Pe(r),r.name)},object:function(t,n,r){return ei(!1===xt.useProxies||!1===(null==r?void 0:r.proxy)?Qi({},r):function(t,n){var r,a;return x(),t=Qi(t,n),null!=(a=(r=t[ie]).proxy_)?a:r.proxy_=new Proxy(t,vi)}({},r),t,n)},ref:ee(ke),shallow:ee(Oe),deep:Ie,struct:ee(Re)}),Be="computed",ze=ye(Be),$e=ye("computed.struct",{equals:ae.structural}),je=function(t,n){if(T(n))return te(t,n,ze);if(C(t))return ee(ye(Be,t));var r=C(n)?n:{};return r.get=t,r.name||(r.name=t.name||""),new nt(r)};Object.assign(je,ze),je.struct=ee($e);var Ve,Ue=0,Ge=1,He=null!=(De=null==(Fe=p((function(){}),"name"))?void 0:Fe.configurable)&&De,We={value:"action",configurable:!0,writable:!1,enumerable:!1};function qe(t,n,r,a){function s(){return Xe(t,r,n,a||this,arguments)}return void 0===r&&(r=!1),s.isMobxAction=!0,He&&(We.value=t,Object.defineProperty(s,"name",We)),s}function Xe(t,n,r,a,l){var d=function(t,n,r,a){var s=!1,l=0;0;var d=xt.trackingDerivation,h=!n||!d;Mt();var p=xt.allowStateChanges;h&&(ht(),p=Ze(!0));var f=ft(!0),m={runAsAction_:h,prevDerivation_:d,prevAllowStateChanges_:p,prevAllowStateReads_:f,notifySpy_:s,startTime_:l,actionId_:Ge++,parentActionId_:Ue};return Ue=m.actionId_,m}(0,n);try{return r.apply(a,l)}catch(t){throw d.error_=t,t}finally{!function(t){Ue!==t.actionId_&&s(30);Ue=t.parentActionId_,void 0!==t.error_&&(xt.suppressReactionErrors=!0);Ke(t.prevAllowStateChanges_),mt(t.prevAllowStateReads_),Tt(),t.runAsAction_&&pt(t.prevDerivation_);0;xt.suppressReactionErrors=!1}(d)}}function Ye(t,n){var r=Ze(t);try{return n()}finally{Ke(r)}}function Ze(t){var n=xt.allowStateChanges;return xt.allowStateChanges=t,n}function Ke(t){xt.allowStateChanges=t}Ve=Symbol.toPrimitive;var Je,Qe=function(t){function n(n,r,a,s,l){var d;return void 0===a&&(a="ObservableValue"),void 0===s&&(s=!0),void 0===l&&(l=ae.default),(d=t.call(this,a)||this).enhancer=void 0,d.name_=void 0,d.equals=void 0,d.hasUnreportedChange_=!1,d.interceptors_=void 0,d.changeListeners_=void 0,d.value_=void 0,d.dehancer=void 0,d.enhancer=r,d.name_=a,d.equals=l,d.value_=r(n,void 0,a),d}X(n,t);var r=n.prototype;return r.dehanceValue=function(t){return void 0!==this.dehancer?this.dehancer(t):t},r.set=function(t){this.value_;if((t=this.prepareNewValue_(t))!==xt.UNCHANGED){0,this.setNewValue_(t)}},r.prepareNewValue_=function(t){if(lt(this),yi(this)){var n=xi(this,{object:this,type:Ei,newValue:t});if(!n)return xt.UNCHANGED;t=n.newValue}return t=this.enhancer(t,this.value_,this.name_),this.equals(this.value_,t)?xt.UNCHANGED:t},r.setNewValue_=function(t){var n=this.value_;this.value_=t,this.reportChanged(),wi(this)&&_i(this,{type:Ei,object:this,newValue:t,oldValue:n})},r.get=function(){return this.reportObserved(),this.dehanceValue(this.value_)},r.intercept_=function(t){return bi(this,t)},r.observe_=function(t,n){return n&&t({observableKind:"value",debugObjectName:this.name_,object:this,type:Ei,newValue:this.value_,oldValue:void 0}),Si(this,t)},r.raw=function(){return this.value_},r.toJSON=function(){return this.get()},r.toString=function(){return this.name_+"["+this.value_+"]"},r.valueOf=function(){return j(this.get())},r[Ve]=function(){return this.valueOf()},n}(ne),et=I("ObservableValue",Qe);Je=Symbol.toPrimitive;var tt,it,nt=function(){function t(t){this.dependenciesState_=tt.NOT_TRACKING_,this.observing_=[],this.newObserving_=null,this.isBeingObserved_=!1,this.isPendingUnobservation_=!1,this.observers_=new Set,this.diffValue_=0,this.runId_=0,this.lastAccessedBy_=0,this.lowestObserverState_=tt.UP_TO_DATE_,this.unboundDepsCount_=0,this.value_=new ot(null),this.name_=void 0,this.triggeredBy_=void 0,this.isComputing_=!1,this.isRunningSetter_=!1,this.derivation=void 0,this.setter_=void 0,this.isTracing_=it.NONE,this.scope_=void 0,this.equals_=void 0,this.requiresReaction_=void 0,this.keepAlive_=void 0,this.onBOL=void 0,this.onBUOL=void 0,t.get||s(31),this.derivation=t.get,this.name_=t.name||"ComputedValue",t.set&&(this.setter_=qe("ComputedValue-setter",t.set)),this.equals_=t.equals||(t.compareStructural||t.struct?ae.structural:ae.default),this.scope_=t.context,this.requiresReaction_=!!t.requiresReaction,this.keepAlive_=!!t.keepAlive}var n=t.prototype;return n.onBecomeStale_=function(){!function(t){if(t.lowestObserverState_!==tt.UP_TO_DATE_)return;t.lowestObserverState_=tt.POSSIBLY_STALE_,t.observers_.forEach((function(t){t.dependenciesState_===tt.UP_TO_DATE_&&(t.dependenciesState_=tt.POSSIBLY_STALE_,t.onBecomeStale_())}))}(this)},n.onBO=function(){this.onBOL&&this.onBOL.forEach((function(t){return t()}))},n.onBUO=function(){this.onBUOL&&this.onBUOL.forEach((function(t){return t()}))},n.get=function(){if(this.isComputing_&&s(32,this.name_,this.derivation),0!==xt.inBatch||0!==this.observers_.size||this.keepAlive_){if(Et(this),st(this)){var t=xt.trackingContext;this.keepAlive_&&!t&&(xt.trackingContext=this),this.trackAndCompute()&&function(t){if(t.lowestObserverState_===tt.STALE_)return;t.lowestObserverState_=tt.STALE_,t.observers_.forEach((function(n){n.dependenciesState_===tt.POSSIBLY_STALE_?n.dependenciesState_=tt.STALE_:n.dependenciesState_===tt.UP_TO_DATE_&&(t.lowestObserverState_=tt.UP_TO_DATE_)}))}(this),xt.trackingContext=t}}else st(this)&&(this.warnAboutUntrackedRead_(),Mt(),this.value_=this.computeValue_(!1),Tt());var n=this.value_;if(at(n))throw n.cause;return n},n.set=function(t){if(this.setter_){this.isRunningSetter_&&s(33,this.name_),this.isRunningSetter_=!0;try{this.setter_.call(this.scope_,t)}finally{this.isRunningSetter_=!1}}else s(34,this.name_)},n.trackAndCompute=function(){var t=this.value_,n=this.dependenciesState_===tt.NOT_TRACKING_,r=this.computeValue_(!0);var a=n||at(t)||at(r)||!this.equals_(t,r);return a&&(this.value_=r),a},n.computeValue_=function(t){this.isComputing_=!0;var n,r=Ze(!1);if(t)n=ct(this,this.derivation,this.scope_);else if(!0===xt.disableErrorBoundaries)n=this.derivation.call(this.scope_);else try{n=this.derivation.call(this.scope_)}catch(t){n=new ot(t)}return Ke(r),this.isComputing_=!1,n},n.suspend_=function(){this.keepAlive_||(dt(this),this.value_=void 0)},n.observe_=function(t,n){var r=this,a=!0,s=void 0;return Wt((function(){var l=r.get();if(!a||n){var d=ht();t({observableKind:"computed",debugObjectName:r.name_,type:Ei,object:r,newValue:l,oldValue:s}),pt(d)}a=!1,s=l}))},n.warnAboutUntrackedRead_=function(){},n.toString=function(){return this.name_+"["+this.derivation.toString()+"]"},n.valueOf=function(){return j(this.get())},n[Je]=function(){return this.valueOf()},t}(),rt=I("ComputedValue",nt);!function(t){t[t.NOT_TRACKING_=-1]="NOT_TRACKING_",t[t.UP_TO_DATE_=0]="UP_TO_DATE_",t[t.POSSIBLY_STALE_=1]="POSSIBLY_STALE_",t[t.STALE_=2]="STALE_"}(tt||(tt={})),function(t){t[t.NONE=0]="NONE",t[t.LOG=1]="LOG",t[t.BREAK=2]="BREAK"}(it||(it={}));var ot=function(t){this.cause=void 0,this.cause=t};function at(t){return t instanceof ot}function st(t){switch(t.dependenciesState_){case tt.UP_TO_DATE_:return!1;case tt.NOT_TRACKING_:case tt.STALE_:return!0;case tt.POSSIBLY_STALE_:for(var n=ft(!0),r=ht(),a=t.observing_,s=a.length,l=0;l<s;l++){var d=a[l];if(rt(d)){if(xt.disableErrorBoundaries)d.get();else try{d.get()}catch(t){return pt(r),mt(n),!0}if(t.dependenciesState_===tt.STALE_)return pt(r),mt(n),!0}}return gt(t),pt(r),mt(n),!1}}function lt(t){}function ct(t,n,r){var a=ft(!0);gt(t),t.newObserving_=new Array(t.observing_.length+100),t.unboundDepsCount_=0,t.runId_=++xt.runId;var s,l=xt.trackingDerivation;if(xt.trackingDerivation=t,xt.inBatch++,!0===xt.disableErrorBoundaries)s=n.call(r);else try{s=n.call(r)}catch(t){s=new ot(t)}return xt.inBatch--,xt.trackingDerivation=l,function(t){for(var n=t.observing_,r=t.observing_=t.newObserving_,a=tt.UP_TO_DATE_,s=0,l=t.unboundDepsCount_,d=0;d<l;d++){var h=r[d];0===h.diffValue_&&(h.diffValue_=1,s!==d&&(r[s]=h),s++),h.dependenciesState_>a&&(a=h.dependenciesState_)}r.length=s,t.newObserving_=null,l=n.length;for(;l--;){var p=n[l];0===p.diffValue_&&St(p,t),p.diffValue_=0}for(;s--;){var f=r[s];1===f.diffValue_&&(f.diffValue_=0,wt(f,t))}a!==tt.UP_TO_DATE_&&(t.dependenciesState_=a,t.onBecomeStale_())}(t),mt(a),s}function dt(t){var n=t.observing_;t.observing_=[];for(var r=n.length;r--;)St(n[r],t);t.dependenciesState_=tt.NOT_TRACKING_}function ut(t){var n=ht();try{return t()}finally{pt(n)}}function ht(){var t=xt.trackingDerivation;return xt.trackingDerivation=null,t}function pt(t){xt.trackingDerivation=t}function ft(t){var n=xt.allowStateReads;return xt.allowStateReads=t,n}function mt(t){xt.allowStateReads=t}function gt(t){if(t.dependenciesState_!==tt.UP_TO_DATE_){t.dependenciesState_=tt.UP_TO_DATE_;for(var n=t.observing_,r=n.length;r--;)n[r].lowestObserverState_=tt.UP_TO_DATE_}}var vt=function(){this.version=6,this.UNCHANGED={},this.trackingDerivation=null,this.trackingContext=null,this.runId=0,this.mobxGuid=0,this.inBatch=0,this.pendingUnobservations=[],this.pendingReactions=[],this.isRunningReactions=!1,this.allowStateChanges=!1,this.allowStateReads=!0,this.enforceActions=!0,this.spyListeners=[],this.globalReactionErrorHandlers=[],this.computedRequiresReaction=!1,this.reactionRequiresObservable=!1,this.observableRequiresReaction=!1,this.disableErrorBoundaries=!1,this.suppressReactionErrors=!1,this.useProxies=!0,this.verifyProxies=!1,this.safeDescriptors=!0},yt=!0,bt=!1,xt=function(){var t=d();return t.__mobxInstanceCount>0&&!t.__mobxGlobals&&(yt=!1),t.__mobxGlobals&&t.__mobxGlobals.version!==(new vt).version&&(yt=!1),yt?t.__mobxGlobals?(t.__mobxInstanceCount+=1,t.__mobxGlobals.UNCHANGED||(t.__mobxGlobals.UNCHANGED={}),t.__mobxGlobals):(t.__mobxInstanceCount=1,t.__mobxGlobals=new vt):(setTimeout((function(){bt||s(35)}),1),new vt)}();function wt(t,n){t.observers_.add(n),t.lowestObserverState_>n.dependenciesState_&&(t.lowestObserverState_=n.dependenciesState_)}function St(t,n){t.observers_.delete(n),0===t.observers_.size&&_t(t)}function _t(t){!1===t.isPendingUnobservation_&&(t.isPendingUnobservation_=!0,xt.pendingUnobservations.push(t))}function Mt(){xt.inBatch++}function Tt(){if(0==--xt.inBatch){Rt();for(var t=xt.pendingUnobservations,n=0;n<t.length;n++){var r=t[n];r.isPendingUnobservation_=!1,0===r.observers_.size&&(r.isBeingObserved_&&(r.isBeingObserved_=!1,r.onBUO()),r instanceof nt&&r.suspend_())}xt.pendingUnobservations=[]}}function Et(t){var n=xt.trackingDerivation;return null!==n?(n.runId_!==t.lastAccessedBy_&&(t.lastAccessedBy_=n.runId_,n.newObserving_[n.unboundDepsCount_++]=t,!t.isBeingObserved_&&xt.trackingContext&&(t.isBeingObserved_=!0,t.onBO())),!0):(0===t.observers_.size&&xt.inBatch>0&&_t(t),!1)}function Ct(t){t.lowestObserverState_!==tt.STALE_&&(t.lowestObserverState_=tt.STALE_,t.observers_.forEach((function(t){t.dependenciesState_===tt.UP_TO_DATE_&&t.onBecomeStale_(),t.dependenciesState_=tt.STALE_})))}var At=function(){function t(t,n,r,a){void 0===t&&(t="Reaction"),void 0===a&&(a=!1),this.name_=void 0,this.onInvalidate_=void 0,this.errorHandler_=void 0,this.requiresObservable_=void 0,this.observing_=[],this.newObserving_=[],this.dependenciesState_=tt.NOT_TRACKING_,this.diffValue_=0,this.runId_=0,this.unboundDepsCount_=0,this.isDisposed_=!1,this.isScheduled_=!1,this.isTrackPending_=!1,this.isRunning_=!1,this.isTracing_=it.NONE,this.name_=t,this.onInvalidate_=n,this.errorHandler_=r,this.requiresObservable_=a}var n=t.prototype;return n.onBecomeStale_=function(){this.schedule_()},n.schedule_=function(){this.isScheduled_||(this.isScheduled_=!0,xt.pendingReactions.push(this),Rt())},n.isScheduled=function(){return this.isScheduled_},n.runReaction_=function(){if(!this.isDisposed_){Mt(),this.isScheduled_=!1;var t=xt.trackingContext;if(xt.trackingContext=this,st(this)){this.isTrackPending_=!0;try{this.onInvalidate_()}catch(t){this.reportExceptionInDerivation_(t)}}xt.trackingContext=t,Tt()}},n.track=function(t){if(!this.isDisposed_){Mt();0,this.isRunning_=!0;var n=xt.trackingContext;xt.trackingContext=this;var r=ct(this,t,void 0);xt.trackingContext=n,this.isRunning_=!1,this.isTrackPending_=!1,this.isDisposed_&&dt(this),at(r)&&this.reportExceptionInDerivation_(r.cause),Tt()}},n.reportExceptionInDerivation_=function(t){var n=this;if(this.errorHandler_)this.errorHandler_(t,this);else{if(xt.disableErrorBoundaries)throw t;var r="[mobx] uncaught error in '"+this+"'";xt.suppressReactionErrors||a.error(r,t),xt.globalReactionErrorHandlers.forEach((function(r){return r(t,n)}))}},n.dispose=function(){this.isDisposed_||(this.isDisposed_=!0,this.isRunning_||(Mt(),dt(this),Tt()))},n.getDisposer_=function(){var t=this.dispose.bind(this);return t[ie]=this,t},n.toString=function(){return"Reaction["+this.name_+"]"},n.trace=function(t){void 0===t&&(t=!1),function(){s("trace() is not available in production builds");for(var t=!1,n=arguments.length,r=new Array(n),l=0;l<n;l++)r[l]=arguments[l];"boolean"==typeof r[r.length-1]&&(t=r.pop());var d=function(t){switch(t.length){case 0:return xt.trackingDerivation;case 1:return fn(t[0]);case 2:return fn(t[0],t[1])}}(r);if(!d)return s("'trace(break?)' can only be used inside a tracked computed value or a Reaction. Consider passing in the computed value or reaction explicitly");d.isTracing_===it.NONE&&a.log("[mobx.trace] '"+d.name_+"' tracing enabled");d.isTracing_=t?it.BREAK:it.LOG}(this,t)},t}();var kt=100,Ot=function(t){return t()};function Rt(){xt.inBatch>0||xt.isRunningReactions||Ot(It)}function It(){xt.isRunningReactions=!0;for(var t=xt.pendingReactions,n=0;t.length>0;){++n===kt&&(a.error("[mobx] cycle in reaction: "+t[0]),t.splice(0));for(var r=t.splice(0),s=0,l=r.length;s<l;s++)r[s].runReaction_()}xt.isRunningReactions=!1}var Pt=I("Reaction",At);var Lt="action",Dt="autoAction",Ft="<unnamed action>",Nt=de(Lt),Bt=de("action.bound",{bound:!0}),zt=de(Dt,{autoAction:!0}),$t=de("autoAction.bound",{autoAction:!0,bound:!0});function jt(t){return function(n,r){return _(n)?qe(n.name||Ft,n,t):_(r)?qe(n,r,t):T(r)?te(n,r,t?zt:Nt):T(n)?ee(de(t?Dt:Lt,{name:n,autoAction:t})):void 0}}var Vt=jt(!1);Object.assign(Vt,Nt);var Ut=jt(!0);function Gt(t){return Xe(t.name,!1,t,this,void 0)}function Ht(t){return _(t)&&!0===t.isMobxAction}function Wt(t,n){var r,a;void 0===n&&(n=v);var s,l=null!=(r=null==(a=n)?void 0:a.name)?r:"Autorun";if(!n.scheduler&&!n.delay)s=new At(l,(function(){this.track(p)}),n.onError,n.requiresObservable);else{var d=Xt(n),h=!1;s=new At(l,(function(){h||(h=!0,d((function(){h=!1,s.isDisposed_||s.track(p)})))}),n.onError,n.requiresObservable)}function p(){t(s)}return s.schedule_(),s.getDisposer_()}Object.assign(Ut,zt),Vt.bound=ee(Bt),Ut.bound=ee($t);var qt=function(t){return t()};function Xt(t){return t.scheduler?t.scheduler:t.delay?function(n){return setTimeout(n,t.delay)}:qt}function Yt(t,n,r){var a;void 0===r&&(r=v);var s,l,d,h=null!=(a=r.name)?a:"Reaction",p=Vt(h,r.onError?(s=r.onError,l=n,function(){try{return l.apply(this,arguments)}catch(t){s.call(this,t)}}):n),f=!r.scheduler&&!r.delay,m=Xt(r),g=!0,y=!1,b=void 0,x=r.compareStructural?ae.structural:r.equals||ae.default,w=new At(h,(function(){g||f?S():y||(y=!0,m(S))}),r.onError,r.requiresObservable);function S(){if(y=!1,!w.isDisposed_){var n=!1;w.track((function(){var r=Ye(!1,(function(){return t(w)}));n=g||!x(d,r),b=d,d=r})),(g&&r.fireImmediately||!g&&n)&&p(d,b,w),g=!1}}return w.schedule_(),w.getDisposer_()}var Zt="onBO",Kt="onBUO";function Jt(t,n,r){return Qt(Kt,t,n,r)}function Qt(t,n,r,a){var s="function"==typeof a?fn(n,r):fn(n),l=_(a)?a:r,d=t+"L";return s[d]?s[d].add(l):s[d]=new Set([l]),function(){var t=s[d];t&&(t.delete(l),0===t.size&&delete s[d])}}function ei(t,n,r,a){var s=U(n),l=Qi(t,a)[ie];Mt();try{$(s).forEach((function(t){l.extend_(t,s[t],!r||(!(t in r)||r[t]))}))}finally{Tt()}return t}var ti=0;function ii(){this.message="FLOW_CANCELLED"}ii.prototype=Object.create(Error.prototype);var ni=fe("flow"),ri=Object.assign((function(t,n){if(T(n))return te(t,n,ni);var r=t,a=r.name||"<unnamed flow>",s=function(){var t,n=arguments,s=++ti,l=Vt(a+" - runid: "+s+" - init",r).apply(this,n),d=void 0,h=new Promise((function(n,r){var h=0;function p(t){var n;d=void 0;try{n=Vt(a+" - runid: "+s+" - yield "+h++,l.next).call(l,t)}catch(t){return r(t)}m(n)}function f(t){var n;d=void 0;try{n=Vt(a+" - runid: "+s+" - yield "+h++,l.throw).call(l,t)}catch(t){return r(t)}m(n)}function m(t){if(!_(null==t?void 0:t.then))return t.done?n(t.value):(d=Promise.resolve(t.value)).then(p,f);t.then(m,r)}t=r,p(void 0)}));return h.cancel=Vt(a+" - runid: "+s+" - cancel",(function(){try{d&&oi(d);var n=l.return(void 0),r=Promise.resolve(n.value);r.then(S,S),oi(r),t(new ii)}catch(n){t(n)}})),h};return s.isMobXFlow=!0,s}),ni);function oi(t){_(t.cancel)&&t.cancel()}function ai(t){return!0===(null==t?void 0:t.isMobXFlow)}function si(t,n){return!!t&&(void 0!==n?!!nn(t)&&t[ie].values_.has(n):nn(t)||!!t[ie]||re(t)||Pt(t)||rt(t))}function li(t){return si(t)}function ci(t){return nn(t)?t[ie].keys_():Hi(t)||Xi(t)?Array.from(t.keys()):Bi(t)?t.map((function(t,n){return n})):void s(5)}function di(t,n,r){return t.set(n,r),r}function ui(t,n){if(null==t||"object"!=typeof t||t instanceof Date||!li(t))return t;if(et(t))return ui(t.get(),n);if(n.has(t))return n.get(t);if(Bi(t)){var r=di(n,t,new Array(t.length));return t.forEach((function(t,a){r[a]=ui(t,n)})),r}if(Xi(t)){var a=di(n,t,new Set);return t.forEach((function(t){a.add(ui(t,n))})),a}if(Hi(t)){var s=di(n,t,new Map);return t.forEach((function(t,r){s.set(r,ui(t,n))})),s}ci(t);var l=di(n,t,{});return B(t).forEach((function(r){l[r]=ui(t[r],n)})),l}function hi(t,n){return ui(t,new Map)}function pi(t,n){void 0===n&&(n=void 0),Mt();try{return t.apply(n)}finally{Tt()}}function fi(t,n,r){return 1===arguments.length||n&&"object"==typeof n?function(t,n){0;var r,a=new Promise((function(a,s){var l=mi(t,a,q({},n,{onError:s}));r=function(){l(),s("WHEN_CANCELLED")}}));return a.cancel=r,a}(t,n):mi(t,n,r||{})}function mi(t,n,r){var a;"number"==typeof r.timeout&&(a=setTimeout((function(){if(!l[ie].isDisposed_){l();var t=new Error("WHEN_TIMEOUT");if(!r.onError)throw t;r.onError(t)}}),r.timeout)),r.name="When";var s=qe("When-effect",n),l=Wt((function(n){Ye(!1,t)&&(n.dispose(),a&&clearTimeout(a),s())}),r);return l}function gi(t){return t[ie]}var vi={has:function(t,n){return gi(t).has_(n)},get:function(t,n){return gi(t).get_(n)},set:function(t,n,r){var a;return!!T(n)&&(null==(a=gi(t).set_(n,r,!0))||a)},deleteProperty:function(t,n){var r;return!!T(n)&&(null==(r=gi(t).delete_(n,!0))||r)},defineProperty:function(t,n,r){var a;return null==(a=gi(t).defineProperty_(n,r))||a},ownKeys:function(t){return gi(t).ownKeys_()},preventExtensions:function(t){s(13)}};function yi(t){return void 0!==t.interceptors_&&t.interceptors_.length>0}function bi(t,n){var r=t.interceptors_||(t.interceptors_=[]);return r.push(n),w((function(){var t=r.indexOf(n);-1!==t&&r.splice(t,1)}))}function xi(t,n){var r=ht();try{for(var a=[].concat(t.interceptors_||[]),l=0,d=a.length;l<d&&((n=a[l](n))&&!n.type&&s(14),n);l++);return n}finally{pt(r)}}function wi(t){return void 0!==t.changeListeners_&&t.changeListeners_.length>0}function Si(t,n){var r=t.changeListeners_||(t.changeListeners_=[]);return r.push(n),w((function(){var t=r.indexOf(n);-1!==t&&r.splice(t,1)}))}function _i(t,n){var r=ht(),a=t.changeListeners_;if(a){for(var s=0,l=(a=a.slice()).length;s<l;s++)a[s](n);pt(r)}}function Mi(t,n,r){var a=Qi(t,r)[ie];Mt();try{null!=n||(n=function(t){return V(t,Q)||A(t,Q,q({},t[Q])),t[Q]}(t)),$(n).forEach((function(t){return a.make_(t,n[t])}))}finally{Tt()}return t}var Ti="splice",Ei="update",Ci={get:function(t,n){var r=t[ie];return n===ie?r:"length"===n?r.getArrayLength_():"string"!=typeof n||isNaN(n)?V(Oi,n)?Oi[n]:t[n]:r.get_(parseInt(n))},set:function(t,n,r){var a=t[ie];return"length"===n&&a.setArrayLength_(r),"symbol"==typeof n||isNaN(n)?t[n]=r:a.set_(parseInt(n),r),!0},preventExtensions:function(){s(15)}},Ai=function(){function t(t,n,r,a){void 0===t&&(t="ObservableArray"),this.owned_=void 0,this.legacyMode_=void 0,this.atom_=void 0,this.values_=[],this.interceptors_=void 0,this.changeListeners_=void 0,this.enhancer_=void 0,this.dehancer=void 0,this.proxy_=void 0,this.lastKnownLength_=0,this.owned_=r,this.legacyMode_=a,this.atom_=new ne(t),this.enhancer_=function(t,r){return n(t,r,"ObservableArray[..]")}}var n=t.prototype;return n.dehanceValue_=function(t){return void 0!==this.dehancer?this.dehancer(t):t},n.dehanceValues_=function(t){return void 0!==this.dehancer&&t.length>0?t.map(this.dehancer):t},n.intercept_=function(t){return bi(this,t)},n.observe_=function(t,n){return void 0===n&&(n=!1),n&&t({observableKind:"array",object:this.proxy_,debugObjectName:this.atom_.name_,type:"splice",index:0,added:this.values_.slice(),addedCount:this.values_.length,removed:[],removedCount:0}),Si(this,t)},n.getArrayLength_=function(){return this.atom_.reportObserved(),this.values_.length},n.setArrayLength_=function(t){("number"!=typeof t||t<0)&&s("Out of range: "+t);var n=this.values_.length;if(t!==n)if(t>n){for(var r=new Array(t-n),a=0;a<t-n;a++)r[a]=void 0;this.spliceWithArray_(n,0,r)}else this.spliceWithArray_(t,n-t)},n.updateArrayLength_=function(t,n){t!==this.lastKnownLength_&&s(16),this.lastKnownLength_+=n,this.legacyMode_&&n>0&&hn(t+n+1)},n.spliceWithArray_=function(t,n,r){var a=this;this.atom_;var s=this.values_.length;if(void 0===t?t=0:t>s?t=s:t<0&&(t=Math.max(0,s+t)),n=1===arguments.length?s-t:null==n?0:Math.max(0,Math.min(n,s-t)),void 0===r&&(r=g),yi(this)){var l=xi(this,{object:this.proxy_,type:Ti,index:t,removedCount:n,added:r});if(!l)return g;n=l.removedCount,r=l.added}if(r=0===r.length?r:r.map((function(t){return a.enhancer_(t,void 0)})),this.legacyMode_){var d=r.length-n;this.updateArrayLength_(s,d)}var h=this.spliceItemsIntoValues_(t,n,r);return 0===n&&0===r.length||this.notifyArraySplice_(t,r,h),this.dehanceValues_(h)},n.spliceItemsIntoValues_=function(t,n,r){var a;if(r.length<1e4)return(a=this.values_).splice.apply(a,[t,n].concat(r));var s=this.values_.slice(t,t+n),l=this.values_.slice(t+n);this.values_.length=t+r.length-n;for(var d=0;d<r.length;d++)this.values_[t+d]=r[d];for(var h=0;h<l.length;h++)this.values_[t+r.length+h]=l[h];return s},n.notifyArrayChildUpdate_=function(t,n,r){var a=!this.owned_&&!1,s=wi(this),l=s||a?{observableKind:"array",object:this.proxy_,type:Ei,debugObjectName:this.atom_.name_,index:t,newValue:n,oldValue:r}:null;this.atom_.reportChanged(),s&&_i(this,l)},n.notifyArraySplice_=function(t,n,r){var a=!this.owned_&&!1,s=wi(this),l=s||a?{observableKind:"array",object:this.proxy_,debugObjectName:this.atom_.name_,type:Ti,index:t,removed:r,added:n,removedCount:r.length,addedCount:n.length}:null;this.atom_.reportChanged(),s&&_i(this,l)},n.get_=function(t){if(t<this.values_.length)return this.atom_.reportObserved(),this.dehanceValue_(this.values_[t]);a.warn("[mobx.array] Attempt to read an array index ("+t+") that is out of bounds ("+this.values_.length+"). Please check length first. Out of bound indices will not be tracked by MobX")},n.set_=function(t,n){var r=this.values_;if(t<r.length){this.atom_;var a=r[t];if(yi(this)){var l=xi(this,{type:Ei,object:this.proxy_,index:t,newValue:n});if(!l)return;n=l.newValue}(n=this.enhancer_(n,a))!==a&&(r[t]=n,this.notifyArrayChildUpdate_(t,n,a))}else t===r.length?this.spliceWithArray_(t,0,[n]):s(17,t,r.length)},t}();function ki(t,n,r,a){void 0===r&&(r="ObservableArray"),void 0===a&&(a=!1),x();var s=new Ai(r,n,a,!1);O(s.values_,ie,s);var l=new Proxy(s.values_,Ci);if(s.proxy_=l,t&&t.length){var d=Ze(!0);s.spliceWithArray_(0,0,t),Ke(d)}return l}var Oi={clear:function(){return this.splice(0)},replace:function(t){var n=this[ie];return n.spliceWithArray_(0,n.values_.length,t)},toJSON:function(){return this.slice()},splice:function(t,n){for(var r=arguments.length,a=new Array(r>2?r-2:0),s=2;s<r;s++)a[s-2]=arguments[s];var l=this[ie];switch(arguments.length){case 0:return[];case 1:return l.spliceWithArray_(t);case 2:return l.spliceWithArray_(t,n)}return l.spliceWithArray_(t,n,a)},spliceWithArray:function(t,n,r){return this[ie].spliceWithArray_(t,n,r)},push:function(){for(var t=this[ie],n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];return t.spliceWithArray_(t.values_.length,0,r),t.values_.length},pop:function(){return this.splice(Math.max(this[ie].values_.length-1,0),1)[0]},shift:function(){return this.splice(0,1)[0]},unshift:function(){for(var t=this[ie],n=arguments.length,r=new Array(n),a=0;a<n;a++)r[a]=arguments[a];return t.spliceWithArray_(0,0,r),t.values_.length},reverse:function(){return xt.trackingDerivation&&s(37,"reverse"),this.replace(this.slice().reverse()),this},sort:function(){xt.trackingDerivation&&s(37,"sort");var t=this.slice();return t.sort.apply(t,arguments),this.replace(t),this},remove:function(t){var n=this[ie],r=n.dehanceValues_(n.values_).indexOf(t);return r>-1&&(this.splice(r,1),!0)}};function Ri(t,n){"function"==typeof Array.prototype[t]&&(Oi[t]=n(t))}function Ii(t){return function(){var n=this[ie];n.atom_.reportObserved();var r=n.dehanceValues_(n.values_);return r[t].apply(r,arguments)}}function Pi(t){return function(n,r){var a=this,s=this[ie];return s.atom_.reportObserved(),s.dehanceValues_(s.values_)[t]((function(t,s){return n.call(r,t,s,a)}))}}function Li(t){return function(){var n=this,r=this[ie];r.atom_.reportObserved();var a=r.dehanceValues_(r.values_),s=arguments[0];return arguments[0]=function(t,r,a){return s(t,r,a,n)},a[t].apply(a,arguments)}}Ri("concat",Ii),Ri("flat",Ii),Ri("includes",Ii),Ri("indexOf",Ii),Ri("join",Ii),Ri("lastIndexOf",Ii),Ri("slice",Ii),Ri("toString",Ii),Ri("toLocaleString",Ii),Ri("every",Pi),Ri("filter",Pi),Ri("find",Pi),Ri("findIndex",Pi),Ri("flatMap",Pi),Ri("forEach",Pi),Ri("map",Pi),Ri("some",Pi),Ri("reduce",Li),Ri("reduceRight",Li);var Di,Fi,Ni=I("ObservableArrayAdministration",Ai);function Bi(t){return E(t)&&Ni(t[ie])}var zi={},$i="add",ji="delete";Di=Symbol.iterator,Fi=Symbol.toStringTag;var Vi,Ui,Gi=function(){function t(t,n,r){void 0===n&&(n=se),void 0===r&&(r="ObservableMap"),this.enhancer_=void 0,this.name_=void 0,this[ie]=zi,this.data_=void 0,this.hasMap_=void 0,this.keysAtom_=void 0,this.interceptors_=void 0,this.changeListeners_=void 0,this.dehancer=void 0,this.enhancer_=n,this.name_=r,_(Map)||s(18),this.keysAtom_=oe("ObservableMap.keys()"),this.data_=new Map,this.hasMap_=new Map,this.merge(t)}var n=t.prototype;return n.has_=function(t){return this.data_.has(t)},n.has=function(t){var n=this;if(!xt.trackingDerivation)return this.has_(t);var r=this.hasMap_.get(t);if(!r){var a=r=new Qe(this.has_(t),le,"ObservableMap.key?",!1);this.hasMap_.set(t,a),Jt(a,(function(){return n.hasMap_.delete(t)}))}return r.get()},n.set=function(t,n){var r=this.has_(t);if(yi(this)){var a=xi(this,{type:r?Ei:$i,object:this,newValue:n,name:t});if(!a)return this;n=a.newValue}return r?this.updateValue_(t,n):this.addValue_(t,n),this},n.delete=function(t){var n=this;if((this.keysAtom_,yi(this))&&!xi(this,{type:ji,object:this,name:t}))return!1;if(this.has_(t)){var r=wi(this),a=r?{observableKind:"map",debugObjectName:this.name_,type:ji,object:this,oldValue:this.data_.get(t).value_,name:t}:null;return pi((function(){n.keysAtom_.reportChanged(),n.updateHasMapEntry_(t,!1),n.data_.get(t).setNewValue_(void 0),n.data_.delete(t)})),r&&_i(this,a),!0}return!1},n.updateHasMapEntry_=function(t,n){var r=this.hasMap_.get(t);r&&r.setNewValue_(n)},n.updateValue_=function(t,n){var r=this.data_.get(t);if((n=r.prepareNewValue_(n))!==xt.UNCHANGED){var a=wi(this),s=a?{observableKind:"map",debugObjectName:this.name_,type:Ei,object:this,oldValue:r.value_,name:t,newValue:n}:null;0,r.setNewValue_(n),a&&_i(this,s)}},n.addValue_=function(t,n){var r=this;this.keysAtom_,pi((function(){var a=new Qe(n,r.enhancer_,"ObservableMap.key",!1);r.data_.set(t,a),n=a.value_,r.updateHasMapEntry_(t,!0),r.keysAtom_.reportChanged()}));var a=wi(this),s=a?{observableKind:"map",debugObjectName:this.name_,type:$i,object:this,name:t,newValue:n}:null;a&&_i(this,s)},n.get=function(t){return this.has(t)?this.dehanceValue_(this.data_.get(t).get()):this.dehanceValue_(void 0)},n.dehanceValue_=function(t){return void 0!==this.dehancer?this.dehancer(t):t},n.keys=function(){return this.keysAtom_.reportObserved(),this.data_.keys()},n.values=function(){var t=this,n=this.keys();return wn({next:function(){var r=n.next(),a=r.done,s=r.value;return{done:a,value:a?void 0:t.get(s)}}})},n.entries=function(){var t=this,n=this.keys();return wn({next:function(){var r=n.next(),a=r.done,s=r.value;return{done:a,value:a?void 0:[s,t.get(s)]}}})},n[Di]=function(){return this.entries()},n.forEach=function(t,n){for(var r,a=J(this);!(r=a()).done;){var s=r.value,l=s[0],d=s[1];t.call(n,d,l,this)}},n.merge=function(t){var n=this;return Hi(t)&&(t=new Map(t)),pi((function(){C(t)?B(t).forEach((function(r){return n.set(r,t[r])})):Array.isArray(t)?t.forEach((function(t){var r=t[0],a=t[1];return n.set(r,a)})):P(t)?(t.constructor!==Map&&s(19,t),t.forEach((function(t,r){return n.set(r,t)}))):null!=t&&s(20,t)})),this},n.clear=function(){var t=this;pi((function(){ut((function(){for(var n,r=J(t.keys());!(n=r()).done;){var a=n.value;t.delete(a)}}))}))},n.replace=function(t){var n=this;return pi((function(){for(var r,a=function(t){if(P(t)||Hi(t))return t;if(Array.isArray(t))return new Map(t);if(C(t)){var n=new Map;for(var r in t)n.set(r,t[r]);return n}return s(21,t)}(t),l=new Map,d=!1,h=J(n.data_.keys());!(r=h()).done;){var p=r.value;if(!a.has(p))if(n.delete(p))d=!0;else{var f=n.data_.get(p);l.set(p,f)}}for(var m,g=J(a.entries());!(m=g()).done;){var v=m.value,y=v[0],b=v[1],x=n.data_.has(y);if(n.set(y,b),n.data_.has(y)){var w=n.data_.get(y);l.set(y,w),x||(d=!0)}}if(!d)if(n.data_.size!==l.size)n.keysAtom_.reportChanged();else for(var S=n.data_.keys(),_=l.keys(),T=S.next(),E=_.next();!T.done;){if(T.value!==E.value){n.keysAtom_.reportChanged();break}T=S.next(),E=_.next()}n.data_=l})),this},n.toString=function(){return"[object ObservableMap]"},n.toJSON=function(){return Array.from(this)},n.observe_=function(t,n){return Si(this,t)},n.intercept_=function(t){return bi(this,t)},W(t,[{key:"size",get:function(){return this.keysAtom_.reportObserved(),this.data_.size}},{key:Fi,get:function(){return"Map"}}]),t}(),Hi=I("ObservableMap",Gi);var Wi={};Vi=Symbol.iterator,Ui=Symbol.toStringTag;var qi=function(){function t(t,n,r){void 0===n&&(n=se),void 0===r&&(r="ObservableSet"),this.name_=void 0,this[ie]=Wi,this.data_=new Set,this.atom_=void 0,this.changeListeners_=void 0,this.interceptors_=void 0,this.dehancer=void 0,this.enhancer_=void 0,this.name_=r,_(Set)||s(22),this.atom_=oe(this.name_),this.enhancer_=function(t,a){return n(t,a,r)},t&&this.replace(t)}var n=t.prototype;return n.dehanceValue_=function(t){return void 0!==this.dehancer?this.dehancer(t):t},n.clear=function(){var t=this;pi((function(){ut((function(){for(var n,r=J(t.data_.values());!(n=r()).done;){var a=n.value;t.delete(a)}}))}))},n.forEach=function(t,n){for(var r,a=J(this);!(r=a()).done;){var s=r.value;t.call(n,s,s,this)}},n.add=function(t){var n=this;if((this.atom_,yi(this))&&!xi(this,{type:$i,object:this,newValue:t}))return this;if(!this.has(t)){pi((function(){n.data_.add(n.enhancer_(t,void 0)),n.atom_.reportChanged()}));var r=!1,a=wi(this),s=a?{observableKind:"set",debugObjectName:this.name_,type:$i,object:this,newValue:t}:null;r,a&&_i(this,s)}return this},n.delete=function(t){var n=this;if(yi(this)&&!xi(this,{type:ji,object:this,oldValue:t}))return!1;if(this.has(t)){var r=wi(this),a=r?{observableKind:"set",debugObjectName:this.name_,type:ji,object:this,oldValue:t}:null;return pi((function(){n.atom_.reportChanged(),n.data_.delete(t)})),r&&_i(this,a),!0}return!1},n.has=function(t){return this.atom_.reportObserved(),this.data_.has(this.dehanceValue_(t))},n.entries=function(){var t=0,n=Array.from(this.keys()),r=Array.from(this.values());return wn({next:function(){var a=t;return t+=1,a<r.length?{value:[n[a],r[a]],done:!1}:{done:!0}}})},n.keys=function(){return this.values()},n.values=function(){this.atom_.reportObserved();var t=this,n=0,r=Array.from(this.data_.values());return wn({next:function(){return n<r.length?{value:t.dehanceValue_(r[n++]),done:!1}:{done:!0}}})},n.replace=function(t){var n=this;return Xi(t)&&(t=new Set(t)),pi((function(){Array.isArray(t)||D(t)?(n.clear(),t.forEach((function(t){return n.add(t)}))):null!=t&&s("Cannot initialize set from "+t)})),this},n.observe_=function(t,n){return Si(this,t)},n.intercept_=function(t){return bi(this,t)},n.toJSON=function(){return Array.from(this)},n.toString=function(){return"[object ObservableSet]"},n[Vi]=function(){return this.values()},W(t,[{key:"size",get:function(){return this.atom_.reportObserved(),this.data_.size}},{key:Ui,get:function(){return"Set"}}]),t}(),Xi=I("ObservableSet",qi),Yi=Symbol("mobx-inferred-annotations"),Zi=Object.create(null),Ki="remove",Ji=function(){function t(t,n,r,a,s){void 0===n&&(n=new Map),void 0===a&&(a=Ne),void 0===s&&(s=!1),this.target_=void 0,this.values_=void 0,this.name_=void 0,this.defaultAnnotation_=void 0,this.autoBind_=void 0,this.keysAtom_=void 0,this.changeListeners_=void 0,this.interceptors_=void 0,this.proxy_=void 0,this.isPlainObject_=void 0,this.appliedAnnotations_=void 0,this.pendingKeys_=void 0,this.target_=t,this.values_=n,this.name_=r,this.defaultAnnotation_=a,this.autoBind_=s,this.keysAtom_=new ne("ObservableObject.keys"),this.isPlainObject_=C(this.target_)}var n=t.prototype;return n.getObservablePropValue_=function(t){return this.values_.get(t).get()},n.setObservablePropValue_=function(t,n){var r=this.values_.get(t);if(r instanceof nt)return r.set(n),!0;if(yi(this)){var a=xi(this,{type:Ei,object:this.proxy_||this.target_,name:t,newValue:n});if(!a)return null;n=a.newValue}if((n=r.prepareNewValue_(n))!==xt.UNCHANGED){var s=wi(this),l=s?{type:Ei,observableKind:"object",debugObjectName:this.name_,object:this.proxy_||this.target_,oldValue:r.value_,name:t,newValue:n}:null;0,r.setNewValue_(n),s&&_i(this,l)}return!0},n.get_=function(t){return xt.trackingDerivation&&!V(this.target_,t)&&this.has_(t),this.target_[t]},n.set_=function(t,n,r){return void 0===r&&(r=!1),V(this.target_,t)?this.values_.has(t)?this.setObservablePropValue_(t,n):r?Reflect.set(this.target_,t,n):(this.target_[t]=n,!0):this.extend_(t,{value:n,enumerable:!0,writable:!0,configurable:!0},this.defaultAnnotation_,r)},n.has_=function(t){if(!xt.trackingDerivation)return t in this.target_;this.pendingKeys_||(this.pendingKeys_=new Map);var n=this.pendingKeys_.get(t);return n||(n=new Qe(t in this.target_,le,"ObservableObject.key?",!1),this.pendingKeys_.set(t,n)),n.get()},n.make_=function(t,n){!0===n&&(n=this.inferAnnotation_(t)),!1!==n&&(on(this,n,t),n.make_(this,t))},n.extend_=function(t,n,r,a){if(void 0===a&&(a=!1),!0===r&&(r=_n(n,this.defaultAnnotation_,this.autoBind_)),!1===r)return this.defineProperty_(t,n,a);on(this,r,t);var s=r.extend_(this,t,n,a);return s&&rn(this,r,t),s},n.inferAnnotation_=function(t){var n,r=null==(n=this.target_[Yi])?void 0:n.get(t);if(r)return r;for(var a=this.target_;a&&a!==m;){var l=p(a,t);if(l){r=_n(l,this.defaultAnnotation_,this.autoBind_);break}a=Object.getPrototypeOf(a)}if(void 0===r&&s(1,"true",t),!this.isPlainObject_){var d=Object.getPrototypeOf(this.target_);V(d,Yi)||A(d,Yi,new Map),d[Yi].set(t,r)}return r},n.defineProperty_=function(t,n,r){void 0===r&&(r=!1);try{Mt();var a=this.delete_(t);if(!a)return a;if(yi(this)){var s=xi(this,{object:this.proxy_||this.target_,name:t,type:$i,newValue:n.value});if(!s)return null;var l=s.newValue;n.value!==l&&(n=q({},n,{value:l}))}if(r){if(!Reflect.defineProperty(this.target_,t,n))return!1}else f(this.target_,t,n);this.notifyPropertyAddition_(t,n.value)}finally{Tt()}return!0},n.defineObservableProperty_=function(t,n,r,a){void 0===a&&(a=!1);try{Mt();var s=this.delete_(t);if(!s)return s;if(yi(this)){var l=xi(this,{object:this.proxy_||this.target_,name:t,type:$i,newValue:n});if(!l)return null;n=l.newValue}var d=tn(t),h={configurable:!xt.safeDescriptors||this.isPlainObject_,enumerable:!0,get:d.get,set:d.set};if(a){if(!Reflect.defineProperty(this.target_,t,h))return!1}else f(this.target_,t,h);var p=new Qe(n,r,"ObservableObject.key",!1);this.values_.set(t,p),this.notifyPropertyAddition_(t,p.value_)}finally{Tt()}return!0},n.defineComputedProperty_=function(t,n,r){void 0===r&&(r=!1);try{Mt();var a=this.delete_(t);if(!a)return a;if(yi(this))if(!xi(this,{object:this.proxy_||this.target_,name:t,type:$i,newValue:void 0}))return null;n.name||(n.name="ObservableObject.key"),n.context=this.proxy_||this.target_;var s=tn(t),l={configurable:!xt.safeDescriptors||this.isPlainObject_,enumerable:!1,get:s.get,set:s.set};if(r){if(!Reflect.defineProperty(this.target_,t,l))return!1}else f(this.target_,t,l);this.values_.set(t,new nt(n)),this.notifyPropertyAddition_(t,void 0)}finally{Tt()}return!0},n.delete_=function(t,n){if(void 0===n&&(n=!1),!V(this.target_,t))return!0;if(yi(this)&&!xi(this,{object:this.proxy_||this.target_,name:t,type:Ki}))return null;try{var r,a;Mt();var s,l=wi(this),d=this.values_.get(t),h=void 0;if(!d&&l)h=null==(s=p(this.target_,t))?void 0:s.value;if(n){if(!Reflect.deleteProperty(this.target_,t))return!1}else delete this.target_[t];if(d&&(this.values_.delete(t),d instanceof Qe&&(h=d.value_),Ct(d)),this.keysAtom_.reportChanged(),null==(r=this.pendingKeys_)||null==(a=r.get(t))||a.set(t in this.target_),l){var f={type:Ki,observableKind:"object",object:this.proxy_||this.target_,debugObjectName:this.name_,oldValue:h,name:t};0,l&&_i(this,f)}}finally{Tt()}return!0},n.observe_=function(t,n){return Si(this,t)},n.intercept_=function(t){return bi(this,t)},n.notifyPropertyAddition_=function(t,n){var r,a,s=wi(this);if(s){var l=s?{type:$i,observableKind:"object",debugObjectName:this.name_,object:this.proxy_||this.target_,name:t,newValue:n}:null;0,s&&_i(this,l)}null==(r=this.pendingKeys_)||null==(a=r.get(t))||a.set(!0),this.keysAtom_.reportChanged()},n.ownKeys_=function(){return this.keysAtom_.reportObserved(),$(this.target_)},n.keys_=function(){return this.keysAtom_.reportObserved(),Object.keys(this.target_)},t}();function Qi(t,n){var r;if(V(t,ie))return t;var a=null!=(r=null==n?void 0:n.name)?r:"ObservableObject",s=new Ji(t,new Map,String(a),function(t){return t?!0===t.deep?Ae:!1===t.deep?ke:t.defaultDecorator:void 0}(n),null==n?void 0:n.autoBind);return A(t,ie,s),t}var en=I("ObservableObjectAdministration",Ji);function tn(t){return Zi[t]||(Zi[t]={get:function(){return this[ie].getObservablePropValue_(t)},set:function(n){return this[ie].setObservablePropValue_(t,n)}})}function nn(t){return!!E(t)&&en(t[ie])}function rn(t,n,r){var a;null==(a=t.target_[Q])||delete a[r]}function on(t,n,r){}var an,sn,ln=0,cn=function(){};an=cn,sn=Array.prototype,Object.setPrototypeOf?Object.setPrototypeOf(an.prototype,sn):void 0!==an.prototype.__proto__?an.prototype.__proto__=sn:an.prototype=sn;var dn=function(t){function n(n,r,a,s){var l;void 0===a&&(a="ObservableArray"),void 0===s&&(s=!1),l=t.call(this)||this;var d=new Ai(a,r,s,!0);if(d.proxy_=Y(l),O(Y(l),ie,d),n&&n.length){var h=Ze(!0);l.spliceWithArray(0,0,n),Ke(h)}return l}X(n,t);var r=n.prototype;return r.concat=function(){this[ie].atom_.reportObserved();for(var t=arguments.length,n=new Array(t),r=0;r<t;r++)n[r]=arguments[r];return Array.prototype.concat.apply(this.slice(),n.map((function(t){return Bi(t)?t.slice():t})))},r[Symbol.iterator]=function(){var t=this,n=0;return wn({next:function(){return n<t.length?{value:t[n++],done:!1}:{done:!0,value:void 0}}})},W(n,[{key:"length",get:function(){return this[ie].getArrayLength_()},set:function(t){this[ie].setArrayLength_(t)}},{key:Symbol.toStringTag,get:function(){return"Array"}}]),n}(cn);function un(t){f(dn.prototype,""+t,function(t){return{enumerable:!1,configurable:!0,get:function(){return this[ie].get_(t)},set:function(n){this[ie].set_(t,n)}}}(t))}function hn(t){if(t>ln){for(var n=ln;n<t+100;n++)un(n);ln=t}}function pn(t,n,r){return new dn(t,n,r)}function fn(t,n){if("object"==typeof t&&null!==t){if(Bi(t))return void 0!==n&&s(23),t[ie].atom_;if(Xi(t))return t[ie];if(Hi(t)){if(void 0===n)return t.keysAtom_;var r=t.data_.get(n)||t.hasMap_.get(n);return r||s(25,n,gn(t)),r}if(nn(t)){if(!n)return s(26);var a=t[ie].values_.get(n);return a||s(27,n,gn(t)),a}if(re(t)||rt(t)||Pt(t))return t}else if(_(t)&&Pt(t[ie]))return t[ie];s(28)}function mn(t,n){return t||s(29),void 0!==n?mn(fn(t,n)):re(t)||rt(t)||Pt(t)||Hi(t)||Xi(t)?t:t[ie]?t[ie]:void s(24,t)}function gn(t,n){var r;if(void 0!==n)r=fn(t,n);else{if(Ht(t))return t.name;r=nn(t)||Hi(t)||Xi(t)?mn(t):fn(t)}return r.name_}Object.entries(Oi).forEach((function(t){var n=t[0],r=t[1];"concat"!==n&&A(dn.prototype,n,r)})),hn(1e3);var vn=m.toString;function yn(t,n,r){return void 0===r&&(r=-1),bn(t,n,r)}function bn(t,n,r,a,s){if(t===n)return 0!==t||1/t==1/n;if(null==t||null==n)return!1;if(t!=t)return n!=n;var l=typeof t;if(!_(l)&&"object"!==l&&"object"!=typeof n)return!1;var d=vn.call(t);if(d!==vn.call(n))return!1;switch(d){case"[object RegExp]":case"[object String]":return""+t==""+n;case"[object Number]":return+t!=+t?+n!=+n:0==+t?1/+t==1/n:+t==+n;case"[object Date]":case"[object Boolean]":return+t==+n;case"[object Symbol]":return"undefined"!=typeof Symbol&&Symbol.valueOf.call(t)===Symbol.valueOf.call(n);case"[object Map]":case"[object Set]":r>=0&&r++}t=xn(t),n=xn(n);var h="[object Array]"===d;if(!h){if("object"!=typeof t||"object"!=typeof n)return!1;var p=t.constructor,f=n.constructor;if(p!==f&&!(_(p)&&p instanceof p&&_(f)&&f instanceof f)&&"constructor"in t&&"constructor"in n)return!1}if(0===r)return!1;r<0&&(r=-1),s=s||[];for(var m=(a=a||[]).length;m--;)if(a[m]===t)return s[m]===n;if(a.push(t),s.push(n),h){if((m=t.length)!==n.length)return!1;for(;m--;)if(!bn(t[m],n[m],r-1,a,s))return!1}else{var g,v=Object.keys(t);if(m=v.length,Object.keys(n).length!==m)return!1;for(;m--;)if(!V(n,g=v[m])||!bn(t[g],n[g],r-1,a,s))return!1}return a.pop(),s.pop(),!0}function xn(t){return Bi(t)?t.slice():P(t)||Hi(t)||D(t)||Xi(t)?Array.from(t.entries()):t}function wn(t){return t[Symbol.iterator]=Sn,t}function Sn(){return this}function _n(t,n,r){return t.get?je:!t.set&&(_(t.value)?(a=t.value,!(s=null==a?void 0:a.constructor)||"GeneratorFunction"!==s.name&&"GeneratorFunction"!==s.displayName?!Ht(t.value)&&(r?Ut.bound:Ut):!ai(t.value)&&ri):n);var a,s}["Symbol","Map","Set","Symbol"].forEach((function(t){void 0===d()[t]&&s("MobX requires global '"+t+"' to be available or polyfilled")})),"object"==typeof __MOBX_DEVTOOLS_GLOBAL_HOOK__&&__MOBX_DEVTOOLS_GLOBAL_HOOK__.injectMobx({spy:function(t){return a.warn("[mobx.spy] Is a no-op in production builds"),function(){}},extras:{getDebugName:gn},$mobx:ie})},4244:t=>{"use strict";var n=function(t){return t!=t};t.exports=function(t,r){return 0===t&&0===r?1/t==1/r:t===r||!(!n(t)||!n(r))}},609:(t,n,r)=>{"use strict";var a=r(4289),s=r(4147),l=r(4244),d=r(5624),h=r(2281),p=s(d(),Object);a(p,{getPolyfill:d,implementation:l,shim:h}),t.exports=p},5624:(t,n,r)=>{"use strict";var a=r(4244);t.exports=function(){return"function"==typeof Object.is?Object.is:a}},2281:(t,n,r)=>{"use strict";var a=r(5624),s=r(4289);t.exports=function(){var t=a();return s(Object,{is:t},{is:function(){return Object.is!==t}}),t}},8987:(t,n,r)=>{"use strict";var a;if(!Object.keys){var s=Object.prototype.hasOwnProperty,l=Object.prototype.toString,d=r(1414),h=Object.prototype.propertyIsEnumerable,p=!h.call({toString:null},"toString"),f=h.call((function(){}),"prototype"),m=["toString","toLocaleString","valueOf","hasOwnProperty","isPrototypeOf","propertyIsEnumerable","constructor"],g=function(t){var n=t.constructor;return n&&n.prototype===t},v={$applicationCache:!0,$console:!0,$external:!0,$frame:!0,$frameElement:!0,$frames:!0,$innerHeight:!0,$innerWidth:!0,$onmozfullscreenchange:!0,$onmozfullscreenerror:!0,$outerHeight:!0,$outerWidth:!0,$pageXOffset:!0,$pageYOffset:!0,$parent:!0,$scrollLeft:!0,$scrollTop:!0,$scrollX:!0,$scrollY:!0,$self:!0,$webkitIndexedDB:!0,$webkitStorageInfo:!0,$window:!0},y=function(){if("undefined"==typeof window)return!1;for(var t in window)try{if(!v["$"+t]&&s.call(window,t)&&null!==window[t]&&"object"==typeof window[t])try{g(window[t])}catch(t){return!0}}catch(t){return!0}return!1}();a=function(t){var n=null!==t&&"object"==typeof t,r="[object Function]"===l.call(t),a=d(t),h=n&&"[object String]"===l.call(t),v=[];if(!n&&!r&&!a)throw new TypeError("Object.keys called on a non-object");var b=f&&r;if(h&&t.length>0&&!s.call(t,0))for(var x=0;x<t.length;++x)v.push(String(x));if(a&&t.length>0)for(var w=0;w<t.length;++w)v.push(String(w));else for(var S in t)b&&"prototype"===S||!s.call(t,S)||v.push(String(S));if(p)for(var _=function(t){if("undefined"==typeof window||!y)return g(t);try{return g(t)}catch(t){return!1}}(t),T=0;T<m.length;++T)_&&"constructor"===m[T]||!s.call(t,m[T])||v.push(m[T]);return v}}t.exports=a},2215:(t,n,r)=>{"use strict";var a=Array.prototype.slice,s=r(1414),l=Object.keys,d=l?function(t){return l(t)}:r(8987),h=Object.keys;d.shim=function(){if(Object.keys){var t=function(){var t=Object.keys(arguments);return t&&t.length===arguments.length}(1,2);t||(Object.keys=function(t){return s(t)?h(a.call(t)):h(t)})}else Object.keys=d;return Object.keys||d},t.exports=d},1414:t=>{"use strict";var n=Object.prototype.toString;t.exports=function(t){var r=n.call(t),a="[object Arguments]"===r;return a||(a="[object Array]"!==r&&null!==t&&"object"==typeof t&&"number"==typeof t.length&&t.length>=0&&"[object Function]"===n.call(t.callee)),a}},6610:function(t,n,r){var a;!function(s){"use strict";var l,d,h=!s.document&&!!s.postMessage,p=h&&/(\?|&)papaworker(=|&|$)/.test(s.location.search),f=!1,m={},g=0,v={parse:function(t,n){if((n=n||{}).worker&&v.WORKERS_SUPPORTED){var r=function(){if(!v.WORKERS_SUPPORTED)return!1;if(!f&&null===v.SCRIPT_PATH)throw new Error("Script path cannot be determined automatically when Papa Parse is loaded asynchronously. You need to set Papa.SCRIPT_PATH manually.");var t=v.SCRIPT_PATH||l;t+=(-1!==t.indexOf("?")?"&":"?")+"papaworker";var n=new s.Worker(t);return n.onmessage=E,n.id=g++,m[n.id]=n,n}();return r.userStep=n.step,r.userChunk=n.chunk,r.userComplete=n.complete,r.userError=n.error,n.step=P(n.step),n.chunk=P(n.chunk),n.complete=P(n.complete),n.error=P(n.error),delete n.worker,void r.postMessage({input:t,config:n,workerId:r.id})}var a=null;"string"==typeof t?a=n.download?new x(n):new S(n):(s.File&&t instanceof File||t instanceof Object)&&(a=new w(n));return a.stream(t)},unparse:function(t,n){var r=!1,a=",",s="\r\n";(function(){if("object"!=typeof n)return;"string"==typeof n.delimiter&&1==n.delimiter.length&&-1==v.BAD_DELIMITERS.indexOf(n.delimiter)&&(a=n.delimiter);("boolean"==typeof n.quotes||n.quotes instanceof Array)&&(r=n.quotes);"string"==typeof n.newline&&(s=n.newline)})(),"string"==typeof t&&(t=JSON.parse(t));if(t instanceof Array){if(!t.length||t[0]instanceof Array)return d(null,t);if("object"==typeof t[0])return d(l(t[0]),t)}else if("object"==typeof t)return"string"==typeof t.data&&(t.data=JSON.parse(t.data)),t.data instanceof Array&&(t.fields||(t.fields=t.data[0]instanceof Array?t.fields:l(t.data[0])),t.data[0]instanceof Array||"object"==typeof t.data[0]||(t.data=[t.data])),d(t.fields||[],t.data||[]);throw"exception: Unable to serialize unrecognized input";function l(t){if("object"!=typeof t)return[];var n=[];for(var r in t)n.push(r);return n}function d(t,n){var r="";"string"==typeof t&&(t=JSON.parse(t)),"string"==typeof n&&(n=JSON.parse(n));var l=t instanceof Array&&t.length>0,d=!(n[0]instanceof Array);if(l){for(var p=0;p<t.length;p++)p>0&&(r+=a),r+=h(t[p],p);n.length>0&&(r+=s)}for(var f=0;f<n.length;f++){for(var m=l?t.length:n[f].length,g=0;g<m;g++){g>0&&(r+=a);var v=l&&d?t[g]:g;r+=h(n[f][v],g)}f<n.length-1&&(r+=s)}return r}function h(t,n){if(null==t)return"";t=t.toString().replace(/"/g,'""');var s="boolean"==typeof r&&r||r instanceof Array&&r[n]||function(t,n){for(var r=0;r<n.length;r++)if(t.indexOf(n[r])>-1)return!0;return!1}(t,v.BAD_DELIMITERS)||t.indexOf(a)>-1||" "==t.charAt(0)||" "==t.charAt(t.length-1);return s?'"'+t+'"':t}}};if(v.RECORD_SEP=String.fromCharCode(30),v.UNIT_SEP=String.fromCharCode(31),v.BYTE_ORDER_MARK="\ufeff",v.BAD_DELIMITERS=["\r","\n",'"',v.BYTE_ORDER_MARK],v.WORKERS_SUPPORTED=!h&&!!s.Worker,v.SCRIPT_PATH=null,v.LocalChunkSize=10485760,v.RemoteChunkSize=5242880,v.DefaultDelimiter=",",v.Parser=T,v.ParserHandle=_,v.NetworkStreamer=x,v.FileStreamer=w,v.StringStreamer=S,t.exports?t.exports=v:P(s.define)&&s.define.amd?void 0===(a=function(){return v}.call(n,r,n,t))||(t.exports=a):s.Papa=v,s.jQuery){var y=s.jQuery;y.fn.parse=function(t){var n=t.config||{},r=[];return this.each((function(t){if(!("INPUT"==y(this).prop("tagName").toUpperCase()&&"file"==y(this).attr("type").toLowerCase()&&s.FileReader)||!this.files||0==this.files.length)return!0;for(var a=0;a<this.files.length;a++)r.push({file:this.files[a],inputElem:this,instanceConfig:y.extend({},n)})})),a(),this;function a(){if(0!=r.length){var n,a,s,d,h=r[0];if(P(t.before)){var p=t.before(h.file,h.inputElem);if("object"==typeof p){if("abort"==p.action)return n="AbortError",a=h.file,s=h.inputElem,d=p.reason,void(P(t.error)&&t.error({name:n},a,s,d));if("skip"==p.action)return void l();"object"==typeof p.config&&(h.instanceConfig=y.extend(h.instanceConfig,p.config))}else if("skip"==p)return void l()}var f=h.instanceConfig.complete;h.instanceConfig.complete=function(t){P(f)&&f(t,h.file,h.inputElem),l()},v.parse(h.file,h.instanceConfig)}else P(t.complete)&&t.complete()}function l(){r.splice(0,1),a()}}}function b(t){this._handle=null,this._paused=!1,this._finished=!1,this._input=null,this._baseIndex=0,this._partialLine="",this._rowCount=0,this._start=0,this._nextChunk=null,this.isFirstChunk=!0,this._completeResults={data:[],errors:[],meta:{}},function(t){var n=O(t);n.chunkSize=parseInt(n.chunkSize),t.step||t.chunk||(n.chunkSize=null);this._handle=new _(n),this._handle.streamer=this,this._config=n}.call(this,t),this.parseChunk=function(t){if(this.isFirstChunk&&P(this._config.beforeFirstChunk)){var n=this._config.beforeFirstChunk(t);void 0!==n&&(t=n)}this.isFirstChunk=!1;var r=this._partialLine+t;this._partialLine="";var a=this._handle.parse(r,this._baseIndex,!this._finished);if(!this._handle.paused()&&!this._handle.aborted()){var l=a.meta.cursor;this._finished||(this._partialLine=r.substring(l-this._baseIndex),this._baseIndex=l),a&&a.data&&(this._rowCount+=a.data.length);var d=this._finished||this._config.preview&&this._rowCount>=this._config.preview;if(p)s.postMessage({results:a,workerId:v.WORKER_ID,finished:d});else if(P(this._config.chunk)){if(this._config.chunk(a,this._handle),this._paused)return;a=void 0,this._completeResults=void 0}return this._config.step||this._config.chunk||(this._completeResults.data=this._completeResults.data.concat(a.data),this._completeResults.errors=this._completeResults.errors.concat(a.errors),this._completeResults.meta=a.meta),!d||!P(this._config.complete)||a&&a.meta.aborted||this._config.complete(this._completeResults),d||a&&a.meta.paused||this._nextChunk(),a}},this._sendError=function(t){P(this._config.error)?this._config.error(t):p&&this._config.error&&s.postMessage({workerId:v.WORKER_ID,error:t,finished:!1})}}function x(t){var n;(t=t||{}).chunkSize||(t.chunkSize=v.RemoteChunkSize),b.call(this,t),this._nextChunk=h?function(){this._readChunk(),this._chunkLoaded()}:function(){this._readChunk()},this.stream=function(t){this._input=t,this._nextChunk()},this._readChunk=function(){if(this._finished)this._chunkLoaded();else{if(n=new XMLHttpRequest,h||(n.onload=I(this._chunkLoaded,this),n.onerror=I(this._chunkError,this)),n.open("GET",this._input,!h),this._config.chunkSize){var t=this._start+this._config.chunkSize-1;n.setRequestHeader("Range","bytes="+this._start+"-"+t),n.setRequestHeader("If-None-Match","webkit-no-cache")}try{n.send()}catch(t){this._chunkError(t.message)}h&&0==n.status?this._chunkError():this._start+=this._config.chunkSize}},this._chunkLoaded=function(){4==n.readyState&&(n.status<200||n.status>=400?this._chunkError():(this._finished=!this._config.chunkSize||this._start>function(t){var n=t.getResponseHeader("Content-Range");return parseInt(n.substr(n.lastIndexOf("/")+1))}(n),this.parseChunk(n.responseText)))},this._chunkError=function(t){var r=n.statusText||t;this._sendError(r)}}function w(t){var n,r;(t=t||{}).chunkSize||(t.chunkSize=v.LocalChunkSize),b.call(this,t);var a="undefined"!=typeof FileReader;this.stream=function(t){this._input=t,r=t.slice||t.webkitSlice||t.mozSlice,a?((n=new FileReader).onload=I(this._chunkLoaded,this),n.onerror=I(this._chunkError,this)):n=new FileReaderSync,this._nextChunk()},this._nextChunk=function(){this._finished||this._config.preview&&!(this._rowCount<this._config.preview)||this._readChunk()},this._readChunk=function(){var t=this._input;if(this._config.chunkSize){var s=Math.min(this._start+this._config.chunkSize,this._input.size);t=r.call(t,this._start,s)}var l=n.readAsText(t,this._config.encoding);a||this._chunkLoaded({target:{result:l}})},this._chunkLoaded=function(t){this._start+=this._config.chunkSize,this._finished=!this._config.chunkSize||this._start>=this._input.size,this.parseChunk(t.target.result)},this._chunkError=function(){this._sendError(n.error)}}function S(t){var n;t=t||{},b.call(this,t),this.stream=function(t){return t,n=t,this._nextChunk()},this._nextChunk=function(){if(!this._finished){var t=this._config.chunkSize,r=t?n.substr(0,t):n;return n=t?n.substr(t):"",this._finished=!n,this.parseChunk(r)}}}function _(t){var n,r,a,s=/^\s*-?(\d*\.?\d+|\d+\.?\d*)(e[-+]?\d+)?\s*$/i,l=this,d=0,h=!1,p=!1,f=[],m={data:[],errors:[],meta:{}};if(P(t.step)){var g=t.step;t.step=function(n){if(m=n,b())y();else{if(y(),0==m.data.length)return;d+=n.data.length,t.preview&&d>t.preview?r.abort():g(m,l)}}}function y(){if(m&&a&&(w("Delimiter","UndetectableDelimiter","Unable to auto-detect delimiting character; defaulted to '"+v.DefaultDelimiter+"'"),a=!1),t.skipEmptyLines)for(var n=0;n<m.data.length;n++)1==m.data[n].length&&""==m.data[n][0]&&m.data.splice(n--,1);return b()&&function(){if(!m)return;for(var t=0;b()&&t<m.data.length;t++)for(var n=0;n<m.data[t].length;n++)f.push(m.data[t][n]);m.data.splice(0,1)}(),function(){if(!m||!t.header&&!t.dynamicTyping)return m;for(var n=0;n<m.data.length;n++){for(var r={},a=0;a<m.data[n].length;a++){if(t.dynamicTyping){var s=m.data[n][a];m.data[n][a]="true"==s||"TRUE"==s||"false"!=s&&"FALSE"!=s&&x(s)}t.header&&(a>=f.length?(r.__parsed_extra||(r.__parsed_extra=[]),r.__parsed_extra.push(m.data[n][a])):r[f[a]]=m.data[n][a])}t.header&&(m.data[n]=r,a>f.length?w("FieldMismatch","TooManyFields","Too many fields: expected "+f.length+" fields but parsed "+a,n):a<f.length&&w("FieldMismatch","TooFewFields","Too few fields: expected "+f.length+" fields but parsed "+a,n))}t.header&&m.meta&&(m.meta.fields=f);return m}()}function b(){return t.header&&0==f.length}function x(t){return s.test(t)?parseFloat(t):t}function w(t,n,r,a){m.errors.push({type:t,code:n,message:r,row:a})}this.parse=function(s,l,d){if(t.newline||(t.newline=function(t){t=t.substr(0,1048576);var n=t.split("\r");if(1==n.length)return"\n";for(var r=0,a=0;a<n.length;a++)"\n"==n[a][0]&&r++;return r>=n.length/2?"\r\n":"\r"}(s)),a=!1,!t.delimiter){var p=function(n){for(var r,a,s,l=[",","\t","|",";",v.RECORD_SEP,v.UNIT_SEP],d=0;d<l.length;d++){var h=l[d],p=0,f=0;s=void 0;for(var m=new T({delimiter:h,preview:10}).parse(n),g=0;g<m.data.length;g++){var y=m.data[g].length;f+=y,void 0!==s?y>1&&(p+=Math.abs(y-s),s=y):s=y}m.data.length>0&&(f/=m.data.length),(void 0===a||p<a)&&f>1.99&&(a=p,r=h)}return t.delimiter=r,{successful:!!r,bestDelimiter:r}}(s);p.successful?t.delimiter=p.bestDelimiter:(a=!0,t.delimiter=v.DefaultDelimiter),m.meta.delimiter=t.delimiter}var f=O(t);return t.preview&&t.header&&f.preview++,n=s,r=new T(f),m=r.parse(n,l,d),y(),h?{meta:{paused:!0}}:m||{meta:{paused:!1}}},this.paused=function(){return h},this.pause=function(){h=!0,r.abort(),n=n.substr(r.getCharIndex())},this.resume=function(){h=!1,l.streamer.parseChunk(n)},this.aborted=function(){return p},this.abort=function(){p=!0,r.abort(),m.meta.aborted=!0,P(t.complete)&&t.complete(m),n=""}}function T(t){var n=(t=t||{}).delimiter,r=t.newline,a=t.comments,s=t.step,l=t.preview,d=t.fastMode;if(("string"!=typeof n||v.BAD_DELIMITERS.indexOf(n)>-1)&&(n=","),a===n)throw"Comment character same as delimiter";!0===a?a="#":("string"!=typeof a||v.BAD_DELIMITERS.indexOf(a)>-1)&&(a=!1),"\n"!=r&&"\r"!=r&&"\r\n"!=r&&(r="\n");var h=0,p=!1;this.parse=function(t,f,m){if("string"!=typeof t)throw"Input must be a string";var g=t.length,v=n.length,y=r.length,b=a.length,x="function"==typeof s;h=0;var w=[],S=[],_=[],T=0;if(!t)return B();if(d||!1!==d&&-1===t.indexOf('"')){for(var E=t.split(r),C=0;C<E.length;C++){_=E[C];if(h+=_.length,C!==E.length-1)h+=r.length;else if(m)return B();if(!a||_.substr(0,b)!=a){if(x){if(w=[],P(_.split(n)),$(),p)return B()}else P(_.split(n));if(l&&C>=l)return w=w.slice(0,l),B(!0)}}return B()}for(var A=t.indexOf(n,h),O=t.indexOf(r,h);;)if('"'!=t[h])if(a&&0===_.length&&t.substr(h,b)===a){if(-1==O)return B();h=O+y,O=t.indexOf(r,h),A=t.indexOf(n,h)}else if(-1!==A&&(A<O||-1===O))_.push(t.substring(h,A)),h=A+v,A=t.indexOf(n,h);else{if(-1===O)break;if(_.push(t.substring(h,O)),F(O+y),x&&($(),p))return B();if(l&&w.length>=l)return B(!0)}else{var I=h;for(h++;;){if(-1===(I=t.indexOf('"',I+1)))return m||S.push({type:"Quotes",code:"MissingQuotes",message:"Quoted field unterminated",row:w.length,index:h}),D();if(I===g-1)return D(t.substring(h,I).replace(/""/g,'"'));if('"'!=t[I+1]){if(t[I+1]==n){_.push(t.substring(h,I).replace(/""/g,'"')),h=I+1+v,A=t.indexOf(n,h),O=t.indexOf(r,h);break}if(t.substr(I+1,y)===r){if(_.push(t.substring(h,I).replace(/""/g,'"')),F(I+1+y),A=t.indexOf(n,h),x&&($(),p))return B();if(l&&w.length>=l)return B(!0);break}}else I++}}return D();function P(t){w.push(t),T=h}function D(n){return m||(void 0===n&&(n=t.substr(h)),_.push(n),h=g,P(_),x&&$()),B()}function F(n){h=n,P(_),_=[],O=t.indexOf(r,h)}function B(t){return{data:w,errors:S,meta:{delimiter:n,linebreak:r,aborted:p,truncated:!!t,cursor:T+(f||0)}}}function $(){s(B()),w=[],S=[]}},this.abort=function(){p=!0},this.getCharIndex=function(){return h}}function E(t){var n=t.data,r=m[n.workerId],a=!1;if(n.error)r.userError(n.error,n.file);else if(n.results&&n.results.data){var s={abort:function(){a=!0,C(n.workerId,{data:[],errors:[],meta:{aborted:!0}})},pause:A,resume:A};if(P(r.userStep)){for(var l=0;l<n.results.data.length&&(r.userStep({data:[n.results.data[l]],errors:n.results.errors,meta:n.results.meta},s),!a);l++);delete n.results}else P(r.userChunk)&&(r.userChunk(n.results,s,n.file),delete n.results)}n.finished&&!a&&C(n.workerId,n.results)}function C(t,n){var r=m[t];P(r.userComplete)&&r.userComplete(n),r.terminate(),delete m[t]}function A(){throw"Not implemented."}function O(t){if("object"!=typeof t)return t;var n=t instanceof Array?[]:{};for(var r in t)n[r]=O(t[r]);return n}function I(t,n){return function(){t.apply(n,arguments)}}function P(t){return"function"==typeof t}p?s.onmessage=function(t){var n=t.data;void 0===v.WORKER_ID&&n&&(v.WORKER_ID=n.workerId);if("string"==typeof n.input)s.postMessage({workerId:v.WORKER_ID,results:v.parse(n.input,n.config),finished:!0});else if(s.File&&n.input instanceof File||n.input instanceof Object){var r=v.parse(n.input,n.config);r&&s.postMessage({workerId:v.WORKER_ID,results:r,finished:!0})}}:v.WORKERS_SUPPORTED&&(d=document.getElementsByTagName("script"),l=d.length?d[d.length-1].src:"",document.body?document.addEventListener("DOMContentLoaded",(function(){f=!0}),!0):f=!0),x.prototype=Object.create(b.prototype),x.prototype.constructor=x,w.prototype=Object.create(b.prototype),w.prototype.constructor=w,S.prototype=Object.create(S.prototype),S.prototype.constructor=S}("undefined"!=typeof window?window:this)},4155:t=>{var n,r,a=t.exports={};function s(){throw new Error("setTimeout has not been defined")}function l(){throw new Error("clearTimeout has not been defined")}function d(t){if(n===setTimeout)return setTimeout(t,0);if((n===s||!n)&&setTimeout)return n=setTimeout,setTimeout(t,0);try{return n(t,0)}catch(r){try{return n.call(null,t,0)}catch(r){return n.call(this,t,0)}}}!function(){try{n="function"==typeof setTimeout?setTimeout:s}catch(t){n=s}try{r="function"==typeof clearTimeout?clearTimeout:l}catch(t){r=l}}();var h,p=[],f=!1,m=-1;function g(){f&&h&&(f=!1,h.length?p=h.concat(p):m=-1,p.length&&v())}function v(){if(!f){var t=d(g);f=!0;for(var n=p.length;n;){for(h=p,p=[];++m<n;)h&&h[m].run();m=-1,n=p.length}h=null,f=!1,function(t){if(r===clearTimeout)return clearTimeout(t);if((r===l||!r)&&clearTimeout)return r=clearTimeout,clearTimeout(t);try{return r(t)}catch(n){try{return r.call(null,t)}catch(n){return r.call(this,t)}}}(t)}}function y(t,n){this.fun=t,this.array=n}function b(){}a.nextTick=function(t){var n=new Array(arguments.length-1);if(arguments.length>1)for(var r=1;r<arguments.length;r++)n[r-1]=arguments[r];p.push(new y(t,n)),1!==p.length||f||d(v)},y.prototype.run=function(){this.fun.apply(null,this.array)},a.title="browser",a.browser=!0,a.env={},a.argv=[],a.version="",a.versions={},a.on=b,a.addListener=b,a.once=b,a.off=b,a.removeListener=b,a.removeAllListeners=b,a.emit=b,a.prependListener=b,a.prependOnceListener=b,a.listeners=function(t){return[]},a.binding=function(t){throw new Error("process.binding is not supported")},a.cwd=function(){return"/"},a.chdir=function(t){throw new Error("process.chdir is not supported")},a.umask=function(){return 0}},1550:function(t,n,r){var a=r(5108);t.exports=function(){"use strict";var t=function(t){return t instanceof Uint8Array||t instanceof Uint16Array||t instanceof Uint32Array||t instanceof Int8Array||t instanceof Int16Array||t instanceof Int32Array||t instanceof Float32Array||t instanceof Float64Array||t instanceof Uint8ClampedArray},n=function(t,n){for(var r=Object.keys(n),a=0;a<r.length;++a)t[r[a]]=n[r[a]];return t},r="\n";function s(t){return"undefined"!=typeof atob?atob(t):"base64:"+t}function l(t){var n=new Error("(regl) "+t);throw a.error(n),n}function d(t,n){t||l(n)}function h(t){return t?": "+t:""}function p(t,n,r){t in n||l("unknown parameter ("+t+")"+h(r)+". possible values: "+Object.keys(n).join())}function f(n,r){t(n)||l("invalid parameter type"+h(r)+". must be a typed array")}function m(t,n){switch(n){case"number":return"number"==typeof t;case"object":return"object"==typeof t;case"string":return"string"==typeof t;case"boolean":return"boolean"==typeof t;case"function":return"function"==typeof t;case"undefined":return void 0===t;case"symbol":return"symbol"==typeof t}}function g(t,n,r){m(t,n)||l("invalid parameter type"+h(r)+". expected "+n+", got "+typeof t)}function v(t,n){t>=0&&(0|t)===t||l("invalid parameter type, ("+t+")"+h(n)+". must be a nonnegative integer")}function y(t,n,r){n.indexOf(t)<0&&l("invalid value"+h(r)+". must be one of: "+n)}var b=["gl","canvas","container","attributes","pixelRatio","extensions","optionalExtensions","profile","onDone"];function x(t){Object.keys(t).forEach((function(t){b.indexOf(t)<0&&l('invalid regl constructor argument "'+t+'". must be one of '+b)}))}function w(t,n){for(t+="";t.length<n;)t=" "+t;return t}function S(){this.name="unknown",this.lines=[],this.index={},this.hasErrors=!1}function _(t,n){this.number=t,this.line=n,this.errors=[]}function T(t,n,r){this.file=t,this.line=n,this.message=r}function E(){var t=new Error,n=(t.stack||t).toString(),r=/compileProcedure.*\n\s*at.*\((.*)\)/.exec(n);if(r)return r[1];var a=/compileProcedure.*\n\s*at\s+(.*)(\n|$)/.exec(n);return a?a[1]:"unknown"}function C(){var t=new Error,n=(t.stack||t).toString(),r=/at REGLCommand.*\n\s+at.*\((.*)\)/.exec(n);if(r)return r[1];var a=/at REGLCommand.*\n\s+at\s+(.*)\n/.exec(n);return a?a[1]:"unknown"}function A(t,n){var r=t.split("\n"),a=1,l=0,d={unknown:new S,0:new S};d.unknown.name=d[0].name=n||E(),d.unknown.lines.push(new _(0,""));for(var h=0;h<r.length;++h){var p=r[h],f=/^\s*#\s*(\w+)\s+(.+)\s*$/.exec(p);if(f)switch(f[1]){case"line":var m=/(\d+)(\s+\d+)?/.exec(f[2]);m&&(a=0|m[1],m[2]&&((l=0|m[2])in d||(d[l]=new S)));break;case"define":var g=/SHADER_NAME(_B64)?\s+(.*)$/.exec(f[2]);g&&(d[l].name=g[1]?s(g[2]):g[2])}d[l].lines.push(new _(a++,p))}return Object.keys(d).forEach((function(t){var n=d[t];n.lines.forEach((function(t){n.index[t.number]=t}))})),d}function O(t){var n=[];return t.split("\n").forEach((function(t){if(!(t.length<5)){var r=/^ERROR:\s+(\d+):(\d+):\s*(.*)$/.exec(t);r?n.push(new T(0|r[1],0|r[2],r[3].trim())):t.length>0&&n.push(new T("unknown",0,t))}})),n}function I(t,n){n.forEach((function(n){var r=t[n.file];if(r){var a=r.index[n.line];if(a)return a.errors.push(n),void(r.hasErrors=!0)}t.unknown.hasErrors=!0,t.unknown.lines[0].errors.push(n)}))}function P(t,n,s,l,h){if(!t.getShaderParameter(n,t.COMPILE_STATUS)){var p=t.getShaderInfoLog(n),f=l===t.FRAGMENT_SHADER?"fragment":"vertex";U(s,"string",f+" shader source must be a string",h);var m=A(s,h),g=O(p);I(m,g),Object.keys(m).forEach((function(t){var n=m[t];if(n.hasErrors){var s=[""],l=[""];d("file number "+t+": "+n.name+"\n","color:red;text-decoration:underline;font-weight:bold"),n.lines.forEach((function(t){if(t.errors.length>0){d(w(t.number,4)+"|  ","background-color:yellow; font-weight:bold"),d(t.line+r,"color:red; background-color:yellow; font-weight:bold");var n=0;t.errors.forEach((function(a){var s=a.message,l=/^\s*'(.*)'\s*:\s*(.*)$/.exec(s);if(l){var h=l[1];s=l[2],"assign"===h&&(h="="),n=Math.max(t.line.indexOf(h,n),0)}else n=0;d(w("| ",6)),d(w("^^^",n+3)+r,"font-weight:bold"),d(w("| ",6)),d(s+r,"font-weight:bold")})),d(w("| ",6)+r)}else d(w(t.number,4)+"|  "),d(t.line+r,"color:red")})),"undefined"==typeof document||window.chrome?a.log(s.join("")):(l[0]=s.join("%c"),a.log.apply(a,l))}function d(t,n){s.push(t),l.push(n||"")}})),d.raise("Error compiling "+f+" shader, "+m[0].name)}}function D(t,n,s,l,h){if(!t.getProgramParameter(n,t.LINK_STATUS)){var p=t.getProgramInfoLog(n),f=A(s,h),m='Error linking program with vertex shader, "'+A(l,h)[0].name+'", and fragment shader "'+f[0].name+'"';"undefined"!=typeof document?a.log("%c"+m+r+"%c"+p,"color:red;text-decoration:underline;font-weight:bold","color:red"):a.log(m+r+p),d.raise(m)}}function F(t){t._commandRef=E()}function B(t,n,r,a){function s(t){return t?a.id(t):0}function l(t,n){Object.keys(n).forEach((function(n){t[a.id(n)]=!0}))}F(t),t._fragId=s(t.static.frag),t._vertId=s(t.static.vert);var d=t._uniformSet={};l(d,n.static),l(d,n.dynamic);var h=t._attributeSet={};l(h,r.static),l(h,r.dynamic),t._hasCount="count"in t.static||"count"in t.dynamic||"elements"in t.static||"elements"in t.dynamic}function $(t,n){var r=C();l(t+" in command "+(n||E())+("unknown"===r?"":" called from "+r))}function j(t,n,r){t||$(n,r||E())}function V(t,n,r,a){t in n||$("unknown parameter ("+t+")"+h(r)+". possible values: "+Object.keys(n).join(),a||E())}function U(t,n,r,a){m(t,n)||$("invalid parameter type"+h(r)+". expected "+n+", got "+typeof t,a||E())}function G(t){t()}function W(t,n,r){t.texture?y(t.texture._texture.internalformat,n,"unsupported texture format for attachment"):y(t.renderbuffer._renderbuffer.format,r,"unsupported renderbuffer format for attachment")}var q=33071,X=9728,Y=9984,K=9985,J=9986,Q=9987,ee=5121,te=5122,ie=5123,ne=5124,re=5125,oe=5126,ae=32819,se=32820,le=33635,ce=34042,de=36193,ue={};function he(t,n){return t===se||t===ae||t===le?2:t===ce?4:ue[t]*n}function pe(t){return!(t&t-1||!t)}function fe(t,n,r){var a,s=n.width,l=n.height,h=n.channels;d(s>0&&s<=r.maxTextureSize&&l>0&&l<=r.maxTextureSize,"invalid texture shape"),t.wrapS===q&&t.wrapT===q||d(pe(s)&&pe(l),"incompatible wrap mode for texture, both width and height must be power of 2"),1===n.mipmask?1!==s&&1!==l&&d(t.minFilter!==Y&&t.minFilter!==J&&t.minFilter!==K&&t.minFilter!==Q,"min filter requires mipmap"):(d(pe(s)&&pe(l),"texture must be a square power of 2 to support mipmapping"),d(n.mipmask===(s<<1)-1,"missing or incomplete mipmap data")),n.type===oe&&(r.extensions.indexOf("oes_texture_float_linear")<0&&d(t.minFilter===X&&t.magFilter===X,"filter not supported, must enable oes_texture_float_linear"),d(!t.genMipmaps,"mipmap generation not supported with float textures"));var p=n.images;for(a=0;a<16;++a)if(p[a]){var f=s>>a,m=l>>a;d(n.mipmask&1<<a,"missing mipmap data");var g=p[a];if(d(g.width===f&&g.height===m,"invalid shape for mip images"),d(g.format===n.format&&g.internalformat===n.internalformat&&g.type===n.type,"incompatible type for mip image"),g.compressed);else if(g.data){var v=Math.ceil(he(g.type,h)*f/g.unpackAlignment)*g.unpackAlignment;d(g.data.byteLength===v*m,"invalid data for image, buffer size is inconsistent with image format")}else g.element||g.copy}else t.genMipmaps||d(0==(n.mipmask&1<<a),"extra mipmap data");n.compressed&&d(!t.genMipmaps,"mipmap generation for compressed images not supported")}function me(t,n,r,a){var s=t.width,l=t.height,h=t.channels;d(s>0&&s<=a.maxTextureSize&&l>0&&l<=a.maxTextureSize,"invalid texture shape"),d(s===l,"cube map must be square"),d(n.wrapS===q&&n.wrapT===q,"wrap mode not supported by cube map");for(var p=0;p<r.length;++p){var f=r[p];d(f.width===s&&f.height===l,"inconsistent cube map face shape"),n.genMipmaps&&(d(!f.compressed,"can not generate mipmap for compressed textures"),d(1===f.mipmask,"can not specify mipmaps and generate mipmaps"));for(var m=f.images,g=0;g<16;++g){var v=m[g];if(v){var y=s>>g,b=l>>g;d(f.mipmask&1<<g,"missing mipmap data"),d(v.width===y&&v.height===b,"invalid shape for mip images"),d(v.format===t.format&&v.internalformat===t.internalformat&&v.type===t.type,"incompatible type for mip image"),v.compressed||(v.data?d(v.data.byteLength===y*b*Math.max(he(v.type,h),v.unpackAlignment),"invalid data for image, buffer size is inconsistent with image format"):v.element||v.copy)}}}}ue[5120]=ue[ee]=1,ue[te]=ue[ie]=ue[de]=ue[le]=ue[ae]=ue[se]=2,ue[ne]=ue[re]=ue[oe]=ue[ce]=4;var ge=n(d,{optional:G,raise:l,commandRaise:$,command:j,parameter:p,commandParameter:V,constructor:x,type:g,commandType:U,isTypedArray:f,nni:v,oneOf:y,shaderError:P,linkError:D,callSite:C,saveCommandRef:F,saveDrawInfo:B,framebufferFormat:W,guessCommand:E,texture2D:fe,textureCube:me}),ve=0,ye=0,be=5,xe=6;function we(t,n){this.id=ve++,this.type=t,this.data=n}function Se(t){return t.replace(/\\/g,"\\\\").replace(/"/g,'\\"')}function _e(t){if(0===t.length)return[];var n=t.charAt(0),r=t.charAt(t.length-1);if(t.length>1&&n===r&&('"'===n||"'"===n))return['"'+Se(t.substr(1,t.length-2))+'"'];var a=/\[(false|true|null|\d+|'[^']*'|"[^"]*")\]/.exec(t);if(a)return _e(t.substr(0,a.index)).concat(_e(a[1])).concat(_e(t.substr(a.index+a[0].length)));var s=t.split(".");if(1===s.length)return['"'+Se(t)+'"'];for(var l=[],d=0;d<s.length;++d)l=l.concat(_e(s[d]));return l}function Me(t){return"["+_e(t).join("][")+"]"}function Te(t,n){return new we(t,Me(n+""))}function Ee(t){return"function"==typeof t&&!t._reglType||t instanceof we}function Ce(t,n){return"function"==typeof t?new we(ye,t):"number"==typeof t||"boolean"==typeof t?new we(be,t):Array.isArray(t)?new we(xe,t.map((function(t,r){return Ce(t,n+"["+r+"]")}))):t instanceof we?t:void ge(!1,"invalid option type in uniform "+n)}var Ae={DynamicVariable:we,define:Te,isDynamic:Ee,unbox:Ce,accessor:Me},ke={next:"function"==typeof requestAnimationFrame?function(t){return requestAnimationFrame(t)}:function(t){return setTimeout(t,16)},cancel:"function"==typeof cancelAnimationFrame?function(t){return cancelAnimationFrame(t)}:clearTimeout},Oe="undefined"!=typeof performance&&performance.now?function(){return performance.now()}:function(){return+new Date};function Re(){var t={"":0},n=[""];return{id:function(r){var a=t[r];return a||(a=t[r]=n.length,n.push(r),a)},str:function(t){return n[t]}}}function Ie(t,r,a){var s,l=document.createElement("canvas");function d(){var n=window.innerWidth,r=window.innerHeight;if(t!==document.body){var s=l.getBoundingClientRect();n=s.right-s.left,r=s.bottom-s.top}l.width=a*n,l.height=a*r}function h(){s?s.disconnect():window.removeEventListener("resize",d),t.removeChild(l)}return n(l.style,{border:0,margin:0,padding:0,top:0,left:0,width:"100%",height:"100%"}),t.appendChild(l),t===document.body&&(l.style.position="absolute",n(t.style,{margin:0,padding:0})),t!==document.body&&"function"==typeof ResizeObserver?(s=new ResizeObserver((function(){setTimeout(d)}))).observe(t):window.addEventListener("resize",d,!1),d(),{canvas:l,onDestroy:h}}function Pe(t,n){function r(r){try{return t.getContext(r,n)}catch(t){return null}}return r("webgl")||r("experimental-webgl")||r("webgl-experimental")}function Le(t){return"string"==typeof t.nodeName&&"function"==typeof t.appendChild&&"function"==typeof t.getBoundingClientRect}function De(t){return"function"==typeof t.drawArrays||"function"==typeof t.drawElements}function Fe(t){return"string"==typeof t?t.split():(ge(Array.isArray(t),"invalid extension array"),t)}function Ne(t){return"string"==typeof t?(ge("undefined"!=typeof document,"not supported outside of DOM"),document.querySelector(t)):t}function Be(t){var n,r,a,s,l=t||{},d={},h=[],p=[],f="undefined"==typeof window?1:window.devicePixelRatio,m=!1,g=function(t){t&&ge.raise(t)},v=function(){};if("string"==typeof l?(ge("undefined"!=typeof document,"selector queries only supported in DOM enviroments"),n=document.querySelector(l),ge(n,"invalid query string for element")):"object"==typeof l?Le(l)?n=l:De(l)?a=(s=l).canvas:(ge.constructor(l),"gl"in l?s=l.gl:"canvas"in l?a=Ne(l.canvas):"container"in l&&(r=Ne(l.container)),"attributes"in l&&(d=l.attributes,ge.type(d,"object","invalid context attributes")),"extensions"in l&&(h=Fe(l.extensions)),"optionalExtensions"in l&&(p=Fe(l.optionalExtensions)),"onDone"in l&&(ge.type(l.onDone,"function","invalid or missing onDone callback"),g=l.onDone),"profile"in l&&(m=!!l.profile),"pixelRatio"in l&&(f=+l.pixelRatio,ge(f>0,"invalid pixel ratio"))):ge.raise("invalid arguments to regl"),n&&("canvas"===n.nodeName.toLowerCase()?a=n:r=n),!s){if(!a){ge("undefined"!=typeof document,"must manually specify webgl context outside of DOM environments");var y=Ie(r||document.body,g,f);if(!y)return null;a=y.canvas,v=y.onDestroy}void 0===d.premultipliedAlpha&&(d.premultipliedAlpha=!0),s=Pe(a,d)}return s?{gl:s,canvas:a,container:r,extensions:h,optionalExtensions:p,pixelRatio:f,profile:m,onDone:g,onDestroy:v}:(v(),g("webgl not supported, try upgrading your browser or graphics drivers http://get.webgl.org"),null)}function ze(t,n){var r={};function a(n){ge.type(n,"string","extension name must be string");var a,s=n.toLowerCase();try{a=r[s]=t.getExtension(s)}catch(t){}return!!a}for(var s=0;s<n.extensions.length;++s){var l=n.extensions[s];if(!a(l))return n.onDestroy(),n.onDone('"'+l+'" extension is not supported by the current WebGL context, try upgrading your system or a different browser'),null}return n.optionalExtensions.forEach(a),{extensions:r,restore:function(){Object.keys(r).forEach((function(t){if(r[t]&&!a(t))throw new Error("(regl): error restoring extension "+t)}))}}}function $e(t,n){for(var r=Array(t),a=0;a<t;++a)r[a]=n(a);return r}var je=5120,Ve=5121,Ue=5122,Ge=5123,He=5124,We=5125,qe=5126;function Xe(t){for(var n=16;n<=1<<28;n*=16)if(t<=n)return n;return 0}function Ye(t){var n,r;return n=(t>65535)<<4,n|=r=((t>>>=n)>255)<<3,n|=r=((t>>>=r)>15)<<2,(n|=r=((t>>>=r)>3)<<1)|(t>>>=r)>>1}function Ze(){var t=$e(8,(function(){return[]}));function n(n){var r=Xe(n),a=t[Ye(r)>>2];return a.length>0?a.pop():new ArrayBuffer(r)}function r(n){t[Ye(n.byteLength)>>2].push(n)}function a(t,r){var a=null;switch(t){case je:a=new Int8Array(n(r),0,r);break;case Ve:a=new Uint8Array(n(r),0,r);break;case Ue:a=new Int16Array(n(2*r),0,r);break;case Ge:a=new Uint16Array(n(2*r),0,r);break;case He:a=new Int32Array(n(4*r),0,r);break;case We:a=new Uint32Array(n(4*r),0,r);break;case qe:a=new Float32Array(n(4*r),0,r);break;default:return null}return a.length!==r?a.subarray(0,r):a}function s(t){r(t.buffer)}return{alloc:n,free:r,allocType:a,freeType:s}}var Ke=Ze();Ke.zero=Ze();var Je=3408,Qe=3410,et=3411,tt=3412,it=3413,nt=3414,rt=3415,ot=33901,at=33902,st=3379,lt=3386,ct=34921,dt=36347,ut=36348,ht=35661,pt=35660,ft=34930,mt=36349,gt=34076,vt=34024,yt=7936,bt=7937,xt=7938,wt=35724,St=34047,_t=36063,Mt=34852,Tt=3553,Et=34067,Ct=34069,At=33984,kt=6408,Ot=5126,Rt=5121,It=36160,Pt=36053,Lt=36064,Dt=16384,Ft=function(t,n){var r=1;n.ext_texture_filter_anisotropic&&(r=t.getParameter(St));var a=1,s=1;n.webgl_draw_buffers&&(a=t.getParameter(Mt),s=t.getParameter(_t));var l=!!n.oes_texture_float;if(l){var d=t.createTexture();t.bindTexture(Tt,d),t.texImage2D(Tt,0,kt,1,1,0,kt,Ot,null);var h=t.createFramebuffer();if(t.bindFramebuffer(It,h),t.framebufferTexture2D(It,Lt,Tt,d,0),t.bindTexture(Tt,null),t.checkFramebufferStatus(It)!==Pt)l=!1;else{t.viewport(0,0,1,1),t.clearColor(1,0,0,1),t.clear(Dt);var p=Ke.allocType(Ot,4);t.readPixels(0,0,1,1,kt,Ot,p),t.getError()?l=!1:(t.deleteFramebuffer(h),t.deleteTexture(d),l=1===p[0]),Ke.freeType(p)}}var f=!0;if("undefined"==typeof navigator||!(/MSIE/.test(navigator.userAgent)||/Trident\//.test(navigator.appVersion)||/Edge/.test(navigator.userAgent))){var m=t.createTexture(),g=Ke.allocType(Rt,36);t.activeTexture(At),t.bindTexture(Et,m),t.texImage2D(Ct,0,kt,3,3,0,kt,Rt,g),Ke.freeType(g),t.bindTexture(Et,null),t.deleteTexture(m),f=!t.getError()}return{colorBits:[t.getParameter(Qe),t.getParameter(et),t.getParameter(tt),t.getParameter(it)],depthBits:t.getParameter(nt),stencilBits:t.getParameter(rt),subpixelBits:t.getParameter(Je),extensions:Object.keys(n).filter((function(t){return!!n[t]})),maxAnisotropic:r,maxDrawbuffers:a,maxColorAttachments:s,pointSizeDims:t.getParameter(ot),lineWidthDims:t.getParameter(at),maxViewportDims:t.getParameter(lt),maxCombinedTextureUnits:t.getParameter(ht),maxCubeMapSize:t.getParameter(gt),maxRenderbufferSize:t.getParameter(vt),maxTextureUnits:t.getParameter(ft),maxTextureSize:t.getParameter(st),maxAttributes:t.getParameter(ct),maxVertexUniforms:t.getParameter(dt),maxVertexTextureUnits:t.getParameter(pt),maxVaryingVectors:t.getParameter(ut),maxFragmentUniforms:t.getParameter(mt),glsl:t.getParameter(wt),renderer:t.getParameter(bt),vendor:t.getParameter(yt),version:t.getParameter(xt),readFloat:l,npotTextureCube:f}};function Nt(n){return!!n&&"object"==typeof n&&Array.isArray(n.shape)&&Array.isArray(n.stride)&&"number"==typeof n.offset&&n.shape.length===n.stride.length&&(Array.isArray(n.data)||t(n.data))}var Bt=function(t){return Object.keys(t).map((function(n){return t[n]}))},zt={shape:Ht,flatten:Gt};function $t(t,n,r){for(var a=0;a<n;++a)r[a]=t[a]}function jt(t,n,r,a){for(var s=0,l=0;l<n;++l)for(var d=t[l],h=0;h<r;++h)a[s++]=d[h]}function Vt(t,n,r,a,s,l){for(var d=l,h=0;h<n;++h)for(var p=t[h],f=0;f<r;++f)for(var m=p[f],g=0;g<a;++g)s[d++]=m[g]}function Ut(t,n,r,a,s){for(var l=1,d=r+1;d<n.length;++d)l*=n[d];var h=n[r];if(n.length-r==4){var p=n[r+1],f=n[r+2],m=n[r+3];for(d=0;d<h;++d)Vt(t[d],p,f,m,a,s),s+=l}else for(d=0;d<h;++d)Ut(t[d],n,r+1,a,s),s+=l}function Gt(t,n,r,a){var s=1;if(n.length)for(var l=0;l<n.length;++l)s*=n[l];else s=0;var d=a||Ke.allocType(r,s);switch(n.length){case 0:break;case 1:$t(t,n[0],d);break;case 2:jt(t,n[0],n[1],d);break;case 3:Vt(t,n[0],n[1],n[2],d,0);break;default:Ut(t,n,0,d,0)}return d}function Ht(t){for(var n=[],r=t;r.length;r=r[0])n.push(r.length);return n}var Wt={"[object Int8Array]":5120,"[object Int16Array]":5122,"[object Int32Array]":5124,"[object Uint8Array]":5121,"[object Uint8ClampedArray]":5121,"[object Uint16Array]":5123,"[object Uint32Array]":5125,"[object Float32Array]":5126,"[object Float64Array]":5121,"[object ArrayBuffer]":5121},qt={int8:5120,int16:5122,int32:5124,uint8:5121,uint16:5123,uint32:5125,float:5126,float32:5126},Xt={dynamic:35048,stream:35040,static:35044},Yt=zt.flatten,Zt=zt.shape,Kt=35044,Jt=35040,Qt=5121,ei=5126,ti=[];function ii(t){return 0|Wt[Object.prototype.toString.call(t)]}function ni(t,n){for(var r=0;r<n.length;++r)t[r]=n[r]}function ri(t,n,r,a,s,l,d){for(var h=0,p=0;p<r;++p)for(var f=0;f<a;++f)t[h++]=n[s*p+l*f+d]}function oi(n,r,a,s){var l=0,d={};function h(t){this.id=l++,this.buffer=n.createBuffer(),this.type=t,this.usage=Kt,this.byteLength=0,this.dimension=1,this.dtype=Qt,this.persistentData=null,a.profile&&(this.stats={size:0})}h.prototype.bind=function(){n.bindBuffer(this.type,this.buffer)},h.prototype.destroy=function(){y(this)};var p=[];function f(t,n){var r=p.pop();return r||(r=new h(t)),r.bind(),v(r,n,Jt,0,1,!1),r}function m(t){p.push(t)}function g(t,r,a){t.byteLength=r.byteLength,n.bufferData(t.type,r,a)}function v(n,r,a,s,l,d){var h,p;if(n.usage=a,Array.isArray(r)){if(n.dtype=s||ei,r.length>0)if(Array.isArray(r[0])){h=Zt(r);for(var f=1,m=1;m<h.length;++m)f*=h[m];n.dimension=f,g(n,p=Yt(r,h,n.dtype),a),d?n.persistentData=p:Ke.freeType(p)}else if("number"==typeof r[0]){n.dimension=l;var v=Ke.allocType(n.dtype,r.length);ni(v,r),g(n,v,a),d?n.persistentData=v:Ke.freeType(v)}else t(r[0])?(n.dimension=r[0].length,n.dtype=s||ii(r[0])||ei,g(n,p=Yt(r,[r.length,r[0].length],n.dtype),a),d?n.persistentData=p:Ke.freeType(p)):ge.raise("invalid buffer data")}else if(t(r))n.dtype=s||ii(r),n.dimension=l,g(n,r,a),d&&(n.persistentData=new Uint8Array(new Uint8Array(r.buffer)));else if(Nt(r)){h=r.shape;var y=r.stride,b=r.offset,x=0,w=0,S=0,_=0;1===h.length?(x=h[0],w=1,S=y[0],_=0):2===h.length?(x=h[0],w=h[1],S=y[0],_=y[1]):ge.raise("invalid shape"),n.dtype=s||ii(r.data)||ei,n.dimension=w;var T=Ke.allocType(n.dtype,x*w);ri(T,r.data,x,w,S,_,b),g(n,T,a),d?n.persistentData=T:Ke.freeType(T)}else r instanceof ArrayBuffer?(n.dtype=Qt,n.dimension=l,g(n,r,a),d&&(n.persistentData=new Uint8Array(new Uint8Array(r)))):ge.raise("invalid buffer data")}function y(t){r.bufferCount--,s(t);var a=t.buffer;ge(a,"buffer must not be deleted already"),n.deleteBuffer(a),t.buffer=null,delete d[t.id]}function b(s,l,p,f){r.bufferCount++;var m=new h(l);function g(r){var s=Kt,l=null,d=0,h=0,p=1;return Array.isArray(r)||t(r)||Nt(r)||r instanceof ArrayBuffer?l=r:"number"==typeof r?d=0|r:r&&(ge.type(r,"object","buffer arguments must be an object, a number or an array"),"data"in r&&(ge(null===l||Array.isArray(l)||t(l)||Nt(l),"invalid data for buffer"),l=r.data),"usage"in r&&(ge.parameter(r.usage,Xt,"invalid buffer usage"),s=Xt[r.usage]),"type"in r&&(ge.parameter(r.type,qt,"invalid buffer type"),h=qt[r.type]),"dimension"in r&&(ge.type(r.dimension,"number","invalid dimension"),p=0|r.dimension),"length"in r&&(ge.nni(d,"buffer length must be a nonnegative integer"),d=0|r.length)),m.bind(),l?v(m,l,s,h,p,f):(d&&n.bufferData(m.type,d,s),m.dtype=h||Qt,m.usage=s,m.dimension=p,m.byteLength=d),a.profile&&(m.stats.size=m.byteLength*ti[m.dtype]),g}function b(t,r){ge(r+t.byteLength<=m.byteLength,"invalid buffer subdata call, buffer is too small.  Can't write data of size "+t.byteLength+" starting from offset "+r+" to a buffer of size "+m.byteLength),n.bufferSubData(m.type,r,t)}function x(n,r){var a,s=0|(r||0);if(m.bind(),t(n)||n instanceof ArrayBuffer)b(n,s);else if(Array.isArray(n)){if(n.length>0)if("number"==typeof n[0]){var l=Ke.allocType(m.dtype,n.length);ni(l,n),b(l,s),Ke.freeType(l)}else if(Array.isArray(n[0])||t(n[0])){a=Zt(n);var d=Yt(n,a,m.dtype);b(d,s),Ke.freeType(d)}else ge.raise("invalid buffer data")}else if(Nt(n)){a=n.shape;var h=n.stride,p=0,f=0,v=0,y=0;1===a.length?(p=a[0],f=1,v=h[0],y=0):2===a.length?(p=a[0],f=a[1],v=h[0],y=h[1]):ge.raise("invalid shape");var x=Array.isArray(n.data)?m.dtype:ii(n.data),w=Ke.allocType(x,p*f);ri(w,n.data,p,f,v,y,n.offset),b(w,s),Ke.freeType(w)}else ge.raise("invalid data for buffer subdata");return g}return d[m.id]=m,p||g(s),g._reglType="buffer",g._buffer=m,g.subdata=x,a.profile&&(g.stats=m.stats),g.destroy=function(){y(m)},g}function x(){Bt(d).forEach((function(t){t.buffer=n.createBuffer(),n.bindBuffer(t.type,t.buffer),n.bufferData(t.type,t.persistentData||t.byteLength,t.usage)}))}return a.profile&&(r.getTotalBufferSize=function(){var t=0;return Object.keys(d).forEach((function(n){t+=d[n].stats.size})),t}),{create:b,createStream:f,destroyStream:m,clear:function(){Bt(d).forEach(y),p.forEach(y)},getBuffer:function(t){return t&&t._buffer instanceof h?t._buffer:null},restore:x,_initBuffer:v}}ti[5120]=1,ti[5122]=2,ti[5124]=4,ti[5121]=1,ti[5123]=2,ti[5125]=4,ti[5126]=4;var ai={points:0,point:0,lines:1,line:1,triangles:4,triangle:4,"line loop":2,"line strip":3,"triangle strip":5,"triangle fan":6},si=0,li=1,ci=4,di=5120,ui=5121,hi=5122,pi=5123,fi=5124,mi=5125,gi=34963,vi=35040,yi=35044;function bi(n,r,a,s){var l={},d=0,h={uint8:ui,uint16:pi};function p(t){this.id=d++,l[this.id]=this,this.buffer=t,this.primType=ci,this.vertCount=0,this.type=0}r.oes_element_index_uint&&(h.uint32=mi),p.prototype.bind=function(){this.buffer.bind()};var f=[];function m(t){var n=f.pop();return n||(n=new p(a.create(null,gi,!0,!1)._buffer)),v(n,t,vi,-1,-1,0,0),n}function g(t){f.push(t)}function v(s,l,d,h,p,f,m){var g;if(s.buffer.bind(),l){var v=m;m||t(l)&&(!Nt(l)||t(l.data))||(v=r.oes_element_index_uint?mi:pi),a._initBuffer(s.buffer,l,d,v,3)}else n.bufferData(gi,f,d),s.buffer.dtype=g||ui,s.buffer.usage=d,s.buffer.dimension=3,s.buffer.byteLength=f;if(g=m,!m){switch(s.buffer.dtype){case ui:case di:g=ui;break;case pi:case hi:g=pi;break;case mi:case fi:g=mi;break;default:ge.raise("unsupported type for element array")}s.buffer.dtype=g}s.type=g,ge(g!==mi||!!r.oes_element_index_uint,"32 bit element buffers not supported, enable oes_element_index_uint first");var y=p;y<0&&(y=s.buffer.byteLength,g===pi?y>>=1:g===mi&&(y>>=2)),s.vertCount=y;var b=h;if(h<0){b=ci;var x=s.buffer.dimension;1===x&&(b=si),2===x&&(b=li),3===x&&(b=ci)}s.primType=b}function y(t){s.elementsCount--,ge(null!==t.buffer,"must not double destroy elements"),delete l[t.id],t.buffer.destroy(),t.buffer=null}function b(n,r){var l=a.create(null,gi,!0),d=new p(l._buffer);function f(n){if(n)if("number"==typeof n)l(n),d.primType=ci,d.vertCount=0|n,d.type=ui;else{var r=null,a=yi,s=-1,p=-1,m=0,g=0;Array.isArray(n)||t(n)||Nt(n)?r=n:(ge.type(n,"object","invalid arguments for elements"),"data"in n&&(r=n.data,ge(Array.isArray(r)||t(r)||Nt(r),"invalid data for element buffer")),"usage"in n&&(ge.parameter(n.usage,Xt,"invalid element buffer usage"),a=Xt[n.usage]),"primitive"in n&&(ge.parameter(n.primitive,ai,"invalid element buffer primitive"),s=ai[n.primitive]),"count"in n&&(ge("number"==typeof n.count&&n.count>=0,"invalid vertex count for elements"),p=0|n.count),"type"in n&&(ge.parameter(n.type,h,"invalid buffer type"),g=h[n.type]),"length"in n?m=0|n.length:(m=p,g===pi||g===hi?m*=2:g!==mi&&g!==fi||(m*=4))),v(d,r,a,s,p,m,g)}else l(),d.primType=ci,d.vertCount=0,d.type=ui;return f}return s.elementsCount++,f(n),f._reglType="elements",f._elements=d,f.subdata=function(t,n){return l.subdata(t,n),f},f.destroy=function(){y(d)},f}return{create:b,createStream:m,destroyStream:g,getElements:function(t){return"function"==typeof t&&t._elements instanceof p?t._elements:null},clear:function(){Bt(l).forEach(y)}}}var xi=new Float32Array(1),wi=new Uint32Array(xi.buffer),Si=5123;function _i(t){for(var n=Ke.allocType(Si,t.length),r=0;r<t.length;++r)if(isNaN(t[r]))n[r]=65535;else if(t[r]===1/0)n[r]=31744;else if(t[r]===-1/0)n[r]=64512;else{xi[0]=t[r];var a=wi[0],s=a>>>31<<15,l=(a<<1>>>24)-127,d=a>>13&1023;if(l<-24)n[r]=s;else if(l<-14){var h=-14-l;n[r]=s+(d+1024>>h)}else n[r]=l>15?s+31744:s+(l+15<<10)+d}return n}function Mi(n){return Array.isArray(n)||t(n)}var Ti=function(t){return!(t&t-1||!t)},Ei=34467,Ci=3553,Ai=34067,ki=34069,Oi=6408,Ri=6406,Ii=6407,Pi=6409,Li=6410,Di=32854,Fi=32855,Ni=36194,Bi=32819,zi=32820,$i=33635,ji=34042,Vi=6402,Ui=34041,Gi=35904,Hi=35906,Wi=36193,qi=33776,Xi=33777,Yi=33778,Zi=33779,Ki=35986,Ji=35987,Qi=34798,en=35840,tn=35841,nn=35842,rn=35843,on=36196,an=5121,sn=5123,ln=5125,cn=5126,dn=10242,un=10243,hn=10497,pn=33071,fn=33648,mn=10240,gn=10241,vn=9728,yn=9729,bn=9984,xn=9985,wn=9986,Sn=9987,_n=33170,Mn=4352,Tn=4353,En=4354,Cn=34046,An=3317,kn=37440,On=37441,Rn=37443,In=37444,Pn=33984,Ln=[bn,wn,xn,Sn],Dn=[0,Pi,Li,Ii,Oi],Fn={};function Nn(t){return"[object "+t+"]"}Fn[Pi]=Fn[Ri]=Fn[Vi]=1,Fn[Ui]=Fn[Li]=2,Fn[Ii]=Fn[Gi]=3,Fn[Oi]=Fn[Hi]=4;var Bn=Nn("HTMLCanvasElement"),zn=Nn("OffscreenCanvas"),$n=Nn("CanvasRenderingContext2D"),jn=Nn("ImageBitmap"),Vn=Nn("HTMLImageElement"),Un=Nn("HTMLVideoElement"),Gn=Object.keys(Wt).concat([Bn,zn,$n,jn,Vn,Un]),Hn=[];Hn[an]=1,Hn[cn]=4,Hn[Wi]=2,Hn[sn]=2,Hn[ln]=4;var Wn=[];function qn(t){return Array.isArray(t)&&(0===t.length||"number"==typeof t[0])}function Xn(t){return!!Array.isArray(t)&&!(0===t.length||!Mi(t[0]))}function Yn(t){return Object.prototype.toString.call(t)}function Zn(t){return Yn(t)===Bn}function Kn(t){return Yn(t)===zn}function Jn(t){return Yn(t)===$n}function Qn(t){return Yn(t)===jn}function er(t){return Yn(t)===Vn}function tr(t){return Yn(t)===Un}function ir(t){if(!t)return!1;var n=Yn(t);return Gn.indexOf(n)>=0||qn(t)||Xn(t)||Nt(t)}function nr(t){return 0|Wt[Object.prototype.toString.call(t)]}function rr(t,n){var r=n.length;switch(t.type){case an:case sn:case ln:case cn:var a=Ke.allocType(t.type,r);a.set(n),t.data=a;break;case Wi:t.data=_i(n);break;default:ge.raise("unsupported texture type, must specify a typed array")}}function or(t,n){return Ke.allocType(t.type===Wi?cn:t.type,n)}function ar(t,n){t.type===Wi?(t.data=_i(n),Ke.freeType(n)):t.data=n}function sr(t,n,r,a,s,l){for(var d=t.width,h=t.height,p=t.channels,f=or(t,d*h*p),m=0,g=0;g<h;++g)for(var v=0;v<d;++v)for(var y=0;y<p;++y)f[m++]=n[r*v+a*g+s*y+l];ar(t,f)}function lr(t,n,r,a,s,l){var d;if(d=void 0!==Wn[t]?Wn[t]:Fn[t]*Hn[n],l&&(d*=6),s){for(var h=0,p=r;p>=1;)h+=d*p*p,p/=2;return h}return d*r*a}function cr(r,a,s,l,d,h,p){var f={"don't care":Mn,"dont care":Mn,nice:En,fast:Tn},m={repeat:hn,clamp:pn,mirror:fn},g={nearest:vn,linear:yn},v=n({mipmap:Sn,"nearest mipmap nearest":bn,"linear mipmap nearest":xn,"nearest mipmap linear":wn,"linear mipmap linear":Sn},g),y={none:0,browser:In},b={uint8:an,rgba4:Bi,rgb565:$i,"rgb5 a1":zi},x={alpha:Ri,luminance:Pi,"luminance alpha":Li,rgb:Ii,rgba:Oi,rgba4:Di,"rgb5 a1":Fi,rgb565:Ni},w={};a.ext_srgb&&(x.srgb=Gi,x.srgba=Hi),a.oes_texture_float&&(b.float32=b.float=cn),a.oes_texture_half_float&&(b.float16=b["half float"]=Wi),a.webgl_depth_texture&&(n(x,{depth:Vi,"depth stencil":Ui}),n(b,{uint16:sn,uint32:ln,"depth stencil":ji})),a.webgl_compressed_texture_s3tc&&n(w,{"rgb s3tc dxt1":qi,"rgba s3tc dxt1":Xi,"rgba s3tc dxt3":Yi,"rgba s3tc dxt5":Zi}),a.webgl_compressed_texture_atc&&n(w,{"rgb atc":Ki,"rgba atc explicit alpha":Ji,"rgba atc interpolated alpha":Qi}),a.webgl_compressed_texture_pvrtc&&n(w,{"rgb pvrtc 4bppv1":en,"rgb pvrtc 2bppv1":tn,"rgba pvrtc 4bppv1":nn,"rgba pvrtc 2bppv1":rn}),a.webgl_compressed_texture_etc1&&(w["rgb etc1"]=on);var S=Array.prototype.slice.call(r.getParameter(Ei));Object.keys(w).forEach((function(t){var n=w[t];S.indexOf(n)>=0&&(x[t]=n)}));var _=Object.keys(x);s.textureFormats=_;var T=[];Object.keys(x).forEach((function(t){var n=x[t];T[n]=t}));var E=[];Object.keys(b).forEach((function(t){var n=b[t];E[n]=t}));var C=[];Object.keys(g).forEach((function(t){var n=g[t];C[n]=t}));var A=[];Object.keys(v).forEach((function(t){var n=v[t];A[n]=t}));var O=[];Object.keys(m).forEach((function(t){var n=m[t];O[n]=t}));var I=_.reduce((function(t,n){var r=x[n];return r===Pi||r===Ri||r===Pi||r===Li||r===Vi||r===Ui||a.ext_srgb&&(r===Gi||r===Hi)?t[r]=r:r===Fi||n.indexOf("rgba")>=0?t[r]=Oi:t[r]=Ii,t}),{});function P(){this.internalformat=Oi,this.format=Oi,this.type=an,this.compressed=!1,this.premultiplyAlpha=!1,this.flipY=!1,this.unpackAlignment=1,this.colorSpace=In,this.width=0,this.height=0,this.channels=0}function D(t,n){t.internalformat=n.internalformat,t.format=n.format,t.type=n.type,t.compressed=n.compressed,t.premultiplyAlpha=n.premultiplyAlpha,t.flipY=n.flipY,t.unpackAlignment=n.unpackAlignment,t.colorSpace=n.colorSpace,t.width=n.width,t.height=n.height,t.channels=n.channels}function F(t,n){if("object"==typeof n&&n){if("premultiplyAlpha"in n&&(ge.type(n.premultiplyAlpha,"boolean","invalid premultiplyAlpha"),t.premultiplyAlpha=n.premultiplyAlpha),"flipY"in n&&(ge.type(n.flipY,"boolean","invalid texture flip"),t.flipY=n.flipY),"alignment"in n&&(ge.oneOf(n.alignment,[1,2,4,8],"invalid texture unpack alignment"),t.unpackAlignment=n.alignment),"colorSpace"in n&&(ge.parameter(n.colorSpace,y,"invalid colorSpace"),t.colorSpace=y[n.colorSpace]),"type"in n){var r=n.type;ge(a.oes_texture_float||!("float"===r||"float32"===r),"you must enable the OES_texture_float extension in order to use floating point textures."),ge(a.oes_texture_half_float||!("half float"===r||"float16"===r),"you must enable the OES_texture_half_float extension in order to use 16-bit floating point textures."),ge(a.webgl_depth_texture||!("uint16"===r||"uint32"===r||"depth stencil"===r),"you must enable the WEBGL_depth_texture extension in order to use depth/stencil textures."),ge.parameter(r,b,"invalid texture type"),t.type=b[r]}var l=t.width,d=t.height,h=t.channels,p=!1;"shape"in n?(ge(Array.isArray(n.shape)&&n.shape.length>=2,"shape must be an array"),l=n.shape[0],d=n.shape[1],3===n.shape.length&&(h=n.shape[2],ge(h>0&&h<=4,"invalid number of channels"),p=!0),ge(l>=0&&l<=s.maxTextureSize,"invalid width"),ge(d>=0&&d<=s.maxTextureSize,"invalid height")):("radius"in n&&(l=d=n.radius,ge(l>=0&&l<=s.maxTextureSize,"invalid radius")),"width"in n&&(l=n.width,ge(l>=0&&l<=s.maxTextureSize,"invalid width")),"height"in n&&(d=n.height,ge(d>=0&&d<=s.maxTextureSize,"invalid height")),"channels"in n&&(h=n.channels,ge(h>0&&h<=4,"invalid number of channels"),p=!0)),t.width=0|l,t.height=0|d,t.channels=0|h;var f=!1;if("format"in n){var m=n.format;ge(a.webgl_depth_texture||!("depth"===m||"depth stencil"===m),"you must enable the WEBGL_depth_texture extension in order to use depth/stencil textures."),ge.parameter(m,x,"invalid texture format");var g=t.internalformat=x[m];t.format=I[g],m in b&&("type"in n||(t.type=b[m])),m in w&&(t.compressed=!0),f=!0}!p&&f?t.channels=Fn[t.format]:p&&!f?t.channels!==Dn[t.format]&&(t.format=t.internalformat=Dn[t.channels]):f&&p&&ge(t.channels===Fn[t.format],"number of channels inconsistent with specified format")}}function B(t){r.pixelStorei(kn,t.flipY),r.pixelStorei(On,t.premultiplyAlpha),r.pixelStorei(Rn,t.colorSpace),r.pixelStorei(An,t.unpackAlignment)}function $(){P.call(this),this.xOffset=0,this.yOffset=0,this.data=null,this.needsFree=!1,this.element=null,this.needsCopy=!1}function j(n,r){var a=null;if(ir(r)?a=r:r&&(ge.type(r,"object","invalid pixel data type"),F(n,r),"x"in r&&(n.xOffset=0|r.x),"y"in r&&(n.yOffset=0|r.y),ir(r.data)&&(a=r.data)),ge(!n.compressed||a instanceof Uint8Array,"compressed texture data must be stored in a uint8array"),r.copy){ge(!a,"can not specify copy and data field for the same texture");var l=d.viewportWidth,h=d.viewportHeight;n.width=n.width||l-n.xOffset,n.height=n.height||h-n.yOffset,n.needsCopy=!0,ge(n.xOffset>=0&&n.xOffset<l&&n.yOffset>=0&&n.yOffset<h&&n.width>0&&n.width<=l&&n.height>0&&n.height<=h,"copy texture read out of bounds")}else if(a){if(t(a))n.channels=n.channels||4,n.data=a,"type"in r||n.type!==an||(n.type=nr(a));else if(qn(a))n.channels=n.channels||4,rr(n,a),n.alignment=1,n.needsFree=!0;else if(Nt(a)){var p=a.data;Array.isArray(p)||n.type!==an||(n.type=nr(p));var f,m,g,v,y,b,x=a.shape,w=a.stride;3===x.length?(g=x[2],b=w[2]):(ge(2===x.length,"invalid ndarray pixel data, must be 2 or 3D"),g=1,b=1),f=x[0],m=x[1],v=w[0],y=w[1],n.alignment=1,n.width=f,n.height=m,n.channels=g,n.format=n.internalformat=Dn[g],n.needsFree=!0,sr(n,p,v,y,b,a.offset)}else if(Zn(a)||Kn(a)||Jn(a))Zn(a)||Kn(a)?n.element=a:n.element=a.canvas,n.width=n.element.width,n.height=n.element.height,n.channels=4;else if(Qn(a))n.element=a,n.width=a.width,n.height=a.height,n.channels=4;else if(er(a))n.element=a,n.width=a.naturalWidth,n.height=a.naturalHeight,n.channels=4;else if(tr(a))n.element=a,n.width=a.videoWidth,n.height=a.videoHeight,n.channels=4;else if(Xn(a)){var S=n.width||a[0].length,_=n.height||a.length,T=n.channels;T=Mi(a[0][0])?T||a[0][0].length:T||1;for(var E=zt.shape(a),C=1,A=0;A<E.length;++A)C*=E[A];var O=or(n,C);zt.flatten(a,E,"",O),ar(n,O),n.alignment=1,n.width=S,n.height=_,n.channels=T,n.format=n.internalformat=Dn[T],n.needsFree=!0}}else n.width=n.width||1,n.height=n.height||1,n.channels=n.channels||4;n.type===cn?ge(s.extensions.indexOf("oes_texture_float")>=0,"oes_texture_float extension not enabled"):n.type===Wi&&ge(s.extensions.indexOf("oes_texture_half_float")>=0,"oes_texture_half_float extension not enabled")}function V(t,n,a){var s=t.element,d=t.data,h=t.internalformat,p=t.format,f=t.type,m=t.width,g=t.height;B(t),s?r.texImage2D(n,a,p,p,f,s):t.compressed?r.compressedTexImage2D(n,a,h,m,g,0,d):t.needsCopy?(l(),r.copyTexImage2D(n,a,p,t.xOffset,t.yOffset,m,g,0)):r.texImage2D(n,a,p,m,g,0,p,f,d||null)}function U(t,n,a,s,d){var h=t.element,p=t.data,f=t.internalformat,m=t.format,g=t.type,v=t.width,y=t.height;B(t),h?r.texSubImage2D(n,d,a,s,m,g,h):t.compressed?r.compressedTexSubImage2D(n,d,a,s,f,v,y,p):t.needsCopy?(l(),r.copyTexSubImage2D(n,d,a,s,t.xOffset,t.yOffset,v,y)):r.texSubImage2D(n,d,a,s,v,y,m,g,p)}var G=[];function W(){return G.pop()||new $}function q(t){t.needsFree&&Ke.freeType(t.data),$.call(t),G.push(t)}function X(){P.call(this),this.genMipmaps=!1,this.mipmapHint=Mn,this.mipmask=0,this.images=Array(16)}function Y(t,n,r){var a=t.images[0]=W();t.mipmask=1,a.width=t.width=n,a.height=t.height=r,a.channels=t.channels=4}function K(t,n){var r=null;if(ir(n))D(r=t.images[0]=W(),t),j(r,n),t.mipmask=1;else if(F(t,n),Array.isArray(n.mipmap))for(var a=n.mipmap,s=0;s<a.length;++s)D(r=t.images[s]=W(),t),r.width>>=s,r.height>>=s,j(r,a[s]),t.mipmask|=1<<s;else D(r=t.images[0]=W(),t),j(r,n),t.mipmask=1;D(t,t.images[0]),!t.compressed||t.internalformat!==qi&&t.internalformat!==Xi&&t.internalformat!==Yi&&t.internalformat!==Zi||ge(t.width%4==0&&t.height%4==0,"for compressed texture formats, mipmap level 0 must have width and height that are a multiple of 4")}function J(t,n){for(var r=t.images,a=0;a<r.length;++a){if(!r[a])return;V(r[a],n,a)}}var Q=[];function ee(){var t=Q.pop()||new X;P.call(t),t.mipmask=0;for(var n=0;n<16;++n)t.images[n]=null;return t}function te(t){for(var n=t.images,r=0;r<n.length;++r)n[r]&&q(n[r]),n[r]=null;Q.push(t)}function ie(){this.minFilter=vn,this.magFilter=vn,this.wrapS=pn,this.wrapT=pn,this.anisotropic=1,this.genMipmaps=!1,this.mipmapHint=Mn}function ne(t,n){if("min"in n){var r=n.min;ge.parameter(r,v),t.minFilter=v[r],Ln.indexOf(t.minFilter)>=0&&!("faces"in n)&&(t.genMipmaps=!0)}if("mag"in n){var a=n.mag;ge.parameter(a,g),t.magFilter=g[a]}var l=t.wrapS,d=t.wrapT;if("wrap"in n){var h=n.wrap;"string"==typeof h?(ge.parameter(h,m),l=d=m[h]):Array.isArray(h)&&(ge.parameter(h[0],m),ge.parameter(h[1],m),l=m[h[0]],d=m[h[1]])}else{if("wrapS"in n){var p=n.wrapS;ge.parameter(p,m),l=m[p]}if("wrapT"in n){var y=n.wrapT;ge.parameter(y,m),d=m[y]}}if(t.wrapS=l,t.wrapT=d,"anisotropic"in n){var b=n.anisotropic;ge("number"==typeof b&&b>=1&&b<=s.maxAnisotropic,"aniso samples must be between 1 and "),t.anisotropic=n.anisotropic}if("mipmap"in n){var x=!1;switch(typeof n.mipmap){case"string":ge.parameter(n.mipmap,f,"invalid mipmap hint"),t.mipmapHint=f[n.mipmap],t.genMipmaps=!0,x=!0;break;case"boolean":x=t.genMipmaps=n.mipmap;break;case"object":ge(Array.isArray(n.mipmap),"invalid mipmap type"),t.genMipmaps=!1,x=!0;break;default:ge.raise("invalid mipmap type")}x&&!("min"in n)&&(t.minFilter=bn)}}function re(t,n){r.texParameteri(n,gn,t.minFilter),r.texParameteri(n,mn,t.magFilter),r.texParameteri(n,dn,t.wrapS),r.texParameteri(n,un,t.wrapT),a.ext_texture_filter_anisotropic&&r.texParameteri(n,Cn,t.anisotropic),t.genMipmaps&&(r.hint(_n,t.mipmapHint),r.generateMipmap(n))}var oe=0,ae={},se=s.maxTextureUnits,le=Array(se).map((function(){return null}));function ce(t){P.call(this),this.mipmask=0,this.internalformat=Oi,this.id=oe++,this.refCount=1,this.target=t,this.texture=r.createTexture(),this.unit=-1,this.bindCount=0,this.texInfo=new ie,p.profile&&(this.stats={size:0})}function de(t){r.activeTexture(Pn),r.bindTexture(t.target,t.texture)}function ue(){var t=le[0];t?r.bindTexture(t.target,t.texture):r.bindTexture(Ci,null)}function he(t){var n=t.texture;ge(n,"must not double destroy texture");var a=t.unit,s=t.target;a>=0&&(r.activeTexture(Pn+a),r.bindTexture(s,null),le[a]=null),r.deleteTexture(n),t.texture=null,t.params=null,t.pixels=null,t.refCount=0,delete ae[t.id],h.textureCount--}function pe(t,n){var a=new ce(Ci);function l(t,n){var r=a.texInfo;ie.call(r);var d=ee();return"number"==typeof t?Y(d,0|t,"number"==typeof n?0|n:0|t):t?(ge.type(t,"object","invalid arguments to regl.texture"),ne(r,t),K(d,t)):Y(d,1,1),r.genMipmaps&&(d.mipmask=(d.width<<1)-1),a.mipmask=d.mipmask,D(a,d),ge.texture2D(r,d,s),a.internalformat=d.internalformat,l.width=d.width,l.height=d.height,de(a),J(d,Ci),re(r,Ci),ue(),te(d),p.profile&&(a.stats.size=lr(a.internalformat,a.type,d.width,d.height,r.genMipmaps,!1)),l.format=T[a.internalformat],l.type=E[a.type],l.mag=C[r.magFilter],l.min=A[r.minFilter],l.wrapS=O[r.wrapS],l.wrapT=O[r.wrapT],l}function d(t,n,r,s){ge(!!t,"must specify image data");var d=0|n,h=0|r,p=0|s,f=W();return D(f,a),f.width=0,f.height=0,j(f,t),f.width=f.width||(a.width>>p)-d,f.height=f.height||(a.height>>p)-h,ge(a.type===f.type&&a.format===f.format&&a.internalformat===f.internalformat,"incompatible format for texture.subimage"),ge(d>=0&&h>=0&&d+f.width<=a.width&&h+f.height<=a.height,"texture.subimage write out of bounds"),ge(a.mipmask&1<<p,"missing mipmap data"),ge(f.data||f.element||f.needsCopy,"missing image data"),de(a),U(f,Ci,d,h,p),ue(),q(f),l}function f(t,n){var s=0|t,d=0|n||s;if(s===a.width&&d===a.height)return l;l.width=a.width=s,l.height=a.height=d,de(a);for(var h=0;a.mipmask>>h;++h){var f=s>>h,m=d>>h;if(!f||!m)break;r.texImage2D(Ci,h,a.format,f,m,0,a.format,a.type,null)}return ue(),p.profile&&(a.stats.size=lr(a.internalformat,a.type,s,d,!1,!1)),l}return ae[a.id]=a,h.textureCount++,l(t,n),l.subimage=d,l.resize=f,l._reglType="texture2d",l._texture=a,p.profile&&(l.stats=a.stats),l.destroy=function(){a.decRef()},l}function fe(t,n,a,l,d,f){var m=new ce(Ai);ae[m.id]=m,h.cubeCount++;var g=new Array(6);function v(t,n,r,a,l,d){var h,f=m.texInfo;for(ie.call(f),h=0;h<6;++h)g[h]=ee();if("number"!=typeof t&&t)if("object"==typeof t)if(n)K(g[0],t),K(g[1],n),K(g[2],r),K(g[3],a),K(g[4],l),K(g[5],d);else if(ne(f,t),F(m,t),"faces"in t){var y=t.faces;for(ge(Array.isArray(y)&&6===y.length,"cube faces must be a length 6 array"),h=0;h<6;++h)ge("object"==typeof y[h]&&!!y[h],"invalid input for cube map face"),D(g[h],m),K(g[h],y[h])}else for(h=0;h<6;++h)K(g[h],t);else ge.raise("invalid arguments to cube map");else{var b=0|t||1;for(h=0;h<6;++h)Y(g[h],b,b)}for(D(m,g[0]),ge.optional((function(){s.npotTextureCube||ge(Ti(m.width)&&Ti(m.height),"your browser does not support non power or two texture dimensions")})),f.genMipmaps?m.mipmask=(g[0].width<<1)-1:m.mipmask=g[0].mipmask,ge.textureCube(m,f,g,s),m.internalformat=g[0].internalformat,v.width=g[0].width,v.height=g[0].height,de(m),h=0;h<6;++h)J(g[h],ki+h);for(re(f,Ai),ue(),p.profile&&(m.stats.size=lr(m.internalformat,m.type,v.width,v.height,f.genMipmaps,!0)),v.format=T[m.internalformat],v.type=E[m.type],v.mag=C[f.magFilter],v.min=A[f.minFilter],v.wrapS=O[f.wrapS],v.wrapT=O[f.wrapT],h=0;h<6;++h)te(g[h]);return v}function y(t,n,r,a,s){ge(!!n,"must specify image data"),ge("number"==typeof t&&t===(0|t)&&t>=0&&t<6,"invalid face");var l=0|r,d=0|a,h=0|s,p=W();return D(p,m),p.width=0,p.height=0,j(p,n),p.width=p.width||(m.width>>h)-l,p.height=p.height||(m.height>>h)-d,ge(m.type===p.type&&m.format===p.format&&m.internalformat===p.internalformat,"incompatible format for texture.subimage"),ge(l>=0&&d>=0&&l+p.width<=m.width&&d+p.height<=m.height,"texture.subimage write out of bounds"),ge(m.mipmask&1<<h,"missing mipmap data"),ge(p.data||p.element||p.needsCopy,"missing image data"),de(m),U(p,ki+t,l,d,h),ue(),q(p),v}function b(t){var n=0|t;if(n!==m.width){v.width=m.width=n,v.height=m.height=n,de(m);for(var a=0;a<6;++a)for(var s=0;m.mipmask>>s;++s)r.texImage2D(ki+a,s,m.format,n>>s,n>>s,0,m.format,m.type,null);return ue(),p.profile&&(m.stats.size=lr(m.internalformat,m.type,v.width,v.height,!1,!0)),v}}return v(t,n,a,l,d,f),v.subimage=y,v.resize=b,v._reglType="textureCube",v._texture=m,p.profile&&(v.stats=m.stats),v.destroy=function(){m.decRef()},v}function me(){for(var t=0;t<se;++t)r.activeTexture(Pn+t),r.bindTexture(Ci,null),le[t]=null;Bt(ae).forEach(he),h.cubeCount=0,h.textureCount=0}function ve(){for(var t=0;t<se;++t){var n=le[t];n&&(n.bindCount=0,n.unit=-1,le[t]=null)}Bt(ae).forEach((function(t){t.texture=r.createTexture(),r.bindTexture(t.target,t.texture);for(var n=0;n<32;++n)if(0!=(t.mipmask&1<<n))if(t.target===Ci)r.texImage2D(Ci,n,t.internalformat,t.width>>n,t.height>>n,0,t.internalformat,t.type,null);else for(var a=0;a<6;++a)r.texImage2D(ki+a,n,t.internalformat,t.width>>n,t.height>>n,0,t.internalformat,t.type,null);re(t.texInfo,t.target)}))}function ye(){for(var t=0;t<se;++t){var n=le[t];n&&(n.bindCount=0,n.unit=-1,le[t]=null),r.activeTexture(Pn+t),r.bindTexture(Ci,null),r.bindTexture(Ai,null)}}return n(ce.prototype,{bind:function(){var t=this;t.bindCount+=1;var n=t.unit;if(n<0){for(var a=0;a<se;++a){var s=le[a];if(s){if(s.bindCount>0)continue;s.unit=-1}le[a]=t,n=a;break}n>=se&&ge.raise("insufficient number of texture units"),p.profile&&h.maxTextureUnits<n+1&&(h.maxTextureUnits=n+1),t.unit=n,r.activeTexture(Pn+n),r.bindTexture(t.target,t.texture)}return n},unbind:function(){this.bindCount-=1},decRef:function(){--this.refCount<=0&&he(this)}}),p.profile&&(h.getTotalTextureSize=function(){var t=0;return Object.keys(ae).forEach((function(n){t+=ae[n].stats.size})),t}),{create2D:pe,createCube:fe,clear:me,getTexture:function(t){return null},restore:ve,refresh:ye}}Wn[Di]=2,Wn[Fi]=2,Wn[Ni]=2,Wn[Ui]=4,Wn[qi]=.5,Wn[Xi]=.5,Wn[Yi]=1,Wn[Zi]=1,Wn[Ki]=.5,Wn[Ji]=1,Wn[Qi]=1,Wn[en]=.5,Wn[tn]=.25,Wn[nn]=.5,Wn[rn]=.25,Wn[on]=.5;var dr=36161,ur=32854,hr=32855,pr=36194,fr=33189,mr=36168,gr=34041,vr=35907,yr=34836,br=34842,xr=34843,wr=[];function Sr(t,n,r){return wr[t]*n*r}wr[ur]=2,wr[hr]=2,wr[pr]=2,wr[fr]=2,wr[mr]=1,wr[gr]=4,wr[vr]=4,wr[yr]=16,wr[br]=8,wr[xr]=6;var _r=function(t,n,r,a,s){var l={rgba4:ur,rgb565:pr,"rgb5 a1":hr,depth:fr,stencil:mr,"depth stencil":gr};n.ext_srgb&&(l.srgba=vr),n.ext_color_buffer_half_float&&(l.rgba16f=br,l.rgb16f=xr),n.webgl_color_buffer_float&&(l.rgba32f=yr);var d=[];Object.keys(l).forEach((function(t){var n=l[t];d[n]=t}));var h=0,p={};function f(t){this.id=h++,this.refCount=1,this.renderbuffer=t,this.format=ur,this.width=0,this.height=0,s.profile&&(this.stats={size:0})}function m(n){var r=n.renderbuffer;ge(r,"must not double destroy renderbuffer"),t.bindRenderbuffer(dr,null),t.deleteRenderbuffer(r),n.renderbuffer=null,n.refCount=0,delete p[n.id],a.renderbufferCount--}function g(n,h){var m=new f(t.createRenderbuffer());function g(n,a){var h=0,p=0,f=ur;if("object"==typeof n&&n){var v=n;if("shape"in v){var y=v.shape;ge(Array.isArray(y)&&y.length>=2,"invalid renderbuffer shape"),h=0|y[0],p=0|y[1]}else"radius"in v&&(h=p=0|v.radius),"width"in v&&(h=0|v.width),"height"in v&&(p=0|v.height);"format"in v&&(ge.parameter(v.format,l,"invalid renderbuffer format"),f=l[v.format])}else"number"==typeof n?(h=0|n,p="number"==typeof a?0|a:h):n?ge.raise("invalid arguments to renderbuffer constructor"):h=p=1;if(ge(h>0&&p>0&&h<=r.maxRenderbufferSize&&p<=r.maxRenderbufferSize,"invalid renderbuffer size"),h!==m.width||p!==m.height||f!==m.format)return g.width=m.width=h,g.height=m.height=p,m.format=f,t.bindRenderbuffer(dr,m.renderbuffer),t.renderbufferStorage(dr,f,h,p),ge(0===t.getError(),"invalid render buffer format"),s.profile&&(m.stats.size=Sr(m.format,m.width,m.height)),g.format=d[m.format],g}function v(n,a){var l=0|n,d=0|a||l;return l===m.width&&d===m.height||(ge(l>0&&d>0&&l<=r.maxRenderbufferSize&&d<=r.maxRenderbufferSize,"invalid renderbuffer size"),g.width=m.width=l,g.height=m.height=d,t.bindRenderbuffer(dr,m.renderbuffer),t.renderbufferStorage(dr,m.format,l,d),ge(0===t.getError(),"invalid render buffer format"),s.profile&&(m.stats.size=Sr(m.format,m.width,m.height))),g}return p[m.id]=m,a.renderbufferCount++,g(n,h),g.resize=v,g._reglType="renderbuffer",g._renderbuffer=m,s.profile&&(g.stats=m.stats),g.destroy=function(){m.decRef()},g}function v(){Bt(p).forEach((function(n){n.renderbuffer=t.createRenderbuffer(),t.bindRenderbuffer(dr,n.renderbuffer),t.renderbufferStorage(dr,n.format,n.width,n.height)})),t.bindRenderbuffer(dr,null)}return f.prototype.decRef=function(){--this.refCount<=0&&m(this)},s.profile&&(a.getTotalRenderbufferSize=function(){var t=0;return Object.keys(p).forEach((function(n){t+=p[n].stats.size})),t}),{create:g,clear:function(){Bt(p).forEach(m)},restore:v}},Mr=36160,Tr=36161,Er=3553,Cr=34069,Ar=36064,kr=36096,Or=36128,Rr=33306,Ir=36053,Pr=36054,Lr=36055,Dr=36057,Fr=36061,Nr=36193,Br=5121,zr=5126,$r=6407,jr=6408,Vr=6402,Ur=[$r,jr],Gr=[];Gr[jr]=4,Gr[$r]=3;var Hr=[];Hr[Br]=1,Hr[zr]=4,Hr[Nr]=2;var Wr=33189,qr=36168,Xr=34041,Yr=[32854,32855,36194,35907,34842,34843,34836],Zr={};function Kr(t,r,a,s,l,d){var h={cur:null,next:null,dirty:!1,setFBO:null},p=["rgba"],f=["rgba4","rgb565","rgb5 a1"];r.ext_srgb&&f.push("srgba"),r.ext_color_buffer_half_float&&f.push("rgba16f","rgb16f"),r.webgl_color_buffer_float&&f.push("rgba32f");var m=["uint8"];function g(t,n,r){this.target=t,this.texture=n,this.renderbuffer=r;var a=0,s=0;n?(a=n.width,s=n.height):r&&(a=r.width,s=r.height),this.width=a,this.height=s}function v(t){t&&(t.texture&&t.texture._texture.decRef(),t.renderbuffer&&t.renderbuffer._renderbuffer.decRef())}function y(t,n,r){if(t)if(t.texture){var a=t.texture._texture,s=Math.max(1,a.width),l=Math.max(1,a.height);ge(s===n&&l===r,"inconsistent width/height for supplied texture"),a.refCount+=1}else{var d=t.renderbuffer._renderbuffer;ge(d.width===n&&d.height===r,"inconsistent width/height for renderbuffer"),d.refCount+=1}}function b(n,r){r&&(r.texture?t.framebufferTexture2D(Mr,n,r.target,r.texture._texture.texture,0):t.framebufferRenderbuffer(Mr,n,Tr,r.renderbuffer._renderbuffer.renderbuffer))}function x(t){var n=Er,r=null,a=null,s=t;"object"==typeof t&&(s=t.data,"target"in t&&(n=0|t.target)),ge.type(s,"function","invalid attachment data");var l=s._reglType;return"texture2d"===l?(r=s,ge(n===Er)):"textureCube"===l?(r=s,ge(n>=Cr&&n<Cr+6,"invalid cube map target")):"renderbuffer"===l?(a=s,n=Tr):ge.raise("invalid regl object for attachment"),new g(n,r,a)}function w(t,n,r,a,d){if(r){var h=s.create2D({width:t,height:n,format:a,type:d});return h._texture.refCount=0,new g(Er,h,null)}var p=l.create({width:t,height:n,format:a});return p._renderbuffer.refCount=0,new g(Tr,null,p)}function S(t){return t&&(t.texture||t.renderbuffer)}function _(t,n,r){t&&(t.texture?t.texture.resize(n,r):t.renderbuffer&&t.renderbuffer.resize(n,r),t.width=n,t.height=r)}r.oes_texture_half_float&&m.push("half float","float16"),r.oes_texture_float&&m.push("float","float32");var T=0,E={};function C(){this.id=T++,E[this.id]=this,this.framebuffer=t.createFramebuffer(),this.width=0,this.height=0,this.colorAttachments=[],this.depthAttachment=null,this.stencilAttachment=null,this.depthStencilAttachment=null}function A(t){t.colorAttachments.forEach(v),v(t.depthAttachment),v(t.stencilAttachment),v(t.depthStencilAttachment)}function O(n){var r=n.framebuffer;ge(r,"must not double destroy framebuffer"),t.deleteFramebuffer(r),n.framebuffer=null,d.framebufferCount--,delete E[n.id]}function I(n){var r;t.bindFramebuffer(Mr,n.framebuffer);var s=n.colorAttachments;for(r=0;r<s.length;++r)b(Ar+r,s[r]);for(r=s.length;r<a.maxColorAttachments;++r)t.framebufferTexture2D(Mr,Ar+r,Er,null,0);t.framebufferTexture2D(Mr,Rr,Er,null,0),t.framebufferTexture2D(Mr,kr,Er,null,0),t.framebufferTexture2D(Mr,Or,Er,null,0),b(kr,n.depthAttachment),b(Or,n.stencilAttachment),b(Rr,n.depthStencilAttachment);var l=t.checkFramebufferStatus(Mr);t.isContextLost()||l===Ir||ge.raise("framebuffer configuration not supported, status = "+Zr[l]),t.bindFramebuffer(Mr,h.next?h.next.framebuffer:null),h.cur=h.next,t.getError()}function P(t,s){var l=new C;function g(t,n){var s;ge(h.next!==l,"can not update framebuffer which is currently in use");var d=0,v=0,b=!0,_=!0,T=null,E=!0,C="rgba",O="uint8",P=1,D=null,F=null,B=null,$=!1;if("number"==typeof t)d=0|t,v=0|n||d;else if(t){ge.type(t,"object","invalid arguments for framebuffer");var j=t;if("shape"in j){var V=j.shape;ge(Array.isArray(V)&&V.length>=2,"invalid shape for framebuffer"),d=V[0],v=V[1]}else"radius"in j&&(d=v=j.radius),"width"in j&&(d=j.width),"height"in j&&(v=j.height);("color"in j||"colors"in j)&&(T=j.color||j.colors,Array.isArray(T)&&ge(1===T.length||r.webgl_draw_buffers,"multiple render targets not supported")),T||("colorCount"in j&&(P=0|j.colorCount,ge(P>0,"invalid color buffer count")),"colorTexture"in j&&(E=!!j.colorTexture,C="rgba4"),"colorType"in j&&(O=j.colorType,E?(ge(r.oes_texture_float||!("float"===O||"float32"===O),"you must enable OES_texture_float in order to use floating point framebuffer objects"),ge(r.oes_texture_half_float||!("half float"===O||"float16"===O),"you must enable OES_texture_half_float in order to use 16-bit floating point framebuffer objects")):"half float"===O||"float16"===O?(ge(r.ext_color_buffer_half_float,"you must enable EXT_color_buffer_half_float to use 16-bit render buffers"),C="rgba16f"):"float"!==O&&"float32"!==O||(ge(r.webgl_color_buffer_float,"you must enable WEBGL_color_buffer_float in order to use 32-bit floating point renderbuffers"),C="rgba32f"),ge.oneOf(O,m,"invalid color type")),"colorFormat"in j&&(C=j.colorFormat,p.indexOf(C)>=0?E=!0:f.indexOf(C)>=0?E=!1:ge.optional((function(){E?ge.oneOf(j.colorFormat,p,"invalid color format for texture"):ge.oneOf(j.colorFormat,f,"invalid color format for renderbuffer")})))),("depthTexture"in j||"depthStencilTexture"in j)&&($=!(!j.depthTexture&&!j.depthStencilTexture),ge(!$||r.webgl_depth_texture,"webgl_depth_texture extension not supported")),"depth"in j&&("boolean"==typeof j.depth?b=j.depth:(D=j.depth,_=!1)),"stencil"in j&&("boolean"==typeof j.stencil?_=j.stencil:(F=j.stencil,b=!1)),"depthStencil"in j&&("boolean"==typeof j.depthStencil?b=_=j.depthStencil:(B=j.depthStencil,b=!1,_=!1))}else d=v=1;var U=null,G=null,W=null,q=null;if(Array.isArray(T))U=T.map(x);else if(T)U=[x(T)];else for(U=new Array(P),s=0;s<P;++s)U[s]=w(d,v,E,C,O);ge(r.webgl_draw_buffers||U.length<=1,"you must enable the WEBGL_draw_buffers extension in order to use multiple color buffers."),ge(U.length<=a.maxColorAttachments,"too many color attachments, not supported"),d=d||U[0].width,v=v||U[0].height,D?G=x(D):b&&!_&&(G=w(d,v,$,"depth","uint32")),F?W=x(F):_&&!b&&(W=w(d,v,!1,"stencil","uint8")),B?q=x(B):!D&&!F&&_&&b&&(q=w(d,v,$,"depth stencil","depth stencil")),ge(!!D+!!F+!!B<=1,"invalid framebuffer configuration, can specify exactly one depth/stencil attachment");var X=null;for(s=0;s<U.length;++s)if(y(U[s],d,v),ge(!U[s]||U[s].texture&&Ur.indexOf(U[s].texture._texture.format)>=0||U[s].renderbuffer&&Yr.indexOf(U[s].renderbuffer._renderbuffer.format)>=0,"framebuffer color attachment "+s+" is invalid"),U[s]&&U[s].texture){var Y=Gr[U[s].texture._texture.format]*Hr[U[s].texture._texture.type];null===X?X=Y:ge(X===Y,"all color attachments much have the same number of bits per pixel.")}return y(G,d,v),ge(!G||G.texture&&G.texture._texture.format===Vr||G.renderbuffer&&G.renderbuffer._renderbuffer.format===Wr,"invalid depth attachment for framebuffer object"),y(W,d,v),ge(!W||W.renderbuffer&&W.renderbuffer._renderbuffer.format===qr,"invalid stencil attachment for framebuffer object"),y(q,d,v),ge(!q||q.texture&&q.texture._texture.format===Xr||q.renderbuffer&&q.renderbuffer._renderbuffer.format===Xr,"invalid depth-stencil attachment for framebuffer object"),A(l),l.width=d,l.height=v,l.colorAttachments=U,l.depthAttachment=G,l.stencilAttachment=W,l.depthStencilAttachment=q,g.color=U.map(S),g.depth=S(G),g.stencil=S(W),g.depthStencil=S(q),g.width=l.width,g.height=l.height,I(l),g}function v(t,n){ge(h.next!==l,"can not resize a framebuffer which is currently in use");var r=Math.max(0|t,1),a=Math.max(0|n||r,1);if(r===l.width&&a===l.height)return g;for(var s=l.colorAttachments,d=0;d<s.length;++d)_(s[d],r,a);return _(l.depthAttachment,r,a),_(l.stencilAttachment,r,a),_(l.depthStencilAttachment,r,a),l.width=g.width=r,l.height=g.height=a,I(l),g}return d.framebufferCount++,g(t,s),n(g,{resize:v,_reglType:"framebuffer",_framebuffer:l,destroy:function(){O(l),A(l)},use:function(t){h.setFBO({framebuffer:g},t)}})}function D(t){var l=Array(6);function d(t){var a;ge(l.indexOf(h.next)<0,"can not update framebuffer which is currently in use");var f,g={color:null},v=0,y=null,b="rgba",x="uint8",w=1;if("number"==typeof t)v=0|t;else if(t){ge.type(t,"object","invalid arguments for framebuffer");var S=t;if("shape"in S){var _=S.shape;ge(Array.isArray(_)&&_.length>=2,"invalid shape for framebuffer"),ge(_[0]===_[1],"cube framebuffer must be square"),v=_[0]}else"radius"in S&&(v=0|S.radius),"width"in S?(v=0|S.width,"height"in S&&ge(S.height===v,"must be square")):"height"in S&&(v=0|S.height);("color"in S||"colors"in S)&&(y=S.color||S.colors,Array.isArray(y)&&ge(1===y.length||r.webgl_draw_buffers,"multiple render targets not supported")),y||("colorCount"in S&&(w=0|S.colorCount,ge(w>0,"invalid color buffer count")),"colorType"in S&&(ge.oneOf(S.colorType,m,"invalid color type"),x=S.colorType),"colorFormat"in S&&(b=S.colorFormat,ge.oneOf(S.colorFormat,p,"invalid color format for texture"))),"depth"in S&&(g.depth=S.depth),"stencil"in S&&(g.stencil=S.stencil),"depthStencil"in S&&(g.depthStencil=S.depthStencil)}else v=1;if(y)if(Array.isArray(y))for(f=[],a=0;a<y.length;++a)f[a]=y[a];else f=[y];else{f=Array(w);var T={radius:v,format:b,type:x};for(a=0;a<w;++a)f[a]=s.createCube(T)}for(g.color=Array(f.length),a=0;a<f.length;++a){var E=f[a];ge("function"==typeof E&&"textureCube"===E._reglType,"invalid cube map"),v=v||E.width,ge(E.width===v&&E.height===v,"invalid cube map shape"),g.color[a]={target:Cr,data:f[a]}}for(a=0;a<6;++a){for(var C=0;C<f.length;++C)g.color[C].target=Cr+a;a>0&&(g.depth=l[0].depth,g.stencil=l[0].stencil,g.depthStencil=l[0].depthStencil),l[a]?l[a](g):l[a]=P(g)}return n(d,{width:v,height:v,color:f})}function f(t){var n,r=0|t;if(ge(r>0&&r<=a.maxCubeMapSize,"invalid radius for cube fbo"),r===d.width)return d;var s=d.color;for(n=0;n<s.length;++n)s[n].resize(r);for(n=0;n<6;++n)l[n].resize(r);return d.width=d.height=r,d}return d(t),n(d,{faces:l,resize:f,_reglType:"framebufferCube",destroy:function(){l.forEach((function(t){t.destroy()}))}})}function F(){h.cur=null,h.next=null,h.dirty=!0,Bt(E).forEach((function(n){n.framebuffer=t.createFramebuffer(),I(n)}))}return n(h,{getFramebuffer:function(t){if("function"==typeof t&&"framebuffer"===t._reglType){var n=t._framebuffer;if(n instanceof C)return n}return null},create:P,createCube:D,clear:function(){Bt(E).forEach(O)},restore:F})}Zr[Ir]="complete",Zr[Pr]="incomplete attachment",Zr[Dr]="incomplete dimensions",Zr[Lr]="incomplete, missing attachment",Zr[Fr]="unsupported";var Jr=5126,Qr=34962,eo=34963,to=["attributes","elements","offset","count","primitive","instances"];function io(){this.state=0,this.x=0,this.y=0,this.z=0,this.w=0,this.buffer=null,this.size=0,this.normalized=!1,this.type=Jr,this.offset=0,this.stride=0,this.divisor=0}function no(n,r,a,s,l,d,h){for(var p=a.maxAttributes,f=new Array(p),m=0;m<p;++m)f[m]=new io;var g=0,v={},y={Record:io,scope:{},state:f,currentVAO:null,targetVAO:null,restore:x()?A:function(){},createVAO:O,getVAO:S,destroyBuffer:b,setVAO:x()?_:T,clear:x()?E:function(){}};function b(t){for(var r=0;r<f.length;++r){var a=f[r];a.buffer===t&&(n.disableVertexAttribArray(r),a.buffer=null)}}function x(){return r.oes_vertex_array_object}function w(){return r.angle_instanced_arrays}function S(t){return"function"==typeof t&&t._vao?t._vao:null}function _(t){if(t!==y.currentVAO){var n=x();t?n.bindVertexArrayOES(t.vao):n.bindVertexArrayOES(null),y.currentVAO=t}}function T(t){if(t!==y.currentVAO){if(t)t.bindAttrs();else{for(var r=w(),a=0;a<f.length;++a){var s=f[a];s.buffer?(n.enableVertexAttribArray(a),s.buffer.bind(),n.vertexAttribPointer(a,s.size,s.type,s.normalized,s.stride,s.offfset),r&&s.divisor&&r.vertexAttribDivisorANGLE(a,s.divisor)):(n.disableVertexAttribArray(a),n.vertexAttrib4f(a,s.x,s.y,s.z,s.w))}h.elements?n.bindBuffer(eo,h.elements.buffer.buffer):n.bindBuffer(eo,null)}y.currentVAO=t}}function E(){Bt(v).forEach((function(t){t.destroy()}))}function C(){this.id=++g,this.attributes=[],this.elements=null,this.ownsElements=!1,this.count=0,this.offset=0,this.instances=-1,this.primitive=4;var t=x();this.vao=t?t.createVertexArrayOES():null,v[this.id]=this,this.buffers=[]}function A(){x()&&Bt(v).forEach((function(t){t.refresh()}))}function O(n){var a=new C;function h(n){var s;if(Array.isArray(n))s=n,a.elements&&a.ownsElements&&a.elements.destroy(),a.elements=null,a.ownsElements=!1,a.offset=0,a.count=0,a.instances=-1,a.primitive=4;else{if(ge("object"==typeof n,"invalid arguments for create vao"),ge("attributes"in n,"must specify attributes for vao"),n.elements){var f=n.elements;a.ownsElements?"function"==typeof f&&"elements"===f._reglType?(a.elements.destroy(),a.ownsElements=!1):(a.elements(f),a.ownsElements=!1):d.getElements(n.elements)?(a.elements=n.elements,a.ownsElements=!1):(a.elements=d.create(n.elements),a.ownsElements=!0)}else a.elements=null,a.ownsElements=!1;s=n.attributes,a.offset=0,a.count=-1,a.instances=-1,a.primitive=4,a.elements&&(a.count=a.elements._elements.vertCount,a.primitive=a.elements._elements.primType),"offset"in n&&(a.offset=0|n.offset),"count"in n&&(a.count=0|n.count),"instances"in n&&(a.instances=0|n.instances),"primitive"in n&&(ge(n.primitive in ai,"bad primitive type: "+n.primitive),a.primitive=ai[n.primitive]),ge.optional((()=>{for(var t=Object.keys(n),r=0;r<t.length;++r)ge(to.indexOf(t[r])>=0,'invalid option for vao: "'+t[r]+'" valid options are '+to)})),ge(Array.isArray(s),"attributes must be an array")}ge(s.length<p,"too many attributes"),ge(s.length>0,"must specify at least one attribute");var m={},g=a.attributes;g.length=s.length;for(var v=0;v<s.length;++v){var y,b=s[v],x=g[v]=new io,w=b.data||b;Array.isArray(w)||t(w)||Nt(w)?(a.buffers[v]&&(y=a.buffers[v],t(w)&&y._buffer.byteLength>=w.byteLength?y.subdata(w):(y.destroy(),a.buffers[v]=null)),a.buffers[v]||(y=a.buffers[v]=l.create(b,Qr,!1,!0)),x.buffer=l.getBuffer(y),x.size=0|x.buffer.dimension,x.normalized=!1,x.type=x.buffer.dtype,x.offset=0,x.stride=0,x.divisor=0,x.state=1,m[v]=1):l.getBuffer(b)?(x.buffer=l.getBuffer(b),x.size=0|x.buffer.dimension,x.normalized=!1,x.type=x.buffer.dtype,x.offset=0,x.stride=0,x.divisor=0,x.state=1):l.getBuffer(b.buffer)?(x.buffer=l.getBuffer(b.buffer),x.size=0|(+b.size||x.buffer.dimension),x.normalized=!!b.normalized||!1,"type"in b?(ge.parameter(b.type,qt,"invalid buffer type"),x.type=qt[b.type]):x.type=x.buffer.dtype,x.offset=0|(b.offset||0),x.stride=0|(b.stride||0),x.divisor=0|(b.divisor||0),x.state=1,ge(x.size>=1&&x.size<=4,"size must be between 1 and 4"),ge(x.offset>=0,"invalid offset"),ge(x.stride>=0&&x.stride<=255,"stride must be between 0 and 255"),ge(x.divisor>=0,"divisor must be positive"),ge(!x.divisor||!!r.angle_instanced_arrays,"ANGLE_instanced_arrays must be enabled to use divisor")):"x"in b?(ge(v>0,"first attribute must not be a constant"),x.x=+b.x||0,x.y=+b.y||0,x.z=+b.z||0,x.w=+b.w||0,x.state=2):ge(!1,"invalid attribute spec for location "+v)}for(var S=0;S<a.buffers.length;++S)!m[S]&&a.buffers[S]&&(a.buffers[S].destroy(),a.buffers[S]=null);return a.refresh(),h}return s.vaoCount+=1,h.destroy=function(){for(var t=0;t<a.buffers.length;++t)a.buffers[t]&&a.buffers[t].destroy();a.buffers.length=0,a.ownsElements&&(a.elements.destroy(),a.elements=null,a.ownsElements=!1),a.destroy()},h._vao=a,h._reglType="vao",h(n)}return C.prototype.bindAttrs=function(){for(var t=w(),r=this.attributes,a=0;a<r.length;++a){var s=r[a];s.buffer?(n.enableVertexAttribArray(a),n.bindBuffer(Qr,s.buffer.buffer),n.vertexAttribPointer(a,s.size,s.type,s.normalized,s.stride,s.offset),t&&s.divisor&&t.vertexAttribDivisorANGLE(a,s.divisor)):(n.disableVertexAttribArray(a),n.vertexAttrib4f(a,s.x,s.y,s.z,s.w))}for(var l=r.length;l<p;++l)n.disableVertexAttribArray(l);var h=d.getElements(this.elements);h?n.bindBuffer(eo,h.buffer.buffer):n.bindBuffer(eo,null)},C.prototype.refresh=function(){var t=x();t&&(t.bindVertexArrayOES(this.vao),this.bindAttrs(),y.currentVAO=null,t.bindVertexArrayOES(null))},C.prototype.destroy=function(){if(this.vao){var t=x();this===y.currentVAO&&(y.currentVAO=null,t.bindVertexArrayOES(null)),t.deleteVertexArrayOES(this.vao),this.vao=null}this.ownsElements&&(this.elements.destroy(),this.elements=null,this.ownsElements=!1),v[this.id]&&(delete v[this.id],s.vaoCount-=1)},y}var ro=35632,oo=35633,ao=35718,so=35721;function lo(t,r,a,s){var l={},d={};function h(t,n,r,a){this.name=t,this.id=n,this.location=r,this.info=a}function p(t,n){for(var r=0;r<t.length;++r)if(t[r].id===n.id)return void(t[r].location=n.location);t.push(n)}function f(n,a,s){var h=n===ro?l:d,p=h[a];if(!p){var f=r.str(a);p=t.createShader(n),t.shaderSource(p,f),t.compileShader(p),ge.shaderError(t,p,f,n,s),h[a]=p}return p}var m={},g=[],v=0;function y(t,n){this.id=v++,this.fragId=t,this.vertId=n,this.program=null,this.uniforms=[],this.attributes=[],this.refCount=1,s.profile&&(this.stats={uniformsCount:0,attributesCount:0})}function b(n,a,l){var d,m,g=f(ro,n.fragId),v=f(oo,n.vertId),y=n.program=t.createProgram();if(t.attachShader(y,g),t.attachShader(y,v),l)for(d=0;d<l.length;++d){var b=l[d];t.bindAttribLocation(y,b[0],b[1])}t.linkProgram(y),ge.linkError(t,y,r.str(n.fragId),r.str(n.vertId),a);var x=t.getProgramParameter(y,ao);s.profile&&(n.stats.uniformsCount=x);var w=n.uniforms;for(d=0;d<x;++d)if(m=t.getActiveUniform(y,d)){if(m.size>1)for(var S=0;S<m.size;++S){var _=m.name.replace("[0]","["+S+"]");p(w,new h(_,r.id(_),t.getUniformLocation(y,_),m))}var T=m.name;m.size>1&&(T=T.replace("[0]","")),p(w,new h(T,r.id(T),t.getUniformLocation(y,T),m))}var E=t.getProgramParameter(y,so);s.profile&&(n.stats.attributesCount=E);var C=n.attributes;for(d=0;d<E;++d)(m=t.getActiveAttrib(y,d))&&p(C,new h(m.name,r.id(m.name),t.getAttribLocation(y,m.name),m))}function x(){l={},d={};for(var t=0;t<g.length;++t)b(g[t],null,g[t].attributes.map((function(t){return[t.location,t.name]})))}return s.profile&&(a.getMaxUniformsCount=function(){var t=0;return g.forEach((function(n){n.stats.uniformsCount>t&&(t=n.stats.uniformsCount)})),t},a.getMaxAttributesCount=function(){var t=0;return g.forEach((function(n){n.stats.attributesCount>t&&(t=n.stats.attributesCount)})),t}),{clear:function(){var n=t.deleteShader.bind(t);Bt(l).forEach(n),l={},Bt(d).forEach(n),d={},g.forEach((function(n){t.deleteProgram(n.program)})),g.length=0,m={},a.shaderCount=0},program:function(r,s,h,p){ge.command(r>=0,"missing vertex shader",h),ge.command(s>=0,"missing fragment shader",h);var f=m[s];f||(f=m[s]={});var v=f[r];if(v&&(v.refCount++,!p))return v;var x=new y(s,r);return a.shaderCount++,b(x,h,p),v||(f[r]=x),g.push(x),n(x,{destroy:function(){if(x.refCount--,x.refCount<=0){t.deleteProgram(x.program);var n=g.indexOf(x);g.splice(n,1),a.shaderCount--}f[x.vertId].refCount<=0&&(t.deleteShader(d[x.vertId]),delete d[x.vertId],delete m[x.fragId][x.vertId]),Object.keys(m[x.fragId]).length||(t.deleteShader(l[x.fragId]),delete l[x.fragId],delete m[x.fragId])}})},restore:x,shader:f,frag:-1,vert:-1}}var co=6408,uo=5121,ho=3333,po=5126;function fo(n,r,a,s,l,d,h){function p(p){var f;null===r.next?(ge(l.preserveDrawingBuffer,'you must create a webgl context with "preserveDrawingBuffer":true in order to read pixels from the drawing buffer'),f=uo):(ge(null!==r.next.colorAttachments[0].texture,"You cannot read from a renderbuffer"),f=r.next.colorAttachments[0].texture._texture.type,ge.optional((function(){d.oes_texture_float?(ge(f===uo||f===po,"Reading from a framebuffer is only allowed for the types 'uint8' and 'float'"),f===po&&ge(h.readFloat,"Reading 'float' values is not permitted in your browser. For a fallback, please see: https://www.npmjs.com/package/glsl-read-float")):ge(f===uo,"Reading from a framebuffer is only allowed for the type 'uint8'")})));var m=0,g=0,v=s.framebufferWidth,y=s.framebufferHeight,b=null;t(p)?b=p:p&&(ge.type(p,"object","invalid arguments to regl.read()"),m=0|p.x,g=0|p.y,ge(m>=0&&m<s.framebufferWidth,"invalid x offset for regl.read"),ge(g>=0&&g<s.framebufferHeight,"invalid y offset for regl.read"),v=0|(p.width||s.framebufferWidth-m),y=0|(p.height||s.framebufferHeight-g),b=p.data||null),b&&(f===uo?ge(b instanceof Uint8Array,"buffer must be 'Uint8Array' when reading from a framebuffer of type 'uint8'"):f===po&&ge(b instanceof Float32Array,"buffer must be 'Float32Array' when reading from a framebuffer of type 'float'")),ge(v>0&&v+m<=s.framebufferWidth,"invalid width for read pixels"),ge(y>0&&y+g<=s.framebufferHeight,"invalid height for read pixels"),a();var x=v*y*4;return b||(f===uo?b=new Uint8Array(x):f===po&&(b=b||new Float32Array(x))),ge.isTypedArray(b,"data buffer for regl.read() must be a typedarray"),ge(b.byteLength>=x,"data buffer for regl.read() too small"),n.pixelStorei(ho,4),n.readPixels(m,g,v,y,co,f,b),b}function f(t){var n;return r.setFBO({framebuffer:t.framebuffer},(function(){n=p(t)})),n}function m(t){return t&&"framebuffer"in t?f(t):p(t)}return m}function mo(t){return Array.prototype.slice.call(t)}function go(t){return mo(t).join("")}function vo(){var t=0,r=[],a=[];function s(n){for(var s=0;s<a.length;++s)if(a[s]===n)return r[s];var l="g"+t++;return r.push(l),a.push(n),l}function l(){var r=[];function a(){r.push.apply(r,mo(arguments))}var s=[];function l(){var n="v"+t++;return s.push(n),arguments.length>0&&(r.push(n,"="),r.push.apply(r,mo(arguments)),r.push(";")),n}return n(a,{def:l,toString:function(){return go([s.length>0?"var "+s.join(",")+";":"",go(r)])}})}function d(){var t=l(),r=l(),a=t.toString,s=r.toString;function d(n,a){r(n,a,"=",t.def(n,a),";")}return n((function(){t.apply(t,mo(arguments))}),{def:t.def,entry:t,exit:r,save:d,set:function(n,r,a){d(n,r),t(n,r,"=",a,";")},toString:function(){return a()+s()}})}function h(){var t=go(arguments),r=d(),a=d(),s=r.toString,l=a.toString;return n(r,{then:function(){return r.apply(r,mo(arguments)),this},else:function(){return a.apply(a,mo(arguments)),this},toString:function(){var n=l();return n&&(n="else{"+n+"}"),go(["if(",t,"){",s(),"}",n])}})}var p=l(),f={};function m(t,r){var a=[];function s(){var t="a"+a.length;return a.push(t),t}r=r||0;for(var l=0;l<r;++l)s();var h=d(),p=h.toString;return f[t]=n(h,{arg:s,toString:function(){return go(["function(",a.join(),"){",p(),"}"])}})}function g(){var t=['"use strict";',p,"return {"];Object.keys(f).forEach((function(n){t.push('"',n,'":',f[n].toString(),",")})),t.push("}");var n=go(t).replace(/;/g,";\n").replace(/}/g,"}\n").replace(/{/g,"{\n");return Function.apply(null,r.concat(n)).apply(null,a)}return{global:p,link:s,block:l,proc:m,scope:d,cond:h,compile:g}}var yo="xyzw".split(""),bo=5121,xo=1,wo=2,So=0,_o=1,Mo=2,To=3,Eo=4,Co=5,Ao=6,ko="dither",Oo="blend.enable",Ro="blend.color",Io="blend.equation",Po="blend.func",Lo="depth.enable",Do="depth.func",Fo="depth.range",No="depth.mask",Bo="colorMask",zo="cull.enable",$o="cull.face",jo="frontFace",Vo="lineWidth",Uo="polygonOffset.enable",Go="polygonOffset.offset",Ho="sample.alpha",Wo="sample.enable",qo="sample.coverage",Xo="stencil.enable",Yo="stencil.mask",Zo="stencil.func",Ko="stencil.opFront",Jo="stencil.opBack",Qo="scissor.enable",ea="scissor.box",ta="viewport",ia="profile",na="framebuffer",ra="vert",oa="frag",aa="elements",sa="primitive",la="count",ca="offset",da="instances",ua="vao",ha="Width",pa="Height",fa=na+ha,ma=na+pa,ga=ta+ha,va=ta+pa,ya="drawingBuffer",ba=ya+ha,xa=ya+pa,wa=[Po,Io,Zo,Ko,Jo,qo,ta,ea,Go],Sa=34962,_a=34963,Ma=3553,Ta=34067,Ea=2884,Ca=3042,Aa=3024,ka=2960,Oa=2929,Ra=3089,Ia=32823,Pa=32926,La=32928,Da=5126,Fa=35664,Na=35665,Ba=35666,za=5124,$a=35667,ja=35668,Va=35669,Ua=35670,Ga=35671,Ha=35672,Wa=35673,qa=35674,Xa=35675,Ya=35676,Za=35678,Ka=35680,Ja=4,Qa=1028,es=1029,ts=2304,is=2305,ns=32775,rs=32776,os=519,as=7680,ss=0,ls=1,cs=32774,ds=513,us=36160,hs=36064,ps={0:0,1:1,zero:0,one:1,"src color":768,"one minus src color":769,"src alpha":770,"one minus src alpha":771,"dst color":774,"one minus dst color":775,"dst alpha":772,"one minus dst alpha":773,"constant color":32769,"one minus constant color":32770,"constant alpha":32771,"one minus constant alpha":32772,"src alpha saturate":776},fs=["constant color, constant alpha","one minus constant color, constant alpha","constant color, one minus constant alpha","one minus constant color, one minus constant alpha","constant alpha, constant color","constant alpha, one minus constant color","one minus constant alpha, constant color","one minus constant alpha, one minus constant color"],ms={never:512,less:513,"<":513,equal:514,"=":514,"==":514,"===":514,lequal:515,"<=":515,greater:516,">":516,notequal:517,"!=":517,"!==":517,gequal:518,">=":518,always:519},gs={0:0,zero:0,keep:7680,replace:7681,increment:7682,decrement:7683,"increment wrap":34055,"decrement wrap":34056,invert:5386},vs={frag:35632,vert:35633},ys={cw:ts,ccw:is};function bs(n){return Array.isArray(n)||t(n)||Nt(n)}function xs(t){return t.sort((function(t,n){return t===ta?-1:n===ta?1:t<n?-1:1}))}function ws(t,n,r,a){this.thisDep=t,this.contextDep=n,this.propDep=r,this.append=a}function Ss(t){return t&&!(t.thisDep||t.contextDep||t.propDep)}function _s(t){return new ws(!1,!1,!1,t)}function Ms(t,n){var r=t.type;if(r===So){var a=t.data.length;return new ws(!0,a>=1,a>=2,n)}if(r===Eo){var s=t.data;return new ws(s.thisDep,s.contextDep,s.propDep,n)}if(r===Co)return new ws(!1,!1,!1,n);if(r===Ao){for(var l=!1,d=!1,h=!1,p=0;p<t.data.length;++p){var f=t.data[p];if(f.type===_o)h=!0;else if(f.type===Mo)d=!0;else if(f.type===To)l=!0;else if(f.type===So){l=!0;var m=f.data;m>=1&&(d=!0),m>=2&&(h=!0)}else f.type===Eo&&(l=l||f.data.thisDep,d=d||f.data.contextDep,h=h||f.data.propDep)}return new ws(l,d,h,n)}return new ws(r===To,r===Mo,r===_o,n)}var Ts=new ws(!1,!1,!1,(function(){}));function Es(t,r,a,s,l,d,h,p,f,m,g,v,y,b,x){var w=m.Record,S={add:32774,subtract:32778,"reverse subtract":32779};a.ext_blend_minmax&&(S.min=ns,S.max=rs);var _=a.angle_instanced_arrays,T=a.webgl_draw_buffers,E=a.oes_vertex_array_object,C={dirty:!0,profile:x.profile},A={},O=[],I={},P={};function D(t){return t.replace(".","_")}function F(t,n,r){var a=D(t);O.push(t),A[a]=C[a]=!!r,I[a]=n}function B(t,n,r){var a=D(t);O.push(t),Array.isArray(r)?(C[a]=r.slice(),A[a]=r.slice()):C[a]=A[a]=r,P[a]=n}F(ko,Aa),F(Oo,Ca),B(Ro,"blendColor",[0,0,0,0]),B(Io,"blendEquationSeparate",[cs,cs]),B(Po,"blendFuncSeparate",[ls,ss,ls,ss]),F(Lo,Oa,!0),B(Do,"depthFunc",ds),B(Fo,"depthRange",[0,1]),B(No,"depthMask",!0),B(Bo,Bo,[!0,!0,!0,!0]),F(zo,Ea),B($o,"cullFace",es),B(jo,jo,is),B(Vo,Vo,1),F(Uo,Ia),B(Go,"polygonOffset",[0,0]),F(Ho,Pa),F(Wo,La),B(qo,"sampleCoverage",[1,!1]),F(Xo,ka),B(Yo,"stencilMask",-1),B(Zo,"stencilFunc",[os,0,-1]),B(Ko,"stencilOpSeparate",[Qa,as,as,as]),B(Jo,"stencilOpSeparate",[es,as,as,as]),F(Qo,Ra),B(ea,"scissor",[0,0,t.drawingBufferWidth,t.drawingBufferHeight]),B(ta,ta,[0,0,t.drawingBufferWidth,t.drawingBufferHeight]);var $={gl:t,context:y,strings:r,next:A,current:C,draw:v,elements:d,buffer:l,shader:g,attributes:m.state,vao:m,uniforms:f,framebuffer:p,extensions:a,timer:b,isBufferArgs:bs},j={primTypes:ai,compareFuncs:ms,blendFuncs:ps,blendEquations:S,stencilOps:gs,glTypes:qt,orientationType:ys};ge.optional((function(){$.isArrayLike=Mi})),T&&(j.backBuffer=[es],j.drawBuffer=$e(s.maxDrawbuffers,(function(t){return 0===t?[0]:$e(t,(function(t){return hs+t}))})));var V=0;function U(){var t=vo(),n=t.link,a=t.global;t.id=V++,t.batchId="0";var s=n($),l=t.shared={props:"a0"};Object.keys($).forEach((function(t){l[t]=a.def(s,".",t)})),ge.optional((function(){t.CHECK=n(ge),t.commandStr=ge.guessCommand(),t.command=n(t.commandStr),t.assert=function(t,r,a){t("if(!(",r,"))",this.CHECK,".commandRaise(",n(a),",",this.command,");")},j.invalidBlendCombinations=fs}));var d=t.next={},h=t.current={};Object.keys(P).forEach((function(t){Array.isArray(C[t])&&(d[t]=a.def(l.next,".",t),h[t]=a.def(l.current,".",t))}));var p=t.constants={};Object.keys(j).forEach((function(t){p[t]=a.def(JSON.stringify(j[t]))})),t.invoke=function(r,a){switch(a.type){case So:var s=["this",l.context,l.props,t.batchId];return r.def(n(a.data),".call(",s.slice(0,Math.max(a.data.length+1,4)),")");case _o:return r.def(l.props,a.data);case Mo:return r.def(l.context,a.data);case To:return r.def("this",a.data);case Eo:return a.data.append(t,r),a.data.ref;case Co:return a.data.toString();case Ao:return a.data.map((function(n){return t.invoke(r,n)}))}},t.attribCache={};var f={};return t.scopeAttrib=function(t){var a=r.id(t);if(a in f)return f[a];var s=m.scope[a];return s||(s=m.scope[a]=new w),f[a]=n(s)},t}function G(t){var n,r=t.static,a=t.dynamic;if(ia in r){var s=!!r[ia];(n=_s((function(t,n){return s}))).enable=s}else if(ia in a){var l=a[ia];n=Ms(l,(function(t,n){return t.invoke(n,l)}))}return n}function W(t,n){var r=t.static,a=t.dynamic;if(na in r){var s=r[na];return s?(s=p.getFramebuffer(s),ge.command(s,"invalid framebuffer object"),_s((function(t,n){var r=t.link(s),a=t.shared;n.set(a.framebuffer,".next",r);var l=a.context;return n.set(l,"."+fa,r+".width"),n.set(l,"."+ma,r+".height"),r}))):_s((function(t,n){var r=t.shared;n.set(r.framebuffer,".next","null");var a=r.context;return n.set(a,"."+fa,a+"."+ba),n.set(a,"."+ma,a+"."+xa),"null"}))}if(na in a){var l=a[na];return Ms(l,(function(t,n){var r=t.invoke(n,l),a=t.shared,s=a.framebuffer,d=n.def(s,".getFramebuffer(",r,")");ge.optional((function(){t.assert(n,"!"+r+"||"+d,"invalid framebuffer object")})),n.set(s,".next",d);var h=a.context;return n.set(h,"."+fa,d+"?"+d+".width:"+h+"."+ba),n.set(h,"."+ma,d+"?"+d+".height:"+h+"."+xa),d}))}return null}function q(t,n,r){var a=t.static,s=t.dynamic;function l(t){if(t in a){var l=a[t];ge.commandType(l,"object","invalid "+t,r.commandStr);var d,h,p=!0,f=0|l.x,m=0|l.y;return"width"in l?(d=0|l.width,ge.command(d>=0,"invalid "+t,r.commandStr)):p=!1,"height"in l?(h=0|l.height,ge.command(h>=0,"invalid "+t,r.commandStr)):p=!1,new ws(!p&&n&&n.thisDep,!p&&n&&n.contextDep,!p&&n&&n.propDep,(function(t,n){var r=t.shared.context,a=d;"width"in l||(a=n.def(r,".",fa,"-",f));var s=h;return"height"in l||(s=n.def(r,".",ma,"-",m)),[f,m,a,s]}))}if(t in s){var g=s[t],v=Ms(g,(function(n,r){var a=n.invoke(r,g);ge.optional((function(){n.assert(r,a+"&&typeof "+a+'==="object"',"invalid "+t)}));var s=n.shared.context,l=r.def(a,".x|0"),d=r.def(a,".y|0"),h=r.def('"width" in ',a,"?",a,".width|0:","(",s,".",fa,"-",l,")"),p=r.def('"height" in ',a,"?",a,".height|0:","(",s,".",ma,"-",d,")");return ge.optional((function(){n.assert(r,h+">=0&&"+p+">=0","invalid "+t)})),[l,d,h,p]}));return n&&(v.thisDep=v.thisDep||n.thisDep,v.contextDep=v.contextDep||n.contextDep,v.propDep=v.propDep||n.propDep),v}return n?new ws(n.thisDep,n.contextDep,n.propDep,(function(t,n){var r=t.shared.context;return[0,0,n.def(r,".",fa),n.def(r,".",ma)]})):null}var d=l(ta);if(d){var h=d;d=new ws(d.thisDep,d.contextDep,d.propDep,(function(t,n){var r=h.append(t,n),a=t.shared.context;return n.set(a,"."+ga,r[2]),n.set(a,"."+va,r[3]),r}))}return{viewport:d,scissor_box:l(ea)}}function X(t,n){var r=t.static;if("string"==typeof r[oa]&&"string"==typeof r[ra]){if(Object.keys(n.dynamic).length>0)return null;var a=n.static,s=Object.keys(a);if(s.length>0&&"number"==typeof a[s[0]]){for(var l=[],d=0;d<s.length;++d)ge("number"==typeof a[s[d]],"must specify all vertex attribute locations when using vaos"),l.push([0|a[s[d]],s[d]]);return l}}return null}function Y(t,n,a){var s=t.static,l=t.dynamic;function d(t){if(t in s){var n=r.id(s[t]);ge.optional((function(){g.shader(vs[t],n,ge.guessCommand())}));var a=_s((function(){return n}));return a.id=n,a}if(t in l){var d=l[t];return Ms(d,(function(n,r){var a=n.invoke(r,d),s=r.def(n.shared.strings,".id(",a,")");return ge.optional((function(){r(n.shared.shader,".shader(",vs[t],",",s,",",n.command,");")})),s}))}return null}var h,p=d(oa),f=d(ra),m=null;return Ss(p)&&Ss(f)?(m=g.program(f.id,p.id,null,a),h=_s((function(t,n){return t.link(m)}))):h=new ws(p&&p.thisDep||f&&f.thisDep,p&&p.contextDep||f&&f.contextDep,p&&p.propDep||f&&f.propDep,(function(t,n){var r,a=t.shared.shader;r=p?p.append(t,n):n.def(a,".",oa);var s=a+".program("+(f?f.append(t,n):n.def(a,".",ra))+","+r;return ge.optional((function(){s+=","+t.command})),n.def(s+")")})),{frag:p,vert:f,progVar:h,program:m}}function K(t,n){var r=t.static,a=t.dynamic,s={},l=!1;function h(){if(ua in r){var t=r[ua];return null!==t&&null===m.getVAO(t)&&(t=m.createVAO(t)),l=!0,s.vao=t,_s((function(n){var r=m.getVAO(t);return r?n.link(r):"null"}))}if(ua in a){l=!0;var n=a[ua];return Ms(n,(function(t,r){var a=t.invoke(r,n);return r.def(t.shared.vao+".getVAO("+a+")")}))}return null}var p=h(),f=!1;function g(){if(aa in r){var t=r[aa];if(s.elements=t,bs(t)){var h=s.elements=d.create(t,!0);t=d.getElements(h),f=!0}else t&&(t=d.getElements(t),f=!0,ge.command(t,"invalid elements",n.commandStr));var m=_s((function(n,r){if(t){var a=n.link(t);return n.ELEMENTS=a,a}return n.ELEMENTS=null,null}));return m.value=t,m}if(aa in a){f=!0;var g=a[aa];return Ms(g,(function(t,n){var r=t.shared,a=r.isBufferArgs,s=r.elements,l=t.invoke(n,g),d=n.def("null"),h=n.def(a,"(",l,")"),p=t.cond(h).then(d,"=",s,".createStream(",l,");").else(d,"=",s,".getElements(",l,");");return ge.optional((function(){t.assert(p.else,"!"+l+"||"+d,"invalid elements")})),n.entry(p),n.exit(t.cond(h).then(s,".destroyStream(",d,");")),t.ELEMENTS=d,d}))}return l?new ws(p.thisDep,p.contextDep,p.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.elements+".getElements("+t.shared.vao+".currentVAO.elements):null")})):null}var v=g();function y(){if(sa in r){var t=r[sa];return s.primitive=t,ge.commandParameter(t,ai,"invalid primitve",n.commandStr),_s((function(n,r){return ai[t]}))}if(sa in a){var d=a[sa];return Ms(d,(function(t,n){var r=t.constants.primTypes,a=t.invoke(n,d);return ge.optional((function(){t.assert(n,a+" in "+r,"invalid primitive, must be one of "+Object.keys(ai))})),n.def(r,"[",a,"]")}))}return f?Ss(v)?v.value?_s((function(t,n){return n.def(t.ELEMENTS,".primType")})):_s((function(){return Ja})):new ws(v.thisDep,v.contextDep,v.propDep,(function(t,n){var r=t.ELEMENTS;return n.def(r,"?",r,".primType:",Ja)})):l?new ws(p.thisDep,p.contextDep,p.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.primitive:"+Ja)})):null}function b(t,d){if(t in r){var h=0|r[t];return d?s.offset=h:s.instances=h,ge.command(!d||h>=0,"invalid "+t,n.commandStr),_s((function(t,n){return d&&(t.OFFSET=h),h}))}if(t in a){var m=a[t];return Ms(m,(function(n,r){var a=n.invoke(r,m);return d&&(n.OFFSET=a,ge.optional((function(){n.assert(r,a+">=0","invalid "+t)}))),a}))}if(d){if(f)return _s((function(t,n){return t.OFFSET=0,0}));if(l)return new ws(p.thisDep,p.contextDep,p.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.offset:0")}))}else if(l)return new ws(p.thisDep,p.contextDep,p.propDep,(function(t,n){return n.def(t.shared.vao+".currentVAO?"+t.shared.vao+".currentVAO.instances:-1")}));return null}var x=b(ca,!0);function w(){if(la in r){var t=0|r[la];return s.count=t,ge.command("number"==typeof t&&t>=0,"invalid vertex count",n.commandStr),_s((function(){return t}))}if(la in a){var d=a[la];return Ms(d,(function(t,n){var r=t.invoke(n,d);return ge.optional((function(){t.assert(n,"typeof "+r+'==="number"&&'+r+">=0&&"+r+"===("+r+"|0)","invalid vertex count")})),r}))}if(f){if(Ss(v)){if(v)return x?new ws(x.thisDep,x.contextDep,x.propDep,(function(t,n){var r=n.def(t.ELEMENTS,".vertCount-",t.OFFSET);return ge.optional((function(){t.assert(n,r+">=0","invalid vertex offset/element buffer too small")})),r})):_s((function(t,n){return n.def(t.ELEMENTS,".vertCount")}));var h=_s((function(){return-1}));return ge.optional((function(){h.MISSING=!0})),h}var m=new ws(v.thisDep||x.thisDep,v.contextDep||x.contextDep,v.propDep||x.propDep,(function(t,n){var r=t.ELEMENTS;return t.OFFSET?n.def(r,"?",r,".vertCount-",t.OFFSET,":-1"):n.def(r,"?",r,".vertCount:-1")}));return ge.optional((function(){m.DYNAMIC=!0})),m}if(l){var g=new ws(p.thisDep,p.contextDep,p.propDep,(function(t,n){return n.def(t.shared.vao,".currentVAO?",t.shared.vao,".currentVAO.count:-1")}));return g}return null}var S=y(),_=w(),T=b(da,!1);return{elements:v,primitive:S,count:_,instances:T,offset:x,vao:p,vaoActive:l,elementsActive:f,static:s}}function J(t,n){var r=t.static,a=t.dynamic,l={};return O.forEach((function(t){var d=D(t);function h(n,s){if(t in r){var h=n(r[t]);l[d]=_s((function(){return h}))}else if(t in a){var p=a[t];l[d]=Ms(p,(function(t,n){return s(t,n,t.invoke(n,p))}))}}switch(t){case zo:case Oo:case ko:case Xo:case Lo:case Qo:case Uo:case Ho:case Wo:case No:return h((function(r){return ge.commandType(r,"boolean",t,n.commandStr),r}),(function(n,r,a){return ge.optional((function(){n.assert(r,"typeof "+a+'==="boolean"',"invalid flag "+t,n.commandStr)})),a}));case Do:return h((function(r){return ge.commandParameter(r,ms,"invalid "+t,n.commandStr),ms[r]}),(function(n,r,a){var s=n.constants.compareFuncs;return ge.optional((function(){n.assert(r,a+" in "+s,"invalid "+t+", must be one of "+Object.keys(ms))})),r.def(s,"[",a,"]")}));case Fo:return h((function(t){return ge.command(Mi(t)&&2===t.length&&"number"==typeof t[0]&&"number"==typeof t[1]&&t[0]<=t[1],"depth range is 2d array",n.commandStr),t}),(function(t,n,r){return ge.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===2&&typeof "+r+'[0]==="number"&&typeof '+r+'[1]==="number"&&'+r+"[0]<="+r+"[1]","depth range must be a 2d array")})),[n.def("+",r,"[0]"),n.def("+",r,"[1]")]}));case Po:return h((function(t){ge.commandType(t,"object","blend.func",n.commandStr);var r="srcRGB"in t?t.srcRGB:t.src,a="srcAlpha"in t?t.srcAlpha:t.src,s="dstRGB"in t?t.dstRGB:t.dst,l="dstAlpha"in t?t.dstAlpha:t.dst;return ge.commandParameter(r,ps,d+".srcRGB",n.commandStr),ge.commandParameter(a,ps,d+".srcAlpha",n.commandStr),ge.commandParameter(s,ps,d+".dstRGB",n.commandStr),ge.commandParameter(l,ps,d+".dstAlpha",n.commandStr),ge.command(-1===fs.indexOf(r+", "+s),"unallowed blending combination (srcRGB, dstRGB) = ("+r+", "+s+")",n.commandStr),[ps[r],ps[s],ps[a],ps[l]]}),(function(n,r,a){var s=n.constants.blendFuncs;function l(l,d){var h=r.def('"',l,d,'" in ',a,"?",a,".",l,d,":",a,".",l);return ge.optional((function(){n.assert(r,h+" in "+s,"invalid "+t+"."+l+d+", must be one of "+Object.keys(ps))})),h}ge.optional((function(){n.assert(r,a+"&&typeof "+a+'==="object"',"invalid blend func, must be an object")}));var d=l("src","RGB"),h=l("dst","RGB");ge.optional((function(){var t=n.constants.invalidBlendCombinations;n.assert(r,t+".indexOf("+d+'+", "+'+h+") === -1 ","unallowed blending combination for (srcRGB, dstRGB)")}));var p=r.def(s,"[",d,"]"),f=r.def(s,"[",l("src","Alpha"),"]");return[p,r.def(s,"[",h,"]"),f,r.def(s,"[",l("dst","Alpha"),"]")]}));case Io:return h((function(r){return"string"==typeof r?(ge.commandParameter(r,S,"invalid "+t,n.commandStr),[S[r],S[r]]):"object"==typeof r?(ge.commandParameter(r.rgb,S,t+".rgb",n.commandStr),ge.commandParameter(r.alpha,S,t+".alpha",n.commandStr),[S[r.rgb],S[r.alpha]]):void ge.commandRaise("invalid blend.equation",n.commandStr)}),(function(n,r,a){var s=n.constants.blendEquations,l=r.def(),d=r.def(),h=n.cond("typeof ",a,'==="string"');return ge.optional((function(){function r(t,r,a){n.assert(t,a+" in "+s,"invalid "+r+", must be one of "+Object.keys(S))}r(h.then,t,a),n.assert(h.else,a+"&&typeof "+a+'==="object"',"invalid "+t),r(h.else,t+".rgb",a+".rgb"),r(h.else,t+".alpha",a+".alpha")})),h.then(l,"=",d,"=",s,"[",a,"];"),h.else(l,"=",s,"[",a,".rgb];",d,"=",s,"[",a,".alpha];"),r(h),[l,d]}));case Ro:return h((function(t){return ge.command(Mi(t)&&4===t.length,"blend.color must be a 4d array",n.commandStr),$e(4,(function(n){return+t[n]}))}),(function(t,n,r){return ge.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===4","blend.color must be a 4d array")})),$e(4,(function(t){return n.def("+",r,"[",t,"]")}))}));case Yo:return h((function(t){return ge.commandType(t,"number",d,n.commandStr),0|t}),(function(t,n,r){return ge.optional((function(){t.assert(n,"typeof "+r+'==="number"',"invalid stencil.mask")})),n.def(r,"|0")}));case Zo:return h((function(r){ge.commandType(r,"object",d,n.commandStr);var a=r.cmp||"keep",s=r.ref||0,l="mask"in r?r.mask:-1;return ge.commandParameter(a,ms,t+".cmp",n.commandStr),ge.commandType(s,"number",t+".ref",n.commandStr),ge.commandType(l,"number",t+".mask",n.commandStr),[ms[a],s,l]}),(function(t,n,r){var a=t.constants.compareFuncs;return ge.optional((function(){function s(){t.assert(n,Array.prototype.join.call(arguments,""),"invalid stencil.func")}s(r+"&&typeof ",r,'==="object"'),s('!("cmp" in ',r,")||(",r,".cmp in ",a,")")})),[n.def('"cmp" in ',r,"?",a,"[",r,".cmp]",":",as),n.def(r,".ref|0"),n.def('"mask" in ',r,"?",r,".mask|0:-1")]}));case Ko:case Jo:return h((function(r){ge.commandType(r,"object",d,n.commandStr);var a=r.fail||"keep",s=r.zfail||"keep",l=r.zpass||"keep";return ge.commandParameter(a,gs,t+".fail",n.commandStr),ge.commandParameter(s,gs,t+".zfail",n.commandStr),ge.commandParameter(l,gs,t+".zpass",n.commandStr),[t===Jo?es:Qa,gs[a],gs[s],gs[l]]}),(function(n,r,a){var s=n.constants.stencilOps;function l(l){return ge.optional((function(){n.assert(r,'!("'+l+'" in '+a+")||("+a+"."+l+" in "+s+")","invalid "+t+"."+l+", must be one of "+Object.keys(gs))})),r.def('"',l,'" in ',a,"?",s,"[",a,".",l,"]:",as)}return ge.optional((function(){n.assert(r,a+"&&typeof "+a+'==="object"',"invalid "+t)})),[t===Jo?es:Qa,l("fail"),l("zfail"),l("zpass")]}));case Go:return h((function(t){ge.commandType(t,"object",d,n.commandStr);var r=0|t.factor,a=0|t.units;return ge.commandType(r,"number",d+".factor",n.commandStr),ge.commandType(a,"number",d+".units",n.commandStr),[r,a]}),(function(n,r,a){return ge.optional((function(){n.assert(r,a+"&&typeof "+a+'==="object"',"invalid "+t)})),[r.def(a,".factor|0"),r.def(a,".units|0")]}));case $o:return h((function(t){var r=0;return"front"===t?r=Qa:"back"===t&&(r=es),ge.command(!!r,d,n.commandStr),r}),(function(t,n,r){return ge.optional((function(){t.assert(n,r+'==="front"||'+r+'==="back"',"invalid cull.face")})),n.def(r,'==="front"?',Qa,":",es)}));case Vo:return h((function(t){return ge.command("number"==typeof t&&t>=s.lineWidthDims[0]&&t<=s.lineWidthDims[1],"invalid line width, must be a positive number between "+s.lineWidthDims[0]+" and "+s.lineWidthDims[1],n.commandStr),t}),(function(t,n,r){return ge.optional((function(){t.assert(n,"typeof "+r+'==="number"&&'+r+">="+s.lineWidthDims[0]+"&&"+r+"<="+s.lineWidthDims[1],"invalid line width")})),r}));case jo:return h((function(t){return ge.commandParameter(t,ys,d,n.commandStr),ys[t]}),(function(t,n,r){return ge.optional((function(){t.assert(n,r+'==="cw"||'+r+'==="ccw"',"invalid frontFace, must be one of cw,ccw")})),n.def(r+'==="cw"?'+ts+":"+is)}));case Bo:return h((function(t){return ge.command(Mi(t)&&4===t.length,"color.mask must be length 4 array",n.commandStr),t.map((function(t){return!!t}))}),(function(t,n,r){return ge.optional((function(){t.assert(n,t.shared.isArrayLike+"("+r+")&&"+r+".length===4","invalid color.mask")})),$e(4,(function(t){return"!!"+r+"["+t+"]"}))}));case qo:return h((function(t){ge.command("object"==typeof t&&t,d,n.commandStr);var r="value"in t?t.value:1,a=!!t.invert;return ge.command("number"==typeof r&&r>=0&&r<=1,"sample.coverage.value must be a number between 0 and 1",n.commandStr),[r,a]}),(function(t,n,r){return ge.optional((function(){t.assert(n,r+"&&typeof "+r+'==="object"',"invalid sample.coverage")})),[n.def('"value" in ',r,"?+",r,".value:1"),n.def("!!",r,".invert")]}))}})),l}function Q(t,n){var r=t.static,a=t.dynamic,s={};return Object.keys(r).forEach((function(t){var a,l=r[t];if("number"==typeof l||"boolean"==typeof l)a=_s((function(){return l}));else if("function"==typeof l){var d=l._reglType;"texture2d"===d||"textureCube"===d?a=_s((function(t){return t.link(l)})):"framebuffer"===d||"framebufferCube"===d?(ge.command(l.color.length>0,'missing color attachment for framebuffer sent to uniform "'+t+'"',n.commandStr),a=_s((function(t){return t.link(l.color[0])}))):ge.commandRaise('invalid data for uniform "'+t+'"',n.commandStr)}else Mi(l)?a=_s((function(n){return n.global.def("[",$e(l.length,(function(r){return ge.command("number"==typeof l[r]||"boolean"==typeof l[r],"invalid uniform "+t,n.commandStr),l[r]})),"]")})):ge.commandRaise('invalid or missing data for uniform "'+t+'"',n.commandStr);a.value=l,s[t]=a})),Object.keys(a).forEach((function(t){var n=a[t];s[t]=Ms(n,(function(t,r){return t.invoke(r,n)}))})),s}function ee(t,n){var a=t.static,s=t.dynamic,d={};return Object.keys(a).forEach((function(t){var s=a[t],h=r.id(t),p=new w;if(bs(s))p.state=xo,p.buffer=l.getBuffer(l.create(s,Sa,!1,!0)),p.type=0;else{var f=l.getBuffer(s);if(f)p.state=xo,p.buffer=f,p.type=0;else if(ge.command("object"==typeof s&&s,"invalid data for attribute "+t,n.commandStr),"constant"in s){var m=s.constant;p.buffer="null",p.state=wo,"number"==typeof m?p.x=m:(ge.command(Mi(m)&&m.length>0&&m.length<=4,"invalid constant for attribute "+t,n.commandStr),yo.forEach((function(t,n){n<m.length&&(p[t]=m[n])})))}else{f=bs(s.buffer)?l.getBuffer(l.create(s.buffer,Sa,!1,!0)):l.getBuffer(s.buffer),ge.command(!!f,'missing buffer for attribute "'+t+'"',n.commandStr);var g=0|s.offset;ge.command(g>=0,'invalid offset for attribute "'+t+'"',n.commandStr);var v=0|s.stride;ge.command(v>=0&&v<256,'invalid stride for attribute "'+t+'", must be integer betweeen [0, 255]',n.commandStr);var y=0|s.size;ge.command(!("size"in s)||y>0&&y<=4,'invalid size for attribute "'+t+'", must be 1,2,3,4',n.commandStr);var b=!!s.normalized,x=0;"type"in s&&(ge.commandParameter(s.type,qt,"invalid type for attribute "+t,n.commandStr),x=qt[s.type]);var S=0|s.divisor;ge.optional((function(){"divisor"in s&&(ge.command(0===S||_,'cannot specify divisor for attribute "'+t+'", instancing not supported',n.commandStr),ge.command(S>=0,'invalid divisor for attribute "'+t+'"',n.commandStr));var r=n.commandStr,a=["buffer","offset","divisor","normalized","type","size","stride"];Object.keys(s).forEach((function(n){ge.command(a.indexOf(n)>=0,'unknown parameter "'+n+'" for attribute pointer "'+t+'" (valid parameters are '+a+")",r)}))})),p.buffer=f,p.state=xo,p.size=y,p.normalized=b,p.type=x||f.dtype,p.offset=g,p.stride=v,p.divisor=S}}d[t]=_s((function(t,n){var r=t.attribCache;if(h in r)return r[h];var a={isStream:!1};return Object.keys(p).forEach((function(t){a[t]=p[t]})),p.buffer&&(a.buffer=t.link(p.buffer),a.type=a.type||a.buffer+".dtype"),r[h]=a,a}))})),Object.keys(s).forEach((function(t){var n=s[t];function r(r,a){var s=r.invoke(a,n),l=r.shared,d=r.constants,h=l.isBufferArgs,p=l.buffer;ge.optional((function(){r.assert(a,s+"&&(typeof "+s+'==="object"||typeof '+s+'==="function")&&('+h+"("+s+")||"+p+".getBuffer("+s+")||"+p+".getBuffer("+s+".buffer)||"+h+"("+s+'.buffer)||("constant" in '+s+"&&(typeof "+s+'.constant==="number"||'+l.isArrayLike+"("+s+".constant))))",'invalid dynamic attribute "'+t+'"')}));var f={isStream:a.def(!1)},m=new w;m.state=xo,Object.keys(m).forEach((function(t){f[t]=a.def(""+m[t])}));var g=f.buffer,v=f.type;function y(t){a(f[t],"=",s,".",t,"|0;")}return a("if(",h,"(",s,")){",f.isStream,"=true;",g,"=",p,".createStream(",Sa,",",s,");",v,"=",g,".dtype;","}else{",g,"=",p,".getBuffer(",s,");","if(",g,"){",v,"=",g,".dtype;",'}else if("constant" in ',s,"){",f.state,"=",wo,";","if(typeof "+s+'.constant === "number"){',f[yo[0]],"=",s,".constant;",yo.slice(1).map((function(t){return f[t]})).join("="),"=0;","}else{",yo.map((function(t,n){return f[t]+"="+s+".constant.length>"+n+"?"+s+".constant["+n+"]:0;"})).join(""),"}}else{","if(",h,"(",s,".buffer)){",g,"=",p,".createStream(",Sa,",",s,".buffer);","}else{",g,"=",p,".getBuffer(",s,".buffer);","}",v,'="type" in ',s,"?",d.glTypes,"[",s,".type]:",g,".dtype;",f.normalized,"=!!",s,".normalized;"),y("size"),y("offset"),y("stride"),y("divisor"),a("}}"),a.exit("if(",f.isStream,"){",p,".destroyStream(",g,");","}"),f}d[t]=Ms(n,r)})),d}function te(t){var n=t.static,r=t.dynamic,a={};return Object.keys(n).forEach((function(t){var r=n[t];a[t]=_s((function(t,n){return"number"==typeof r||"boolean"==typeof r?""+r:t.link(r)}))})),Object.keys(r).forEach((function(t){var n=r[t];a[t]=Ms(n,(function(t,r){return t.invoke(r,n)}))})),a}function ie(t,n,r,s,l){var d=t.static,h=t.dynamic;ge.optional((function(){var t=[na,ra,oa,aa,sa,ca,la,da,ia,ua].concat(O);function n(n){Object.keys(n).forEach((function(n){ge.command(t.indexOf(n)>=0,'unknown parameter "'+n+'"',l.commandStr)}))}n(d),n(h)}));var p=X(t,n),f=W(t,l),g=q(t,f,l),v=K(t,l),y=J(t,l),b=Y(t,l,p);function x(t){var n=g[t];n&&(y[t]=n)}x(ta),x(D(ea));var w=Object.keys(y).length>0,S={framebuffer:f,draw:v,shader:b,state:y,dirty:w,scopeVAO:null,drawVAO:null,useVAO:!1,attributes:{}};if(S.profile=G(t,l),S.uniforms=Q(r,l),S.drawVAO=S.scopeVAO=v.vao,!S.drawVAO&&b.program&&!p&&a.angle_instanced_arrays&&v.static.elements){var _=!0,T=b.program.attributes.map((function(t){var r=n.static[t];return _=_&&!!r,r}));if(_&&T.length>0){var E=m.getVAO(m.createVAO({attributes:T,elements:v.static.elements}));S.drawVAO=new ws(null,null,null,(function(t,n){return t.link(E)})),S.useVAO=!0}}return p?S.useVAO=!0:S.attributes=ee(n,l),S.context=te(s,l),S}function ne(t,n,r){var a=t.shared.context,s=t.scope();Object.keys(r).forEach((function(l){n.save(a,"."+l);var d=r[l].append(t,n);Array.isArray(d)?s(a,".",l,"=[",d.join(),"];"):s(a,".",l,"=",d,";")})),n(s)}function re(t,n,r,a){var s,l=t.shared,d=l.gl,h=l.framebuffer;T&&(s=n.def(l.extensions,".webgl_draw_buffers"));var p,f=t.constants,m=f.drawBuffer,g=f.backBuffer;p=r?r.append(t,n):n.def(h,".next"),a||n("if(",p,"!==",h,".cur){"),n("if(",p,"){",d,".bindFramebuffer(",us,",",p,".framebuffer);"),T&&n(s,".drawBuffersWEBGL(",m,"[",p,".colorAttachments.length]);"),n("}else{",d,".bindFramebuffer(",us,",null);"),T&&n(s,".drawBuffersWEBGL(",g,");"),n("}",h,".cur=",p,";"),a||n("}")}function oe(t,n,r){var a=t.shared,s=a.gl,l=t.current,d=t.next,h=a.current,p=a.next,f=t.cond(h,".dirty");O.forEach((function(n){var a,m,g=D(n);if(!(g in r.state))if(g in d){a=d[g],m=l[g];var v=$e(C[g].length,(function(t){return f.def(a,"[",t,"]")}));f(t.cond(v.map((function(t,n){return t+"!=="+m+"["+n+"]"})).join("||")).then(s,".",P[g],"(",v,");",v.map((function(t,n){return m+"["+n+"]="+t})).join(";"),";"))}else{a=f.def(p,".",g);var y=t.cond(a,"!==",h,".",g);f(y),g in I?y(t.cond(a).then(s,".enable(",I[g],");").else(s,".disable(",I[g],");"),h,".",g,"=",a,";"):y(s,".",P[g],"(",a,");",h,".",g,"=",a,";")}})),0===Object.keys(r.state).length&&f(h,".dirty=false;"),n(f)}function ae(t,n,r,a){var s=t.shared,l=t.current,d=s.current,h=s.gl;xs(Object.keys(r)).forEach((function(s){var p=r[s];if(!a||a(p)){var f=p.append(t,n);if(I[s]){var m=I[s];Ss(p)?n(h,f?".enable(":".disable(",m,");"):n(t.cond(f).then(h,".enable(",m,");").else(h,".disable(",m,");")),n(d,".",s,"=",f,";")}else if(Mi(f)){var g=l[s];n(h,".",P[s],"(",f,");",f.map((function(t,n){return g+"["+n+"]="+t})).join(";"),";")}else n(h,".",P[s],"(",f,");",d,".",s,"=",f,";")}}))}function se(t,n){_&&(t.instancing=n.def(t.shared.extensions,".angle_instanced_arrays"))}function le(t,n,r,a,s){var l,d,h,p=t.shared,f=t.stats,m=p.current,g=p.timer,v=r.profile;function y(){return"undefined"==typeof performance?"Date.now()":"performance.now()"}function x(t){t(l=n.def(),"=",y(),";"),"string"==typeof s?t(f,".count+=",s,";"):t(f,".count++;"),b&&(a?t(d=n.def(),"=",g,".getNumPendingQueries();"):t(g,".beginQuery(",f,");"))}function w(t){t(f,".cpuTime+=",y(),"-",l,";"),b&&(a?t(g,".pushScopeStats(",d,",",g,".getNumPendingQueries(),",f,");"):t(g,".endQuery();"))}function S(t){var r=n.def(m,".profile");n(m,".profile=",t,";"),n.exit(m,".profile=",r,";")}if(v){if(Ss(v))return void(v.enable?(x(n),w(n.exit),S("true")):S("false"));S(h=v.append(t,n))}else h=n.def(m,".profile");var _=t.block();x(_),n("if(",h,"){",_,"}");var T=t.block();w(T),n.exit("if(",h,"){",T,"}")}function ce(t,n,r,a,s){var l=t.shared;function d(t){switch(t){case Fa:case $a:case Ga:return 2;case Na:case ja:case Ha:return 3;case Ba:case Va:case Wa:return 4;default:return 1}}function h(r,a,s){var d=l.gl,h=n.def(r,".location"),p=n.def(l.attributes,"[",h,"]"),f=s.state,m=s.buffer,g=[s.x,s.y,s.z,s.w],v=["buffer","normalized","offset","stride"];function y(){n("if(!",p,".buffer){",d,".enableVertexAttribArray(",h,");}");var r,l=s.type;if(r=s.size?n.def(s.size,"||",a):a,n("if(",p,".type!==",l,"||",p,".size!==",r,"||",v.map((function(t){return p+"."+t+"!=="+s[t]})).join("||"),"){",d,".bindBuffer(",Sa,",",m,".buffer);",d,".vertexAttribPointer(",[h,r,l,s.normalized,s.stride,s.offset],");",p,".type=",l,";",p,".size=",r,";",v.map((function(t){return p+"."+t+"="+s[t]+";"})).join(""),"}"),_){var f=s.divisor;n("if(",p,".divisor!==",f,"){",t.instancing,".vertexAttribDivisorANGLE(",[h,f],");",p,".divisor=",f,";}")}}function b(){n("if(",p,".buffer){",d,".disableVertexAttribArray(",h,");",p,".buffer=null;","}if(",yo.map((function(t,n){return p+"."+t+"!=="+g[n]})).join("||"),"){",d,".vertexAttrib4f(",h,",",g,");",yo.map((function(t,n){return p+"."+t+"="+g[n]+";"})).join(""),"}")}f===xo?y():f===wo?b():(n("if(",f,"===",xo,"){"),y(),n("}else{"),b(),n("}"))}a.forEach((function(a){var l,p=a.name,f=r.attributes[p];if(f){if(!s(f))return;l=f.append(t,n)}else{if(!s(Ts))return;var m=t.scopeAttrib(p);ge.optional((function(){t.assert(n,m+".state","missing attribute "+p)})),l={},Object.keys(new w).forEach((function(t){l[t]=n.def(m,".",t)}))}h(t.link(a),d(a.info.type),l)}))}function de(t,n,a,s,l,d){for(var h,p=t.shared,f=p.gl,m={},g=0;g<s.length;++g){var v=s[g],y=v.name,b=v.info.type,x=v.info.size,w=a.uniforms[y];if(x>1){if(!w)continue;var S=y.replace("[0]","");if(m[S])continue;m[S]=1}var _,T=t.link(v)+".location";if(w){if(!l(w))continue;if(Ss(w)){var E=w.value;if(ge.command(null!=E,'missing uniform "'+y+'"',t.commandStr),b===Za||b===Ka){ge.command("function"==typeof E&&(b===Za&&("texture2d"===E._reglType||"framebuffer"===E._reglType)||b===Ka&&("textureCube"===E._reglType||"framebufferCube"===E._reglType)),"invalid texture for uniform "+y,t.commandStr);var C=t.link(E._texture||E.color[0]._texture);n(f,".uniform1i(",T,",",C+".bind());"),n.exit(C,".unbind();")}else if(b===qa||b===Xa||b===Ya){ge.optional((function(){ge.command(Mi(E),"invalid matrix for uniform "+y,t.commandStr),ge.command(b===qa&&4===E.length||b===Xa&&9===E.length||b===Ya&&16===E.length,"invalid length for matrix uniform "+y,t.commandStr)}));var A=t.global.def("new Float32Array(["+Array.prototype.slice.call(E)+"])"),O=2;b===Xa?O=3:b===Ya&&(O=4),n(f,".uniformMatrix",O,"fv(",T,",false,",A,");")}else{switch(b){case Da:1===x?ge.commandType(E,"number","uniform "+y,t.commandStr):ge.command(Mi(E)&&E.length===x,"uniform "+y,t.commandStr),h="1f";break;case Fa:ge.command(Mi(E)&&E.length&&E.length%2==0&&E.length<=2*x,"uniform "+y,t.commandStr),h="2f";break;case Na:ge.command(Mi(E)&&E.length&&E.length%3==0&&E.length<=3*x,"uniform "+y,t.commandStr),h="3f";break;case Ba:ge.command(Mi(E)&&E.length&&E.length%4==0&&E.length<=4*x,"uniform "+y,t.commandStr),h="4f";break;case Ua:1===x?ge.commandType(E,"boolean","uniform "+y,t.commandStr):ge.command(Mi(E)&&E.length===x,"uniform "+y,t.commandStr),h="1i";break;case za:1===x?ge.commandType(E,"number","uniform "+y,t.commandStr):ge.command(Mi(E)&&E.length===x,"uniform "+y,t.commandStr),h="1i";break;case Ga:case $a:ge.command(Mi(E)&&E.length&&E.length%2==0&&E.length<=2*x,"uniform "+y,t.commandStr),h="2i";break;case Ha:case ja:ge.command(Mi(E)&&E.length&&E.length%3==0&&E.length<=3*x,"uniform "+y,t.commandStr),h="3i";break;case Wa:case Va:ge.command(Mi(E)&&E.length&&E.length%4==0&&E.length<=4*x,"uniform "+y,t.commandStr),h="4i"}x>1?(h+="v",E=t.global.def("["+Array.prototype.slice.call(E)+"]")):E=Mi(E)?Array.prototype.slice.call(E):E,n(f,".uniform",h,"(",T,",",E,");")}continue}_=w.append(t,n)}else{if(!l(Ts))continue;_=n.def(p.uniforms,"[",r.id(y),"]")}b===Za?(ge(!Array.isArray(_),"must specify a scalar prop for textures"),n("if(",_,"&&",_,'._reglType==="framebuffer"){',_,"=",_,".color[0];","}")):b===Ka&&(ge(!Array.isArray(_),"must specify a scalar prop for cube maps"),n("if(",_,"&&",_,'._reglType==="framebufferCube"){',_,"=",_,".color[0];","}")),ge.optional((function(){function r(r,a){t.assert(n,r,'bad data or missing for uniform "'+y+'".  '+a)}function a(t,n){1===n&&ge(!Array.isArray(_),"must not specify an array type for uniform"),r("Array.isArray("+_+") && typeof "+_+'[0]===" '+t+'" || typeof '+_+'==="'+t+'"',"invalid type, expected "+t)}function s(n,a,s){Array.isArray(_)?ge(_.length&&_.length%n==0&&_.length<=n*s,"must have length of "+(1===s?"":"n * ")+n):r(p.isArrayLike+"("+_+")&&"+_+".length && "+_+".length % "+n+" === 0 && "+_+".length<="+n*s,"invalid vector, should have length of "+(1===s?"":"n * ")+n,t.commandStr)}function l(n){ge(!Array.isArray(_),"must not specify a value type"),r("typeof "+_+'==="function"&&'+_+'._reglType==="texture'+(n===Ma?"2d":"Cube")+'"',"invalid texture type",t.commandStr)}switch(b){case za:a("number",x);break;case $a:s(2,"number",x);break;case ja:s(3,"number",x);break;case Va:s(4,"number",x);break;case Da:a("number",x);break;case Fa:s(2,"number",x);break;case Na:s(3,"number",x);break;case Ba:s(4,"number",x);break;case Ua:a("boolean",x);break;case Ga:s(2,"boolean",x);break;case Ha:s(3,"boolean",x);break;case Wa:s(4,"boolean",x);break;case qa:s(4,"number",x);break;case Xa:s(9,"number",x);break;case Ya:s(16,"number",x);break;case Za:l(Ma);break;case Ka:l(Ta)}}));var I=1;switch(b){case Za:case Ka:var P=n.def(_,"._texture");n(f,".uniform1i(",T,",",P,".bind());"),n.exit(P,".unbind();");continue;case za:case Ua:h="1i";break;case $a:case Ga:h="2i",I=2;break;case ja:case Ha:h="3i",I=3;break;case Va:case Wa:h="4i",I=4;break;case Da:h="1f";break;case Fa:h="2f",I=2;break;case Na:h="3f",I=3;break;case Ba:h="4f",I=4;break;case qa:h="Matrix2fv";break;case Xa:h="Matrix3fv";break;case Ya:h="Matrix4fv"}if(-1===h.indexOf("Matrix")&&x>1&&(h+="v",I=1),"M"===h.charAt(0)){n(f,".uniform",h,"(",T,",");var D=Math.pow(b-qa+2,2),F=t.global.def("new Float32Array(",D,")");Array.isArray(_)?n("false,(",$e(D,(function(t){return F+"["+t+"]="+_[t]})),",",F,")"):n("false,(Array.isArray(",_,")||",_," instanceof Float32Array)?",_,":(",$e(D,(function(t){return F+"["+t+"]="+_+"["+t+"]"})),",",F,")"),n(");")}else if(I>1){for(var B=[],$=[],j=0;j<I;++j)Array.isArray(_)?$.push(_[j]):$.push(n.def(_+"["+j+"]")),d&&B.push(n.def());d&&n("if(!",t.batchId,"||",B.map((function(t,n){return t+"!=="+$[n]})).join("||"),"){",B.map((function(t,n){return t+"="+$[n]+";"})).join("")),n(f,".uniform",h,"(",T,",",$.join(","),");"),d&&n("}")}else{if(ge(!Array.isArray(_),"uniform value must not be an array"),d){var V=n.def();n("if(!",t.batchId,"||",V,"!==",_,"){",V,"=",_,";")}n(f,".uniform",h,"(",T,",",_,");"),d&&n("}")}}}function ue(t,n,r,a){var s=t.shared,l=s.gl,d=s.draw,h=a.draw;function p(){var p,f=h.elements,m=n;return f?((f.contextDep&&a.contextDynamic||f.propDep)&&(m=r),p=f.append(t,m),h.elementsActive&&m("if("+p+")"+l+".bindBuffer("+_a+","+p+".buffer.buffer);")):(p=m.def(),m(p,"=",d,".",aa,";","if(",p,"){",l,".bindBuffer(",_a,",",p,".buffer.buffer);}","else if(",s.vao,".currentVAO){",p,"=",t.shared.elements+".getElements("+s.vao,".currentVAO.elements);",E?"":"if("+p+")"+l+".bindBuffer("+_a+","+p+".buffer.buffer);","}")),p}function f(){var s,l=h.count,p=n;return l?((l.contextDep&&a.contextDynamic||l.propDep)&&(p=r),s=l.append(t,p),ge.optional((function(){l.MISSING&&t.assert(n,"false","missing vertex count"),l.DYNAMIC&&t.assert(p,s+">=0","missing vertex count")}))):(s=p.def(d,".",la),ge.optional((function(){t.assert(p,s+">=0","missing vertex count")}))),s}var m=p();function g(s){var l=h[s];return l?l.contextDep&&a.contextDynamic||l.propDep?l.append(t,r):l.append(t,n):n.def(d,".",s)}var v,y,b=g(sa),x=g(ca),w=f();if("number"==typeof w){if(0===w)return}else r("if(",w,"){"),r.exit("}");_&&(v=g(da),y=t.instancing);var S=m+".type",T=h.elements&&Ss(h.elements)&&!h.vaoActive;function C(){function t(){r(y,".drawElementsInstancedANGLE(",[b,w,S,x+"<<(("+S+"-"+bo+")>>1)",v],");")}function n(){r(y,".drawArraysInstancedANGLE(",[b,x,w,v],");")}m&&"null"!==m?T?t():(r("if(",m,"){"),t(),r("}else{"),n(),r("}")):n()}function A(){function t(){r(l+".drawElements("+[b,w,S,x+"<<(("+S+"-"+bo+")>>1)"]+");")}function n(){r(l+".drawArrays("+[b,x,w]+");")}m&&"null"!==m?T?t():(r("if(",m,"){"),t(),r("}else{"),n(),r("}")):n()}_&&("number"!=typeof v||v>=0)?"string"==typeof v?(r("if(",v,">0){"),C(),r("}else if(",v,"<0){"),A(),r("}")):C():A()}function he(t,n,r,a,s){var l=U(),d=l.proc("body",s);return ge.optional((function(){l.commandStr=n.commandStr,l.command=l.link(n.commandStr)})),_&&(l.instancing=d.def(l.shared.extensions,".angle_instanced_arrays")),t(l,d,r,a),l.compile().body}function pe(t,n,r,a){se(t,n),r.useVAO?r.drawVAO?n(t.shared.vao,".setVAO(",r.drawVAO.append(t,n),");"):n(t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"):(n(t.shared.vao,".setVAO(null);"),ce(t,n,r,a.attributes,(function(){return!0}))),de(t,n,r,a.uniforms,(function(){return!0}),!1),ue(t,n,n,r)}function fe(t,n){var r=t.proc("draw",1);se(t,r),ne(t,r,n.context),re(t,r,n.framebuffer),oe(t,r,n),ae(t,r,n.state),le(t,r,n,!1,!0);var a=n.shader.progVar.append(t,r);if(r(t.shared.gl,".useProgram(",a,".program);"),n.shader.program)pe(t,r,n,n.shader.program);else{r(t.shared.vao,".setVAO(null);");var s=t.global.def("{}"),l=r.def(a,".id"),d=r.def(s,"[",l,"]");r(t.cond(d).then(d,".call(this,a0);").else(d,"=",s,"[",l,"]=",t.link((function(r){return he(pe,t,n,r,1)})),"(",a,");",d,".call(this,a0);"))}Object.keys(n.state).length>0&&r(t.shared.current,".dirty=true;"),t.shared.vao&&r(t.shared.vao,".setVAO(null);")}function me(t,n,r,a){function s(){return!0}t.batchId="a1",se(t,n),ce(t,n,r,a.attributes,s),de(t,n,r,a.uniforms,s,!1),ue(t,n,n,r)}function ve(t,n,r,a){se(t,n);var s=r.contextDep,l=n.def(),d="a0",h="a1",p=n.def();t.shared.props=p,t.batchId=l;var f=t.scope(),m=t.scope();function g(t){return t.contextDep&&s||t.propDep}function v(t){return!g(t)}if(n(f.entry,"for(",l,"=0;",l,"<",h,";++",l,"){",p,"=",d,"[",l,"];",m,"}",f.exit),r.needsContext&&ne(t,m,r.context),r.needsFramebuffer&&re(t,m,r.framebuffer),ae(t,m,r.state,g),r.profile&&g(r.profile)&&le(t,m,r,!1,!0),a)r.useVAO?r.drawVAO?g(r.drawVAO)?m(t.shared.vao,".setVAO(",r.drawVAO.append(t,m),");"):f(t.shared.vao,".setVAO(",r.drawVAO.append(t,f),");"):f(t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"):(f(t.shared.vao,".setVAO(null);"),ce(t,f,r,a.attributes,v),ce(t,m,r,a.attributes,g)),de(t,f,r,a.uniforms,v,!1),de(t,m,r,a.uniforms,g,!0),ue(t,f,m,r);else{var y=t.global.def("{}"),b=r.shader.progVar.append(t,m),x=m.def(b,".id"),w=m.def(y,"[",x,"]");m(t.shared.gl,".useProgram(",b,".program);","if(!",w,"){",w,"=",y,"[",x,"]=",t.link((function(n){return he(me,t,r,n,2)})),"(",b,");}",w,".call(this,a0[",l,"],",l,");")}}function ye(t,n){var r=t.proc("batch",2);t.batchId="0",se(t,r);var a=!1,s=!0;Object.keys(n.context).forEach((function(t){a=a||n.context[t].propDep})),a||(ne(t,r,n.context),s=!1);var l=n.framebuffer,d=!1;function h(t){return t.contextDep&&a||t.propDep}l?(l.propDep?a=d=!0:l.contextDep&&a&&(d=!0),d||re(t,r,l)):re(t,r,null),n.state.viewport&&n.state.viewport.propDep&&(a=!0),oe(t,r,n),ae(t,r,n.state,(function(t){return!h(t)})),n.profile&&h(n.profile)||le(t,r,n,!1,"a1"),n.contextDep=a,n.needsContext=s,n.needsFramebuffer=d;var p=n.shader.progVar;if(p.contextDep&&a||p.propDep)ve(t,r,n,null);else{var f=p.append(t,r);if(r(t.shared.gl,".useProgram(",f,".program);"),n.shader.program)ve(t,r,n,n.shader.program);else{r(t.shared.vao,".setVAO(null);");var m=t.global.def("{}"),g=r.def(f,".id"),v=r.def(m,"[",g,"]");r(t.cond(v).then(v,".call(this,a0,a1);").else(v,"=",m,"[",g,"]=",t.link((function(r){return he(ve,t,n,r,2)})),"(",f,");",v,".call(this,a0,a1);"))}}Object.keys(n.state).length>0&&r(t.shared.current,".dirty=true;"),t.shared.vao&&r(t.shared.vao,".setVAO(null);")}function be(t,n){var a=t.proc("scope",3);t.batchId="a2";var s=t.shared,l=s.current;function d(r){var l=n.shader[r];l&&a.set(s.shader,"."+r,l.append(t,a))}ne(t,a,n.context),n.framebuffer&&n.framebuffer.append(t,a),xs(Object.keys(n.state)).forEach((function(r){var l=n.state[r].append(t,a);Mi(l)?l.forEach((function(n,s){a.set(t.next[r],"["+s+"]",n)})):a.set(s.next,"."+r,l)})),le(t,a,n,!0,!0),[aa,ca,la,da,sa].forEach((function(r){var l=n.draw[r];l&&a.set(s.draw,"."+r,""+l.append(t,a))})),Object.keys(n.uniforms).forEach((function(l){var d=n.uniforms[l].append(t,a);Array.isArray(d)&&(d="["+d.join()+"]"),a.set(s.uniforms,"["+r.id(l)+"]",d)})),Object.keys(n.attributes).forEach((function(r){var s=n.attributes[r].append(t,a),l=t.scopeAttrib(r);Object.keys(new w).forEach((function(t){a.set(l,"."+t,s[t])}))})),n.scopeVAO&&a.set(s.vao,".targetVAO",n.scopeVAO.append(t,a)),d(ra),d(oa),Object.keys(n.state).length>0&&(a(l,".dirty=true;"),a.exit(l,".dirty=true;")),a("a1(",t.shared.context,",a0,",t.batchId,");")}function xe(t){if("object"==typeof t&&!Mi(t)){for(var n=Object.keys(t),r=0;r<n.length;++r)if(Ae.isDynamic(t[n[r]]))return!0;return!1}}function we(t,n,r){var a=n.static[r];if(a&&xe(a)){var s=t.global,l=Object.keys(a),d=!1,h=!1,p=!1,f=t.global.def("{}");l.forEach((function(n){var r=a[n];if(Ae.isDynamic(r)){"function"==typeof r&&(r=a[n]=Ae.unbox(r));var l=Ms(r,null);d=d||l.thisDep,p=p||l.propDep,h=h||l.contextDep}else{switch(s(f,".",n,"="),typeof r){case"number":s(r);break;case"string":s('"',r,'"');break;case"object":Array.isArray(r)&&s("[",r.join(),"]");break;default:s(t.link(r))}s(";")}})),n.dynamic[r]=new Ae.DynamicVariable(Eo,{thisDep:d,contextDep:h,propDep:p,ref:f,append:m}),delete n.static[r]}function m(t,n){l.forEach((function(r){var s=a[r];if(Ae.isDynamic(s)){var l=t.invoke(n,s);n(f,".",r,"=",l,";")}}))}}function Se(t,r,a,s,l){var d=U();d.stats=d.link(l),Object.keys(r.static).forEach((function(t){we(d,r,t)})),wa.forEach((function(n){we(d,t,n)}));var h=ie(t,r,a,s,d);return fe(d,h),be(d,h),ye(d,h),n(d.compile(),{destroy:function(){h.shader.program.destroy()}})}return{next:A,current:C,procs:function(){var t=U(),n=t.proc("poll"),r=t.proc("refresh"),l=t.block();n(l),r(l);var d,h=t.shared,p=h.gl,f=h.next,m=h.current;l(m,".dirty=false;"),re(t,n),re(t,r,null,!0),_&&(d=t.link(_)),a.oes_vertex_array_object&&r(t.link(a.oes_vertex_array_object),".bindVertexArrayOES(null);");for(var g=0;g<s.maxAttributes;++g){var v=r.def(h.attributes,"[",g,"]"),y=t.cond(v,".buffer");y.then(p,".enableVertexAttribArray(",g,");",p,".bindBuffer(",Sa,",",v,".buffer.buffer);",p,".vertexAttribPointer(",g,",",v,".size,",v,".type,",v,".normalized,",v,".stride,",v,".offset);").else(p,".disableVertexAttribArray(",g,");",p,".vertexAttrib4f(",g,",",v,".x,",v,".y,",v,".z,",v,".w);",v,".buffer=null;"),r(y),_&&r(d,".vertexAttribDivisorANGLE(",g,",",v,".divisor);")}return r(t.shared.vao,".currentVAO=null;",t.shared.vao,".setVAO(",t.shared.vao,".targetVAO);"),Object.keys(I).forEach((function(a){var s=I[a],d=l.def(f,".",a),h=t.block();h("if(",d,"){",p,".enable(",s,")}else{",p,".disable(",s,")}",m,".",a,"=",d,";"),r(h),n("if(",d,"!==",m,".",a,"){",h,"}")})),Object.keys(P).forEach((function(a){var s,d,h=P[a],g=C[a],v=t.block();if(v(p,".",h,"("),Mi(g)){var y=g.length;s=t.global.def(f,".",a),d=t.global.def(m,".",a),v($e(y,(function(t){return s+"["+t+"]"})),");",$e(y,(function(t){return d+"["+t+"]="+s+"["+t+"];"})).join("")),n("if(",$e(y,(function(t){return s+"["+t+"]!=="+d+"["+t+"]"})).join("||"),"){",v,"}")}else s=l.def(f,".",a),d=l.def(m,".",a),v(s,");",m,".",a,"=",s,";"),n("if(",s,"!==",d,"){",v,"}");r(v)})),t.compile()}(),compile:Se}}function Cs(){return{vaoCount:0,bufferCount:0,elementsCount:0,framebufferCount:0,shaderCount:0,textureCount:0,cubeCount:0,renderbufferCount:0,maxTextureUnits:0}}var As=34918,ks=34919,Os=35007,Rs=function(t,n){if(!n.ext_disjoint_timer_query)return null;var r=[];function a(){return r.pop()||n.ext_disjoint_timer_query.createQueryEXT()}function s(t){r.push(t)}var l=[];function d(t){var r=a();n.ext_disjoint_timer_query.beginQueryEXT(Os,r),l.push(r),y(l.length-1,l.length,t)}function h(){n.ext_disjoint_timer_query.endQueryEXT(Os)}function p(){this.startQueryIndex=-1,this.endQueryIndex=-1,this.sum=0,this.stats=null}var f=[];function m(){return f.pop()||new p}function g(t){f.push(t)}var v=[];function y(t,n,r){var a=m();a.startQueryIndex=t,a.endQueryIndex=n,a.sum=0,a.stats=r,v.push(a)}var b=[],x=[];function w(){var t,r,a=l.length;if(0!==a){x.length=Math.max(x.length,a+1),b.length=Math.max(b.length,a+1),b[0]=0,x[0]=0;var d=0;for(t=0,r=0;r<l.length;++r){var h=l[r];n.ext_disjoint_timer_query.getQueryObjectEXT(h,ks)?(d+=n.ext_disjoint_timer_query.getQueryObjectEXT(h,As),s(h)):l[t++]=h,b[r+1]=d,x[r+1]=t}for(l.length=t,t=0,r=0;r<v.length;++r){var p=v[r],f=p.startQueryIndex,m=p.endQueryIndex;p.sum+=b[m]-b[f];var y=x[f],w=x[m];w===y?(p.stats.gpuTime+=p.sum/1e6,g(p)):(p.startQueryIndex=y,p.endQueryIndex=w,v[t++]=p)}v.length=t}}return{beginQuery:d,endQuery:h,pushScopeStats:y,update:w,getNumPendingQueries:function(){return l.length},clear:function(){r.push.apply(r,l);for(var t=0;t<r.length;t++)n.ext_disjoint_timer_query.deleteQueryEXT(r[t]);l.length=0,r.length=0},restore:function(){l.length=0,r.length=0}}},Is=16384,Ps=256,Ls=1024,Ds=34962,Fs="webglcontextlost",Ns="webglcontextrestored",Bs=1,zs=2,$s=3;function js(t,n){for(var r=0;r<t.length;++r)if(t[r]===n)return r;return-1}function Vs(t){var r=Be(t);if(!r)return null;var a=r.gl,s=a.getContextAttributes(),l=a.isContextLost(),d=ze(a,r);if(!d)return null;var h=Re(),p=Cs(),f=d.extensions,m=Rs(a,f),g=Oe(),v=a.drawingBufferWidth,y=a.drawingBufferHeight,b={tick:0,time:0,viewportWidth:v,viewportHeight:y,framebufferWidth:v,framebufferHeight:y,drawingBufferWidth:v,drawingBufferHeight:y,pixelRatio:r.pixelRatio},x={},w={elements:null,primitive:4,count:-1,offset:0,instances:-1},S=Ft(a,f),_=oi(a,p,r,C),T=bi(a,f,_,p),E=no(a,f,S,p,_,T,w);function C(t){return E.destroyBuffer(t)}var A=lo(a,h,p,r),O=cr(a,f,S,(function(){D.procs.poll()}),b,p,r),I=_r(a,f,S,p,r),P=Kr(a,f,S,O,I,p),D=Es(a,h,f,S,_,T,O,P,x,E,A,w,b,m,r),F=fo(a,P,D.procs.poll,b,s,f,S),B=D.next,$=a.canvas,j=[],V=[],U=[],G=[r.onDestroy],W=null;function q(){if(0===j.length)return m&&m.update(),void(W=null);W=ke.next(q),ae();for(var t=j.length-1;t>=0;--t){var n=j[t];n&&n(b,null,0)}a.flush(),m&&m.update()}function X(){!W&&j.length>0&&(W=ke.next(q))}function Y(){W&&(ke.cancel(q),W=null)}function K(t){t.preventDefault(),l=!0,Y(),V.forEach((function(t){t()}))}function J(t){a.getError(),l=!1,d.restore(),A.restore(),_.restore(),O.restore(),I.restore(),P.restore(),E.restore(),m&&m.restore(),D.procs.refresh(),X(),U.forEach((function(t){t()}))}function Q(){j.length=0,Y(),$&&($.removeEventListener(Fs,K),$.removeEventListener(Ns,J)),A.clear(),P.clear(),I.clear(),E.clear(),O.clear(),T.clear(),_.clear(),m&&m.clear(),G.forEach((function(t){t()}))}function ee(t){function r(t){var r=n({},t);function a(t){if(t in r){var n=r[t];delete r[t],Object.keys(n).forEach((function(a){r[t+"."+a]=n[a]}))}}return delete r.uniforms,delete r.attributes,delete r.context,delete r.vao,"stencil"in r&&r.stencil.op&&(r.stencil.opBack=r.stencil.opFront=r.stencil.op,delete r.stencil.op),a("blend"),a("depth"),a("cull"),a("stencil"),a("polygonOffset"),a("scissor"),a("sample"),"vao"in t&&(r.vao=t.vao),r}function a(t,n){var r={},a={};return Object.keys(t).forEach((function(s){var l=t[s];if(Ae.isDynamic(l))a[s]=Ae.unbox(l,s);else{if(n&&Array.isArray(l))for(var d=0;d<l.length;++d)if(Ae.isDynamic(l[d]))return void(a[s]=Ae.unbox(l,s));r[s]=l}})),{dynamic:a,static:r}}ge(!!t,"invalid args to regl({...})"),ge.type(t,"object","invalid args to regl({...})");var s=a(t.context||{},!0),d=a(t.uniforms||{},!0),h=a(t.attributes||{},!1),p=a(r(t),!1),f={gpuTime:0,cpuTime:0,count:0},m=D.compile(p,h,d,s,f),g=m.draw,v=m.batch,y=m.scope,b=[];function x(t){for(;b.length<t;)b.push(null);return b}function w(t,n){var r;if(l&&ge.raise("context lost"),"function"==typeof t)return y.call(this,null,t,0);if("function"==typeof n)if("number"==typeof t)for(r=0;r<t;++r)y.call(this,null,n,r);else{if(!Array.isArray(t))return y.call(this,t,n,0);for(r=0;r<t.length;++r)y.call(this,t[r],n,r)}else if("number"==typeof t){if(t>0)return v.call(this,x(0|t),0|t)}else{if(!Array.isArray(t))return g.call(this,t);if(t.length)return v.call(this,t,t.length)}}return n(w,{stats:f,destroy:function(){m.destroy()}})}$&&($.addEventListener(Fs,K,!1),$.addEventListener(Ns,J,!1));var te=P.setFBO=ee({framebuffer:Ae.define.call(null,Bs,"framebuffer")});function ie(t,n){var r=0;D.procs.poll();var s=n.color;s&&(a.clearColor(+s[0]||0,+s[1]||0,+s[2]||0,+s[3]||0),r|=Is),"depth"in n&&(a.clearDepth(+n.depth),r|=Ps),"stencil"in n&&(a.clearStencil(0|n.stencil),r|=Ls),ge(!!r,"called regl.clear with no buffer specified"),a.clear(r)}function ne(t){if(ge("object"==typeof t&&t,"regl.clear() takes an object as input"),"framebuffer"in t)if(t.framebuffer&&"framebufferCube"===t.framebuffer_reglType)for(var r=0;r<6;++r)te(n({framebuffer:t.framebuffer.faces[r]},t),ie);else te(t,ie);else ie(null,t)}function re(t){function n(){var n=js(j,t);function r(){var t=js(j,r);j[t]=j[j.length-1],j.length-=1,j.length<=0&&Y()}ge(n>=0,"cannot cancel a frame twice"),j[n]=r}return ge.type(t,"function","regl.frame() callback must be a function"),j.push(t),X(),{cancel:n}}function oe(){var t=B.viewport,n=B.scissor_box;t[0]=t[1]=n[0]=n[1]=0,b.viewportWidth=b.framebufferWidth=b.drawingBufferWidth=t[2]=n[2]=a.drawingBufferWidth,b.viewportHeight=b.framebufferHeight=b.drawingBufferHeight=t[3]=n[3]=a.drawingBufferHeight}function ae(){b.tick+=1,b.time=le(),oe(),D.procs.poll()}function se(){O.refresh(),oe(),D.procs.refresh(),m&&m.update()}function le(){return(Oe()-g)/1e3}function ce(t,n){var r;switch(ge.type(n,"function","listener callback must be a function"),t){case"frame":return re(n);case"lost":r=V;break;case"restore":r=U;break;case"destroy":r=G;break;default:ge.raise("invalid event, must be one of frame,lost,restore,destroy")}return r.push(n),{cancel:function(){for(var t=0;t<r.length;++t)if(r[t]===n)return r[t]=r[r.length-1],void r.pop()}}}se();var de=n(ee,{clear:ne,prop:Ae.define.bind(null,Bs),context:Ae.define.bind(null,zs),this:Ae.define.bind(null,$s),draw:ee({}),buffer:function(t){return _.create(t,Ds,!1,!1)},elements:function(t){return T.create(t,!1)},texture:O.create2D,cube:O.createCube,renderbuffer:I.create,framebuffer:P.create,framebufferCube:P.createCube,vao:E.createVAO,attributes:s,frame:re,on:ce,limits:S,hasExtension:function(t){return S.extensions.indexOf(t.toLowerCase())>=0},read:F,destroy:Q,_gl:a,_refresh:se,poll:function(){ae(),m&&m.update()},now:le,stats:p});return r.onDone(null,de),de}return Vs}()},3302:function(t,n,r){"use strict";var a=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var a,s,l=r.call(t),d=[];try{for(;(void 0===n||n-- >0)&&!(a=l.next()).done;)d.push(a.value)}catch(t){s={error:t}}finally{try{a&&!a.done&&(r=l.return)&&r.call(l)}finally{if(s)throw s.error}}return d};Object.defineProperty(n,"__esModule",{value:!0});var s=r(2212),l=new Map,d=/^(rgba|hsla)\((\d+),\s*(\d+%?),\s*(\d+%?)(?:,\s*(\d+(?:\.\d+)?))?\)$/;n.parseColor=function(t){if(l.has(t))return l.get(t);var n=function(t){var n=d.exec(t);if(n){var r=a(n,6),s=(r[0],r[1]),l=r[2],h=r[3],p=r[4],f=r[5];return{colorString:s.replace("a","")+"("+l+","+h+","+p+")",opacity:parseFloat(f)}}return{colorString:t,opacity:1}}(t),r=n.colorString,h=n.opacity,p=new s.Color(r),f={r:p.r,g:p.g,b:p.b,opacity:h};return l.set(t,f),f}},2962:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0}),n.RGB_NUM_ELEMENTS=3,n.RGBA_NUM_ELEMENTS=4,n.XYZ_NUM_ELEMENTS=3,n.UV_NUM_ELEMENTS=2,n.INDEX_NUM_ELEMENTS=1,n.SCATTER_PLOT_CUBE_LENGTH=2},8683:function(t,n){"use strict";var r=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],a=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&a>=t.length&&(t=void 0),{value:t&&t[a++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var a="Points must be an array of either 2 or 3 dimensional number arrays",s=function(){function t(t,n){var s,l;void 0===n&&(n=[]),this.points=t,this.metadata=n;var d=t[0].length;if(2!==d&&3!==d)throw new Error(a);try{for(var h=r(t),p=h.next();!p.done;p=h.next()){if(d!==p.value.length)throw new Error(a)}}catch(t){s={error:t}}finally{try{p&&!p.done&&(l=h.return)&&l.call(h)}finally{if(s)throw s.error}}this.dimensions=d}return t.prototype.setSpriteMetadata=function(t){this.spriteMetadata=t},t}();n.Dataset=s},2688:(t,n,r)=>{"use strict";var a=r(31);n.cq=a.ScatterGL;var s=r(8683);n.qz=s.Dataset},1223:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(){function t(t,n,r){this.bound=t,this.cellWidth=n,this.cellHeight=r,this.numHorizCells=Math.ceil(this.boundWidth(t)/n),this.numVertCells=Math.ceil(this.boundHeight(t)/r),this.grid=new Array(this.numHorizCells*this.numVertCells)}return t.prototype.boundWidth=function(t){return t.hiX-t.loX},t.prototype.boundHeight=function(t){return t.hiY-t.loY},t.prototype.boundsIntersect=function(t,n){return!(t.loX>n.hiX||t.loY>n.hiY||t.hiX<n.loX||t.hiY<n.loY)},t.prototype.insert=function(t,n){if(void 0===n&&(n=!1),t.hiX<this.bound.loX||t.loX>this.bound.hiX||t.hiY<this.bound.loY||t.loY>this.bound.hiY)return!1;for(var r=this.getCellX(t.loX),a=this.getCellX(t.hiX),s=this.getCellY(t.loY),l=this.getCellY(t.hiY),d=s*this.numHorizCells+r,h=d,p=s;p<=l;p++){for(var f=r;f<=a;f++){var m=this.grid[h++];if(m)for(var g=0;g<m.length;g++)if(this.boundsIntersect(t,m[g]))return!1}h+=this.numHorizCells-(a-r+1)}if(n)return!0;h=d;for(p=s;p<=l;p++){for(f=r;f<=a;f++)this.grid[h]?this.grid[h].push(t):this.grid[h]=[t],h++;h+=this.numHorizCells-(a-r+1)}return!0},t.prototype.getCellX=function(t){return Math.floor((t-this.bound.loX)/this.cellWidth)},t.prototype.getCellY=function(t){return Math.floor((t-this.bound.loY)/this.cellHeight)},t}();n.CollisionGrid=r},7029:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(t,n,r,a,s,l,d){this.pointIndices=t,this.labelStrings=n,this.scaleFactors=r,this.useSceneOpacityFlags=a,this.defaultFontSize=s,this.fillColors=l,this.strokeColors=d};n.LabelRenderParams=r,function(t){t[t.Perspective=0]="Perspective",t[t.Orthographic=1]="Orthographic"}(n.CameraType||(n.CameraType={}));var a=function(t,n,r,a,s,l,d,h,p,f,m,g,v,y){this.camera=t,this.cameraType=n,this.cameraTarget=r,this.screenWidth=a,this.screenHeight=s,this.nearestCameraSpacePointZ=l,this.farthestCameraSpacePointZ=d,this.backgroundColor=h,this.pointColors=p,this.pointScaleFactors=f,this.labels=m,this.polylineColors=g,this.polylineOpacities=v,this.polylineWidths=y};n.RenderContext=a},31:function(t,n,r){"use strict";var a=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var a,s,l=r.call(t),d=[];try{for(;(void 0===n||n-- >0)&&!(a=l.next()).done;)d.push(a.value)}catch(t){s={error:t}}finally{try{a&&!a.done&&(r=l.return)&&r.call(l)}finally{if(s)throw s.error}}return d},s=this&&this.__spread||function(){for(var t=[],n=0;n<arguments.length;n++)t=t.concat(a(arguments[n]));return t},l=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],a=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&a>=t.length&&(t=void 0),{value:t&&t[a++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var d=r(5748),h=r(3302),p=r(8683),f=r(7029),m=r(83),g=r(9813),v=r(2962),y=r(9877),b=r(5788),x=r(4183),w=r(6516),S=function(){function t(t,n){var r=this;void 0===n&&(n={}),this.pointColorer=null,this.sequences=[],this.renderMode="POINT",this.rotateOnStart=!0,this.selectEnabled=!0,this.showLabelsOnHover=!0,this.hoverPointIndex=null,this.selectedPointIndices=new Set,this.clickCallback=function(){},this.hoverCallback=function(){},this.selectCallback=function(){},this.cameraMoveCallback=function(){},this.onHover=function(t){r.hoverCallback(t),r.hoverPointIndex=t,r.updateScatterPlotAttributes(),r.renderScatterPlot()},this.onClick=function(t){r.clickCallback(t)},this.select=function(t){r.selectEnabled&&(r.selectedPointIndices=new Set(t),r.updateScatterPlotAttributes(),r.renderScatterPlot())},this.onSelect=function(t){r.selectEnabled&&(r.selectCallback(t),r.select(t))},this.containerElement=t,this.styles=m.makeStyles(n.styles),this.setParameters(n),this.scatterPlot=new d.ScatterPlot(t,{camera:n.camera,onClick:this.onClick,onHover:this.onHover,onSelect:this.onSelect,selectEnabled:this.selectEnabled,styles:this.styles,orbitControlParams:n.orbitControls}),this.scatterPlot.onCameraMove(this.cameraMoveCallback)}return t.prototype.setParameters=function(t){void 0!==t.onClick&&(this.clickCallback=t.onClick),void 0!==t.onHover&&(this.hoverCallback=t.onHover),void 0!==t.onSelect&&(this.selectCallback=t.onSelect),void 0!==t.onCameraMove&&(this.cameraMoveCallback=t.onCameraMove),void 0!==t.pointColorer&&(this.pointColorer=t.pointColorer),void 0!==t.renderMode&&(this.renderMode=t.renderMode),void 0!==t.rotateOnStart&&(this.rotateOnStart=t.rotateOnStart),void 0!==t.selectEnabled&&(this.selectEnabled=t.selectEnabled),void 0!==t.showLabelsOnHover&&(this.showLabelsOnHover=t.showLabelsOnHover)},t.prototype.render=function(t){this.updateDataset(t),this.clearVisualizers(),this.setVisualizers(),this.rotateOnStart&&this.scatterPlot.startOrbitAnimation()},t.prototype.clearVisualizers=function(){this.canvasLabelsVisualizer=void 0,this.labels3DVisualizer=void 0,this.pointVisualizer=void 0,this.polylineVisualizer=void 0,this.spritesheetVisualizer=void 0,this.scatterPlot.disposeAllVisualizers()},t.prototype.renderScatterPlot=function(){this.dataset&&this.scatterPlot.render()},t.prototype.resetZoom=function(){this.scatterPlot.resetZoom()},t.prototype.setRenderMode=function(t){this.renderMode=t,this.setVisualizers(),this.updateScatterPlotAttributes(),this.updateScatterPlotPositions()},t.prototype.setTextRenderMode=function(){this.setRenderMode("TEXT"),this.renderScatterPlot()},t.prototype.setPointRenderMode=function(){this.setRenderMode("POINT"),this.renderScatterPlot()},t.prototype.setSpriteRenderMode=function(){this.dataset&&this.dataset.spriteMetadata&&(this.setRenderMode("SPRITE"),this.renderScatterPlot())},t.prototype.setSequences=function(t){this.sequences=t,this.updatePolylineAttributes(),this.setVisualizers(),this.renderScatterPlot()},t.prototype.setPanMode=function(){this.scatterPlot.setInteractionMode("PAN")},t.prototype.setSelectMode=function(){this.scatterPlot.setInteractionMode("SELECT")},t.prototype.setDimensions=function(t){var n=t<2||t>3,r=this.dataset&&t>this.dataset.dimensions;if(n||r)throw new RangeError("Setting invalid dimensionality");this.scatterPlot.setDimensions(t),this.renderScatterPlot()},t.prototype.setPointColorer=function(t){this.pointColorer=t,this.updateScatterPlotAttributes(),this.renderScatterPlot()},t.prototype.callPointColorer=function(t,n){return t(n,this.selectedPointIndices,this.hoverPointIndex)},t.prototype.setHoverPointIndex=function(t){this.hoverPointIndex=t,this.updateScatterPlotAttributes(),this.scatterPlot.orbitIsAnimating()||this.renderScatterPlot()},t.prototype.resize=function(){this.scatterPlot.resize()},t.prototype.updateDataset=function(t){this.setDataset(t),this.scatterPlot.setDimensions(t.dimensions),this.updateScatterPlotAttributes(),this.updateScatterPlotPositions(),this.renderScatterPlot()},t.prototype.isOrbiting=function(){return this.scatterPlot.orbitIsAnimating()},t.prototype.startOrbitAnimation=function(){this.scatterPlot.startOrbitAnimation()},t.prototype.stopOrbitAnimation=function(){this.scatterPlot.stopOrbitAnimation()},t.prototype.setDataset=function(t){this.dataset=t,this.labels3DVisualizer&&this.labels3DVisualizer.setLabelStrings(this.generate3DLabelsArray())},t.prototype.updateScatterPlotPositions=function(){var t=this.dataset;if(t){var n=this.generatePointPositionArray(t);this.scatterPlot.setPointPositions(n)}},t.prototype.updateScatterPlotAttributes=function(){var t=this.dataset;if(t){var n=this.generatePointColorArray(t),r=this.generatePointScaleFactorArray(t),a=this.generateVisibleLabelRenderParams();this.scatterPlot.setPointColors(n),this.scatterPlot.setPointScaleFactors(r),this.scatterPlot.setLabels(a)}},t.prototype.updatePolylineAttributes=function(){var t=this.dataset;if(t){var n=this.generateLineSegmentColorMap(t),r=this.generateLineSegmentOpacityArray(t),a=this.generateLineSegmentWidthArray(t);this.scatterPlot.setPolylineColors(n),this.scatterPlot.setPolylineOpacities(r),this.scatterPlot.setPolylineWidths(a)}},t.prototype.generatePointPositionArray=function(t){var n,r,a=[0,0];n=g.extent(t.points.map((function(t){return t[0]}))),r=g.extent(t.points.map((function(t){return t[1]}))),3===t.dimensions&&(a=g.extent(t.points.map((function(t){return t[2]}))));var s=function(t){return Math.abs(t[1]-t[0])},l=s(n),d=s(r),h=s(a),p=Math.max(l,d,h),f=v.SCATTER_PLOT_CUBE_LENGTH/2,m=function(t,n){return[t/p*-n,n*(t/p)]},y=m(l,f),b=m(d,f),x=m(h,f),w=new Float32Array(3*t.points.length),S=0;return t.points.forEach((function(s,l){var d=t.points[l];w[S++]=g.scaleLinear(d[0],n,y),w[S++]=g.scaleLinear(d[1],r,b),3===t.dimensions?w[S++]=g.scaleLinear(d[2],a,x):w[S++]=0})),w},t.prototype.generateVisibleLabelRenderParams=function(){var t=this,n=t.hoverPointIndex,r=t.selectedPointIndices,a=t.styles,l=null!==n?1:0,d=new Uint32Array(l),h=new Float32Array(l),p=new Int8Array(l),m=new Uint8Array(3*l),v=new Uint8Array(3*l),y=[];h.fill(a.label.scaleDefault),p.fill(1);var b=0;if(null!==n){y.push(this.getLabelText(n)),d[b]=n,h[b]=a.label.scaleLarge,p[b]=0;var x=g.styleRgbFromHexColor(a.label.fillColorHover);g.packRgbIntoUint8Array(m,b,x[0],x[1],x[2]);var w=g.styleRgbFromHexColor(a.label.strokeColorHover);g.packRgbIntoUint8Array(v,b,w[0],w[1],w[1]),++b}x=g.styleRgbFromHexColor(a.label.fillColorSelected),w=g.styleRgbFromHexColor(a.label.strokeColorSelected);if(1===r.size){var S=s(r)[0];y.push(this.getLabelText(S)),d[b]=S,h[b]=a.label.scaleLarge,p[b]=0,g.packRgbIntoUint8Array(m,b,x[0],x[1],x[2]),g.packRgbIntoUint8Array(v,b,w[0],w[1],w[2])}return new f.LabelRenderParams(new Float32Array(d),y,h,p,a.label.fontSize,m,v)},t.prototype.generatePointScaleFactorArray=function(t){var n,r,a=this,s=a.hoverPointIndex,d=a.selectedPointIndices,h=a.styles.point,p=h.scaleDefault,f=h.scaleSelected,m=h.scaleHover,g=new Float32Array(t.points.length);g.fill(p);d.size;try{for(var v=l(d.values()),y=v.next();!y.done;y=v.next()){g[y.value]=f}}catch(t){n={error:t}}finally{try{y&&!y.done&&(r=v.return)&&r.call(v)}finally{if(n)throw n.error}}return null!=s&&(g[s]=m),g},t.prototype.generatePointColorArray=function(t){var n,r,a=this,s=a.hoverPointIndex,d=a.pointColorer,p=a.selectedPointIndices,f=a.styles.point,m=f.colorHover,g=f.colorNoSelection,y=f.colorSelected,b=f.colorUnselected,x=new Float32Array(t.points.length*v.RGBA_NUM_ELEMENTS),w=b,S=g;"TEXT"===this.renderMode&&(w=this.styles.label3D.colorUnselected,S=this.styles.label3D.colorNoSelection),"SPRITE"===this.renderMode&&(w=this.styles.sprites.colorUnselected,S=this.styles.sprites.colorNoSelection);var _=t.points.length,T=this.selectedPointIndices.size;if(d)for(var E=0,C=0;C<_;++C){var A=h.parseColor(this.callPointColorer(d,C)||S);x[E++]=A.r,x[E++]=A.g,x[E++]=A.b,x[E++]=A.opacity}else{for(E=0,A=T>0?h.parseColor(w):h.parseColor(S),C=0;C<_;++C)x[E++]=A.r,x[E++]=A.g,x[E++]=A.b,x[E++]=A.opacity;A=h.parseColor(y);try{for(var O=l(p.values()),I=O.next();!I.done;I=O.next()){var P=I.value*v.RGBA_NUM_ELEMENTS;x[P++]=A.r,x[P++]=A.g,x[P++]=A.b,x[P++]=A.opacity}}catch(t){n={error:t}}finally{try{I&&!I.done&&(r=O.return)&&r.call(O)}finally{if(n)throw n.error}}if(null!=s){var D=h.parseColor(m),F=s*v.RGBA_NUM_ELEMENTS;x[F++]=D.r,x[F++]=D.g,x[F++]=D.b,x[F++]=D.opacity}}return x},t.prototype.generate3DLabelsArray=function(){var t=this.dataset;if(!t)return[];for(var n=[],r=t.points.length,a=0;a<r;++a)n.push(this.getLabelText(a));return n},t.prototype.generateLineSegmentColorMap=function(t){for(var n=this.pointColorer,r=this.styles,a={},s=0;s<this.sequences.length;s++){var l=this.sequences[s],d=new Float32Array(2*(l.indices.length-1)*3),p=0;if(n)for(var f=0;f<l.indices.length-1;f++){var m=h.parseColor(this.callPointColorer(n,l.indices[f])),v=h.parseColor(this.callPointColorer(n,l.indices[f+1]));d[p++]=m.r,d[p++]=m.g,d[p++]=m.b,d[p++]=v.r,d[p++]=v.g,d[p++]=v.b}else for(f=0;f<l.indices.length-1;f++){m=g.getDefaultPointInPolylineColor(f,l.indices.length,r.polyline.startHue,r.polyline.endHue,r.polyline.saturation,r.polyline.lightness),v=g.getDefaultPointInPolylineColor(f+1,l.indices.length,r.polyline.startHue,r.polyline.endHue,r.polyline.saturation,r.polyline.lightness);d[p++]=m.r,d[p++]=m.g,d[p++]=m.b,d[p++]=v.r,d[p++]=v.g,d[p++]=v.b}a[s]=d}return a},t.prototype.generateLineSegmentOpacityArray=function(t){var n=this.selectedPointIndices,r=this.styles,a=new Float32Array(this.sequences.length);if(n.size>0){a.fill(r.polyline.deselectedOpacity);var l=this.polylineVisualizer.getPointSequenceIndex(s(n)[0]);void 0!==l&&(a[l]=r.polyline.selectedOpacity)}else a.fill(r.polyline.defaultOpacity);return a},t.prototype.generateLineSegmentWidthArray=function(t){var n=this.selectedPointIndices,r=this.styles,a=new Float32Array(this.sequences.length);if(a.fill(r.polyline.defaultLineWidth),n.size>0){var l=this.polylineVisualizer.getPointSequenceIndex(s(n)[0]);void 0!==l&&(a[l]=r.polyline.selectedLineWidth)}return a},t.prototype.getLabelText=function(t){var n=this.dataset;if(!n)return"";var r=n.metadata[t];return r&&null!=r.label?""+r.label:""},t.prototype.initializeCanvasLabelsVisualizer=function(){return this.canvasLabelsVisualizer||(this.canvasLabelsVisualizer=new x.ScatterPlotVisualizerCanvasLabels(this.containerElement,this.styles)),this.canvasLabelsVisualizer},t.prototype.initialize3DLabelsVisualizer=function(){return this.labels3DVisualizer||(this.labels3DVisualizer=new y.ScatterPlotVisualizer3DLabels(this.styles)),this.labels3DVisualizer.setLabelStrings(this.generate3DLabelsArray()),this.labels3DVisualizer},t.prototype.initializePointVisualizer=function(){return this.pointVisualizer||(this.pointVisualizer=new b.ScatterPlotVisualizerSprites(this.styles)),this.pointVisualizer},t.prototype.initializeSpritesheetVisualizer=function(){var t=this,n=this.styles,r=this.dataset,a=r.spriteMetadata;if(!this.spritesheetVisualizer&&a){if(!a.spriteImage||!a.singleSpriteSize)return;var s=r.points.length,l=void 0;if(a.spriteIndices)l=new Float32Array(a.spriteIndices);else{l=new Float32Array(s);for(var d=0;d<s;++d)l[d]=d}var h=new b.ScatterPlotVisualizerSprites(n,{spritesheetImage:a.spriteImage,spriteDimensions:a.singleSpriteSize,spriteIndices:l,onImageLoad:function(){return t.renderScatterPlot()}});h.id="SPRITE_SHEET_VISUALIZER",this.spritesheetVisualizer=h}return this.spritesheetVisualizer},t.prototype.initializePolylineVisualizer=function(){return this.polylineVisualizer||(this.polylineVisualizer=new w.ScatterPlotVisualizerPolylines),this.polylineVisualizer.setSequences(this.sequences),this.polylineVisualizer},t.prototype.setVisualizers=function(){var t=this.dataset,n=this.renderMode,r=[];if("TEXT"===n){var a=this.initialize3DLabelsVisualizer();r.push(a)}else if("POINT"===n){a=this.initializePointVisualizer();r.push(a)}else if("SPRITE"===n&&t.spriteMetadata){(a=this.initializeSpritesheetVisualizer())&&r.push(a)}if(this.sequences.length>0){a=this.initializePolylineVisualizer();r.push(a)}if(("POINT"===n||"SPRITE"===n)&&this.showLabelsOnHover){a=this.initializeCanvasLabelsVisualizer();r.push(a)}this.scatterPlot.setActiveVisualizers(r)},t.Dataset=p.Dataset,t}();n.ScatterGL=S},5748:function(t,n,r){"use strict";var a=this&&this.__assign||function(){return a=Object.assign||function(t){for(var n,r=1,a=arguments.length;r<a;r++)for(var s in n=arguments[r])Object.prototype.hasOwnProperty.call(n,s)&&(t[s]=n[s]);return t},a.apply(this,arguments)},s=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var a,s,l=r.call(t),d=[];try{for(;(void 0===n||n-- >0)&&!(a=l.next()).done;)d.push(a.value)}catch(t){s={error:t}}finally{try{a&&!a.done&&(r=l.return)&&r.call(l)}finally{if(s)throw s.error}}return d},l=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],a=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&a>=t.length&&(t=void 0),{value:t&&t[a++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var d=r(2212),h=r(2886),p=r(7029),f=r(9813),m=r(2779),g=1.2,v="Shift",y="Control",b=new d.Vector3(.45,.9,1.6),x=new d.Vector3(0,0,0),w=new d.Vector3(0,0,4),S=new d.Vector3(0,0,0),_={mouseRotateSpeed:1,autoRotateSpeed:2,zoomSpeed:.125},T=function(){function t(t,n){var r=this;this.clickCallback=function(){},this.hoverCallback=function(){},this.selectCallback=function(){},this.selectEnabled=!0,this.visualizers=new Map,this.onCameraMoveListeners=[],this.height=0,this.width=0,this.dimensions=3,this.interactionMode="PAN",this.pickingTexture=new d.WebGLRenderTarget(0,0),this.orbitAnimationOnNextCameraCreation=!1,this.orbitAnimationId=null,this.worldSpacePointPositions=new Float32Array(0),this.pointColors=new Float32Array(0),this.pointScaleFactors=new Float32Array(0),this.polylineColors={},this.polylineOpacities=new Float32Array(0),this.polylineWidths=new Float32Array(0),this.selecting=!1,this.nearestPoint=null,this.mouseIsDown=!1,this.isDragSequence=!1,this.lastHovered=null,this.container=t,this.styles=n.styles,this.setParameters(n),this.computeLayoutValues(),this.scene=new d.Scene,this.renderer=new d.WebGLRenderer({alpha:!0,premultipliedAlpha:!1,antialias:!1}),this.renderer.setClearColor(this.styles.backgroundColor,1),this.container.appendChild(this.renderer.domElement),this.light=new d.PointLight(16772287,1,0),this.scene.add(this.light),this.orbitControlParams=a(a({},_),n.orbitControlParams),this.rectangleSelector=new m.ScatterPlotRectangleSelector(this.container,(function(t){r.selectBoundingBox(t)}),this.styles),this.addInteractionListeners(),this.setDimensions(3),this.makeCamera(n.camera),this.resize()}return t.prototype.setParameters=function(t){void 0!==t.onClick&&(this.clickCallback=t.onClick),void 0!==t.onHover&&(this.hoverCallback=t.onHover),void 0!==t.onSelect&&(this.selectCallback=t.onSelect),void 0!==t.selectEnabled&&(this.selectEnabled=t.selectEnabled)},t.prototype.addInteractionListeners=function(){this.container.addEventListener("pointermove",this.onMouseMove.bind(this)),this.container.addEventListener("pointerdown",this.onMouseDown.bind(this)),this.container.addEventListener("pointerup",this.onMouseUp.bind(this)),this.container.addEventListener("click",this.onClick.bind(this)),window.addEventListener("keydown",this.onKeyDown.bind(this),!1),window.addEventListener("keyup",this.onKeyUp.bind(this),!1)},t.prototype.addCameraControlsEventListeners=function(t){var n=this;t.addEventListener("start",(function(){n.stopOrbitAnimation(),n.onCameraMoveListeners.forEach((function(r){return r(n.camera.position,t.target)}))})),t.addEventListener("change",(function(){n.render()})),t.addEventListener("end",(function(){}))},t.prototype.makeOrbitControls=function(t,n){null!=this.orbitCameraControls&&this.orbitCameraControls.dispose();var r=new h.OrbitControls(t,this.renderer.domElement);r.zoomSpeed=this.orbitControlParams.zoomSpeed,r.enableRotate=n,r.autoRotate=!1,r.enableKeys=!1,r.rotateSpeed=this.orbitControlParams.mouseRotateSpeed,n?(r.mouseButtons.LEFT=d.MOUSE.LEFT,r.mouseButtons.RIGHT=d.MOUSE.RIGHT):(r.mouseButtons.LEFT=d.MOUSE.RIGHT,r.mouseButtons.RIGHT=d.MOUSE.LEFT),r.reset(),this.camera=t,this.orbitCameraControls=r,this.addCameraControlsEventListeners(this.orbitCameraControls)},t.prototype.makeCamera=function(t){void 0===t&&(t={});var n=this.makeDefaultCameraDef(this.dimensions,t);this.recreateCamera(n),3===this.dimensions&&this.styles.axesVisible?this.add3dAxes():this.remove3dAxesFromScene()},t.prototype.makeCamera3D=function(t,n,r){var a,s=n/r;(a=new d.PerspectiveCamera(70,s,.01,100)).position.set(t.position[0],t.position[1],t.position[2]);var l=new d.Vector3(t.target[0],t.target[1],t.target[2]);a.lookAt(l),a.zoom=t.zoom,a.updateProjectionMatrix(),this.camera=a,this.makeOrbitControls(a,!0)},t.prototype.makeCamera2D=function(t,n,r){var a,s=new d.Vector3(t.target[0],t.target[1],t.target[2]),l=n/r,h=-1.2,p=g,f=-1.2,m=g;l>1?(h*=l,p*=l):(m/=l,f/=l),(a=new d.OrthographicCamera(h,p,m,f,-1e3,1e3)).position.set(t.position[0],t.position[1],t.position[2]),a.up=new d.Vector3(0,0,1),a.lookAt(s),a.zoom=t.zoom,a.updateProjectionMatrix(),this.camera=a,this.makeOrbitControls(a,!1)},t.prototype.makeDefaultCameraDef=function(t,n){void 0===n&&(n={});var r=2===t,a=r?w:b,s=r?S:x,l={orthographic:r,zoom:1,position:[a.x,a.y,a.z],target:[s.x,s.y,s.z]};return n.zoom&&(l.zoom=n.zoom),n.position&&(l.position=n.position),n.target&&(l.target=n.target),l},t.prototype.recreateCamera=function(t){t.orthographic?this.makeCamera2D(t,this.width,this.height):this.makeCamera3D(t,this.width,this.height),this.orbitCameraControls.minDistance=.05,this.orbitCameraControls.maxDistance=10,this.orbitCameraControls.update(),this.orbitAnimationOnNextCameraCreation&&this.startOrbitAnimation()},t.prototype.setInteractionMode=function(t){this.interactionMode=t,"SELECT"===t?(this.selecting=!0,this.container.style.cursor="crosshair",this.orbitCameraControls.enabled=!1):(this.selecting=!1,this.container.style.cursor="default",this.orbitCameraControls.enabled=!0)},t.prototype.onClick=function(t,n){if(void 0===n&&(n=!0),!t||!this.selecting){if(!this.isDragSequence&&n){if(this.selectEnabled){var r=null!=this.nearestPoint?[this.nearestPoint]:[];this.selectCallback(r)}this.clickCallback(this.nearestPoint)}this.isDragSequence=!1,this.render()}},t.prototype.onMouseDown=function(t){this.isDragSequence=!1,this.mouseIsDown=!0,this.selecting?(this.rectangleSelector.onMouseDown(t.offsetX,t.offsetY),this.setNearestPointToMouse(t)):!t.ctrlKey&&this.sceneIs3D()&&this.orbitCameraControls.mouseButtons.ORBIT===d.MOUSE.RIGHT?(this.orbitCameraControls.mouseButtons.ORBIT=d.MOUSE.LEFT,this.orbitCameraControls.mouseButtons.PAN=d.MOUSE.RIGHT):t.ctrlKey&&this.sceneIs3D()&&this.orbitCameraControls.mouseButtons.ORBIT===d.MOUSE.LEFT&&(this.orbitCameraControls.mouseButtons.ORBIT=d.MOUSE.RIGHT,this.orbitCameraControls.mouseButtons.PAN=d.MOUSE.LEFT)},t.prototype.onMouseUp=function(t){this.selecting&&(this.rectangleSelector.onMouseUp(),this.render()),this.mouseIsDown=!1},t.prototype.onMouseMove=function(t){this.isDragSequence=this.mouseIsDown,this.selecting&&this.mouseIsDown?(this.rectangleSelector.onMouseMove(t.offsetX,t.offsetY),this.render()):this.mouseIsDown||(this.setNearestPointToMouse(t),this.nearestPoint!=this.lastHovered&&(this.lastHovered=this.nearestPoint,this.hoverCallback(this.nearestPoint)))},t.prototype.onKeyDown=function(t){t.key===y&&this.sceneIs3D()&&(this.orbitCameraControls.mouseButtons.ORBIT=d.MOUSE.RIGHT,this.orbitCameraControls.mouseButtons.PAN=d.MOUSE.LEFT),t.key===v&&this.selectEnabled&&(this.selecting=!0,this.orbitCameraControls.enabled=!1,this.container.style.cursor="crosshair")},t.prototype.onKeyUp=function(t){t.key===y&&this.sceneIs3D()&&(this.orbitCameraControls.mouseButtons.ORBIT=d.MOUSE.LEFT,this.orbitCameraControls.mouseButtons.PAN=d.MOUSE.RIGHT),t.key===v&&this.selectEnabled&&(this.selecting=!1,this.orbitCameraControls.enabled=!0,this.container.style.cursor="default",this.render())},t.prototype.getPointIndicesFromBoundingBox=function(t){if(null==this.worldSpacePointPositions)return[];this.camera.updateMatrixWorld();var n=window.devicePixelRatio||1,r=Math.floor(t.x*n),a=Math.floor(t.y*n),l=Math.max(Math.floor(t.width*n),1),h=Math.max(Math.floor(t.height*n),1);if(l<=2&&h<=2)return this.getPointIndicesFromBoundingBoxPickingTexture(t);for(var p=this.renderer.domElement,f=p.width,m=p.height,g=[],v=new d.Vector3,y=0;y<this.worldSpacePointPositions.length;y++){var b=3*y,x=s(this.worldSpacePointPositions.slice(b,b+3),3),w=x[0],S=x[1],_=x[2];v.x=w,v.y=S,v.z=_;var T=v.project(this.camera),E=(T.x+1)*f/2,C=-(T.y-1)*m/2;E>=r&&E<=r+l&&C<=a&&C>=a-h&&g.push(y)}return g},t.prototype.getPointIndicesFromBoundingBoxPickingTexture=function(t){if(null==this.worldSpacePointPositions)return[];var n=this.worldSpacePointPositions.length/3,r=window.devicePixelRatio||1,a=Math.floor(t.x*r),s=Math.floor(t.y*r),l=Math.max(Math.floor(t.width*r),1),d=Math.max(Math.floor(t.height*r),1),h=new Uint8Array(l*d*4);this.renderer.readRenderTargetPixels(this.pickingTexture,a,this.pickingTexture.height-s,l,d,h);for(var p=new Uint8Array(this.worldSpacePointPositions.length),f=0;f<l*d;f++){var m=h[4*f]<<16|h[4*f+1]<<8|h[4*f+2];16777215!==m&&m<n&&(p[m]=1)}var g=[];for(f=0;f<p.length;f++)1===p[f]&&g.push(f);return g},t.prototype.selectBoundingBox=function(t){var n=this.getPointIndicesFromBoundingBox(t);this.selectCallback(n)},t.prototype.setNearestPointToMouse=function(t){if(null!=this.pickingTexture){var n={x:t.offsetX,y:t.offsetY,width:1,height:1},r=this.getPointIndicesFromBoundingBoxPickingTexture(n);this.nearestPoint=r.length?r[0]:null}else this.nearestPoint=null},t.prototype.computeLayoutValues=function(){return this.width=this.container.offsetWidth,this.height=Math.max(1,this.container.offsetHeight),[this.width,this.height]},t.prototype.sceneIs3D=function(){return 3===this.dimensions},t.prototype.remove3dAxesFromScene=function(){var t=this.scene.getObjectByName("axes");return null!=t&&this.scene.remove(t),t},t.prototype.add3dAxes=function(){var t=new d.AxesHelper;t.name="axes",this.scene.add(t)},t.prototype.setDimensions=function(t){if(2!==t&&3!==t)throw new RangeError("dimensions must be 2 or 3");this.dimensions!==t&&(this.dimensions=t,this.makeCamera())},t.prototype.getCameraPosition=function(){var t=this.camera.position;return[t.x,t.y,t.z]},t.prototype.getCameraTarget=function(){var t=this.orbitCameraControls.target;return[t.x,t.y,t.z]},t.prototype.setCameraPositionAndTarget=function(t,n){this.stopOrbitAnimation(),this.camera.position.set(t[0],t[1],t[2]),this.orbitCameraControls.target.set(n[0],n[1],n[2]),this.orbitCameraControls.update(),this.render()},t.prototype.startOrbitAnimation=function(){this.sceneIs3D()&&(null!=this.orbitAnimationId&&this.stopOrbitAnimation(),this.orbitCameraControls.autoRotate=!0,this.orbitCameraControls.autoRotateSpeed=this.orbitControlParams.autoRotateSpeed,this.updateOrbitAnimation())},t.prototype.orbitIsAnimating=function(){return null!=this.orbitAnimationId},t.prototype.updateOrbitAnimation=function(){var t=this;this.orbitCameraControls.update(),this.orbitAnimationId=requestAnimationFrame((function(){return t.updateOrbitAnimation()}))},t.prototype.stopOrbitAnimation=function(){this.orbitCameraControls.autoRotate=!1,this.orbitCameraControls.rotateSpeed=this.orbitControlParams.mouseRotateSpeed,null!=this.orbitAnimationId&&(cancelAnimationFrame(this.orbitAnimationId),this.orbitAnimationId=null)},t.prototype.setActiveVisualizers=function(t){var n,r,a,s,d=new Set(t.map((function(t){return t.id})));try{for(var h=l(this.visualizers.values()),p=h.next();!p.done;p=h.next()){var f=p.value;d.has(f.id)||(f.dispose(),this.visualizers.delete(f.id))}}catch(t){n={error:t}}finally{try{p&&!p.done&&(r=h.return)&&r.call(h)}finally{if(n)throw n.error}}try{for(var m=l(t),g=m.next();!g.done;g=m.next()){f=g.value;this.visualizers.set(f.id,f),f.setScene(this.scene),f.onResize(this.width,this.height),this.worldSpacePointPositions&&f.onPointPositionsChanged(this.worldSpacePointPositions)}}catch(t){a={error:t}}finally{try{g&&!g.done&&(s=m.return)&&s.call(m)}finally{if(a)throw a.error}}},t.prototype.disposeAllVisualizers=function(){this.visualizers.forEach((function(t){return t.dispose()})),this.visualizers.clear()},t.prototype.setPointPositions=function(t){this.worldSpacePointPositions=t,this.visualizers.forEach((function(n){return n.onPointPositionsChanged(t)}))},t.prototype.render=function(){var t=this.camera.position.clone();t.x+=1,t.y+=1,this.light.position.set(t.x,t.y,t.z);var n=this.camera instanceof d.PerspectiveCamera?p.CameraType.Perspective:p.CameraType.Orthographic,r=[0,0];null!=this.worldSpacePointPositions&&(r=f.getNearFarPoints(this.worldSpacePointPositions,this.camera.position,this.orbitCameraControls.target));var a=new p.RenderContext(this.camera,n,this.orbitCameraControls.target,this.width,this.height,r[0],r[1],this.styles.backgroundColor,this.pointColors,this.pointScaleFactors,this.labels,this.polylineColors,this.polylineOpacities,this.polylineWidths);this.visualizers.forEach((function(t){return t.onPickingRender(a)}));var s=this.remove3dAxesFromScene();this.renderer.setRenderTarget(this.pickingTexture),this.renderer.render(this.scene,this.camera),null!=s&&this.scene.add(s),this.visualizers.forEach((function(t){return t.onRender(a)})),this.renderer.setRenderTarget(null),this.renderer.render(this.scene,this.camera)},t.prototype.setPointColors=function(t){this.pointColors=t},t.prototype.setPointScaleFactors=function(t){this.pointScaleFactors=t},t.prototype.setLabels=function(t){this.labels=t},t.prototype.setPolylineColors=function(t){this.polylineColors=t},t.prototype.setPolylineOpacities=function(t){this.polylineOpacities=t},t.prototype.setPolylineWidths=function(t){this.polylineWidths=t},t.prototype.resetZoom=function(){this.recreateCamera(this.makeDefaultCameraDef(this.dimensions)),this.render()},t.prototype.setDayNightMode=function(t){for(var n=this.container.querySelectorAll("canvas"),r=t?"invert(100%)":"",a=0;a<n.length;a++)n[a].style.filter=r},t.prototype.resize=function(t){void 0===t&&(t=!0);var n=s([this.width,this.height],2),r=n[0],a=n[1],l=s(this.computeLayoutValues(),2),h=l[0],p=l[1];if(3===this.dimensions){(f=this.camera).aspect=h/p,f.updateProjectionMatrix()}else{var f=this.camera,m=h/r,g=p/a,v=(f.right-f.left)*m/2,y=(f.top-f.bottom)*g/2;f.top=y,f.bottom=-y,f.left=-v,f.right=v,f.updateProjectionMatrix()}var b=window.devicePixelRatio||1;this.renderer.setPixelRatio(b),this.renderer.setSize(h,p);var x=new d.Vector2;this.renderer.getSize(x);var w=this.renderer.getPixelRatio();this.pickingTexture=new d.WebGLRenderTarget(x.width*w,x.height*w),this.pickingTexture.texture.minFilter=d.LinearFilter,this.visualizers.forEach((function(t){return t.onResize(h,p)})),t&&this.render()},t.prototype.onCameraMove=function(t){this.onCameraMoveListeners.push(t)},t.prototype.clickOnPoint=function(t){this.nearestPoint=t,this.onClick(null,!1)},t}();n.ScatterPlot=T},2779:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var r=function(){function t(t,n,r){this.startCoordinates=[0,0],this.svgElement=document.createElementNS("http://www.w3.org/2000/svg","svg"),this.svgElement.style.display="none",this.svgElement.style.height="100%",this.svgElement.style.width="100%",this.svgElement.style.position="absolute",t.insertAdjacentElement("afterbegin",this.svgElement),this.rectElement=document.createElementNS("http://www.w3.org/2000/svg","rect"),this.rectElement.style.stroke=r.select.stroke,this.rectElement.style.strokeDasharray=r.select.strokeDashArray,this.rectElement.style.strokeWidth=""+r.select.strokeWidth,this.rectElement.style.fill=r.select.fill,this.rectElement.style.fillOpacity=""+r.select.fillOpacity,this.svgElement.appendChild(this.rectElement),this.selectionCallback=n,this.isMouseDown=!1}return t.prototype.onMouseDown=function(t,n){this.isMouseDown=!0,this.rectElement.style.display="block",this.svgElement.style.display="block",this.startCoordinates=[t,n],this.lastBoundingBox={x:this.startCoordinates[0],y:this.startCoordinates[1],width:1,height:1}},t.prototype.onMouseMove=function(t,n){this.isMouseDown&&(this.lastBoundingBox.x=Math.min(t,this.startCoordinates[0]),this.lastBoundingBox.y=Math.max(n,this.startCoordinates[1]),this.lastBoundingBox.width=Math.max(t,this.startCoordinates[0])-this.lastBoundingBox.x,this.lastBoundingBox.height=this.lastBoundingBox.y-Math.min(n,this.startCoordinates[1]),this.rectElement.setAttribute("x",""+this.lastBoundingBox.x),this.rectElement.setAttribute("y",""+(this.lastBoundingBox.y-this.lastBoundingBox.height)),this.rectElement.setAttribute("width",""+this.lastBoundingBox.width),this.rectElement.setAttribute("height",""+this.lastBoundingBox.height))},t.prototype.onMouseUp=function(){this.isMouseDown=!1,this.svgElement.style.display="none",this.rectElement.style.display="none",this.rectElement.setAttribute("width","0"),this.rectElement.setAttribute("height","0"),this.selectionCallback(this.lastBoundingBox)},t}();n.ScatterPlotRectangleSelector=r},9877:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var a=r(2212),s=r(9813),l=r(2962),d=8192,h=function(t,n){return"\n      attribute vec2 posObj;\n      attribute vec4 color;\n      varying vec2 vUv;\n      varying vec4 vColor;\n\n      void main() {\n        vUv = uv;\n        vColor = color;\n\n        // Rotate label to face camera.\n\n        vec4 vRight = vec4(\n          modelViewMatrix[0][0], modelViewMatrix[1][0], modelViewMatrix[2][0], 0);\n\n        vec4 vUp = vec4(\n          modelViewMatrix[0][1], modelViewMatrix[1][1], modelViewMatrix[2][1], 0);\n\n        vec4 vAt = -vec4(\n          modelViewMatrix[0][2], modelViewMatrix[1][2], modelViewMatrix[2][2], 0);\n\n        mat4 pointToCamera = mat4(vRight, vUp, vAt, vec4(0, 0, 0, 1));\n\n        vec2 scaledPos = posObj * "+1/t+" * "+n+";\n\n        vec4 posRotated = pointToCamera * vec4(scaledPos, 0, 1);\n        vec4 mvPosition = modelViewMatrix * (vec4(position, 0) + posRotated);\n        gl_Position = projectionMatrix * mvPosition;\n      }"},p=function(){function t(t){this.styles=t,this.id="3D_LABELS",this.labelStrings=[],this.worldSpacePointPositions=new Float32Array(0),this.pickingColors=new Float32Array(0),this.renderColors=new Float32Array(0),this.uniforms={},this.totalVertexCount=0,this.labelVertexMap=[]}return t.prototype.createGlyphTexture=function(){var t=this.styles.label3D,n=t.fontSize,r=t.backgroundColor,a=t.color,l=document.createElement("canvas");l.width=d,l.height=n;var h=l.getContext("2d");h.font="bold "+n+"px roboto",h.textBaseline="top",h.fillStyle=r,h.rect(0,0,l.width,l.height),h.fill(),h.fillStyle=a;for(var p=h.measureText(" ").width,f=new Float32Array(256),m=new Float32Array(256),g=0,v=0;v<256;v++){var y=" "+String.fromCharCode(v),b=h.measureText(y).width;f[v]=b-p,m[v]=g,h.fillText(y,g-p,0),g+=b}return{texture:s.createTextureFromCanvas(l),lengths:f,offsets:m}},t.prototype.processLabelVerts=function(t){var n=0;this.labelVertexMap=[];for(var r=0;r<t;r++){for(var a=this.labelStrings[r],s=[],l=0;l<a.length;l++){for(var d=0;d<6;d++)s.push(6*n+d);n++}this.labelVertexMap.push(s)}this.totalVertexCount=6*n},t.prototype.createColorBuffers=function(t){var n=this;this.pickingColors=new Float32Array(this.totalVertexCount*l.RGB_NUM_ELEMENTS),this.renderColors=new Float32Array(this.totalVertexCount*l.RGB_NUM_ELEMENTS);for(var r=function(t){var r=new a.Color(t);s.labelVertexMap[t].forEach((function(t){n.pickingColors[l.RGB_NUM_ELEMENTS*t]=r.r,n.pickingColors[l.RGB_NUM_ELEMENTS*t+1]=r.g,n.pickingColors[l.RGB_NUM_ELEMENTS*t+2]=r.b,n.renderColors[l.RGB_NUM_ELEMENTS*t]=1,n.renderColors[l.RGB_NUM_ELEMENTS*t+1]=1,n.renderColors[l.RGB_NUM_ELEMENTS*t+2]=1}))},s=this,d=0;d<t;d++)r(d)},t.prototype.createLabels=function(){var t=this,n=this.styles.label3D,r=n.fontSize,p=n.scale;if(null!=this.labelStrings&&null!=this.worldSpacePointPositions){var f=this.worldSpacePointPositions.length/l.XYZ_NUM_ELEMENTS;if(f===this.labelStrings.length){this.glyphTexture=this.createGlyphTexture(),this.uniforms={glyphTexture:{value:null},picking:{value:!1}},this.material=new a.ShaderMaterial({uniforms:this.uniforms,transparent:!0,vertexShader:h(r,p),fragmentShader:"\n      uniform sampler2D glyphTexture;\n      uniform bool picking;\n      varying vec2 vUv;\n      varying vec4 vColor;\n\n      void main() {\n        if (picking) {\n          gl_FragColor = vColor;\n        } else {\n          vec4 fromTexture = texture(glyphTexture, vUv);\n          gl_FragColor = vColor * fromTexture;\n        }\n      }"}),this.processLabelVerts(f),this.createColorBuffers(f);var m=new Float32Array(this.totalVertexCount*l.XYZ_NUM_ELEMENTS);this.positions=new a.BufferAttribute(m,l.XYZ_NUM_ELEMENTS);var g=new Float32Array(this.totalVertexCount*l.XYZ_NUM_ELEMENTS),v=new Float32Array(this.totalVertexCount*l.UV_NUM_ELEMENTS),y=new Float32Array(this.totalVertexCount*l.RGB_NUM_ELEMENTS),b=new a.BufferAttribute(g,2),x=new a.BufferAttribute(v,l.UV_NUM_ELEMENTS),w=new a.BufferAttribute(y,l.RGB_NUM_ELEMENTS);this.geometry=new a.BufferGeometry,this.geometry.setAttribute("posObj",b),this.geometry.setAttribute("position",this.positions),this.geometry.setAttribute("uv",x),this.geometry.setAttribute("color",w);for(var S=0,_=0;_<f;_++){for(var T=this.labelStrings[_],E=0,C=0;C<T.length;C++){var A=T.charCodeAt(C);E+=this.glyphTexture.lengths[A]}E/=-2;for(C=0;C<T.length;C++){A=T.charCodeAt(C);var O=this.glyphTexture.lengths[A],I=(E+O)/r,P=E/r,D=r/r;b.setXY(6*S+0,P,0),b.setXY(6*S+1,I,0),b.setXY(6*S+2,P,D),b.setXY(6*S+3,P,D),b.setXY(6*S+4,I,0),b.setXY(6*S+5,I,D);var F=this.glyphTexture.offsets[A],B=this.glyphTexture.offsets[A]+O;F/=d,B/=d;x.setXY(6*S+0,F,1),x.setXY(6*S+1,B,1),x.setXY(6*S+2,F,0),x.setXY(6*S+3,F,0),x.setXY(6*S+4,B,1),x.setXY(6*S+5,B,0),S++,E+=O}}var $=function(n){var r=s.vector3FromPackedArray(j.worldSpacePointPositions,n);j.labelVertexMap[n].forEach((function(n){t.positions.setXYZ(n,r.x,r.y,r.z)}))},j=this;for(_=0;_<f;_++)$(_);this.labelsMesh=new a.Mesh(this.geometry,this.material),this.labelsMesh.frustumCulled=!1,this.scene.add(this.labelsMesh)}}},t.prototype.colorLabels=function(t){if(null!=this.labelStrings&&null!=this.geometry&&null!=t){var n=this.geometry.getAttribute("color");n.array=this.renderColors;for(var r=t.length/l.RGBA_NUM_ELEMENTS,s=0,d=0;d<r;++d){for(var h=new a.Color(t[s],t[s+1],t[s+2]),p=this.labelVertexMap[d].length,f=0;f<p;++f)n.setXYZ(this.labelVertexMap[d][f],h.r,h.g,h.b);s+=l.RGBA_NUM_ELEMENTS}n.needsUpdate=!0}},t.prototype.setScene=function(t){this.scene=t},t.prototype.dispose=function(){this.labelsMesh&&(this.scene&&this.scene.remove(this.labelsMesh),this.labelsMesh=null),this.geometry&&(this.geometry.dispose(),this.geometry=null),null!=this.glyphTexture&&null!=this.glyphTexture.texture&&(this.glyphTexture.texture.dispose(),this.glyphTexture.texture=null)},t.prototype.onPickingRender=function(t){if(null!=this.geometry){this.material.uniforms.glyphTexture.value=this.glyphTexture.texture,this.material.uniforms.picking.value=!0;var n=this.geometry.getAttribute("color");n.array=this.pickingColors,n.needsUpdate=!0}else this.createLabels()},t.prototype.onRender=function(t){if(null!=this.geometry){this.colorLabels(t.pointColors),this.material.uniforms.glyphTexture.value=this.glyphTexture.texture,this.material.uniforms.picking.value=!1;var n=this.geometry.getAttribute("color");n.array=this.renderColors,n.needsUpdate=!0}else this.createLabels()},t.prototype.onPointPositionsChanged=function(t){this.worldSpacePointPositions=t,this.dispose()},t.prototype.setLabelStrings=function(t){this.labelStrings=t,this.dispose()},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizer3DLabels=p},4183:function(t,n,r){"use strict";var a=this&&this.__read||function(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var a,s,l=r.call(t),d=[];try{for(;(void 0===n||n-- >0)&&!(a=l.next()).done;)d.push(a.value)}catch(t){s={error:t}}finally{try{a&&!a.done&&(r=l.return)&&r.call(l)}finally{if(s)throw s.error}}return d};Object.defineProperty(n,"__esModule",{value:!0});var s=r(2212),l=r(7029),d=r(1223),h=r(9813),p=function(){function t(t,n){this.styles=n,this.id="CANVAS_LABELS",this.worldSpacePointPositions=new Float32Array(0),this.labelsActive=!0,this.canvas=document.createElement("canvas"),t.appendChild(this.canvas),this.gc=this.canvas.getContext("2d"),this.canvas.style.position="absolute",this.canvas.style.left="0",this.canvas.style.top="0",this.canvas.style.pointerEvents="none"}return t.prototype.removeAllLabels=function(){var t=this.canvas.width*window.devicePixelRatio,n=this.canvas.height*window.devicePixelRatio;this.gc.clearRect(0,0,t,n)},t.prototype.makeLabels=function(t){if(null!=t.labels&&0!==t.labels.pointIndices.length&&null!=this.worldSpacePointPositions){var n,r=t.labels,p=t.cameraType===l.CameraType.Perspective,f=parseInt(this.gc.font,10),m=window.devicePixelRatio,g=this.canvas.width*m,v=this.canvas.height*m,y={loX:0,hiX:g,loY:0,hiY:v};n=new d.CollisionGrid(y,g/25,v/50);var b=[t.farthestCameraSpacePointZ,t.nearestCameraSpacePointZ],x=function(t){return h.scaleExponential(t,b,[.1,1])},w=t.camera.position,S=w.clone().sub(t.cameraTarget),_=new s.Vector3;this.gc.textBaseline="middle",this.gc.miterLimit=2;for(var T=Math.min(1e4,r.pointIndices.length),E=0;E<T;++E){var C,A=r.pointIndices[E];if(C=h.vector3FromPackedArray(this.worldSpacePointPositions,A),_.copy(w).sub(C),!(S.dot(_)<0)){var O=a(h.vector3DToScreenCoords(t.camera,t.screenWidth,t.screenHeight,C),2),I=O[0],P=O[1],D={loX:(I+=4)-2,hiX:I+1+2,loY:P-f/2-2,hiY:P+f/2+2};if(n.insert(D,!0)){var F=r.labelStrings[E],B=r.defaultFontSize*r.scaleFactors[E]*m;if(this.gc.font=B+"px roboto",D.hiX+=this.gc.measureText(F).width-1,n.insert(D)){var $=1;p&&1===r.useSceneOpacityFlags[E]&&($=x(_.length())),this.gc.fillStyle=this.styleStringFromPackedRgba(r.fillColors,E,$),this.gc.strokeStyle=this.styleStringFromPackedRgba(r.strokeColors,E,$),this.gc.lineWidth=this.styles.label.strokeWidth,this.gc.strokeText(F,I,P),this.gc.lineWidth=this.styles.label.fillWidth,this.gc.fillText(F,I,P)}}}}}},t.prototype.styleStringFromPackedRgba=function(t,n,r){var a=3*n;return"rgba("+t[a]+","+t[a+1]+","+t[a+2]+","+r+")"},t.prototype.onResize=function(t,n){var r=window.devicePixelRatio;this.canvas.width=t*r,this.canvas.height=n*r,this.canvas.style.width=t+"px",this.canvas.style.height=n+"px"},t.prototype.dispose=function(){this.removeAllLabels()},t.prototype.onPointPositionsChanged=function(t){this.worldSpacePointPositions=t,this.removeAllLabels()},t.prototype.onRender=function(t){this.labelsActive&&(this.removeAllLabels(),this.makeLabels(t))},t.prototype.setScene=function(t){},t.prototype.onPickingRender=function(t){},t}();n.ScatterPlotVisualizerCanvasLabels=p},6516:function(t,n,r){"use strict";var a=this&&this.__values||function(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],a=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&a>=t.length&&(t=void 0),{value:t&&t[a++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")};Object.defineProperty(n,"__esModule",{value:!0});var s=r(2212),l=r(9813),d=r(2962),h=function(){function t(){this.id="POLYLINES",this.sequences=[],this.polylines=[],this.polylinePositionBuffer={},this.polylineColorBuffer={},this.pointSequenceIndices=new Map}return t.prototype.getPointSequenceIndex=function(t){return this.pointSequenceIndices.get(t)},t.prototype.updateSequenceIndices=function(){for(var t=0;t<this.sequences.length;t++)for(var n=this.sequences[t],r=0;r<n.indices.length-1;r++){var a=n.indices[r];this.pointSequenceIndices.set(a,t),this.pointSequenceIndices.set(a+1,t)}},t.prototype.createPolylines=function(){var t,n;this.updateSequenceIndices();try{for(var r=a(this.polylines),l=r.next();!l.done;l=r.next()){var d=l.value;this.scene.remove(d),d.geometry.dispose()}}catch(n){t={error:n}}finally{try{l&&!l.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.polylines=[];for(var h=0;h<this.sequences.length;h++){var p=new s.BufferGeometry;p.addAttribute("position",this.polylinePositionBuffer[h]),p.addAttribute("color",this.polylineColorBuffer[h]);var f=new s.LineBasicMaterial({linewidth:1,opacity:1,transparent:!0,vertexColors:!0});(d=new s.LineSegments(p,f)).frustumCulled=!1,this.polylines.push(d),this.scene.add(d)}},t.prototype.dispose=function(){var t,n;try{for(var r=a(this.polylines),s=r.next();!s.done;s=r.next()){var l=s.value;this.scene.remove(l),l.geometry.dispose()}}catch(n){t={error:n}}finally{try{s&&!s.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}this.polylines=[],this.polylinePositionBuffer={},this.polylineColorBuffer={}},t.prototype.setScene=function(t){this.scene=t},t.prototype.setSequences=function(t){this.sequences=t},t.prototype.onPointPositionsChanged=function(t){if(null==t&&this.dispose(),null!=t&&0!==this.sequences.length){for(var n=0;n<this.sequences.length;n++){var r=2*((p=this.sequences[n]).indices.length-1),a=new Float32Array(r*d.XYZ_NUM_ELEMENTS);this.polylinePositionBuffer[n]=new s.BufferAttribute(a,d.XYZ_NUM_ELEMENTS);var h=new Float32Array(r*d.RGBA_NUM_ELEMENTS);this.polylineColorBuffer[n]=new s.BufferAttribute(h,d.RGBA_NUM_ELEMENTS)}for(n=0;n<this.sequences.length;n++){for(var p=this.sequences[n],f=0,m=0;m<p.indices.length-1;m++){var g=p.indices[m],v=p.indices[m+1],y=l.vector3FromPackedArray(t,g),b=l.vector3FromPackedArray(t,v);this.polylinePositionBuffer[n].setXYZ(f,y.x,y.y,y.z),this.polylinePositionBuffer[n].setXYZ(f+1,b.x,b.y,b.z),f+=2}this.polylinePositionBuffer[n].needsUpdate=!0}this.createPolylines()}},t.prototype.onRender=function(t){for(var n=0;n<this.polylines.length;n++){var r=this.polylines[n].material;r.opacity=t.polylineOpacities[n],r.linewidth=t.polylineWidths[n],this.polylineColorBuffer[n].array=t.polylineColors[n],this.polylineColorBuffer[n].needsUpdate=!0}},t.prototype.onPickingRender=function(t){},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizerPolylines=h},5788:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var a=r(2212),s=r(7029),l=r(9813),d=r(2962),h=function(t){return"\n    // Index of the specific vertex (passed in as bufferAttribute), and the\n    // variable that will be used to pass it to the fragment shader.\n    attribute float spriteIndex;\n    attribute vec4 color;\n    attribute float scaleFactor;\n\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n\n    uniform bool sizeAttenuation;\n    uniform float pointSize;\n    uniform float spritesPerRow;\n    uniform float spritesPerColumn;\n\n    varying float fogDepth;\n\n    void main() {\n      // Pass index and color values to fragment shader.\n      vColor = color;\n      xyIndex = vec2(mod(spriteIndex, spritesPerRow),\n                floor(spriteIndex / spritesPerColumn));\n\n      // Transform current vertex by modelViewMatrix (model world position and\n      // camera world position matrix).\n      vec4 cameraSpacePos = modelViewMatrix * vec4(position, 1.0);\n\n      // Project vertex in camera-space to screen coordinates using the camera's\n      // projection matrix.\n      gl_Position = projectionMatrix * cameraSpacePos;\n\n      // Create size attenuation (if we're in 3D mode) by making the size of\n      // each point inversly proportional to its distance to the camera.\n      float outputPointSize = pointSize;\n      if (sizeAttenuation) {\n        outputPointSize = -pointSize / cameraSpacePos.z;\n        fogDepth = pointSize / outputPointSize * 1.2;\n      } else {  // Create size attenuation (if we're in 2D mode)\n        const float PI = 3.1415926535897932384626433832795;\n        const float minScale = 0.1;  // minimum scaling factor\n        const float outSpeed = 2.0;  // shrink speed when zooming out\n        const float outNorm = (1. - minScale) / atan(outSpeed);\n        const float maxScale = 15.0;  // maximum scaling factor\n        const float inSpeed = 0.02;  // enlarge speed when zooming in\n        const float zoomOffset = 0.3;  // offset zoom pivot\n        float zoom = projectionMatrix[0][0] + zoomOffset;  // zoom pivot\n        float scale = zoom < 1. ? 1. + outNorm * atan(outSpeed * (zoom - 1.)) :\n                      1. + 2. / PI * (maxScale - 1.) * atan(inSpeed * (zoom - 1.));\n        outputPointSize = pointSize * scale;\n      }\n\n      gl_PointSize =\n        max(outputPointSize * scaleFactor, "+t.toFixed(1)+");\n    }"},p="\n    bool point_in_unit_circle(vec2 spriteCoord) {\n      vec2 centerToP = spriteCoord - vec2(0.5, 0.5);\n      return dot(centerToP, centerToP) < (0.5 * 0.5);\n    }\n\n    bool point_in_unit_equilateral_triangle(vec2 spriteCoord) {\n      vec3 v0 = vec3(0, 1, 0);\n      vec3 v1 = vec3(0.5, 0, 0);\n      vec3 v2 = vec3(1, 1, 0);\n      vec3 p = vec3(spriteCoord, 0);\n      float p_in_v0_v1 = cross(v1 - v0, p - v0).z;\n      float p_in_v1_v2 = cross(v2 - v1, p - v1).z;\n      return (p_in_v0_v1 > 0.0) && (p_in_v1_v2 > 0.0);\n    }\n\n    bool point_in_unit_square(vec2 spriteCoord) {\n      return true;\n    }\n  ",f="\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n\n    uniform sampler2D spriteTexture;\n    uniform float spritesPerRow;\n    uniform float spritesPerColumn;\n    uniform bool isImage;\n\n    "+a.ShaderChunk.common+"\n    "+p+"\n    uniform vec3 fogColor;\n    varying float fogDepth;\n\t\tuniform float fogNear;\n    uniform float fogFar;\n\n    void main() {\n      if (isImage) {\n        // Coordinates of the vertex within the entire sprite image.\n        vec2 coords =\n          (gl_PointCoord + xyIndex) / vec2(spritesPerRow, spritesPerColumn);\n        gl_FragColor = vColor * texture(spriteTexture, coords);\n      } else {\n        bool inside = point_in_unit_circle(gl_PointCoord);\n        if (!inside) {\n          discard;\n        }\n        gl_FragColor = vColor;\n      }\n      float fogFactor = smoothstep( fogNear, fogFar, fogDepth );\n      gl_FragColor.rgb = mix( gl_FragColor.rgb, fogColor, fogFactor );\n    }",m="\n    varying vec2 xyIndex;\n    varying vec4 vColor;\n    uniform bool isImage;\n\n    "+p+"\n\n    varying float fogDepth;\n\n    void main() {\n      xyIndex; // Silence 'unused variable' warning.\n      fogDepth; // Silence 'unused variable' warning.\n      if (isImage) {\n        gl_FragColor = vColor;\n      } else {\n        bool inside = point_in_unit_circle(gl_PointCoord);\n        if (!inside) {\n          discard;\n        }\n        gl_FragColor = vColor;\n      }\n    }",g=function(){function t(t,n){this.styles=t,this.id="SPRITES",this.isSpriteSheetMode=!1,this.spritesPerRow=0,this.spritesPerColumn=0,this.spriteDimensions=[0,0],this.worldSpacePointPositions=new Float32Array(0),this.pickingColors=new Float32Array(0),this.renderColors=new Float32Array(0),this.standinTextureForPoints=l.createTextureFromCanvas(document.createElement("canvas")),n&&(this.spriteSheetParams=n,this.setSpriteSheet(n),this.isSpriteSheetMode=!0),this.renderMaterial=this.createRenderMaterial(),this.pickingMaterial=this.createPickingMaterial()}return t.prototype.createUniforms=function(){return{spriteTexture:{type:"t"},spritesPerRow:{type:"f"},spritesPerColumn:{type:"f"},fogColor:{type:"c"},fogNear:{type:"f"},fogFar:{type:"f"},isImage:{type:"bool"},sizeAttenuation:{type:"bool"},pointSize:{type:"f"}}},t.prototype.createRenderMaterial=function(){this.isSpriteSheetMode;var t=this.createUniforms();return new a.ShaderMaterial({uniforms:t,vertexShader:h(this.styles.sprites.minPointSize),fragmentShader:f,transparent:!0,depthFunc:a.LessDepth,fog:this.styles.fog.enabled,blending:a.NormalBlending})},t.prototype.createPickingMaterial=function(){var t=this.createUniforms();return new a.ShaderMaterial({uniforms:t,vertexShader:h(this.styles.sprites.minPointSize),fragmentShader:m,transparent:!0,depthTest:!0,depthWrite:!0,fog:!1,blending:a.NormalBlending})},t.prototype.createPointSprites=function(t,n){var r=null!=n?n.length/d.XYZ_NUM_ELEMENTS:0,s=this.createGeometry(r);this.fog=new a.Fog(16777215),this.points=new a.Points(s,this.renderMaterial),this.points.frustumCulled=!1,null!=this.spriteIndexBufferAttribute&&this.points.geometry.setAttribute("spriteIndex",this.spriteIndexBufferAttribute),t.add(this.points)},t.prototype.calculatePointSize=function(t){var n=this.styles.sprites.imageSize;if(this.texture)return t?n:this.spriteDimensions[0];var r=null!=this.worldSpacePointPositions?this.worldSpacePointPositions.length/d.XYZ_NUM_ELEMENTS:1,a=200/Math.log(r)/Math.log(8);return t?a:a/1.5},t.prototype.createGeometry=function(t){var n=t;this.pickingColors=new Float32Array(n*d.RGBA_NUM_ELEMENTS);for(var r=0,s=0;s<n;s++){var l=new a.Color(s);this.pickingColors[r++]=l.r,this.pickingColors[r++]=l.g,this.pickingColors[r++]=l.b,this.pickingColors[r++]=1}var h=new a.BufferGeometry;return h.setAttribute("position",new a.BufferAttribute(new Float32Array([]),d.XYZ_NUM_ELEMENTS)),h.setAttribute("color",new a.BufferAttribute(new Float32Array([]),d.RGBA_NUM_ELEMENTS)),h.setAttribute("scaleFactor",new a.BufferAttribute(new Float32Array([]),d.INDEX_NUM_ELEMENTS)),h.computeVertexNormals(),h},t.prototype.setFogDistances=function(t,n,r){var a=this.styles.fog,s=a.threshold,l=a.enabled;if(t&&l){this.fog.near=n;var d=n-r;this.fog.far=n-s*d}else this.fog.near=1/0,this.fog.far=1/0},t.prototype.dispose=function(){this.disposeGeometry(),this.disposeSpriteSheet()},t.prototype.disposeGeometry=function(){null!=this.points&&(this.scene.remove(this.points),this.points.geometry.dispose(),this.points=null,this.worldSpacePointPositions=null)},t.prototype.disposeSpriteSheet=function(){this.texture&&this.texture.dispose(),this.texture=null,this.renderMaterial=null,this.pickingMaterial=null,this.spriteSheetImage=null},t.prototype.setScene=function(t){this.scene=t},t.prototype.setSpriteSheet=function(t){var n=this,r=t.spriteDimensions,a=t.onImageLoad,s=t.spritesheetImage;if("string"==typeof s){var d=s;(s=new Image).src=d}this.spriteSheetImage=s,this.texture=l.createTextureFromImage(this.spriteSheetImage,(function(){n.spritesPerRow=n.spriteSheetImage.width/r[0],n.spritesPerColumn=n.spriteSheetImage.height/r[1],a()})),this.spriteDimensions=r,this.setSpriteIndexBuffer()},t.prototype.setSpriteIndexBuffer=function(){var t=this.spriteSheetParams.spriteIndices;this.spriteIndexBufferAttribute=new a.BufferAttribute(t,d.INDEX_NUM_ELEMENTS),null!=this.points&&this.points.geometry.setAttribute("spriteIndex",this.spriteIndexBufferAttribute)},t.prototype.onPointPositionsChanged=function(t){null!=this.points&&this.worldSpacePointPositions.length!==t.length&&this.disposeGeometry(),this.worldSpacePointPositions=t,null==this.points&&this.createPointSprites(this.scene,t),this.spriteSheetParams&&this.setSpriteIndexBuffer(),this.renderMaterial=this.createRenderMaterial(),this.pickingMaterial=this.createPickingMaterial();var n=this.points.geometry.getAttribute("position");n.array=t,n.count=t.length/d.XYZ_NUM_ELEMENTS,n.needsUpdate=!0},t.prototype.onPickingRender=function(t){var n=t.cameraType===s.CameraType.Perspective;this.pickingMaterial.uniforms.spritesPerRow.value=this.spritesPerRow,this.pickingMaterial.uniforms.spritesPerRow.value=this.spritesPerColumn,this.pickingMaterial.uniforms.sizeAttenuation.value=n,this.pickingMaterial.uniforms.pointSize.value=this.calculatePointSize(n),this.points.material=this.pickingMaterial;var r=this.points.geometry.getAttribute("color");r.array=this.pickingColors,r.count=this.pickingColors.length/d.RGBA_NUM_ELEMENTS,r.needsUpdate=!0;var a=this.points.geometry.getAttribute("scaleFactor");a.array=t.pointScaleFactors,a.count=t.pointScaleFactors.length,a.count=t.pointScaleFactors.length/d.INDEX_NUM_ELEMENTS,a.needsUpdate=!0},t.prototype.onRender=function(t){var n=t.camera instanceof a.PerspectiveCamera;this.setFogDistances(n,t.nearestCameraSpacePointZ,t.farthestCameraSpacePointZ),this.scene.fog=this.fog,this.scene.fog.color=new a.Color(t.backgroundColor),this.renderMaterial.uniforms.fogColor.value=this.scene.fog.color,this.renderMaterial.uniforms.fogNear.value=this.fog.near,this.renderMaterial.uniforms.fogFar.value=this.fog.far,this.renderMaterial.uniforms.spritesPerRow.value=this.spritesPerRow,this.renderMaterial.uniforms.spritesPerColumn.value=this.spritesPerColumn,this.renderMaterial.uniforms.isImage.value=null!=this.texture,this.renderMaterial.uniforms.spriteTexture.value=null!=this.texture?this.texture:this.standinTextureForPoints,this.renderMaterial.uniforms.sizeAttenuation.value=n,this.renderMaterial.uniforms.pointSize.value=this.calculatePointSize(n),this.points.material=this.renderMaterial;var r=this.points.geometry.getAttribute("color");this.renderColors=t.pointColors,r.array=this.renderColors,r.count=this.renderColors.length/d.RGBA_NUM_ELEMENTS,r.needsUpdate=!0;var s=this.points.geometry.getAttribute("scaleFactor");s.array=t.pointScaleFactors,s.count=t.pointScaleFactors.length/d.INDEX_NUM_ELEMENTS,s.needsUpdate=!0},t.prototype.onResize=function(t,n){},t}();n.ScatterPlotVisualizerSprites=g},83:(t,n)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});n.makeStyles=function(t){var n={backgroundColor:"#ffffff",axesVisible:!0,fog:{color:"#ffffff",enabled:!0,threshold:5e3},label:{fontSize:10,scaleDefault:1,scaleLarge:2,fillColorSelected:"#000000",fillColorHover:"#000000",strokeColorSelected:"#ffffff",strokeColorHover:"#ffffff",strokeWidth:3,fillWidth:6},label3D:{fontSize:80,scale:2.2,color:"black",backgroundColor:"#ffffff",colorUnselected:"#ffffff",colorNoSelection:"#ffffff"},point:{colorUnselected:"rgba(227, 227, 227, 0.7)",colorNoSelection:"rgba(117, 117, 217, 0.7)",colorSelected:"rgba(250, 102, 102, 0.7)",colorHover:"rgba(118, 11, 79, 0.7)",scaleDefault:1,scaleSelected:1.2,scaleHover:1.2},polyline:{startHue:60,endHue:360,saturation:1,lightness:.3,defaultOpacity:.2,defaultLineWidth:2,selectedOpacity:.9,selectedLineWidth:3,deselectedOpacity:.05},select:{fill:"#dddddd",fillOpacity:.2,stroke:"#aaaaaa",strokeWidth:2,strokeDashArray:"10 5"},sprites:{minPointSize:5,imageSize:30,colorUnselected:"#ffffff",colorNoSelection:"#ffffff"}};if(void 0===t)return n;for(var r in n){var a=r;"object"==typeof n[a]&&"object"==typeof t[a]?n[a]=Object.assign(n[a],t[a]):void 0!==t[a]&&(n[a]=t[a])}return n}},9813:(t,n,r)=>{"use strict";Object.defineProperty(n,"__esModule",{value:!0});var a=r(2212);function s(t,n){return void 0===n&&(n=!0),t.needsUpdate=n,t.minFilter=a.LinearFilter,t.generateMipmaps=!1,t.flipY=!1,t}n.vector3DToScreenCoords=function(t,n,r,s){var l=window.devicePixelRatio,d=(new a.Vector3).copy(s).project(t);return[(d.x+1)/2*n*l,-(d.y-1)/2*r*l]},n.vector3FromPackedArray=function(t,n){var r=3*n;return new a.Vector3(t[r],t[r+1],t[r+2])},n.getNearFarPoints=function(t,n,r){for(var s=1/0,l=0,d=(new a.Vector3).copy(r).sub(n),h=(new a.Vector3).copy(d).normalize(),p=t.length/3,f=0,m=new a.Vector3,g=new a.Vector3,v=0;v<p;v++){m.x=t[f],m.y=t[f+1],m.z=t[f+2],f+=3,g.copy(m).sub(n);var y=h.dot(g);y<0||(l=y>l?y:l,s=y<s?y:s)}return[s,l]},n.createTextureFromCanvas=function(t){return s(new a.Texture(t))},n.createTextureFromImage=function(t,n){var r=new a.Texture(t);return t.complete?(r.needsUpdate=!0,n()):t.onload=function(){r.needsUpdate=!0,n()},s(r,!1)},n.hasWebGLSupport=function(){try{var t=document.createElement("canvas");return null!=(t.getContext("webgl")||t.getContext("experimental-webgl"))}catch(t){return!1}},n.extent=function(t){for(var n=1/0,r=-1/0,a=0;a<t.length;a++){var s=t[a];s<n&&(n=s),s>r&&(r=s)}return[n,r]},n.scaleLinear=function(t,n,r){var a=n[1]-n[0],s=r[1]-r[0];return(t-n[0])/a*s+r[0]},n.scaleExponential=function(t,n,r){var a=Math.pow(n[1],Math.E)-Math.pow(n[0],Math.E),s=r[1]-r[0];return(Math.pow(t,Math.E)-n[0])/a*s+r[0]},n.packRgbIntoUint8Array=function(t,n,r,a,s){t[3*n]=r,t[3*n+1]=a,t[3*n+2]=s},n.styleRgbFromHexColor=function(t){var n=new a.Color(t);return[255*n.r|0,255*n.g|0,255*n.b|0]};var l=function(t){return 100*t+"%"};n.getDefaultPointInPolylineColor=function(t,n,r,s,d,h){var p="hsl("+(r+(s-r)*t/n)+", "+l(d)+", "+l(h)+")";return new a.Color(p)}},6377:(t,n,r)=>{var a=r(4832),s=r(8652),l=r(801),d=r(2030),h=r(3618),p=r(9049),f=r(1971);f.alea=a,f.xor128=s,f.xorwow=l,f.xorshift7=d,f.xor4096=h,f.tychei=p,t.exports=f},4832:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this,r=function(){var t=4022871197,n=function(n){n=String(n);for(var r=0;r<n.length;r++){var a=.02519603282416938*(t+=n.charCodeAt(r));a-=t=a>>>0,t=(a*=t)>>>0,t+=4294967296*(a-=t)}return 2.3283064365386963e-10*(t>>>0)};return n}();n.next=function(){var t=2091639*n.s0+2.3283064365386963e-10*n.c;return n.s0=n.s1,n.s1=n.s2,n.s2=t-(n.c=0|t)},n.c=1,n.s0=r(" "),n.s1=r(" "),n.s2=r(" "),n.s0-=r(t),n.s0<0&&(n.s0+=1),n.s1-=r(t),n.s1<0&&(n.s1+=1),n.s2-=r(t),n.s2<0&&(n.s2+=1),r=null}function h(t,n){return n.c=t.c,n.s0=t.s0,n.s1=t.s1,n.s2=t.s2,n}function p(t,n){var r=new d(t),a=n&&n.state,s=r.next;return s.int32=function(){return 4294967296*r.next()|0},s.double=function(){return s()+11102230246251565e-32*(2097152*s()|0)},s.quick=s,a&&("object"==typeof a&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.alea=p}(0,t=r.nmd(t),r.amdD)},9049:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this,r="";n.next=function(){var t=n.b,r=n.c,a=n.d,s=n.a;return t=t<<25^t>>>7^r,r=r-a|0,a=a<<24^a>>>8^s,s=s-t|0,n.b=t=t<<20^t>>>12^r,n.c=r=r-a|0,n.d=a<<16^r>>>16^s,n.a=s-t|0},n.a=0,n.b=0,n.c=-1640531527,n.d=1367130551,t===Math.floor(t)?(n.a=t/4294967296|0,n.b=0|t):r+=t;for(var a=0;a<r.length+20;a++)n.b^=0|r.charCodeAt(a),n.next()}function h(t,n){return n.a=t.a,n.b=t.b,n.c=t.c,n.d=t.d,n}function p(t,n){var r=new d(t),a=n&&n.state,s=function(){return(r.next()>>>0)/4294967296};return s.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},s.int32=r.next,s.quick=s,a&&("object"==typeof a&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.tychei=p}(0,t=r.nmd(t),r.amdD)},8652:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this,r="";n.x=0,n.y=0,n.z=0,n.w=0,n.next=function(){var t=n.x^n.x<<11;return n.x=n.y,n.y=n.z,n.z=n.w,n.w^=n.w>>>19^t^t>>>8},t===(0|t)?n.x=t:r+=t;for(var a=0;a<r.length+64;a++)n.x^=0|r.charCodeAt(a),n.next()}function h(t,n){return n.x=t.x,n.y=t.y,n.z=t.z,n.w=t.w,n}function p(t,n){var r=new d(t),a=n&&n.state,s=function(){return(r.next()>>>0)/4294967296};return s.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},s.int32=r.next,s.quick=s,a&&("object"==typeof a&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.xor128=p}(0,t=r.nmd(t),r.amdD)},3618:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this;n.next=function(){var t,r,a=n.w,s=n.X,l=n.i;return n.w=a=a+1640531527|0,r=s[l+34&127],t=s[l=l+1&127],r^=r<<13,t^=t<<17,r^=r>>>15,t^=t>>>12,r=s[l]=r^t,n.i=l,r+(a^a>>>16)|0},function(t,n){var r,a,s,l,d,h=[],p=128;for(n===(0|n)?(a=n,n=null):(n+="\0",a=0,p=Math.max(p,n.length)),s=0,l=-32;l<p;++l)n&&(a^=n.charCodeAt((l+32)%n.length)),0===l&&(d=a),a^=a<<10,a^=a>>>15,a^=a<<4,a^=a>>>13,l>=0&&(d=d+1640531527|0,s=0==(r=h[127&l]^=a+d)?s+1:0);for(s>=128&&(h[127&(n&&n.length||0)]=-1),s=127,l=512;l>0;--l)a=h[s+34&127],r=h[s=s+1&127],a^=a<<13,r^=r<<17,a^=a>>>15,r^=r>>>12,h[s]=a^r;t.w=d,t.X=h,t.i=s}(n,t)}function h(t,n){return n.i=t.i,n.w=t.w,n.X=t.X.slice(),n}function p(t,n){null==t&&(t=+new Date);var r=new d(t),a=n&&n.state,s=function(){return(r.next()>>>0)/4294967296};return s.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},s.int32=r.next,s.quick=s,a&&(a.X&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.xor4096=p}(0,t=r.nmd(t),r.amdD)},2030:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this;n.next=function(){var t,r,a=n.x,s=n.i;return t=a[s],r=(t^=t>>>7)^t<<24,r^=(t=a[s+1&7])^t>>>10,r^=(t=a[s+3&7])^t>>>3,r^=(t=a[s+4&7])^t<<7,t=a[s+7&7],r^=(t^=t<<13)^t<<9,a[s]=r,n.i=s+1&7,r},function(t,n){var r,a=[];if(n===(0|n))a[0]=n;else for(n=""+n,r=0;r<n.length;++r)a[7&r]=a[7&r]<<15^n.charCodeAt(r)+a[r+1&7]<<13;for(;a.length<8;)a.push(0);for(r=0;r<8&&0===a[r];++r);for(8==r?a[7]=-1:a[r],t.x=a,t.i=0,r=256;r>0;--r)t.next()}(n,t)}function h(t,n){return n.x=t.x.slice(),n.i=t.i,n}function p(t,n){null==t&&(t=+new Date);var r=new d(t),a=n&&n.state,s=function(){return(r.next()>>>0)/4294967296};return s.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},s.int32=r.next,s.quick=s,a&&(a.x&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.xorshift7=p}(0,t=r.nmd(t),r.amdD)},801:function(t,n,r){var a;!function(t,s,l){function d(t){var n=this,r="";n.next=function(){var t=n.x^n.x>>>2;return n.x=n.y,n.y=n.z,n.z=n.w,n.w=n.v,(n.d=n.d+362437|0)+(n.v=n.v^n.v<<4^t^t<<1)|0},n.x=0,n.y=0,n.z=0,n.w=0,n.v=0,t===(0|t)?n.x=t:r+=t;for(var a=0;a<r.length+64;a++)n.x^=0|r.charCodeAt(a),a==r.length&&(n.d=n.x<<10^n.x>>>4),n.next()}function h(t,n){return n.x=t.x,n.y=t.y,n.z=t.z,n.w=t.w,n.v=t.v,n.d=t.d,n}function p(t,n){var r=new d(t),a=n&&n.state,s=function(){return(r.next()>>>0)/4294967296};return s.double=function(){do{var t=((r.next()>>>11)+(r.next()>>>0)/4294967296)/(1<<21)}while(0===t);return t},s.int32=r.next,s.quick=s,a&&("object"==typeof a&&h(a,r),s.state=function(){return h(r,{})}),s}s&&s.exports?s.exports=p:r.amdD&&r.amdO?void 0===(a=function(){return p}.call(n,r,n,s))||(s.exports=a):this.xorwow=p}(0,t=r.nmd(t),r.amdD)},1971:function(t,n,r){var a;!function(s,l,d){var h,p=256,f=d.pow(p,6),m=d.pow(2,52),g=2*m,v=p-1;function y(t,n,r){var a=[],v=S(w((n=1==n?{entropy:!0}:n||{}).entropy?[t,_(l)]:null==t?function(){try{var t;return h&&(t=h.randomBytes)?t=t(p):(t=new Uint8Array(p),(s.crypto||s.msCrypto).getRandomValues(t)),_(t)}catch(t){var n=s.navigator,r=n&&n.plugins;return[+new Date,s,r,s.screen,_(l)]}}():t,3),a),y=new b(a),T=function(){for(var t=y.g(6),n=f,r=0;t<m;)t=(t+r)*p,n*=p,r=y.g(1);for(;t>=g;)t/=2,n/=2,r>>>=1;return(t+r)/n};return T.int32=function(){return 0|y.g(4)},T.quick=function(){return y.g(4)/4294967296},T.double=T,S(_(y.S),l),(n.pass||r||function(t,n,r,a){return a&&(a.S&&x(a,y),t.state=function(){return x(y,{})}),r?(d.random=t,n):t})(T,v,"global"in n?n.global:this==d,n.state)}function b(t){var n,r=t.length,a=this,s=0,l=a.i=a.j=0,d=a.S=[];for(r||(t=[r++]);s<p;)d[s]=s++;for(s=0;s<p;s++)d[s]=d[l=v&l+t[s%r]+(n=d[s])],d[l]=n;(a.g=function(t){for(var n,r=0,s=a.i,l=a.j,d=a.S;t--;)n=d[s=v&s+1],r=r*p+d[v&(d[s]=d[l=v&l+n])+(d[l]=n)];return a.i=s,a.j=l,r})(p)}function x(t,n){return n.i=t.i,n.j=t.j,n.S=t.S.slice(),n}function w(t,n){var r,a=[],s=typeof t;if(n&&"object"==s)for(r in t)try{a.push(w(t[r],n-1))}catch(t){}return a.length?a:"string"==s?t:t+"\0"}function S(t,n){for(var r,a=t+"",s=0;s<a.length;)n[v&s]=v&(r^=19*n[v&s])+a.charCodeAt(s++);return _(n)}function _(t){return String.fromCharCode.apply(0,t)}if(S(d.random(),l),t.exports){t.exports=y;try{h=r(5042)}catch(t){}}else void 0===(a=function(){return y}.call(n,r,n,t))||(t.exports=a)}("undefined"!=typeof self?self:this,[],Math)},2212:(t,n,r)=>{"use strict";r.r(n),r.d(n,{ACESFilmicToneMapping:()=>ge,AddEquation:()=>D,AddOperation:()=>ue,AdditiveAnimationBlendMode:()=>ai,AdditiveBlending:()=>A,AlphaFormat:()=>Ze,AlwaysDepth:()=>ie,AlwaysStencilFunc:()=>Ni,AmbientLight:()=>Nd,AmbientLightProbe:()=>iu,AnimationClip:()=>Gc,AnimationLoader:()=>Jc,AnimationMixer:()=>ku,AnimationObjectGroup:()=>Au,AnimationUtils:()=>Rc,ArcCurve:()=>ad,ArrayCamera:()=>Cs,ArrowHelper:()=>ArrowHelper,Audio:()=>Audio,AudioAnalyser:()=>AudioAnalyser,AudioContext:()=>Qd,AudioListener:()=>AudioListener,AudioLoader:()=>eu,AxesHelper:()=>AxesHelper,AxisHelper:()=>op,BackSide:()=>w,BasicDepthPacking:()=>yi,BasicShadowMap:()=>g,BinaryTextureLoader:()=>dp,Bone:()=>ll,BooleanKeyframeTrack:()=>Nc,BoundingBoxHelper:()=>ap,Box2:()=>Box2,Box3:()=>Box3,Box3Helper:()=>Box3Helper,BoxBufferGeometry:()=>BoxGeometry,BoxGeometry:()=>BoxGeometry,BoxHelper:()=>BoxHelper,BufferAttribute:()=>Sr,BufferGeometry:()=>Ur,BufferGeometryLoader:()=>Gd,ByteType:()=>ze,Cache:()=>Wc,Camera:()=>go,CameraHelper:()=>CameraHelper,CanvasRenderer:()=>pp,CanvasTexture:()=>Nl,CatmullRomCurve3:()=>hd,CineonToneMapping:()=>me,CircleBufferGeometry:()=>CircleGeometry,CircleGeometry:()=>CircleGeometry,ClampToEdgeWrapping:()=>Ee,Clock:()=>Clock,ClosedSplineCurve3:()=>ip,Color:()=>Color,ColorKeyframeTrack:()=>Bc,CompressedTexture:()=>Fl,CompressedTextureLoader:()=>Qc,ConeBufferGeometry:()=>ConeGeometry,ConeGeometry:()=>ConeGeometry,CubeCamera:()=>xo,CubeReflectionMapping:()=>be,CubeRefractionMapping:()=>xe,CubeTexture:()=>wo,CubeTextureLoader:()=>td,CubeUVReflectionMapping:()=>_e,CubeUVRefractionMapping:()=>Me,CubicBezierCurve:()=>gd,CubicBezierCurve3:()=>vd,CubicInterpolant:()=>Pc,CullFaceBack:()=>p,CullFaceFront:()=>f,CullFaceFrontBack:()=>m,CullFaceNone:()=>h,Curve:()=>rd,CurvePath:()=>Md,CustomBlending:()=>P,CustomToneMapping:()=>ve,CylinderBufferGeometry:()=>CylinderGeometry,CylinderGeometry:()=>CylinderGeometry,Cylindrical:()=>Cylindrical,DataTexture:()=>So,DataTexture2DArray:()=>Go,DataTexture3D:()=>Ho,DataTextureLoader:()=>id,DataUtils:()=>oh,DecrementStencilOp:()=>Ei,DecrementWrapStencilOp:()=>Ai,DefaultLoadingManager:()=>Xc,DepthFormat:()=>it,DepthStencilFormat:()=>nt,DepthTexture:()=>Bl,DirectionalLight:()=>Fd,DirectionalLightHelper:()=>DirectionalLightHelper,DiscreteInterpolant:()=>Dc,DodecahedronBufferGeometry:()=>DodecahedronGeometry,DodecahedronGeometry:()=>DodecahedronGeometry,DoubleSide:()=>S,DstAlphaFactor:()=>Y,DstColorFactor:()=>J,DynamicBufferAttribute:()=>Wh,DynamicCopyUsage:()=>Hi,DynamicDrawUsage:()=>zi,DynamicReadUsage:()=>Vi,EdgesGeometry:()=>EdgesGeometry,EdgesHelper:()=>sp,EllipseCurve:()=>od,EqualDepth:()=>oe,EqualStencilFunc:()=>Ii,EquirectangularReflectionMapping:()=>we,EquirectangularRefractionMapping:()=>Se,Euler:()=>Euler,EventDispatcher:()=>Yi,ExtrudeBufferGeometry:()=>ExtrudeGeometry,ExtrudeGeometry:()=>ExtrudeGeometry,Face3:()=>Face3,Face4:()=>Rh,FaceColors:()=>Dh,FileLoader:()=>Kc,FlatShading:()=>_,Float16BufferAttribute:()=>Or,Float32Attribute:()=>ep,Float32BufferAttribute:()=>Rr,Float64Attribute:()=>tp,Float64BufferAttribute:()=>Ir,FloatType:()=>Ge,Fog:()=>Fog,FogExp2:()=>FogExp2,Font:()=>Font,FontLoader:()=>Kd,FrontSide:()=>x,Frustum:()=>Frustum,GLBufferAttribute:()=>Ru,GLSL1:()=>qi,GLSL3:()=>Xi,GammaEncoding:()=>hi,GeometryUtils:()=>hp,GreaterDepth:()=>se,GreaterEqualDepth:()=>ae,GreaterEqualStencilFunc:()=>Fi,GreaterStencilFunc:()=>Li,GridHelper:()=>GridHelper,Group:()=>As,HalfFloatType:()=>He,HemisphereLight:()=>Ad,HemisphereLightHelper:()=>HemisphereLightHelper,HemisphereLightProbe:()=>tu,IcosahedronBufferGeometry:()=>IcosahedronGeometry,IcosahedronGeometry:()=>IcosahedronGeometry,ImageBitmapLoader:()=>Xd,ImageLoader:()=>ed,ImageUtils:()=>en,ImmediateRenderObject:()=>Bu,IncrementStencilOp:()=>Ti,IncrementWrapStencilOp:()=>Ci,InstancedBufferAttribute:()=>Ud,InstancedBufferGeometry:()=>Vd,InstancedInterleavedBuffer:()=>Ou,InstancedMesh:()=>gl,Int16Attribute:()=>Zh,Int16BufferAttribute:()=>Er,Int32Attribute:()=>Jh,Int32BufferAttribute:()=>Ar,Int8Attribute:()=>qh,Int8BufferAttribute:()=>_r,IntType:()=>Ve,InterleavedBuffer:()=>Ls,InterleavedBufferAttribute:()=>Fs,Interpolant:()=>Ic,InterpolateDiscrete:()=>Qt,InterpolateLinear:()=>ei,InterpolateSmooth:()=>ti,InvertStencilOp:()=>ki,JSONLoader:()=>fp,KeepStencilOp:()=>_i,KeyframeTrack:()=>Fc,LOD:()=>tl,LatheBufferGeometry:()=>LatheGeometry,LatheGeometry:()=>LatheGeometry,Layers:()=>Layers,LensFlare:()=>gp,LessDepth:()=>ne,LessEqualDepth:()=>re,LessEqualStencilFunc:()=>Pi,LessStencilFunc:()=>Ri,Light:()=>Cd,LightProbe:()=>zd,Line:()=>_l,Line3:()=>Line3,LineBasicMaterial:()=>vl,LineCurve:()=>yd,LineCurve3:()=>bd,LineDashedMaterial:()=>kc,LineLoop:()=>Cl,LinePieces:()=>Ph,LineSegments:()=>El,LineStrip:()=>Ih,LinearEncoding:()=>di,LinearFilter:()=>Pe,LinearInterpolant:()=>Lc,LinearMipMapLinearFilter:()=>Ne,LinearMipMapNearestFilter:()=>De,LinearMipmapLinearFilter:()=>Fe,LinearMipmapNearestFilter:()=>Le,LinearToneMapping:()=>pe,Loader:()=>Yc,LoaderUtils:()=>jd,LoadingManager:()=>qc,LogLuvEncoding:()=>fi,LoopOnce:()=>Zt,LoopPingPong:()=>Jt,LoopRepeat:()=>Kt,LuminanceAlphaFormat:()=>et,LuminanceFormat:()=>Qe,MOUSE:()=>l,Material:()=>yr,MaterialLoader:()=>$d,Math:()=>Ji,MathUtils:()=>Ji,Matrix3:()=>Matrix3,Matrix4:()=>Matrix4,MaxEquation:()=>j,Mesh:()=>so,MeshBasicMaterial:()=>br,MeshDepthMaterial:()=>bs,MeshDistanceMaterial:()=>xs,MeshFaceMaterial:()=>Nh,MeshLambertMaterial:()=>Cc,MeshMatcapMaterial:()=>Ac,MeshNormalMaterial:()=>Ec,MeshPhongMaterial:()=>Mc,MeshPhysicalMaterial:()=>_c,MeshStandardMaterial:()=>Sc,MeshToonMaterial:()=>Tc,MinEquation:()=>$,MirroredRepeatWrapping:()=>Ce,MixOperation:()=>de,MultiMaterial:()=>Bh,MultiplyBlending:()=>I,MultiplyOperation:()=>ce,NearestFilter:()=>Ae,NearestMipMapLinearFilter:()=>Ie,NearestMipMapNearestFilter:()=>Oe,NearestMipmapLinearFilter:()=>Re,NearestMipmapNearestFilter:()=>ke,NeverDepth:()=>te,NeverStencilFunc:()=>Oi,NoBlending:()=>E,NoColors:()=>Lh,NoToneMapping:()=>he,NormalAnimationBlendMode:()=>oi,NormalBlending:()=>C,NotEqualDepth:()=>le,NotEqualStencilFunc:()=>Di,NumberKeyframeTrack:()=>zc,Object3D:()=>Kn,ObjectLoader:()=>ObjectLoader,ObjectSpaceNormalMap:()=>wi,OctahedronBufferGeometry:()=>OctahedronGeometry,OctahedronGeometry:()=>OctahedronGeometry,OneFactor:()=>U,OneMinusDstAlphaFactor:()=>K,OneMinusDstColorFactor:()=>Q,OneMinusSrcAlphaFactor:()=>X,OneMinusSrcColorFactor:()=>W,OrthographicCamera:()=>Ld,PCFShadowMap:()=>v,PCFSoftShadowMap:()=>y,PMREMGenerator:()=>PMREMGenerator,ParametricBufferGeometry:()=>yc,ParametricGeometry:()=>yc,Particle:()=>$h,ParticleBasicMaterial:()=>Uh,ParticleSystem:()=>jh,ParticleSystemMaterial:()=>Gh,Path:()=>Td,PerspectiveCamera:()=>vo,Plane:()=>Plane,PlaneBufferGeometry:()=>PlaneGeometry,PlaneGeometry:()=>PlaneGeometry,PlaneHelper:()=>PlaneHelper,PointCloud:()=>zh,PointCloudMaterial:()=>Vh,PointLight:()=>Pd,PointLightHelper:()=>PointLightHelper,Points:()=>Pl,PointsMaterial:()=>Al,PolarGridHelper:()=>PolarGridHelper,PolyhedronBufferGeometry:()=>PolyhedronGeometry,PolyhedronGeometry:()=>PolyhedronGeometry,PositionalAudio:()=>PositionalAudio,PropertyBinding:()=>Cu,PropertyMixer:()=>mu,QuadraticBezierCurve:()=>xd,QuadraticBezierCurve3:()=>wd,Quaternion:()=>Quaternion,QuaternionKeyframeTrack:()=>jc,QuaternionLinearInterpolant:()=>$c,REVISION:()=>s,RGBADepthPacking:()=>bi,RGBAFormat:()=>Je,RGBAIntegerFormat:()=>ct,RGBA_ASTC_10x10_Format:()=>It,RGBA_ASTC_10x5_Format:()=>kt,RGBA_ASTC_10x6_Format:()=>Ot,RGBA_ASTC_10x8_Format:()=>Rt,RGBA_ASTC_12x10_Format:()=>Pt,RGBA_ASTC_12x12_Format:()=>Lt,RGBA_ASTC_4x4_Format:()=>wt,RGBA_ASTC_5x4_Format:()=>St,RGBA_ASTC_5x5_Format:()=>_t,RGBA_ASTC_6x5_Format:()=>Mt,RGBA_ASTC_6x6_Format:()=>Tt,RGBA_ASTC_8x5_Format:()=>Et,RGBA_ASTC_8x6_Format:()=>Ct,RGBA_ASTC_8x8_Format:()=>At,RGBA_BPTC_Format:()=>Dt,RGBA_ETC2_EAC_Format:()=>xt,RGBA_PVRTC_2BPPV1_Format:()=>vt,RGBA_PVRTC_4BPPV1_Format:()=>gt,RGBA_S3TC_DXT1_Format:()=>ut,RGBA_S3TC_DXT3_Format:()=>ht,RGBA_S3TC_DXT5_Format:()=>pt,RGBDEncoding:()=>vi,RGBEEncoding:()=>pi,RGBEFormat:()=>tt,RGBFormat:()=>Ke,RGBIntegerFormat:()=>lt,RGBM16Encoding:()=>gi,RGBM7Encoding:()=>mi,RGB_ETC1_Format:()=>yt,RGB_ETC2_Format:()=>bt,RGB_PVRTC_2BPPV1_Format:()=>mt,RGB_PVRTC_4BPPV1_Format:()=>ft,RGB_S3TC_DXT1_Format:()=>dt,RGFormat:()=>at,RGIntegerFormat:()=>st,RawShaderMaterial:()=>wc,Ray:()=>Ray,Raycaster:()=>Iu,RectAreaLight:()=>Bd,RedFormat:()=>rt,RedIntegerFormat:()=>ot,ReinhardToneMapping:()=>fe,RepeatWrapping:()=>Te,ReplaceStencilOp:()=>Mi,ReverseSubtractEquation:()=>B,RingBufferGeometry:()=>RingGeometry,RingGeometry:()=>RingGeometry,SRGB8_ALPHA8_ASTC_10x10_Format:()=>qt,SRGB8_ALPHA8_ASTC_10x5_Format:()=>Gt,SRGB8_ALPHA8_ASTC_10x6_Format:()=>Ht,SRGB8_ALPHA8_ASTC_10x8_Format:()=>Wt,SRGB8_ALPHA8_ASTC_12x10_Format:()=>Xt,SRGB8_ALPHA8_ASTC_12x12_Format:()=>Yt,SRGB8_ALPHA8_ASTC_4x4_Format:()=>Ft,SRGB8_ALPHA8_ASTC_5x4_Format:()=>Nt,SRGB8_ALPHA8_ASTC_5x5_Format:()=>Bt,SRGB8_ALPHA8_ASTC_6x5_Format:()=>zt,SRGB8_ALPHA8_ASTC_6x6_Format:()=>$t,SRGB8_ALPHA8_ASTC_8x5_Format:()=>jt,SRGB8_ALPHA8_ASTC_8x6_Format:()=>Vt,SRGB8_ALPHA8_ASTC_8x8_Format:()=>Ut,Scene:()=>Scene,SceneUtils:()=>mp,ShaderChunk:()=>Co,ShaderLib:()=>ko,ShaderMaterial:()=>mo,ShadowMaterial:()=>xc,Shape:()=>Ed,ShapeBufferGeometry:()=>ShapeGeometry,ShapeGeometry:()=>ShapeGeometry,ShapePath:()=>Yd,ShapeUtils:()=>fc,ShortType:()=>$e,Skeleton:()=>ul,SkeletonHelper:()=>SkeletonHelper,SkinnedMesh:()=>sl,SmoothShading:()=>T,Sphere:()=>Sphere,SphereBufferGeometry:()=>SphereGeometry,SphereGeometry:()=>SphereGeometry,Spherical:()=>Spherical,SphericalHarmonics3:()=>SphericalHarmonics3,Spline:()=>rp,SplineCurve:()=>Sd,SplineCurve3:()=>np,SpotLight:()=>Rd,SpotLightHelper:()=>SpotLightHelper,Sprite:()=>Ks,SpriteMaterial:()=>Ns,SrcAlphaFactor:()=>q,SrcAlphaSaturateFactor:()=>ee,SrcColorFactor:()=>G,StaticCopyUsage:()=>Gi,StaticDrawUsage:()=>Bi,StaticReadUsage:()=>ji,StereoCamera:()=>ou,StreamCopyUsage:()=>Wi,StreamDrawUsage:()=>$i,StreamReadUsage:()=>Ui,StringKeyframeTrack:()=>Vc,SubtractEquation:()=>F,SubtractiveBlending:()=>O,TOUCH:()=>d,TangentSpaceNormalMap:()=>xi,TetrahedronBufferGeometry:()=>TetrahedronGeometry,TetrahedronGeometry:()=>TetrahedronGeometry,TextBufferGeometry:()=>TextGeometry,TextGeometry:()=>TextGeometry,Texture:()=>nn,TextureLoader:()=>nd,TorusBufferGeometry:()=>TorusGeometry,TorusGeometry:()=>TorusGeometry,TorusKnotBufferGeometry:()=>TorusKnotGeometry,TorusKnotGeometry:()=>TorusKnotGeometry,Triangle:()=>Triangle,TriangleFanDrawMode:()=>ci,TriangleStripDrawMode:()=>li,TrianglesDrawMode:()=>si,TubeBufferGeometry:()=>TubeGeometry,TubeGeometry:()=>TubeGeometry,UVMapping:()=>ye,Uint16Attribute:()=>Kh,Uint16BufferAttribute:()=>Cr,Uint32Attribute:()=>Qh,Uint32BufferAttribute:()=>kr,Uint8Attribute:()=>Xh,Uint8BufferAttribute:()=>Mr,Uint8ClampedAttribute:()=>Yh,Uint8ClampedBufferAttribute:()=>Tr,Uniform:()=>Uniform,UniformsLib:()=>Ao,UniformsUtils:()=>ho,UnsignedByteType:()=>Be,UnsignedInt248Type:()=>Ye,UnsignedIntType:()=>Ue,UnsignedShort4444Type:()=>We,UnsignedShort5551Type:()=>qe,UnsignedShort565Type:()=>Xe,UnsignedShortType:()=>je,VSMShadowMap:()=>b,Vector2:()=>Vector2,Vector3:()=>Vector3,Vector4:()=>Vector4,VectorKeyframeTrack:()=>Uc,Vertex:()=>Hh,VertexColors:()=>Fh,VideoTexture:()=>Dl,WebGL1Renderer:()=>Ps,WebGLCubeRenderTarget:()=>WebGLCubeRenderTarget,WebGLMultisampleRenderTarget:()=>WebGLMultisampleRenderTarget,WebGLRenderTarget:()=>WebGLRenderTarget,WebGLRenderTargetCube:()=>up,WebGLRenderer:()=>Is,WebGLUtils:()=>Es,WireframeGeometry:()=>WireframeGeometry,WireframeHelper:()=>lp,WrapAroundEnding:()=>ri,XHRLoader:()=>cp,ZeroCurvatureEnding:()=>ii,ZeroFactor:()=>V,ZeroSlopeEnding:()=>ni,ZeroStencilOp:()=>Si,sRGBEncoding:()=>ui});var a=r(5108);const s="125",l={LEFT:0,MIDDLE:1,RIGHT:2,ROTATE:0,DOLLY:1,PAN:2},d={ROTATE:0,PAN:1,DOLLY_PAN:2,DOLLY_ROTATE:3},h=0,p=1,f=2,m=3,g=0,v=1,y=2,b=3,x=0,w=1,S=2,_=1,T=2,E=0,C=1,A=2,O=3,I=4,P=5,D=100,F=101,B=102,$=103,j=104,V=200,U=201,G=202,W=203,q=204,X=205,Y=206,K=207,J=208,Q=209,ee=210,te=0,ie=1,ne=2,re=3,oe=4,ae=5,se=6,le=7,ce=0,de=1,ue=2,he=0,pe=1,fe=2,me=3,ge=4,ve=5,ye=300,be=301,xe=302,we=303,Se=304,_e=306,Me=307,Te=1e3,Ee=1001,Ce=1002,Ae=1003,ke=1004,Oe=1004,Re=1005,Ie=1005,Pe=1006,Le=1007,De=1007,Fe=1008,Ne=1008,Be=1009,ze=1010,$e=1011,je=1012,Ve=1013,Ue=1014,Ge=1015,He=1016,We=1017,qe=1018,Xe=1019,Ye=1020,Ze=1021,Ke=1022,Je=1023,Qe=1024,et=1025,tt=Je,it=1026,nt=1027,rt=1028,ot=1029,at=1030,st=1031,lt=1032,ct=1033,dt=33776,ut=33777,ht=33778,pt=33779,ft=35840,mt=35841,gt=35842,vt=35843,yt=36196,bt=37492,xt=37496,wt=37808,St=37809,_t=37810,Mt=37811,Tt=37812,Et=37813,Ct=37814,At=37815,kt=37816,Ot=37817,Rt=37818,It=37819,Pt=37820,Lt=37821,Dt=36492,Ft=37840,Nt=37841,Bt=37842,zt=37843,$t=37844,jt=37845,Vt=37846,Ut=37847,Gt=37848,Ht=37849,Wt=37850,qt=37851,Xt=37852,Yt=37853,Zt=2200,Kt=2201,Jt=2202,Qt=2300,ei=2301,ti=2302,ii=2400,ni=2401,ri=2402,oi=2500,ai=2501,si=0,li=1,ci=2,di=3e3,ui=3001,hi=3007,pi=3002,fi=3003,mi=3004,gi=3005,vi=3006,yi=3200,bi=3201,xi=0,wi=1,Si=0,_i=7680,Mi=7681,Ti=7682,Ei=7683,Ci=34055,Ai=34056,ki=5386,Oi=512,Ri=513,Ii=514,Pi=515,Li=516,Di=517,Fi=518,Ni=519,Bi=35044,zi=35048,$i=35040,ji=35045,Vi=35049,Ui=35041,Gi=35046,Hi=35050,Wi=35042,qi="100",Xi="300 es";function Yi(){}Object.assign(Yi.prototype,{addEventListener:function(t,n){void 0===this._listeners&&(this._listeners={});const r=this._listeners;void 0===r[t]&&(r[t]=[]),-1===r[t].indexOf(n)&&r[t].push(n)},hasEventListener:function(t,n){if(void 0===this._listeners)return!1;const r=this._listeners;return void 0!==r[t]&&-1!==r[t].indexOf(n)},removeEventListener:function(t,n){if(void 0===this._listeners)return;const r=this._listeners[t];if(void 0!==r){const t=r.indexOf(n);-1!==t&&r.splice(t,1)}},dispatchEvent:function(t){if(void 0===this._listeners)return;const n=this._listeners[t.type];if(void 0!==n){t.target=this;const r=n.slice(0);for(let n=0,a=r.length;n<a;n++)r[n].call(this,t)}}});const Zi=[];for(let t=0;t<256;t++)Zi[t]=(t<16?"0":"")+t.toString(16);let Ki=1234567;const Ji={DEG2RAD:Math.PI/180,RAD2DEG:180/Math.PI,generateUUID:function(){const t=4294967295*Math.random()|0,n=4294967295*Math.random()|0,r=4294967295*Math.random()|0,a=4294967295*Math.random()|0;return(Zi[255&t]+Zi[t>>8&255]+Zi[t>>16&255]+Zi[t>>24&255]+"-"+Zi[255&n]+Zi[n>>8&255]+"-"+Zi[n>>16&15|64]+Zi[n>>24&255]+"-"+Zi[63&r|128]+Zi[r>>8&255]+"-"+Zi[r>>16&255]+Zi[r>>24&255]+Zi[255&a]+Zi[a>>8&255]+Zi[a>>16&255]+Zi[a>>24&255]).toUpperCase()},clamp:function(t,n,r){return Math.max(n,Math.min(r,t))},euclideanModulo:function(t,n){return(t%n+n)%n},mapLinear:function(t,n,r,a,s){return a+(t-n)*(s-a)/(r-n)},lerp:function(t,n,r){return(1-r)*t+r*n},damp:function(t,n,r,a){return Ji.lerp(t,n,1-Math.exp(-r*a))},pingpong:function(t,n=1){return n-Math.abs(Ji.euclideanModulo(t,2*n)-n)},smoothstep:function(t,n,r){return t<=n?0:t>=r?1:(t=(t-n)/(r-n))*t*(3-2*t)},smootherstep:function(t,n,r){return t<=n?0:t>=r?1:(t=(t-n)/(r-n))*t*t*(t*(6*t-15)+10)},randInt:function(t,n){return t+Math.floor(Math.random()*(n-t+1))},randFloat:function(t,n){return t+Math.random()*(n-t)},randFloatSpread:function(t){return t*(.5-Math.random())},seededRandom:function(t){return void 0!==t&&(Ki=t%2147483647),Ki=16807*Ki%2147483647,(Ki-1)/2147483646},degToRad:function(t){return t*Ji.DEG2RAD},radToDeg:function(t){return t*Ji.RAD2DEG},isPowerOfTwo:function(t){return 0==(t&t-1)&&0!==t},ceilPowerOfTwo:function(t){return Math.pow(2,Math.ceil(Math.log(t)/Math.LN2))},floorPowerOfTwo:function(t){return Math.pow(2,Math.floor(Math.log(t)/Math.LN2))},setQuaternionFromProperEuler:function(t,n,r,s,l){const d=Math.cos,h=Math.sin,p=d(r/2),f=h(r/2),m=d((n+s)/2),g=h((n+s)/2),v=d((n-s)/2),y=h((n-s)/2),b=d((s-n)/2),x=h((s-n)/2);switch(l){case"XYX":t.set(p*g,f*v,f*y,p*m);break;case"YZY":t.set(f*y,p*g,f*v,p*m);break;case"ZXZ":t.set(f*v,f*y,p*g,p*m);break;case"XZX":t.set(p*g,f*x,f*b,p*m);break;case"YXY":t.set(f*b,p*g,f*x,p*m);break;case"ZYZ":t.set(f*x,f*b,p*g,p*m);break;default:a.warn("THREE.MathUtils: .setQuaternionFromProperEuler() encountered an unknown order: "+l)}}};class Vector2{constructor(t=0,n=0){Object.defineProperty(this,"isVector2",{value:!0}),this.x=t,this.y=n}get width(){return this.x}set width(t){this.x=t}get height(){return this.y}set height(t){this.y=t}set(t,n){return this.x=t,this.y=n,this}setScalar(t){return this.x=t,this.y=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y)}copy(t){return this.x=t.x,this.y=t.y,this}add(t,n){return void 0!==n?(a.warn("THREE.Vector2: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this)}addScalar(t){return this.x+=t,this.y+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this}sub(t,n){return void 0!==n?(a.warn("THREE.Vector2: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this)}subScalar(t){return this.x-=t,this.y-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this}multiply(t){return this.x*=t.x,this.y*=t.y,this}multiplyScalar(t){return this.x*=t,this.y*=t,this}divide(t){return this.x/=t.x,this.y/=t.y,this}divideScalar(t){return this.multiplyScalar(1/t)}applyMatrix3(t){const n=this.x,r=this.y,a=t.elements;return this.x=a[0]*n+a[3]*r+a[6],this.y=a[1]*n+a[4]*r+a[7],this}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this}negate(){return this.x=-this.x,this.y=-this.y,this}dot(t){return this.x*t.x+this.y*t.y}cross(t){return this.x*t.y-this.y*t.x}lengthSq(){return this.x*this.x+this.y*this.y}length(){return Math.sqrt(this.x*this.x+this.y*this.y)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)}normalize(){return this.divideScalar(this.length()||1)}angle(){return Math.atan2(-this.y,-this.x)+Math.PI}distanceTo(t){return Math.sqrt(this.distanceToSquared(t))}distanceToSquared(t){const n=this.x-t.x,r=this.y-t.y;return n*n+r*r}manhattanDistanceTo(t){return Math.abs(this.x-t.x)+Math.abs(this.y-t.y)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this}equals(t){return t.x===this.x&&t.y===this.y}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t}fromBufferAttribute(t,n,r){return void 0!==r&&a.warn("THREE.Vector2: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this}rotateAround(t,n){const r=Math.cos(n),a=Math.sin(n),s=this.x-t.x,l=this.y-t.y;return this.x=s*r-l*a+t.x,this.y=s*a+l*r+t.y,this}random(){return this.x=Math.random(),this.y=Math.random(),this}}class Matrix3{constructor(){Object.defineProperty(this,"isMatrix3",{value:!0}),this.elements=[1,0,0,0,1,0,0,0,1],arguments.length>0&&a.error("THREE.Matrix3: the constructor no longer reads arguments. use .set() instead.")}set(t,n,r,a,s,l,d,h,p){const f=this.elements;return f[0]=t,f[1]=a,f[2]=d,f[3]=n,f[4]=s,f[5]=h,f[6]=r,f[7]=l,f[8]=p,this}identity(){return this.set(1,0,0,0,1,0,0,0,1),this}clone(){return(new this.constructor).fromArray(this.elements)}copy(t){const n=this.elements,r=t.elements;return n[0]=r[0],n[1]=r[1],n[2]=r[2],n[3]=r[3],n[4]=r[4],n[5]=r[5],n[6]=r[6],n[7]=r[7],n[8]=r[8],this}extractBasis(t,n,r){return t.setFromMatrix3Column(this,0),n.setFromMatrix3Column(this,1),r.setFromMatrix3Column(this,2),this}setFromMatrix4(t){const n=t.elements;return this.set(n[0],n[4],n[8],n[1],n[5],n[9],n[2],n[6],n[10]),this}multiply(t){return this.multiplyMatrices(this,t)}premultiply(t){return this.multiplyMatrices(t,this)}multiplyMatrices(t,n){const r=t.elements,a=n.elements,s=this.elements,l=r[0],d=r[3],h=r[6],p=r[1],f=r[4],m=r[7],g=r[2],v=r[5],y=r[8],b=a[0],x=a[3],w=a[6],S=a[1],_=a[4],T=a[7],E=a[2],C=a[5],A=a[8];return s[0]=l*b+d*S+h*E,s[3]=l*x+d*_+h*C,s[6]=l*w+d*T+h*A,s[1]=p*b+f*S+m*E,s[4]=p*x+f*_+m*C,s[7]=p*w+f*T+m*A,s[2]=g*b+v*S+y*E,s[5]=g*x+v*_+y*C,s[8]=g*w+v*T+y*A,this}multiplyScalar(t){const n=this.elements;return n[0]*=t,n[3]*=t,n[6]*=t,n[1]*=t,n[4]*=t,n[7]*=t,n[2]*=t,n[5]*=t,n[8]*=t,this}determinant(){const t=this.elements,n=t[0],r=t[1],a=t[2],s=t[3],l=t[4],d=t[5],h=t[6],p=t[7],f=t[8];return n*l*f-n*d*p-r*s*f+r*d*h+a*s*p-a*l*h}invert(){const t=this.elements,n=t[0],r=t[1],a=t[2],s=t[3],l=t[4],d=t[5],h=t[6],p=t[7],f=t[8],m=f*l-d*p,g=d*h-f*s,v=p*s-l*h,y=n*m+r*g+a*v;if(0===y)return this.set(0,0,0,0,0,0,0,0,0);const b=1/y;return t[0]=m*b,t[1]=(a*p-f*r)*b,t[2]=(d*r-a*l)*b,t[3]=g*b,t[4]=(f*n-a*h)*b,t[5]=(a*s-d*n)*b,t[6]=v*b,t[7]=(r*h-p*n)*b,t[8]=(l*n-r*s)*b,this}transpose(){let t;const n=this.elements;return t=n[1],n[1]=n[3],n[3]=t,t=n[2],n[2]=n[6],n[6]=t,t=n[5],n[5]=n[7],n[7]=t,this}getNormalMatrix(t){return this.setFromMatrix4(t).copy(this).invert().transpose()}transposeIntoArray(t){const n=this.elements;return t[0]=n[0],t[1]=n[3],t[2]=n[6],t[3]=n[1],t[4]=n[4],t[5]=n[7],t[6]=n[2],t[7]=n[5],t[8]=n[8],this}setUvTransform(t,n,r,a,s,l,d){const h=Math.cos(s),p=Math.sin(s);return this.set(r*h,r*p,-r*(h*l+p*d)+l+t,-a*p,a*h,-a*(-p*l+h*d)+d+n,0,0,1),this}scale(t,n){const r=this.elements;return r[0]*=t,r[3]*=t,r[6]*=t,r[1]*=n,r[4]*=n,r[7]*=n,this}rotate(t){const n=Math.cos(t),r=Math.sin(t),a=this.elements,s=a[0],l=a[3],d=a[6],h=a[1],p=a[4],f=a[7];return a[0]=n*s+r*h,a[3]=n*l+r*p,a[6]=n*d+r*f,a[1]=-r*s+n*h,a[4]=-r*l+n*p,a[7]=-r*d+n*f,this}translate(t,n){const r=this.elements;return r[0]+=t*r[2],r[3]+=t*r[5],r[6]+=t*r[8],r[1]+=n*r[2],r[4]+=n*r[5],r[7]+=n*r[8],this}equals(t){const n=this.elements,r=t.elements;for(let t=0;t<9;t++)if(n[t]!==r[t])return!1;return!0}fromArray(t,n=0){for(let r=0;r<9;r++)this.elements[r]=t[r+n];return this}toArray(t=[],n=0){const r=this.elements;return t[n]=r[0],t[n+1]=r[1],t[n+2]=r[2],t[n+3]=r[3],t[n+4]=r[4],t[n+5]=r[5],t[n+6]=r[6],t[n+7]=r[7],t[n+8]=r[8],t}}let Qi;const en={getDataURL:function(t){if(/^data:/i.test(t.src))return t.src;if("undefined"==typeof HTMLCanvasElement)return t.src;let n;if(t instanceof HTMLCanvasElement)n=t;else{void 0===Qi&&(Qi=document.createElementNS("http://www.w3.org/1999/xhtml","canvas")),Qi.width=t.width,Qi.height=t.height;const r=Qi.getContext("2d");t instanceof ImageData?r.putImageData(t,0,0):r.drawImage(t,0,0,t.width,t.height),n=Qi}return n.width>2048||n.height>2048?n.toDataURL("image/jpeg",.6):n.toDataURL("image/png")}};let tn=0;function nn(t=nn.DEFAULT_IMAGE,n=nn.DEFAULT_MAPPING,r=Ee,a=Ee,s=Pe,l=Fe,d=Je,h=Be,p=1,f=di){Object.defineProperty(this,"id",{value:tn++}),this.uuid=Ji.generateUUID(),this.name="",this.image=t,this.mipmaps=[],this.mapping=n,this.wrapS=r,this.wrapT=a,this.magFilter=s,this.minFilter=l,this.anisotropy=p,this.format=d,this.internalFormat=null,this.type=h,this.offset=new Vector2(0,0),this.repeat=new Vector2(1,1),this.center=new Vector2(0,0),this.rotation=0,this.matrixAutoUpdate=!0,this.matrix=new Matrix3,this.generateMipmaps=!0,this.premultiplyAlpha=!1,this.flipY=!0,this.unpackAlignment=4,this.encoding=f,this.version=0,this.onUpdate=null}function rn(t){return"undefined"!=typeof HTMLImageElement&&t instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&t instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&t instanceof ImageBitmap?en.getDataURL(t):t.data?{data:Array.prototype.slice.call(t.data),width:t.width,height:t.height,type:t.data.constructor.name}:(a.warn("THREE.Texture: Unable to serialize Texture."),{})}nn.DEFAULT_IMAGE=void 0,nn.DEFAULT_MAPPING=ye,nn.prototype=Object.assign(Object.create(Yi.prototype),{constructor:nn,isTexture:!0,updateMatrix:function(){this.matrix.setUvTransform(this.offset.x,this.offset.y,this.repeat.x,this.repeat.y,this.rotation,this.center.x,this.center.y)},clone:function(){return(new this.constructor).copy(this)},copy:function(t){return this.name=t.name,this.image=t.image,this.mipmaps=t.mipmaps.slice(0),this.mapping=t.mapping,this.wrapS=t.wrapS,this.wrapT=t.wrapT,this.magFilter=t.magFilter,this.minFilter=t.minFilter,this.anisotropy=t.anisotropy,this.format=t.format,this.internalFormat=t.internalFormat,this.type=t.type,this.offset.copy(t.offset),this.repeat.copy(t.repeat),this.center.copy(t.center),this.rotation=t.rotation,this.matrixAutoUpdate=t.matrixAutoUpdate,this.matrix.copy(t.matrix),this.generateMipmaps=t.generateMipmaps,this.premultiplyAlpha=t.premultiplyAlpha,this.flipY=t.flipY,this.unpackAlignment=t.unpackAlignment,this.encoding=t.encoding,this},toJSON:function(t){const n=void 0===t||"string"==typeof t;if(!n&&void 0!==t.textures[this.uuid])return t.textures[this.uuid];const r={metadata:{version:4.5,type:"Texture",generator:"Texture.toJSON"},uuid:this.uuid,name:this.name,mapping:this.mapping,repeat:[this.repeat.x,this.repeat.y],offset:[this.offset.x,this.offset.y],center:[this.center.x,this.center.y],rotation:this.rotation,wrap:[this.wrapS,this.wrapT],format:this.format,type:this.type,encoding:this.encoding,minFilter:this.minFilter,magFilter:this.magFilter,anisotropy:this.anisotropy,flipY:this.flipY,premultiplyAlpha:this.premultiplyAlpha,unpackAlignment:this.unpackAlignment};if(void 0!==this.image){const a=this.image;if(void 0===a.uuid&&(a.uuid=Ji.generateUUID()),!n&&void 0===t.images[a.uuid]){let n;if(Array.isArray(a)){n=[];for(let t=0,r=a.length;t<r;t++)a[t].isDataTexture?n.push(rn(a[t].image)):n.push(rn(a[t]))}else n=rn(a);t.images[a.uuid]={uuid:a.uuid,url:n}}r.image=a.uuid}return n||(t.textures[this.uuid]=r),r},dispose:function(){this.dispatchEvent({type:"dispose"})},transformUv:function(t){if(this.mapping!==ye)return t;if(t.applyMatrix3(this.matrix),t.x<0||t.x>1)switch(this.wrapS){case Te:t.x=t.x-Math.floor(t.x);break;case Ee:t.x=t.x<0?0:1;break;case Ce:1===Math.abs(Math.floor(t.x)%2)?t.x=Math.ceil(t.x)-t.x:t.x=t.x-Math.floor(t.x)}if(t.y<0||t.y>1)switch(this.wrapT){case Te:t.y=t.y-Math.floor(t.y);break;case Ee:t.y=t.y<0?0:1;break;case Ce:1===Math.abs(Math.floor(t.y)%2)?t.y=Math.ceil(t.y)-t.y:t.y=t.y-Math.floor(t.y)}return this.flipY&&(t.y=1-t.y),t}}),Object.defineProperty(nn.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}});class Vector4{constructor(t=0,n=0,r=0,a=1){Object.defineProperty(this,"isVector4",{value:!0}),this.x=t,this.y=n,this.z=r,this.w=a}get width(){return this.z}set width(t){this.z=t}get height(){return this.w}set height(t){this.w=t}set(t,n,r,a){return this.x=t,this.y=n,this.z=r,this.w=a,this}setScalar(t){return this.x=t,this.y=t,this.z=t,this.w=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setZ(t){return this.z=t,this}setW(t){return this.w=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;case 2:this.z=n;break;case 3:this.w=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;case 2:return this.z;case 3:return this.w;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y,this.z,this.w)}copy(t){return this.x=t.x,this.y=t.y,this.z=t.z,this.w=void 0!==t.w?t.w:1,this}add(t,n){return void 0!==n?(a.warn("THREE.Vector4: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this.z+=t.z,this.w+=t.w,this)}addScalar(t){return this.x+=t,this.y+=t,this.z+=t,this.w+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this.z=t.z+n.z,this.w=t.w+n.w,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this.z+=t.z*n,this.w+=t.w*n,this}sub(t,n){return void 0!==n?(a.warn("THREE.Vector4: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this.z-=t.z,this.w-=t.w,this)}subScalar(t){return this.x-=t,this.y-=t,this.z-=t,this.w-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this.z=t.z-n.z,this.w=t.w-n.w,this}multiply(t){return this.x*=t.x,this.y*=t.y,this.z*=t.z,this.w*=t.w,this}multiplyScalar(t){return this.x*=t,this.y*=t,this.z*=t,this.w*=t,this}applyMatrix4(t){const n=this.x,r=this.y,a=this.z,s=this.w,l=t.elements;return this.x=l[0]*n+l[4]*r+l[8]*a+l[12]*s,this.y=l[1]*n+l[5]*r+l[9]*a+l[13]*s,this.z=l[2]*n+l[6]*r+l[10]*a+l[14]*s,this.w=l[3]*n+l[7]*r+l[11]*a+l[15]*s,this}divideScalar(t){return this.multiplyScalar(1/t)}setAxisAngleFromQuaternion(t){this.w=2*Math.acos(t.w);const n=Math.sqrt(1-t.w*t.w);return n<1e-4?(this.x=1,this.y=0,this.z=0):(this.x=t.x/n,this.y=t.y/n,this.z=t.z/n),this}setAxisAngleFromRotationMatrix(t){let n,r,a,s;const l=.01,d=.1,h=t.elements,p=h[0],f=h[4],m=h[8],g=h[1],v=h[5],y=h[9],b=h[2],x=h[6],w=h[10];if(Math.abs(f-g)<l&&Math.abs(m-b)<l&&Math.abs(y-x)<l){if(Math.abs(f+g)<d&&Math.abs(m+b)<d&&Math.abs(y+x)<d&&Math.abs(p+v+w-3)<d)return this.set(1,0,0,0),this;n=Math.PI;const t=(p+1)/2,h=(v+1)/2,S=(w+1)/2,_=(f+g)/4,T=(m+b)/4,E=(y+x)/4;return t>h&&t>S?t<l?(r=0,a=.707106781,s=.707106781):(r=Math.sqrt(t),a=_/r,s=T/r):h>S?h<l?(r=.707106781,a=0,s=.707106781):(a=Math.sqrt(h),r=_/a,s=E/a):S<l?(r=.707106781,a=.707106781,s=0):(s=Math.sqrt(S),r=T/s,a=E/s),this.set(r,a,s,n),this}let S=Math.sqrt((x-y)*(x-y)+(m-b)*(m-b)+(g-f)*(g-f));return Math.abs(S)<.001&&(S=1),this.x=(x-y)/S,this.y=(m-b)/S,this.z=(g-f)/S,this.w=Math.acos((p+v+w-1)/2),this}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this.z=Math.min(this.z,t.z),this.w=Math.min(this.w,t.w),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this.z=Math.max(this.z,t.z),this.w=Math.max(this.w,t.w),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this.z=Math.max(t.z,Math.min(n.z,this.z)),this.w=Math.max(t.w,Math.min(n.w,this.w)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this.z=Math.max(t,Math.min(n,this.z)),this.w=Math.max(t,Math.min(n,this.w)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this.w=Math.floor(this.w),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this.w=Math.ceil(this.w),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this.w=Math.round(this.w),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this.z=this.z<0?Math.ceil(this.z):Math.floor(this.z),this.w=this.w<0?Math.ceil(this.w):Math.floor(this.w),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this.w=-this.w,this}dot(t){return this.x*t.x+this.y*t.y+this.z*t.z+this.w*t.w}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z+this.w*this.w)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)+Math.abs(this.w)}normalize(){return this.divideScalar(this.length()||1)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this.z+=(t.z-this.z)*n,this.w+=(t.w-this.w)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this.z=t.z+(n.z-t.z)*r,this.w=t.w+(n.w-t.w)*r,this}equals(t){return t.x===this.x&&t.y===this.y&&t.z===this.z&&t.w===this.w}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this.z=t[n+2],this.w=t[n+3],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t[n+2]=this.z,t[n+3]=this.w,t}fromBufferAttribute(t,n,r){return void 0!==r&&a.warn("THREE.Vector4: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this.z=t.getZ(n),this.w=t.getW(n),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this.w=Math.random(),this}}class WebGLRenderTarget extends Yi{constructor(t,n,r){super(),Object.defineProperty(this,"isWebGLRenderTarget",{value:!0}),this.width=t,this.height=n,this.scissor=new Vector4(0,0,t,n),this.scissorTest=!1,this.viewport=new Vector4(0,0,t,n),r=r||{},this.texture=new nn(void 0,r.mapping,r.wrapS,r.wrapT,r.magFilter,r.minFilter,r.format,r.type,r.anisotropy,r.encoding),this.texture.image={},this.texture.image.width=t,this.texture.image.height=n,this.texture.generateMipmaps=void 0!==r.generateMipmaps&&r.generateMipmaps,this.texture.minFilter=void 0!==r.minFilter?r.minFilter:Pe,this.depthBuffer=void 0===r.depthBuffer||r.depthBuffer,this.stencilBuffer=void 0!==r.stencilBuffer&&r.stencilBuffer,this.depthTexture=void 0!==r.depthTexture?r.depthTexture:null}setSize(t,n){this.width===t&&this.height===n||(this.width=t,this.height=n,this.texture.image.width=t,this.texture.image.height=n,this.dispose()),this.viewport.set(0,0,t,n),this.scissor.set(0,0,t,n)}clone(){return(new this.constructor).copy(this)}copy(t){return this.width=t.width,this.height=t.height,this.viewport.copy(t.viewport),this.texture=t.texture.clone(),this.depthBuffer=t.depthBuffer,this.stencilBuffer=t.stencilBuffer,this.depthTexture=t.depthTexture,this}dispose(){this.dispatchEvent({type:"dispose"})}}class WebGLMultisampleRenderTarget extends WebGLRenderTarget{constructor(t,n,r){super(t,n,r),Object.defineProperty(this,"isWebGLMultisampleRenderTarget",{value:!0}),this.samples=4}copy(t){return super.copy.call(this,t),this.samples=t.samples,this}}class Quaternion{constructor(t=0,n=0,r=0,a=1){Object.defineProperty(this,"isQuaternion",{value:!0}),this._x=t,this._y=n,this._z=r,this._w=a}static slerp(t,n,r,a){return r.copy(t).slerp(n,a)}static slerpFlat(t,n,r,a,s,l,d){let h=r[a+0],p=r[a+1],f=r[a+2],m=r[a+3];const g=s[l+0],v=s[l+1],y=s[l+2],b=s[l+3];if(m!==b||h!==g||p!==v||f!==y){let t=1-d;const n=h*g+p*v+f*y+m*b,r=n>=0?1:-1,a=1-n*n;if(a>Number.EPSILON){const s=Math.sqrt(a),l=Math.atan2(s,n*r);t=Math.sin(t*l)/s,d=Math.sin(d*l)/s}const s=d*r;if(h=h*t+g*s,p=p*t+v*s,f=f*t+y*s,m=m*t+b*s,t===1-d){const t=1/Math.sqrt(h*h+p*p+f*f+m*m);h*=t,p*=t,f*=t,m*=t}}t[n]=h,t[n+1]=p,t[n+2]=f,t[n+3]=m}static multiplyQuaternionsFlat(t,n,r,a,s,l){const d=r[a],h=r[a+1],p=r[a+2],f=r[a+3],m=s[l],g=s[l+1],v=s[l+2],y=s[l+3];return t[n]=d*y+f*m+h*v-p*g,t[n+1]=h*y+f*g+p*m-d*v,t[n+2]=p*y+f*v+d*g-h*m,t[n+3]=f*y-d*m-h*g-p*v,t}get x(){return this._x}set x(t){this._x=t,this._onChangeCallback()}get y(){return this._y}set y(t){this._y=t,this._onChangeCallback()}get z(){return this._z}set z(t){this._z=t,this._onChangeCallback()}get w(){return this._w}set w(t){this._w=t,this._onChangeCallback()}set(t,n,r,a){return this._x=t,this._y=n,this._z=r,this._w=a,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._w)}copy(t){return this._x=t.x,this._y=t.y,this._z=t.z,this._w=t.w,this._onChangeCallback(),this}setFromEuler(t,n){if(!t||!t.isEuler)throw new Error("THREE.Quaternion: .setFromEuler() now expects an Euler rotation rather than a Vector3 and order.");const r=t._x,s=t._y,l=t._z,d=t._order,h=Math.cos,p=Math.sin,f=h(r/2),m=h(s/2),g=h(l/2),v=p(r/2),y=p(s/2),b=p(l/2);switch(d){case"XYZ":this._x=v*m*g+f*y*b,this._y=f*y*g-v*m*b,this._z=f*m*b+v*y*g,this._w=f*m*g-v*y*b;break;case"YXZ":this._x=v*m*g+f*y*b,this._y=f*y*g-v*m*b,this._z=f*m*b-v*y*g,this._w=f*m*g+v*y*b;break;case"ZXY":this._x=v*m*g-f*y*b,this._y=f*y*g+v*m*b,this._z=f*m*b+v*y*g,this._w=f*m*g-v*y*b;break;case"ZYX":this._x=v*m*g-f*y*b,this._y=f*y*g+v*m*b,this._z=f*m*b-v*y*g,this._w=f*m*g+v*y*b;break;case"YZX":this._x=v*m*g+f*y*b,this._y=f*y*g+v*m*b,this._z=f*m*b-v*y*g,this._w=f*m*g-v*y*b;break;case"XZY":this._x=v*m*g-f*y*b,this._y=f*y*g-v*m*b,this._z=f*m*b+v*y*g,this._w=f*m*g+v*y*b;break;default:a.warn("THREE.Quaternion: .setFromEuler() encountered an unknown order: "+d)}return!1!==n&&this._onChangeCallback(),this}setFromAxisAngle(t,n){const r=n/2,a=Math.sin(r);return this._x=t.x*a,this._y=t.y*a,this._z=t.z*a,this._w=Math.cos(r),this._onChangeCallback(),this}setFromRotationMatrix(t){const n=t.elements,r=n[0],a=n[4],s=n[8],l=n[1],d=n[5],h=n[9],p=n[2],f=n[6],m=n[10],g=r+d+m;if(g>0){const t=.5/Math.sqrt(g+1);this._w=.25/t,this._x=(f-h)*t,this._y=(s-p)*t,this._z=(l-a)*t}else if(r>d&&r>m){const t=2*Math.sqrt(1+r-d-m);this._w=(f-h)/t,this._x=.25*t,this._y=(a+l)/t,this._z=(s+p)/t}else if(d>m){const t=2*Math.sqrt(1+d-r-m);this._w=(s-p)/t,this._x=(a+l)/t,this._y=.25*t,this._z=(h+f)/t}else{const t=2*Math.sqrt(1+m-r-d);this._w=(l-a)/t,this._x=(s+p)/t,this._y=(h+f)/t,this._z=.25*t}return this._onChangeCallback(),this}setFromUnitVectors(t,n){let r=t.dot(n)+1;return r<1e-6?(r=0,Math.abs(t.x)>Math.abs(t.z)?(this._x=-t.y,this._y=t.x,this._z=0,this._w=r):(this._x=0,this._y=-t.z,this._z=t.y,this._w=r)):(this._x=t.y*n.z-t.z*n.y,this._y=t.z*n.x-t.x*n.z,this._z=t.x*n.y-t.y*n.x,this._w=r),this.normalize()}angleTo(t){return 2*Math.acos(Math.abs(Ji.clamp(this.dot(t),-1,1)))}rotateTowards(t,n){const r=this.angleTo(t);if(0===r)return this;const a=Math.min(1,n/r);return this.slerp(t,a),this}identity(){return this.set(0,0,0,1)}invert(){return this.conjugate()}conjugate(){return this._x*=-1,this._y*=-1,this._z*=-1,this._onChangeCallback(),this}dot(t){return this._x*t._x+this._y*t._y+this._z*t._z+this._w*t._w}lengthSq(){return this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w}length(){return Math.sqrt(this._x*this._x+this._y*this._y+this._z*this._z+this._w*this._w)}normalize(){let t=this.length();return 0===t?(this._x=0,this._y=0,this._z=0,this._w=1):(t=1/t,this._x=this._x*t,this._y=this._y*t,this._z=this._z*t,this._w=this._w*t),this._onChangeCallback(),this}multiply(t,n){return void 0!==n?(a.warn("THREE.Quaternion: .multiply() now only accepts one argument. Use .multiplyQuaternions( a, b ) instead."),this.multiplyQuaternions(t,n)):this.multiplyQuaternions(this,t)}premultiply(t){return this.multiplyQuaternions(t,this)}multiplyQuaternions(t,n){const r=t._x,a=t._y,s=t._z,l=t._w,d=n._x,h=n._y,p=n._z,f=n._w;return this._x=r*f+l*d+a*p-s*h,this._y=a*f+l*h+s*d-r*p,this._z=s*f+l*p+r*h-a*d,this._w=l*f-r*d-a*h-s*p,this._onChangeCallback(),this}slerp(t,n){if(0===n)return this;if(1===n)return this.copy(t);const r=this._x,a=this._y,s=this._z,l=this._w;let d=l*t._w+r*t._x+a*t._y+s*t._z;if(d<0?(this._w=-t._w,this._x=-t._x,this._y=-t._y,this._z=-t._z,d=-d):this.copy(t),d>=1)return this._w=l,this._x=r,this._y=a,this._z=s,this;const h=1-d*d;if(h<=Number.EPSILON){const t=1-n;return this._w=t*l+n*this._w,this._x=t*r+n*this._x,this._y=t*a+n*this._y,this._z=t*s+n*this._z,this.normalize(),this._onChangeCallback(),this}const p=Math.sqrt(h),f=Math.atan2(p,d),m=Math.sin((1-n)*f)/p,g=Math.sin(n*f)/p;return this._w=l*m+this._w*g,this._x=r*m+this._x*g,this._y=a*m+this._y*g,this._z=s*m+this._z*g,this._onChangeCallback(),this}equals(t){return t._x===this._x&&t._y===this._y&&t._z===this._z&&t._w===this._w}fromArray(t,n=0){return this._x=t[n],this._y=t[n+1],this._z=t[n+2],this._w=t[n+3],this._onChangeCallback(),this}toArray(t=[],n=0){return t[n]=this._x,t[n+1]=this._y,t[n+2]=this._z,t[n+3]=this._w,t}fromBufferAttribute(t,n){return this._x=t.getX(n),this._y=t.getY(n),this._z=t.getZ(n),this._w=t.getW(n),this}_onChange(t){return this._onChangeCallback=t,this}_onChangeCallback(){}}class Vector3{constructor(t=0,n=0,r=0){Object.defineProperty(this,"isVector3",{value:!0}),this.x=t,this.y=n,this.z=r}set(t,n,r){return void 0===r&&(r=this.z),this.x=t,this.y=n,this.z=r,this}setScalar(t){return this.x=t,this.y=t,this.z=t,this}setX(t){return this.x=t,this}setY(t){return this.y=t,this}setZ(t){return this.z=t,this}setComponent(t,n){switch(t){case 0:this.x=n;break;case 1:this.y=n;break;case 2:this.z=n;break;default:throw new Error("index is out of range: "+t)}return this}getComponent(t){switch(t){case 0:return this.x;case 1:return this.y;case 2:return this.z;default:throw new Error("index is out of range: "+t)}}clone(){return new this.constructor(this.x,this.y,this.z)}copy(t){return this.x=t.x,this.y=t.y,this.z=t.z,this}add(t,n){return void 0!==n?(a.warn("THREE.Vector3: .add() now only accepts one argument. Use .addVectors( a, b ) instead."),this.addVectors(t,n)):(this.x+=t.x,this.y+=t.y,this.z+=t.z,this)}addScalar(t){return this.x+=t,this.y+=t,this.z+=t,this}addVectors(t,n){return this.x=t.x+n.x,this.y=t.y+n.y,this.z=t.z+n.z,this}addScaledVector(t,n){return this.x+=t.x*n,this.y+=t.y*n,this.z+=t.z*n,this}sub(t,n){return void 0!==n?(a.warn("THREE.Vector3: .sub() now only accepts one argument. Use .subVectors( a, b ) instead."),this.subVectors(t,n)):(this.x-=t.x,this.y-=t.y,this.z-=t.z,this)}subScalar(t){return this.x-=t,this.y-=t,this.z-=t,this}subVectors(t,n){return this.x=t.x-n.x,this.y=t.y-n.y,this.z=t.z-n.z,this}multiply(t,n){return void 0!==n?(a.warn("THREE.Vector3: .multiply() now only accepts one argument. Use .multiplyVectors( a, b ) instead."),this.multiplyVectors(t,n)):(this.x*=t.x,this.y*=t.y,this.z*=t.z,this)}multiplyScalar(t){return this.x*=t,this.y*=t,this.z*=t,this}multiplyVectors(t,n){return this.x=t.x*n.x,this.y=t.y*n.y,this.z=t.z*n.z,this}applyEuler(t){return t&&t.isEuler||a.error("THREE.Vector3: .applyEuler() now expects an Euler rotation rather than a Vector3 and order."),this.applyQuaternion(an.setFromEuler(t))}applyAxisAngle(t,n){return this.applyQuaternion(an.setFromAxisAngle(t,n))}applyMatrix3(t){const n=this.x,r=this.y,a=this.z,s=t.elements;return this.x=s[0]*n+s[3]*r+s[6]*a,this.y=s[1]*n+s[4]*r+s[7]*a,this.z=s[2]*n+s[5]*r+s[8]*a,this}applyNormalMatrix(t){return this.applyMatrix3(t).normalize()}applyMatrix4(t){const n=this.x,r=this.y,a=this.z,s=t.elements,l=1/(s[3]*n+s[7]*r+s[11]*a+s[15]);return this.x=(s[0]*n+s[4]*r+s[8]*a+s[12])*l,this.y=(s[1]*n+s[5]*r+s[9]*a+s[13])*l,this.z=(s[2]*n+s[6]*r+s[10]*a+s[14])*l,this}applyQuaternion(t){const n=this.x,r=this.y,a=this.z,s=t.x,l=t.y,d=t.z,h=t.w,p=h*n+l*a-d*r,f=h*r+d*n-s*a,m=h*a+s*r-l*n,g=-s*n-l*r-d*a;return this.x=p*h+g*-s+f*-d-m*-l,this.y=f*h+g*-l+m*-s-p*-d,this.z=m*h+g*-d+p*-l-f*-s,this}project(t){return this.applyMatrix4(t.matrixWorldInverse).applyMatrix4(t.projectionMatrix)}unproject(t){return this.applyMatrix4(t.projectionMatrixInverse).applyMatrix4(t.matrixWorld)}transformDirection(t){const n=this.x,r=this.y,a=this.z,s=t.elements;return this.x=s[0]*n+s[4]*r+s[8]*a,this.y=s[1]*n+s[5]*r+s[9]*a,this.z=s[2]*n+s[6]*r+s[10]*a,this.normalize()}divide(t){return this.x/=t.x,this.y/=t.y,this.z/=t.z,this}divideScalar(t){return this.multiplyScalar(1/t)}min(t){return this.x=Math.min(this.x,t.x),this.y=Math.min(this.y,t.y),this.z=Math.min(this.z,t.z),this}max(t){return this.x=Math.max(this.x,t.x),this.y=Math.max(this.y,t.y),this.z=Math.max(this.z,t.z),this}clamp(t,n){return this.x=Math.max(t.x,Math.min(n.x,this.x)),this.y=Math.max(t.y,Math.min(n.y,this.y)),this.z=Math.max(t.z,Math.min(n.z,this.z)),this}clampScalar(t,n){return this.x=Math.max(t,Math.min(n,this.x)),this.y=Math.max(t,Math.min(n,this.y)),this.z=Math.max(t,Math.min(n,this.z)),this}clampLength(t,n){const r=this.length();return this.divideScalar(r||1).multiplyScalar(Math.max(t,Math.min(n,r)))}floor(){return this.x=Math.floor(this.x),this.y=Math.floor(this.y),this.z=Math.floor(this.z),this}ceil(){return this.x=Math.ceil(this.x),this.y=Math.ceil(this.y),this.z=Math.ceil(this.z),this}round(){return this.x=Math.round(this.x),this.y=Math.round(this.y),this.z=Math.round(this.z),this}roundToZero(){return this.x=this.x<0?Math.ceil(this.x):Math.floor(this.x),this.y=this.y<0?Math.ceil(this.y):Math.floor(this.y),this.z=this.z<0?Math.ceil(this.z):Math.floor(this.z),this}negate(){return this.x=-this.x,this.y=-this.y,this.z=-this.z,this}dot(t){return this.x*t.x+this.y*t.y+this.z*t.z}lengthSq(){return this.x*this.x+this.y*this.y+this.z*this.z}length(){return Math.sqrt(this.x*this.x+this.y*this.y+this.z*this.z)}manhattanLength(){return Math.abs(this.x)+Math.abs(this.y)+Math.abs(this.z)}normalize(){return this.divideScalar(this.length()||1)}setLength(t){return this.normalize().multiplyScalar(t)}lerp(t,n){return this.x+=(t.x-this.x)*n,this.y+=(t.y-this.y)*n,this.z+=(t.z-this.z)*n,this}lerpVectors(t,n,r){return this.x=t.x+(n.x-t.x)*r,this.y=t.y+(n.y-t.y)*r,this.z=t.z+(n.z-t.z)*r,this}cross(t,n){return void 0!==n?(a.warn("THREE.Vector3: .cross() now only accepts one argument. Use .crossVectors( a, b ) instead."),this.crossVectors(t,n)):this.crossVectors(this,t)}crossVectors(t,n){const r=t.x,a=t.y,s=t.z,l=n.x,d=n.y,h=n.z;return this.x=a*h-s*d,this.y=s*l-r*h,this.z=r*d-a*l,this}projectOnVector(t){const n=t.lengthSq();if(0===n)return this.set(0,0,0);const r=t.dot(this)/n;return this.copy(t).multiplyScalar(r)}projectOnPlane(t){return on.copy(this).projectOnVector(t),this.sub(on)}reflect(t){return this.sub(on.copy(t).multiplyScalar(2*this.dot(t)))}angleTo(t){const n=Math.sqrt(this.lengthSq()*t.lengthSq());if(0===n)return Math.PI/2;const r=this.dot(t)/n;return Math.acos(Ji.clamp(r,-1,1))}distanceTo(t){return Math.sqrt(this.distanceToSquared(t))}distanceToSquared(t){const n=this.x-t.x,r=this.y-t.y,a=this.z-t.z;return n*n+r*r+a*a}manhattanDistanceTo(t){return Math.abs(this.x-t.x)+Math.abs(this.y-t.y)+Math.abs(this.z-t.z)}setFromSpherical(t){return this.setFromSphericalCoords(t.radius,t.phi,t.theta)}setFromSphericalCoords(t,n,r){const a=Math.sin(n)*t;return this.x=a*Math.sin(r),this.y=Math.cos(n)*t,this.z=a*Math.cos(r),this}setFromCylindrical(t){return this.setFromCylindricalCoords(t.radius,t.theta,t.y)}setFromCylindricalCoords(t,n,r){return this.x=t*Math.sin(n),this.y=r,this.z=t*Math.cos(n),this}setFromMatrixPosition(t){const n=t.elements;return this.x=n[12],this.y=n[13],this.z=n[14],this}setFromMatrixScale(t){const n=this.setFromMatrixColumn(t,0).length(),r=this.setFromMatrixColumn(t,1).length(),a=this.setFromMatrixColumn(t,2).length();return this.x=n,this.y=r,this.z=a,this}setFromMatrixColumn(t,n){return this.fromArray(t.elements,4*n)}setFromMatrix3Column(t,n){return this.fromArray(t.elements,3*n)}equals(t){return t.x===this.x&&t.y===this.y&&t.z===this.z}fromArray(t,n=0){return this.x=t[n],this.y=t[n+1],this.z=t[n+2],this}toArray(t=[],n=0){return t[n]=this.x,t[n+1]=this.y,t[n+2]=this.z,t}fromBufferAttribute(t,n,r){return void 0!==r&&a.warn("THREE.Vector3: offset has been removed from .fromBufferAttribute()."),this.x=t.getX(n),this.y=t.getY(n),this.z=t.getZ(n),this}random(){return this.x=Math.random(),this.y=Math.random(),this.z=Math.random(),this}}const on=new Vector3,an=new Quaternion;class Box3{constructor(t,n){Object.defineProperty(this,"isBox3",{value:!0}),this.min=void 0!==t?t:new Vector3(1/0,1/0,1/0),this.max=void 0!==n?n:new Vector3(-1/0,-1/0,-1/0)}set(t,n){return this.min.copy(t),this.max.copy(n),this}setFromArray(t){let n=1/0,r=1/0,a=1/0,s=-1/0,l=-1/0,d=-1/0;for(let h=0,p=t.length;h<p;h+=3){const p=t[h],f=t[h+1],m=t[h+2];p<n&&(n=p),f<r&&(r=f),m<a&&(a=m),p>s&&(s=p),f>l&&(l=f),m>d&&(d=m)}return this.min.set(n,r,a),this.max.set(s,l,d),this}setFromBufferAttribute(t){let n=1/0,r=1/0,a=1/0,s=-1/0,l=-1/0,d=-1/0;for(let h=0,p=t.count;h<p;h++){const p=t.getX(h),f=t.getY(h),m=t.getZ(h);p<n&&(n=p),f<r&&(r=f),m<a&&(a=m),p>s&&(s=p),f>l&&(l=f),m>d&&(d=m)}return this.min.set(n,r,a),this.max.set(s,l,d),this}setFromPoints(t){this.makeEmpty();for(let n=0,r=t.length;n<r;n++)this.expandByPoint(t[n]);return this}setFromCenterAndSize(t,n){const r=cn.copy(n).multiplyScalar(.5);return this.min.copy(t).sub(r),this.max.copy(t).add(r),this}setFromObject(t){return this.makeEmpty(),this.expandByObject(t)}clone(){return(new this.constructor).copy(this)}copy(t){return this.min.copy(t.min),this.max.copy(t.max),this}makeEmpty(){return this.min.x=this.min.y=this.min.z=1/0,this.max.x=this.max.y=this.max.z=-1/0,this}isEmpty(){return this.max.x<this.min.x||this.max.y<this.min.y||this.max.z<this.min.z}getCenter(t){return void 0===t&&(a.warn("THREE.Box3: .getCenter() target is now required"),t=new Vector3),this.isEmpty()?t.set(0,0,0):t.addVectors(this.min,this.max).multiplyScalar(.5)}getSize(t){return void 0===t&&(a.warn("THREE.Box3: .getSize() target is now required"),t=new Vector3),this.isEmpty()?t.set(0,0,0):t.subVectors(this.max,this.min)}expandByPoint(t){return this.min.min(t),this.max.max(t),this}expandByVector(t){return this.min.sub(t),this.max.add(t),this}expandByScalar(t){return this.min.addScalar(-t),this.max.addScalar(t),this}expandByObject(t){t.updateWorldMatrix(!1,!1);const n=t.geometry;void 0!==n&&(null===n.boundingBox&&n.computeBoundingBox(),dn.copy(n.boundingBox),dn.applyMatrix4(t.matrixWorld),this.union(dn));const r=t.children;for(let t=0,n=r.length;t<n;t++)this.expandByObject(r[t]);return this}containsPoint(t){return!(t.x<this.min.x||t.x>this.max.x||t.y<this.min.y||t.y>this.max.y||t.z<this.min.z||t.z>this.max.z)}containsBox(t){return this.min.x<=t.min.x&&t.max.x<=this.max.x&&this.min.y<=t.min.y&&t.max.y<=this.max.y&&this.min.z<=t.min.z&&t.max.z<=this.max.z}getParameter(t,n){return void 0===n&&(a.warn("THREE.Box3: .getParameter() target is now required"),n=new Vector3),n.set((t.x-this.min.x)/(this.max.x-this.min.x),(t.y-this.min.y)/(this.max.y-this.min.y),(t.z-this.min.z)/(this.max.z-this.min.z))}intersectsBox(t){return!(t.max.x<this.min.x||t.min.x>this.max.x||t.max.y<this.min.y||t.min.y>this.max.y||t.max.z<this.min.z||t.min.z>this.max.z)}intersectsSphere(t){return this.clampPoint(t.center,cn),cn.distanceToSquared(t.center)<=t.radius*t.radius}intersectsPlane(t){let n,r;return t.normal.x>0?(n=t.normal.x*this.min.x,r=t.normal.x*this.max.x):(n=t.normal.x*this.max.x,r=t.normal.x*this.min.x),t.normal.y>0?(n+=t.normal.y*this.min.y,r+=t.normal.y*this.max.y):(n+=t.normal.y*this.max.y,r+=t.normal.y*this.min.y),t.normal.z>0?(n+=t.normal.z*this.min.z,r+=t.normal.z*this.max.z):(n+=t.normal.z*this.max.z,r+=t.normal.z*this.min.z),n<=-t.constant&&r>=-t.constant}intersectsTriangle(t){if(this.isEmpty())return!1;this.getCenter(vn),yn.subVectors(this.max,vn),un.subVectors(t.a,vn),hn.subVectors(t.b,vn),pn.subVectors(t.c,vn),fn.subVectors(hn,un),mn.subVectors(pn,hn),gn.subVectors(un,pn);let n=[0,-fn.z,fn.y,0,-mn.z,mn.y,0,-gn.z,gn.y,fn.z,0,-fn.x,mn.z,0,-mn.x,gn.z,0,-gn.x,-fn.y,fn.x,0,-mn.y,mn.x,0,-gn.y,gn.x,0];return!!sn(n,un,hn,pn,yn)&&(n=[1,0,0,0,1,0,0,0,1],!!sn(n,un,hn,pn,yn)&&(bn.crossVectors(fn,mn),n=[bn.x,bn.y,bn.z],sn(n,un,hn,pn,yn)))}clampPoint(t,n){return void 0===n&&(a.warn("THREE.Box3: .clampPoint() target is now required"),n=new Vector3),n.copy(t).clamp(this.min,this.max)}distanceToPoint(t){return cn.copy(t).clamp(this.min,this.max).sub(t).length()}getBoundingSphere(t){return void 0===t&&a.error("THREE.Box3: .getBoundingSphere() target is now required"),this.getCenter(t.center),t.radius=.5*this.getSize(cn).length(),t}intersect(t){return this.min.max(t.min),this.max.min(t.max),this.isEmpty()&&this.makeEmpty(),this}union(t){return this.min.min(t.min),this.max.max(t.max),this}applyMatrix4(t){return this.isEmpty()||(ln[0].set(this.min.x,this.min.y,this.min.z).applyMatrix4(t),ln[1].set(this.min.x,this.min.y,this.max.z).applyMatrix4(t),ln[2].set(this.min.x,this.max.y,this.min.z).applyMatrix4(t),ln[3].set(this.min.x,this.max.y,this.max.z).applyMatrix4(t),ln[4].set(this.max.x,this.min.y,this.min.z).applyMatrix4(t),ln[5].set(this.max.x,this.min.y,this.max.z).applyMatrix4(t),ln[6].set(this.max.x,this.max.y,this.min.z).applyMatrix4(t),ln[7].set(this.max.x,this.max.y,this.max.z).applyMatrix4(t),this.setFromPoints(ln)),this}translate(t){return this.min.add(t),this.max.add(t),this}equals(t){return t.min.equals(this.min)&&t.max.equals(this.max)}}function sn(t,n,r,a,s){for(let l=0,d=t.length-3;l<=d;l+=3){xn.fromArray(t,l);const d=s.x*Math.abs(xn.x)+s.y*Math.abs(xn.y)+s.z*Math.abs(xn.z),h=n.dot(xn),p=r.dot(xn),f=a.dot(xn);if(Math.max(-Math.max(h,p,f),Math.min(h,p,f))>d)return!1}return!0}const ln=[new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3,new Vector3],cn=new Vector3,dn=new Box3,un=new Vector3,hn=new Vector3,pn=new Vector3,fn=new Vector3,mn=new Vector3,gn=new Vector3,vn=new Vector3,yn=new Vector3,bn=new Vector3,xn=new Vector3,wn=new Box3;class Sphere{constructor(t,n){this.center=void 0!==t?t:new Vector3,this.radius=void 0!==n?n:-1}set(t,n){return this.center.copy(t),this.radius=n,this}setFromPoints(t,n){const r=this.center;void 0!==n?r.copy(n):wn.setFromPoints(t).getCenter(r);let a=0;for(let n=0,s=t.length;n<s;n++)a=Math.max(a,r.distanceToSquared(t[n]));return this.radius=Math.sqrt(a),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.center.copy(t.center),this.radius=t.radius,this}isEmpty(){return this.radius<0}makeEmpty(){return this.center.set(0,0,0),this.radius=-1,this}containsPoint(t){return t.distanceToSquared(this.center)<=this.radius*this.radius}distanceToPoint(t){return t.distanceTo(this.center)-this.radius}intersectsSphere(t){const n=this.radius+t.radius;return t.center.distanceToSquared(this.center)<=n*n}intersectsBox(t){return t.intersectsSphere(this)}intersectsPlane(t){return Math.abs(t.distanceToPoint(this.center))<=this.radius}clampPoint(t,n){const r=this.center.distanceToSquared(t);return void 0===n&&(a.warn("THREE.Sphere: .clampPoint() target is now required"),n=new Vector3),n.copy(t),r>this.radius*this.radius&&(n.sub(this.center).normalize(),n.multiplyScalar(this.radius).add(this.center)),n}getBoundingBox(t){return void 0===t&&(a.warn("THREE.Sphere: .getBoundingBox() target is now required"),t=new Box3),this.isEmpty()?(t.makeEmpty(),t):(t.set(this.center,this.center),t.expandByScalar(this.radius),t)}applyMatrix4(t){return this.center.applyMatrix4(t),this.radius=this.radius*t.getMaxScaleOnAxis(),this}translate(t){return this.center.add(t),this}equals(t){return t.center.equals(this.center)&&t.radius===this.radius}}const Sn=new Vector3,_n=new Vector3,Mn=new Vector3,Tn=new Vector3,En=new Vector3,Cn=new Vector3,An=new Vector3;class Ray{constructor(t,n){this.origin=void 0!==t?t:new Vector3,this.direction=void 0!==n?n:new Vector3(0,0,-1)}set(t,n){return this.origin.copy(t),this.direction.copy(n),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.origin.copy(t.origin),this.direction.copy(t.direction),this}at(t,n){return void 0===n&&(a.warn("THREE.Ray: .at() target is now required"),n=new Vector3),n.copy(this.direction).multiplyScalar(t).add(this.origin)}lookAt(t){return this.direction.copy(t).sub(this.origin).normalize(),this}recast(t){return this.origin.copy(this.at(t,Sn)),this}closestPointToPoint(t,n){void 0===n&&(a.warn("THREE.Ray: .closestPointToPoint() target is now required"),n=new Vector3),n.subVectors(t,this.origin);const r=n.dot(this.direction);return r<0?n.copy(this.origin):n.copy(this.direction).multiplyScalar(r).add(this.origin)}distanceToPoint(t){return Math.sqrt(this.distanceSqToPoint(t))}distanceSqToPoint(t){const n=Sn.subVectors(t,this.origin).dot(this.direction);return n<0?this.origin.distanceToSquared(t):(Sn.copy(this.direction).multiplyScalar(n).add(this.origin),Sn.distanceToSquared(t))}distanceSqToSegment(t,n,r,a){_n.copy(t).add(n).multiplyScalar(.5),Mn.copy(n).sub(t).normalize(),Tn.copy(this.origin).sub(_n);const s=.5*t.distanceTo(n),l=-this.direction.dot(Mn),d=Tn.dot(this.direction),h=-Tn.dot(Mn),p=Tn.lengthSq(),f=Math.abs(1-l*l);let m,g,v,y;if(f>0)if(m=l*h-d,g=l*d-h,y=s*f,m>=0)if(g>=-y)if(g<=y){const t=1/f;m*=t,g*=t,v=m*(m+l*g+2*d)+g*(l*m+g+2*h)+p}else g=s,m=Math.max(0,-(l*g+d)),v=-m*m+g*(g+2*h)+p;else g=-s,m=Math.max(0,-(l*g+d)),v=-m*m+g*(g+2*h)+p;else g<=-y?(m=Math.max(0,-(-l*s+d)),g=m>0?-s:Math.min(Math.max(-s,-h),s),v=-m*m+g*(g+2*h)+p):g<=y?(m=0,g=Math.min(Math.max(-s,-h),s),v=g*(g+2*h)+p):(m=Math.max(0,-(l*s+d)),g=m>0?s:Math.min(Math.max(-s,-h),s),v=-m*m+g*(g+2*h)+p);else g=l>0?-s:s,m=Math.max(0,-(l*g+d)),v=-m*m+g*(g+2*h)+p;return r&&r.copy(this.direction).multiplyScalar(m).add(this.origin),a&&a.copy(Mn).multiplyScalar(g).add(_n),v}intersectSphere(t,n){Sn.subVectors(t.center,this.origin);const r=Sn.dot(this.direction),a=Sn.dot(Sn)-r*r,s=t.radius*t.radius;if(a>s)return null;const l=Math.sqrt(s-a),d=r-l,h=r+l;return d<0&&h<0?null:d<0?this.at(h,n):this.at(d,n)}intersectsSphere(t){return this.distanceSqToPoint(t.center)<=t.radius*t.radius}distanceToPlane(t){const n=t.normal.dot(this.direction);if(0===n)return 0===t.distanceToPoint(this.origin)?0:null;const r=-(this.origin.dot(t.normal)+t.constant)/n;return r>=0?r:null}intersectPlane(t,n){const r=this.distanceToPlane(t);return null===r?null:this.at(r,n)}intersectsPlane(t){const n=t.distanceToPoint(this.origin);if(0===n)return!0;return t.normal.dot(this.direction)*n<0}intersectBox(t,n){let r,a,s,l,d,h;const p=1/this.direction.x,f=1/this.direction.y,m=1/this.direction.z,g=this.origin;return p>=0?(r=(t.min.x-g.x)*p,a=(t.max.x-g.x)*p):(r=(t.max.x-g.x)*p,a=(t.min.x-g.x)*p),f>=0?(s=(t.min.y-g.y)*f,l=(t.max.y-g.y)*f):(s=(t.max.y-g.y)*f,l=(t.min.y-g.y)*f),r>l||s>a?null:((s>r||r!=r)&&(r=s),(l<a||a!=a)&&(a=l),m>=0?(d=(t.min.z-g.z)*m,h=(t.max.z-g.z)*m):(d=(t.max.z-g.z)*m,h=(t.min.z-g.z)*m),r>h||d>a?null:((d>r||r!=r)&&(r=d),(h<a||a!=a)&&(a=h),a<0?null:this.at(r>=0?r:a,n)))}intersectsBox(t){return null!==this.intersectBox(t,Sn)}intersectTriangle(t,n,r,a,s){En.subVectors(n,t),Cn.subVectors(r,t),An.crossVectors(En,Cn);let l,d=this.direction.dot(An);if(d>0){if(a)return null;l=1}else{if(!(d<0))return null;l=-1,d=-d}Tn.subVectors(this.origin,t);const h=l*this.direction.dot(Cn.crossVectors(Tn,Cn));if(h<0)return null;const p=l*this.direction.dot(En.cross(Tn));if(p<0)return null;if(h+p>d)return null;const f=-l*Tn.dot(An);return f<0?null:this.at(f/d,s)}applyMatrix4(t){return this.origin.applyMatrix4(t),this.direction.transformDirection(t),this}equals(t){return t.origin.equals(this.origin)&&t.direction.equals(this.direction)}}class Matrix4{constructor(){Object.defineProperty(this,"isMatrix4",{value:!0}),this.elements=[1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1],arguments.length>0&&a.error("THREE.Matrix4: the constructor no longer reads arguments. use .set() instead.")}set(t,n,r,a,s,l,d,h,p,f,m,g,v,y,b,x){const w=this.elements;return w[0]=t,w[4]=n,w[8]=r,w[12]=a,w[1]=s,w[5]=l,w[9]=d,w[13]=h,w[2]=p,w[6]=f,w[10]=m,w[14]=g,w[3]=v,w[7]=y,w[11]=b,w[15]=x,this}identity(){return this.set(1,0,0,0,0,1,0,0,0,0,1,0,0,0,0,1),this}clone(){return(new Matrix4).fromArray(this.elements)}copy(t){const n=this.elements,r=t.elements;return n[0]=r[0],n[1]=r[1],n[2]=r[2],n[3]=r[3],n[4]=r[4],n[5]=r[5],n[6]=r[6],n[7]=r[7],n[8]=r[8],n[9]=r[9],n[10]=r[10],n[11]=r[11],n[12]=r[12],n[13]=r[13],n[14]=r[14],n[15]=r[15],this}copyPosition(t){const n=this.elements,r=t.elements;return n[12]=r[12],n[13]=r[13],n[14]=r[14],this}setFromMatrix3(t){const n=t.elements;return this.set(n[0],n[3],n[6],0,n[1],n[4],n[7],0,n[2],n[5],n[8],0,0,0,0,1),this}extractBasis(t,n,r){return t.setFromMatrixColumn(this,0),n.setFromMatrixColumn(this,1),r.setFromMatrixColumn(this,2),this}makeBasis(t,n,r){return this.set(t.x,n.x,r.x,0,t.y,n.y,r.y,0,t.z,n.z,r.z,0,0,0,0,1),this}extractRotation(t){const n=this.elements,r=t.elements,a=1/kn.setFromMatrixColumn(t,0).length(),s=1/kn.setFromMatrixColumn(t,1).length(),l=1/kn.setFromMatrixColumn(t,2).length();return n[0]=r[0]*a,n[1]=r[1]*a,n[2]=r[2]*a,n[3]=0,n[4]=r[4]*s,n[5]=r[5]*s,n[6]=r[6]*s,n[7]=0,n[8]=r[8]*l,n[9]=r[9]*l,n[10]=r[10]*l,n[11]=0,n[12]=0,n[13]=0,n[14]=0,n[15]=1,this}makeRotationFromEuler(t){t&&t.isEuler||a.error("THREE.Matrix4: .makeRotationFromEuler() now expects a Euler rotation rather than a Vector3 and order.");const n=this.elements,r=t.x,s=t.y,l=t.z,d=Math.cos(r),h=Math.sin(r),p=Math.cos(s),f=Math.sin(s),m=Math.cos(l),g=Math.sin(l);if("XYZ"===t.order){const t=d*m,r=d*g,a=h*m,s=h*g;n[0]=p*m,n[4]=-p*g,n[8]=f,n[1]=r+a*f,n[5]=t-s*f,n[9]=-h*p,n[2]=s-t*f,n[6]=a+r*f,n[10]=d*p}else if("YXZ"===t.order){const t=p*m,r=p*g,a=f*m,s=f*g;n[0]=t+s*h,n[4]=a*h-r,n[8]=d*f,n[1]=d*g,n[5]=d*m,n[9]=-h,n[2]=r*h-a,n[6]=s+t*h,n[10]=d*p}else if("ZXY"===t.order){const t=p*m,r=p*g,a=f*m,s=f*g;n[0]=t-s*h,n[4]=-d*g,n[8]=a+r*h,n[1]=r+a*h,n[5]=d*m,n[9]=s-t*h,n[2]=-d*f,n[6]=h,n[10]=d*p}else if("ZYX"===t.order){const t=d*m,r=d*g,a=h*m,s=h*g;n[0]=p*m,n[4]=a*f-r,n[8]=t*f+s,n[1]=p*g,n[5]=s*f+t,n[9]=r*f-a,n[2]=-f,n[6]=h*p,n[10]=d*p}else if("YZX"===t.order){const t=d*p,r=d*f,a=h*p,s=h*f;n[0]=p*m,n[4]=s-t*g,n[8]=a*g+r,n[1]=g,n[5]=d*m,n[9]=-h*m,n[2]=-f*m,n[6]=r*g+a,n[10]=t-s*g}else if("XZY"===t.order){const t=d*p,r=d*f,a=h*p,s=h*f;n[0]=p*m,n[4]=-g,n[8]=f*m,n[1]=t*g+s,n[5]=d*m,n[9]=r*g-a,n[2]=a*g-r,n[6]=h*m,n[10]=s*g+t}return n[3]=0,n[7]=0,n[11]=0,n[12]=0,n[13]=0,n[14]=0,n[15]=1,this}makeRotationFromQuaternion(t){return this.compose(Rn,t,In)}lookAt(t,n,r){const a=this.elements;return Dn.subVectors(t,n),0===Dn.lengthSq()&&(Dn.z=1),Dn.normalize(),Pn.crossVectors(r,Dn),0===Pn.lengthSq()&&(1===Math.abs(r.z)?Dn.x+=1e-4:Dn.z+=1e-4,Dn.normalize(),Pn.crossVectors(r,Dn)),Pn.normalize(),Ln.crossVectors(Dn,Pn),a[0]=Pn.x,a[4]=Ln.x,a[8]=Dn.x,a[1]=Pn.y,a[5]=Ln.y,a[9]=Dn.y,a[2]=Pn.z,a[6]=Ln.z,a[10]=Dn.z,this}multiply(t,n){return void 0!==n?(a.warn("THREE.Matrix4: .multiply() now only accepts one argument. Use .multiplyMatrices( a, b ) instead."),this.multiplyMatrices(t,n)):this.multiplyMatrices(this,t)}premultiply(t){return this.multiplyMatrices(t,this)}multiplyMatrices(t,n){const r=t.elements,a=n.elements,s=this.elements,l=r[0],d=r[4],h=r[8],p=r[12],f=r[1],m=r[5],g=r[9],v=r[13],y=r[2],b=r[6],x=r[10],w=r[14],S=r[3],_=r[7],T=r[11],E=r[15],C=a[0],A=a[4],O=a[8],I=a[12],P=a[1],D=a[5],F=a[9],B=a[13],$=a[2],j=a[6],V=a[10],U=a[14],G=a[3],W=a[7],q=a[11],X=a[15];return s[0]=l*C+d*P+h*$+p*G,s[4]=l*A+d*D+h*j+p*W,s[8]=l*O+d*F+h*V+p*q,s[12]=l*I+d*B+h*U+p*X,s[1]=f*C+m*P+g*$+v*G,s[5]=f*A+m*D+g*j+v*W,s[9]=f*O+m*F+g*V+v*q,s[13]=f*I+m*B+g*U+v*X,s[2]=y*C+b*P+x*$+w*G,s[6]=y*A+b*D+x*j+w*W,s[10]=y*O+b*F+x*V+w*q,s[14]=y*I+b*B+x*U+w*X,s[3]=S*C+_*P+T*$+E*G,s[7]=S*A+_*D+T*j+E*W,s[11]=S*O+_*F+T*V+E*q,s[15]=S*I+_*B+T*U+E*X,this}multiplyScalar(t){const n=this.elements;return n[0]*=t,n[4]*=t,n[8]*=t,n[12]*=t,n[1]*=t,n[5]*=t,n[9]*=t,n[13]*=t,n[2]*=t,n[6]*=t,n[10]*=t,n[14]*=t,n[3]*=t,n[7]*=t,n[11]*=t,n[15]*=t,this}determinant(){const t=this.elements,n=t[0],r=t[4],a=t[8],s=t[12],l=t[1],d=t[5],h=t[9],p=t[13],f=t[2],m=t[6],g=t[10],v=t[14];return t[3]*(+s*h*m-a*p*m-s*d*g+r*p*g+a*d*v-r*h*v)+t[7]*(+n*h*v-n*p*g+s*l*g-a*l*v+a*p*f-s*h*f)+t[11]*(+n*p*m-n*d*v-s*l*m+r*l*v+s*d*f-r*p*f)+t[15]*(-a*d*f-n*h*m+n*d*g+a*l*m-r*l*g+r*h*f)}transpose(){const t=this.elements;let n;return n=t[1],t[1]=t[4],t[4]=n,n=t[2],t[2]=t[8],t[8]=n,n=t[6],t[6]=t[9],t[9]=n,n=t[3],t[3]=t[12],t[12]=n,n=t[7],t[7]=t[13],t[13]=n,n=t[11],t[11]=t[14],t[14]=n,this}setPosition(t,n,r){const a=this.elements;return t.isVector3?(a[12]=t.x,a[13]=t.y,a[14]=t.z):(a[12]=t,a[13]=n,a[14]=r),this}invert(){const t=this.elements,n=t[0],r=t[1],a=t[2],s=t[3],l=t[4],d=t[5],h=t[6],p=t[7],f=t[8],m=t[9],g=t[10],v=t[11],y=t[12],b=t[13],x=t[14],w=t[15],S=m*x*p-b*g*p+b*h*v-d*x*v-m*h*w+d*g*w,_=y*g*p-f*x*p-y*h*v+l*x*v+f*h*w-l*g*w,T=f*b*p-y*m*p+y*d*v-l*b*v-f*d*w+l*m*w,E=y*m*h-f*b*h-y*d*g+l*b*g+f*d*x-l*m*x,C=n*S+r*_+a*T+s*E;if(0===C)return this.set(0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0);const A=1/C;return t[0]=S*A,t[1]=(b*g*s-m*x*s-b*a*v+r*x*v+m*a*w-r*g*w)*A,t[2]=(d*x*s-b*h*s+b*a*p-r*x*p-d*a*w+r*h*w)*A,t[3]=(m*h*s-d*g*s-m*a*p+r*g*p+d*a*v-r*h*v)*A,t[4]=_*A,t[5]=(f*x*s-y*g*s+y*a*v-n*x*v-f*a*w+n*g*w)*A,t[6]=(y*h*s-l*x*s-y*a*p+n*x*p+l*a*w-n*h*w)*A,t[7]=(l*g*s-f*h*s+f*a*p-n*g*p-l*a*v+n*h*v)*A,t[8]=T*A,t[9]=(y*m*s-f*b*s-y*r*v+n*b*v+f*r*w-n*m*w)*A,t[10]=(l*b*s-y*d*s+y*r*p-n*b*p-l*r*w+n*d*w)*A,t[11]=(f*d*s-l*m*s-f*r*p+n*m*p+l*r*v-n*d*v)*A,t[12]=E*A,t[13]=(f*b*a-y*m*a+y*r*g-n*b*g-f*r*x+n*m*x)*A,t[14]=(y*d*a-l*b*a-y*r*h+n*b*h+l*r*x-n*d*x)*A,t[15]=(l*m*a-f*d*a+f*r*h-n*m*h-l*r*g+n*d*g)*A,this}scale(t){const n=this.elements,r=t.x,a=t.y,s=t.z;return n[0]*=r,n[4]*=a,n[8]*=s,n[1]*=r,n[5]*=a,n[9]*=s,n[2]*=r,n[6]*=a,n[10]*=s,n[3]*=r,n[7]*=a,n[11]*=s,this}getMaxScaleOnAxis(){const t=this.elements,n=t[0]*t[0]+t[1]*t[1]+t[2]*t[2],r=t[4]*t[4]+t[5]*t[5]+t[6]*t[6],a=t[8]*t[8]+t[9]*t[9]+t[10]*t[10];return Math.sqrt(Math.max(n,r,a))}makeTranslation(t,n,r){return this.set(1,0,0,t,0,1,0,n,0,0,1,r,0,0,0,1),this}makeRotationX(t){const n=Math.cos(t),r=Math.sin(t);return this.set(1,0,0,0,0,n,-r,0,0,r,n,0,0,0,0,1),this}makeRotationY(t){const n=Math.cos(t),r=Math.sin(t);return this.set(n,0,r,0,0,1,0,0,-r,0,n,0,0,0,0,1),this}makeRotationZ(t){const n=Math.cos(t),r=Math.sin(t);return this.set(n,-r,0,0,r,n,0,0,0,0,1,0,0,0,0,1),this}makeRotationAxis(t,n){const r=Math.cos(n),a=Math.sin(n),s=1-r,l=t.x,d=t.y,h=t.z,p=s*l,f=s*d;return this.set(p*l+r,p*d-a*h,p*h+a*d,0,p*d+a*h,f*d+r,f*h-a*l,0,p*h-a*d,f*h+a*l,s*h*h+r,0,0,0,0,1),this}makeScale(t,n,r){return this.set(t,0,0,0,0,n,0,0,0,0,r,0,0,0,0,1),this}makeShear(t,n,r){return this.set(1,n,r,0,t,1,r,0,t,n,1,0,0,0,0,1),this}compose(t,n,r){const a=this.elements,s=n._x,l=n._y,d=n._z,h=n._w,p=s+s,f=l+l,m=d+d,g=s*p,v=s*f,y=s*m,b=l*f,x=l*m,w=d*m,S=h*p,_=h*f,T=h*m,E=r.x,C=r.y,A=r.z;return a[0]=(1-(b+w))*E,a[1]=(v+T)*E,a[2]=(y-_)*E,a[3]=0,a[4]=(v-T)*C,a[5]=(1-(g+w))*C,a[6]=(x+S)*C,a[7]=0,a[8]=(y+_)*A,a[9]=(x-S)*A,a[10]=(1-(g+b))*A,a[11]=0,a[12]=t.x,a[13]=t.y,a[14]=t.z,a[15]=1,this}decompose(t,n,r){const a=this.elements;let s=kn.set(a[0],a[1],a[2]).length();const l=kn.set(a[4],a[5],a[6]).length(),d=kn.set(a[8],a[9],a[10]).length();this.determinant()<0&&(s=-s),t.x=a[12],t.y=a[13],t.z=a[14],On.copy(this);const h=1/s,p=1/l,f=1/d;return On.elements[0]*=h,On.elements[1]*=h,On.elements[2]*=h,On.elements[4]*=p,On.elements[5]*=p,On.elements[6]*=p,On.elements[8]*=f,On.elements[9]*=f,On.elements[10]*=f,n.setFromRotationMatrix(On),r.x=s,r.y=l,r.z=d,this}makePerspective(t,n,r,s,l,d){void 0===d&&a.warn("THREE.Matrix4: .makePerspective() has been redefined and has a new signature. Please check the docs.");const h=this.elements,p=2*l/(n-t),f=2*l/(r-s),m=(n+t)/(n-t),g=(r+s)/(r-s),v=-(d+l)/(d-l),y=-2*d*l/(d-l);return h[0]=p,h[4]=0,h[8]=m,h[12]=0,h[1]=0,h[5]=f,h[9]=g,h[13]=0,h[2]=0,h[6]=0,h[10]=v,h[14]=y,h[3]=0,h[7]=0,h[11]=-1,h[15]=0,this}makeOrthographic(t,n,r,a,s,l){const d=this.elements,h=1/(n-t),p=1/(r-a),f=1/(l-s),m=(n+t)*h,g=(r+a)*p,v=(l+s)*f;return d[0]=2*h,d[4]=0,d[8]=0,d[12]=-m,d[1]=0,d[5]=2*p,d[9]=0,d[13]=-g,d[2]=0,d[6]=0,d[10]=-2*f,d[14]=-v,d[3]=0,d[7]=0,d[11]=0,d[15]=1,this}equals(t){const n=this.elements,r=t.elements;for(let t=0;t<16;t++)if(n[t]!==r[t])return!1;return!0}fromArray(t,n=0){for(let r=0;r<16;r++)this.elements[r]=t[r+n];return this}toArray(t=[],n=0){const r=this.elements;return t[n]=r[0],t[n+1]=r[1],t[n+2]=r[2],t[n+3]=r[3],t[n+4]=r[4],t[n+5]=r[5],t[n+6]=r[6],t[n+7]=r[7],t[n+8]=r[8],t[n+9]=r[9],t[n+10]=r[10],t[n+11]=r[11],t[n+12]=r[12],t[n+13]=r[13],t[n+14]=r[14],t[n+15]=r[15],t}}const kn=new Vector3,On=new Matrix4,Rn=new Vector3(0,0,0),In=new Vector3(1,1,1),Pn=new Vector3,Ln=new Vector3,Dn=new Vector3;class Euler{constructor(t=0,n=0,r=0,a=Euler.DefaultOrder){Object.defineProperty(this,"isEuler",{value:!0}),this._x=t,this._y=n,this._z=r,this._order=a}get x(){return this._x}set x(t){this._x=t,this._onChangeCallback()}get y(){return this._y}set y(t){this._y=t,this._onChangeCallback()}get z(){return this._z}set z(t){this._z=t,this._onChangeCallback()}get order(){return this._order}set order(t){this._order=t,this._onChangeCallback()}set(t,n,r,a){return this._x=t,this._y=n,this._z=r,this._order=a||this._order,this._onChangeCallback(),this}clone(){return new this.constructor(this._x,this._y,this._z,this._order)}copy(t){return this._x=t._x,this._y=t._y,this._z=t._z,this._order=t._order,this._onChangeCallback(),this}setFromRotationMatrix(t,n,r){const s=Ji.clamp,l=t.elements,d=l[0],h=l[4],p=l[8],f=l[1],m=l[5],g=l[9],v=l[2],y=l[6],b=l[10];switch(n=n||this._order){case"XYZ":this._y=Math.asin(s(p,-1,1)),Math.abs(p)<.9999999?(this._x=Math.atan2(-g,b),this._z=Math.atan2(-h,d)):(this._x=Math.atan2(y,m),this._z=0);break;case"YXZ":this._x=Math.asin(-s(g,-1,1)),Math.abs(g)<.9999999?(this._y=Math.atan2(p,b),this._z=Math.atan2(f,m)):(this._y=Math.atan2(-v,d),this._z=0);break;case"ZXY":this._x=Math.asin(s(y,-1,1)),Math.abs(y)<.9999999?(this._y=Math.atan2(-v,b),this._z=Math.atan2(-h,m)):(this._y=0,this._z=Math.atan2(f,d));break;case"ZYX":this._y=Math.asin(-s(v,-1,1)),Math.abs(v)<.9999999?(this._x=Math.atan2(y,b),this._z=Math.atan2(f,d)):(this._x=0,this._z=Math.atan2(-h,m));break;case"YZX":this._z=Math.asin(s(f,-1,1)),Math.abs(f)<.9999999?(this._x=Math.atan2(-g,m),this._y=Math.atan2(-v,d)):(this._x=0,this._y=Math.atan2(p,b));break;case"XZY":this._z=Math.asin(-s(h,-1,1)),Math.abs(h)<.9999999?(this._x=Math.atan2(y,m),this._y=Math.atan2(p,d)):(this._x=Math.atan2(-g,b),this._y=0);break;default:a.warn("THREE.Euler: .setFromRotationMatrix() encountered an unknown order: "+n)}return this._order=n,!1!==r&&this._onChangeCallback(),this}setFromQuaternion(t,n,r){return Fn.makeRotationFromQuaternion(t),this.setFromRotationMatrix(Fn,n,r)}setFromVector3(t,n){return this.set(t.x,t.y,t.z,n||this._order)}reorder(t){return Nn.setFromEuler(this),this.setFromQuaternion(Nn,t)}equals(t){return t._x===this._x&&t._y===this._y&&t._z===this._z&&t._order===this._order}fromArray(t){return this._x=t[0],this._y=t[1],this._z=t[2],void 0!==t[3]&&(this._order=t[3]),this._onChangeCallback(),this}toArray(t=[],n=0){return t[n]=this._x,t[n+1]=this._y,t[n+2]=this._z,t[n+3]=this._order,t}toVector3(t){return t?t.set(this._x,this._y,this._z):new Vector3(this._x,this._y,this._z)}_onChange(t){return this._onChangeCallback=t,this}_onChangeCallback(){}}Euler.DefaultOrder="XYZ",Euler.RotationOrders=["XYZ","YZX","ZXY","XZY","YXZ","ZYX"];const Fn=new Matrix4,Nn=new Quaternion;class Layers{constructor(){this.mask=1}set(t){this.mask=1<<t|0}enable(t){this.mask|=1<<t|0}enableAll(){this.mask=-1}toggle(t){this.mask^=1<<t|0}disable(t){this.mask&=~(1<<t|0)}disableAll(){this.mask=0}test(t){return 0!=(this.mask&t.mask)}}let Bn=0;const zn=new Vector3,$n=new Quaternion,jn=new Matrix4,Vn=new Vector3,Un=new Vector3,Gn=new Vector3,Hn=new Quaternion,Wn=new Vector3(1,0,0),qn=new Vector3(0,1,0),Xn=new Vector3(0,0,1),Yn={type:"added"},Zn={type:"removed"};function Kn(){Object.defineProperty(this,"id",{value:Bn++}),this.uuid=Ji.generateUUID(),this.name="",this.type="Object3D",this.parent=null,this.children=[],this.up=Kn.DefaultUp.clone();const t=new Vector3,n=new Euler,r=new Quaternion,a=new Vector3(1,1,1);n._onChange((function(){r.setFromEuler(n,!1)})),r._onChange((function(){n.setFromQuaternion(r,void 0,!1)})),Object.defineProperties(this,{position:{configurable:!0,enumerable:!0,value:t},rotation:{configurable:!0,enumerable:!0,value:n},quaternion:{configurable:!0,enumerable:!0,value:r},scale:{configurable:!0,enumerable:!0,value:a},modelViewMatrix:{value:new Matrix4},normalMatrix:{value:new Matrix3}}),this.matrix=new Matrix4,this.matrixWorld=new Matrix4,this.matrixAutoUpdate=Kn.DefaultMatrixAutoUpdate,this.matrixWorldNeedsUpdate=!1,this.layers=new Layers,this.visible=!0,this.castShadow=!1,this.receiveShadow=!1,this.frustumCulled=!0,this.renderOrder=0,this.animations=[],this.userData={}}Kn.DefaultUp=new Vector3(0,1,0),Kn.DefaultMatrixAutoUpdate=!0,Kn.prototype=Object.assign(Object.create(Yi.prototype),{constructor:Kn,isObject3D:!0,onBeforeRender:function(){},onAfterRender:function(){},applyMatrix4:function(t){this.matrixAutoUpdate&&this.updateMatrix(),this.matrix.premultiply(t),this.matrix.decompose(this.position,this.quaternion,this.scale)},applyQuaternion:function(t){return this.quaternion.premultiply(t),this},setRotationFromAxisAngle:function(t,n){this.quaternion.setFromAxisAngle(t,n)},setRotationFromEuler:function(t){this.quaternion.setFromEuler(t,!0)},setRotationFromMatrix:function(t){this.quaternion.setFromRotationMatrix(t)},setRotationFromQuaternion:function(t){this.quaternion.copy(t)},rotateOnAxis:function(t,n){return $n.setFromAxisAngle(t,n),this.quaternion.multiply($n),this},rotateOnWorldAxis:function(t,n){return $n.setFromAxisAngle(t,n),this.quaternion.premultiply($n),this},rotateX:function(t){return this.rotateOnAxis(Wn,t)},rotateY:function(t){return this.rotateOnAxis(qn,t)},rotateZ:function(t){return this.rotateOnAxis(Xn,t)},translateOnAxis:function(t,n){return zn.copy(t).applyQuaternion(this.quaternion),this.position.add(zn.multiplyScalar(n)),this},translateX:function(t){return this.translateOnAxis(Wn,t)},translateY:function(t){return this.translateOnAxis(qn,t)},translateZ:function(t){return this.translateOnAxis(Xn,t)},localToWorld:function(t){return t.applyMatrix4(this.matrixWorld)},worldToLocal:function(t){return t.applyMatrix4(jn.copy(this.matrixWorld).invert())},lookAt:function(t,n,r){t.isVector3?Vn.copy(t):Vn.set(t,n,r);const a=this.parent;this.updateWorldMatrix(!0,!1),Un.setFromMatrixPosition(this.matrixWorld),this.isCamera||this.isLight?jn.lookAt(Un,Vn,this.up):jn.lookAt(Vn,Un,this.up),this.quaternion.setFromRotationMatrix(jn),a&&(jn.extractRotation(a.matrixWorld),$n.setFromRotationMatrix(jn),this.quaternion.premultiply($n.invert()))},add:function(t){if(arguments.length>1){for(let t=0;t<arguments.length;t++)this.add(arguments[t]);return this}return t===this?(a.error("THREE.Object3D.add: object can't be added as a child of itself.",t),this):(t&&t.isObject3D?(null!==t.parent&&t.parent.remove(t),t.parent=this,this.children.push(t),t.dispatchEvent(Yn)):a.error("THREE.Object3D.add: object not an instance of THREE.Object3D.",t),this)},remove:function(t){if(arguments.length>1){for(let t=0;t<arguments.length;t++)this.remove(arguments[t]);return this}const n=this.children.indexOf(t);return-1!==n&&(t.parent=null,this.children.splice(n,1),t.dispatchEvent(Zn)),this},clear:function(){for(let t=0;t<this.children.length;t++){const n=this.children[t];n.parent=null,n.dispatchEvent(Zn)}return this.children.length=0,this},attach:function(t){return this.updateWorldMatrix(!0,!1),jn.copy(this.matrixWorld).invert(),null!==t.parent&&(t.parent.updateWorldMatrix(!0,!1),jn.multiply(t.parent.matrixWorld)),t.applyMatrix4(jn),t.updateWorldMatrix(!1,!1),this.add(t),this},getObjectById:function(t){return this.getObjectByProperty("id",t)},getObjectByName:function(t){return this.getObjectByProperty("name",t)},getObjectByProperty:function(t,n){if(this[t]===n)return this;for(let r=0,a=this.children.length;r<a;r++){const a=this.children[r].getObjectByProperty(t,n);if(void 0!==a)return a}},getWorldPosition:function(t){return void 0===t&&(a.warn("THREE.Object3D: .getWorldPosition() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1),t.setFromMatrixPosition(this.matrixWorld)},getWorldQuaternion:function(t){return void 0===t&&(a.warn("THREE.Object3D: .getWorldQuaternion() target is now required"),t=new Quaternion),this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Un,t,Gn),t},getWorldScale:function(t){return void 0===t&&(a.warn("THREE.Object3D: .getWorldScale() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1),this.matrixWorld.decompose(Un,Hn,t),t},getWorldDirection:function(t){void 0===t&&(a.warn("THREE.Object3D: .getWorldDirection() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1);const n=this.matrixWorld.elements;return t.set(n[8],n[9],n[10]).normalize()},raycast:function(){},traverse:function(t){t(this);const n=this.children;for(let r=0,a=n.length;r<a;r++)n[r].traverse(t)},traverseVisible:function(t){if(!1===this.visible)return;t(this);const n=this.children;for(let r=0,a=n.length;r<a;r++)n[r].traverseVisible(t)},traverseAncestors:function(t){const n=this.parent;null!==n&&(t(n),n.traverseAncestors(t))},updateMatrix:function(){this.matrix.compose(this.position,this.quaternion,this.scale),this.matrixWorldNeedsUpdate=!0},updateMatrixWorld:function(t){this.matrixAutoUpdate&&this.updateMatrix(),(this.matrixWorldNeedsUpdate||t)&&(null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),this.matrixWorldNeedsUpdate=!1,t=!0);const n=this.children;for(let r=0,a=n.length;r<a;r++)n[r].updateMatrixWorld(t)},updateWorldMatrix:function(t,n){const r=this.parent;if(!0===t&&null!==r&&r.updateWorldMatrix(!0,!1),this.matrixAutoUpdate&&this.updateMatrix(),null===this.parent?this.matrixWorld.copy(this.matrix):this.matrixWorld.multiplyMatrices(this.parent.matrixWorld,this.matrix),!0===n){const t=this.children;for(let n=0,r=t.length;n<r;n++)t[n].updateWorldMatrix(!1,!0)}},toJSON:function(t){const n=void 0===t||"string"==typeof t,r={};n&&(t={geometries:{},materials:{},textures:{},images:{},shapes:{},skeletons:{},animations:{}},r.metadata={version:4.5,type:"Object",generator:"Object3D.toJSON"});const a={};function s(n,r){return void 0===n[r.uuid]&&(n[r.uuid]=r.toJSON(t)),r.uuid}if(a.uuid=this.uuid,a.type=this.type,""!==this.name&&(a.name=this.name),!0===this.castShadow&&(a.castShadow=!0),!0===this.receiveShadow&&(a.receiveShadow=!0),!1===this.visible&&(a.visible=!1),!1===this.frustumCulled&&(a.frustumCulled=!1),0!==this.renderOrder&&(a.renderOrder=this.renderOrder),"{}"!==JSON.stringify(this.userData)&&(a.userData=this.userData),a.layers=this.layers.mask,a.matrix=this.matrix.toArray(),!1===this.matrixAutoUpdate&&(a.matrixAutoUpdate=!1),this.isInstancedMesh&&(a.type="InstancedMesh",a.count=this.count,a.instanceMatrix=this.instanceMatrix.toJSON()),this.isMesh||this.isLine||this.isPoints){a.geometry=s(t.geometries,this.geometry);const n=this.geometry.parameters;if(void 0!==n&&void 0!==n.shapes){const r=n.shapes;if(Array.isArray(r))for(let n=0,a=r.length;n<a;n++){const a=r[n];s(t.shapes,a)}else s(t.shapes,r)}}if(this.isSkinnedMesh&&(a.bindMode=this.bindMode,a.bindMatrix=this.bindMatrix.toArray(),void 0!==this.skeleton&&(s(t.skeletons,this.skeleton),a.skeleton=this.skeleton.uuid)),void 0!==this.material)if(Array.isArray(this.material)){const n=[];for(let r=0,a=this.material.length;r<a;r++)n.push(s(t.materials,this.material[r]));a.material=n}else a.material=s(t.materials,this.material);if(this.children.length>0){a.children=[];for(let n=0;n<this.children.length;n++)a.children.push(this.children[n].toJSON(t).object)}if(this.animations.length>0){a.animations=[];for(let n=0;n<this.animations.length;n++){const r=this.animations[n];a.animations.push(s(t.animations,r))}}if(n){const n=l(t.geometries),a=l(t.materials),s=l(t.textures),d=l(t.images),h=l(t.shapes),p=l(t.skeletons),f=l(t.animations);n.length>0&&(r.geometries=n),a.length>0&&(r.materials=a),s.length>0&&(r.textures=s),d.length>0&&(r.images=d),h.length>0&&(r.shapes=h),p.length>0&&(r.skeletons=p),f.length>0&&(r.animations=f)}return r.object=a,r;function l(t){const n=[];for(const r in t){const a=t[r];delete a.metadata,n.push(a)}return n}},clone:function(t){return(new this.constructor).copy(this,t)},copy:function(t,n=!0){if(this.name=t.name,this.up.copy(t.up),this.position.copy(t.position),this.rotation.order=t.rotation.order,this.quaternion.copy(t.quaternion),this.scale.copy(t.scale),this.matrix.copy(t.matrix),this.matrixWorld.copy(t.matrixWorld),this.matrixAutoUpdate=t.matrixAutoUpdate,this.matrixWorldNeedsUpdate=t.matrixWorldNeedsUpdate,this.layers.mask=t.layers.mask,this.visible=t.visible,this.castShadow=t.castShadow,this.receiveShadow=t.receiveShadow,this.frustumCulled=t.frustumCulled,this.renderOrder=t.renderOrder,this.userData=JSON.parse(JSON.stringify(t.userData)),!0===n)for(let n=0;n<t.children.length;n++){const r=t.children[n];this.add(r.clone())}return this}});const Jn=new Vector3,Qn=new Vector3,er=new Matrix3;class Plane{constructor(t,n){Object.defineProperty(this,"isPlane",{value:!0}),this.normal=void 0!==t?t:new Vector3(1,0,0),this.constant=void 0!==n?n:0}set(t,n){return this.normal.copy(t),this.constant=n,this}setComponents(t,n,r,a){return this.normal.set(t,n,r),this.constant=a,this}setFromNormalAndCoplanarPoint(t,n){return this.normal.copy(t),this.constant=-n.dot(this.normal),this}setFromCoplanarPoints(t,n,r){const a=Jn.subVectors(r,n).cross(Qn.subVectors(t,n)).normalize();return this.setFromNormalAndCoplanarPoint(a,t),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.normal.copy(t.normal),this.constant=t.constant,this}normalize(){const t=1/this.normal.length();return this.normal.multiplyScalar(t),this.constant*=t,this}negate(){return this.constant*=-1,this.normal.negate(),this}distanceToPoint(t){return this.normal.dot(t)+this.constant}distanceToSphere(t){return this.distanceToPoint(t.center)-t.radius}projectPoint(t,n){return void 0===n&&(a.warn("THREE.Plane: .projectPoint() target is now required"),n=new Vector3),n.copy(this.normal).multiplyScalar(-this.distanceToPoint(t)).add(t)}intersectLine(t,n){void 0===n&&(a.warn("THREE.Plane: .intersectLine() target is now required"),n=new Vector3);const r=t.delta(Jn),s=this.normal.dot(r);if(0===s)return 0===this.distanceToPoint(t.start)?n.copy(t.start):void 0;const l=-(t.start.dot(this.normal)+this.constant)/s;return l<0||l>1?void 0:n.copy(r).multiplyScalar(l).add(t.start)}intersectsLine(t){const n=this.distanceToPoint(t.start),r=this.distanceToPoint(t.end);return n<0&&r>0||r<0&&n>0}intersectsBox(t){return t.intersectsPlane(this)}intersectsSphere(t){return t.intersectsPlane(this)}coplanarPoint(t){return void 0===t&&(a.warn("THREE.Plane: .coplanarPoint() target is now required"),t=new Vector3),t.copy(this.normal).multiplyScalar(-this.constant)}applyMatrix4(t,n){const r=n||er.getNormalMatrix(t),a=this.coplanarPoint(Jn).applyMatrix4(t),s=this.normal.applyMatrix3(r).normalize();return this.constant=-a.dot(s),this}translate(t){return this.constant-=t.dot(this.normal),this}equals(t){return t.normal.equals(this.normal)&&t.constant===this.constant}}const tr=new Vector3,ir=new Vector3,nr=new Vector3,rr=new Vector3,or=new Vector3,ar=new Vector3,sr=new Vector3,lr=new Vector3,cr=new Vector3,dr=new Vector3;class Triangle{constructor(t,n,r){this.a=void 0!==t?t:new Vector3,this.b=void 0!==n?n:new Vector3,this.c=void 0!==r?r:new Vector3}static getNormal(t,n,r,s){void 0===s&&(a.warn("THREE.Triangle: .getNormal() target is now required"),s=new Vector3),s.subVectors(r,n),tr.subVectors(t,n),s.cross(tr);const l=s.lengthSq();return l>0?s.multiplyScalar(1/Math.sqrt(l)):s.set(0,0,0)}static getBarycoord(t,n,r,s,l){tr.subVectors(s,n),ir.subVectors(r,n),nr.subVectors(t,n);const d=tr.dot(tr),h=tr.dot(ir),p=tr.dot(nr),f=ir.dot(ir),m=ir.dot(nr),g=d*f-h*h;if(void 0===l&&(a.warn("THREE.Triangle: .getBarycoord() target is now required"),l=new Vector3),0===g)return l.set(-2,-1,-1);const v=1/g,y=(f*p-h*m)*v,b=(d*m-h*p)*v;return l.set(1-y-b,b,y)}static containsPoint(t,n,r,a){return this.getBarycoord(t,n,r,a,rr),rr.x>=0&&rr.y>=0&&rr.x+rr.y<=1}static getUV(t,n,r,a,s,l,d,h){return this.getBarycoord(t,n,r,a,rr),h.set(0,0),h.addScaledVector(s,rr.x),h.addScaledVector(l,rr.y),h.addScaledVector(d,rr.z),h}static isFrontFacing(t,n,r,a){return tr.subVectors(r,n),ir.subVectors(t,n),tr.cross(ir).dot(a)<0}set(t,n,r){return this.a.copy(t),this.b.copy(n),this.c.copy(r),this}setFromPointsAndIndices(t,n,r,a){return this.a.copy(t[n]),this.b.copy(t[r]),this.c.copy(t[a]),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.a.copy(t.a),this.b.copy(t.b),this.c.copy(t.c),this}getArea(){return tr.subVectors(this.c,this.b),ir.subVectors(this.a,this.b),.5*tr.cross(ir).length()}getMidpoint(t){return void 0===t&&(a.warn("THREE.Triangle: .getMidpoint() target is now required"),t=new Vector3),t.addVectors(this.a,this.b).add(this.c).multiplyScalar(1/3)}getNormal(t){return Triangle.getNormal(this.a,this.b,this.c,t)}getPlane(t){return void 0===t&&(a.warn("THREE.Triangle: .getPlane() target is now required"),t=new Plane),t.setFromCoplanarPoints(this.a,this.b,this.c)}getBarycoord(t,n){return Triangle.getBarycoord(t,this.a,this.b,this.c,n)}getUV(t,n,r,a,s){return Triangle.getUV(t,this.a,this.b,this.c,n,r,a,s)}containsPoint(t){return Triangle.containsPoint(t,this.a,this.b,this.c)}isFrontFacing(t){return Triangle.isFrontFacing(this.a,this.b,this.c,t)}intersectsBox(t){return t.intersectsTriangle(this)}closestPointToPoint(t,n){void 0===n&&(a.warn("THREE.Triangle: .closestPointToPoint() target is now required"),n=new Vector3);const r=this.a,s=this.b,l=this.c;let d,h;or.subVectors(s,r),ar.subVectors(l,r),lr.subVectors(t,r);const p=or.dot(lr),f=ar.dot(lr);if(p<=0&&f<=0)return n.copy(r);cr.subVectors(t,s);const m=or.dot(cr),g=ar.dot(cr);if(m>=0&&g<=m)return n.copy(s);const v=p*g-m*f;if(v<=0&&p>=0&&m<=0)return d=p/(p-m),n.copy(r).addScaledVector(or,d);dr.subVectors(t,l);const y=or.dot(dr),b=ar.dot(dr);if(b>=0&&y<=b)return n.copy(l);const x=y*f-p*b;if(x<=0&&f>=0&&b<=0)return h=f/(f-b),n.copy(r).addScaledVector(ar,h);const w=m*b-y*g;if(w<=0&&g-m>=0&&y-b>=0)return sr.subVectors(l,s),h=(g-m)/(g-m+(y-b)),n.copy(s).addScaledVector(sr,h);const S=1/(w+x+v);return d=x*S,h=v*S,n.copy(r).addScaledVector(or,d).addScaledVector(ar,h)}equals(t){return t.a.equals(this.a)&&t.b.equals(this.b)&&t.c.equals(this.c)}}const ur={aliceblue:15792383,antiquewhite:16444375,aqua:65535,aquamarine:8388564,azure:15794175,beige:16119260,bisque:16770244,black:0,blanchedalmond:16772045,blue:255,blueviolet:9055202,brown:10824234,burlywood:14596231,cadetblue:6266528,chartreuse:8388352,chocolate:13789470,coral:16744272,cornflowerblue:6591981,cornsilk:16775388,crimson:14423100,cyan:65535,darkblue:139,darkcyan:35723,darkgoldenrod:12092939,darkgray:11119017,darkgreen:25600,darkgrey:11119017,darkkhaki:12433259,darkmagenta:9109643,darkolivegreen:5597999,darkorange:16747520,darkorchid:10040012,darkred:9109504,darksalmon:15308410,darkseagreen:9419919,darkslateblue:4734347,darkslategray:3100495,darkslategrey:3100495,darkturquoise:52945,darkviolet:9699539,deeppink:16716947,deepskyblue:49151,dimgray:6908265,dimgrey:6908265,dodgerblue:2003199,firebrick:11674146,floralwhite:16775920,forestgreen:2263842,fuchsia:16711935,gainsboro:14474460,ghostwhite:16316671,gold:16766720,goldenrod:14329120,gray:8421504,green:32768,greenyellow:11403055,grey:8421504,honeydew:15794160,hotpink:16738740,indianred:13458524,indigo:4915330,ivory:16777200,khaki:15787660,lavender:15132410,lavenderblush:16773365,lawngreen:8190976,lemonchiffon:16775885,lightblue:11393254,lightcoral:15761536,lightcyan:14745599,lightgoldenrodyellow:16448210,lightgray:13882323,lightgreen:9498256,lightgrey:13882323,lightpink:16758465,lightsalmon:16752762,lightseagreen:2142890,lightskyblue:8900346,lightslategray:7833753,lightslategrey:7833753,lightsteelblue:11584734,lightyellow:16777184,lime:65280,limegreen:3329330,linen:16445670,magenta:16711935,maroon:8388608,mediumaquamarine:6737322,mediumblue:205,mediumorchid:12211667,mediumpurple:9662683,mediumseagreen:3978097,mediumslateblue:8087790,mediumspringgreen:64154,mediumturquoise:4772300,mediumvioletred:13047173,midnightblue:1644912,mintcream:16121850,mistyrose:16770273,moccasin:16770229,navajowhite:16768685,navy:128,oldlace:16643558,olive:8421376,olivedrab:7048739,orange:16753920,orangered:16729344,orchid:14315734,palegoldenrod:15657130,palegreen:10025880,paleturquoise:11529966,palevioletred:14381203,papayawhip:16773077,peachpuff:16767673,peru:13468991,pink:16761035,plum:14524637,powderblue:11591910,purple:8388736,rebeccapurple:6697881,red:16711680,rosybrown:12357519,royalblue:4286945,saddlebrown:9127187,salmon:16416882,sandybrown:16032864,seagreen:3050327,seashell:16774638,sienna:10506797,silver:12632256,skyblue:8900331,slateblue:6970061,slategray:7372944,slategrey:7372944,snow:16775930,springgreen:65407,steelblue:4620980,tan:13808780,teal:32896,thistle:14204888,tomato:16737095,turquoise:4251856,violet:15631086,wheat:16113331,white:16777215,whitesmoke:16119285,yellow:16776960,yellowgreen:10145074},hr={h:0,s:0,l:0},pr={h:0,s:0,l:0};function fr(t,n,r){return r<0&&(r+=1),r>1&&(r-=1),r<1/6?t+6*(n-t)*r:r<.5?n:r<2/3?t+6*(n-t)*(2/3-r):t}function mr(t){return t<.04045?.0773993808*t:Math.pow(.9478672986*t+.0521327014,2.4)}function gr(t){return t<.0031308?12.92*t:1.055*Math.pow(t,.41666)-.055}class Color{constructor(t,n,r){return Object.defineProperty(this,"isColor",{value:!0}),void 0===n&&void 0===r?this.set(t):this.setRGB(t,n,r)}set(t){return t&&t.isColor?this.copy(t):"number"==typeof t?this.setHex(t):"string"==typeof t&&this.setStyle(t),this}setScalar(t){return this.r=t,this.g=t,this.b=t,this}setHex(t){return t=Math.floor(t),this.r=(t>>16&255)/255,this.g=(t>>8&255)/255,this.b=(255&t)/255,this}setRGB(t,n,r){return this.r=t,this.g=n,this.b=r,this}setHSL(t,n,r){if(t=Ji.euclideanModulo(t,1),n=Ji.clamp(n,0,1),r=Ji.clamp(r,0,1),0===n)this.r=this.g=this.b=r;else{const a=r<=.5?r*(1+n):r+n-r*n,s=2*r-a;this.r=fr(s,a,t+1/3),this.g=fr(s,a,t),this.b=fr(s,a,t-1/3)}return this}setStyle(t){function n(n){void 0!==n&&parseFloat(n)<1&&a.warn("THREE.Color: Alpha component of "+t+" will be ignored.")}let r;if(r=/^((?:rgb|hsl)a?)\(([^\)]*)\)/.exec(t)){let t;const a=r[1],s=r[2];switch(a){case"rgb":case"rgba":if(t=/^\s*(\d+)\s*,\s*(\d+)\s*,\s*(\d+)\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(s))return this.r=Math.min(255,parseInt(t[1],10))/255,this.g=Math.min(255,parseInt(t[2],10))/255,this.b=Math.min(255,parseInt(t[3],10))/255,n(t[4]),this;if(t=/^\s*(\d+)\%\s*,\s*(\d+)\%\s*,\s*(\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(s))return this.r=Math.min(100,parseInt(t[1],10))/100,this.g=Math.min(100,parseInt(t[2],10))/100,this.b=Math.min(100,parseInt(t[3],10))/100,n(t[4]),this;break;case"hsl":case"hsla":if(t=/^\s*(\d*\.?\d+)\s*,\s*(\d+)\%\s*,\s*(\d+)\%\s*(?:,\s*(\d*\.?\d+)\s*)?$/.exec(s)){const r=parseFloat(t[1])/360,a=parseInt(t[2],10)/100,s=parseInt(t[3],10)/100;return n(t[4]),this.setHSL(r,a,s)}}}else if(r=/^\#([A-Fa-f\d]+)$/.exec(t)){const t=r[1],n=t.length;if(3===n)return this.r=parseInt(t.charAt(0)+t.charAt(0),16)/255,this.g=parseInt(t.charAt(1)+t.charAt(1),16)/255,this.b=parseInt(t.charAt(2)+t.charAt(2),16)/255,this;if(6===n)return this.r=parseInt(t.charAt(0)+t.charAt(1),16)/255,this.g=parseInt(t.charAt(2)+t.charAt(3),16)/255,this.b=parseInt(t.charAt(4)+t.charAt(5),16)/255,this}return t&&t.length>0?this.setColorName(t):this}setColorName(t){const n=ur[t];return void 0!==n?this.setHex(n):a.warn("THREE.Color: Unknown color "+t),this}clone(){return new this.constructor(this.r,this.g,this.b)}copy(t){return this.r=t.r,this.g=t.g,this.b=t.b,this}copyGammaToLinear(t,n=2){return this.r=Math.pow(t.r,n),this.g=Math.pow(t.g,n),this.b=Math.pow(t.b,n),this}copyLinearToGamma(t,n=2){const r=n>0?1/n:1;return this.r=Math.pow(t.r,r),this.g=Math.pow(t.g,r),this.b=Math.pow(t.b,r),this}convertGammaToLinear(t){return this.copyGammaToLinear(this,t),this}convertLinearToGamma(t){return this.copyLinearToGamma(this,t),this}copySRGBToLinear(t){return this.r=mr(t.r),this.g=mr(t.g),this.b=mr(t.b),this}copyLinearToSRGB(t){return this.r=gr(t.r),this.g=gr(t.g),this.b=gr(t.b),this}convertSRGBToLinear(){return this.copySRGBToLinear(this),this}convertLinearToSRGB(){return this.copyLinearToSRGB(this),this}getHex(){return 255*this.r<<16^255*this.g<<8^255*this.b<<0}getHexString(){return("000000"+this.getHex().toString(16)).slice(-6)}getHSL(t){void 0===t&&(a.warn("THREE.Color: .getHSL() target is now required"),t={h:0,s:0,l:0});const n=this.r,r=this.g,s=this.b,l=Math.max(n,r,s),d=Math.min(n,r,s);let h,p;const f=(d+l)/2;if(d===l)h=0,p=0;else{const t=l-d;switch(p=f<=.5?t/(l+d):t/(2-l-d),l){case n:h=(r-s)/t+(r<s?6:0);break;case r:h=(s-n)/t+2;break;case s:h=(n-r)/t+4}h/=6}return t.h=h,t.s=p,t.l=f,t}getStyle(){return"rgb("+(255*this.r|0)+","+(255*this.g|0)+","+(255*this.b|0)+")"}offsetHSL(t,n,r){return this.getHSL(hr),hr.h+=t,hr.s+=n,hr.l+=r,this.setHSL(hr.h,hr.s,hr.l),this}add(t){return this.r+=t.r,this.g+=t.g,this.b+=t.b,this}addColors(t,n){return this.r=t.r+n.r,this.g=t.g+n.g,this.b=t.b+n.b,this}addScalar(t){return this.r+=t,this.g+=t,this.b+=t,this}sub(t){return this.r=Math.max(0,this.r-t.r),this.g=Math.max(0,this.g-t.g),this.b=Math.max(0,this.b-t.b),this}multiply(t){return this.r*=t.r,this.g*=t.g,this.b*=t.b,this}multiplyScalar(t){return this.r*=t,this.g*=t,this.b*=t,this}lerp(t,n){return this.r+=(t.r-this.r)*n,this.g+=(t.g-this.g)*n,this.b+=(t.b-this.b)*n,this}lerpColors(t,n,r){return this.r=t.r+(n.r-t.r)*r,this.g=t.g+(n.g-t.g)*r,this.b=t.b+(n.b-t.b)*r,this}lerpHSL(t,n){this.getHSL(hr),t.getHSL(pr);const r=Ji.lerp(hr.h,pr.h,n),a=Ji.lerp(hr.s,pr.s,n),s=Ji.lerp(hr.l,pr.l,n);return this.setHSL(r,a,s),this}equals(t){return t.r===this.r&&t.g===this.g&&t.b===this.b}fromArray(t,n=0){return this.r=t[n],this.g=t[n+1],this.b=t[n+2],this}toArray(t=[],n=0){return t[n]=this.r,t[n+1]=this.g,t[n+2]=this.b,t}fromBufferAttribute(t,n){return this.r=t.getX(n),this.g=t.getY(n),this.b=t.getZ(n),!0===t.normalized&&(this.r/=255,this.g/=255,this.b/=255),this}toJSON(){return this.getHex()}}Color.NAMES=ur,Color.prototype.r=1,Color.prototype.g=1,Color.prototype.b=1;class Face3{constructor(t,n,r,a,s,l=0){this.a=t,this.b=n,this.c=r,this.normal=a&&a.isVector3?a:new Vector3,this.vertexNormals=Array.isArray(a)?a:[],this.color=s&&s.isColor?s:new Color,this.vertexColors=Array.isArray(s)?s:[],this.materialIndex=l}clone(){return(new this.constructor).copy(this)}copy(t){this.a=t.a,this.b=t.b,this.c=t.c,this.normal.copy(t.normal),this.color.copy(t.color),this.materialIndex=t.materialIndex;for(let n=0,r=t.vertexNormals.length;n<r;n++)this.vertexNormals[n]=t.vertexNormals[n].clone();for(let n=0,r=t.vertexColors.length;n<r;n++)this.vertexColors[n]=t.vertexColors[n].clone();return this}}let vr=0;function yr(){Object.defineProperty(this,"id",{value:vr++}),this.uuid=Ji.generateUUID(),this.name="",this.type="Material",this.fog=!0,this.blending=C,this.side=x,this.flatShading=!1,this.vertexColors=!1,this.opacity=1,this.transparent=!1,this.blendSrc=q,this.blendDst=X,this.blendEquation=D,this.blendSrcAlpha=null,this.blendDstAlpha=null,this.blendEquationAlpha=null,this.depthFunc=re,this.depthTest=!0,this.depthWrite=!0,this.stencilWriteMask=255,this.stencilFunc=Ni,this.stencilRef=0,this.stencilFuncMask=255,this.stencilFail=_i,this.stencilZFail=_i,this.stencilZPass=_i,this.stencilWrite=!1,this.clippingPlanes=null,this.clipIntersection=!1,this.clipShadows=!1,this.shadowSide=null,this.colorWrite=!0,this.precision=null,this.polygonOffset=!1,this.polygonOffsetFactor=0,this.polygonOffsetUnits=0,this.dithering=!1,this.alphaTest=0,this.premultipliedAlpha=!1,this.visible=!0,this.toneMapped=!0,this.userData={},this.version=0}function br(t){yr.call(this),this.type="MeshBasicMaterial",this.color=new Color(16777215),this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ce,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.setValues(t)}yr.prototype=Object.assign(Object.create(Yi.prototype),{constructor:yr,isMaterial:!0,onBeforeCompile:function(){},customProgramCacheKey:function(){return this.onBeforeCompile.toString()},setValues:function(t){if(void 0!==t)for(const n in t){const r=t[n];if(void 0===r){a.warn("THREE.Material: '"+n+"' parameter is undefined.");continue}if("shading"===n){a.warn("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead."),this.flatShading=r===_;continue}const s=this[n];void 0!==s?s&&s.isColor?s.set(r):s&&s.isVector3&&r&&r.isVector3?s.copy(r):this[n]=r:a.warn("THREE."+this.type+": '"+n+"' is not a property of this material.")}},toJSON:function(t){const n=void 0===t||"string"==typeof t;n&&(t={textures:{},images:{}});const r={metadata:{version:4.5,type:"Material",generator:"Material.toJSON"}};function a(t){const n=[];for(const r in t){const a=t[r];delete a.metadata,n.push(a)}return n}if(r.uuid=this.uuid,r.type=this.type,""!==this.name&&(r.name=this.name),this.color&&this.color.isColor&&(r.color=this.color.getHex()),void 0!==this.roughness&&(r.roughness=this.roughness),void 0!==this.metalness&&(r.metalness=this.metalness),this.sheen&&this.sheen.isColor&&(r.sheen=this.sheen.getHex()),this.emissive&&this.emissive.isColor&&(r.emissive=this.emissive.getHex()),this.emissiveIntensity&&1!==this.emissiveIntensity&&(r.emissiveIntensity=this.emissiveIntensity),this.specular&&this.specular.isColor&&(r.specular=this.specular.getHex()),void 0!==this.shininess&&(r.shininess=this.shininess),void 0!==this.clearcoat&&(r.clearcoat=this.clearcoat),void 0!==this.clearcoatRoughness&&(r.clearcoatRoughness=this.clearcoatRoughness),this.clearcoatMap&&this.clearcoatMap.isTexture&&(r.clearcoatMap=this.clearcoatMap.toJSON(t).uuid),this.clearcoatRoughnessMap&&this.clearcoatRoughnessMap.isTexture&&(r.clearcoatRoughnessMap=this.clearcoatRoughnessMap.toJSON(t).uuid),this.clearcoatNormalMap&&this.clearcoatNormalMap.isTexture&&(r.clearcoatNormalMap=this.clearcoatNormalMap.toJSON(t).uuid,r.clearcoatNormalScale=this.clearcoatNormalScale.toArray()),this.map&&this.map.isTexture&&(r.map=this.map.toJSON(t).uuid),this.matcap&&this.matcap.isTexture&&(r.matcap=this.matcap.toJSON(t).uuid),this.alphaMap&&this.alphaMap.isTexture&&(r.alphaMap=this.alphaMap.toJSON(t).uuid),this.lightMap&&this.lightMap.isTexture&&(r.lightMap=this.lightMap.toJSON(t).uuid),this.aoMap&&this.aoMap.isTexture&&(r.aoMap=this.aoMap.toJSON(t).uuid,r.aoMapIntensity=this.aoMapIntensity),this.bumpMap&&this.bumpMap.isTexture&&(r.bumpMap=this.bumpMap.toJSON(t).uuid,r.bumpScale=this.bumpScale),this.normalMap&&this.normalMap.isTexture&&(r.normalMap=this.normalMap.toJSON(t).uuid,r.normalMapType=this.normalMapType,r.normalScale=this.normalScale.toArray()),this.displacementMap&&this.displacementMap.isTexture&&(r.displacementMap=this.displacementMap.toJSON(t).uuid,r.displacementScale=this.displacementScale,r.displacementBias=this.displacementBias),this.roughnessMap&&this.roughnessMap.isTexture&&(r.roughnessMap=this.roughnessMap.toJSON(t).uuid),this.metalnessMap&&this.metalnessMap.isTexture&&(r.metalnessMap=this.metalnessMap.toJSON(t).uuid),this.emissiveMap&&this.emissiveMap.isTexture&&(r.emissiveMap=this.emissiveMap.toJSON(t).uuid),this.specularMap&&this.specularMap.isTexture&&(r.specularMap=this.specularMap.toJSON(t).uuid),this.envMap&&this.envMap.isTexture&&(r.envMap=this.envMap.toJSON(t).uuid,r.reflectivity=this.reflectivity,r.refractionRatio=this.refractionRatio,void 0!==this.combine&&(r.combine=this.combine),void 0!==this.envMapIntensity&&(r.envMapIntensity=this.envMapIntensity)),this.gradientMap&&this.gradientMap.isTexture&&(r.gradientMap=this.gradientMap.toJSON(t).uuid),void 0!==this.size&&(r.size=this.size),void 0!==this.sizeAttenuation&&(r.sizeAttenuation=this.sizeAttenuation),this.blending!==C&&(r.blending=this.blending),!0===this.flatShading&&(r.flatShading=this.flatShading),this.side!==x&&(r.side=this.side),this.vertexColors&&(r.vertexColors=!0),this.opacity<1&&(r.opacity=this.opacity),!0===this.transparent&&(r.transparent=this.transparent),r.depthFunc=this.depthFunc,r.depthTest=this.depthTest,r.depthWrite=this.depthWrite,r.stencilWrite=this.stencilWrite,r.stencilWriteMask=this.stencilWriteMask,r.stencilFunc=this.stencilFunc,r.stencilRef=this.stencilRef,r.stencilFuncMask=this.stencilFuncMask,r.stencilFail=this.stencilFail,r.stencilZFail=this.stencilZFail,r.stencilZPass=this.stencilZPass,this.rotation&&0!==this.rotation&&(r.rotation=this.rotation),!0===this.polygonOffset&&(r.polygonOffset=!0),0!==this.polygonOffsetFactor&&(r.polygonOffsetFactor=this.polygonOffsetFactor),0!==this.polygonOffsetUnits&&(r.polygonOffsetUnits=this.polygonOffsetUnits),this.linewidth&&1!==this.linewidth&&(r.linewidth=this.linewidth),void 0!==this.dashSize&&(r.dashSize=this.dashSize),void 0!==this.gapSize&&(r.gapSize=this.gapSize),void 0!==this.scale&&(r.scale=this.scale),!0===this.dithering&&(r.dithering=!0),this.alphaTest>0&&(r.alphaTest=this.alphaTest),!0===this.premultipliedAlpha&&(r.premultipliedAlpha=this.premultipliedAlpha),!0===this.wireframe&&(r.wireframe=this.wireframe),this.wireframeLinewidth>1&&(r.wireframeLinewidth=this.wireframeLinewidth),"round"!==this.wireframeLinecap&&(r.wireframeLinecap=this.wireframeLinecap),"round"!==this.wireframeLinejoin&&(r.wireframeLinejoin=this.wireframeLinejoin),!0===this.morphTargets&&(r.morphTargets=!0),!0===this.morphNormals&&(r.morphNormals=!0),!0===this.skinning&&(r.skinning=!0),!1===this.visible&&(r.visible=!1),!1===this.toneMapped&&(r.toneMapped=!1),"{}"!==JSON.stringify(this.userData)&&(r.userData=this.userData),n){const n=a(t.textures),s=a(t.images);n.length>0&&(r.textures=n),s.length>0&&(r.images=s)}return r},clone:function(){return(new this.constructor).copy(this)},copy:function(t){this.name=t.name,this.fog=t.fog,this.blending=t.blending,this.side=t.side,this.flatShading=t.flatShading,this.vertexColors=t.vertexColors,this.opacity=t.opacity,this.transparent=t.transparent,this.blendSrc=t.blendSrc,this.blendDst=t.blendDst,this.blendEquation=t.blendEquation,this.blendSrcAlpha=t.blendSrcAlpha,this.blendDstAlpha=t.blendDstAlpha,this.blendEquationAlpha=t.blendEquationAlpha,this.depthFunc=t.depthFunc,this.depthTest=t.depthTest,this.depthWrite=t.depthWrite,this.stencilWriteMask=t.stencilWriteMask,this.stencilFunc=t.stencilFunc,this.stencilRef=t.stencilRef,this.stencilFuncMask=t.stencilFuncMask,this.stencilFail=t.stencilFail,this.stencilZFail=t.stencilZFail,this.stencilZPass=t.stencilZPass,this.stencilWrite=t.stencilWrite;const n=t.clippingPlanes;let r=null;if(null!==n){const t=n.length;r=new Array(t);for(let a=0;a!==t;++a)r[a]=n[a].clone()}return this.clippingPlanes=r,this.clipIntersection=t.clipIntersection,this.clipShadows=t.clipShadows,this.shadowSide=t.shadowSide,this.colorWrite=t.colorWrite,this.precision=t.precision,this.polygonOffset=t.polygonOffset,this.polygonOffsetFactor=t.polygonOffsetFactor,this.polygonOffsetUnits=t.polygonOffsetUnits,this.dithering=t.dithering,this.alphaTest=t.alphaTest,this.premultipliedAlpha=t.premultipliedAlpha,this.visible=t.visible,this.toneMapped=t.toneMapped,this.userData=JSON.parse(JSON.stringify(t.userData)),this},dispose:function(){this.dispatchEvent({type:"dispose"})}}),Object.defineProperty(yr.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),br.prototype=Object.create(yr.prototype),br.prototype.constructor=br,br.prototype.isMeshBasicMaterial=!0,br.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this};const xr=new Vector3,wr=new Vector2;function Sr(t,n,r){if(Array.isArray(t))throw new TypeError("THREE.BufferAttribute: array should be a Typed Array.");this.name="",this.array=t,this.itemSize=n,this.count=void 0!==t?t.length/n:0,this.normalized=!0===r,this.usage=Bi,this.updateRange={offset:0,count:-1},this.version=0}function _r(t,n,r){Sr.call(this,new Int8Array(t),n,r)}function Mr(t,n,r){Sr.call(this,new Uint8Array(t),n,r)}function Tr(t,n,r){Sr.call(this,new Uint8ClampedArray(t),n,r)}function Er(t,n,r){Sr.call(this,new Int16Array(t),n,r)}function Cr(t,n,r){Sr.call(this,new Uint16Array(t),n,r)}function Ar(t,n,r){Sr.call(this,new Int32Array(t),n,r)}function kr(t,n,r){Sr.call(this,new Uint32Array(t),n,r)}function Or(t,n,r){Sr.call(this,new Uint16Array(t),n,r)}function Rr(t,n,r){Sr.call(this,new Float32Array(t),n,r)}function Ir(t,n,r){Sr.call(this,new Float64Array(t),n,r)}function Pr(t){if(0===t.length)return-1/0;let n=t[0];for(let r=1,a=t.length;r<a;++r)t[r]>n&&(n=t[r]);return n}Object.defineProperty(Sr.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Sr.prototype,{isBufferAttribute:!0,onUploadCallback:function(){},setUsage:function(t){return this.usage=t,this},copy:function(t){return this.name=t.name,this.array=new t.array.constructor(t.array),this.itemSize=t.itemSize,this.count=t.count,this.normalized=t.normalized,this.usage=t.usage,this},copyAt:function(t,n,r){t*=this.itemSize,r*=n.itemSize;for(let a=0,s=this.itemSize;a<s;a++)this.array[t+a]=n.array[r+a];return this},copyArray:function(t){return this.array.set(t),this},copyColorsArray:function(t){const n=this.array;let r=0;for(let s=0,l=t.length;s<l;s++){let l=t[s];void 0===l&&(a.warn("THREE.BufferAttribute.copyColorsArray(): color is undefined",s),l=new Color),n[r++]=l.r,n[r++]=l.g,n[r++]=l.b}return this},copyVector2sArray:function(t){const n=this.array;let r=0;for(let s=0,l=t.length;s<l;s++){let l=t[s];void 0===l&&(a.warn("THREE.BufferAttribute.copyVector2sArray(): vector is undefined",s),l=new Vector2),n[r++]=l.x,n[r++]=l.y}return this},copyVector3sArray:function(t){const n=this.array;let r=0;for(let s=0,l=t.length;s<l;s++){let l=t[s];void 0===l&&(a.warn("THREE.BufferAttribute.copyVector3sArray(): vector is undefined",s),l=new Vector3),n[r++]=l.x,n[r++]=l.y,n[r++]=l.z}return this},copyVector4sArray:function(t){const n=this.array;let r=0;for(let s=0,l=t.length;s<l;s++){let l=t[s];void 0===l&&(a.warn("THREE.BufferAttribute.copyVector4sArray(): vector is undefined",s),l=new Vector4),n[r++]=l.x,n[r++]=l.y,n[r++]=l.z,n[r++]=l.w}return this},applyMatrix3:function(t){if(2===this.itemSize)for(let n=0,r=this.count;n<r;n++)wr.fromBufferAttribute(this,n),wr.applyMatrix3(t),this.setXY(n,wr.x,wr.y);else if(3===this.itemSize)for(let n=0,r=this.count;n<r;n++)xr.fromBufferAttribute(this,n),xr.applyMatrix3(t),this.setXYZ(n,xr.x,xr.y,xr.z);return this},applyMatrix4:function(t){for(let n=0,r=this.count;n<r;n++)xr.x=this.getX(n),xr.y=this.getY(n),xr.z=this.getZ(n),xr.applyMatrix4(t),this.setXYZ(n,xr.x,xr.y,xr.z);return this},applyNormalMatrix:function(t){for(let n=0,r=this.count;n<r;n++)xr.x=this.getX(n),xr.y=this.getY(n),xr.z=this.getZ(n),xr.applyNormalMatrix(t),this.setXYZ(n,xr.x,xr.y,xr.z);return this},transformDirection:function(t){for(let n=0,r=this.count;n<r;n++)xr.x=this.getX(n),xr.y=this.getY(n),xr.z=this.getZ(n),xr.transformDirection(t),this.setXYZ(n,xr.x,xr.y,xr.z);return this},set:function(t,n=0){return this.array.set(t,n),this},getX:function(t){return this.array[t*this.itemSize]},setX:function(t,n){return this.array[t*this.itemSize]=n,this},getY:function(t){return this.array[t*this.itemSize+1]},setY:function(t,n){return this.array[t*this.itemSize+1]=n,this},getZ:function(t){return this.array[t*this.itemSize+2]},setZ:function(t,n){return this.array[t*this.itemSize+2]=n,this},getW:function(t){return this.array[t*this.itemSize+3]},setW:function(t,n){return this.array[t*this.itemSize+3]=n,this},setXY:function(t,n,r){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this},setXYZ:function(t,n,r,a){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this.array[t+2]=a,this},setXYZW:function(t,n,r,a,s){return t*=this.itemSize,this.array[t+0]=n,this.array[t+1]=r,this.array[t+2]=a,this.array[t+3]=s,this},onUpload:function(t){return this.onUploadCallback=t,this},clone:function(){return new this.constructor(this.array,this.itemSize).copy(this)},toJSON:function(){return{itemSize:this.itemSize,type:this.array.constructor.name,array:Array.prototype.slice.call(this.array),normalized:this.normalized}}}),_r.prototype=Object.create(Sr.prototype),_r.prototype.constructor=_r,Mr.prototype=Object.create(Sr.prototype),Mr.prototype.constructor=Mr,Tr.prototype=Object.create(Sr.prototype),Tr.prototype.constructor=Tr,Er.prototype=Object.create(Sr.prototype),Er.prototype.constructor=Er,Cr.prototype=Object.create(Sr.prototype),Cr.prototype.constructor=Cr,Ar.prototype=Object.create(Sr.prototype),Ar.prototype.constructor=Ar,kr.prototype=Object.create(Sr.prototype),kr.prototype.constructor=kr,Or.prototype=Object.create(Sr.prototype),Or.prototype.constructor=Or,Or.prototype.isFloat16BufferAttribute=!0,Rr.prototype=Object.create(Sr.prototype),Rr.prototype.constructor=Rr,Ir.prototype=Object.create(Sr.prototype),Ir.prototype.constructor=Ir;const Lr={Int8Array,Uint8Array,Uint8ClampedArray:"undefined"!=typeof Uint8ClampedArray?Uint8ClampedArray:Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array};function Dr(t,n){return new Lr[t](n)}let Fr=0;const Nr=new Matrix4,Br=new Kn,zr=new Vector3,$r=new Box3,jr=new Box3,Vr=new Vector3;function Ur(){Object.defineProperty(this,"id",{value:Fr++}),this.uuid=Ji.generateUUID(),this.name="",this.type="BufferGeometry",this.index=null,this.attributes={},this.morphAttributes={},this.morphTargetsRelative=!1,this.groups=[],this.boundingBox=null,this.boundingSphere=null,this.drawRange={start:0,count:1/0},this.userData={}}Ur.prototype=Object.assign(Object.create(Yi.prototype),{constructor:Ur,isBufferGeometry:!0,getIndex:function(){return this.index},setIndex:function(t){return Array.isArray(t)?this.index=new(Pr(t)>65535?kr:Cr)(t,1):this.index=t,this},getAttribute:function(t){return this.attributes[t]},setAttribute:function(t,n){return this.attributes[t]=n,this},deleteAttribute:function(t){return delete this.attributes[t],this},hasAttribute:function(t){return void 0!==this.attributes[t]},addGroup:function(t,n,r=0){this.groups.push({start:t,count:n,materialIndex:r})},clearGroups:function(){this.groups=[]},setDrawRange:function(t,n){this.drawRange.start=t,this.drawRange.count=n},applyMatrix4:function(t){const n=this.attributes.position;void 0!==n&&(n.applyMatrix4(t),n.needsUpdate=!0);const r=this.attributes.normal;if(void 0!==r){const n=(new Matrix3).getNormalMatrix(t);r.applyNormalMatrix(n),r.needsUpdate=!0}const a=this.attributes.tangent;return void 0!==a&&(a.transformDirection(t),a.needsUpdate=!0),null!==this.boundingBox&&this.computeBoundingBox(),null!==this.boundingSphere&&this.computeBoundingSphere(),this},rotateX:function(t){return Nr.makeRotationX(t),this.applyMatrix4(Nr),this},rotateY:function(t){return Nr.makeRotationY(t),this.applyMatrix4(Nr),this},rotateZ:function(t){return Nr.makeRotationZ(t),this.applyMatrix4(Nr),this},translate:function(t,n,r){return Nr.makeTranslation(t,n,r),this.applyMatrix4(Nr),this},scale:function(t,n,r){return Nr.makeScale(t,n,r),this.applyMatrix4(Nr),this},lookAt:function(t){return Br.lookAt(t),Br.updateMatrix(),this.applyMatrix4(Br.matrix),this},center:function(){return this.computeBoundingBox(),this.boundingBox.getCenter(zr).negate(),this.translate(zr.x,zr.y,zr.z),this},setFromPoints:function(t){const n=[];for(let r=0,a=t.length;r<a;r++){const a=t[r];n.push(a.x,a.y,a.z||0)}return this.setAttribute("position",new Rr(n,3)),this},computeBoundingBox:function(){null===this.boundingBox&&(this.boundingBox=new Box3);const t=this.attributes.position,n=this.morphAttributes.position;if(t&&t.isGLBufferAttribute)return a.error('THREE.BufferGeometry.computeBoundingBox(): GLBufferAttribute requires a manual bounding box. Alternatively set "mesh.frustumCulled" to "false".',this),void this.boundingBox.set(new Vector3(-1/0,-1/0,-1/0),new Vector3(1/0,1/0,1/0));if(void 0!==t){if(this.boundingBox.setFromBufferAttribute(t),n)for(let t=0,r=n.length;t<r;t++){const r=n[t];$r.setFromBufferAttribute(r),this.morphTargetsRelative?(Vr.addVectors(this.boundingBox.min,$r.min),this.boundingBox.expandByPoint(Vr),Vr.addVectors(this.boundingBox.max,$r.max),this.boundingBox.expandByPoint(Vr)):(this.boundingBox.expandByPoint($r.min),this.boundingBox.expandByPoint($r.max))}}else this.boundingBox.makeEmpty();(isNaN(this.boundingBox.min.x)||isNaN(this.boundingBox.min.y)||isNaN(this.boundingBox.min.z))&&a.error('THREE.BufferGeometry.computeBoundingBox(): Computed min/max have NaN values. The "position" attribute is likely to have NaN values.',this)},computeBoundingSphere:function(){null===this.boundingSphere&&(this.boundingSphere=new Sphere);const t=this.attributes.position,n=this.morphAttributes.position;if(t&&t.isGLBufferAttribute)return a.error('THREE.BufferGeometry.computeBoundingSphere(): GLBufferAttribute requires a manual bounding sphere. Alternatively set "mesh.frustumCulled" to "false".',this),void this.boundingSphere.set(new Vector3,1/0);if(t){const r=this.boundingSphere.center;if($r.setFromBufferAttribute(t),n)for(let t=0,r=n.length;t<r;t++){const r=n[t];jr.setFromBufferAttribute(r),this.morphTargetsRelative?(Vr.addVectors($r.min,jr.min),$r.expandByPoint(Vr),Vr.addVectors($r.max,jr.max),$r.expandByPoint(Vr)):($r.expandByPoint(jr.min),$r.expandByPoint(jr.max))}$r.getCenter(r);let s=0;for(let n=0,a=t.count;n<a;n++)Vr.fromBufferAttribute(t,n),s=Math.max(s,r.distanceToSquared(Vr));if(n)for(let a=0,l=n.length;a<l;a++){const l=n[a],d=this.morphTargetsRelative;for(let n=0,a=l.count;n<a;n++)Vr.fromBufferAttribute(l,n),d&&(zr.fromBufferAttribute(t,n),Vr.add(zr)),s=Math.max(s,r.distanceToSquared(Vr))}this.boundingSphere.radius=Math.sqrt(s),isNaN(this.boundingSphere.radius)&&a.error('THREE.BufferGeometry.computeBoundingSphere(): Computed radius is NaN. The "position" attribute is likely to have NaN values.',this)}},computeFaceNormals:function(){},computeTangents:function(){const t=this.index,n=this.attributes;if(null===t||void 0===n.position||void 0===n.normal||void 0===n.uv)return void a.error("THREE.BufferGeometry: .computeTangents() failed. Missing required attributes (index, position, normal or uv)");const r=t.array,s=n.position.array,l=n.normal.array,d=n.uv.array,h=s.length/3;void 0===n.tangent&&this.setAttribute("tangent",new Sr(new Float32Array(4*h),4));const p=n.tangent.array,f=[],m=[];for(let t=0;t<h;t++)f[t]=new Vector3,m[t]=new Vector3;const g=new Vector3,v=new Vector3,y=new Vector3,b=new Vector2,x=new Vector2,w=new Vector2,S=new Vector3,_=new Vector3;function T(t,n,r){g.fromArray(s,3*t),v.fromArray(s,3*n),y.fromArray(s,3*r),b.fromArray(d,2*t),x.fromArray(d,2*n),w.fromArray(d,2*r),v.sub(g),y.sub(g),x.sub(b),w.sub(b);const a=1/(x.x*w.y-w.x*x.y);isFinite(a)&&(S.copy(v).multiplyScalar(w.y).addScaledVector(y,-x.y).multiplyScalar(a),_.copy(y).multiplyScalar(x.x).addScaledVector(v,-w.x).multiplyScalar(a),f[t].add(S),f[n].add(S),f[r].add(S),m[t].add(_),m[n].add(_),m[r].add(_))}let E=this.groups;0===E.length&&(E=[{start:0,count:r.length}]);for(let t=0,n=E.length;t<n;++t){const n=E[t],a=n.start;for(let t=a,s=a+n.count;t<s;t+=3)T(r[t+0],r[t+1],r[t+2])}const C=new Vector3,A=new Vector3,O=new Vector3,I=new Vector3;function P(t){O.fromArray(l,3*t),I.copy(O);const n=f[t];C.copy(n),C.sub(O.multiplyScalar(O.dot(n))).normalize(),A.crossVectors(I,n);const r=A.dot(m[t])<0?-1:1;p[4*t]=C.x,p[4*t+1]=C.y,p[4*t+2]=C.z,p[4*t+3]=r}for(let t=0,n=E.length;t<n;++t){const n=E[t],a=n.start;for(let t=a,s=a+n.count;t<s;t+=3)P(r[t+0]),P(r[t+1]),P(r[t+2])}},computeVertexNormals:function(){const t=this.index,n=this.getAttribute("position");if(void 0!==n){let r=this.getAttribute("normal");if(void 0===r)r=new Sr(new Float32Array(3*n.count),3),this.setAttribute("normal",r);else for(let t=0,n=r.count;t<n;t++)r.setXYZ(t,0,0,0);const a=new Vector3,s=new Vector3,l=new Vector3,d=new Vector3,h=new Vector3,p=new Vector3,f=new Vector3,m=new Vector3;if(t)for(let g=0,v=t.count;g<v;g+=3){const v=t.getX(g+0),y=t.getX(g+1),b=t.getX(g+2);a.fromBufferAttribute(n,v),s.fromBufferAttribute(n,y),l.fromBufferAttribute(n,b),f.subVectors(l,s),m.subVectors(a,s),f.cross(m),d.fromBufferAttribute(r,v),h.fromBufferAttribute(r,y),p.fromBufferAttribute(r,b),d.add(f),h.add(f),p.add(f),r.setXYZ(v,d.x,d.y,d.z),r.setXYZ(y,h.x,h.y,h.z),r.setXYZ(b,p.x,p.y,p.z)}else for(let t=0,d=n.count;t<d;t+=3)a.fromBufferAttribute(n,t+0),s.fromBufferAttribute(n,t+1),l.fromBufferAttribute(n,t+2),f.subVectors(l,s),m.subVectors(a,s),f.cross(m),r.setXYZ(t+0,f.x,f.y,f.z),r.setXYZ(t+1,f.x,f.y,f.z),r.setXYZ(t+2,f.x,f.y,f.z);this.normalizeNormals(),r.needsUpdate=!0}},merge:function(t,n){if(!t||!t.isBufferGeometry)return void a.error("THREE.BufferGeometry.merge(): geometry not an instance of THREE.BufferGeometry.",t);void 0===n&&(n=0,a.warn("THREE.BufferGeometry.merge(): Overwriting original geometry, starting at offset=0. Use BufferGeometryUtils.mergeBufferGeometries() for lossless merge."));const r=this.attributes;for(const a in r){if(void 0===t.attributes[a])continue;const s=r[a].array,l=t.attributes[a],d=l.array,h=l.itemSize*n,p=Math.min(d.length,s.length-h);for(let t=0,n=h;t<p;t++,n++)s[n]=d[t]}return this},normalizeNormals:function(){const t=this.attributes.normal;for(let n=0,r=t.count;n<r;n++)Vr.fromBufferAttribute(t,n),Vr.normalize(),t.setXYZ(n,Vr.x,Vr.y,Vr.z)},toNonIndexed:function(){function t(t,n){const r=t.array,a=t.itemSize,s=t.normalized,l=new r.constructor(n.length*a);let d=0,h=0;for(let t=0,s=n.length;t<s;t++){d=n[t]*a;for(let t=0;t<a;t++)l[h++]=r[d++]}return new Sr(l,a,s)}if(null===this.index)return a.warn("THREE.BufferGeometry.toNonIndexed(): BufferGeometry is already non-indexed."),this;const n=new Ur,r=this.index.array,s=this.attributes;for(const a in s){const l=t(s[a],r);n.setAttribute(a,l)}const l=this.morphAttributes;for(const a in l){const s=[],d=l[a];for(let n=0,a=d.length;n<a;n++){const a=t(d[n],r);s.push(a)}n.morphAttributes[a]=s}n.morphTargetsRelative=this.morphTargetsRelative;const d=this.groups;for(let t=0,r=d.length;t<r;t++){const r=d[t];n.addGroup(r.start,r.count,r.materialIndex)}return n},toJSON:function(){const t={metadata:{version:4.5,type:"BufferGeometry",generator:"BufferGeometry.toJSON"}};if(t.uuid=this.uuid,t.type=this.type,""!==this.name&&(t.name=this.name),Object.keys(this.userData).length>0&&(t.userData=this.userData),void 0!==this.parameters){const n=this.parameters;for(const r in n)void 0!==n[r]&&(t[r]=n[r]);return t}t.data={attributes:{}};const n=this.index;null!==n&&(t.data.index={type:n.array.constructor.name,array:Array.prototype.slice.call(n.array)});const r=this.attributes;for(const n in r){const a=r[n],s=a.toJSON(t.data);""!==a.name&&(s.name=a.name),t.data.attributes[n]=s}const a={};let s=!1;for(const n in this.morphAttributes){const r=this.morphAttributes[n],l=[];for(let n=0,a=r.length;n<a;n++){const a=r[n],s=a.toJSON(t.data);""!==a.name&&(s.name=a.name),l.push(s)}l.length>0&&(a[n]=l,s=!0)}s&&(t.data.morphAttributes=a,t.data.morphTargetsRelative=this.morphTargetsRelative);const l=this.groups;l.length>0&&(t.data.groups=JSON.parse(JSON.stringify(l)));const d=this.boundingSphere;return null!==d&&(t.data.boundingSphere={center:d.center.toArray(),radius:d.radius}),t},clone:function(){return(new Ur).copy(this)},copy:function(t){this.index=null,this.attributes={},this.morphAttributes={},this.groups=[],this.boundingBox=null,this.boundingSphere=null;const n={};this.name=t.name;const r=t.index;null!==r&&this.setIndex(r.clone(n));const a=t.attributes;for(const t in a){const r=a[t];this.setAttribute(t,r.clone(n))}const s=t.morphAttributes;for(const t in s){const r=[],a=s[t];for(let t=0,s=a.length;t<s;t++)r.push(a[t].clone(n));this.morphAttributes[t]=r}this.morphTargetsRelative=t.morphTargetsRelative;const l=t.groups;for(let t=0,n=l.length;t<n;t++){const n=l[t];this.addGroup(n.start,n.count,n.materialIndex)}const d=t.boundingBox;null!==d&&(this.boundingBox=d.clone());const h=t.boundingSphere;return null!==h&&(this.boundingSphere=h.clone()),this.drawRange.start=t.drawRange.start,this.drawRange.count=t.drawRange.count,this.userData=t.userData,this},dispose:function(){this.dispatchEvent({type:"dispose"})}});const Gr=new Matrix4,Hr=new Ray,Wr=new Sphere,qr=new Vector3,Xr=new Vector3,Yr=new Vector3,Zr=new Vector3,Kr=new Vector3,Jr=new Vector3,Qr=new Vector3,eo=new Vector3,to=new Vector3,io=new Vector2,no=new Vector2,ro=new Vector2,oo=new Vector3,ao=new Vector3;function so(t=new Ur,n=new br){Kn.call(this),this.type="Mesh",this.geometry=t,this.material=n,this.updateMorphTargets()}function lo(t,n,r,a,s,l,d,h,p,f,m,g){qr.fromBufferAttribute(s,f),Xr.fromBufferAttribute(s,m),Yr.fromBufferAttribute(s,g);const v=t.morphTargetInfluences;if(n.morphTargets&&l&&v){Qr.set(0,0,0),eo.set(0,0,0),to.set(0,0,0);for(let t=0,n=l.length;t<n;t++){const n=v[t],r=l[t];0!==n&&(Zr.fromBufferAttribute(r,f),Kr.fromBufferAttribute(r,m),Jr.fromBufferAttribute(r,g),d?(Qr.addScaledVector(Zr,n),eo.addScaledVector(Kr,n),to.addScaledVector(Jr,n)):(Qr.addScaledVector(Zr.sub(qr),n),eo.addScaledVector(Kr.sub(Xr),n),to.addScaledVector(Jr.sub(Yr),n)))}qr.add(Qr),Xr.add(eo),Yr.add(to)}t.isSkinnedMesh&&(t.boneTransform(f,qr),t.boneTransform(m,Xr),t.boneTransform(g,Yr));const y=function(t,n,r,a,s,l,d,h){let p;if(p=n.side===w?a.intersectTriangle(d,l,s,!0,h):a.intersectTriangle(s,l,d,n.side!==S,h),null===p)return null;ao.copy(h),ao.applyMatrix4(t.matrixWorld);const f=r.ray.origin.distanceTo(ao);return f<r.near||f>r.far?null:{distance:f,point:ao.clone(),object:t}}(t,n,r,a,qr,Xr,Yr,oo);if(y){h&&(io.fromBufferAttribute(h,f),no.fromBufferAttribute(h,m),ro.fromBufferAttribute(h,g),y.uv=Triangle.getUV(oo,qr,Xr,Yr,io,no,ro,new Vector2)),p&&(io.fromBufferAttribute(p,f),no.fromBufferAttribute(p,m),ro.fromBufferAttribute(p,g),y.uv2=Triangle.getUV(oo,qr,Xr,Yr,io,no,ro,new Vector2));const t=new Face3(f,m,g);Triangle.getNormal(qr,Xr,Yr,t.normal),y.face=t}return y}so.prototype=Object.assign(Object.create(Kn.prototype),{constructor:so,isMesh:!0,copy:function(t){return Kn.prototype.copy.call(this,t),void 0!==t.morphTargetInfluences&&(this.morphTargetInfluences=t.morphTargetInfluences.slice()),void 0!==t.morphTargetDictionary&&(this.morphTargetDictionary=Object.assign({},t.morphTargetDictionary)),this.material=t.material,this.geometry=t.geometry,this},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&a.error("THREE.Mesh.updateMorphTargets() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")}},raycast:function(t,n){const r=this.geometry,s=this.material,l=this.matrixWorld;if(void 0===s)return;if(null===r.boundingSphere&&r.computeBoundingSphere(),Wr.copy(r.boundingSphere),Wr.applyMatrix4(l),!1===t.ray.intersectsSphere(Wr))return;if(Gr.copy(l).invert(),Hr.copy(t.ray).applyMatrix4(Gr),null!==r.boundingBox&&!1===Hr.intersectsBox(r.boundingBox))return;let d;if(r.isBufferGeometry){const a=r.index,l=r.attributes.position,h=r.morphAttributes.position,p=r.morphTargetsRelative,f=r.attributes.uv,m=r.attributes.uv2,g=r.groups,v=r.drawRange;if(null!==a)if(Array.isArray(s))for(let r=0,y=g.length;r<y;r++){const y=g[r],b=s[y.materialIndex];for(let r=Math.max(y.start,v.start),s=Math.min(y.start+y.count,v.start+v.count);r<s;r+=3){const s=a.getX(r),g=a.getX(r+1),v=a.getX(r+2);d=lo(this,b,t,Hr,l,h,p,f,m,s,g,v),d&&(d.faceIndex=Math.floor(r/3),d.face.materialIndex=y.materialIndex,n.push(d))}}else{for(let r=Math.max(0,v.start),g=Math.min(a.count,v.start+v.count);r<g;r+=3){const g=a.getX(r),v=a.getX(r+1),y=a.getX(r+2);d=lo(this,s,t,Hr,l,h,p,f,m,g,v,y),d&&(d.faceIndex=Math.floor(r/3),n.push(d))}}else if(void 0!==l)if(Array.isArray(s))for(let r=0,a=g.length;r<a;r++){const a=g[r],y=s[a.materialIndex];for(let r=Math.max(a.start,v.start),s=Math.min(a.start+a.count,v.start+v.count);r<s;r+=3){d=lo(this,y,t,Hr,l,h,p,f,m,r,r+1,r+2),d&&(d.faceIndex=Math.floor(r/3),d.face.materialIndex=a.materialIndex,n.push(d))}}else{for(let r=Math.max(0,v.start),a=Math.min(l.count,v.start+v.count);r<a;r+=3){d=lo(this,s,t,Hr,l,h,p,f,m,r,r+1,r+2),d&&(d.faceIndex=Math.floor(r/3),n.push(d))}}}else r.isGeometry&&a.error("THREE.Mesh.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")}});class BoxGeometry extends Ur{constructor(t=1,n=1,r=1,a=1,s=1,l=1){super(),this.type="BoxGeometry",this.parameters={width:t,height:n,depth:r,widthSegments:a,heightSegments:s,depthSegments:l};const d=this;a=Math.floor(a),s=Math.floor(s),l=Math.floor(l);const h=[],p=[],f=[],m=[];let g=0,v=0;function y(t,n,r,a,s,l,y,b,x,w,S){const _=l/x,T=y/w,E=l/2,C=y/2,A=b/2,O=x+1,I=w+1;let P=0,D=0;const F=new Vector3;for(let l=0;l<I;l++){const d=l*T-C;for(let h=0;h<O;h++){const g=h*_-E;F[t]=g*a,F[n]=d*s,F[r]=A,p.push(F.x,F.y,F.z),F[t]=0,F[n]=0,F[r]=b>0?1:-1,f.push(F.x,F.y,F.z),m.push(h/x),m.push(1-l/w),P+=1}}for(let t=0;t<w;t++)for(let n=0;n<x;n++){const r=g+n+O*t,a=g+n+O*(t+1),s=g+(n+1)+O*(t+1),l=g+(n+1)+O*t;h.push(r,a,l),h.push(a,s,l),D+=6}d.addGroup(v,D,S),v+=D,g+=P}y("z","y","x",-1,-1,r,n,t,l,s,0),y("z","y","x",1,-1,r,n,-t,l,s,1),y("x","z","y",1,1,t,r,n,a,l,2),y("x","z","y",1,-1,t,r,-n,a,l,3),y("x","y","z",1,-1,t,n,r,a,s,4),y("x","y","z",-1,-1,t,n,-r,a,s,5),this.setIndex(h),this.setAttribute("position",new Rr(p,3)),this.setAttribute("normal",new Rr(f,3)),this.setAttribute("uv",new Rr(m,2))}}function co(t){const n={};for(const r in t){n[r]={};for(const a in t[r]){const s=t[r][a];s&&(s.isColor||s.isMatrix3||s.isMatrix4||s.isVector2||s.isVector3||s.isVector4||s.isTexture)?n[r][a]=s.clone():Array.isArray(s)?n[r][a]=s.slice():n[r][a]=s}}return n}function uo(t){const n={};for(let r=0;r<t.length;r++){const a=co(t[r]);for(const t in a)n[t]=a[t]}return n}const ho={clone:co,merge:uo};var po="void main() {\n\tgl_Position = projectionMatrix * modelViewMatrix * vec4( position, 1.0 );\n}",fo="void main() {\n\tgl_FragColor = vec4( 1.0, 0.0, 0.0, 1.0 );\n}";function mo(t){yr.call(this),this.type="ShaderMaterial",this.defines={},this.uniforms={},this.vertexShader=po,this.fragmentShader=fo,this.linewidth=1,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.lights=!1,this.clipping=!1,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.extensions={derivatives:!1,fragDepth:!1,drawBuffers:!1,shaderTextureLOD:!1},this.defaultAttributeValues={color:[1,1,1],uv:[0,0],uv2:[0,0]},this.index0AttributeName=void 0,this.uniformsNeedUpdate=!1,this.glslVersion=null,void 0!==t&&(void 0!==t.attributes&&a.error("THREE.ShaderMaterial: attributes should now be defined in THREE.BufferGeometry instead."),this.setValues(t))}function go(){Kn.call(this),this.type="Camera",this.matrixWorldInverse=new Matrix4,this.projectionMatrix=new Matrix4,this.projectionMatrixInverse=new Matrix4}function vo(t=50,n=1,r=.1,a=2e3){go.call(this),this.type="PerspectiveCamera",this.fov=t,this.zoom=1,this.near=r,this.far=a,this.focus=10,this.aspect=n,this.view=null,this.filmGauge=35,this.filmOffset=0,this.updateProjectionMatrix()}mo.prototype=Object.create(yr.prototype),mo.prototype.constructor=mo,mo.prototype.isShaderMaterial=!0,mo.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.fragmentShader=t.fragmentShader,this.vertexShader=t.vertexShader,this.uniforms=co(t.uniforms),this.defines=Object.assign({},t.defines),this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.lights=t.lights,this.clipping=t.clipping,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this.extensions=Object.assign({},t.extensions),this.glslVersion=t.glslVersion,this},mo.prototype.toJSON=function(t){const n=yr.prototype.toJSON.call(this,t);n.glslVersion=this.glslVersion,n.uniforms={};for(const r in this.uniforms){const a=this.uniforms[r].value;a&&a.isTexture?n.uniforms[r]={type:"t",value:a.toJSON(t).uuid}:a&&a.isColor?n.uniforms[r]={type:"c",value:a.getHex()}:a&&a.isVector2?n.uniforms[r]={type:"v2",value:a.toArray()}:a&&a.isVector3?n.uniforms[r]={type:"v3",value:a.toArray()}:a&&a.isVector4?n.uniforms[r]={type:"v4",value:a.toArray()}:a&&a.isMatrix3?n.uniforms[r]={type:"m3",value:a.toArray()}:a&&a.isMatrix4?n.uniforms[r]={type:"m4",value:a.toArray()}:n.uniforms[r]={value:a}}Object.keys(this.defines).length>0&&(n.defines=this.defines),n.vertexShader=this.vertexShader,n.fragmentShader=this.fragmentShader;const r={};for(const t in this.extensions)!0===this.extensions[t]&&(r[t]=!0);return Object.keys(r).length>0&&(n.extensions=r),n},go.prototype=Object.assign(Object.create(Kn.prototype),{constructor:go,isCamera:!0,copy:function(t,n){return Kn.prototype.copy.call(this,t,n),this.matrixWorldInverse.copy(t.matrixWorldInverse),this.projectionMatrix.copy(t.projectionMatrix),this.projectionMatrixInverse.copy(t.projectionMatrixInverse),this},getWorldDirection:function(t){void 0===t&&(a.warn("THREE.Camera: .getWorldDirection() target is now required"),t=new Vector3),this.updateWorldMatrix(!0,!1);const n=this.matrixWorld.elements;return t.set(-n[8],-n[9],-n[10]).normalize()},updateMatrixWorld:function(t){Kn.prototype.updateMatrixWorld.call(this,t),this.matrixWorldInverse.copy(this.matrixWorld).invert()},updateWorldMatrix:function(t,n){Kn.prototype.updateWorldMatrix.call(this,t,n),this.matrixWorldInverse.copy(this.matrixWorld).invert()},clone:function(){return(new this.constructor).copy(this)}}),vo.prototype=Object.assign(Object.create(go.prototype),{constructor:vo,isPerspectiveCamera:!0,copy:function(t,n){return go.prototype.copy.call(this,t,n),this.fov=t.fov,this.zoom=t.zoom,this.near=t.near,this.far=t.far,this.focus=t.focus,this.aspect=t.aspect,this.view=null===t.view?null:Object.assign({},t.view),this.filmGauge=t.filmGauge,this.filmOffset=t.filmOffset,this},setFocalLength:function(t){const n=.5*this.getFilmHeight()/t;this.fov=2*Ji.RAD2DEG*Math.atan(n),this.updateProjectionMatrix()},getFocalLength:function(){const t=Math.tan(.5*Ji.DEG2RAD*this.fov);return.5*this.getFilmHeight()/t},getEffectiveFOV:function(){return 2*Ji.RAD2DEG*Math.atan(Math.tan(.5*Ji.DEG2RAD*this.fov)/this.zoom)},getFilmWidth:function(){return this.filmGauge*Math.min(this.aspect,1)},getFilmHeight:function(){return this.filmGauge/Math.max(this.aspect,1)},setViewOffset:function(t,n,r,a,s,l){this.aspect=t/n,null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=t,this.view.fullHeight=n,this.view.offsetX=r,this.view.offsetY=a,this.view.width=s,this.view.height=l,this.updateProjectionMatrix()},clearViewOffset:function(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()},updateProjectionMatrix:function(){const t=this.near;let n=t*Math.tan(.5*Ji.DEG2RAD*this.fov)/this.zoom,r=2*n,a=this.aspect*r,s=-.5*a;const l=this.view;if(null!==this.view&&this.view.enabled){const t=l.fullWidth,d=l.fullHeight;s+=l.offsetX*a/t,n-=l.offsetY*r/d,a*=l.width/t,r*=l.height/d}const d=this.filmOffset;0!==d&&(s+=t*d/this.getFilmWidth()),this.projectionMatrix.makePerspective(s,s+a,n,n-r,t,this.far),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()},toJSON:function(t){const n=Kn.prototype.toJSON.call(this,t);return n.object.fov=this.fov,n.object.zoom=this.zoom,n.object.near=this.near,n.object.far=this.far,n.object.focus=this.focus,n.object.aspect=this.aspect,null!==this.view&&(n.object.view=Object.assign({},this.view)),n.object.filmGauge=this.filmGauge,n.object.filmOffset=this.filmOffset,n}});const yo=90,bo=1;function xo(t,n,r){if(Kn.call(this),this.type="CubeCamera",!0!==r.isWebGLCubeRenderTarget)return void a.error("THREE.CubeCamera: The constructor now expects an instance of WebGLCubeRenderTarget as third parameter.");this.renderTarget=r;const s=new vo(yo,bo,t,n);s.layers=this.layers,s.up.set(0,-1,0),s.lookAt(new Vector3(1,0,0)),this.add(s);const l=new vo(yo,bo,t,n);l.layers=this.layers,l.up.set(0,-1,0),l.lookAt(new Vector3(-1,0,0)),this.add(l);const d=new vo(yo,bo,t,n);d.layers=this.layers,d.up.set(0,0,1),d.lookAt(new Vector3(0,1,0)),this.add(d);const h=new vo(yo,bo,t,n);h.layers=this.layers,h.up.set(0,0,-1),h.lookAt(new Vector3(0,-1,0)),this.add(h);const p=new vo(yo,bo,t,n);p.layers=this.layers,p.up.set(0,-1,0),p.lookAt(new Vector3(0,0,1)),this.add(p);const f=new vo(yo,bo,t,n);f.layers=this.layers,f.up.set(0,-1,0),f.lookAt(new Vector3(0,0,-1)),this.add(f),this.update=function(t,n){null===this.parent&&this.updateMatrixWorld();const a=t.xr.enabled,m=t.getRenderTarget();t.xr.enabled=!1;const g=r.texture.generateMipmaps;r.texture.generateMipmaps=!1,t.setRenderTarget(r,0),t.render(n,s),t.setRenderTarget(r,1),t.render(n,l),t.setRenderTarget(r,2),t.render(n,d),t.setRenderTarget(r,3),t.render(n,h),t.setRenderTarget(r,4),t.render(n,p),r.texture.generateMipmaps=g,t.setRenderTarget(r,5),t.render(n,f),t.setRenderTarget(m),t.xr.enabled=a}}function wo(t,n,r,a,s,l,d,h,p,f){t=void 0!==t?t:[],n=void 0!==n?n:be,d=void 0!==d?d:Ke,nn.call(this,t,n,r,a,s,l,d,h,p,f),this.flipY=!1,this._needsFlipEnvMap=!0}xo.prototype=Object.create(Kn.prototype),xo.prototype.constructor=xo,wo.prototype=Object.create(nn.prototype),wo.prototype.constructor=wo,wo.prototype.isCubeTexture=!0,Object.defineProperty(wo.prototype,"images",{get:function(){return this.image},set:function(t){this.image=t}});class WebGLCubeRenderTarget extends WebGLRenderTarget{constructor(t,n,r){Number.isInteger(n)&&(a.warn("THREE.WebGLCubeRenderTarget: constructor signature is now WebGLCubeRenderTarget( size, options )"),n=r),super(t,t,n),Object.defineProperty(this,"isWebGLCubeRenderTarget",{value:!0}),n=n||{},this.texture=new wo(void 0,n.mapping,n.wrapS,n.wrapT,n.magFilter,n.minFilter,n.format,n.type,n.anisotropy,n.encoding),this.texture._needsFlipEnvMap=!1}fromEquirectangularTexture(t,n){this.texture.type=n.type,this.texture.format=Je,this.texture.encoding=n.encoding,this.texture.generateMipmaps=n.generateMipmaps,this.texture.minFilter=n.minFilter,this.texture.magFilter=n.magFilter;const r={uniforms:{tEquirect:{value:null}},vertexShader:"\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\tvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\n\t\t\t\t\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n\n\t\t\t\t}\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvWorldDirection = transformDirection( position, modelMatrix );\n\n\t\t\t\t\t#include <begin_vertex>\n\t\t\t\t\t#include <project_vertex>\n\n\t\t\t\t}\n\t\t\t",fragmentShader:"\n\n\t\t\t\tuniform sampler2D tEquirect;\n\n\t\t\t\tvarying vec3 vWorldDirection;\n\n\t\t\t\t#include <common>\n\n\t\t\t\tvoid main() {\n\n\t\t\t\t\tvec3 direction = normalize( vWorldDirection );\n\n\t\t\t\t\tvec2 sampleUV = equirectUv( direction );\n\n\t\t\t\t\tgl_FragColor = texture2D( tEquirect, sampleUV );\n\n\t\t\t\t}\n\t\t\t"},a=new BoxGeometry(5,5,5),s=new mo({name:"CubemapFromEquirect",uniforms:co(r.uniforms),vertexShader:r.vertexShader,fragmentShader:r.fragmentShader,side:w,blending:E});s.uniforms.tEquirect.value=n;const l=new so(a,s),d=n.minFilter;n.minFilter===Fe&&(n.minFilter=Pe);return new xo(1,10,this).update(t,l),n.minFilter=d,l.geometry.dispose(),l.material.dispose(),this}clear(t,n,r,a){const s=t.getRenderTarget();for(let s=0;s<6;s++)t.setRenderTarget(this,s),t.clear(n,r,a);t.setRenderTarget(s)}}function So(t,n,r,a,s,l,d,h,p,f,m,g){nn.call(this,null,l,d,h,p,f,a,s,m,g),this.image={data:t||null,width:n||1,height:r||1},this.magFilter=void 0!==p?p:Ae,this.minFilter=void 0!==f?f:Ae,this.generateMipmaps=!1,this.flipY=!1,this.unpackAlignment=1,this.needsUpdate=!0}So.prototype=Object.create(nn.prototype),So.prototype.constructor=So,So.prototype.isDataTexture=!0;const _o=new Sphere,Mo=new Vector3;class Frustum{constructor(t,n,r,a,s,l){this.planes=[void 0!==t?t:new Plane,void 0!==n?n:new Plane,void 0!==r?r:new Plane,void 0!==a?a:new Plane,void 0!==s?s:new Plane,void 0!==l?l:new Plane]}set(t,n,r,a,s,l){const d=this.planes;return d[0].copy(t),d[1].copy(n),d[2].copy(r),d[3].copy(a),d[4].copy(s),d[5].copy(l),this}clone(){return(new this.constructor).copy(this)}copy(t){const n=this.planes;for(let r=0;r<6;r++)n[r].copy(t.planes[r]);return this}setFromProjectionMatrix(t){const n=this.planes,r=t.elements,a=r[0],s=r[1],l=r[2],d=r[3],h=r[4],p=r[5],f=r[6],m=r[7],g=r[8],v=r[9],y=r[10],b=r[11],x=r[12],w=r[13],S=r[14],_=r[15];return n[0].setComponents(d-a,m-h,b-g,_-x).normalize(),n[1].setComponents(d+a,m+h,b+g,_+x).normalize(),n[2].setComponents(d+s,m+p,b+v,_+w).normalize(),n[3].setComponents(d-s,m-p,b-v,_-w).normalize(),n[4].setComponents(d-l,m-f,b-y,_-S).normalize(),n[5].setComponents(d+l,m+f,b+y,_+S).normalize(),this}intersectsObject(t){const n=t.geometry;return null===n.boundingSphere&&n.computeBoundingSphere(),_o.copy(n.boundingSphere).applyMatrix4(t.matrixWorld),this.intersectsSphere(_o)}intersectsSprite(t){return _o.center.set(0,0,0),_o.radius=.7071067811865476,_o.applyMatrix4(t.matrixWorld),this.intersectsSphere(_o)}intersectsSphere(t){const n=this.planes,r=t.center,a=-t.radius;for(let t=0;t<6;t++){if(n[t].distanceToPoint(r)<a)return!1}return!0}intersectsBox(t){const n=this.planes;for(let r=0;r<6;r++){const a=n[r];if(Mo.x=a.normal.x>0?t.max.x:t.min.x,Mo.y=a.normal.y>0?t.max.y:t.min.y,Mo.z=a.normal.z>0?t.max.z:t.min.z,a.distanceToPoint(Mo)<0)return!1}return!0}containsPoint(t){const n=this.planes;for(let r=0;r<6;r++)if(n[r].distanceToPoint(t)<0)return!1;return!0}}function To(){let t=null,n=!1,r=null,a=null;function s(n,l){r(n,l),a=t.requestAnimationFrame(s)}return{start:function(){!0!==n&&null!==r&&(a=t.requestAnimationFrame(s),n=!0)},stop:function(){t.cancelAnimationFrame(a),n=!1},setAnimationLoop:function(t){r=t},setContext:function(n){t=n}}}function Eo(t,n){const r=n.isWebGL2,s=new WeakMap;return{get:function(t){return t.isInterleavedBufferAttribute&&(t=t.data),s.get(t)},remove:function(n){n.isInterleavedBufferAttribute&&(n=n.data);const r=s.get(n);r&&(t.deleteBuffer(r.buffer),s.delete(n))},update:function(n,l){if(n.isGLBufferAttribute){const t=s.get(n);return void((!t||t.version<n.version)&&s.set(n,{buffer:n.buffer,type:n.type,bytesPerElement:n.elementSize,version:n.version}))}n.isInterleavedBufferAttribute&&(n=n.data);const d=s.get(n);void 0===d?s.set(n,function(n,s){const l=n.array,d=n.usage,h=t.createBuffer();t.bindBuffer(s,h),t.bufferData(s,l,d),n.onUploadCallback();let p=5126;return l instanceof Float32Array?p=5126:l instanceof Float64Array?a.warn("THREE.WebGLAttributes: Unsupported data buffer format: Float64Array."):l instanceof Uint16Array?n.isFloat16BufferAttribute?r?p=5131:a.warn("THREE.WebGLAttributes: Usage of Float16BufferAttribute requires WebGL2."):p=5123:l instanceof Int16Array?p=5122:l instanceof Uint32Array?p=5125:l instanceof Int32Array?p=5124:l instanceof Int8Array?p=5120:l instanceof Uint8Array&&(p=5121),{buffer:h,type:p,bytesPerElement:l.BYTES_PER_ELEMENT,version:n.version}}(n,l)):d.version<n.version&&(!function(n,a,s){const l=a.array,d=a.updateRange;t.bindBuffer(s,n),-1===d.count?t.bufferSubData(s,0,l):(r?t.bufferSubData(s,d.offset*l.BYTES_PER_ELEMENT,l,d.offset,d.count):t.bufferSubData(s,d.offset*l.BYTES_PER_ELEMENT,l.subarray(d.offset,d.offset+d.count)),d.count=-1)}(d.buffer,n,l),d.version=n.version)}}}class PlaneGeometry extends Ur{constructor(t=1,n=1,r=1,a=1){super(),this.type="PlaneGeometry",this.parameters={width:t,height:n,widthSegments:r,heightSegments:a};const s=t/2,l=n/2,d=Math.floor(r),h=Math.floor(a),p=d+1,f=h+1,m=t/d,g=n/h,v=[],y=[],b=[],x=[];for(let t=0;t<f;t++){const n=t*g-l;for(let r=0;r<p;r++){const a=r*m-s;y.push(a,-n,0),b.push(0,0,1),x.push(r/d),x.push(1-t/h)}}for(let t=0;t<h;t++)for(let n=0;n<d;n++){const r=n+p*t,a=n+p*(t+1),s=n+1+p*(t+1),l=n+1+p*t;v.push(r,a,l),v.push(a,s,l)}this.setIndex(v),this.setAttribute("position",new Rr(y,3)),this.setAttribute("normal",new Rr(b,3)),this.setAttribute("uv",new Rr(x,2))}}const Co={alphamap_fragment:"#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, vUv ).g;\n#endif",alphamap_pars_fragment:"#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",alphatest_fragment:"#ifdef ALPHATEST\n\tif ( diffuseColor.a < ALPHATEST ) discard;\n#endif",aomap_fragment:"#ifdef USE_AOMAP\n\tfloat ambientOcclusion = ( texture2D( aoMap, vUv2 ).r - 1.0 ) * aoMapIntensity + 1.0;\n\treflectedLight.indirectDiffuse *= ambientOcclusion;\n\t#if defined( USE_ENVMAP ) && defined( STANDARD )\n\t\tfloat dotNV = saturate( dot( geometry.normal, geometry.viewDir ) );\n\t\treflectedLight.indirectSpecular *= computeSpecularOcclusion( dotNV, ambientOcclusion, material.specularRoughness );\n\t#endif\n#endif",aomap_pars_fragment:"#ifdef USE_AOMAP\n\tuniform sampler2D aoMap;\n\tuniform float aoMapIntensity;\n#endif",begin_vertex:"vec3 transformed = vec3( position );",beginnormal_vertex:"vec3 objectNormal = vec3( normal );\n#ifdef USE_TANGENT\n\tvec3 objectTangent = vec3( tangent.xyz );\n#endif",bsdfs:"vec2 integrateSpecularBRDF( const in float dotNV, const in float roughness ) {\n\tconst vec4 c0 = vec4( - 1, - 0.0275, - 0.572, 0.022 );\n\tconst vec4 c1 = vec4( 1, 0.0425, 1.04, - 0.04 );\n\tvec4 r = roughness * c0 + c1;\n\tfloat a004 = min( r.x * r.x, exp2( - 9.28 * dotNV ) ) * r.x + r.y;\n\treturn vec2( -1.04, 1.04 ) * a004 + r.zw;\n}\nfloat punctualLightIntensityToIrradianceFactor( const in float lightDistance, const in float cutoffDistance, const in float decayExponent ) {\n#if defined ( PHYSICALLY_CORRECT_LIGHTS )\n\tfloat distanceFalloff = 1.0 / max( pow( lightDistance, decayExponent ), 0.01 );\n\tif( cutoffDistance > 0.0 ) {\n\t\tdistanceFalloff *= pow2( saturate( 1.0 - pow4( lightDistance / cutoffDistance ) ) );\n\t}\n\treturn distanceFalloff;\n#else\n\tif( cutoffDistance > 0.0 && decayExponent > 0.0 ) {\n\t\treturn pow( saturate( -lightDistance / cutoffDistance + 1.0 ), decayExponent );\n\t}\n\treturn 1.0;\n#endif\n}\nvec3 BRDF_Diffuse_Lambert( const in vec3 diffuseColor ) {\n\treturn RECIPROCAL_PI * diffuseColor;\n}\nvec3 F_Schlick( const in vec3 specularColor, const in float dotLH ) {\n\tfloat fresnel = exp2( ( -5.55473 * dotLH - 6.98316 ) * dotLH );\n\treturn ( 1.0 - specularColor ) * fresnel + specularColor;\n}\nvec3 F_Schlick_RoughnessDependent( const in vec3 F0, const in float dotNV, const in float roughness ) {\n\tfloat fresnel = exp2( ( -5.55473 * dotNV - 6.98316 ) * dotNV );\n\tvec3 Fr = max( vec3( 1.0 - roughness ), F0 ) - F0;\n\treturn Fr * fresnel + F0;\n}\nfloat G_GGX_Smith( const in float alpha, const in float dotNL, const in float dotNV ) {\n\tfloat a2 = pow2( alpha );\n\tfloat gl = dotNL + sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNL ) );\n\tfloat gv = dotNV + sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNV ) );\n\treturn 1.0 / ( gl * gv );\n}\nfloat G_GGX_SmithCorrelated( const in float alpha, const in float dotNL, const in float dotNV ) {\n\tfloat a2 = pow2( alpha );\n\tfloat gv = dotNL * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNV ) );\n\tfloat gl = dotNV * sqrt( a2 + ( 1.0 - a2 ) * pow2( dotNL ) );\n\treturn 0.5 / max( gv + gl, EPSILON );\n}\nfloat D_GGX( const in float alpha, const in float dotNH ) {\n\tfloat a2 = pow2( alpha );\n\tfloat denom = pow2( dotNH ) * ( a2 - 1.0 ) + 1.0;\n\treturn RECIPROCAL_PI * a2 / pow2( denom );\n}\nvec3 BRDF_Specular_GGX( const in IncidentLight incidentLight, const in vec3 viewDir, const in vec3 normal, const in vec3 specularColor, const in float roughness ) {\n\tfloat alpha = pow2( roughness );\n\tvec3 halfDir = normalize( incidentLight.direction + viewDir );\n\tfloat dotNL = saturate( dot( normal, incidentLight.direction ) );\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tfloat dotNH = saturate( dot( normal, halfDir ) );\n\tfloat dotLH = saturate( dot( incidentLight.direction, halfDir ) );\n\tvec3 F = F_Schlick( specularColor, dotLH );\n\tfloat G = G_GGX_SmithCorrelated( alpha, dotNL, dotNV );\n\tfloat D = D_GGX( alpha, dotNH );\n\treturn F * ( G * D );\n}\nvec2 LTC_Uv( const in vec3 N, const in vec3 V, const in float roughness ) {\n\tconst float LUT_SIZE = 64.0;\n\tconst float LUT_SCALE = ( LUT_SIZE - 1.0 ) / LUT_SIZE;\n\tconst float LUT_BIAS = 0.5 / LUT_SIZE;\n\tfloat dotNV = saturate( dot( N, V ) );\n\tvec2 uv = vec2( roughness, sqrt( 1.0 - dotNV ) );\n\tuv = uv * LUT_SCALE + LUT_BIAS;\n\treturn uv;\n}\nfloat LTC_ClippedSphereFormFactor( const in vec3 f ) {\n\tfloat l = length( f );\n\treturn max( ( l * l + f.z ) / ( l + 1.0 ), 0.0 );\n}\nvec3 LTC_EdgeVectorFormFactor( const in vec3 v1, const in vec3 v2 ) {\n\tfloat x = dot( v1, v2 );\n\tfloat y = abs( x );\n\tfloat a = 0.8543985 + ( 0.4965155 + 0.0145206 * y ) * y;\n\tfloat b = 3.4175940 + ( 4.1616724 + y ) * y;\n\tfloat v = a / b;\n\tfloat theta_sintheta = ( x > 0.0 ) ? v : 0.5 * inversesqrt( max( 1.0 - x * x, 1e-7 ) ) - v;\n\treturn cross( v1, v2 ) * theta_sintheta;\n}\nvec3 LTC_Evaluate( const in vec3 N, const in vec3 V, const in vec3 P, const in mat3 mInv, const in vec3 rectCoords[ 4 ] ) {\n\tvec3 v1 = rectCoords[ 1 ] - rectCoords[ 0 ];\n\tvec3 v2 = rectCoords[ 3 ] - rectCoords[ 0 ];\n\tvec3 lightNormal = cross( v1, v2 );\n\tif( dot( lightNormal, P - rectCoords[ 0 ] ) < 0.0 ) return vec3( 0.0 );\n\tvec3 T1, T2;\n\tT1 = normalize( V - N * dot( V, N ) );\n\tT2 = - cross( N, T1 );\n\tmat3 mat = mInv * transposeMat3( mat3( T1, T2, N ) );\n\tvec3 coords[ 4 ];\n\tcoords[ 0 ] = mat * ( rectCoords[ 0 ] - P );\n\tcoords[ 1 ] = mat * ( rectCoords[ 1 ] - P );\n\tcoords[ 2 ] = mat * ( rectCoords[ 2 ] - P );\n\tcoords[ 3 ] = mat * ( rectCoords[ 3 ] - P );\n\tcoords[ 0 ] = normalize( coords[ 0 ] );\n\tcoords[ 1 ] = normalize( coords[ 1 ] );\n\tcoords[ 2 ] = normalize( coords[ 2 ] );\n\tcoords[ 3 ] = normalize( coords[ 3 ] );\n\tvec3 vectorFormFactor = vec3( 0.0 );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 0 ], coords[ 1 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 1 ], coords[ 2 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 2 ], coords[ 3 ] );\n\tvectorFormFactor += LTC_EdgeVectorFormFactor( coords[ 3 ], coords[ 0 ] );\n\tfloat result = LTC_ClippedSphereFormFactor( vectorFormFactor );\n\treturn vec3( result );\n}\nvec3 BRDF_Specular_GGX_Environment( const in vec3 viewDir, const in vec3 normal, const in vec3 specularColor, const in float roughness ) {\n\tfloat dotNV = saturate( dot( normal, viewDir ) );\n\tvec2 brdf = integrateSpecularBRDF( dotNV, roughness );\n\treturn specularColor * brdf.x + brdf.y;\n}\nvoid BRDF_Specular_Multiscattering_Environment( const in GeometricContext geometry, const in vec3 specularColor, const in float roughness, inout vec3 singleScatter, inout vec3 multiScatter ) {\n\tfloat dotNV = saturate( dot( geometry.normal, geometry.viewDir ) );\n\tvec3 F = F_Schlick_RoughnessDependent( specularColor, dotNV, roughness );\n\tvec2 brdf = integrateSpecularBRDF( dotNV, roughness );\n\tvec3 FssEss = F * brdf.x + brdf.y;\n\tfloat Ess = brdf.x + brdf.y;\n\tfloat Ems = 1.0 - Ess;\n\tvec3 Favg = specularColor + ( 1.0 - specularColor ) * 0.047619;\tvec3 Fms = FssEss * Favg / ( 1.0 - Ems * Favg );\n\tsingleScatter += FssEss;\n\tmultiScatter += Fms * Ems;\n}\nfloat G_BlinnPhong_Implicit( ) {\n\treturn 0.25;\n}\nfloat D_BlinnPhong( const in float shininess, const in float dotNH ) {\n\treturn RECIPROCAL_PI * ( shininess * 0.5 + 1.0 ) * pow( dotNH, shininess );\n}\nvec3 BRDF_Specular_BlinnPhong( const in IncidentLight incidentLight, const in GeometricContext geometry, const in vec3 specularColor, const in float shininess ) {\n\tvec3 halfDir = normalize( incidentLight.direction + geometry.viewDir );\n\tfloat dotNH = saturate( dot( geometry.normal, halfDir ) );\n\tfloat dotLH = saturate( dot( incidentLight.direction, halfDir ) );\n\tvec3 F = F_Schlick( specularColor, dotLH );\n\tfloat G = G_BlinnPhong_Implicit( );\n\tfloat D = D_BlinnPhong( shininess, dotNH );\n\treturn F * ( G * D );\n}\nfloat GGXRoughnessToBlinnExponent( const in float ggxRoughness ) {\n\treturn ( 2.0 / pow2( ggxRoughness + 0.0001 ) - 2.0 );\n}\nfloat BlinnExponentToGGXRoughness( const in float blinnExponent ) {\n\treturn sqrt( 2.0 / ( blinnExponent + 2.0 ) );\n}\n#if defined( USE_SHEEN )\nfloat D_Charlie(float roughness, float NoH) {\n\tfloat invAlpha = 1.0 / roughness;\n\tfloat cos2h = NoH * NoH;\n\tfloat sin2h = max(1.0 - cos2h, 0.0078125);\treturn (2.0 + invAlpha) * pow(sin2h, invAlpha * 0.5) / (2.0 * PI);\n}\nfloat V_Neubelt(float NoV, float NoL) {\n\treturn saturate(1.0 / (4.0 * (NoL + NoV - NoL * NoV)));\n}\nvec3 BRDF_Specular_Sheen( const in float roughness, const in vec3 L, const in GeometricContext geometry, vec3 specularColor ) {\n\tvec3 N = geometry.normal;\n\tvec3 V = geometry.viewDir;\n\tvec3 H = normalize( V + L );\n\tfloat dotNH = saturate( dot( N, H ) );\n\treturn specularColor * D_Charlie( roughness, dotNH ) * V_Neubelt( dot(N, V), dot(N, L) );\n}\n#endif",bumpmap_pars_fragment:"#ifdef USE_BUMPMAP\n\tuniform sampler2D bumpMap;\n\tuniform float bumpScale;\n\tvec2 dHdxy_fwd() {\n\t\tvec2 dSTdx = dFdx( vUv );\n\t\tvec2 dSTdy = dFdy( vUv );\n\t\tfloat Hll = bumpScale * texture2D( bumpMap, vUv ).x;\n\t\tfloat dBx = bumpScale * texture2D( bumpMap, vUv + dSTdx ).x - Hll;\n\t\tfloat dBy = bumpScale * texture2D( bumpMap, vUv + dSTdy ).x - Hll;\n\t\treturn vec2( dBx, dBy );\n\t}\n\tvec3 perturbNormalArb( vec3 surf_pos, vec3 surf_norm, vec2 dHdxy ) {\n\t\tvec3 vSigmaX = vec3( dFdx( surf_pos.x ), dFdx( surf_pos.y ), dFdx( surf_pos.z ) );\n\t\tvec3 vSigmaY = vec3( dFdy( surf_pos.x ), dFdy( surf_pos.y ), dFdy( surf_pos.z ) );\n\t\tvec3 vN = surf_norm;\n\t\tvec3 R1 = cross( vSigmaY, vN );\n\t\tvec3 R2 = cross( vN, vSigmaX );\n\t\tfloat fDet = dot( vSigmaX, R1 );\n\t\tfDet *= ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\tvec3 vGrad = sign( fDet ) * ( dHdxy.x * R1 + dHdxy.y * R2 );\n\t\treturn normalize( abs( fDet ) * surf_norm - vGrad );\n\t}\n#endif",clipping_planes_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvec4 plane;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < UNION_CLIPPING_PLANES; i ++ ) {\n\t\tplane = clippingPlanes[ i ];\n\t\tif ( dot( vClipPosition, plane.xyz ) > plane.w ) discard;\n\t}\n\t#pragma unroll_loop_end\n\t#if UNION_CLIPPING_PLANES < NUM_CLIPPING_PLANES\n\t\tbool clipped = true;\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = UNION_CLIPPING_PLANES; i < NUM_CLIPPING_PLANES; i ++ ) {\n\t\t\tplane = clippingPlanes[ i ];\n\t\t\tclipped = ( dot( vClipPosition, plane.xyz ) > plane.w ) && clipped;\n\t\t}\n\t\t#pragma unroll_loop_end\n\t\tif ( clipped ) discard;\n\t#endif\n#endif",clipping_planes_pars_fragment:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n\tuniform vec4 clippingPlanes[ NUM_CLIPPING_PLANES ];\n#endif",clipping_planes_pars_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvarying vec3 vClipPosition;\n#endif",clipping_planes_vertex:"#if NUM_CLIPPING_PLANES > 0\n\tvClipPosition = - mvPosition.xyz;\n#endif",color_fragment:"#ifdef USE_COLOR\n\tdiffuseColor.rgb *= vColor;\n#endif",color_pars_fragment:"#ifdef USE_COLOR\n\tvarying vec3 vColor;\n#endif",color_pars_vertex:"#if defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvarying vec3 vColor;\n#endif",color_vertex:"#if defined( USE_COLOR ) || defined( USE_INSTANCING_COLOR )\n\tvColor = vec3( 1.0 );\n#endif\n#ifdef USE_COLOR\n\tvColor.xyz *= color.xyz;\n#endif\n#ifdef USE_INSTANCING_COLOR\n\tvColor.xyz *= instanceColor.xyz;\n#endif",common:"#define PI 3.141592653589793\n#define PI2 6.283185307179586\n#define PI_HALF 1.5707963267948966\n#define RECIPROCAL_PI 0.3183098861837907\n#define RECIPROCAL_PI2 0.15915494309189535\n#define EPSILON 1e-6\n#ifndef saturate\n#define saturate(a) clamp( a, 0.0, 1.0 )\n#endif\n#define whiteComplement(a) ( 1.0 - saturate( a ) )\nfloat pow2( const in float x ) { return x*x; }\nfloat pow3( const in float x ) { return x*x*x; }\nfloat pow4( const in float x ) { float x2 = x*x; return x2*x2; }\nfloat average( const in vec3 color ) { return dot( color, vec3( 0.3333 ) ); }\nhighp float rand( const in vec2 uv ) {\n\tconst highp float a = 12.9898, b = 78.233, c = 43758.5453;\n\thighp float dt = dot( uv.xy, vec2( a,b ) ), sn = mod( dt, PI );\n\treturn fract(sin(sn) * c);\n}\n#ifdef HIGH_PRECISION\n\tfloat precisionSafeLength( vec3 v ) { return length( v ); }\n#else\n\tfloat max3( vec3 v ) { return max( max( v.x, v.y ), v.z ); }\n\tfloat precisionSafeLength( vec3 v ) {\n\t\tfloat maxComponent = max3( abs( v ) );\n\t\treturn length( v / maxComponent ) * maxComponent;\n\t}\n#endif\nstruct IncidentLight {\n\tvec3 color;\n\tvec3 direction;\n\tbool visible;\n};\nstruct ReflectedLight {\n\tvec3 directDiffuse;\n\tvec3 directSpecular;\n\tvec3 indirectDiffuse;\n\tvec3 indirectSpecular;\n};\nstruct GeometricContext {\n\tvec3 position;\n\tvec3 normal;\n\tvec3 viewDir;\n#ifdef CLEARCOAT\n\tvec3 clearcoatNormal;\n#endif\n};\nvec3 transformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( matrix * vec4( dir, 0.0 ) ).xyz );\n}\nvec3 inverseTransformDirection( in vec3 dir, in mat4 matrix ) {\n\treturn normalize( ( vec4( dir, 0.0 ) * matrix ).xyz );\n}\nvec3 projectOnPlane(in vec3 point, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\tfloat distance = dot( planeNormal, point - pointOnPlane );\n\treturn - distance * planeNormal + point;\n}\nfloat sideOfPlane( in vec3 point, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\treturn sign( dot( point - pointOnPlane, planeNormal ) );\n}\nvec3 linePlaneIntersect( in vec3 pointOnLine, in vec3 lineDirection, in vec3 pointOnPlane, in vec3 planeNormal ) {\n\treturn lineDirection * ( dot( planeNormal, pointOnPlane - pointOnLine ) / dot( planeNormal, lineDirection ) ) + pointOnLine;\n}\nmat3 transposeMat3( const in mat3 m ) {\n\tmat3 tmp;\n\ttmp[ 0 ] = vec3( m[ 0 ].x, m[ 1 ].x, m[ 2 ].x );\n\ttmp[ 1 ] = vec3( m[ 0 ].y, m[ 1 ].y, m[ 2 ].y );\n\ttmp[ 2 ] = vec3( m[ 0 ].z, m[ 1 ].z, m[ 2 ].z );\n\treturn tmp;\n}\nfloat linearToRelativeLuminance( const in vec3 color ) {\n\tvec3 weights = vec3( 0.2126, 0.7152, 0.0722 );\n\treturn dot( weights, color.rgb );\n}\nbool isPerspectiveMatrix( mat4 m ) {\n\treturn m[ 2 ][ 3 ] == - 1.0;\n}\nvec2 equirectUv( in vec3 dir ) {\n\tfloat u = atan( dir.z, dir.x ) * RECIPROCAL_PI2 + 0.5;\n\tfloat v = asin( clamp( dir.y, - 1.0, 1.0 ) ) * RECIPROCAL_PI + 0.5;\n\treturn vec2( u, v );\n}",cube_uv_reflection_fragment:"#ifdef ENVMAP_TYPE_CUBE_UV\n\t#define cubeUV_maxMipLevel 8.0\n\t#define cubeUV_minMipLevel 4.0\n\t#define cubeUV_maxTileSize 256.0\n\t#define cubeUV_minTileSize 16.0\n\tfloat getFace( vec3 direction ) {\n\t\tvec3 absDirection = abs( direction );\n\t\tfloat face = - 1.0;\n\t\tif ( absDirection.x > absDirection.z ) {\n\t\t\tif ( absDirection.x > absDirection.y )\n\t\t\t\tface = direction.x > 0.0 ? 0.0 : 3.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t} else {\n\t\t\tif ( absDirection.z > absDirection.y )\n\t\t\t\tface = direction.z > 0.0 ? 2.0 : 5.0;\n\t\t\telse\n\t\t\t\tface = direction.y > 0.0 ? 1.0 : 4.0;\n\t\t}\n\t\treturn face;\n\t}\n\tvec2 getUV( vec3 direction, float face ) {\n\t\tvec2 uv;\n\t\tif ( face == 0.0 ) {\n\t\t\tuv = vec2( direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 1.0 ) {\n\t\t\tuv = vec2( - direction.x, - direction.z ) / abs( direction.y );\n\t\t} else if ( face == 2.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.y ) / abs( direction.z );\n\t\t} else if ( face == 3.0 ) {\n\t\t\tuv = vec2( - direction.z, direction.y ) / abs( direction.x );\n\t\t} else if ( face == 4.0 ) {\n\t\t\tuv = vec2( - direction.x, direction.z ) / abs( direction.y );\n\t\t} else {\n\t\t\tuv = vec2( direction.x, direction.y ) / abs( direction.z );\n\t\t}\n\t\treturn 0.5 * ( uv + 1.0 );\n\t}\n\tvec3 bilinearCubeUV( sampler2D envMap, vec3 direction, float mipInt ) {\n\t\tfloat face = getFace( direction );\n\t\tfloat filterInt = max( cubeUV_minMipLevel - mipInt, 0.0 );\n\t\tmipInt = max( mipInt, cubeUV_minMipLevel );\n\t\tfloat faceSize = exp2( mipInt );\n\t\tfloat texelSize = 1.0 / ( 3.0 * cubeUV_maxTileSize );\n\t\tvec2 uv = getUV( direction, face ) * ( faceSize - 1.0 );\n\t\tvec2 f = fract( uv );\n\t\tuv += 0.5 - f;\n\t\tif ( face > 2.0 ) {\n\t\t\tuv.y += faceSize;\n\t\t\tface -= 3.0;\n\t\t}\n\t\tuv.x += face * faceSize;\n\t\tif ( mipInt < cubeUV_maxMipLevel ) {\n\t\t\tuv.y += 2.0 * cubeUV_maxTileSize;\n\t\t}\n\t\tuv.y += filterInt * 2.0 * cubeUV_minTileSize;\n\t\tuv.x += 3.0 * max( 0.0, cubeUV_maxTileSize - 2.0 * faceSize );\n\t\tuv *= texelSize;\n\t\tvec3 tl = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.x += texelSize;\n\t\tvec3 tr = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.y += texelSize;\n\t\tvec3 br = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tuv.x -= texelSize;\n\t\tvec3 bl = envMapTexelToLinear( texture2D( envMap, uv ) ).rgb;\n\t\tvec3 tm = mix( tl, tr, f.x );\n\t\tvec3 bm = mix( bl, br, f.x );\n\t\treturn mix( tm, bm, f.y );\n\t}\n\t#define r0 1.0\n\t#define v0 0.339\n\t#define m0 - 2.0\n\t#define r1 0.8\n\t#define v1 0.276\n\t#define m1 - 1.0\n\t#define r4 0.4\n\t#define v4 0.046\n\t#define m4 2.0\n\t#define r5 0.305\n\t#define v5 0.016\n\t#define m5 3.0\n\t#define r6 0.21\n\t#define v6 0.0038\n\t#define m6 4.0\n\tfloat roughnessToMip( float roughness ) {\n\t\tfloat mip = 0.0;\n\t\tif ( roughness >= r1 ) {\n\t\t\tmip = ( r0 - roughness ) * ( m1 - m0 ) / ( r0 - r1 ) + m0;\n\t\t} else if ( roughness >= r4 ) {\n\t\t\tmip = ( r1 - roughness ) * ( m4 - m1 ) / ( r1 - r4 ) + m1;\n\t\t} else if ( roughness >= r5 ) {\n\t\t\tmip = ( r4 - roughness ) * ( m5 - m4 ) / ( r4 - r5 ) + m4;\n\t\t} else if ( roughness >= r6 ) {\n\t\t\tmip = ( r5 - roughness ) * ( m6 - m5 ) / ( r5 - r6 ) + m5;\n\t\t} else {\n\t\t\tmip = - 2.0 * log2( 1.16 * roughness );\t\t}\n\t\treturn mip;\n\t}\n\tvec4 textureCubeUV( sampler2D envMap, vec3 sampleDir, float roughness ) {\n\t\tfloat mip = clamp( roughnessToMip( roughness ), m0, cubeUV_maxMipLevel );\n\t\tfloat mipF = fract( mip );\n\t\tfloat mipInt = floor( mip );\n\t\tvec3 color0 = bilinearCubeUV( envMap, sampleDir, mipInt );\n\t\tif ( mipF == 0.0 ) {\n\t\t\treturn vec4( color0, 1.0 );\n\t\t} else {\n\t\t\tvec3 color1 = bilinearCubeUV( envMap, sampleDir, mipInt + 1.0 );\n\t\t\treturn vec4( mix( color0, color1, mipF ), 1.0 );\n\t\t}\n\t}\n#endif",defaultnormal_vertex:"vec3 transformedNormal = objectNormal;\n#ifdef USE_INSTANCING\n\tmat3 m = mat3( instanceMatrix );\n\ttransformedNormal /= vec3( dot( m[ 0 ], m[ 0 ] ), dot( m[ 1 ], m[ 1 ] ), dot( m[ 2 ], m[ 2 ] ) );\n\ttransformedNormal = m * transformedNormal;\n#endif\ntransformedNormal = normalMatrix * transformedNormal;\n#ifdef FLIP_SIDED\n\ttransformedNormal = - transformedNormal;\n#endif\n#ifdef USE_TANGENT\n\tvec3 transformedTangent = ( modelViewMatrix * vec4( objectTangent, 0.0 ) ).xyz;\n\t#ifdef FLIP_SIDED\n\t\ttransformedTangent = - transformedTangent;\n\t#endif\n#endif",displacementmap_pars_vertex:"#ifdef USE_DISPLACEMENTMAP\n\tuniform sampler2D displacementMap;\n\tuniform float displacementScale;\n\tuniform float displacementBias;\n#endif",displacementmap_vertex:"#ifdef USE_DISPLACEMENTMAP\n\ttransformed += normalize( objectNormal ) * ( texture2D( displacementMap, vUv ).x * displacementScale + displacementBias );\n#endif",emissivemap_fragment:"#ifdef USE_EMISSIVEMAP\n\tvec4 emissiveColor = texture2D( emissiveMap, vUv );\n\temissiveColor.rgb = emissiveMapTexelToLinear( emissiveColor ).rgb;\n\ttotalEmissiveRadiance *= emissiveColor.rgb;\n#endif",emissivemap_pars_fragment:"#ifdef USE_EMISSIVEMAP\n\tuniform sampler2D emissiveMap;\n#endif",encodings_fragment:"gl_FragColor = linearToOutputTexel( gl_FragColor );",encodings_pars_fragment:"\nvec4 LinearToLinear( in vec4 value ) {\n\treturn value;\n}\nvec4 GammaToLinear( in vec4 value, in float gammaFactor ) {\n\treturn vec4( pow( value.rgb, vec3( gammaFactor ) ), value.a );\n}\nvec4 LinearToGamma( in vec4 value, in float gammaFactor ) {\n\treturn vec4( pow( value.rgb, vec3( 1.0 / gammaFactor ) ), value.a );\n}\nvec4 sRGBToLinear( in vec4 value ) {\n\treturn vec4( mix( pow( value.rgb * 0.9478672986 + vec3( 0.0521327014 ), vec3( 2.4 ) ), value.rgb * 0.0773993808, vec3( lessThanEqual( value.rgb, vec3( 0.04045 ) ) ) ), value.a );\n}\nvec4 LinearTosRGB( in vec4 value ) {\n\treturn vec4( mix( pow( value.rgb, vec3( 0.41666 ) ) * 1.055 - vec3( 0.055 ), value.rgb * 12.92, vec3( lessThanEqual( value.rgb, vec3( 0.0031308 ) ) ) ), value.a );\n}\nvec4 RGBEToLinear( in vec4 value ) {\n\treturn vec4( value.rgb * exp2( value.a * 255.0 - 128.0 ), 1.0 );\n}\nvec4 LinearToRGBE( in vec4 value ) {\n\tfloat maxComponent = max( max( value.r, value.g ), value.b );\n\tfloat fExp = clamp( ceil( log2( maxComponent ) ), -128.0, 127.0 );\n\treturn vec4( value.rgb / exp2( fExp ), ( fExp + 128.0 ) / 255.0 );\n}\nvec4 RGBMToLinear( in vec4 value, in float maxRange ) {\n\treturn vec4( value.rgb * value.a * maxRange, 1.0 );\n}\nvec4 LinearToRGBM( in vec4 value, in float maxRange ) {\n\tfloat maxRGB = max( value.r, max( value.g, value.b ) );\n\tfloat M = clamp( maxRGB / maxRange, 0.0, 1.0 );\n\tM = ceil( M * 255.0 ) / 255.0;\n\treturn vec4( value.rgb / ( M * maxRange ), M );\n}\nvec4 RGBDToLinear( in vec4 value, in float maxRange ) {\n\treturn vec4( value.rgb * ( ( maxRange / 255.0 ) / value.a ), 1.0 );\n}\nvec4 LinearToRGBD( in vec4 value, in float maxRange ) {\n\tfloat maxRGB = max( value.r, max( value.g, value.b ) );\n\tfloat D = max( maxRange / maxRGB, 1.0 );\n\tD = clamp( floor( D ) / 255.0, 0.0, 1.0 );\n\treturn vec4( value.rgb * ( D * ( 255.0 / maxRange ) ), D );\n}\nconst mat3 cLogLuvM = mat3( 0.2209, 0.3390, 0.4184, 0.1138, 0.6780, 0.7319, 0.0102, 0.1130, 0.2969 );\nvec4 LinearToLogLuv( in vec4 value ) {\n\tvec3 Xp_Y_XYZp = cLogLuvM * value.rgb;\n\tXp_Y_XYZp = max( Xp_Y_XYZp, vec3( 1e-6, 1e-6, 1e-6 ) );\n\tvec4 vResult;\n\tvResult.xy = Xp_Y_XYZp.xy / Xp_Y_XYZp.z;\n\tfloat Le = 2.0 * log2(Xp_Y_XYZp.y) + 127.0;\n\tvResult.w = fract( Le );\n\tvResult.z = ( Le - ( floor( vResult.w * 255.0 ) ) / 255.0 ) / 255.0;\n\treturn vResult;\n}\nconst mat3 cLogLuvInverseM = mat3( 6.0014, -2.7008, -1.7996, -1.3320, 3.1029, -5.7721, 0.3008, -1.0882, 5.6268 );\nvec4 LogLuvToLinear( in vec4 value ) {\n\tfloat Le = value.z * 255.0 + value.w;\n\tvec3 Xp_Y_XYZp;\n\tXp_Y_XYZp.y = exp2( ( Le - 127.0 ) / 2.0 );\n\tXp_Y_XYZp.z = Xp_Y_XYZp.y / value.y;\n\tXp_Y_XYZp.x = value.x * Xp_Y_XYZp.z;\n\tvec3 vRGB = cLogLuvInverseM * Xp_Y_XYZp.rgb;\n\treturn vec4( max( vRGB, 0.0 ), 1.0 );\n}",envmap_fragment:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvec3 cameraToFrag;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToFrag = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToFrag = normalize( vWorldPosition - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( normal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvec3 reflectVec = reflect( cameraToFrag, worldNormal );\n\t\t#else\n\t\t\tvec3 reflectVec = refract( cameraToFrag, worldNormal, refractionRatio );\n\t\t#endif\n\t#else\n\t\tvec3 reflectVec = vReflect;\n\t#endif\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tvec4 envColor = textureCube( envMap, vec3( flipEnvMap * reflectVec.x, reflectVec.yz ) );\n\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\tvec4 envColor = textureCubeUV( envMap, reflectVec, 0.0 );\n\t#else\n\t\tvec4 envColor = vec4( 0.0 );\n\t#endif\n\t#ifndef ENVMAP_TYPE_CUBE_UV\n\t\tenvColor = envMapTexelToLinear( envColor );\n\t#endif\n\t#ifdef ENVMAP_BLENDING_MULTIPLY\n\t\toutgoingLight = mix( outgoingLight, outgoingLight * envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_MIX )\n\t\toutgoingLight = mix( outgoingLight, envColor.xyz, specularStrength * reflectivity );\n\t#elif defined( ENVMAP_BLENDING_ADD )\n\t\toutgoingLight += envColor.xyz * specularStrength * reflectivity;\n\t#endif\n#endif",envmap_common_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float envMapIntensity;\n\tuniform float flipEnvMap;\n\tuniform int maxMipLevel;\n\t#ifdef ENVMAP_TYPE_CUBE\n\t\tuniform samplerCube envMap;\n\t#else\n\t\tuniform sampler2D envMap;\n\t#endif\n\t\n#endif",envmap_pars_fragment:"#ifdef USE_ENVMAP\n\tuniform float reflectivity;\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) || defined( PHONG )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\tvarying vec3 vWorldPosition;\n\t\tuniform float refractionRatio;\n\t#else\n\t\tvarying vec3 vReflect;\n\t#endif\n#endif",envmap_pars_vertex:"#ifdef USE_ENVMAP\n\t#if defined( USE_BUMPMAP ) || defined( USE_NORMALMAP ) ||defined( PHONG )\n\t\t#define ENV_WORLDPOS\n\t#endif\n\t#ifdef ENV_WORLDPOS\n\t\t\n\t\tvarying vec3 vWorldPosition;\n\t#else\n\t\tvarying vec3 vReflect;\n\t\tuniform float refractionRatio;\n\t#endif\n#endif",envmap_physical_pars_fragment:"#if defined( USE_ENVMAP )\n\t#ifdef ENVMAP_MODE_REFRACTION\n\t\tuniform float refractionRatio;\n\t#endif\n\tvec3 getLightProbeIndirectIrradiance( const in GeometricContext geometry, const in int maxMIPLevel ) {\n\t\tvec3 worldNormal = inverseTransformDirection( geometry.normal, viewMatrix );\n\t\t#ifdef ENVMAP_TYPE_CUBE\n\t\t\tvec3 queryVec = vec3( flipEnvMap * worldNormal.x, worldNormal.yz );\n\t\t\t#ifdef TEXTURE_LOD_EXT\n\t\t\t\tvec4 envMapColor = textureCubeLodEXT( envMap, queryVec, float( maxMIPLevel ) );\n\t\t\t#else\n\t\t\t\tvec4 envMapColor = textureCube( envMap, queryVec, float( maxMIPLevel ) );\n\t\t\t#endif\n\t\t\tenvMapColor.rgb = envMapTexelToLinear( envMapColor ).rgb;\n\t\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, worldNormal, 1.0 );\n\t\t#else\n\t\t\tvec4 envMapColor = vec4( 0.0 );\n\t\t#endif\n\t\treturn PI * envMapColor.rgb * envMapIntensity;\n\t}\n\tfloat getSpecularMIPLevel( const in float roughness, const in int maxMIPLevel ) {\n\t\tfloat maxMIPLevelScalar = float( maxMIPLevel );\n\t\tfloat sigma = PI * roughness * roughness / ( 1.0 + roughness );\n\t\tfloat desiredMIPLevel = maxMIPLevelScalar + log2( sigma );\n\t\treturn clamp( desiredMIPLevel, 0.0, maxMIPLevelScalar );\n\t}\n\tvec3 getLightProbeIndirectRadiance( const in vec3 viewDir, const in vec3 normal, const in float roughness, const in int maxMIPLevel ) {\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvec3 reflectVec = reflect( -viewDir, normal );\n\t\t\treflectVec = normalize( mix( reflectVec, normal, roughness * roughness) );\n\t\t#else\n\t\t\tvec3 reflectVec = refract( -viewDir, normal, refractionRatio );\n\t\t#endif\n\t\treflectVec = inverseTransformDirection( reflectVec, viewMatrix );\n\t\tfloat specularMIPLevel = getSpecularMIPLevel( roughness, maxMIPLevel );\n\t\t#ifdef ENVMAP_TYPE_CUBE\n\t\t\tvec3 queryReflectVec = vec3( flipEnvMap * reflectVec.x, reflectVec.yz );\n\t\t\t#ifdef TEXTURE_LOD_EXT\n\t\t\t\tvec4 envMapColor = textureCubeLodEXT( envMap, queryReflectVec, specularMIPLevel );\n\t\t\t#else\n\t\t\t\tvec4 envMapColor = textureCube( envMap, queryReflectVec, specularMIPLevel );\n\t\t\t#endif\n\t\t\tenvMapColor.rgb = envMapTexelToLinear( envMapColor ).rgb;\n\t\t#elif defined( ENVMAP_TYPE_CUBE_UV )\n\t\t\tvec4 envMapColor = textureCubeUV( envMap, reflectVec, roughness );\n\t\t#endif\n\t\treturn envMapColor.rgb * envMapIntensity;\n\t}\n#endif",envmap_vertex:"#ifdef USE_ENVMAP\n\t#ifdef ENV_WORLDPOS\n\t\tvWorldPosition = worldPosition.xyz;\n\t#else\n\t\tvec3 cameraToVertex;\n\t\tif ( isOrthographic ) {\n\t\t\tcameraToVertex = normalize( vec3( - viewMatrix[ 0 ][ 2 ], - viewMatrix[ 1 ][ 2 ], - viewMatrix[ 2 ][ 2 ] ) );\n\t\t} else {\n\t\t\tcameraToVertex = normalize( worldPosition.xyz - cameraPosition );\n\t\t}\n\t\tvec3 worldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\t\t#ifdef ENVMAP_MODE_REFLECTION\n\t\t\tvReflect = reflect( cameraToVertex, worldNormal );\n\t\t#else\n\t\t\tvReflect = refract( cameraToVertex, worldNormal, refractionRatio );\n\t\t#endif\n\t#endif\n#endif",fog_vertex:"#ifdef USE_FOG\n\tfogDepth = - mvPosition.z;\n#endif",fog_pars_vertex:"#ifdef USE_FOG\n\tvarying float fogDepth;\n#endif",fog_fragment:"#ifdef USE_FOG\n\t#ifdef FOG_EXP2\n\t\tfloat fogFactor = 1.0 - exp( - fogDensity * fogDensity * fogDepth * fogDepth );\n\t#else\n\t\tfloat fogFactor = smoothstep( fogNear, fogFar, fogDepth );\n\t#endif\n\tgl_FragColor.rgb = mix( gl_FragColor.rgb, fogColor, fogFactor );\n#endif",fog_pars_fragment:"#ifdef USE_FOG\n\tuniform vec3 fogColor;\n\tvarying float fogDepth;\n\t#ifdef FOG_EXP2\n\t\tuniform float fogDensity;\n\t#else\n\t\tuniform float fogNear;\n\t\tuniform float fogFar;\n\t#endif\n#endif",gradientmap_pars_fragment:"#ifdef USE_GRADIENTMAP\n\tuniform sampler2D gradientMap;\n#endif\nvec3 getGradientIrradiance( vec3 normal, vec3 lightDirection ) {\n\tfloat dotNL = dot( normal, lightDirection );\n\tvec2 coord = vec2( dotNL * 0.5 + 0.5, 0.0 );\n\t#ifdef USE_GRADIENTMAP\n\t\treturn texture2D( gradientMap, coord ).rgb;\n\t#else\n\t\treturn ( coord.x < 0.7 ) ? vec3( 0.7 ) : vec3( 1.0 );\n\t#endif\n}",lightmap_fragment:"#ifdef USE_LIGHTMAP\n\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\treflectedLight.indirectDiffuse += PI * lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n#endif",lightmap_pars_fragment:"#ifdef USE_LIGHTMAP\n\tuniform sampler2D lightMap;\n\tuniform float lightMapIntensity;\n#endif",lights_lambert_vertex:"vec3 diffuse = vec3( 1.0 );\nGeometricContext geometry;\ngeometry.position = mvPosition.xyz;\ngeometry.normal = normalize( transformedNormal );\ngeometry.viewDir = ( isOrthographic ) ? vec3( 0, 0, 1 ) : normalize( -mvPosition.xyz );\nGeometricContext backGeometry;\nbackGeometry.position = geometry.position;\nbackGeometry.normal = -geometry.normal;\nbackGeometry.viewDir = geometry.viewDir;\nvLightFront = vec3( 0.0 );\nvIndirectFront = vec3( 0.0 );\n#ifdef DOUBLE_SIDED\n\tvLightBack = vec3( 0.0 );\n\tvIndirectBack = vec3( 0.0 );\n#endif\nIncidentLight directLight;\nfloat dotNL;\nvec3 directLightColor_Diffuse;\nvIndirectFront += getAmbientLightIrradiance( ambientLightColor );\nvIndirectFront += getLightProbeIrradiance( lightProbe, geometry );\n#ifdef DOUBLE_SIDED\n\tvIndirectBack += getAmbientLightIrradiance( ambientLightColor );\n\tvIndirectBack += getLightProbeIrradiance( lightProbe, backGeometry );\n#endif\n#if NUM_POINT_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHTS; i ++ ) {\n\t\tgetPointDirectLightIrradiance( pointLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_SPOT_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHTS; i ++ ) {\n\t\tgetSpotDirectLightIrradiance( spotLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_DIR_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHTS; i ++ ) {\n\t\tgetDirectionalDirectLightIrradiance( directionalLights[ i ], geometry, directLight );\n\t\tdotNL = dot( geometry.normal, directLight.direction );\n\t\tdirectLightColor_Diffuse = PI * directLight.color;\n\t\tvLightFront += saturate( dotNL ) * directLightColor_Diffuse;\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvLightBack += saturate( -dotNL ) * directLightColor_Diffuse;\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if NUM_HEMI_LIGHTS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_HEMI_LIGHTS; i ++ ) {\n\t\tvIndirectFront += getHemisphereLightIrradiance( hemisphereLights[ i ], geometry );\n\t\t#ifdef DOUBLE_SIDED\n\t\t\tvIndirectBack += getHemisphereLightIrradiance( hemisphereLights[ i ], backGeometry );\n\t\t#endif\n\t}\n\t#pragma unroll_loop_end\n#endif",lights_pars_begin:"uniform bool receiveShadow;\nuniform vec3 ambientLightColor;\nuniform vec3 lightProbe[ 9 ];\nvec3 shGetIrradianceAt( in vec3 normal, in vec3 shCoefficients[ 9 ] ) {\n\tfloat x = normal.x, y = normal.y, z = normal.z;\n\tvec3 result = shCoefficients[ 0 ] * 0.886227;\n\tresult += shCoefficients[ 1 ] * 2.0 * 0.511664 * y;\n\tresult += shCoefficients[ 2 ] * 2.0 * 0.511664 * z;\n\tresult += shCoefficients[ 3 ] * 2.0 * 0.511664 * x;\n\tresult += shCoefficients[ 4 ] * 2.0 * 0.429043 * x * y;\n\tresult += shCoefficients[ 5 ] * 2.0 * 0.429043 * y * z;\n\tresult += shCoefficients[ 6 ] * ( 0.743125 * z * z - 0.247708 );\n\tresult += shCoefficients[ 7 ] * 2.0 * 0.429043 * x * z;\n\tresult += shCoefficients[ 8 ] * 0.429043 * ( x * x - y * y );\n\treturn result;\n}\nvec3 getLightProbeIrradiance( const in vec3 lightProbe[ 9 ], const in GeometricContext geometry ) {\n\tvec3 worldNormal = inverseTransformDirection( geometry.normal, viewMatrix );\n\tvec3 irradiance = shGetIrradianceAt( worldNormal, lightProbe );\n\treturn irradiance;\n}\nvec3 getAmbientLightIrradiance( const in vec3 ambientLightColor ) {\n\tvec3 irradiance = ambientLightColor;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treturn irradiance;\n}\n#if NUM_DIR_LIGHTS > 0\n\tstruct DirectionalLight {\n\t\tvec3 direction;\n\t\tvec3 color;\n\t};\n\tuniform DirectionalLight directionalLights[ NUM_DIR_LIGHTS ];\n\tvoid getDirectionalDirectLightIrradiance( const in DirectionalLight directionalLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tdirectLight.color = directionalLight.color;\n\t\tdirectLight.direction = directionalLight.direction;\n\t\tdirectLight.visible = true;\n\t}\n#endif\n#if NUM_POINT_LIGHTS > 0\n\tstruct PointLight {\n\t\tvec3 position;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t};\n\tuniform PointLight pointLights[ NUM_POINT_LIGHTS ];\n\tvoid getPointDirectLightIrradiance( const in PointLight pointLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tvec3 lVector = pointLight.position - geometry.position;\n\t\tdirectLight.direction = normalize( lVector );\n\t\tfloat lightDistance = length( lVector );\n\t\tdirectLight.color = pointLight.color;\n\t\tdirectLight.color *= punctualLightIntensityToIrradianceFactor( lightDistance, pointLight.distance, pointLight.decay );\n\t\tdirectLight.visible = ( directLight.color != vec3( 0.0 ) );\n\t}\n#endif\n#if NUM_SPOT_LIGHTS > 0\n\tstruct SpotLight {\n\t\tvec3 position;\n\t\tvec3 direction;\n\t\tvec3 color;\n\t\tfloat distance;\n\t\tfloat decay;\n\t\tfloat coneCos;\n\t\tfloat penumbraCos;\n\t};\n\tuniform SpotLight spotLights[ NUM_SPOT_LIGHTS ];\n\tvoid getSpotDirectLightIrradiance( const in SpotLight spotLight, const in GeometricContext geometry, out IncidentLight directLight ) {\n\t\tvec3 lVector = spotLight.position - geometry.position;\n\t\tdirectLight.direction = normalize( lVector );\n\t\tfloat lightDistance = length( lVector );\n\t\tfloat angleCos = dot( directLight.direction, spotLight.direction );\n\t\tif ( angleCos > spotLight.coneCos ) {\n\t\t\tfloat spotEffect = smoothstep( spotLight.coneCos, spotLight.penumbraCos, angleCos );\n\t\t\tdirectLight.color = spotLight.color;\n\t\t\tdirectLight.color *= spotEffect * punctualLightIntensityToIrradianceFactor( lightDistance, spotLight.distance, spotLight.decay );\n\t\t\tdirectLight.visible = true;\n\t\t} else {\n\t\t\tdirectLight.color = vec3( 0.0 );\n\t\t\tdirectLight.visible = false;\n\t\t}\n\t}\n#endif\n#if NUM_RECT_AREA_LIGHTS > 0\n\tstruct RectAreaLight {\n\t\tvec3 color;\n\t\tvec3 position;\n\t\tvec3 halfWidth;\n\t\tvec3 halfHeight;\n\t};\n\tuniform sampler2D ltc_1;\tuniform sampler2D ltc_2;\n\tuniform RectAreaLight rectAreaLights[ NUM_RECT_AREA_LIGHTS ];\n#endif\n#if NUM_HEMI_LIGHTS > 0\n\tstruct HemisphereLight {\n\t\tvec3 direction;\n\t\tvec3 skyColor;\n\t\tvec3 groundColor;\n\t};\n\tuniform HemisphereLight hemisphereLights[ NUM_HEMI_LIGHTS ];\n\tvec3 getHemisphereLightIrradiance( const in HemisphereLight hemiLight, const in GeometricContext geometry ) {\n\t\tfloat dotNL = dot( geometry.normal, hemiLight.direction );\n\t\tfloat hemiDiffuseWeight = 0.5 * dotNL + 0.5;\n\t\tvec3 irradiance = mix( hemiLight.groundColor, hemiLight.skyColor, hemiDiffuseWeight );\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tirradiance *= PI;\n\t\t#endif\n\t\treturn irradiance;\n\t}\n#endif",lights_toon_fragment:"ToonMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;",lights_toon_pars_fragment:"varying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\nstruct ToonMaterial {\n\tvec3 diffuseColor;\n};\nvoid RE_Direct_Toon( const in IncidentLight directLight, const in GeometricContext geometry, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\tvec3 irradiance = getGradientIrradiance( geometry.normal, directLight.direction ) * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treflectedLight.directDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Toon( const in vec3 irradiance, const in GeometricContext geometry, const in ToonMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_Toon\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Toon\n#define Material_LightProbeLOD( material )\t(0)",lights_phong_fragment:"BlinnPhongMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb;\nmaterial.specularColor = specular;\nmaterial.specularShininess = shininess;\nmaterial.specularStrength = specularStrength;",lights_phong_pars_fragment:"varying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\nstruct BlinnPhongMaterial {\n\tvec3 diffuseColor;\n\tvec3 specularColor;\n\tfloat specularShininess;\n\tfloat specularStrength;\n};\nvoid RE_Direct_BlinnPhong( const in IncidentLight directLight, const in GeometricContext geometry, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometry.normal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\treflectedLight.directDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n\treflectedLight.directSpecular += irradiance * BRDF_Specular_BlinnPhong( directLight, geometry, material.specularColor, material.specularShininess ) * material.specularStrength;\n}\nvoid RE_IndirectDiffuse_BlinnPhong( const in vec3 irradiance, const in GeometricContext geometry, const in BlinnPhongMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\n#define RE_Direct\t\t\t\tRE_Direct_BlinnPhong\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_BlinnPhong\n#define Material_LightProbeLOD( material )\t(0)",lights_physical_fragment:"PhysicalMaterial material;\nmaterial.diffuseColor = diffuseColor.rgb * ( 1.0 - metalnessFactor );\nvec3 dxy = max( abs( dFdx( geometryNormal ) ), abs( dFdy( geometryNormal ) ) );\nfloat geometryRoughness = max( max( dxy.x, dxy.y ), dxy.z );\nmaterial.specularRoughness = max( roughnessFactor, 0.0525 );material.specularRoughness += geometryRoughness;\nmaterial.specularRoughness = min( material.specularRoughness, 1.0 );\n#ifdef REFLECTIVITY\n\tmaterial.specularColor = mix( vec3( MAXIMUM_SPECULAR_COEFFICIENT * pow2( reflectivity ) ), diffuseColor.rgb, metalnessFactor );\n#else\n\tmaterial.specularColor = mix( vec3( DEFAULT_SPECULAR_COEFFICIENT ), diffuseColor.rgb, metalnessFactor );\n#endif\n#ifdef CLEARCOAT\n\tmaterial.clearcoat = clearcoat;\n\tmaterial.clearcoatRoughness = clearcoatRoughness;\n\t#ifdef USE_CLEARCOATMAP\n\t\tmaterial.clearcoat *= texture2D( clearcoatMap, vUv ).x;\n\t#endif\n\t#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\t\tmaterial.clearcoatRoughness *= texture2D( clearcoatRoughnessMap, vUv ).y;\n\t#endif\n\tmaterial.clearcoat = saturate( material.clearcoat );\tmaterial.clearcoatRoughness = max( material.clearcoatRoughness, 0.0525 );\n\tmaterial.clearcoatRoughness += geometryRoughness;\n\tmaterial.clearcoatRoughness = min( material.clearcoatRoughness, 1.0 );\n#endif\n#ifdef USE_SHEEN\n\tmaterial.sheenColor = sheen;\n#endif",lights_physical_pars_fragment:"struct PhysicalMaterial {\n\tvec3 diffuseColor;\n\tfloat specularRoughness;\n\tvec3 specularColor;\n#ifdef CLEARCOAT\n\tfloat clearcoat;\n\tfloat clearcoatRoughness;\n#endif\n#ifdef USE_SHEEN\n\tvec3 sheenColor;\n#endif\n};\n#define MAXIMUM_SPECULAR_COEFFICIENT 0.16\n#define DEFAULT_SPECULAR_COEFFICIENT 0.04\nfloat clearcoatDHRApprox( const in float roughness, const in float dotNL ) {\n\treturn DEFAULT_SPECULAR_COEFFICIENT + ( 1.0 - DEFAULT_SPECULAR_COEFFICIENT ) * ( pow( 1.0 - dotNL, 5.0 ) * pow( 1.0 - roughness, 2.0 ) );\n}\n#if NUM_RECT_AREA_LIGHTS > 0\n\tvoid RE_Direct_RectArea_Physical( const in RectAreaLight rectAreaLight, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\t\tvec3 normal = geometry.normal;\n\t\tvec3 viewDir = geometry.viewDir;\n\t\tvec3 position = geometry.position;\n\t\tvec3 lightPos = rectAreaLight.position;\n\t\tvec3 halfWidth = rectAreaLight.halfWidth;\n\t\tvec3 halfHeight = rectAreaLight.halfHeight;\n\t\tvec3 lightColor = rectAreaLight.color;\n\t\tfloat roughness = material.specularRoughness;\n\t\tvec3 rectCoords[ 4 ];\n\t\trectCoords[ 0 ] = lightPos + halfWidth - halfHeight;\t\trectCoords[ 1 ] = lightPos - halfWidth - halfHeight;\n\t\trectCoords[ 2 ] = lightPos - halfWidth + halfHeight;\n\t\trectCoords[ 3 ] = lightPos + halfWidth + halfHeight;\n\t\tvec2 uv = LTC_Uv( normal, viewDir, roughness );\n\t\tvec4 t1 = texture2D( ltc_1, uv );\n\t\tvec4 t2 = texture2D( ltc_2, uv );\n\t\tmat3 mInv = mat3(\n\t\t\tvec3( t1.x, 0, t1.y ),\n\t\t\tvec3(    0, 1,    0 ),\n\t\t\tvec3( t1.z, 0, t1.w )\n\t\t);\n\t\tvec3 fresnel = ( material.specularColor * t2.x + ( vec3( 1.0 ) - material.specularColor ) * t2.y );\n\t\treflectedLight.directSpecular += lightColor * fresnel * LTC_Evaluate( normal, viewDir, position, mInv, rectCoords );\n\t\treflectedLight.directDiffuse += lightColor * material.diffuseColor * LTC_Evaluate( normal, viewDir, position, mat3( 1.0 ), rectCoords );\n\t}\n#endif\nvoid RE_Direct_Physical( const in IncidentLight directLight, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\tfloat dotNL = saturate( dot( geometry.normal, directLight.direction ) );\n\tvec3 irradiance = dotNL * directLight.color;\n\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\tirradiance *= PI;\n\t#endif\n\t#ifdef CLEARCOAT\n\t\tfloat ccDotNL = saturate( dot( geometry.clearcoatNormal, directLight.direction ) );\n\t\tvec3 ccIrradiance = ccDotNL * directLight.color;\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tccIrradiance *= PI;\n\t\t#endif\n\t\tfloat clearcoatDHR = material.clearcoat * clearcoatDHRApprox( material.clearcoatRoughness, ccDotNL );\n\t\treflectedLight.directSpecular += ccIrradiance * material.clearcoat * BRDF_Specular_GGX( directLight, geometry.viewDir, geometry.clearcoatNormal, vec3( DEFAULT_SPECULAR_COEFFICIENT ), material.clearcoatRoughness );\n\t#else\n\t\tfloat clearcoatDHR = 0.0;\n\t#endif\n\t#ifdef USE_SHEEN\n\t\treflectedLight.directSpecular += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Specular_Sheen(\n\t\t\tmaterial.specularRoughness,\n\t\t\tdirectLight.direction,\n\t\t\tgeometry,\n\t\t\tmaterial.sheenColor\n\t\t);\n\t#else\n\t\treflectedLight.directSpecular += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Specular_GGX( directLight, geometry.viewDir, geometry.normal, material.specularColor, material.specularRoughness);\n\t#endif\n\treflectedLight.directDiffuse += ( 1.0 - clearcoatDHR ) * irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectDiffuse_Physical( const in vec3 irradiance, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight ) {\n\treflectedLight.indirectDiffuse += irradiance * BRDF_Diffuse_Lambert( material.diffuseColor );\n}\nvoid RE_IndirectSpecular_Physical( const in vec3 radiance, const in vec3 irradiance, const in vec3 clearcoatRadiance, const in GeometricContext geometry, const in PhysicalMaterial material, inout ReflectedLight reflectedLight) {\n\t#ifdef CLEARCOAT\n\t\tfloat ccDotNV = saturate( dot( geometry.clearcoatNormal, geometry.viewDir ) );\n\t\treflectedLight.indirectSpecular += clearcoatRadiance * material.clearcoat * BRDF_Specular_GGX_Environment( geometry.viewDir, geometry.clearcoatNormal, vec3( DEFAULT_SPECULAR_COEFFICIENT ), material.clearcoatRoughness );\n\t\tfloat ccDotNL = ccDotNV;\n\t\tfloat clearcoatDHR = material.clearcoat * clearcoatDHRApprox( material.clearcoatRoughness, ccDotNL );\n\t#else\n\t\tfloat clearcoatDHR = 0.0;\n\t#endif\n\tfloat clearcoatInv = 1.0 - clearcoatDHR;\n\tvec3 singleScattering = vec3( 0.0 );\n\tvec3 multiScattering = vec3( 0.0 );\n\tvec3 cosineWeightedIrradiance = irradiance * RECIPROCAL_PI;\n\tBRDF_Specular_Multiscattering_Environment( geometry, material.specularColor, material.specularRoughness, singleScattering, multiScattering );\n\tvec3 diffuse = material.diffuseColor * ( 1.0 - ( singleScattering + multiScattering ) );\n\treflectedLight.indirectSpecular += clearcoatInv * radiance * singleScattering;\n\treflectedLight.indirectSpecular += multiScattering * cosineWeightedIrradiance;\n\treflectedLight.indirectDiffuse += diffuse * cosineWeightedIrradiance;\n}\n#define RE_Direct\t\t\t\tRE_Direct_Physical\n#define RE_Direct_RectArea\t\tRE_Direct_RectArea_Physical\n#define RE_IndirectDiffuse\t\tRE_IndirectDiffuse_Physical\n#define RE_IndirectSpecular\t\tRE_IndirectSpecular_Physical\nfloat computeSpecularOcclusion( const in float dotNV, const in float ambientOcclusion, const in float roughness ) {\n\treturn saturate( pow( dotNV + ambientOcclusion, exp2( - 16.0 * roughness - 1.0 ) ) - 1.0 + ambientOcclusion );\n}",lights_fragment_begin:"\nGeometricContext geometry;\ngeometry.position = - vViewPosition;\ngeometry.normal = normal;\ngeometry.viewDir = ( isOrthographic ) ? vec3( 0, 0, 1 ) : normalize( vViewPosition );\n#ifdef CLEARCOAT\n\tgeometry.clearcoatNormal = clearcoatNormal;\n#endif\nIncidentLight directLight;\n#if ( NUM_POINT_LIGHTS > 0 ) && defined( RE_Direct )\n\tPointLight pointLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHTS; i ++ ) {\n\t\tpointLight = pointLights[ i ];\n\t\tgetPointDirectLightIrradiance( pointLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_POINT_LIGHT_SHADOWS )\n\t\tpointLightShadow = pointLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getPointShadow( pointShadowMap[ i ], pointLightShadow.shadowMapSize, pointLightShadow.shadowBias, pointLightShadow.shadowRadius, vPointShadowCoord[ i ], pointLightShadow.shadowCameraNear, pointLightShadow.shadowCameraFar ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_SPOT_LIGHTS > 0 ) && defined( RE_Direct )\n\tSpotLight spotLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHTS; i ++ ) {\n\t\tspotLight = spotLights[ i ];\n\t\tgetSpotDirectLightIrradiance( spotLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_SPOT_LIGHT_SHADOWS )\n\t\tspotLightShadow = spotLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getShadow( spotShadowMap[ i ], spotLightShadow.shadowMapSize, spotLightShadow.shadowBias, spotLightShadow.shadowRadius, vSpotShadowCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_DIR_LIGHTS > 0 ) && defined( RE_Direct )\n\tDirectionalLight directionalLight;\n\t#if defined( USE_SHADOWMAP ) && NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLightShadow;\n\t#endif\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHTS; i ++ ) {\n\t\tdirectionalLight = directionalLights[ i ];\n\t\tgetDirectionalDirectLightIrradiance( directionalLight, geometry, directLight );\n\t\t#if defined( USE_SHADOWMAP ) && ( UNROLLED_LOOP_INDEX < NUM_DIR_LIGHT_SHADOWS )\n\t\tdirectionalLightShadow = directionalLightShadows[ i ];\n\t\tdirectLight.color *= all( bvec2( directLight.visible, receiveShadow ) ) ? getShadow( directionalShadowMap[ i ], directionalLightShadow.shadowMapSize, directionalLightShadow.shadowBias, directionalLightShadow.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t\t#endif\n\t\tRE_Direct( directLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if ( NUM_RECT_AREA_LIGHTS > 0 ) && defined( RE_Direct_RectArea )\n\tRectAreaLight rectAreaLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_RECT_AREA_LIGHTS; i ++ ) {\n\t\trectAreaLight = rectAreaLights[ i ];\n\t\tRE_Direct_RectArea( rectAreaLight, geometry, material, reflectedLight );\n\t}\n\t#pragma unroll_loop_end\n#endif\n#if defined( RE_IndirectDiffuse )\n\tvec3 iblIrradiance = vec3( 0.0 );\n\tvec3 irradiance = getAmbientLightIrradiance( ambientLightColor );\n\tirradiance += getLightProbeIrradiance( lightProbe, geometry );\n\t#if ( NUM_HEMI_LIGHTS > 0 )\n\t\t#pragma unroll_loop_start\n\t\tfor ( int i = 0; i < NUM_HEMI_LIGHTS; i ++ ) {\n\t\t\tirradiance += getHemisphereLightIrradiance( hemisphereLights[ i ], geometry );\n\t\t}\n\t\t#pragma unroll_loop_end\n\t#endif\n#endif\n#if defined( RE_IndirectSpecular )\n\tvec3 radiance = vec3( 0.0 );\n\tvec3 clearcoatRadiance = vec3( 0.0 );\n#endif",lights_fragment_maps:"#if defined( RE_IndirectDiffuse )\n\t#ifdef USE_LIGHTMAP\n\t\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\t\tvec3 lightMapIrradiance = lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n\t\t#ifndef PHYSICALLY_CORRECT_LIGHTS\n\t\t\tlightMapIrradiance *= PI;\n\t\t#endif\n\t\tirradiance += lightMapIrradiance;\n\t#endif\n\t#if defined( USE_ENVMAP ) && defined( STANDARD ) && defined( ENVMAP_TYPE_CUBE_UV )\n\t\tiblIrradiance += getLightProbeIndirectIrradiance( geometry, maxMipLevel );\n\t#endif\n#endif\n#if defined( USE_ENVMAP ) && defined( RE_IndirectSpecular )\n\tradiance += getLightProbeIndirectRadiance( geometry.viewDir, geometry.normal, material.specularRoughness, maxMipLevel );\n\t#ifdef CLEARCOAT\n\t\tclearcoatRadiance += getLightProbeIndirectRadiance( geometry.viewDir, geometry.clearcoatNormal, material.clearcoatRoughness, maxMipLevel );\n\t#endif\n#endif",lights_fragment_end:"#if defined( RE_IndirectDiffuse )\n\tRE_IndirectDiffuse( irradiance, geometry, material, reflectedLight );\n#endif\n#if defined( RE_IndirectSpecular )\n\tRE_IndirectSpecular( radiance, iblIrradiance, clearcoatRadiance, geometry, material, reflectedLight );\n#endif",logdepthbuf_fragment:"#if defined( USE_LOGDEPTHBUF ) && defined( USE_LOGDEPTHBUF_EXT )\n\tgl_FragDepthEXT = vIsPerspective == 0.0 ? gl_FragCoord.z : log2( vFragDepth ) * logDepthBufFC * 0.5;\n#endif",logdepthbuf_pars_fragment:"#if defined( USE_LOGDEPTHBUF ) && defined( USE_LOGDEPTHBUF_EXT )\n\tuniform float logDepthBufFC;\n\tvarying float vFragDepth;\n\tvarying float vIsPerspective;\n#endif",logdepthbuf_pars_vertex:"#ifdef USE_LOGDEPTHBUF\n\t#ifdef USE_LOGDEPTHBUF_EXT\n\t\tvarying float vFragDepth;\n\t\tvarying float vIsPerspective;\n\t#else\n\t\tuniform float logDepthBufFC;\n\t#endif\n#endif",logdepthbuf_vertex:"#ifdef USE_LOGDEPTHBUF\n\t#ifdef USE_LOGDEPTHBUF_EXT\n\t\tvFragDepth = 1.0 + gl_Position.w;\n\t\tvIsPerspective = float( isPerspectiveMatrix( projectionMatrix ) );\n\t#else\n\t\tif ( isPerspectiveMatrix( projectionMatrix ) ) {\n\t\t\tgl_Position.z = log2( max( EPSILON, gl_Position.w + 1.0 ) ) * logDepthBufFC - 1.0;\n\t\t\tgl_Position.z *= gl_Position.w;\n\t\t}\n\t#endif\n#endif",map_fragment:"#ifdef USE_MAP\n\tvec4 texelColor = texture2D( map, vUv );\n\ttexelColor = mapTexelToLinear( texelColor );\n\tdiffuseColor *= texelColor;\n#endif",map_pars_fragment:"#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif",map_particle_fragment:"#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\tvec2 uv = ( uvTransform * vec3( gl_PointCoord.x, 1.0 - gl_PointCoord.y, 1 ) ).xy;\n#endif\n#ifdef USE_MAP\n\tvec4 mapTexel = texture2D( map, uv );\n\tdiffuseColor *= mapTexelToLinear( mapTexel );\n#endif\n#ifdef USE_ALPHAMAP\n\tdiffuseColor.a *= texture2D( alphaMap, uv ).g;\n#endif",map_particle_pars_fragment:"#if defined( USE_MAP ) || defined( USE_ALPHAMAP )\n\tuniform mat3 uvTransform;\n#endif\n#ifdef USE_MAP\n\tuniform sampler2D map;\n#endif\n#ifdef USE_ALPHAMAP\n\tuniform sampler2D alphaMap;\n#endif",metalnessmap_fragment:"float metalnessFactor = metalness;\n#ifdef USE_METALNESSMAP\n\tvec4 texelMetalness = texture2D( metalnessMap, vUv );\n\tmetalnessFactor *= texelMetalness.b;\n#endif",metalnessmap_pars_fragment:"#ifdef USE_METALNESSMAP\n\tuniform sampler2D metalnessMap;\n#endif",morphnormal_vertex:"#ifdef USE_MORPHNORMALS\n\tobjectNormal *= morphTargetBaseInfluence;\n\tobjectNormal += morphNormal0 * morphTargetInfluences[ 0 ];\n\tobjectNormal += morphNormal1 * morphTargetInfluences[ 1 ];\n\tobjectNormal += morphNormal2 * morphTargetInfluences[ 2 ];\n\tobjectNormal += morphNormal3 * morphTargetInfluences[ 3 ];\n#endif",morphtarget_pars_vertex:"#ifdef USE_MORPHTARGETS\n\tuniform float morphTargetBaseInfluence;\n\t#ifndef USE_MORPHNORMALS\n\t\tuniform float morphTargetInfluences[ 8 ];\n\t#else\n\t\tuniform float morphTargetInfluences[ 4 ];\n\t#endif\n#endif",morphtarget_vertex:"#ifdef USE_MORPHTARGETS\n\ttransformed *= morphTargetBaseInfluence;\n\ttransformed += morphTarget0 * morphTargetInfluences[ 0 ];\n\ttransformed += morphTarget1 * morphTargetInfluences[ 1 ];\n\ttransformed += morphTarget2 * morphTargetInfluences[ 2 ];\n\ttransformed += morphTarget3 * morphTargetInfluences[ 3 ];\n\t#ifndef USE_MORPHNORMALS\n\t\ttransformed += morphTarget4 * morphTargetInfluences[ 4 ];\n\t\ttransformed += morphTarget5 * morphTargetInfluences[ 5 ];\n\t\ttransformed += morphTarget6 * morphTargetInfluences[ 6 ];\n\t\ttransformed += morphTarget7 * morphTargetInfluences[ 7 ];\n\t#endif\n#endif",normal_fragment_begin:"#ifdef FLAT_SHADED\n\tvec3 fdx = vec3( dFdx( vViewPosition.x ), dFdx( vViewPosition.y ), dFdx( vViewPosition.z ) );\n\tvec3 fdy = vec3( dFdy( vViewPosition.x ), dFdy( vViewPosition.y ), dFdy( vViewPosition.z ) );\n\tvec3 normal = normalize( cross( fdx, fdy ) );\n#else\n\tvec3 normal = normalize( vNormal );\n\t#ifdef DOUBLE_SIDED\n\t\tnormal = normal * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t#endif\n\t#ifdef USE_TANGENT\n\t\tvec3 tangent = normalize( vTangent );\n\t\tvec3 bitangent = normalize( vBitangent );\n\t\t#ifdef DOUBLE_SIDED\n\t\t\ttangent = tangent * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\t\tbitangent = bitangent * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\t#endif\n\t\t#if defined( TANGENTSPACE_NORMALMAP ) || defined( USE_CLEARCOAT_NORMALMAP )\n\t\t\tmat3 vTBN = mat3( tangent, bitangent, normal );\n\t\t#endif\n\t#endif\n#endif\nvec3 geometryNormal = normal;",normal_fragment_maps:"#ifdef OBJECTSPACE_NORMALMAP\n\tnormal = texture2D( normalMap, vUv ).xyz * 2.0 - 1.0;\n\t#ifdef FLIP_SIDED\n\t\tnormal = - normal;\n\t#endif\n\t#ifdef DOUBLE_SIDED\n\t\tnormal = normal * ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t#endif\n\tnormal = normalize( normalMatrix * normal );\n#elif defined( TANGENTSPACE_NORMALMAP )\n\tvec3 mapN = texture2D( normalMap, vUv ).xyz * 2.0 - 1.0;\n\tmapN.xy *= normalScale;\n\t#ifdef USE_TANGENT\n\t\tnormal = normalize( vTBN * mapN );\n\t#else\n\t\tnormal = perturbNormal2Arb( -vViewPosition, normal, mapN );\n\t#endif\n#elif defined( USE_BUMPMAP )\n\tnormal = perturbNormalArb( -vViewPosition, normal, dHdxy_fwd() );\n#endif",normalmap_pars_fragment:"#ifdef USE_NORMALMAP\n\tuniform sampler2D normalMap;\n\tuniform vec2 normalScale;\n#endif\n#ifdef OBJECTSPACE_NORMALMAP\n\tuniform mat3 normalMatrix;\n#endif\n#if ! defined ( USE_TANGENT ) && ( defined ( TANGENTSPACE_NORMALMAP ) || defined ( USE_CLEARCOAT_NORMALMAP ) )\n\tvec3 perturbNormal2Arb( vec3 eye_pos, vec3 surf_norm, vec3 mapN ) {\n\t\tvec3 q0 = vec3( dFdx( eye_pos.x ), dFdx( eye_pos.y ), dFdx( eye_pos.z ) );\n\t\tvec3 q1 = vec3( dFdy( eye_pos.x ), dFdy( eye_pos.y ), dFdy( eye_pos.z ) );\n\t\tvec2 st0 = dFdx( vUv.st );\n\t\tvec2 st1 = dFdy( vUv.st );\n\t\tfloat scale = sign( st1.t * st0.s - st0.t * st1.s );\n\t\tvec3 S = normalize( ( q0 * st1.t - q1 * st0.t ) * scale );\n\t\tvec3 T = normalize( ( - q0 * st1.s + q1 * st0.s ) * scale );\n\t\tvec3 N = normalize( surf_norm );\n\t\tmat3 tsn = mat3( S, T, N );\n\t\tmapN.xy *= ( float( gl_FrontFacing ) * 2.0 - 1.0 );\n\t\treturn normalize( tsn * mapN );\n\t}\n#endif",clearcoat_normal_fragment_begin:"#ifdef CLEARCOAT\n\tvec3 clearcoatNormal = geometryNormal;\n#endif",clearcoat_normal_fragment_maps:"#ifdef USE_CLEARCOAT_NORMALMAP\n\tvec3 clearcoatMapN = texture2D( clearcoatNormalMap, vUv ).xyz * 2.0 - 1.0;\n\tclearcoatMapN.xy *= clearcoatNormalScale;\n\t#ifdef USE_TANGENT\n\t\tclearcoatNormal = normalize( vTBN * clearcoatMapN );\n\t#else\n\t\tclearcoatNormal = perturbNormal2Arb( - vViewPosition, clearcoatNormal, clearcoatMapN );\n\t#endif\n#endif",clearcoat_pars_fragment:"#ifdef USE_CLEARCOATMAP\n\tuniform sampler2D clearcoatMap;\n#endif\n#ifdef USE_CLEARCOAT_ROUGHNESSMAP\n\tuniform sampler2D clearcoatRoughnessMap;\n#endif\n#ifdef USE_CLEARCOAT_NORMALMAP\n\tuniform sampler2D clearcoatNormalMap;\n\tuniform vec2 clearcoatNormalScale;\n#endif",packing:"vec3 packNormalToRGB( const in vec3 normal ) {\n\treturn normalize( normal ) * 0.5 + 0.5;\n}\nvec3 unpackRGBToNormal( const in vec3 rgb ) {\n\treturn 2.0 * rgb.xyz - 1.0;\n}\nconst float PackUpscale = 256. / 255.;const float UnpackDownscale = 255. / 256.;\nconst vec3 PackFactors = vec3( 256. * 256. * 256., 256. * 256., 256. );\nconst vec4 UnpackFactors = UnpackDownscale / vec4( PackFactors, 1. );\nconst float ShiftRight8 = 1. / 256.;\nvec4 packDepthToRGBA( const in float v ) {\n\tvec4 r = vec4( fract( v * PackFactors ), v );\n\tr.yzw -= r.xyz * ShiftRight8;\treturn r * PackUpscale;\n}\nfloat unpackRGBAToDepth( const in vec4 v ) {\n\treturn dot( v, UnpackFactors );\n}\nvec4 pack2HalfToRGBA( vec2 v ) {\n\tvec4 r = vec4( v.x, fract( v.x * 255.0 ), v.y, fract( v.y * 255.0 ));\n\treturn vec4( r.x - r.y / 255.0, r.y, r.z - r.w / 255.0, r.w);\n}\nvec2 unpackRGBATo2Half( vec4 v ) {\n\treturn vec2( v.x + ( v.y / 255.0 ), v.z + ( v.w / 255.0 ) );\n}\nfloat viewZToOrthographicDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn ( viewZ + near ) / ( near - far );\n}\nfloat orthographicDepthToViewZ( const in float linearClipZ, const in float near, const in float far ) {\n\treturn linearClipZ * ( near - far ) - near;\n}\nfloat viewZToPerspectiveDepth( const in float viewZ, const in float near, const in float far ) {\n\treturn (( near + viewZ ) * far ) / (( far - near ) * viewZ );\n}\nfloat perspectiveDepthToViewZ( const in float invClipZ, const in float near, const in float far ) {\n\treturn ( near * far ) / ( ( far - near ) * invClipZ - far );\n}",premultiplied_alpha_fragment:"#ifdef PREMULTIPLIED_ALPHA\n\tgl_FragColor.rgb *= gl_FragColor.a;\n#endif",project_vertex:"vec4 mvPosition = vec4( transformed, 1.0 );\n#ifdef USE_INSTANCING\n\tmvPosition = instanceMatrix * mvPosition;\n#endif\nmvPosition = modelViewMatrix * mvPosition;\ngl_Position = projectionMatrix * mvPosition;",dithering_fragment:"#ifdef DITHERING\n\tgl_FragColor.rgb = dithering( gl_FragColor.rgb );\n#endif",dithering_pars_fragment:"#ifdef DITHERING\n\tvec3 dithering( vec3 color ) {\n\t\tfloat grid_position = rand( gl_FragCoord.xy );\n\t\tvec3 dither_shift_RGB = vec3( 0.25 / 255.0, -0.25 / 255.0, 0.25 / 255.0 );\n\t\tdither_shift_RGB = mix( 2.0 * dither_shift_RGB, -2.0 * dither_shift_RGB, grid_position );\n\t\treturn color + dither_shift_RGB;\n\t}\n#endif",roughnessmap_fragment:"float roughnessFactor = roughness;\n#ifdef USE_ROUGHNESSMAP\n\tvec4 texelRoughness = texture2D( roughnessMap, vUv );\n\troughnessFactor *= texelRoughness.g;\n#endif",roughnessmap_pars_fragment:"#ifdef USE_ROUGHNESSMAP\n\tuniform sampler2D roughnessMap;\n#endif",shadowmap_pars_fragment:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D directionalShadowMap[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D spotShadowMap[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vSpotShadowCoord[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform sampler2D pointShadowMap[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n\tfloat texture2DCompare( sampler2D depths, vec2 uv, float compare ) {\n\t\treturn step( compare, unpackRGBAToDepth( texture2D( depths, uv ) ) );\n\t}\n\tvec2 texture2DDistribution( sampler2D shadow, vec2 uv ) {\n\t\treturn unpackRGBATo2Half( texture2D( shadow, uv ) );\n\t}\n\tfloat VSMShadow (sampler2D shadow, vec2 uv, float compare ){\n\t\tfloat occlusion = 1.0;\n\t\tvec2 distribution = texture2DDistribution( shadow, uv );\n\t\tfloat hard_shadow = step( compare , distribution.x );\n\t\tif (hard_shadow != 1.0 ) {\n\t\t\tfloat distance = compare - distribution.x ;\n\t\t\tfloat variance = max( 0.00000, distribution.y * distribution.y );\n\t\t\tfloat softness_probability = variance / (variance + distance * distance );\t\t\tsoftness_probability = clamp( ( softness_probability - 0.3 ) / ( 0.95 - 0.3 ), 0.0, 1.0 );\t\t\tocclusion = clamp( max( hard_shadow, softness_probability ), 0.0, 1.0 );\n\t\t}\n\t\treturn occlusion;\n\t}\n\tfloat getShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord ) {\n\t\tfloat shadow = 1.0;\n\t\tshadowCoord.xyz /= shadowCoord.w;\n\t\tshadowCoord.z += shadowBias;\n\t\tbvec4 inFrustumVec = bvec4 ( shadowCoord.x >= 0.0, shadowCoord.x <= 1.0, shadowCoord.y >= 0.0, shadowCoord.y <= 1.0 );\n\t\tbool inFrustum = all( inFrustumVec );\n\t\tbvec2 frustumTestVec = bvec2( inFrustum, shadowCoord.z <= 1.0 );\n\t\tbool frustumTest = all( frustumTestVec );\n\t\tif ( frustumTest ) {\n\t\t#if defined( SHADOWMAP_TYPE_PCF )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx0 = - texelSize.x * shadowRadius;\n\t\t\tfloat dy0 = - texelSize.y * shadowRadius;\n\t\t\tfloat dx1 = + texelSize.x * shadowRadius;\n\t\t\tfloat dy1 = + texelSize.y * shadowRadius;\n\t\t\tfloat dx2 = dx0 / 2.0;\n\t\t\tfloat dy2 = dy0 / 2.0;\n\t\t\tfloat dx3 = dx1 / 2.0;\n\t\t\tfloat dy3 = dy1 / 2.0;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy2 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx2, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx3, dy3 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( 0.0, dy1 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, shadowCoord.xy + vec2( dx1, dy1 ), shadowCoord.z )\n\t\t\t) * ( 1.0 / 17.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_PCF_SOFT )\n\t\t\tvec2 texelSize = vec2( 1.0 ) / shadowMapSize;\n\t\t\tfloat dx = texelSize.x;\n\t\t\tfloat dy = texelSize.y;\n\t\t\tvec2 uv = shadowCoord.xy;\n\t\t\tvec2 f = fract( uv * shadowMapSize + 0.5 );\n\t\t\tuv -= f * texelSize;\n\t\t\tshadow = (\n\t\t\t\ttexture2DCompare( shadowMap, uv, shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( dx, 0.0 ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + vec2( 0.0, dy ), shadowCoord.z ) +\n\t\t\t\ttexture2DCompare( shadowMap, uv + texelSize, shadowCoord.z ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, 0.0 ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 0.0 ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( -dx, dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, dy ), shadowCoord.z ),\n\t\t\t\t\t f.x ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( 0.0, -dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( 0.0, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( texture2DCompare( shadowMap, uv + vec2( dx, -dy ), shadowCoord.z ), \n\t\t\t\t\t texture2DCompare( shadowMap, uv + vec2( dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t f.y ) +\n\t\t\t\tmix( mix( texture2DCompare( shadowMap, uv + vec2( -dx, -dy ), shadowCoord.z ), \n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, -dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t mix( texture2DCompare( shadowMap, uv + vec2( -dx, 2.0 * dy ), shadowCoord.z ), \n\t\t\t\t\t\t  texture2DCompare( shadowMap, uv + vec2( 2.0 * dx, 2.0 * dy ), shadowCoord.z ),\n\t\t\t\t\t\t  f.x ),\n\t\t\t\t\t f.y )\n\t\t\t) * ( 1.0 / 9.0 );\n\t\t#elif defined( SHADOWMAP_TYPE_VSM )\n\t\t\tshadow = VSMShadow( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#else\n\t\t\tshadow = texture2DCompare( shadowMap, shadowCoord.xy, shadowCoord.z );\n\t\t#endif\n\t\t}\n\t\treturn shadow;\n\t}\n\tvec2 cubeToUV( vec3 v, float texelSizeY ) {\n\t\tvec3 absV = abs( v );\n\t\tfloat scaleToCube = 1.0 / max( absV.x, max( absV.y, absV.z ) );\n\t\tabsV *= scaleToCube;\n\t\tv *= scaleToCube * ( 1.0 - 2.0 * texelSizeY );\n\t\tvec2 planar = v.xy;\n\t\tfloat almostATexel = 1.5 * texelSizeY;\n\t\tfloat almostOne = 1.0 - almostATexel;\n\t\tif ( absV.z >= almostOne ) {\n\t\t\tif ( v.z > 0.0 )\n\t\t\t\tplanar.x = 4.0 - v.x;\n\t\t} else if ( absV.x >= almostOne ) {\n\t\t\tfloat signX = sign( v.x );\n\t\t\tplanar.x = v.z * signX + 2.0 * signX;\n\t\t} else if ( absV.y >= almostOne ) {\n\t\t\tfloat signY = sign( v.y );\n\t\t\tplanar.x = v.x + 2.0 * signY + 2.0;\n\t\t\tplanar.y = v.z * signY - 2.0;\n\t\t}\n\t\treturn vec2( 0.125, 0.25 ) * planar + vec2( 0.375, 0.75 );\n\t}\n\tfloat getPointShadow( sampler2D shadowMap, vec2 shadowMapSize, float shadowBias, float shadowRadius, vec4 shadowCoord, float shadowCameraNear, float shadowCameraFar ) {\n\t\tvec2 texelSize = vec2( 1.0 ) / ( shadowMapSize * vec2( 4.0, 2.0 ) );\n\t\tvec3 lightToPosition = shadowCoord.xyz;\n\t\tfloat dp = ( length( lightToPosition ) - shadowCameraNear ) / ( shadowCameraFar - shadowCameraNear );\t\tdp += shadowBias;\n\t\tvec3 bd3D = normalize( lightToPosition );\n\t\t#if defined( SHADOWMAP_TYPE_PCF ) || defined( SHADOWMAP_TYPE_PCF_SOFT ) || defined( SHADOWMAP_TYPE_VSM )\n\t\t\tvec2 offset = vec2( - 1, 1 ) * shadowRadius * texelSize.y;\n\t\t\treturn (\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xyx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yyx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxy, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.xxx, texelSize.y ), dp ) +\n\t\t\t\ttexture2DCompare( shadowMap, cubeToUV( bd3D + offset.yxx, texelSize.y ), dp )\n\t\t\t) * ( 1.0 / 9.0 );\n\t\t#else\n\t\t\treturn texture2DCompare( shadowMap, cubeToUV( bd3D, texelSize.y ), dp );\n\t\t#endif\n\t}\n#endif",shadowmap_pars_vertex:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t\tuniform mat4 directionalShadowMatrix[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tvarying vec4 vDirectionalShadowCoord[ NUM_DIR_LIGHT_SHADOWS ];\n\t\tstruct DirectionalLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform DirectionalLightShadow directionalLightShadows[ NUM_DIR_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t\tuniform mat4 spotShadowMatrix[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vSpotShadowCoord[ NUM_SPOT_LIGHT_SHADOWS ];\n\t\tstruct SpotLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t};\n\t\tuniform SpotLightShadow spotLightShadows[ NUM_SPOT_LIGHT_SHADOWS ];\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t\tuniform mat4 pointShadowMatrix[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tvarying vec4 vPointShadowCoord[ NUM_POINT_LIGHT_SHADOWS ];\n\t\tstruct PointLightShadow {\n\t\t\tfloat shadowBias;\n\t\t\tfloat shadowNormalBias;\n\t\t\tfloat shadowRadius;\n\t\t\tvec2 shadowMapSize;\n\t\t\tfloat shadowCameraNear;\n\t\t\tfloat shadowCameraFar;\n\t\t};\n\t\tuniform PointLightShadow pointLightShadows[ NUM_POINT_LIGHT_SHADOWS ];\n\t#endif\n#endif",shadowmap_vertex:"#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0 || NUM_SPOT_LIGHT_SHADOWS > 0 || NUM_POINT_LIGHT_SHADOWS > 0\n\t\tvec3 shadowWorldNormal = inverseTransformDirection( transformedNormal, viewMatrix );\n\t\tvec4 shadowWorldPosition;\n\t#endif\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * directionalLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvDirectionalShadowCoord[ i ] = directionalShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * spotLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvSpotShadowCoord[ i ] = spotShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\tshadowWorldPosition = worldPosition + vec4( shadowWorldNormal * pointLightShadows[ i ].shadowNormalBias, 0 );\n\t\tvPointShadowCoord[ i ] = pointShadowMatrix[ i ] * shadowWorldPosition;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n#endif",shadowmask_pars_fragment:"float getShadowMask() {\n\tfloat shadow = 1.0;\n\t#ifdef USE_SHADOWMAP\n\t#if NUM_DIR_LIGHT_SHADOWS > 0\n\tDirectionalLightShadow directionalLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_DIR_LIGHT_SHADOWS; i ++ ) {\n\t\tdirectionalLight = directionalLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( directionalShadowMap[ i ], directionalLight.shadowMapSize, directionalLight.shadowBias, directionalLight.shadowRadius, vDirectionalShadowCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_SPOT_LIGHT_SHADOWS > 0\n\tSpotLightShadow spotLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_SPOT_LIGHT_SHADOWS; i ++ ) {\n\t\tspotLight = spotLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getShadow( spotShadowMap[ i ], spotLight.shadowMapSize, spotLight.shadowBias, spotLight.shadowRadius, vSpotShadowCoord[ i ] ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#if NUM_POINT_LIGHT_SHADOWS > 0\n\tPointLightShadow pointLight;\n\t#pragma unroll_loop_start\n\tfor ( int i = 0; i < NUM_POINT_LIGHT_SHADOWS; i ++ ) {\n\t\tpointLight = pointLightShadows[ i ];\n\t\tshadow *= receiveShadow ? getPointShadow( pointShadowMap[ i ], pointLight.shadowMapSize, pointLight.shadowBias, pointLight.shadowRadius, vPointShadowCoord[ i ], pointLight.shadowCameraNear, pointLight.shadowCameraFar ) : 1.0;\n\t}\n\t#pragma unroll_loop_end\n\t#endif\n\t#endif\n\treturn shadow;\n}",skinbase_vertex:"#ifdef USE_SKINNING\n\tmat4 boneMatX = getBoneMatrix( skinIndex.x );\n\tmat4 boneMatY = getBoneMatrix( skinIndex.y );\n\tmat4 boneMatZ = getBoneMatrix( skinIndex.z );\n\tmat4 boneMatW = getBoneMatrix( skinIndex.w );\n#endif",skinning_pars_vertex:"#ifdef USE_SKINNING\n\tuniform mat4 bindMatrix;\n\tuniform mat4 bindMatrixInverse;\n\t#ifdef BONE_TEXTURE\n\t\tuniform highp sampler2D boneTexture;\n\t\tuniform int boneTextureSize;\n\t\tmat4 getBoneMatrix( const in float i ) {\n\t\t\tfloat j = i * 4.0;\n\t\t\tfloat x = mod( j, float( boneTextureSize ) );\n\t\t\tfloat y = floor( j / float( boneTextureSize ) );\n\t\t\tfloat dx = 1.0 / float( boneTextureSize );\n\t\t\tfloat dy = 1.0 / float( boneTextureSize );\n\t\t\ty = dy * ( y + 0.5 );\n\t\t\tvec4 v1 = texture2D( boneTexture, vec2( dx * ( x + 0.5 ), y ) );\n\t\t\tvec4 v2 = texture2D( boneTexture, vec2( dx * ( x + 1.5 ), y ) );\n\t\t\tvec4 v3 = texture2D( boneTexture, vec2( dx * ( x + 2.5 ), y ) );\n\t\t\tvec4 v4 = texture2D( boneTexture, vec2( dx * ( x + 3.5 ), y ) );\n\t\t\tmat4 bone = mat4( v1, v2, v3, v4 );\n\t\t\treturn bone;\n\t\t}\n\t#else\n\t\tuniform mat4 boneMatrices[ MAX_BONES ];\n\t\tmat4 getBoneMatrix( const in float i ) {\n\t\t\tmat4 bone = boneMatrices[ int(i) ];\n\t\t\treturn bone;\n\t\t}\n\t#endif\n#endif",skinning_vertex:"#ifdef USE_SKINNING\n\tvec4 skinVertex = bindMatrix * vec4( transformed, 1.0 );\n\tvec4 skinned = vec4( 0.0 );\n\tskinned += boneMatX * skinVertex * skinWeight.x;\n\tskinned += boneMatY * skinVertex * skinWeight.y;\n\tskinned += boneMatZ * skinVertex * skinWeight.z;\n\tskinned += boneMatW * skinVertex * skinWeight.w;\n\ttransformed = ( bindMatrixInverse * skinned ).xyz;\n#endif",skinnormal_vertex:"#ifdef USE_SKINNING\n\tmat4 skinMatrix = mat4( 0.0 );\n\tskinMatrix += skinWeight.x * boneMatX;\n\tskinMatrix += skinWeight.y * boneMatY;\n\tskinMatrix += skinWeight.z * boneMatZ;\n\tskinMatrix += skinWeight.w * boneMatW;\n\tskinMatrix = bindMatrixInverse * skinMatrix * bindMatrix;\n\tobjectNormal = vec4( skinMatrix * vec4( objectNormal, 0.0 ) ).xyz;\n\t#ifdef USE_TANGENT\n\t\tobjectTangent = vec4( skinMatrix * vec4( objectTangent, 0.0 ) ).xyz;\n\t#endif\n#endif",specularmap_fragment:"float specularStrength;\n#ifdef USE_SPECULARMAP\n\tvec4 texelSpecular = texture2D( specularMap, vUv );\n\tspecularStrength = texelSpecular.r;\n#else\n\tspecularStrength = 1.0;\n#endif",specularmap_pars_fragment:"#ifdef USE_SPECULARMAP\n\tuniform sampler2D specularMap;\n#endif",tonemapping_fragment:"#if defined( TONE_MAPPING )\n\tgl_FragColor.rgb = toneMapping( gl_FragColor.rgb );\n#endif",tonemapping_pars_fragment:"#ifndef saturate\n#define saturate(a) clamp( a, 0.0, 1.0 )\n#endif\nuniform float toneMappingExposure;\nvec3 LinearToneMapping( vec3 color ) {\n\treturn toneMappingExposure * color;\n}\nvec3 ReinhardToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\treturn saturate( color / ( vec3( 1.0 ) + color ) );\n}\nvec3 OptimizedCineonToneMapping( vec3 color ) {\n\tcolor *= toneMappingExposure;\n\tcolor = max( vec3( 0.0 ), color - 0.004 );\n\treturn pow( ( color * ( 6.2 * color + 0.5 ) ) / ( color * ( 6.2 * color + 1.7 ) + 0.06 ), vec3( 2.2 ) );\n}\nvec3 RRTAndODTFit( vec3 v ) {\n\tvec3 a = v * ( v + 0.0245786 ) - 0.000090537;\n\tvec3 b = v * ( 0.983729 * v + 0.4329510 ) + 0.238081;\n\treturn a / b;\n}\nvec3 ACESFilmicToneMapping( vec3 color ) {\n\tconst mat3 ACESInputMat = mat3(\n\t\tvec3( 0.59719, 0.07600, 0.02840 ),\t\tvec3( 0.35458, 0.90834, 0.13383 ),\n\t\tvec3( 0.04823, 0.01566, 0.83777 )\n\t);\n\tconst mat3 ACESOutputMat = mat3(\n\t\tvec3(  1.60475, -0.10208, -0.00327 ),\t\tvec3( -0.53108,  1.10813, -0.07276 ),\n\t\tvec3( -0.07367, -0.00605,  1.07602 )\n\t);\n\tcolor *= toneMappingExposure / 0.6;\n\tcolor = ACESInputMat * color;\n\tcolor = RRTAndODTFit( color );\n\tcolor = ACESOutputMat * color;\n\treturn saturate( color );\n}\nvec3 CustomToneMapping( vec3 color ) { return color; }",transmissionmap_fragment:"#ifdef USE_TRANSMISSIONMAP\n\ttotalTransmission *= texture2D( transmissionMap, vUv ).r;\n#endif",transmissionmap_pars_fragment:"#ifdef USE_TRANSMISSIONMAP\n\tuniform sampler2D transmissionMap;\n#endif",uv_pars_fragment:"#if ( defined( USE_UV ) && ! defined( UVS_VERTEX_ONLY ) )\n\tvarying vec2 vUv;\n#endif",uv_pars_vertex:"#ifdef USE_UV\n\t#ifdef UVS_VERTEX_ONLY\n\t\tvec2 vUv;\n\t#else\n\t\tvarying vec2 vUv;\n\t#endif\n\tuniform mat3 uvTransform;\n#endif",uv_vertex:"#ifdef USE_UV\n\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n#endif",uv2_pars_fragment:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tvarying vec2 vUv2;\n#endif",uv2_pars_vertex:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tattribute vec2 uv2;\n\tvarying vec2 vUv2;\n\tuniform mat3 uv2Transform;\n#endif",uv2_vertex:"#if defined( USE_LIGHTMAP ) || defined( USE_AOMAP )\n\tvUv2 = ( uv2Transform * vec3( uv2, 1 ) ).xy;\n#endif",worldpos_vertex:"#if defined( USE_ENVMAP ) || defined( DISTANCE ) || defined ( USE_SHADOWMAP )\n\tvec4 worldPosition = vec4( transformed, 1.0 );\n\t#ifdef USE_INSTANCING\n\t\tworldPosition = instanceMatrix * worldPosition;\n\t#endif\n\tworldPosition = modelMatrix * worldPosition;\n#endif",background_frag:"uniform sampler2D t2D;\nvarying vec2 vUv;\nvoid main() {\n\tvec4 texColor = texture2D( t2D, vUv );\n\tgl_FragColor = mapTexelToLinear( texColor );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",background_vert:"varying vec2 vUv;\nuniform mat3 uvTransform;\nvoid main() {\n\tvUv = ( uvTransform * vec3( uv, 1 ) ).xy;\n\tgl_Position = vec4( position.xy, 1.0, 1.0 );\n}",cube_frag:"#include <envmap_common_pars_fragment>\nuniform float opacity;\nvarying vec3 vWorldDirection;\n#include <cube_uv_reflection_fragment>\nvoid main() {\n\tvec3 vReflect = vWorldDirection;\n\t#include <envmap_fragment>\n\tgl_FragColor = envColor;\n\tgl_FragColor.a *= opacity;\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",cube_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\tgl_Position.z = gl_Position.w;\n}",depth_frag:"#if DEPTH_PACKING == 3200\n\tuniform float opacity;\n#endif\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#if DEPTH_PACKING == 3200\n\t\tdiffuseColor.a = opacity;\n\t#endif\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <logdepthbuf_fragment>\n\tfloat fragCoordZ = 0.5 * vHighPrecisionZW[0] / vHighPrecisionZW[1] + 0.5;\n\t#if DEPTH_PACKING == 3200\n\t\tgl_FragColor = vec4( vec3( 1.0 - fragCoordZ ), opacity );\n\t#elif DEPTH_PACKING == 3201\n\t\tgl_FragColor = packDepthToRGBA( fragCoordZ );\n\t#endif\n}",depth_vert:"#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvarying vec2 vHighPrecisionZW;\nvoid main() {\n\t#include <uv_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvHighPrecisionZW = gl_Position.zw;\n}",distanceRGBA_frag:"#define DISTANCE\nuniform vec3 referencePosition;\nuniform float nearDistance;\nuniform float farDistance;\nvarying vec3 vWorldPosition;\n#include <common>\n#include <packing>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main () {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( 1.0 );\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\tfloat dist = length( vWorldPosition - referencePosition );\n\tdist = ( dist - nearDistance ) / ( farDistance - nearDistance );\n\tdist = saturate( dist );\n\tgl_FragColor = packDepthToRGBA( dist );\n}",distanceRGBA_vert:"#define DISTANCE\nvarying vec3 vWorldPosition;\n#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_DISPLACEMENTMAP\n\t\t#include <beginnormal_vertex>\n\t\t#include <morphnormal_vertex>\n\t\t#include <skinnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <worldpos_vertex>\n\t#include <clipping_planes_vertex>\n\tvWorldPosition = worldPosition.xyz;\n}",equirect_frag:"uniform sampler2D tEquirect;\nvarying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvec3 direction = normalize( vWorldDirection );\n\tvec2 sampleUV = equirectUv( direction );\n\tvec4 texColor = texture2D( tEquirect, sampleUV );\n\tgl_FragColor = mapTexelToLinear( texColor );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n}",equirect_vert:"varying vec3 vWorldDirection;\n#include <common>\nvoid main() {\n\tvWorldDirection = transformDirection( position, modelMatrix );\n\t#include <begin_vertex>\n\t#include <project_vertex>\n}",linedashed_frag:"uniform vec3 diffuse;\nuniform float opacity;\nuniform float dashSize;\nuniform float totalSize;\nvarying float vLineDistance;\n#include <common>\n#include <color_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tif ( mod( vLineDistance, totalSize ) > dashSize ) {\n\t\tdiscard;\n\t}\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <color_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",linedashed_vert:"uniform float scale;\nattribute float lineDistance;\nvarying float vLineDistance;\n#include <common>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\tvLineDistance = scale * lineDistance;\n\t#include <color_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}",meshbasic_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <fog_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\t#ifdef USE_LIGHTMAP\n\t\n\t\tvec4 lightMapTexel= texture2D( lightMap, vUv2 );\n\t\treflectedLight.indirectDiffuse += lightMapTexelToLinear( lightMapTexel ).rgb * lightMapIntensity;\n\t#else\n\t\treflectedLight.indirectDiffuse += vec3( 1.0 );\n\t#endif\n\t#include <aomap_fragment>\n\treflectedLight.indirectDiffuse *= diffuseColor.rgb;\n\tvec3 outgoingLight = reflectedLight.indirectDiffuse;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshbasic_vert:"#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <skinbase_vertex>\n\t#ifdef USE_ENVMAP\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <worldpos_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <envmap_vertex>\n\t#include <fog_vertex>\n}",meshlambert_frag:"uniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\nvarying vec3 vLightFront;\nvarying vec3 vIndirectFront;\n#ifdef DOUBLE_SIDED\n\tvarying vec3 vLightBack;\n\tvarying vec3 vIndirectBack;\n#endif\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <fog_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <shadowmask_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\t#include <emissivemap_fragment>\n\t#ifdef DOUBLE_SIDED\n\t\treflectedLight.indirectDiffuse += ( gl_FrontFacing ) ? vIndirectFront : vIndirectBack;\n\t#else\n\t\treflectedLight.indirectDiffuse += vIndirectFront;\n\t#endif\n\t#include <lightmap_fragment>\n\treflectedLight.indirectDiffuse *= BRDF_Diffuse_Lambert( diffuseColor.rgb );\n\t#ifdef DOUBLE_SIDED\n\t\treflectedLight.directDiffuse = ( gl_FrontFacing ) ? vLightFront : vLightBack;\n\t#else\n\t\treflectedLight.directDiffuse = vLightFront;\n\t#endif\n\treflectedLight.directDiffuse *= BRDF_Diffuse_Lambert( diffuseColor.rgb ) * getShadowMask();\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshlambert_vert:"#define LAMBERT\nvarying vec3 vLightFront;\nvarying vec3 vIndirectFront;\n#ifdef DOUBLE_SIDED\n\tvarying vec3 vLightBack;\n\tvarying vec3 vIndirectBack;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <envmap_pars_vertex>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <lights_lambert_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshmatcap_frag:"#define MATCAP\nuniform vec3 diffuse;\nuniform float opacity;\nuniform sampler2D matcap;\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tvec3 viewDir = normalize( vViewPosition );\n\tvec3 x = normalize( vec3( viewDir.z, 0.0, - viewDir.x ) );\n\tvec3 y = cross( viewDir, x );\n\tvec2 uv = vec2( dot( x, normal ), dot( y, normal ) ) * 0.495 + 0.5;\n\t#ifdef USE_MATCAP\n\t\tvec4 matcapColor = texture2D( matcap, uv );\n\t\tmatcapColor = matcapTexelToLinear( matcapColor );\n\t#else\n\t\tvec4 matcapColor = vec4( 1.0 );\n\t#endif\n\tvec3 outgoingLight = diffuseColor.rgb * matcapColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshmatcap_vert:"#define MATCAP\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <color_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#ifndef FLAT_SHADED\n\t\tvNormal = normalize( transformedNormal );\n\t#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n\tvViewPosition = - mvPosition.xyz;\n}",meshtoon_frag:"#define TOON\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <gradientmap_pars_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <lights_toon_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_toon_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + totalEmissiveRadiance;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshtoon_vert:"#define TOON\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshphong_frag:"#define PHONG\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform vec3 specular;\nuniform float shininess;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_pars_fragment>\n#include <cube_uv_reflection_fragment>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <lights_phong_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <specularmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <specularmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <lights_phong_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + reflectedLight.directSpecular + reflectedLight.indirectSpecular + totalEmissiveRadiance;\n\t#include <envmap_fragment>\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshphong_vert:"#define PHONG\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <envmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <envmap_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",meshphysical_frag:"#define STANDARD\n#ifdef PHYSICAL\n\t#define REFLECTIVITY\n\t#define CLEARCOAT\n\t#define TRANSMISSION\n#endif\nuniform vec3 diffuse;\nuniform vec3 emissive;\nuniform float roughness;\nuniform float metalness;\nuniform float opacity;\n#ifdef TRANSMISSION\n\tuniform float transmission;\n#endif\n#ifdef REFLECTIVITY\n\tuniform float reflectivity;\n#endif\n#ifdef CLEARCOAT\n\tuniform float clearcoat;\n\tuniform float clearcoatRoughness;\n#endif\n#ifdef USE_SHEEN\n\tuniform vec3 sheen;\n#endif\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <packing>\n#include <dithering_pars_fragment>\n#include <color_pars_fragment>\n#include <uv_pars_fragment>\n#include <uv2_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <aomap_pars_fragment>\n#include <lightmap_pars_fragment>\n#include <emissivemap_pars_fragment>\n#include <transmissionmap_pars_fragment>\n#include <bsdfs>\n#include <cube_uv_reflection_fragment>\n#include <envmap_common_pars_fragment>\n#include <envmap_physical_pars_fragment>\n#include <fog_pars_fragment>\n#include <lights_pars_begin>\n#include <lights_physical_pars_fragment>\n#include <shadowmap_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <clearcoat_pars_fragment>\n#include <roughnessmap_pars_fragment>\n#include <metalnessmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\tReflectedLight reflectedLight = ReflectedLight( vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ), vec3( 0.0 ) );\n\tvec3 totalEmissiveRadiance = emissive;\n\t#ifdef TRANSMISSION\n\t\tfloat totalTransmission = transmission;\n\t#endif\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <color_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\t#include <roughnessmap_fragment>\n\t#include <metalnessmap_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\t#include <clearcoat_normal_fragment_begin>\n\t#include <clearcoat_normal_fragment_maps>\n\t#include <emissivemap_fragment>\n\t#include <transmissionmap_fragment>\n\t#include <lights_physical_fragment>\n\t#include <lights_fragment_begin>\n\t#include <lights_fragment_maps>\n\t#include <lights_fragment_end>\n\t#include <aomap_fragment>\n\tvec3 outgoingLight = reflectedLight.directDiffuse + reflectedLight.indirectDiffuse + reflectedLight.directSpecular + reflectedLight.indirectSpecular + totalEmissiveRadiance;\n\t#ifdef TRANSMISSION\n\t\tdiffuseColor.a *= mix( saturate( 1. - totalTransmission + linearToRelativeLuminance( reflectedLight.directSpecular + reflectedLight.indirectSpecular ) ), 1.0, metalness );\n\t#endif\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n\t#include <dithering_fragment>\n}",meshphysical_vert:"#define STANDARD\nvarying vec3 vViewPosition;\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <uv2_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <shadowmap_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <uv2_vertex>\n\t#include <color_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n\t#ifdef USE_TANGENT\n\t\tvTangent = normalize( transformedTangent );\n\t\tvBitangent = normalize( cross( vNormal, vTangent ) * tangent.w );\n\t#endif\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\tvViewPosition = - mvPosition.xyz;\n\t#include <worldpos_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",normal_frag:"#define NORMAL\nuniform float opacity;\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvarying vec3 vViewPosition;\n#endif\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <packing>\n#include <uv_pars_fragment>\n#include <bumpmap_pars_fragment>\n#include <normalmap_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\t#include <logdepthbuf_fragment>\n\t#include <normal_fragment_begin>\n\t#include <normal_fragment_maps>\n\tgl_FragColor = vec4( packNormalToRGB( normal ), opacity );\n}",normal_vert:"#define NORMAL\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvarying vec3 vViewPosition;\n#endif\n#ifndef FLAT_SHADED\n\tvarying vec3 vNormal;\n\t#ifdef USE_TANGENT\n\t\tvarying vec3 vTangent;\n\t\tvarying vec3 vBitangent;\n\t#endif\n#endif\n#include <common>\n#include <uv_pars_vertex>\n#include <displacementmap_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <skinning_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n#ifndef FLAT_SHADED\n\tvNormal = normalize( transformedNormal );\n\t#ifdef USE_TANGENT\n\t\tvTangent = normalize( transformedTangent );\n\t\tvBitangent = normalize( cross( vNormal, vTangent ) * tangent.w );\n\t#endif\n#endif\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <skinning_vertex>\n\t#include <displacementmap_vertex>\n\t#include <project_vertex>\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n#if defined( FLAT_SHADED ) || defined( USE_BUMPMAP ) || defined( TANGENTSPACE_NORMALMAP )\n\tvViewPosition = - mvPosition.xyz;\n#endif\n}",points_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <color_pars_fragment>\n#include <map_particle_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_particle_fragment>\n\t#include <color_fragment>\n\t#include <alphatest_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n\t#include <premultiplied_alpha_fragment>\n}",points_vert:"uniform float size;\nuniform float scale;\n#include <common>\n#include <color_pars_vertex>\n#include <fog_pars_vertex>\n#include <morphtarget_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <color_vertex>\n\t#include <begin_vertex>\n\t#include <morphtarget_vertex>\n\t#include <project_vertex>\n\tgl_PointSize = size;\n\t#ifdef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) gl_PointSize *= ( scale / - mvPosition.z );\n\t#endif\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <worldpos_vertex>\n\t#include <fog_vertex>\n}",shadow_frag:"uniform vec3 color;\nuniform float opacity;\n#include <common>\n#include <packing>\n#include <fog_pars_fragment>\n#include <bsdfs>\n#include <lights_pars_begin>\n#include <shadowmap_pars_fragment>\n#include <shadowmask_pars_fragment>\nvoid main() {\n\tgl_FragColor = vec4( color, opacity * ( 1.0 - getShadowMask() ) );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n}",shadow_vert:"#include <common>\n#include <fog_pars_vertex>\n#include <shadowmap_pars_vertex>\nvoid main() {\n\t#include <begin_vertex>\n\t#include <project_vertex>\n\t#include <worldpos_vertex>\n\t#include <beginnormal_vertex>\n\t#include <morphnormal_vertex>\n\t#include <skinbase_vertex>\n\t#include <skinnormal_vertex>\n\t#include <defaultnormal_vertex>\n\t#include <shadowmap_vertex>\n\t#include <fog_vertex>\n}",sprite_frag:"uniform vec3 diffuse;\nuniform float opacity;\n#include <common>\n#include <uv_pars_fragment>\n#include <map_pars_fragment>\n#include <alphamap_pars_fragment>\n#include <fog_pars_fragment>\n#include <logdepthbuf_pars_fragment>\n#include <clipping_planes_pars_fragment>\nvoid main() {\n\t#include <clipping_planes_fragment>\n\tvec3 outgoingLight = vec3( 0.0 );\n\tvec4 diffuseColor = vec4( diffuse, opacity );\n\t#include <logdepthbuf_fragment>\n\t#include <map_fragment>\n\t#include <alphamap_fragment>\n\t#include <alphatest_fragment>\n\toutgoingLight = diffuseColor.rgb;\n\tgl_FragColor = vec4( outgoingLight, diffuseColor.a );\n\t#include <tonemapping_fragment>\n\t#include <encodings_fragment>\n\t#include <fog_fragment>\n}",sprite_vert:"uniform float rotation;\nuniform vec2 center;\n#include <common>\n#include <uv_pars_vertex>\n#include <fog_pars_vertex>\n#include <logdepthbuf_pars_vertex>\n#include <clipping_planes_pars_vertex>\nvoid main() {\n\t#include <uv_vertex>\n\tvec4 mvPosition = modelViewMatrix * vec4( 0.0, 0.0, 0.0, 1.0 );\n\tvec2 scale;\n\tscale.x = length( vec3( modelMatrix[ 0 ].x, modelMatrix[ 0 ].y, modelMatrix[ 0 ].z ) );\n\tscale.y = length( vec3( modelMatrix[ 1 ].x, modelMatrix[ 1 ].y, modelMatrix[ 1 ].z ) );\n\t#ifndef USE_SIZEATTENUATION\n\t\tbool isPerspective = isPerspectiveMatrix( projectionMatrix );\n\t\tif ( isPerspective ) scale *= - mvPosition.z;\n\t#endif\n\tvec2 alignedPosition = ( position.xy - ( center - vec2( 0.5 ) ) ) * scale;\n\tvec2 rotatedPosition;\n\trotatedPosition.x = cos( rotation ) * alignedPosition.x - sin( rotation ) * alignedPosition.y;\n\trotatedPosition.y = sin( rotation ) * alignedPosition.x + cos( rotation ) * alignedPosition.y;\n\tmvPosition.xy += rotatedPosition;\n\tgl_Position = projectionMatrix * mvPosition;\n\t#include <logdepthbuf_vertex>\n\t#include <clipping_planes_vertex>\n\t#include <fog_vertex>\n}"},Ao={common:{diffuse:{value:new Color(15658734)},opacity:{value:1},map:{value:null},uvTransform:{value:new Matrix3},uv2Transform:{value:new Matrix3},alphaMap:{value:null}},specularmap:{specularMap:{value:null}},envmap:{envMap:{value:null},flipEnvMap:{value:-1},reflectivity:{value:1},refractionRatio:{value:.98},maxMipLevel:{value:0}},aomap:{aoMap:{value:null},aoMapIntensity:{value:1}},lightmap:{lightMap:{value:null},lightMapIntensity:{value:1}},emissivemap:{emissiveMap:{value:null}},bumpmap:{bumpMap:{value:null},bumpScale:{value:1}},normalmap:{normalMap:{value:null},normalScale:{value:new Vector2(1,1)}},displacementmap:{displacementMap:{value:null},displacementScale:{value:1},displacementBias:{value:0}},roughnessmap:{roughnessMap:{value:null}},metalnessmap:{metalnessMap:{value:null}},gradientmap:{gradientMap:{value:null}},fog:{fogDensity:{value:25e-5},fogNear:{value:1},fogFar:{value:2e3},fogColor:{value:new Color(16777215)}},lights:{ambientLightColor:{value:[]},lightProbe:{value:[]},directionalLights:{value:[],properties:{direction:{},color:{}}},directionalLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},directionalShadowMap:{value:[]},directionalShadowMatrix:{value:[]},spotLights:{value:[],properties:{color:{},position:{},direction:{},distance:{},coneCos:{},penumbraCos:{},decay:{}}},spotLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{}}},spotShadowMap:{value:[]},spotShadowMatrix:{value:[]},pointLights:{value:[],properties:{color:{},position:{},decay:{},distance:{}}},pointLightShadows:{value:[],properties:{shadowBias:{},shadowNormalBias:{},shadowRadius:{},shadowMapSize:{},shadowCameraNear:{},shadowCameraFar:{}}},pointShadowMap:{value:[]},pointShadowMatrix:{value:[]},hemisphereLights:{value:[],properties:{direction:{},skyColor:{},groundColor:{}}},rectAreaLights:{value:[],properties:{color:{},position:{},width:{},height:{}}},ltc_1:{value:null},ltc_2:{value:null}},points:{diffuse:{value:new Color(15658734)},opacity:{value:1},size:{value:1},scale:{value:1},map:{value:null},alphaMap:{value:null},uvTransform:{value:new Matrix3}},sprite:{diffuse:{value:new Color(15658734)},opacity:{value:1},center:{value:new Vector2(.5,.5)},rotation:{value:0},map:{value:null},alphaMap:{value:null},uvTransform:{value:new Matrix3}}},ko={basic:{uniforms:uo([Ao.common,Ao.specularmap,Ao.envmap,Ao.aomap,Ao.lightmap,Ao.fog]),vertexShader:Co.meshbasic_vert,fragmentShader:Co.meshbasic_frag},lambert:{uniforms:uo([Ao.common,Ao.specularmap,Ao.envmap,Ao.aomap,Ao.lightmap,Ao.emissivemap,Ao.fog,Ao.lights,{emissive:{value:new Color(0)}}]),vertexShader:Co.meshlambert_vert,fragmentShader:Co.meshlambert_frag},phong:{uniforms:uo([Ao.common,Ao.specularmap,Ao.envmap,Ao.aomap,Ao.lightmap,Ao.emissivemap,Ao.bumpmap,Ao.normalmap,Ao.displacementmap,Ao.fog,Ao.lights,{emissive:{value:new Color(0)},specular:{value:new Color(1118481)},shininess:{value:30}}]),vertexShader:Co.meshphong_vert,fragmentShader:Co.meshphong_frag},standard:{uniforms:uo([Ao.common,Ao.envmap,Ao.aomap,Ao.lightmap,Ao.emissivemap,Ao.bumpmap,Ao.normalmap,Ao.displacementmap,Ao.roughnessmap,Ao.metalnessmap,Ao.fog,Ao.lights,{emissive:{value:new Color(0)},roughness:{value:1},metalness:{value:0},envMapIntensity:{value:1}}]),vertexShader:Co.meshphysical_vert,fragmentShader:Co.meshphysical_frag},toon:{uniforms:uo([Ao.common,Ao.aomap,Ao.lightmap,Ao.emissivemap,Ao.bumpmap,Ao.normalmap,Ao.displacementmap,Ao.gradientmap,Ao.fog,Ao.lights,{emissive:{value:new Color(0)}}]),vertexShader:Co.meshtoon_vert,fragmentShader:Co.meshtoon_frag},matcap:{uniforms:uo([Ao.common,Ao.bumpmap,Ao.normalmap,Ao.displacementmap,Ao.fog,{matcap:{value:null}}]),vertexShader:Co.meshmatcap_vert,fragmentShader:Co.meshmatcap_frag},points:{uniforms:uo([Ao.points,Ao.fog]),vertexShader:Co.points_vert,fragmentShader:Co.points_frag},dashed:{uniforms:uo([Ao.common,Ao.fog,{scale:{value:1},dashSize:{value:1},totalSize:{value:2}}]),vertexShader:Co.linedashed_vert,fragmentShader:Co.linedashed_frag},depth:{uniforms:uo([Ao.common,Ao.displacementmap]),vertexShader:Co.depth_vert,fragmentShader:Co.depth_frag},normal:{uniforms:uo([Ao.common,Ao.bumpmap,Ao.normalmap,Ao.displacementmap,{opacity:{value:1}}]),vertexShader:Co.normal_vert,fragmentShader:Co.normal_frag},sprite:{uniforms:uo([Ao.sprite,Ao.fog]),vertexShader:Co.sprite_vert,fragmentShader:Co.sprite_frag},background:{uniforms:{uvTransform:{value:new Matrix3},t2D:{value:null}},vertexShader:Co.background_vert,fragmentShader:Co.background_frag},cube:{uniforms:uo([Ao.envmap,{opacity:{value:1}}]),vertexShader:Co.cube_vert,fragmentShader:Co.cube_frag},equirect:{uniforms:{tEquirect:{value:null}},vertexShader:Co.equirect_vert,fragmentShader:Co.equirect_frag},distanceRGBA:{uniforms:uo([Ao.common,Ao.displacementmap,{referencePosition:{value:new Vector3},nearDistance:{value:1},farDistance:{value:1e3}}]),vertexShader:Co.distanceRGBA_vert,fragmentShader:Co.distanceRGBA_frag},shadow:{uniforms:uo([Ao.lights,Ao.fog,{color:{value:new Color(0)},opacity:{value:1}}]),vertexShader:Co.shadow_vert,fragmentShader:Co.shadow_frag}};function Oo(t,n,r,a,s){const l=new Color(0);let d,h,p=0,f=null,m=0,g=null;function v(t,n){r.buffers.color.setClear(t.r,t.g,t.b,n,s)}return{getClearColor:function(){return l},setClearColor:function(t,n=1){l.set(t),p=n,v(l,p)},getClearAlpha:function(){return p},setClearAlpha:function(t){p=t,v(l,p)},render:function(r,s,y,b){let S=!0===s.isScene?s.background:null;S&&S.isTexture&&(S=n.get(S));const _=t.xr,T=_.getSession&&_.getSession();T&&"additive"===T.environmentBlendMode&&(S=null),null===S?v(l,p):S&&S.isColor&&(v(S,1),b=!0),(t.autoClear||b)&&t.clear(t.autoClearColor,t.autoClearDepth,t.autoClearStencil),S&&(S.isCubeTexture||S.isWebGLCubeRenderTarget||S.mapping===_e)?(void 0===h&&(h=new so(new BoxGeometry(1,1,1),new mo({name:"BackgroundCubeMaterial",uniforms:co(ko.cube.uniforms),vertexShader:ko.cube.vertexShader,fragmentShader:ko.cube.fragmentShader,side:w,depthTest:!1,depthWrite:!1,fog:!1})),h.geometry.deleteAttribute("normal"),h.geometry.deleteAttribute("uv"),h.onBeforeRender=function(t,n,r){this.matrixWorld.copyPosition(r.matrixWorld)},Object.defineProperty(h.material,"envMap",{get:function(){return this.uniforms.envMap.value}}),a.update(h)),S.isWebGLCubeRenderTarget&&(S=S.texture),h.material.uniforms.envMap.value=S,h.material.uniforms.flipEnvMap.value=S.isCubeTexture&&S._needsFlipEnvMap?-1:1,f===S&&m===S.version&&g===t.toneMapping||(h.material.needsUpdate=!0,f=S,m=S.version,g=t.toneMapping),r.unshift(h,h.geometry,h.material,0,0,null)):S&&S.isTexture&&(void 0===d&&(d=new so(new PlaneGeometry(2,2),new mo({name:"BackgroundMaterial",uniforms:co(ko.background.uniforms),vertexShader:ko.background.vertexShader,fragmentShader:ko.background.fragmentShader,side:x,depthTest:!1,depthWrite:!1,fog:!1})),d.geometry.deleteAttribute("normal"),Object.defineProperty(d.material,"map",{get:function(){return this.uniforms.t2D.value}}),a.update(d)),d.material.uniforms.t2D.value=S,!0===S.matrixAutoUpdate&&S.updateMatrix(),d.material.uniforms.uvTransform.value.copy(S.matrix),f===S&&m===S.version&&g===t.toneMapping||(d.material.needsUpdate=!0,f=S,m=S.version,g=t.toneMapping),r.unshift(d,d.geometry,d.material,0,0,null))}}}function Ro(t,n,r,a){const s=t.getParameter(34921),l=a.isWebGL2?null:n.get("OES_vertex_array_object"),d=a.isWebGL2||null!==l,h={},p=v(null);let f=p;function m(n){return a.isWebGL2?t.bindVertexArray(n):l.bindVertexArrayOES(n)}function g(n){return a.isWebGL2?t.deleteVertexArray(n):l.deleteVertexArrayOES(n)}function v(t){const n=[],r=[],a=[];for(let t=0;t<s;t++)n[t]=0,r[t]=0,a[t]=0;return{geometry:null,program:null,wireframe:!1,newAttributes:n,enabledAttributes:r,attributeDivisors:a,object:t,attributes:{},index:null}}function y(){const t=f.newAttributes;for(let n=0,r=t.length;n<r;n++)t[n]=0}function b(t){x(t,0)}function x(r,s){const l=f.newAttributes,d=f.enabledAttributes,h=f.attributeDivisors;if(l[r]=1,0===d[r]&&(t.enableVertexAttribArray(r),d[r]=1),h[r]!==s){(a.isWebGL2?t:n.get("ANGLE_instanced_arrays"))[a.isWebGL2?"vertexAttribDivisor":"vertexAttribDivisorANGLE"](r,s),h[r]=s}}function w(){const n=f.newAttributes,r=f.enabledAttributes;for(let a=0,s=r.length;a<s;a++)r[a]!==n[a]&&(t.disableVertexAttribArray(a),r[a]=0)}function S(n,r,s,l,d,h){!0!==a.isWebGL2||5124!==s&&5125!==s?t.vertexAttribPointer(n,r,s,l,d,h):t.vertexAttribIPointer(n,r,s,d,h)}function _(){T(),f!==p&&(f=p,m(f.object))}function T(){p.geometry=null,p.program=null,p.wireframe=!1}return{setup:function(s,p,g,_,T){let E=!1;if(d){const n=function(n,r,s){const d=!0===s.wireframe;let p=h[n.id];void 0===p&&(p={},h[n.id]=p);let f=p[r.id];void 0===f&&(f={},p[r.id]=f);let m=f[d];void 0===m&&(m=v(a.isWebGL2?t.createVertexArray():l.createVertexArrayOES()),f[d]=m);return m}(_,g,p);f!==n&&(f=n,m(f.object)),E=function(t,n){const r=f.attributes,a=t.attributes;let s=0;for(const t in a){const n=r[t],l=a[t];if(void 0===n)return!0;if(n.attribute!==l)return!0;if(n.data!==l.data)return!0;s++}return f.attributesNum!==s||f.index!==n}(_,T),E&&function(t,n){const r={},a=t.attributes;let s=0;for(const t in a){const n=a[t],l={};l.attribute=n,n.data&&(l.data=n.data),r[t]=l,s++}f.attributes=r,f.attributesNum=s,f.index=n}(_,T)}else{const t=!0===p.wireframe;f.geometry===_.id&&f.program===g.id&&f.wireframe===t||(f.geometry=_.id,f.program=g.id,f.wireframe=t,E=!0)}!0===s.isInstancedMesh&&(E=!0),null!==T&&r.update(T,34963),E&&(!function(s,l,d,h){if(!1===a.isWebGL2&&(s.isInstancedMesh||h.isInstancedBufferGeometry)&&null===n.get("ANGLE_instanced_arrays"))return;y();const p=h.attributes,f=d.getAttributes(),m=l.defaultAttributeValues;for(const n in f){const a=f[n];if(a>=0){const l=p[n];if(void 0!==l){const n=l.normalized,s=l.itemSize,d=r.get(l);if(void 0===d)continue;const p=d.buffer,f=d.type,m=d.bytesPerElement;if(l.isInterleavedBufferAttribute){const r=l.data,d=r.stride,g=l.offset;r&&r.isInstancedInterleavedBuffer?(x(a,r.meshPerAttribute),void 0===h._maxInstanceCount&&(h._maxInstanceCount=r.meshPerAttribute*r.count)):b(a),t.bindBuffer(34962,p),S(a,s,f,n,d*m,g*m)}else l.isInstancedBufferAttribute?(x(a,l.meshPerAttribute),void 0===h._maxInstanceCount&&(h._maxInstanceCount=l.meshPerAttribute*l.count)):b(a),t.bindBuffer(34962,p),S(a,s,f,n,0,0)}else if("instanceMatrix"===n){const n=r.get(s.instanceMatrix);if(void 0===n)continue;const l=n.buffer,d=n.type;x(a+0,1),x(a+1,1),x(a+2,1),x(a+3,1),t.bindBuffer(34962,l),t.vertexAttribPointer(a+0,4,d,!1,64,0),t.vertexAttribPointer(a+1,4,d,!1,64,16),t.vertexAttribPointer(a+2,4,d,!1,64,32),t.vertexAttribPointer(a+3,4,d,!1,64,48)}else if("instanceColor"===n){const n=r.get(s.instanceColor);if(void 0===n)continue;const l=n.buffer,d=n.type;x(a,1),t.bindBuffer(34962,l),t.vertexAttribPointer(a,3,d,!1,12,0)}else if(void 0!==m){const r=m[n];if(void 0!==r)switch(r.length){case 2:t.vertexAttrib2fv(a,r);break;case 3:t.vertexAttrib3fv(a,r);break;case 4:t.vertexAttrib4fv(a,r);break;default:t.vertexAttrib1fv(a,r)}}}}w()}(s,p,g,_),null!==T&&t.bindBuffer(34963,r.get(T).buffer))},reset:_,resetDefaultState:T,dispose:function(){_();for(const t in h){const n=h[t];for(const t in n){const r=n[t];for(const t in r)g(r[t].object),delete r[t];delete n[t]}delete h[t]}},releaseStatesOfGeometry:function(t){if(void 0===h[t.id])return;const n=h[t.id];for(const t in n){const r=n[t];for(const t in r)g(r[t].object),delete r[t];delete n[t]}delete h[t.id]},releaseStatesOfProgram:function(t){for(const n in h){const r=h[n];if(void 0===r[t.id])continue;const a=r[t.id];for(const t in a)g(a[t].object),delete a[t];delete r[t.id]}},initAttributes:y,enableAttribute:b,disableUnusedAttributes:w}}function Io(t,n,r,s){const l=s.isWebGL2;let d;this.setMode=function(t){d=t},this.render=function(n,a){t.drawArrays(d,n,a),r.update(a,d,1)},this.renderInstances=function(s,h,p){if(0===p)return;let f,m;if(l)f=t,m="drawArraysInstanced";else if(f=n.get("ANGLE_instanced_arrays"),m="drawArraysInstancedANGLE",null===f)return void a.error("THREE.WebGLBufferRenderer: using THREE.InstancedBufferGeometry but hardware does not support extension ANGLE_instanced_arrays.");f[m](d,s,h,p),r.update(h,d,p)}}function Po(t,n,r){let s;function l(n){if("highp"===n){if(t.getShaderPrecisionFormat(35633,36338).precision>0&&t.getShaderPrecisionFormat(35632,36338).precision>0)return"highp";n="mediump"}return"mediump"===n&&t.getShaderPrecisionFormat(35633,36337).precision>0&&t.getShaderPrecisionFormat(35632,36337).precision>0?"mediump":"lowp"}const d="undefined"!=typeof WebGL2RenderingContext&&t instanceof WebGL2RenderingContext||"undefined"!=typeof WebGL2ComputeRenderingContext&&t instanceof WebGL2ComputeRenderingContext;let h=void 0!==r.precision?r.precision:"highp";const p=l(h);p!==h&&(a.warn("THREE.WebGLRenderer:",h,"not supported, using",p,"instead."),h=p);const f=!0===r.logarithmicDepthBuffer,m=t.getParameter(34930),g=t.getParameter(35660),v=t.getParameter(3379),y=t.getParameter(34076),b=t.getParameter(34921),x=t.getParameter(36347),w=t.getParameter(36348),S=t.getParameter(36349),_=g>0,T=d||!!n.get("OES_texture_float");return{isWebGL2:d,getMaxAnisotropy:function(){if(void 0!==s)return s;const r=n.get("EXT_texture_filter_anisotropic");return s=null!==r?t.getParameter(r.MAX_TEXTURE_MAX_ANISOTROPY_EXT):0,s},getMaxPrecision:l,precision:h,logarithmicDepthBuffer:f,maxTextures:m,maxVertexTextures:g,maxTextureSize:v,maxCubemapSize:y,maxAttributes:b,maxVertexUniforms:x,maxVaryings:w,maxFragmentUniforms:S,vertexTextures:_,floatFragmentTextures:T,floatVertexTextures:_&&T,maxSamples:d?t.getParameter(36183):0}}function Lo(t){const n=this;let r=null,a=0,s=!1,l=!1;const d=new Plane,h=new Matrix3,p={value:null,needsUpdate:!1};function f(){p.value!==r&&(p.value=r,p.needsUpdate=a>0),n.numPlanes=a,n.numIntersection=0}function m(t,r,a,s){const l=null!==t?t.length:0;let f=null;if(0!==l){if(f=p.value,!0!==s||null===f){const n=a+4*l,s=r.matrixWorldInverse;h.getNormalMatrix(s),(null===f||f.length<n)&&(f=new Float32Array(n));for(let n=0,r=a;n!==l;++n,r+=4)d.copy(t[n]).applyMatrix4(s,h),d.normal.toArray(f,r),f[r+3]=d.constant}p.value=f,p.needsUpdate=!0}return n.numPlanes=l,n.numIntersection=0,f}this.uniform=p,this.numPlanes=0,this.numIntersection=0,this.init=function(t,n,l){const d=0!==t.length||n||0!==a||s;return s=n,r=m(t,l,0),a=t.length,d},this.beginShadows=function(){l=!0,m(null)},this.endShadows=function(){l=!1,f()},this.setState=function(n,d,h){const g=n.clippingPlanes,v=n.clipIntersection,y=n.clipShadows,b=t.get(n);if(!s||null===g||0===g.length||l&&!y)l?m(null):f();else{const t=l?0:a,n=4*t;let s=b.clippingState||null;p.value=s,s=m(g,d,n,h);for(let t=0;t!==n;++t)s[t]=r[t];b.clippingState=s,this.numIntersection=v?this.numPlanes:0,this.numPlanes+=t}}}function Do(t){let n=new WeakMap;function r(t,n){return n===we?t.mapping=be:n===Se&&(t.mapping=xe),t}function a(t){const r=t.target;r.removeEventListener("dispose",a);const s=n.get(r);void 0!==s&&(n.delete(r),s.dispose())}return{get:function(s){if(s&&s.isTexture){const l=s.mapping;if(l===we||l===Se){if(n.has(s)){return r(n.get(s).texture,s.mapping)}{const l=s.image;if(l&&l.height>0){const d=t.getRenderList(),h=t.getRenderTarget(),p=new WebGLCubeRenderTarget(l.height/2);return p.fromEquirectangularTexture(t,s),n.set(s,p),t.setRenderTarget(h),t.setRenderList(d),s.addEventListener("dispose",a),r(p.texture,s.mapping)}return null}}}return s},dispose:function(){n=new WeakMap}}}function Fo(t){const n={};function r(r){if(void 0!==n[r])return n[r];let a;switch(r){case"WEBGL_depth_texture":a=t.getExtension("WEBGL_depth_texture")||t.getExtension("MOZ_WEBGL_depth_texture")||t.getExtension("WEBKIT_WEBGL_depth_texture");break;case"EXT_texture_filter_anisotropic":a=t.getExtension("EXT_texture_filter_anisotropic")||t.getExtension("MOZ_EXT_texture_filter_anisotropic")||t.getExtension("WEBKIT_EXT_texture_filter_anisotropic");break;case"WEBGL_compressed_texture_s3tc":a=t.getExtension("WEBGL_compressed_texture_s3tc")||t.getExtension("MOZ_WEBGL_compressed_texture_s3tc")||t.getExtension("WEBKIT_WEBGL_compressed_texture_s3tc");break;case"WEBGL_compressed_texture_pvrtc":a=t.getExtension("WEBGL_compressed_texture_pvrtc")||t.getExtension("WEBKIT_WEBGL_compressed_texture_pvrtc");break;default:a=t.getExtension(r)}return n[r]=a,a}return{has:function(t){return null!==r(t)},init:function(t){t.isWebGL2?r("EXT_color_buffer_float"):(r("WEBGL_depth_texture"),r("OES_texture_float"),r("OES_texture_half_float"),r("OES_texture_half_float_linear"),r("OES_standard_derivatives"),r("OES_element_index_uint"),r("OES_vertex_array_object"),r("ANGLE_instanced_arrays")),r("OES_texture_float_linear"),r("EXT_color_buffer_half_float")},get:function(t){const n=r(t);return null===n&&a.warn("THREE.WebGLRenderer: "+t+" extension not supported."),n}}}function No(t,n,r,a){const s={},l=new WeakMap;function d(t){const h=t.target;null!==h.index&&n.remove(h.index);for(const t in h.attributes)n.remove(h.attributes[t]);h.removeEventListener("dispose",d),delete s[h.id];const p=l.get(h);p&&(n.remove(p),l.delete(h)),a.releaseStatesOfGeometry(h),!0===h.isInstancedBufferGeometry&&delete h._maxInstanceCount,r.memory.geometries--}function h(t){const r=[],a=t.index,s=t.attributes.position;let d=0;if(null!==a){const t=a.array;d=a.version;for(let n=0,a=t.length;n<a;n+=3){const a=t[n+0],s=t[n+1],l=t[n+2];r.push(a,s,s,l,l,a)}}else{const t=s.array;d=s.version;for(let n=0,a=t.length/3-1;n<a;n+=3){const t=n+0,a=n+1,s=n+2;r.push(t,a,a,s,s,t)}}const h=new(Pr(r)>65535?kr:Cr)(r,1);h.version=d;const p=l.get(t);p&&n.remove(p),l.set(t,h)}return{get:function(t,n){return!0===s[n.id]||(n.addEventListener("dispose",d),s[n.id]=!0,r.memory.geometries++),n},update:function(t){const r=t.attributes;for(const t in r)n.update(r[t],34962);const a=t.morphAttributes;for(const t in a){const r=a[t];for(let t=0,a=r.length;t<a;t++)n.update(r[t],34962)}},getWireframeAttribute:function(t){const n=l.get(t);if(n){const r=t.index;null!==r&&n.version<r.version&&h(t)}else h(t);return l.get(t)}}}function Bo(t,n,r,s){const l=s.isWebGL2;let d,h,p;this.setMode=function(t){d=t},this.setIndex=function(t){h=t.type,p=t.bytesPerElement},this.render=function(n,a){t.drawElements(d,a,h,n*p),r.update(a,d,1)},this.renderInstances=function(s,f,m){if(0===m)return;let g,v;if(l)g=t,v="drawElementsInstanced";else if(g=n.get("ANGLE_instanced_arrays"),v="drawElementsInstancedANGLE",null===g)return void a.error("THREE.WebGLIndexedBufferRenderer: using THREE.InstancedBufferGeometry but hardware does not support extension ANGLE_instanced_arrays.");g[v](d,f,h,s*p,m),r.update(f,d,m)}}function zo(t){const n={frame:0,calls:0,triangles:0,points:0,lines:0};return{memory:{geometries:0,textures:0},render:n,programs:null,autoReset:!0,reset:function(){n.frame++,n.calls=0,n.triangles=0,n.points=0,n.lines=0},update:function(t,r,s){switch(n.calls++,r){case 4:n.triangles+=s*(t/3);break;case 1:n.lines+=s*(t/2);break;case 3:n.lines+=s*(t-1);break;case 2:n.lines+=s*t;break;case 0:n.points+=s*t;break;default:a.error("THREE.WebGLInfo: Unknown draw mode:",r)}}}}function $o(t,n){return t[0]-n[0]}function jo(t,n){return Math.abs(n[1])-Math.abs(t[1])}function Vo(t){const n={},r=new Float32Array(8),a=[];for(let t=0;t<8;t++)a[t]=[t,0];return{update:function(s,l,d,h){const p=s.morphTargetInfluences,f=void 0===p?0:p.length;let m=n[l.id];if(void 0===m){m=[];for(let t=0;t<f;t++)m[t]=[t,0];n[l.id]=m}for(let t=0;t<f;t++){const n=m[t];n[0]=t,n[1]=p[t]}m.sort(jo);for(let t=0;t<8;t++)t<f&&m[t][1]?(a[t][0]=m[t][0],a[t][1]=m[t][1]):(a[t][0]=Number.MAX_SAFE_INTEGER,a[t][1]=0);a.sort($o);const g=d.morphTargets&&l.morphAttributes.position,v=d.morphNormals&&l.morphAttributes.normal;let y=0;for(let t=0;t<8;t++){const n=a[t],s=n[0],d=n[1];s!==Number.MAX_SAFE_INTEGER&&d?(g&&l.getAttribute("morphTarget"+t)!==g[s]&&l.setAttribute("morphTarget"+t,g[s]),v&&l.getAttribute("morphNormal"+t)!==v[s]&&l.setAttribute("morphNormal"+t,v[s]),r[t]=d,y+=d):(g&&!0===l.hasAttribute("morphTarget"+t)&&l.deleteAttribute("morphTarget"+t),v&&!0===l.hasAttribute("morphNormal"+t)&&l.deleteAttribute("morphNormal"+t),r[t]=0)}const b=l.morphTargetsRelative?1:1-y;h.getUniforms().setValue(t,"morphTargetBaseInfluence",b),h.getUniforms().setValue(t,"morphTargetInfluences",r)}}}function Uo(t,n,r,a){let s=new WeakMap;function l(t){const n=t.target;n.removeEventListener("dispose",l),r.remove(n.instanceMatrix),null!==n.instanceColor&&r.remove(n.instanceColor)}return{update:function(t){const d=a.render.frame,h=t.geometry,p=n.get(t,h);return s.get(p)!==d&&(n.update(p),s.set(p,d)),t.isInstancedMesh&&(!1===t.hasEventListener("dispose",l)&&t.addEventListener("dispose",l),r.update(t.instanceMatrix,34962),null!==t.instanceColor&&r.update(t.instanceColor,34962)),p},dispose:function(){s=new WeakMap}}}function Go(t=null,n=1,r=1,a=1){nn.call(this,null),this.image={data:t,width:n,height:r,depth:a},this.magFilter=Ae,this.minFilter=Ae,this.wrapR=Ee,this.generateMipmaps=!1,this.flipY=!1,this.needsUpdate=!0}function Ho(t=null,n=1,r=1,a=1){nn.call(this,null),this.image={data:t,width:n,height:r,depth:a},this.magFilter=Ae,this.minFilter=Ae,this.wrapR=Ee,this.generateMipmaps=!1,this.flipY=!1,this.needsUpdate=!0}ko.physical={uniforms:uo([ko.standard.uniforms,{clearcoat:{value:0},clearcoatMap:{value:null},clearcoatRoughness:{value:0},clearcoatRoughnessMap:{value:null},clearcoatNormalScale:{value:new Vector2(1,1)},clearcoatNormalMap:{value:null},sheen:{value:new Color(0)},transmission:{value:0},transmissionMap:{value:null}}]),vertexShader:Co.meshphysical_vert,fragmentShader:Co.meshphysical_frag},Go.prototype=Object.create(nn.prototype),Go.prototype.constructor=Go,Go.prototype.isDataTexture2DArray=!0,Ho.prototype=Object.create(nn.prototype),Ho.prototype.constructor=Ho,Ho.prototype.isDataTexture3D=!0;const Wo=new nn,qo=new Go,Xo=new Ho,Yo=new wo,Zo=[],Ko=[],Jo=new Float32Array(16),Qo=new Float32Array(9),ea=new Float32Array(4);function ta(t,n,r){const a=t[0];if(a<=0||a>0)return t;const s=n*r;let l=Zo[s];if(void 0===l&&(l=new Float32Array(s),Zo[s]=l),0!==n){a.toArray(l,0);for(let a=1,s=0;a!==n;++a)s+=r,t[a].toArray(l,s)}return l}function ia(t,n){if(t.length!==n.length)return!1;for(let r=0,a=t.length;r<a;r++)if(t[r]!==n[r])return!1;return!0}function na(t,n){for(let r=0,a=n.length;r<a;r++)t[r]=n[r]}function ra(t,n){let r=Ko[n];void 0===r&&(r=new Int32Array(n),Ko[n]=r);for(let a=0;a!==n;++a)r[a]=t.allocateTextureUnit();return r}function oa(t,n){const r=this.cache;r[0]!==n&&(t.uniform1f(this.addr,n),r[0]=n)}function aa(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y||(t.uniform2f(this.addr,n.x,n.y),r[0]=n.x,r[1]=n.y);else{if(ia(r,n))return;t.uniform2fv(this.addr,n),na(r,n)}}function sa(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y&&r[2]===n.z||(t.uniform3f(this.addr,n.x,n.y,n.z),r[0]=n.x,r[1]=n.y,r[2]=n.z);else if(void 0!==n.r)r[0]===n.r&&r[1]===n.g&&r[2]===n.b||(t.uniform3f(this.addr,n.r,n.g,n.b),r[0]=n.r,r[1]=n.g,r[2]=n.b);else{if(ia(r,n))return;t.uniform3fv(this.addr,n),na(r,n)}}function la(t,n){const r=this.cache;if(void 0!==n.x)r[0]===n.x&&r[1]===n.y&&r[2]===n.z&&r[3]===n.w||(t.uniform4f(this.addr,n.x,n.y,n.z,n.w),r[0]=n.x,r[1]=n.y,r[2]=n.z,r[3]=n.w);else{if(ia(r,n))return;t.uniform4fv(this.addr,n),na(r,n)}}function ca(t,n){const r=this.cache,a=n.elements;if(void 0===a){if(ia(r,n))return;t.uniformMatrix2fv(this.addr,!1,n),na(r,n)}else{if(ia(r,a))return;ea.set(a),t.uniformMatrix2fv(this.addr,!1,ea),na(r,a)}}function da(t,n){const r=this.cache,a=n.elements;if(void 0===a){if(ia(r,n))return;t.uniformMatrix3fv(this.addr,!1,n),na(r,n)}else{if(ia(r,a))return;Qo.set(a),t.uniformMatrix3fv(this.addr,!1,Qo),na(r,a)}}function ua(t,n){const r=this.cache,a=n.elements;if(void 0===a){if(ia(r,n))return;t.uniformMatrix4fv(this.addr,!1,n),na(r,n)}else{if(ia(r,a))return;Jo.set(a),t.uniformMatrix4fv(this.addr,!1,Jo),na(r,a)}}function ha(t,n,r){const a=this.cache,s=r.allocateTextureUnit();a[0]!==s&&(t.uniform1i(this.addr,s),a[0]=s),r.safeSetTexture2D(n||Wo,s)}function pa(t,n,r){const a=this.cache,s=r.allocateTextureUnit();a[0]!==s&&(t.uniform1i(this.addr,s),a[0]=s),r.setTexture2DArray(n||qo,s)}function fa(t,n,r){const a=this.cache,s=r.allocateTextureUnit();a[0]!==s&&(t.uniform1i(this.addr,s),a[0]=s),r.setTexture3D(n||Xo,s)}function ma(t,n,r){const a=this.cache,s=r.allocateTextureUnit();a[0]!==s&&(t.uniform1i(this.addr,s),a[0]=s),r.safeSetTextureCube(n||Yo,s)}function ga(t,n){const r=this.cache;r[0]!==n&&(t.uniform1i(this.addr,n),r[0]=n)}function va(t,n){const r=this.cache;ia(r,n)||(t.uniform2iv(this.addr,n),na(r,n))}function ya(t,n){const r=this.cache;ia(r,n)||(t.uniform3iv(this.addr,n),na(r,n))}function ba(t,n){const r=this.cache;ia(r,n)||(t.uniform4iv(this.addr,n),na(r,n))}function xa(t,n){const r=this.cache;r[0]!==n&&(t.uniform1ui(this.addr,n),r[0]=n)}function wa(t,n){t.uniform1fv(this.addr,n)}function Sa(t,n){t.uniform1iv(this.addr,n)}function _a(t,n){t.uniform2iv(this.addr,n)}function Ma(t,n){t.uniform3iv(this.addr,n)}function Ta(t,n){t.uniform4iv(this.addr,n)}function Ea(t,n){const r=ta(n,this.size,2);t.uniform2fv(this.addr,r)}function Ca(t,n){const r=ta(n,this.size,3);t.uniform3fv(this.addr,r)}function Aa(t,n){const r=ta(n,this.size,4);t.uniform4fv(this.addr,r)}function ka(t,n){const r=ta(n,this.size,4);t.uniformMatrix2fv(this.addr,!1,r)}function Oa(t,n){const r=ta(n,this.size,9);t.uniformMatrix3fv(this.addr,!1,r)}function Ra(t,n){const r=ta(n,this.size,16);t.uniformMatrix4fv(this.addr,!1,r)}function Ia(t,n,r){const a=n.length,s=ra(r,a);t.uniform1iv(this.addr,s);for(let t=0;t!==a;++t)r.safeSetTexture2D(n[t]||Wo,s[t])}function Pa(t,n,r){const a=n.length,s=ra(r,a);t.uniform1iv(this.addr,s);for(let t=0;t!==a;++t)r.safeSetTextureCube(n[t]||Yo,s[t])}function La(t,n,r){this.id=t,this.addr=r,this.cache=[],this.setValue=function(t){switch(t){case 5126:return oa;case 35664:return aa;case 35665:return sa;case 35666:return la;case 35674:return ca;case 35675:return da;case 35676:return ua;case 5124:case 35670:return ga;case 35667:case 35671:return va;case 35668:case 35672:return ya;case 35669:case 35673:return ba;case 5125:return xa;case 35678:case 36198:case 36298:case 36306:case 35682:return ha;case 35679:case 36299:case 36307:return fa;case 35680:case 36300:case 36308:case 36293:return ma;case 36289:case 36303:case 36311:case 36292:return pa}}(n.type)}function Da(t,n,r){this.id=t,this.addr=r,this.cache=[],this.size=n.size,this.setValue=function(t){switch(t){case 5126:return wa;case 35664:return Ea;case 35665:return Ca;case 35666:return Aa;case 35674:return ka;case 35675:return Oa;case 35676:return Ra;case 5124:case 35670:return Sa;case 35667:case 35671:return _a;case 35668:case 35672:return Ma;case 35669:case 35673:return Ta;case 35678:case 36198:case 36298:case 36306:case 35682:return Ia;case 35680:case 36300:case 36308:case 36293:return Pa}}(n.type)}function Fa(t){this.id=t,this.seq=[],this.map={}}Da.prototype.updateCache=function(t){const n=this.cache;t instanceof Float32Array&&n.length!==t.length&&(this.cache=new Float32Array(t.length)),na(n,t)},Fa.prototype.setValue=function(t,n,r){const a=this.seq;for(let s=0,l=a.length;s!==l;++s){const l=a[s];l.setValue(t,n[l.id],r)}};const Na=/(\w+)(\])?(\[|\.)?/g;function Ba(t,n){t.seq.push(n),t.map[n.id]=n}function za(t,n,r){const a=t.name,s=a.length;for(Na.lastIndex=0;;){const l=Na.exec(a),d=Na.lastIndex;let h=l[1];const p="]"===l[2],f=l[3];if(p&&(h|=0),void 0===f||"["===f&&d+2===s){Ba(r,void 0===f?new La(h,t,n):new Da(h,t,n));break}{let t=r.map[h];void 0===t&&(t=new Fa(h),Ba(r,t)),r=t}}}function $a(t,n){this.seq=[],this.map={};const r=t.getProgramParameter(n,35718);for(let a=0;a<r;++a){const r=t.getActiveUniform(n,a);za(r,t.getUniformLocation(n,r.name),this)}}function ja(t,n,r){const a=t.createShader(n);return t.shaderSource(a,r),t.compileShader(a),a}$a.prototype.setValue=function(t,n,r,a){const s=this.map[n];void 0!==s&&s.setValue(t,r,a)},$a.prototype.setOptional=function(t,n,r){const a=n[r];void 0!==a&&this.setValue(t,r,a)},$a.upload=function(t,n,r,a){for(let s=0,l=n.length;s!==l;++s){const l=n[s],d=r[l.id];!1!==d.needsUpdate&&l.setValue(t,d.value,a)}},$a.seqWithValue=function(t,n){const r=[];for(let a=0,s=t.length;a!==s;++a){const s=t[a];s.id in n&&r.push(s)}return r};let Va=0;function Ua(t){switch(t){case di:return["Linear","( value )"];case ui:return["sRGB","( value )"];case pi:return["RGBE","( value )"];case mi:return["RGBM","( value, 7.0 )"];case gi:return["RGBM","( value, 16.0 )"];case vi:return["RGBD","( value, 256.0 )"];case hi:return["Gamma","( value, float( GAMMA_FACTOR ) )"];case fi:return["LogLuv","( value )"];default:return a.warn("THREE.WebGLProgram: Unsupported encoding:",t),["Linear","( value )"]}}function Ga(t,n,r){const a=t.getShaderParameter(n,35713),s=t.getShaderInfoLog(n).trim();if(a&&""===s)return"";return"THREE.WebGLShader: gl.getShaderInfoLog() "+r+"\n"+s+function(t){const n=t.split("\n");for(let t=0;t<n.length;t++)n[t]=t+1+": "+n[t];return n.join("\n")}(t.getShaderSource(n))}function Ha(t,n){const r=Ua(n);return"vec4 "+t+"( vec4 value ) { return "+r[0]+"ToLinear"+r[1]+"; }"}function Wa(t,n){const r=Ua(n);return"vec4 "+t+"( vec4 value ) { return LinearTo"+r[0]+r[1]+"; }"}function qa(t,n){let r;switch(n){case pe:r="Linear";break;case fe:r="Reinhard";break;case me:r="OptimizedCineon";break;case ge:r="ACESFilmic";break;case ve:r="Custom";break;default:a.warn("THREE.WebGLProgram: Unsupported toneMapping:",n),r="Linear"}return"vec3 "+t+"( vec3 color ) { return "+r+"ToneMapping( color ); }"}function Xa(t){return""!==t}function Ya(t,n){return t.replace(/NUM_DIR_LIGHTS/g,n.numDirLights).replace(/NUM_SPOT_LIGHTS/g,n.numSpotLights).replace(/NUM_RECT_AREA_LIGHTS/g,n.numRectAreaLights).replace(/NUM_POINT_LIGHTS/g,n.numPointLights).replace(/NUM_HEMI_LIGHTS/g,n.numHemiLights).replace(/NUM_DIR_LIGHT_SHADOWS/g,n.numDirLightShadows).replace(/NUM_SPOT_LIGHT_SHADOWS/g,n.numSpotLightShadows).replace(/NUM_POINT_LIGHT_SHADOWS/g,n.numPointLightShadows)}function Za(t,n){return t.replace(/NUM_CLIPPING_PLANES/g,n.numClippingPlanes).replace(/UNION_CLIPPING_PLANES/g,n.numClippingPlanes-n.numClipIntersection)}const Ka=/^[ \t]*#include +<([\w\d./]+)>/gm;function Ja(t){return t.replace(Ka,Qa)}function Qa(t,n){const r=Co[n];if(void 0===r)throw new Error("Can not resolve #include <"+n+">");return Ja(r)}const es=/#pragma unroll_loop[\s]+?for \( int i \= (\d+)\; i < (\d+)\; i \+\+ \) \{([\s\S]+?)(?=\})\}/g,ts=/#pragma unroll_loop_start\s+for\s*\(\s*int\s+i\s*=\s*(\d+)\s*;\s*i\s*<\s*(\d+)\s*;\s*i\s*\+\+\s*\)\s*{([\s\S]+?)}\s+#pragma unroll_loop_end/g;function is(t){return t.replace(ts,rs).replace(es,ns)}function ns(t,n,r,s){return a.warn("WebGLProgram: #pragma unroll_loop shader syntax is deprecated. Please use #pragma unroll_loop_start syntax instead."),rs(t,n,r,s)}function rs(t,n,r,a){let s="";for(let t=parseInt(n);t<parseInt(r);t++)s+=a.replace(/\[\s*i\s*\]/g,"[ "+t+" ]").replace(/UNROLLED_LOOP_INDEX/g,t);return s}function os(t){let n="precision "+t.precision+" float;\nprecision "+t.precision+" int;";return"highp"===t.precision?n+="\n#define HIGH_PRECISION":"mediump"===t.precision?n+="\n#define MEDIUM_PRECISION":"lowp"===t.precision&&(n+="\n#define LOW_PRECISION"),n}function as(t,n,r,s){const l=t.getContext(),d=r.defines;let h=r.vertexShader,p=r.fragmentShader;const f=function(t){let n="SHADOWMAP_TYPE_BASIC";return t.shadowMapType===v?n="SHADOWMAP_TYPE_PCF":t.shadowMapType===y?n="SHADOWMAP_TYPE_PCF_SOFT":t.shadowMapType===b&&(n="SHADOWMAP_TYPE_VSM"),n}(r),m=function(t){let n="ENVMAP_TYPE_CUBE";if(t.envMap)switch(t.envMapMode){case be:case xe:n="ENVMAP_TYPE_CUBE";break;case _e:case Me:n="ENVMAP_TYPE_CUBE_UV"}return n}(r),g=function(t){let n="ENVMAP_MODE_REFLECTION";if(t.envMap)switch(t.envMapMode){case xe:case Me:n="ENVMAP_MODE_REFRACTION"}return n}(r),x=function(t){let n="ENVMAP_BLENDING_NONE";if(t.envMap)switch(t.combine){case ce:n="ENVMAP_BLENDING_MULTIPLY";break;case de:n="ENVMAP_BLENDING_MIX";break;case ue:n="ENVMAP_BLENDING_ADD"}return n}(r),w=t.gammaFactor>0?t.gammaFactor:1,S=r.isWebGL2?"":function(t){return[t.extensionDerivatives||t.envMapCubeUV||t.bumpMap||t.tangentSpaceNormalMap||t.clearcoatNormalMap||t.flatShading||"physical"===t.shaderID?"#extension GL_OES_standard_derivatives : enable":"",(t.extensionFragDepth||t.logarithmicDepthBuffer)&&t.rendererExtensionFragDepth?"#extension GL_EXT_frag_depth : enable":"",t.extensionDrawBuffers&&t.rendererExtensionDrawBuffers?"#extension GL_EXT_draw_buffers : require":"",(t.extensionShaderTextureLOD||t.envMap)&&t.rendererExtensionShaderTextureLod?"#extension GL_EXT_shader_texture_lod : enable":""].filter(Xa).join("\n")}(r),_=function(t){const n=[];for(const r in t){const a=t[r];!1!==a&&n.push("#define "+r+" "+a)}return n.join("\n")}(d),T=l.createProgram();let E,C,A=r.glslVersion?"#version "+r.glslVersion+"\n":"";r.isRawShaderMaterial?(E=[_].filter(Xa).join("\n"),E.length>0&&(E+="\n"),C=[S,_].filter(Xa).join("\n"),C.length>0&&(C+="\n")):(E=[os(r),"#define SHADER_NAME "+r.shaderName,_,r.instancing?"#define USE_INSTANCING":"",r.instancingColor?"#define USE_INSTANCING_COLOR":"",r.supportsVertexTextures?"#define VERTEX_TEXTURES":"","#define GAMMA_FACTOR "+w,"#define MAX_BONES "+r.maxBones,r.useFog&&r.fog?"#define USE_FOG":"",r.useFog&&r.fogExp2?"#define FOG_EXP2":"",r.map?"#define USE_MAP":"",r.envMap?"#define USE_ENVMAP":"",r.envMap?"#define "+g:"",r.lightMap?"#define USE_LIGHTMAP":"",r.aoMap?"#define USE_AOMAP":"",r.emissiveMap?"#define USE_EMISSIVEMAP":"",r.bumpMap?"#define USE_BUMPMAP":"",r.normalMap?"#define USE_NORMALMAP":"",r.normalMap&&r.objectSpaceNormalMap?"#define OBJECTSPACE_NORMALMAP":"",r.normalMap&&r.tangentSpaceNormalMap?"#define TANGENTSPACE_NORMALMAP":"",r.clearcoatMap?"#define USE_CLEARCOATMAP":"",r.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",r.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",r.displacementMap&&r.supportsVertexTextures?"#define USE_DISPLACEMENTMAP":"",r.specularMap?"#define USE_SPECULARMAP":"",r.roughnessMap?"#define USE_ROUGHNESSMAP":"",r.metalnessMap?"#define USE_METALNESSMAP":"",r.alphaMap?"#define USE_ALPHAMAP":"",r.transmissionMap?"#define USE_TRANSMISSIONMAP":"",r.vertexTangents?"#define USE_TANGENT":"",r.vertexColors?"#define USE_COLOR":"",r.vertexUvs?"#define USE_UV":"",r.uvsVertexOnly?"#define UVS_VERTEX_ONLY":"",r.flatShading?"#define FLAT_SHADED":"",r.skinning?"#define USE_SKINNING":"",r.useVertexTexture?"#define BONE_TEXTURE":"",r.morphTargets?"#define USE_MORPHTARGETS":"",r.morphNormals&&!1===r.flatShading?"#define USE_MORPHNORMALS":"",r.doubleSided?"#define DOUBLE_SIDED":"",r.flipSided?"#define FLIP_SIDED":"",r.shadowMapEnabled?"#define USE_SHADOWMAP":"",r.shadowMapEnabled?"#define "+f:"",r.sizeAttenuation?"#define USE_SIZEATTENUATION":"",r.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"",r.logarithmicDepthBuffer&&r.rendererExtensionFragDepth?"#define USE_LOGDEPTHBUF_EXT":"","uniform mat4 modelMatrix;","uniform mat4 modelViewMatrix;","uniform mat4 projectionMatrix;","uniform mat4 viewMatrix;","uniform mat3 normalMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;","#ifdef USE_INSTANCING","\tattribute mat4 instanceMatrix;","#endif","#ifdef USE_INSTANCING_COLOR","\tattribute vec3 instanceColor;","#endif","attribute vec3 position;","attribute vec3 normal;","attribute vec2 uv;","#ifdef USE_TANGENT","\tattribute vec4 tangent;","#endif","#ifdef USE_COLOR","\tattribute vec3 color;","#endif","#ifdef USE_MORPHTARGETS","\tattribute vec3 morphTarget0;","\tattribute vec3 morphTarget1;","\tattribute vec3 morphTarget2;","\tattribute vec3 morphTarget3;","\t#ifdef USE_MORPHNORMALS","\t\tattribute vec3 morphNormal0;","\t\tattribute vec3 morphNormal1;","\t\tattribute vec3 morphNormal2;","\t\tattribute vec3 morphNormal3;","\t#else","\t\tattribute vec3 morphTarget4;","\t\tattribute vec3 morphTarget5;","\t\tattribute vec3 morphTarget6;","\t\tattribute vec3 morphTarget7;","\t#endif","#endif","#ifdef USE_SKINNING","\tattribute vec4 skinIndex;","\tattribute vec4 skinWeight;","#endif","\n"].filter(Xa).join("\n"),C=[S,os(r),"#define SHADER_NAME "+r.shaderName,_,r.alphaTest?"#define ALPHATEST "+r.alphaTest+(r.alphaTest%1?"":".0"):"","#define GAMMA_FACTOR "+w,r.useFog&&r.fog?"#define USE_FOG":"",r.useFog&&r.fogExp2?"#define FOG_EXP2":"",r.map?"#define USE_MAP":"",r.matcap?"#define USE_MATCAP":"",r.envMap?"#define USE_ENVMAP":"",r.envMap?"#define "+m:"",r.envMap?"#define "+g:"",r.envMap?"#define "+x:"",r.lightMap?"#define USE_LIGHTMAP":"",r.aoMap?"#define USE_AOMAP":"",r.emissiveMap?"#define USE_EMISSIVEMAP":"",r.bumpMap?"#define USE_BUMPMAP":"",r.normalMap?"#define USE_NORMALMAP":"",r.normalMap&&r.objectSpaceNormalMap?"#define OBJECTSPACE_NORMALMAP":"",r.normalMap&&r.tangentSpaceNormalMap?"#define TANGENTSPACE_NORMALMAP":"",r.clearcoatMap?"#define USE_CLEARCOATMAP":"",r.clearcoatRoughnessMap?"#define USE_CLEARCOAT_ROUGHNESSMAP":"",r.clearcoatNormalMap?"#define USE_CLEARCOAT_NORMALMAP":"",r.specularMap?"#define USE_SPECULARMAP":"",r.roughnessMap?"#define USE_ROUGHNESSMAP":"",r.metalnessMap?"#define USE_METALNESSMAP":"",r.alphaMap?"#define USE_ALPHAMAP":"",r.sheen?"#define USE_SHEEN":"",r.transmissionMap?"#define USE_TRANSMISSIONMAP":"",r.vertexTangents?"#define USE_TANGENT":"",r.vertexColors||r.instancingColor?"#define USE_COLOR":"",r.vertexUvs?"#define USE_UV":"",r.uvsVertexOnly?"#define UVS_VERTEX_ONLY":"",r.gradientMap?"#define USE_GRADIENTMAP":"",r.flatShading?"#define FLAT_SHADED":"",r.doubleSided?"#define DOUBLE_SIDED":"",r.flipSided?"#define FLIP_SIDED":"",r.shadowMapEnabled?"#define USE_SHADOWMAP":"",r.shadowMapEnabled?"#define "+f:"",r.premultipliedAlpha?"#define PREMULTIPLIED_ALPHA":"",r.physicallyCorrectLights?"#define PHYSICALLY_CORRECT_LIGHTS":"",r.logarithmicDepthBuffer?"#define USE_LOGDEPTHBUF":"",r.logarithmicDepthBuffer&&r.rendererExtensionFragDepth?"#define USE_LOGDEPTHBUF_EXT":"",(r.extensionShaderTextureLOD||r.envMap)&&r.rendererExtensionShaderTextureLod?"#define TEXTURE_LOD_EXT":"","uniform mat4 viewMatrix;","uniform vec3 cameraPosition;","uniform bool isOrthographic;",r.toneMapping!==he?"#define TONE_MAPPING":"",r.toneMapping!==he?Co.tonemapping_pars_fragment:"",r.toneMapping!==he?qa("toneMapping",r.toneMapping):"",r.dithering?"#define DITHERING":"",Co.encodings_pars_fragment,r.map?Ha("mapTexelToLinear",r.mapEncoding):"",r.matcap?Ha("matcapTexelToLinear",r.matcapEncoding):"",r.envMap?Ha("envMapTexelToLinear",r.envMapEncoding):"",r.emissiveMap?Ha("emissiveMapTexelToLinear",r.emissiveMapEncoding):"",r.lightMap?Ha("lightMapTexelToLinear",r.lightMapEncoding):"",Wa("linearToOutputTexel",r.outputEncoding),r.depthPacking?"#define DEPTH_PACKING "+r.depthPacking:"","\n"].filter(Xa).join("\n")),h=Ja(h),h=Ya(h,r),h=Za(h,r),p=Ja(p),p=Ya(p,r),p=Za(p,r),h=is(h),p=is(p),r.isWebGL2&&!0!==r.isRawShaderMaterial&&(A="#version 300 es\n",E=["#define attribute in","#define varying out","#define texture2D texture"].join("\n")+"\n"+E,C=["#define varying in",r.glslVersion===Xi?"":"out highp vec4 pc_fragColor;",r.glslVersion===Xi?"":"#define gl_FragColor pc_fragColor","#define gl_FragDepthEXT gl_FragDepth","#define texture2D texture","#define textureCube texture","#define texture2DProj textureProj","#define texture2DLodEXT textureLod","#define texture2DProjLodEXT textureProjLod","#define textureCubeLodEXT textureLod","#define texture2DGradEXT textureGrad","#define texture2DProjGradEXT textureProjGrad","#define textureCubeGradEXT textureGrad"].join("\n")+"\n"+C);const O=A+C+p,I=ja(l,35633,A+E+h),P=ja(l,35632,O);if(l.attachShader(T,I),l.attachShader(T,P),void 0!==r.index0AttributeName?l.bindAttribLocation(T,0,r.index0AttributeName):!0===r.morphTargets&&l.bindAttribLocation(T,0,"position"),l.linkProgram(T),t.debug.checkShaderErrors){const t=l.getProgramInfoLog(T).trim(),n=l.getShaderInfoLog(I).trim(),r=l.getShaderInfoLog(P).trim();let s=!0,d=!0;if(!1===l.getProgramParameter(T,35714)){s=!1;const n=Ga(l,I,"vertex"),r=Ga(l,P,"fragment");a.error("THREE.WebGLProgram: shader error: ",l.getError(),"35715",l.getProgramParameter(T,35715),"gl.getProgramInfoLog",t,n,r)}else""!==t?a.warn("THREE.WebGLProgram: gl.getProgramInfoLog()",t):""!==n&&""!==r||(d=!1);d&&(this.diagnostics={runnable:s,programLog:t,vertexShader:{log:n,prefix:E},fragmentShader:{log:r,prefix:C}})}let D,F;return l.deleteShader(I),l.deleteShader(P),this.getUniforms=function(){return void 0===D&&(D=new $a(l,T)),D},this.getAttributes=function(){return void 0===F&&(F=function(t,n){const r={},a=t.getProgramParameter(n,35721);for(let s=0;s<a;s++){const a=t.getActiveAttrib(n,s).name;r[a]=t.getAttribLocation(n,a)}return r}(l,T)),F},this.destroy=function(){s.releaseStatesOfProgram(this),l.deleteProgram(T),this.program=void 0},this.name=r.shaderName,this.id=Va++,this.cacheKey=n,this.usedTimes=1,this.program=T,this.vertexShader=I,this.fragmentShader=P,this}function ss(t,n,r,s,l,d){const h=[],p=s.isWebGL2,f=s.logarithmicDepthBuffer,m=s.floatVertexTextures,g=s.maxVertexUniforms,v=s.vertexTextures;let y=s.precision;const b={MeshDepthMaterial:"depth",MeshDistanceMaterial:"distanceRGBA",MeshNormalMaterial:"normal",MeshBasicMaterial:"basic",MeshLambertMaterial:"lambert",MeshPhongMaterial:"phong",MeshToonMaterial:"toon",MeshStandardMaterial:"physical",MeshPhysicalMaterial:"physical",MeshMatcapMaterial:"matcap",LineBasicMaterial:"basic",LineDashedMaterial:"dashed",PointsMaterial:"points",ShadowMaterial:"shadow",SpriteMaterial:"sprite"},x=["precision","isWebGL2","supportsVertexTextures","outputEncoding","instancing","instancingColor","map","mapEncoding","matcap","matcapEncoding","envMap","envMapMode","envMapEncoding","envMapCubeUV","lightMap","lightMapEncoding","aoMap","emissiveMap","emissiveMapEncoding","bumpMap","normalMap","objectSpaceNormalMap","tangentSpaceNormalMap","clearcoatMap","clearcoatRoughnessMap","clearcoatNormalMap","displacementMap","specularMap","roughnessMap","metalnessMap","gradientMap","alphaMap","combine","vertexColors","vertexTangents","vertexUvs","uvsVertexOnly","fog","useFog","fogExp2","flatShading","sizeAttenuation","logarithmicDepthBuffer","skinning","maxBones","useVertexTexture","morphTargets","morphNormals","maxMorphTargets","maxMorphNormals","premultipliedAlpha","numDirLights","numPointLights","numSpotLights","numHemiLights","numRectAreaLights","numDirLightShadows","numPointLightShadows","numSpotLightShadows","shadowMapEnabled","shadowMapType","toneMapping","physicallyCorrectLights","alphaTest","doubleSided","flipSided","numClippingPlanes","numClipIntersection","depthPacking","dithering","sheen","transmissionMap"];function _(t){let n;return t&&t.isTexture?n=t.encoding:t&&t.isWebGLRenderTarget?(a.warn("THREE.WebGLPrograms.getTextureEncodingFromMap: don't use render targets as textures. Use their .texture property instead."),n=t.texture.encoding):n=di,n}return{getParameters:function(l,h,x,T,E){const C=T.fog,A=l.isMeshStandardMaterial?T.environment:null,O=n.get(l.envMap||A),I=b[l.type],P=E.isSkinnedMesh?function(t){const n=t.skeleton.bones;if(m)return 1024;{const t=g,r=Math.floor((t-20)/4),s=Math.min(r,n.length);return s<n.length?(a.warn("THREE.WebGLRenderer: Skeleton has "+n.length+" bones. This GPU supports "+s+"."),0):s}}(E):0;let D,F;if(null!==l.precision&&(y=s.getMaxPrecision(l.precision),y!==l.precision&&a.warn("THREE.WebGLProgram.getParameters:",l.precision,"not supported, using",y,"instead.")),I){const t=ko[I];D=t.vertexShader,F=t.fragmentShader}else D=l.vertexShader,F=l.fragmentShader;const B=t.getRenderTarget();return{isWebGL2:p,shaderID:I,shaderName:l.type,vertexShader:D,fragmentShader:F,defines:l.defines,isRawShaderMaterial:!0===l.isRawShaderMaterial,glslVersion:l.glslVersion,precision:y,instancing:!0===E.isInstancedMesh,instancingColor:!0===E.isInstancedMesh&&null!==E.instanceColor,supportsVertexTextures:v,outputEncoding:null!==B?_(B.texture):t.outputEncoding,map:!!l.map,mapEncoding:_(l.map),matcap:!!l.matcap,matcapEncoding:_(l.matcap),envMap:!!O,envMapMode:O&&O.mapping,envMapEncoding:_(O),envMapCubeUV:!!O&&(O.mapping===_e||O.mapping===Me),lightMap:!!l.lightMap,lightMapEncoding:_(l.lightMap),aoMap:!!l.aoMap,emissiveMap:!!l.emissiveMap,emissiveMapEncoding:_(l.emissiveMap),bumpMap:!!l.bumpMap,normalMap:!!l.normalMap,objectSpaceNormalMap:l.normalMapType===wi,tangentSpaceNormalMap:l.normalMapType===xi,clearcoatMap:!!l.clearcoatMap,clearcoatRoughnessMap:!!l.clearcoatRoughnessMap,clearcoatNormalMap:!!l.clearcoatNormalMap,displacementMap:!!l.displacementMap,roughnessMap:!!l.roughnessMap,metalnessMap:!!l.metalnessMap,specularMap:!!l.specularMap,alphaMap:!!l.alphaMap,gradientMap:!!l.gradientMap,sheen:!!l.sheen,transmissionMap:!!l.transmissionMap,combine:l.combine,vertexTangents:l.normalMap&&l.vertexTangents,vertexColors:l.vertexColors,vertexUvs:!!(l.map||l.bumpMap||l.normalMap||l.specularMap||l.alphaMap||l.emissiveMap||l.roughnessMap||l.metalnessMap||l.clearcoatMap||l.clearcoatRoughnessMap||l.clearcoatNormalMap||l.displacementMap||l.transmissionMap),uvsVertexOnly:!(l.map||l.bumpMap||l.normalMap||l.specularMap||l.alphaMap||l.emissiveMap||l.roughnessMap||l.metalnessMap||l.clearcoatNormalMap||l.transmissionMap||!l.displacementMap),fog:!!C,useFog:l.fog,fogExp2:C&&C.isFogExp2,flatShading:l.flatShading,sizeAttenuation:l.sizeAttenuation,logarithmicDepthBuffer:f,skinning:l.skinning&&P>0,maxBones:P,useVertexTexture:m,morphTargets:l.morphTargets,morphNormals:l.morphNormals,maxMorphTargets:t.maxMorphTargets,maxMorphNormals:t.maxMorphNormals,numDirLights:h.directional.length,numPointLights:h.point.length,numSpotLights:h.spot.length,numRectAreaLights:h.rectArea.length,numHemiLights:h.hemi.length,numDirLightShadows:h.directionalShadowMap.length,numPointLightShadows:h.pointShadowMap.length,numSpotLightShadows:h.spotShadowMap.length,numClippingPlanes:d.numPlanes,numClipIntersection:d.numIntersection,dithering:l.dithering,shadowMapEnabled:t.shadowMap.enabled&&x.length>0,shadowMapType:t.shadowMap.type,toneMapping:l.toneMapped?t.toneMapping:he,physicallyCorrectLights:t.physicallyCorrectLights,premultipliedAlpha:l.premultipliedAlpha,alphaTest:l.alphaTest,doubleSided:l.side===S,flipSided:l.side===w,depthPacking:void 0!==l.depthPacking&&l.depthPacking,index0AttributeName:l.index0AttributeName,extensionDerivatives:l.extensions&&l.extensions.derivatives,extensionFragDepth:l.extensions&&l.extensions.fragDepth,extensionDrawBuffers:l.extensions&&l.extensions.drawBuffers,extensionShaderTextureLOD:l.extensions&&l.extensions.shaderTextureLOD,rendererExtensionFragDepth:p||r.has("EXT_frag_depth"),rendererExtensionDrawBuffers:p||r.has("WEBGL_draw_buffers"),rendererExtensionShaderTextureLod:p||r.has("EXT_shader_texture_lod"),customProgramCacheKey:l.customProgramCacheKey()}},getProgramCacheKey:function(n){const r=[];if(n.shaderID?r.push(n.shaderID):(r.push(n.fragmentShader),r.push(n.vertexShader)),void 0!==n.defines)for(const t in n.defines)r.push(t),r.push(n.defines[t]);if(!1===n.isRawShaderMaterial){for(let t=0;t<x.length;t++)r.push(n[x[t]]);r.push(t.outputEncoding),r.push(t.gammaFactor)}return r.push(n.customProgramCacheKey),r.join()},getUniforms:function(t){const n=b[t.type];let r;if(n){const t=ko[n];r=ho.clone(t.uniforms)}else r=t.uniforms;return r},acquireProgram:function(n,r){let a;for(let t=0,n=h.length;t<n;t++){const n=h[t];if(n.cacheKey===r){a=n,++a.usedTimes;break}}return void 0===a&&(a=new as(t,r,n,l),h.push(a)),a},releaseProgram:function(t){if(0==--t.usedTimes){const n=h.indexOf(t);h[n]=h[h.length-1],h.pop(),t.destroy()}},programs:h}}function ls(){let t=new WeakMap;return{get:function(n){let r=t.get(n);return void 0===r&&(r={},t.set(n,r)),r},remove:function(n){t.delete(n)},update:function(n,r,a){t.get(n)[r]=a},dispose:function(){t=new WeakMap}}}function cs(t,n){return t.groupOrder!==n.groupOrder?t.groupOrder-n.groupOrder:t.renderOrder!==n.renderOrder?t.renderOrder-n.renderOrder:t.program!==n.program?t.program.id-n.program.id:t.material.id!==n.material.id?t.material.id-n.material.id:t.z!==n.z?t.z-n.z:t.id-n.id}function ds(t,n){return t.groupOrder!==n.groupOrder?t.groupOrder-n.groupOrder:t.renderOrder!==n.renderOrder?t.renderOrder-n.renderOrder:t.z!==n.z?n.z-t.z:t.id-n.id}function us(t){const n=[];let r=0;const a=[],s=[],l={id:-1};function d(a,s,d,h,p,f){let m=n[r];const g=t.get(d);return void 0===m?(m={id:a.id,object:a,geometry:s,material:d,program:g.program||l,groupOrder:h,renderOrder:a.renderOrder,z:p,group:f},n[r]=m):(m.id=a.id,m.object=a,m.geometry=s,m.material=d,m.program=g.program||l,m.groupOrder=h,m.renderOrder=a.renderOrder,m.z=p,m.group=f),r++,m}return{opaque:a,transparent:s,init:function(){r=0,a.length=0,s.length=0},push:function(t,n,r,l,h,p){const f=d(t,n,r,l,h,p);(!0===r.transparent?s:a).push(f)},unshift:function(t,n,r,l,h,p){const f=d(t,n,r,l,h,p);(!0===r.transparent?s:a).unshift(f)},finish:function(){for(let t=r,a=n.length;t<a;t++){const r=n[t];if(null===r.id)break;r.id=null,r.object=null,r.geometry=null,r.material=null,r.program=null,r.group=null}},sort:function(t,n){a.length>1&&a.sort(t||cs),s.length>1&&s.sort(n||ds)}}}function hs(t){let n=new WeakMap;return{get:function(r,a){const s=n.get(r);let l;return void 0===s?(l=new us(t),n.set(r,new WeakMap),n.get(r).set(a,l)):(l=s.get(a),void 0===l&&(l=new us(t),s.set(a,l))),l},dispose:function(){n=new WeakMap}}}function ps(){const t={};return{get:function(n){if(void 0!==t[n.id])return t[n.id];let r;switch(n.type){case"DirectionalLight":r={direction:new Vector3,color:new Color};break;case"SpotLight":r={position:new Vector3,direction:new Vector3,color:new Color,distance:0,coneCos:0,penumbraCos:0,decay:0};break;case"PointLight":r={position:new Vector3,color:new Color,distance:0,decay:0};break;case"HemisphereLight":r={direction:new Vector3,skyColor:new Color,groundColor:new Color};break;case"RectAreaLight":r={color:new Color,position:new Vector3,halfWidth:new Vector3,halfHeight:new Vector3}}return t[n.id]=r,r}}}let fs=0;function ms(t,n){return(n.castShadow?1:0)-(t.castShadow?1:0)}function gs(t,n){const r=new ps,s=function(){const t={};return{get:function(n){if(void 0!==t[n.id])return t[n.id];let r;switch(n.type){case"DirectionalLight":case"SpotLight":r={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new Vector2};break;case"PointLight":r={shadowBias:0,shadowNormalBias:0,shadowRadius:1,shadowMapSize:new Vector2,shadowCameraNear:1,shadowCameraFar:1e3}}return t[n.id]=r,r}}}(),l={version:0,hash:{directionalLength:-1,pointLength:-1,spotLength:-1,rectAreaLength:-1,hemiLength:-1,numDirectionalShadows:-1,numPointShadows:-1,numSpotShadows:-1},ambient:[0,0,0],probe:[],directional:[],directionalShadow:[],directionalShadowMap:[],directionalShadowMatrix:[],spot:[],spotShadow:[],spotShadowMap:[],spotShadowMatrix:[],rectArea:[],rectAreaLTC1:null,rectAreaLTC2:null,point:[],pointShadow:[],pointShadowMap:[],pointShadowMatrix:[],hemi:[]};for(let t=0;t<9;t++)l.probe.push(new Vector3);const d=new Vector3,h=new Matrix4,p=new Matrix4;return{setup:function(d){let h=0,p=0,f=0;for(let t=0;t<9;t++)l.probe[t].set(0,0,0);let m=0,g=0,v=0,y=0,b=0,x=0,w=0,S=0;d.sort(ms);for(let t=0,n=d.length;t<n;t++){const n=d[t],a=n.color,_=n.intensity,T=n.distance,E=n.shadow&&n.shadow.map?n.shadow.map.texture:null;if(n.isAmbientLight)h+=a.r*_,p+=a.g*_,f+=a.b*_;else if(n.isLightProbe)for(let t=0;t<9;t++)l.probe[t].addScaledVector(n.sh.coefficients[t],_);else if(n.isDirectionalLight){const t=r.get(n);if(t.color.copy(n.color).multiplyScalar(n.intensity),n.castShadow){const t=n.shadow,r=s.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,l.directionalShadow[m]=r,l.directionalShadowMap[m]=E,l.directionalShadowMatrix[m]=n.shadow.matrix,x++}l.directional[m]=t,m++}else if(n.isSpotLight){const t=r.get(n);if(t.position.setFromMatrixPosition(n.matrixWorld),t.color.copy(a).multiplyScalar(_),t.distance=T,t.coneCos=Math.cos(n.angle),t.penumbraCos=Math.cos(n.angle*(1-n.penumbra)),t.decay=n.decay,n.castShadow){const t=n.shadow,r=s.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,l.spotShadow[v]=r,l.spotShadowMap[v]=E,l.spotShadowMatrix[v]=n.shadow.matrix,S++}l.spot[v]=t,v++}else if(n.isRectAreaLight){const t=r.get(n);t.color.copy(a).multiplyScalar(_),t.halfWidth.set(.5*n.width,0,0),t.halfHeight.set(0,.5*n.height,0),l.rectArea[y]=t,y++}else if(n.isPointLight){const t=r.get(n);if(t.color.copy(n.color).multiplyScalar(n.intensity),t.distance=n.distance,t.decay=n.decay,n.castShadow){const t=n.shadow,r=s.get(n);r.shadowBias=t.bias,r.shadowNormalBias=t.normalBias,r.shadowRadius=t.radius,r.shadowMapSize=t.mapSize,r.shadowCameraNear=t.camera.near,r.shadowCameraFar=t.camera.far,l.pointShadow[g]=r,l.pointShadowMap[g]=E,l.pointShadowMatrix[g]=n.shadow.matrix,w++}l.point[g]=t,g++}else if(n.isHemisphereLight){const t=r.get(n);t.skyColor.copy(n.color).multiplyScalar(_),t.groundColor.copy(n.groundColor).multiplyScalar(_),l.hemi[b]=t,b++}}y>0&&(n.isWebGL2||!0===t.has("OES_texture_float_linear")?(l.rectAreaLTC1=Ao.LTC_FLOAT_1,l.rectAreaLTC2=Ao.LTC_FLOAT_2):!0===t.has("OES_texture_half_float_linear")?(l.rectAreaLTC1=Ao.LTC_HALF_1,l.rectAreaLTC2=Ao.LTC_HALF_2):a.error("THREE.WebGLRenderer: Unable to use RectAreaLight. Missing WebGL extensions.")),l.ambient[0]=h,l.ambient[1]=p,l.ambient[2]=f;const _=l.hash;_.directionalLength===m&&_.pointLength===g&&_.spotLength===v&&_.rectAreaLength===y&&_.hemiLength===b&&_.numDirectionalShadows===x&&_.numPointShadows===w&&_.numSpotShadows===S||(l.directional.length=m,l.spot.length=v,l.rectArea.length=y,l.point.length=g,l.hemi.length=b,l.directionalShadow.length=x,l.directionalShadowMap.length=x,l.pointShadow.length=w,l.pointShadowMap.length=w,l.spotShadow.length=S,l.spotShadowMap.length=S,l.directionalShadowMatrix.length=x,l.pointShadowMatrix.length=w,l.spotShadowMatrix.length=S,_.directionalLength=m,_.pointLength=g,_.spotLength=v,_.rectAreaLength=y,_.hemiLength=b,_.numDirectionalShadows=x,_.numPointShadows=w,_.numSpotShadows=S,l.version=fs++)},setupView:function(t,n){let r=0,a=0,s=0,f=0,m=0;const g=n.matrixWorldInverse;for(let n=0,v=t.length;n<v;n++){const v=t[n];if(v.isDirectionalLight){const t=l.directional[r];t.direction.setFromMatrixPosition(v.matrixWorld),d.setFromMatrixPosition(v.target.matrixWorld),t.direction.sub(d),t.direction.transformDirection(g),r++}else if(v.isSpotLight){const t=l.spot[s];t.position.setFromMatrixPosition(v.matrixWorld),t.position.applyMatrix4(g),t.direction.setFromMatrixPosition(v.matrixWorld),d.setFromMatrixPosition(v.target.matrixWorld),t.direction.sub(d),t.direction.transformDirection(g),s++}else if(v.isRectAreaLight){const t=l.rectArea[f];t.position.setFromMatrixPosition(v.matrixWorld),t.position.applyMatrix4(g),p.identity(),h.copy(v.matrixWorld),h.premultiply(g),p.extractRotation(h),t.halfWidth.set(.5*v.width,0,0),t.halfHeight.set(0,.5*v.height,0),t.halfWidth.applyMatrix4(p),t.halfHeight.applyMatrix4(p),f++}else if(v.isPointLight){const t=l.point[a];t.position.setFromMatrixPosition(v.matrixWorld),t.position.applyMatrix4(g),a++}else if(v.isHemisphereLight){const t=l.hemi[m];t.direction.setFromMatrixPosition(v.matrixWorld),t.direction.transformDirection(g),t.direction.normalize(),m++}}},state:l}}function vs(t,n){const r=new gs(t,n),a=[],s=[];return{init:function(){a.length=0,s.length=0},state:{lightsArray:a,shadowsArray:s,lights:r},setupLights:function(){r.setup(a)},setupLightsView:function(t){r.setupView(a,t)},pushLight:function(t){a.push(t)},pushShadow:function(t){s.push(t)}}}function ys(t,n){let r=new WeakMap;return{get:function(a,s=0){let l;return!1===r.has(a)?(l=new vs(t,n),r.set(a,[]),r.get(a).push(l)):s>=r.get(a).length?(l=new vs(t,n),r.get(a).push(l)):l=r.get(a)[s],l},dispose:function(){r=new WeakMap}}}function bs(t){yr.call(this),this.type="MeshDepthMaterial",this.depthPacking=yi,this.skinning=!1,this.morphTargets=!1,this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.setValues(t)}function xs(t){yr.call(this),this.type="MeshDistanceMaterial",this.referencePosition=new Vector3,this.nearDistance=1,this.farDistance=1e3,this.skinning=!1,this.morphTargets=!1,this.map=null,this.alphaMap=null,this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.fog=!1,this.setValues(t)}bs.prototype=Object.create(yr.prototype),bs.prototype.constructor=bs,bs.prototype.isMeshDepthMaterial=!0,bs.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.depthPacking=t.depthPacking,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.map=t.map,this.alphaMap=t.alphaMap,this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this},xs.prototype=Object.create(yr.prototype),xs.prototype.constructor=xs,xs.prototype.isMeshDistanceMaterial=!0,xs.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.referencePosition.copy(t.referencePosition),this.nearDistance=t.nearDistance,this.farDistance=t.farDistance,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.map=t.map,this.alphaMap=t.alphaMap,this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this};var ws="uniform sampler2D shadow_pass;\nuniform vec2 resolution;\nuniform float radius;\n#include <packing>\nvoid main() {\n\tfloat mean = 0.0;\n\tfloat squared_mean = 0.0;\n\tfloat depth = unpackRGBAToDepth( texture2D( shadow_pass, ( gl_FragCoord.xy ) / resolution ) );\n\tfor ( float i = -1.0; i < 1.0 ; i += SAMPLE_RATE) {\n\t\t#ifdef HORIZONTAL_PASS\n\t\t\tvec2 distribution = unpackRGBATo2Half( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( i, 0.0 ) * radius ) / resolution ) );\n\t\t\tmean += distribution.x;\n\t\t\tsquared_mean += distribution.y * distribution.y + distribution.x * distribution.x;\n\t\t#else\n\t\t\tfloat depth = unpackRGBAToDepth( texture2D( shadow_pass, ( gl_FragCoord.xy + vec2( 0.0, i ) * radius ) / resolution ) );\n\t\t\tmean += depth;\n\t\t\tsquared_mean += depth * depth;\n\t\t#endif\n\t}\n\tmean = mean * HALF_SAMPLE_RATE;\n\tsquared_mean = squared_mean * HALF_SAMPLE_RATE;\n\tfloat std_dev = sqrt( squared_mean - mean * mean );\n\tgl_FragColor = pack2HalfToRGBA( vec2( mean, std_dev ) );\n}",Ss="void main() {\n\tgl_Position = vec4( position, 1.0 );\n}";function _s(t,n,r){let s=new Frustum;const l=new Vector2,d=new Vector2,h=new Vector4,p=[],f=[],m={},g={0:w,1:x,2:S},y=new mo({defines:{SAMPLE_RATE:2/8,HALF_SAMPLE_RATE:1/8},uniforms:{shadow_pass:{value:null},resolution:{value:new Vector2},radius:{value:4}},vertexShader:Ss,fragmentShader:ws}),_=y.clone();_.defines.HORIZONTAL_PASS=1;const T=new Ur;T.setAttribute("position",new Sr(new Float32Array([-1,-1,.5,3,-1,.5,-1,3,.5]),3));const C=new so(T,y),A=this;function O(r,a){const s=n.update(C);y.uniforms.shadow_pass.value=r.map.texture,y.uniforms.resolution.value=r.mapSize,y.uniforms.radius.value=r.radius,t.setRenderTarget(r.mapPass),t.clear(),t.renderBufferDirect(a,null,s,y,C,null),_.uniforms.shadow_pass.value=r.mapPass.texture,_.uniforms.resolution.value=r.mapSize,_.uniforms.radius.value=r.radius,t.setRenderTarget(r.map),t.clear(),t.renderBufferDirect(a,null,s,_,C,null)}function I(t,n,r){const a=t<<0|n<<1|r<<2;let s=p[a];return void 0===s&&(s=new bs({depthPacking:bi,morphTargets:t,skinning:n}),p[a]=s),s}function P(t,n,r){const a=t<<0|n<<1|r<<2;let s=f[a];return void 0===s&&(s=new xs({morphTargets:t,skinning:n}),f[a]=s),s}function D(n,r,s,l,d,h,p){let f=null,v=I,y=n.customDepthMaterial;if(!0===l.isPointLight&&(v=P,y=n.customDistanceMaterial),void 0===y){let t=!1;!0===s.morphTargets&&(t=r.morphAttributes&&r.morphAttributes.position&&r.morphAttributes.position.length>0);let l=!1;!0===n.isSkinnedMesh&&(!0===s.skinning?l=!0:a.warn("THREE.WebGLShadowMap: THREE.SkinnedMesh with material.skinning set to false:",n));f=v(t,l,!0===n.isInstancedMesh)}else f=y;if(t.localClippingEnabled&&!0===s.clipShadows&&0!==s.clippingPlanes.length){const t=f.uuid,n=s.uuid;let r=m[t];void 0===r&&(r={},m[t]=r);let a=r[n];void 0===a&&(a=f.clone(),r[n]=a),f=a}return f.visible=s.visible,f.wireframe=s.wireframe,f.side=p===b?null!==s.shadowSide?s.shadowSide:s.side:null!==s.shadowSide?s.shadowSide:g[s.side],f.clipShadows=s.clipShadows,f.clippingPlanes=s.clippingPlanes,f.clipIntersection=s.clipIntersection,f.wireframeLinewidth=s.wireframeLinewidth,f.linewidth=s.linewidth,!0===l.isPointLight&&!0===f.isMeshDistanceMaterial&&(f.referencePosition.setFromMatrixPosition(l.matrixWorld),f.nearDistance=d,f.farDistance=h),f}function F(r,a,l,d,h){if(!1===r.visible)return;if(r.layers.test(a.layers)&&(r.isMesh||r.isLine||r.isPoints)&&(r.castShadow||r.receiveShadow&&h===b)&&(!r.frustumCulled||s.intersectsObject(r))){r.modelViewMatrix.multiplyMatrices(l.matrixWorldInverse,r.matrixWorld);const a=n.update(r),s=r.material;if(Array.isArray(s)){const n=a.groups;for(let p=0,f=n.length;p<f;p++){const f=n[p],m=s[f.materialIndex];if(m&&m.visible){const n=D(r,a,m,d,l.near,l.far,h);t.renderBufferDirect(l,null,a,n,r,f)}}}else if(s.visible){const n=D(r,a,s,d,l.near,l.far,h);t.renderBufferDirect(l,null,a,n,r,null)}}const p=r.children;for(let t=0,n=p.length;t<n;t++)F(p[t],a,l,d,h)}this.enabled=!1,this.autoUpdate=!0,this.needsUpdate=!1,this.type=v,this.render=function(n,p,f){if(!1===A.enabled)return;if(!1===A.autoUpdate&&!1===A.needsUpdate)return;if(0===n.length)return;const m=t.getRenderTarget(),g=t.getActiveCubeFace(),v=t.getActiveMipmapLevel(),y=t.state;y.setBlending(E),y.buffers.color.setClear(1,1,1,1),y.buffers.depth.setTest(!0),y.setScissorTest(!1);for(let m=0,g=n.length;m<g;m++){const g=n[m],v=g.shadow;if(void 0===v){a.warn("THREE.WebGLShadowMap:",g,"has no shadow.");continue}if(!1===v.autoUpdate&&!1===v.needsUpdate)continue;l.copy(v.mapSize);const x=v.getFrameExtents();if(l.multiply(x),d.copy(v.mapSize),(l.x>r||l.y>r)&&(l.x>r&&(d.x=Math.floor(r/x.x),l.x=d.x*x.x,v.mapSize.x=d.x),l.y>r&&(d.y=Math.floor(r/x.y),l.y=d.y*x.y,v.mapSize.y=d.y)),null===v.map&&!v.isPointLightShadow&&this.type===b){const t={minFilter:Pe,magFilter:Pe,format:Je};v.map=new WebGLRenderTarget(l.x,l.y,t),v.map.texture.name=g.name+".shadowMap",v.mapPass=new WebGLRenderTarget(l.x,l.y,t),v.camera.updateProjectionMatrix()}if(null===v.map){const t={minFilter:Ae,magFilter:Ae,format:Je};v.map=new WebGLRenderTarget(l.x,l.y,t),v.map.texture.name=g.name+".shadowMap",v.camera.updateProjectionMatrix()}t.setRenderTarget(v.map),t.clear();const w=v.getViewportCount();for(let t=0;t<w;t++){const n=v.getViewport(t);h.set(d.x*n.x,d.y*n.y,d.x*n.z,d.y*n.w),y.viewport(h),v.updateMatrices(g,t),s=v.getFrustum(),F(p,f,v.camera,g,this.type)}v.isPointLightShadow||this.type!==b||O(v,f),v.needsUpdate=!1}A.needsUpdate=!1,t.setRenderTarget(m,g,v)}}function Ms(t,n,r){const s=r.isWebGL2;const l=new function(){let n=!1;const r=new Vector4;let a=null;const s=new Vector4(0,0,0,0);return{setMask:function(r){a===r||n||(t.colorMask(r,r,r,r),a=r)},setLocked:function(t){n=t},setClear:function(n,a,l,d,h){!0===h&&(n*=d,a*=d,l*=d),r.set(n,a,l,d),!1===s.equals(r)&&(t.clearColor(n,a,l,d),s.copy(r))},reset:function(){n=!1,a=null,s.set(-1,0,0,0)}}},d=new function(){let n=!1,r=null,a=null,s=null;return{setTest:function(t){t?Ae(2929):ke(2929)},setMask:function(a){r===a||n||(t.depthMask(a),r=a)},setFunc:function(n){if(a!==n){if(n)switch(n){case te:t.depthFunc(512);break;case ie:t.depthFunc(519);break;case ne:t.depthFunc(513);break;case re:t.depthFunc(515);break;case oe:t.depthFunc(514);break;case ae:t.depthFunc(518);break;case se:t.depthFunc(516);break;case le:t.depthFunc(517);break;default:t.depthFunc(515)}else t.depthFunc(515);a=n}},setLocked:function(t){n=t},setClear:function(n){s!==n&&(t.clearDepth(n),s=n)},reset:function(){n=!1,r=null,a=null,s=null}}},m=new function(){let n=!1,r=null,a=null,s=null,l=null,d=null,h=null,p=null,f=null;return{setTest:function(t){n||(t?Ae(2960):ke(2960))},setMask:function(a){r===a||n||(t.stencilMask(a),r=a)},setFunc:function(n,r,d){a===n&&s===r&&l===d||(t.stencilFunc(n,r,d),a=n,s=r,l=d)},setOp:function(n,r,a){d===n&&h===r&&p===a||(t.stencilOp(n,r,a),d=n,h=r,p=a)},setLocked:function(t){n=t},setClear:function(n){f!==n&&(t.clearStencil(n),f=n)},reset:function(){n=!1,r=null,a=null,s=null,l=null,d=null,h=null,p=null,f=null}}};let g={},v=null,y=null,b=null,x=null,_=null,T=null,ce=null,de=null,ue=null,he=!1,pe=null,fe=null,me=null,ge=null,ve=null;const ye=t.getParameter(35661);let be=!1,xe=0;const we=t.getParameter(7938);-1!==we.indexOf("WebGL")?(xe=parseFloat(/^WebGL (\d)/.exec(we)[1]),be=xe>=1):-1!==we.indexOf("OpenGL ES")&&(xe=parseFloat(/^OpenGL ES (\d)/.exec(we)[1]),be=xe>=2);let Se=null,_e={};const Me=new Vector4,Te=new Vector4;function Ee(n,r,a){const s=new Uint8Array(4),l=t.createTexture();t.bindTexture(n,l),t.texParameteri(n,10241,9728),t.texParameteri(n,10240,9728);for(let n=0;n<a;n++)t.texImage2D(r+n,0,6408,1,1,0,6408,5121,s);return l}const Ce={};function Ae(n){!0!==g[n]&&(t.enable(n),g[n]=!0)}function ke(n){!1!==g[n]&&(t.disable(n),g[n]=!1)}Ce[3553]=Ee(3553,3553,1),Ce[34067]=Ee(34067,34069,6),l.setClear(0,0,0,1),d.setClear(1),m.setClear(0),Ae(2929),d.setFunc(re),Pe(!1),Le(p),Ae(2884),Ie(E);const Oe={[D]:32774,[F]:32778,[B]:32779};if(s)Oe[$]=32775,Oe[j]=32776;else{const t=n.get("EXT_blend_minmax");null!==t&&(Oe[$]=t.MIN_EXT,Oe[j]=t.MAX_EXT)}const Re={[V]:0,[U]:1,[G]:768,[q]:770,[ee]:776,[J]:774,[Y]:772,[W]:769,[X]:771,[Q]:775,[K]:773};function Ie(n,r,s,l,d,h,p,f){if(n!==E){if(y||(Ae(3042),y=!0),n===P)d=d||r,h=h||s,p=p||l,r===x&&d===ce||(t.blendEquationSeparate(Oe[r],Oe[d]),x=r,ce=d),s===_&&l===T&&h===de&&p===ue||(t.blendFuncSeparate(Re[s],Re[l],Re[h],Re[p]),_=s,T=l,de=h,ue=p),b=n,he=null;else if(n!==b||f!==he){if(x===D&&ce===D||(t.blendEquation(32774),x=D,ce=D),f)switch(n){case C:t.blendFuncSeparate(1,771,1,771);break;case A:t.blendFunc(1,1);break;case O:t.blendFuncSeparate(0,0,769,771);break;case I:t.blendFuncSeparate(0,768,0,770);break;default:a.error("THREE.WebGLState: Invalid blending: ",n)}else switch(n){case C:t.blendFuncSeparate(770,771,1,771);break;case A:t.blendFunc(770,1);break;case O:t.blendFunc(0,769);break;case I:t.blendFunc(0,768);break;default:a.error("THREE.WebGLState: Invalid blending: ",n)}_=null,T=null,de=null,ue=null,b=n,he=f}}else y&&(ke(3042),y=!1)}function Pe(n){pe!==n&&(n?t.frontFace(2304):t.frontFace(2305),pe=n)}function Le(n){n!==h?(Ae(2884),n!==fe&&(n===p?t.cullFace(1029):n===f?t.cullFace(1028):t.cullFace(1032))):ke(2884),fe=n}function De(n,r,a){n?(Ae(32823),ge===r&&ve===a||(t.polygonOffset(r,a),ge=r,ve=a)):ke(32823)}function Fe(n){void 0===n&&(n=33984+ye-1),Se!==n&&(t.activeTexture(n),Se=n)}return{buffers:{color:l,depth:d,stencil:m},enable:Ae,disable:ke,useProgram:function(n){return v!==n&&(t.useProgram(n),v=n,!0)},setBlending:Ie,setMaterial:function(t,n){t.side===S?ke(2884):Ae(2884);let r=t.side===w;n&&(r=!r),Pe(r),t.blending===C&&!1===t.transparent?Ie(E):Ie(t.blending,t.blendEquation,t.blendSrc,t.blendDst,t.blendEquationAlpha,t.blendSrcAlpha,t.blendDstAlpha,t.premultipliedAlpha),d.setFunc(t.depthFunc),d.setTest(t.depthTest),d.setMask(t.depthWrite),l.setMask(t.colorWrite);const a=t.stencilWrite;m.setTest(a),a&&(m.setMask(t.stencilWriteMask),m.setFunc(t.stencilFunc,t.stencilRef,t.stencilFuncMask),m.setOp(t.stencilFail,t.stencilZFail,t.stencilZPass)),De(t.polygonOffset,t.polygonOffsetFactor,t.polygonOffsetUnits)},setFlipSided:Pe,setCullFace:Le,setLineWidth:function(n){n!==me&&(be&&t.lineWidth(n),me=n)},setPolygonOffset:De,setScissorTest:function(t){t?Ae(3089):ke(3089)},activeTexture:Fe,bindTexture:function(n,r){null===Se&&Fe();let a=_e[Se];void 0===a&&(a={type:void 0,texture:void 0},_e[Se]=a),a.type===n&&a.texture===r||(t.bindTexture(n,r||Ce[n]),a.type=n,a.texture=r)},unbindTexture:function(){const n=_e[Se];void 0!==n&&void 0!==n.type&&(t.bindTexture(n.type,null),n.type=void 0,n.texture=void 0)},compressedTexImage2D:function(){try{t.compressedTexImage2D.apply(t,arguments)}catch(t){a.error("THREE.WebGLState:",t)}},texImage2D:function(){try{t.texImage2D.apply(t,arguments)}catch(t){a.error("THREE.WebGLState:",t)}},texImage3D:function(){try{t.texImage3D.apply(t,arguments)}catch(t){a.error("THREE.WebGLState:",t)}},scissor:function(n){!1===Me.equals(n)&&(t.scissor(n.x,n.y,n.z,n.w),Me.copy(n))},viewport:function(n){!1===Te.equals(n)&&(t.viewport(n.x,n.y,n.z,n.w),Te.copy(n))},reset:function(){g={},Se=null,_e={},v=null,y=null,b=null,x=null,_=null,T=null,ce=null,de=null,ue=null,he=!1,pe=null,fe=null,me=null,ge=null,ve=null,l.reset(),d.reset(),m.reset()}}}function Ts(t,n,r,s,l,d,h){const p=l.isWebGL2,f=l.maxTextures,m=l.maxCubemapSize,g=l.maxTextureSize,v=l.maxSamples,y=new WeakMap;let b,x=!1;try{x="undefined"!=typeof OffscreenCanvas&&null!==new OffscreenCanvas(1,1).getContext("2d")}catch(t){}function w(t,n){return x?new OffscreenCanvas(t,n):document.createElementNS("http://www.w3.org/1999/xhtml","canvas")}function S(t,n,r,s){let l=1;if((t.width>s||t.height>s)&&(l=s/Math.max(t.width,t.height)),l<1||!0===n){if("undefined"!=typeof HTMLImageElement&&t instanceof HTMLImageElement||"undefined"!=typeof HTMLCanvasElement&&t instanceof HTMLCanvasElement||"undefined"!=typeof ImageBitmap&&t instanceof ImageBitmap){const s=n?Ji.floorPowerOfTwo:Math.floor,d=s(l*t.width),h=s(l*t.height);void 0===b&&(b=w(d,h));const p=r?w(d,h):b;p.width=d,p.height=h;return p.getContext("2d").drawImage(t,0,0,d,h),a.warn("THREE.WebGLRenderer: Texture has been resized from ("+t.width+"x"+t.height+") to ("+d+"x"+h+")."),p}return"data"in t&&a.warn("THREE.WebGLRenderer: Image in DataTexture is too big ("+t.width+"x"+t.height+")."),t}return t}function _(t){return Ji.isPowerOfTwo(t.width)&&Ji.isPowerOfTwo(t.height)}function T(t,n){return t.generateMipmaps&&n&&t.minFilter!==Ae&&t.minFilter!==Pe}function E(n,r,a,l){t.generateMipmap(n);s.get(r).__maxMipLevel=Math.log(Math.max(a,l))*Math.LOG2E}function C(r,s,l){if(!1===p)return s;if(null!==r){if(void 0!==t[r])return t[r];a.warn("THREE.WebGLRenderer: Attempt to use non-existing WebGL internal format '"+r+"'")}let d=s;return 6403===s&&(5126===l&&(d=33326),5131===l&&(d=33325),5121===l&&(d=33321)),6407===s&&(5126===l&&(d=34837),5131===l&&(d=34843),5121===l&&(d=32849)),6408===s&&(5126===l&&(d=34836),5131===l&&(d=34842),5121===l&&(d=32856)),33325!==d&&33326!==d&&34842!==d&&34836!==d||n.get("EXT_color_buffer_float"),d}function A(t){return t===Ae||t===ke||t===Re?9728:9729}function O(n){const r=n.target;r.removeEventListener("dispose",O),function(n){const r=s.get(n);if(void 0===r.__webglInit)return;t.deleteTexture(r.__webglTexture),s.remove(n)}(r),r.isVideoTexture&&y.delete(r),h.memory.textures--}function I(n){const r=n.target;r.removeEventListener("dispose",I),function(n){const r=s.get(n),a=s.get(n.texture);if(!n)return;void 0!==a.__webglTexture&&t.deleteTexture(a.__webglTexture);n.depthTexture&&n.depthTexture.dispose();if(n.isWebGLCubeRenderTarget)for(let n=0;n<6;n++)t.deleteFramebuffer(r.__webglFramebuffer[n]),r.__webglDepthbuffer&&t.deleteRenderbuffer(r.__webglDepthbuffer[n]);else t.deleteFramebuffer(r.__webglFramebuffer),r.__webglDepthbuffer&&t.deleteRenderbuffer(r.__webglDepthbuffer),r.__webglMultisampledFramebuffer&&t.deleteFramebuffer(r.__webglMultisampledFramebuffer),r.__webglColorRenderbuffer&&t.deleteRenderbuffer(r.__webglColorRenderbuffer),r.__webglDepthRenderbuffer&&t.deleteRenderbuffer(r.__webglDepthRenderbuffer);s.remove(n.texture),s.remove(n)}(r),h.memory.textures--}let P=0;function D(t,n){const l=s.get(t);if(t.isVideoTexture&&function(t){const n=h.render.frame;y.get(t)!==n&&(y.set(t,n),t.update())}(t),t.version>0&&l.__version!==t.version){const r=t.image;if(void 0===r)a.warn("THREE.WebGLRenderer: Texture marked for update but image is undefined");else{if(!1!==r.complete)return void U(l,t,n);a.warn("THREE.WebGLRenderer: Texture marked for update but image is incomplete")}}r.activeTexture(33984+n),r.bindTexture(3553,l.__webglTexture)}function F(n,l){const h=s.get(n);n.version>0&&h.__version!==n.version?function(n,s,l){if(6!==s.image.length)return;V(n,s),r.activeTexture(33984+l),r.bindTexture(34067,n.__webglTexture),t.pixelStorei(37440,s.flipY),t.pixelStorei(37441,s.premultiplyAlpha),t.pixelStorei(3317,s.unpackAlignment);const h=s&&(s.isCompressedTexture||s.image[0].isCompressedTexture),f=s.image[0]&&s.image[0].isDataTexture,g=[];for(let t=0;t<6;t++)g[t]=h||f?f?s.image[t].image:s.image[t]:S(s.image[t],!1,!0,m);const v=g[0],y=_(v)||p,b=d.convert(s.format),x=d.convert(s.type),w=C(s.internalFormat,b,x);let A;if(j(34067,s,y),h){for(let t=0;t<6;t++){A=g[t].mipmaps;for(let n=0;n<A.length;n++){const l=A[n];s.format!==Je&&s.format!==Ke?null!==b?r.compressedTexImage2D(34069+t,n,w,l.width,l.height,0,l.data):a.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .setTextureCube()"):r.texImage2D(34069+t,n,w,l.width,l.height,0,b,x,l.data)}}n.__maxMipLevel=A.length-1}else{A=s.mipmaps;for(let t=0;t<6;t++)if(f){r.texImage2D(34069+t,0,w,g[t].width,g[t].height,0,b,x,g[t].data);for(let n=0;n<A.length;n++){const a=A[n].image[t].image;r.texImage2D(34069+t,n+1,w,a.width,a.height,0,b,x,a.data)}}else{r.texImage2D(34069+t,0,w,b,x,g[t]);for(let n=0;n<A.length;n++){const a=A[n];r.texImage2D(34069+t,n+1,w,b,x,a.image[t])}}n.__maxMipLevel=A.length}T(s,y)&&E(34067,s,v.width,v.height);n.__version=s.version,s.onUpdate&&s.onUpdate(s)}(h,n,l):(r.activeTexture(33984+l),r.bindTexture(34067,h.__webglTexture))}const B={[Te]:10497,[Ee]:33071,[Ce]:33648},$={[Ae]:9728,[ke]:9984,[Re]:9986,[Pe]:9729,[Le]:9985,[Fe]:9987};function j(r,d,h){h?(t.texParameteri(r,10242,B[d.wrapS]),t.texParameteri(r,10243,B[d.wrapT]),32879!==r&&35866!==r||t.texParameteri(r,32882,B[d.wrapR]),t.texParameteri(r,10240,$[d.magFilter]),t.texParameteri(r,10241,$[d.minFilter])):(t.texParameteri(r,10242,33071),t.texParameteri(r,10243,33071),32879!==r&&35866!==r||t.texParameteri(r,32882,33071),d.wrapS===Ee&&d.wrapT===Ee||a.warn("THREE.WebGLRenderer: Texture is not power of two. Texture.wrapS and Texture.wrapT should be set to THREE.ClampToEdgeWrapping."),t.texParameteri(r,10240,A(d.magFilter)),t.texParameteri(r,10241,A(d.minFilter)),d.minFilter!==Ae&&d.minFilter!==Pe&&a.warn("THREE.WebGLRenderer: Texture is not power of two. Texture.minFilter should be set to THREE.NearestFilter or THREE.LinearFilter."));const f=n.get("EXT_texture_filter_anisotropic");if(f){if(d.type===Ge&&null===n.get("OES_texture_float_linear"))return;if(d.type===He&&null===(p||n.get("OES_texture_half_float_linear")))return;(d.anisotropy>1||s.get(d).__currentAnisotropy)&&(t.texParameterf(r,f.TEXTURE_MAX_ANISOTROPY_EXT,Math.min(d.anisotropy,l.getMaxAnisotropy())),s.get(d).__currentAnisotropy=d.anisotropy)}}function V(n,r){void 0===n.__webglInit&&(n.__webglInit=!0,r.addEventListener("dispose",O),n.__webglTexture=t.createTexture(),h.memory.textures++)}function U(n,s,l){let h=3553;s.isDataTexture2DArray&&(h=35866),s.isDataTexture3D&&(h=32879),V(n,s),r.activeTexture(33984+l),r.bindTexture(h,n.__webglTexture),t.pixelStorei(37440,s.flipY),t.pixelStorei(37441,s.premultiplyAlpha),t.pixelStorei(3317,s.unpackAlignment);const f=function(t){return!p&&(t.wrapS!==Ee||t.wrapT!==Ee||t.minFilter!==Ae&&t.minFilter!==Pe)}(s)&&!1===_(s.image),m=S(s.image,f,!1,g),v=_(m)||p,y=d.convert(s.format);let b,x=d.convert(s.type),w=C(s.internalFormat,y,x);j(h,s,v);const A=s.mipmaps;if(s.isDepthTexture)w=6402,p?w=s.type===Ge?36012:s.type===Ue?33190:s.type===Ye?35056:33189:s.type===Ge&&a.error("WebGLRenderer: Floating point depth texture requires WebGL2."),s.format===it&&6402===w&&s.type!==je&&s.type!==Ue&&(a.warn("THREE.WebGLRenderer: Use UnsignedShortType or UnsignedIntType for DepthFormat DepthTexture."),s.type=je,x=d.convert(s.type)),s.format===nt&&6402===w&&(w=34041,s.type!==Ye&&(a.warn("THREE.WebGLRenderer: Use UnsignedInt248Type for DepthStencilFormat DepthTexture."),s.type=Ye,x=d.convert(s.type))),r.texImage2D(3553,0,w,m.width,m.height,0,y,x,null);else if(s.isDataTexture)if(A.length>0&&v){for(let t=0,n=A.length;t<n;t++)b=A[t],r.texImage2D(3553,t,w,b.width,b.height,0,y,x,b.data);s.generateMipmaps=!1,n.__maxMipLevel=A.length-1}else r.texImage2D(3553,0,w,m.width,m.height,0,y,x,m.data),n.__maxMipLevel=0;else if(s.isCompressedTexture){for(let t=0,n=A.length;t<n;t++)b=A[t],s.format!==Je&&s.format!==Ke?null!==y?r.compressedTexImage2D(3553,t,w,b.width,b.height,0,b.data):a.warn("THREE.WebGLRenderer: Attempt to load unsupported compressed texture format in .uploadTexture()"):r.texImage2D(3553,t,w,b.width,b.height,0,y,x,b.data);n.__maxMipLevel=A.length-1}else if(s.isDataTexture2DArray)r.texImage3D(35866,0,w,m.width,m.height,m.depth,0,y,x,m.data),n.__maxMipLevel=0;else if(s.isDataTexture3D)r.texImage3D(32879,0,w,m.width,m.height,m.depth,0,y,x,m.data),n.__maxMipLevel=0;else if(A.length>0&&v){for(let t=0,n=A.length;t<n;t++)b=A[t],r.texImage2D(3553,t,w,y,x,b);s.generateMipmaps=!1,n.__maxMipLevel=A.length-1}else r.texImage2D(3553,0,w,y,x,m),n.__maxMipLevel=0;T(s,v)&&E(h,s,m.width,m.height),n.__version=s.version,s.onUpdate&&s.onUpdate(s)}function G(n,a,l,h){const p=d.convert(a.texture.format),f=d.convert(a.texture.type),m=C(a.texture.internalFormat,p,f);r.texImage2D(h,0,m,a.width,a.height,0,p,f,null),t.bindFramebuffer(36160,n),t.framebufferTexture2D(36160,l,h,s.get(a.texture).__webglTexture,0),t.bindFramebuffer(36160,null)}function W(n,r,a){if(t.bindRenderbuffer(36161,n),r.depthBuffer&&!r.stencilBuffer){let s=33189;if(a){const n=r.depthTexture;n&&n.isDepthTexture&&(n.type===Ge?s=36012:n.type===Ue&&(s=33190));const a=X(r);t.renderbufferStorageMultisample(36161,a,s,r.width,r.height)}else t.renderbufferStorage(36161,s,r.width,r.height);t.framebufferRenderbuffer(36160,36096,36161,n)}else if(r.depthBuffer&&r.stencilBuffer){if(a){const n=X(r);t.renderbufferStorageMultisample(36161,n,35056,r.width,r.height)}else t.renderbufferStorage(36161,34041,r.width,r.height);t.framebufferRenderbuffer(36160,33306,36161,n)}else{const n=d.convert(r.texture.format),s=d.convert(r.texture.type),l=C(r.texture.internalFormat,n,s);if(a){const n=X(r);t.renderbufferStorageMultisample(36161,n,l,r.width,r.height)}else t.renderbufferStorage(36161,l,r.width,r.height)}t.bindRenderbuffer(36161,null)}function q(n){const r=s.get(n),a=!0===n.isWebGLCubeRenderTarget;if(n.depthTexture){if(a)throw new Error("target.depthTexture not supported in Cube render targets");!function(n,r){if(r&&r.isWebGLCubeRenderTarget)throw new Error("Depth Texture with cube render targets is not supported");if(t.bindFramebuffer(36160,n),!r.depthTexture||!r.depthTexture.isDepthTexture)throw new Error("renderTarget.depthTexture must be an instance of THREE.DepthTexture");s.get(r.depthTexture).__webglTexture&&r.depthTexture.image.width===r.width&&r.depthTexture.image.height===r.height||(r.depthTexture.image.width=r.width,r.depthTexture.image.height=r.height,r.depthTexture.needsUpdate=!0),D(r.depthTexture,0);const a=s.get(r.depthTexture).__webglTexture;if(r.depthTexture.format===it)t.framebufferTexture2D(36160,36096,3553,a,0);else{if(r.depthTexture.format!==nt)throw new Error("Unknown depthTexture format");t.framebufferTexture2D(36160,33306,3553,a,0)}}(r.__webglFramebuffer,n)}else if(a){r.__webglDepthbuffer=[];for(let a=0;a<6;a++)t.bindFramebuffer(36160,r.__webglFramebuffer[a]),r.__webglDepthbuffer[a]=t.createRenderbuffer(),W(r.__webglDepthbuffer[a],n,!1)}else t.bindFramebuffer(36160,r.__webglFramebuffer),r.__webglDepthbuffer=t.createRenderbuffer(),W(r.__webglDepthbuffer,n,!1);t.bindFramebuffer(36160,null)}function X(t){return p&&t.isWebGLMultisampleRenderTarget?Math.min(v,t.samples):0}let Y=!1,K=!1;this.allocateTextureUnit=function(){const t=P;return t>=f&&a.warn("THREE.WebGLTextures: Trying to use "+t+" texture units while this GPU supports only "+f),P+=1,t},this.resetTextureUnits=function(){P=0},this.setTexture2D=D,this.setTexture2DArray=function(t,n){const a=s.get(t);t.version>0&&a.__version!==t.version?U(a,t,n):(r.activeTexture(33984+n),r.bindTexture(35866,a.__webglTexture))},this.setTexture3D=function(t,n){const a=s.get(t);t.version>0&&a.__version!==t.version?U(a,t,n):(r.activeTexture(33984+n),r.bindTexture(32879,a.__webglTexture))},this.setTextureCube=F,this.setupRenderTarget=function(n){const l=s.get(n),f=s.get(n.texture);n.addEventListener("dispose",I),f.__webglTexture=t.createTexture(),h.memory.textures++;const m=!0===n.isWebGLCubeRenderTarget,g=!0===n.isWebGLMultisampleRenderTarget,v=_(n)||p;if(!p||n.texture.format!==Ke||n.texture.type!==Ge&&n.texture.type!==He||(n.texture.format=Je,a.warn("THREE.WebGLRenderer: Rendering to textures with RGB format is not supported. Using RGBA format instead.")),m){l.__webglFramebuffer=[];for(let n=0;n<6;n++)l.__webglFramebuffer[n]=t.createFramebuffer()}else if(l.__webglFramebuffer=t.createFramebuffer(),g)if(p){l.__webglMultisampledFramebuffer=t.createFramebuffer(),l.__webglColorRenderbuffer=t.createRenderbuffer(),t.bindRenderbuffer(36161,l.__webglColorRenderbuffer);const r=d.convert(n.texture.format),a=d.convert(n.texture.type),s=C(n.texture.internalFormat,r,a),h=X(n);t.renderbufferStorageMultisample(36161,h,s,n.width,n.height),t.bindFramebuffer(36160,l.__webglMultisampledFramebuffer),t.framebufferRenderbuffer(36160,36064,36161,l.__webglColorRenderbuffer),t.bindRenderbuffer(36161,null),n.depthBuffer&&(l.__webglDepthRenderbuffer=t.createRenderbuffer(),W(l.__webglDepthRenderbuffer,n,!0)),t.bindFramebuffer(36160,null)}else a.warn("THREE.WebGLRenderer: WebGLMultisampleRenderTarget can only be used with WebGL2.");if(m){r.bindTexture(34067,f.__webglTexture),j(34067,n.texture,v);for(let t=0;t<6;t++)G(l.__webglFramebuffer[t],n,36064,34069+t);T(n.texture,v)&&E(34067,n.texture,n.width,n.height),r.bindTexture(34067,null)}else r.bindTexture(3553,f.__webglTexture),j(3553,n.texture,v),G(l.__webglFramebuffer,n,36064,3553),T(n.texture,v)&&E(3553,n.texture,n.width,n.height),r.bindTexture(3553,null);n.depthBuffer&&q(n)},this.updateRenderTargetMipmap=function(t){const n=t.texture;if(T(n,_(t)||p)){const a=t.isWebGLCubeRenderTarget?34067:3553,l=s.get(n).__webglTexture;r.bindTexture(a,l),E(a,n,t.width,t.height),r.bindTexture(a,null)}},this.updateMultisampleRenderTarget=function(n){if(n.isWebGLMultisampleRenderTarget)if(p){const r=s.get(n);t.bindFramebuffer(36008,r.__webglMultisampledFramebuffer),t.bindFramebuffer(36009,r.__webglFramebuffer);const a=n.width,l=n.height;let d=16384;n.depthBuffer&&(d|=256),n.stencilBuffer&&(d|=1024),t.blitFramebuffer(0,0,a,l,0,0,a,l,d,9728),t.bindFramebuffer(36160,r.__webglMultisampledFramebuffer)}else a.warn("THREE.WebGLRenderer: WebGLMultisampleRenderTarget can only be used with WebGL2.")},this.safeSetTexture2D=function(t,n){t&&t.isWebGLRenderTarget&&(!1===Y&&(a.warn("THREE.WebGLTextures.safeSetTexture2D: don't use render targets as textures. Use their .texture property instead."),Y=!0),t=t.texture),D(t,n)},this.safeSetTextureCube=function(t,n){t&&t.isWebGLCubeRenderTarget&&(!1===K&&(a.warn("THREE.WebGLTextures.safeSetTextureCube: don't use cube render targets as textures. Use their .texture property instead."),K=!0),t=t.texture),F(t,n)}}function Es(t,n,r){const a=r.isWebGL2;return{convert:function(t){let r;if(t===Be)return 5121;if(t===We)return 32819;if(t===qe)return 32820;if(t===Xe)return 33635;if(t===ze)return 5120;if(t===$e)return 5122;if(t===je)return 5123;if(t===Ve)return 5124;if(t===Ue)return 5125;if(t===Ge)return 5126;if(t===He)return a?5131:(r=n.get("OES_texture_half_float"),null!==r?r.HALF_FLOAT_OES:null);if(t===Ze)return 6406;if(t===Ke)return 6407;if(t===Je)return 6408;if(t===Qe)return 6409;if(t===et)return 6410;if(t===it)return 6402;if(t===nt)return 34041;if(t===rt)return 6403;if(t===ot)return 36244;if(t===at)return 33319;if(t===st)return 33320;if(t===lt)return 36248;if(t===ct)return 36249;if(t===dt||t===ut||t===ht||t===pt){if(r=n.get("WEBGL_compressed_texture_s3tc"),null===r)return null;if(t===dt)return r.COMPRESSED_RGB_S3TC_DXT1_EXT;if(t===ut)return r.COMPRESSED_RGBA_S3TC_DXT1_EXT;if(t===ht)return r.COMPRESSED_RGBA_S3TC_DXT3_EXT;if(t===pt)return r.COMPRESSED_RGBA_S3TC_DXT5_EXT}if(t===ft||t===mt||t===gt||t===vt){if(r=n.get("WEBGL_compressed_texture_pvrtc"),null===r)return null;if(t===ft)return r.COMPRESSED_RGB_PVRTC_4BPPV1_IMG;if(t===mt)return r.COMPRESSED_RGB_PVRTC_2BPPV1_IMG;if(t===gt)return r.COMPRESSED_RGBA_PVRTC_4BPPV1_IMG;if(t===vt)return r.COMPRESSED_RGBA_PVRTC_2BPPV1_IMG}if(t===yt)return r=n.get("WEBGL_compressed_texture_etc1"),null!==r?r.COMPRESSED_RGB_ETC1_WEBGL:null;if((t===bt||t===xt)&&(r=n.get("WEBGL_compressed_texture_etc"),null!==r)){if(t===bt)return r.COMPRESSED_RGB8_ETC2;if(t===xt)return r.COMPRESSED_RGBA8_ETC2_EAC}return t===wt||t===St||t===_t||t===Mt||t===Tt||t===Et||t===Ct||t===At||t===kt||t===Ot||t===Rt||t===It||t===Pt||t===Lt||t===Ft||t===Nt||t===Bt||t===zt||t===$t||t===jt||t===Vt||t===Ut||t===Gt||t===Ht||t===Wt||t===qt||t===Xt||t===Yt?(r=n.get("WEBGL_compressed_texture_astc"),null!==r?t:null):t===Dt?(r=n.get("EXT_texture_compression_bptc"),null!==r?t:null):t===Ye?a?34042:(r=n.get("WEBGL_depth_texture"),null!==r?r.UNSIGNED_INT_24_8_WEBGL:null):void 0}}}function Cs(t=[]){vo.call(this),this.cameras=t}function As(){Kn.call(this),this.type="Group"}function ks(){this._targetRay=null,this._grip=null,this._hand=null}function Os(t,n){const r=this;let s=null,l=1,d=null,h="local-floor",p=null;const f=[],m=new Map,g=new vo;g.layers.enable(1),g.viewport=new Vector4;const v=new vo;v.layers.enable(2),v.viewport=new Vector4;const y=[g,v],b=new Cs;b.layers.enable(1),b.layers.enable(2);let x=null,w=null;function S(t){const n=m.get(t.inputSource);n&&n.dispatchEvent({type:t.type,data:t.inputSource})}function _(){m.forEach((function(t,n){t.disconnect(n)})),m.clear(),x=null,w=null,t.setFramebuffer(null),t.setRenderTarget(t.getRenderTarget()),I.stop(),r.isPresenting=!1,r.dispatchEvent({type:"sessionend"})}function T(t){const n=s.inputSources;for(let t=0;t<f.length;t++)m.set(n[t],f[t]);for(let n=0;n<t.removed.length;n++){const r=t.removed[n],a=m.get(r);a&&(a.dispatchEvent({type:"disconnected",data:r}),m.delete(r))}for(let n=0;n<t.added.length;n++){const r=t.added[n],a=m.get(r);a&&a.dispatchEvent({type:"connected",data:r})}}this.enabled=!1,this.isPresenting=!1,this.getController=function(t){let n=f[t];return void 0===n&&(n=new ks,f[t]=n),n.getTargetRaySpace()},this.getControllerGrip=function(t){let n=f[t];return void 0===n&&(n=new ks,f[t]=n),n.getGripSpace()},this.getHand=function(t){let n=f[t];return void 0===n&&(n=new ks,f[t]=n),n.getHandSpace()},this.setFramebufferScaleFactor=function(t){l=t,!0===r.isPresenting&&a.warn("THREE.WebXRManager: Cannot change framebuffer scale while presenting.")},this.setReferenceSpaceType=function(t){h=t,!0===r.isPresenting&&a.warn("THREE.WebXRManager: Cannot change reference space type while presenting.")},this.getReferenceSpace=function(){return d},this.getSession=function(){return s},this.setSession=async function(t){if(s=t,null!==s){s.addEventListener("select",S),s.addEventListener("selectstart",S),s.addEventListener("selectend",S),s.addEventListener("squeeze",S),s.addEventListener("squeezestart",S),s.addEventListener("squeezeend",S),s.addEventListener("end",_),s.addEventListener("inputsourceschange",T);const t=n.getContextAttributes();!0!==t.xrCompatible&&await n.makeXRCompatible();const a={antialias:t.antialias,alpha:t.alpha,depth:t.depth,stencil:t.stencil,framebufferScaleFactor:l},p=new XRWebGLLayer(s,n,a);s.updateRenderState({baseLayer:p}),d=await s.requestReferenceSpace(h),I.setContext(s),I.start(),r.isPresenting=!0,r.dispatchEvent({type:"sessionstart"})}};const E=new Vector3,C=new Vector3;function A(t,n){null===n?t.matrixWorld.copy(t.matrix):t.matrixWorld.multiplyMatrices(n.matrixWorld,t.matrix),t.matrixWorldInverse.copy(t.matrixWorld).invert()}this.getCamera=function(t){b.near=v.near=g.near=t.near,b.far=v.far=g.far=t.far,x===b.near&&w===b.far||(s.updateRenderState({depthNear:b.near,depthFar:b.far}),x=b.near,w=b.far);const n=t.parent,r=b.cameras;A(b,n);for(let t=0;t<r.length;t++)A(r[t],n);t.matrixWorld.copy(b.matrixWorld),t.matrix.copy(b.matrix),t.matrix.decompose(t.position,t.quaternion,t.scale);const a=t.children;for(let t=0,n=a.length;t<n;t++)a[t].updateMatrixWorld(!0);return 2===r.length?function(t,n,r){E.setFromMatrixPosition(n.matrixWorld),C.setFromMatrixPosition(r.matrixWorld);const a=E.distanceTo(C),s=n.projectionMatrix.elements,l=r.projectionMatrix.elements,d=s[14]/(s[10]-1),h=s[14]/(s[10]+1),p=(s[9]+1)/s[5],f=(s[9]-1)/s[5],m=(s[8]-1)/s[0],g=(l[8]+1)/l[0],v=d*m,y=d*g,b=a/(-m+g),x=b*-m;n.matrixWorld.decompose(t.position,t.quaternion,t.scale),t.translateX(x),t.translateZ(b),t.matrixWorld.compose(t.position,t.quaternion,t.scale),t.matrixWorldInverse.copy(t.matrixWorld).invert();const w=d+b,S=h+b,_=v-x,T=y+(a-x),A=p*h/S*w,O=f*h/S*w;t.projectionMatrix.makePerspective(_,T,A,O,w,S)}(b,g,v):b.projectionMatrix.copy(g.projectionMatrix),b};let O=null;const I=new To;I.setAnimationLoop((function(n,r){if(p=r.getViewerPose(d),null!==p){const n=p.views,r=s.renderState.baseLayer;t.setFramebuffer(r.framebuffer);let a=!1;n.length!==b.cameras.length&&(b.cameras.length=0,a=!0);for(let t=0;t<n.length;t++){const s=n[t],l=r.getViewport(s),d=y[t];d.matrix.fromArray(s.transform.matrix),d.projectionMatrix.fromArray(s.projectionMatrix),d.viewport.set(l.x,l.y,l.width,l.height),0===t&&b.matrix.copy(d.matrix),!0===a&&b.cameras.push(d)}}const a=s.inputSources;for(let t=0;t<f.length;t++){const n=f[t],s=a[t];n.update(s,r,d)}O&&O(n,r)})),this.setAnimationLoop=function(t){O=t},this.dispose=function(){}}function Rs(t){function n(n,r){n.opacity.value=r.opacity,r.color&&n.diffuse.value.copy(r.color),r.emissive&&n.emissive.value.copy(r.emissive).multiplyScalar(r.emissiveIntensity),r.map&&(n.map.value=r.map),r.alphaMap&&(n.alphaMap.value=r.alphaMap),r.specularMap&&(n.specularMap.value=r.specularMap);const a=t.get(r).envMap;if(a){n.envMap.value=a,n.flipEnvMap.value=a.isCubeTexture&&a._needsFlipEnvMap?-1:1,n.reflectivity.value=r.reflectivity,n.refractionRatio.value=r.refractionRatio;const s=t.get(a).__maxMipLevel;void 0!==s&&(n.maxMipLevel.value=s)}let s,l;r.lightMap&&(n.lightMap.value=r.lightMap,n.lightMapIntensity.value=r.lightMapIntensity),r.aoMap&&(n.aoMap.value=r.aoMap,n.aoMapIntensity.value=r.aoMapIntensity),r.map?s=r.map:r.specularMap?s=r.specularMap:r.displacementMap?s=r.displacementMap:r.normalMap?s=r.normalMap:r.bumpMap?s=r.bumpMap:r.roughnessMap?s=r.roughnessMap:r.metalnessMap?s=r.metalnessMap:r.alphaMap?s=r.alphaMap:r.emissiveMap?s=r.emissiveMap:r.clearcoatMap?s=r.clearcoatMap:r.clearcoatNormalMap?s=r.clearcoatNormalMap:r.clearcoatRoughnessMap&&(s=r.clearcoatRoughnessMap),void 0!==s&&(s.isWebGLRenderTarget&&(s=s.texture),!0===s.matrixAutoUpdate&&s.updateMatrix(),n.uvTransform.value.copy(s.matrix)),r.aoMap?l=r.aoMap:r.lightMap&&(l=r.lightMap),void 0!==l&&(l.isWebGLRenderTarget&&(l=l.texture),!0===l.matrixAutoUpdate&&l.updateMatrix(),n.uv2Transform.value.copy(l.matrix))}function r(n,r){n.roughness.value=r.roughness,n.metalness.value=r.metalness,r.roughnessMap&&(n.roughnessMap.value=r.roughnessMap),r.metalnessMap&&(n.metalnessMap.value=r.metalnessMap),r.emissiveMap&&(n.emissiveMap.value=r.emissiveMap),r.bumpMap&&(n.bumpMap.value=r.bumpMap,n.bumpScale.value=r.bumpScale,r.side===w&&(n.bumpScale.value*=-1)),r.normalMap&&(n.normalMap.value=r.normalMap,n.normalScale.value.copy(r.normalScale),r.side===w&&n.normalScale.value.negate()),r.displacementMap&&(n.displacementMap.value=r.displacementMap,n.displacementScale.value=r.displacementScale,n.displacementBias.value=r.displacementBias);t.get(r).envMap&&(n.envMapIntensity.value=r.envMapIntensity)}return{refreshFogUniforms:function(t,n){t.fogColor.value.copy(n.color),n.isFog?(t.fogNear.value=n.near,t.fogFar.value=n.far):n.isFogExp2&&(t.fogDensity.value=n.density)},refreshMaterialUniforms:function(t,a,s,l){a.isMeshBasicMaterial?n(t,a):a.isMeshLambertMaterial?(n(t,a),function(t,n){n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap)}(t,a)):a.isMeshToonMaterial?(n(t,a),function(t,n){n.gradientMap&&(t.gradientMap.value=n.gradientMap);n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===w&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===w&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,a)):a.isMeshPhongMaterial?(n(t,a),function(t,n){t.specular.value.copy(n.specular),t.shininess.value=Math.max(n.shininess,1e-4),n.emissiveMap&&(t.emissiveMap.value=n.emissiveMap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===w&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===w&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,a)):a.isMeshStandardMaterial?(n(t,a),a.isMeshPhysicalMaterial?function(t,n){r(t,n),t.reflectivity.value=n.reflectivity,t.clearcoat.value=n.clearcoat,t.clearcoatRoughness.value=n.clearcoatRoughness,n.sheen&&t.sheen.value.copy(n.sheen);n.clearcoatMap&&(t.clearcoatMap.value=n.clearcoatMap);n.clearcoatRoughnessMap&&(t.clearcoatRoughnessMap.value=n.clearcoatRoughnessMap);n.clearcoatNormalMap&&(t.clearcoatNormalScale.value.copy(n.clearcoatNormalScale),t.clearcoatNormalMap.value=n.clearcoatNormalMap,n.side===w&&t.clearcoatNormalScale.value.negate());t.transmission.value=n.transmission,n.transmissionMap&&(t.transmissionMap.value=n.transmissionMap)}(t,a):r(t,a)):a.isMeshMatcapMaterial?(n(t,a),function(t,n){n.matcap&&(t.matcap.value=n.matcap);n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===w&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===w&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,a)):a.isMeshDepthMaterial?(n(t,a),function(t,n){n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,a)):a.isMeshDistanceMaterial?(n(t,a),function(t,n){n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias);t.referencePosition.value.copy(n.referencePosition),t.nearDistance.value=n.nearDistance,t.farDistance.value=n.farDistance}(t,a)):a.isMeshNormalMaterial?(n(t,a),function(t,n){n.bumpMap&&(t.bumpMap.value=n.bumpMap,t.bumpScale.value=n.bumpScale,n.side===w&&(t.bumpScale.value*=-1));n.normalMap&&(t.normalMap.value=n.normalMap,t.normalScale.value.copy(n.normalScale),n.side===w&&t.normalScale.value.negate());n.displacementMap&&(t.displacementMap.value=n.displacementMap,t.displacementScale.value=n.displacementScale,t.displacementBias.value=n.displacementBias)}(t,a)):a.isLineBasicMaterial?(function(t,n){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity}(t,a),a.isLineDashedMaterial&&function(t,n){t.dashSize.value=n.dashSize,t.totalSize.value=n.dashSize+n.gapSize,t.scale.value=n.scale}(t,a)):a.isPointsMaterial?function(t,n,r,a){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity,t.size.value=n.size*r,t.scale.value=.5*a,n.map&&(t.map.value=n.map);n.alphaMap&&(t.alphaMap.value=n.alphaMap);let s;n.map?s=n.map:n.alphaMap&&(s=n.alphaMap);void 0!==s&&(!0===s.matrixAutoUpdate&&s.updateMatrix(),t.uvTransform.value.copy(s.matrix))}(t,a,s,l):a.isSpriteMaterial?function(t,n){t.diffuse.value.copy(n.color),t.opacity.value=n.opacity,t.rotation.value=n.rotation,n.map&&(t.map.value=n.map);n.alphaMap&&(t.alphaMap.value=n.alphaMap);let r;n.map?r=n.map:n.alphaMap&&(r=n.alphaMap);void 0!==r&&(!0===r.matrixAutoUpdate&&r.updateMatrix(),t.uvTransform.value.copy(r.matrix))}(t,a):a.isShadowMaterial?(t.color.value.copy(a.color),t.opacity.value=a.opacity):a.isShaderMaterial&&(a.uniformsNeedUpdate=!1)}}}function Is(t){const n=void 0!==(t=t||{}).canvas?t.canvas:function(){const t=document.createElementNS("http://www.w3.org/1999/xhtml","canvas");return t.style.display="block",t}(),r=void 0!==t.context?t.context:null,s=void 0!==t.alpha&&t.alpha,l=void 0===t.depth||t.depth,d=void 0===t.stencil||t.stencil,h=void 0!==t.antialias&&t.antialias,p=void 0===t.premultipliedAlpha||t.premultipliedAlpha,f=void 0!==t.preserveDrawingBuffer&&t.preserveDrawingBuffer,m=void 0!==t.powerPreference?t.powerPreference:"default",g=void 0!==t.failIfMajorPerformanceCaveat&&t.failIfMajorPerformanceCaveat;let v=null,y=null;const b=[];this.domElement=n,this.debug={checkShaderErrors:!0},this.autoClear=!0,this.autoClearColor=!0,this.autoClearDepth=!0,this.autoClearStencil=!0,this.sortObjects=!0,this.clippingPlanes=[],this.localClippingEnabled=!1,this.gammaFactor=2,this.outputEncoding=di,this.physicallyCorrectLights=!1,this.toneMapping=he,this.toneMappingExposure=1,this.maxMorphTargets=8,this.maxMorphNormals=4;const x=this;let w=!1,S=null,_=0,T=0,E=null,C=null,A=-1,O=null;const I=new Vector4,P=new Vector4;let D=null,F=n.width,B=n.height,$=1,j=null,V=null;const U=new Vector4(0,0,F,B),G=new Vector4(0,0,F,B);let W=!1;const q=new Frustum;let X=!1,Y=!1;const K=new Matrix4,J=new Vector3,Q={background:null,fog:null,environment:null,overrideMaterial:null,isScene:!0};function ee(){return null===E?$:1}let te,ie,ne,re,oe,ae,se,le,ce,de,ue,pe,fe,me,ge,ve,ye,be,xe,we,Se,_e=r;function Me(t,r){for(let a=0;a<t.length;a++){const s=t[a],l=n.getContext(s,r);if(null!==l)return l}return null}try{const t={alpha:s,depth:l,stencil:d,antialias:h,premultipliedAlpha:p,preserveDrawingBuffer:f,powerPreference:m,failIfMajorPerformanceCaveat:g};if(n.addEventListener("webglcontextlost",Ae,!1),n.addEventListener("webglcontextrestored",ke,!1),null===_e){const n=["webgl2","webgl","experimental-webgl"];if(!0===x.isWebGL1Renderer&&n.shift(),_e=Me(n,t),null===_e)throw Me(n)?new Error("Error creating WebGL context with your selected attributes."):new Error("Error creating WebGL context.")}void 0===_e.getShaderPrecisionFormat&&(_e.getShaderPrecisionFormat=function(){return{rangeMin:1,rangeMax:1,precision:1}})}catch(t){throw a.error("THREE.WebGLRenderer: "+t.message),t}function Te(){te=new Fo(_e),ie=new Po(_e,te,t),te.init(ie),we=new Es(_e,te,ie),ne=new Ms(_e,te,ie),ne.scissor(P.copy(G).multiplyScalar($).floor()),ne.viewport(I.copy(U).multiplyScalar($).floor()),re=new zo(_e),oe=new ls,ae=new Ts(_e,te,ne,oe,ie,we,re),se=new Do(x),le=new Eo(_e,ie),Se=new Ro(_e,te,le,ie),ce=new No(_e,le,re,Se),de=new Uo(_e,ce,le,re),ye=new Vo(_e),ge=new Lo(oe),ue=new ss(x,se,te,ie,Se,ge),pe=new Rs(oe),fe=new hs(oe),me=new ys(te,ie),ve=new Oo(x,se,ne,de,p),be=new Io(_e,te,re,ie),xe=new Bo(_e,te,re,ie),re.programs=ue.programs,x.capabilities=ie,x.extensions=te,x.properties=oe,x.renderLists=fe,x.state=ne,x.info=re}Te();const Ee=new Os(x,_e);this.xr=Ee;const Ce=new _s(x,de,ie.maxTextureSize);function Ae(t){t.preventDefault(),a.log("THREE.WebGLRenderer: Context Lost."),w=!0}function ke(){a.log("THREE.WebGLRenderer: Context Restored."),w=!1,Te()}function Oe(t){const n=t.target;n.removeEventListener("dispose",Oe),function(t){Re(t),oe.remove(t)}(n)}function Re(t){const n=oe.get(t).program;void 0!==n&&ue.releaseProgram(n)}this.shadowMap=Ce,this.getContext=function(){return _e},this.getContextAttributes=function(){return _e.getContextAttributes()},this.forceContextLoss=function(){const t=te.get("WEBGL_lose_context");t&&t.loseContext()},this.forceContextRestore=function(){const t=te.get("WEBGL_lose_context");t&&t.restoreContext()},this.getPixelRatio=function(){return $},this.setPixelRatio=function(t){void 0!==t&&($=t,this.setSize(F,B,!1))},this.getSize=function(t){return void 0===t&&(a.warn("WebGLRenderer: .getsize() now requires a Vector2 as an argument"),t=new Vector2),t.set(F,B)},this.setSize=function(t,r,s){Ee.isPresenting?a.warn("THREE.WebGLRenderer: Can't change size while VR device is presenting."):(F=t,B=r,n.width=Math.floor(t*$),n.height=Math.floor(r*$),!1!==s&&(n.style.width=t+"px",n.style.height=r+"px"),this.setViewport(0,0,t,r))},this.getDrawingBufferSize=function(t){return void 0===t&&(a.warn("WebGLRenderer: .getdrawingBufferSize() now requires a Vector2 as an argument"),t=new Vector2),t.set(F*$,B*$).floor()},this.setDrawingBufferSize=function(t,r,a){F=t,B=r,$=a,n.width=Math.floor(t*a),n.height=Math.floor(r*a),this.setViewport(0,0,t,r)},this.getCurrentViewport=function(t){return void 0===t&&(a.warn("WebGLRenderer: .getCurrentViewport() now requires a Vector4 as an argument"),t=new Vector4),t.copy(I)},this.getViewport=function(t){return t.copy(U)},this.setViewport=function(t,n,r,a){t.isVector4?U.set(t.x,t.y,t.z,t.w):U.set(t,n,r,a),ne.viewport(I.copy(U).multiplyScalar($).floor())},this.getScissor=function(t){return t.copy(G)},this.setScissor=function(t,n,r,a){t.isVector4?G.set(t.x,t.y,t.z,t.w):G.set(t,n,r,a),ne.scissor(P.copy(G).multiplyScalar($).floor())},this.getScissorTest=function(){return W},this.setScissorTest=function(t){ne.setScissorTest(W=t)},this.setOpaqueSort=function(t){j=t},this.setTransparentSort=function(t){V=t},this.getClearColor=function(t){return void 0===t&&(a.warn("WebGLRenderer: .getClearColor() now requires a Color as an argument"),t=new Color),t.copy(ve.getClearColor())},this.setClearColor=function(){ve.setClearColor.apply(ve,arguments)},this.getClearAlpha=function(){return ve.getClearAlpha()},this.setClearAlpha=function(){ve.setClearAlpha.apply(ve,arguments)},this.clear=function(t,n,r){let a=0;(void 0===t||t)&&(a|=16384),(void 0===n||n)&&(a|=256),(void 0===r||r)&&(a|=1024),_e.clear(a)},this.clearColor=function(){this.clear(!0,!1,!1)},this.clearDepth=function(){this.clear(!1,!0,!1)},this.clearStencil=function(){this.clear(!1,!1,!0)},this.dispose=function(){n.removeEventListener("webglcontextlost",Ae,!1),n.removeEventListener("webglcontextrestored",ke,!1),fe.dispose(),me.dispose(),oe.dispose(),se.dispose(),de.dispose(),Se.dispose(),Ee.dispose(),Pe.stop()},this.renderBufferImmediate=function(t,n){Se.initAttributes();const r=oe.get(t);t.hasPositions&&!r.position&&(r.position=_e.createBuffer()),t.hasNormals&&!r.normal&&(r.normal=_e.createBuffer()),t.hasUvs&&!r.uv&&(r.uv=_e.createBuffer()),t.hasColors&&!r.color&&(r.color=_e.createBuffer());const a=n.getAttributes();t.hasPositions&&(_e.bindBuffer(34962,r.position),_e.bufferData(34962,t.positionArray,35048),Se.enableAttribute(a.position),_e.vertexAttribPointer(a.position,3,5126,!1,0,0)),t.hasNormals&&(_e.bindBuffer(34962,r.normal),_e.bufferData(34962,t.normalArray,35048),Se.enableAttribute(a.normal),_e.vertexAttribPointer(a.normal,3,5126,!1,0,0)),t.hasUvs&&(_e.bindBuffer(34962,r.uv),_e.bufferData(34962,t.uvArray,35048),Se.enableAttribute(a.uv),_e.vertexAttribPointer(a.uv,2,5126,!1,0,0)),t.hasColors&&(_e.bindBuffer(34962,r.color),_e.bufferData(34962,t.colorArray,35048),Se.enableAttribute(a.color),_e.vertexAttribPointer(a.color,3,5126,!1,0,0)),Se.disableUnusedAttributes(),_e.drawArrays(4,0,t.count),t.count=0},this.renderBufferDirect=function(t,n,r,a,s,l){null===n&&(n=Q);const d=s.isMesh&&s.matrixWorld.determinant()<0,h=ze(t,n,a,s);ne.setMaterial(a,d);let p=r.index;const f=r.attributes.position;if(null===p){if(void 0===f||0===f.count)return}else if(0===p.count)return;let m,g=1;!0===a.wireframe&&(p=ce.getWireframeAttribute(r),g=2),(a.morphTargets||a.morphNormals)&&ye.update(s,r,a,h),Se.setup(s,a,h,r,p);let v=be;null!==p&&(m=le.get(p),v=xe,v.setIndex(m));const y=null!==p?p.count:f.count,b=r.drawRange.start*g,x=r.drawRange.count*g,w=null!==l?l.start*g:0,S=null!==l?l.count*g:1/0,_=Math.max(b,w),T=Math.min(y,b+x,w+S)-1,E=Math.max(0,T-_+1);if(0!==E){if(s.isMesh)!0===a.wireframe?(ne.setLineWidth(a.wireframeLinewidth*ee()),v.setMode(1)):v.setMode(4);else if(s.isLine){let t=a.linewidth;void 0===t&&(t=1),ne.setLineWidth(t*ee()),s.isLineSegments?v.setMode(1):s.isLineLoop?v.setMode(2):v.setMode(3)}else s.isPoints?v.setMode(0):s.isSprite&&v.setMode(4);if(s.isInstancedMesh)v.renderInstances(_,E,s.count);else if(r.isInstancedBufferGeometry){const t=Math.min(r.instanceCount,r._maxInstanceCount);v.renderInstances(_,E,t)}else v.render(_,E)}},this.compile=function(t,n){y=me.get(t),y.init(),t.traverseVisible((function(t){t.isLight&&t.layers.test(n.layers)&&(y.pushLight(t),t.castShadow&&y.pushShadow(t))})),y.setupLights();const r=new WeakMap;t.traverse((function(n){const a=n.material;if(a)if(Array.isArray(a))for(let s=0;s<a.length;s++){const l=a[s];!1===r.has(l)&&(Ne(l,t,n),r.set(l))}else!1===r.has(a)&&(Ne(a,t,n),r.set(a))}))};let Ie=null;const Pe=new To;function Le(t,n,r,a){if(!1===t.visible)return;if(t.layers.test(n.layers))if(t.isGroup)r=t.renderOrder;else if(t.isLOD)!0===t.autoUpdate&&t.update(n);else if(t.isLight)y.pushLight(t),t.castShadow&&y.pushShadow(t);else if(t.isSprite){if(!t.frustumCulled||q.intersectsSprite(t)){a&&J.setFromMatrixPosition(t.matrixWorld).applyMatrix4(K);const n=de.update(t),s=t.material;s.visible&&v.push(t,n,s,r,J.z,null)}}else if(t.isImmediateRenderObject)a&&J.setFromMatrixPosition(t.matrixWorld).applyMatrix4(K),v.push(t,null,t.material,r,J.z,null);else if((t.isMesh||t.isLine||t.isPoints)&&(t.isSkinnedMesh&&t.skeleton.frame!==re.render.frame&&(t.skeleton.update(),t.skeleton.frame=re.render.frame),!t.frustumCulled||q.intersectsObject(t))){a&&J.setFromMatrixPosition(t.matrixWorld).applyMatrix4(K);const n=de.update(t),s=t.material;if(Array.isArray(s)){const a=n.groups;for(let l=0,d=a.length;l<d;l++){const d=a[l],h=s[d.materialIndex];h&&h.visible&&v.push(t,n,h,r,J.z,d)}}else s.visible&&v.push(t,n,s,r,J.z,null)}const s=t.children;for(let t=0,l=s.length;t<l;t++)Le(s[t],n,r,a)}function De(t,n,r){const a=!0===n.isScene?n.overrideMaterial:null;for(let s=0,l=t.length;s<l;s++){const l=t[s],d=l.object,h=l.geometry,p=null===a?l.material:a,f=l.group;if(r.isArrayCamera){const t=r.cameras;for(let r=0,a=t.length;r<a;r++){const a=t[r];d.layers.test(a.layers)&&(ne.viewport(I.copy(a.viewport)),y.setupLightsView(a),Fe(d,n,a,h,p,f))}}else Fe(d,n,r,h,p,f)}}function Fe(t,n,r,a,s,l){if(t.onBeforeRender(x,n,r,a,s,l),t.modelViewMatrix.multiplyMatrices(r.matrixWorldInverse,t.matrixWorld),t.normalMatrix.getNormalMatrix(t.modelViewMatrix),t.isImmediateRenderObject){const a=ze(r,n,s,t);ne.setMaterial(s),Se.reset(),function(t,n){t.render((function(t){x.renderBufferImmediate(t,n)}))}(t,a)}else x.renderBufferDirect(r,n,a,s,t,l);t.onAfterRender(x,n,r,a,s,l)}function Ne(t,n,r){!0!==n.isScene&&(n=Q);const a=oe.get(t),s=y.state.lights,l=y.state.shadowsArray,d=s.state.version,h=ue.getParameters(t,s.state,l,n,r),p=ue.getProgramCacheKey(h);let f=a.program,m=!0;if(a.environment=t.isMeshStandardMaterial?n.environment:null,a.fog=n.fog,a.envMap=se.get(t.envMap||a.environment),void 0===f)t.addEventListener("dispose",Oe);else if(f.cacheKey!==p)Re(t);else if(a.lightsStateVersion!==d)m=!1;else{if(void 0!==h.shaderID)return;m=!1}m&&(h.uniforms=ue.getUniforms(t),t.onBeforeCompile(h,x),f=ue.acquireProgram(h,p),a.program=f,a.uniforms=h.uniforms,a.outputEncoding=h.outputEncoding);const g=a.uniforms;(t.isShaderMaterial||t.isRawShaderMaterial)&&!0!==t.clipping||(a.numClippingPlanes=ge.numPlanes,a.numIntersection=ge.numIntersection,g.clippingPlanes=ge.uniform),a.needsLights=function(t){return t.isMeshLambertMaterial||t.isMeshToonMaterial||t.isMeshPhongMaterial||t.isMeshStandardMaterial||t.isShadowMaterial||t.isShaderMaterial&&!0===t.lights}(t),a.lightsStateVersion=d,a.needsLights&&(g.ambientLightColor.value=s.state.ambient,g.lightProbe.value=s.state.probe,g.directionalLights.value=s.state.directional,g.directionalLightShadows.value=s.state.directionalShadow,g.spotLights.value=s.state.spot,g.spotLightShadows.value=s.state.spotShadow,g.rectAreaLights.value=s.state.rectArea,g.ltc_1.value=s.state.rectAreaLTC1,g.ltc_2.value=s.state.rectAreaLTC2,g.pointLights.value=s.state.point,g.pointLightShadows.value=s.state.pointShadow,g.hemisphereLights.value=s.state.hemi,g.directionalShadowMap.value=s.state.directionalShadowMap,g.directionalShadowMatrix.value=s.state.directionalShadowMatrix,g.spotShadowMap.value=s.state.spotShadowMap,g.spotShadowMatrix.value=s.state.spotShadowMatrix,g.pointShadowMap.value=s.state.pointShadowMap,g.pointShadowMatrix.value=s.state.pointShadowMatrix);const v=a.program.getUniforms(),b=$a.seqWithValue(v.seq,g);a.uniformsList=b}function ze(t,n,r,a){!0!==n.isScene&&(n=Q),ae.resetTextureUnits();const s=n.fog,l=r.isMeshStandardMaterial?n.environment:null,d=null===E?x.outputEncoding:E.texture.encoding,h=se.get(r.envMap||l),p=oe.get(r),f=y.state.lights;if(!0===X&&(!0===Y||t!==O)){const n=t===O&&r.id===A;ge.setState(r,t,n)}r.version===p.__version?r.fog&&p.fog!==s||p.environment!==l||p.needsLights&&p.lightsStateVersion!==f.state.version?Ne(r,n,a):void 0===p.numClippingPlanes||p.numClippingPlanes===ge.numPlanes&&p.numIntersection===ge.numIntersection?(p.outputEncoding!==d||p.envMap!==h)&&Ne(r,n,a):Ne(r,n,a):(Ne(r,n,a),p.__version=r.version);let m=!1,g=!1,v=!1;const b=p.program,w=b.getUniforms(),S=p.uniforms;if(ne.useProgram(b.program)&&(m=!0,g=!0,v=!0),r.id!==A&&(A=r.id,g=!0),m||O!==t){if(w.setValue(_e,"projectionMatrix",t.projectionMatrix),ie.logarithmicDepthBuffer&&w.setValue(_e,"logDepthBufFC",2/(Math.log(t.far+1)/Math.LN2)),O!==t&&(O=t,g=!0,v=!0),r.isShaderMaterial||r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshStandardMaterial||r.envMap){const n=w.map.cameraPosition;void 0!==n&&n.setValue(_e,J.setFromMatrixPosition(t.matrixWorld))}(r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshLambertMaterial||r.isMeshBasicMaterial||r.isMeshStandardMaterial||r.isShaderMaterial)&&w.setValue(_e,"isOrthographic",!0===t.isOrthographicCamera),(r.isMeshPhongMaterial||r.isMeshToonMaterial||r.isMeshLambertMaterial||r.isMeshBasicMaterial||r.isMeshStandardMaterial||r.isShaderMaterial||r.isShadowMaterial||r.skinning)&&w.setValue(_e,"viewMatrix",t.matrixWorldInverse)}if(r.skinning){w.setOptional(_e,a,"bindMatrix"),w.setOptional(_e,a,"bindMatrixInverse");const t=a.skeleton;if(t){const n=t.bones;if(ie.floatVertexTextures){if(null===t.boneTexture){let r=Math.sqrt(4*n.length);r=Ji.ceilPowerOfTwo(r),r=Math.max(r,4);const a=new Float32Array(r*r*4);a.set(t.boneMatrices);const s=new So(a,r,r,Je,Ge);t.boneMatrices=a,t.boneTexture=s,t.boneTextureSize=r}w.setValue(_e,"boneTexture",t.boneTexture,ae),w.setValue(_e,"boneTextureSize",t.boneTextureSize)}else w.setOptional(_e,t,"boneMatrices")}}var _,T;return(g||p.receiveShadow!==a.receiveShadow)&&(p.receiveShadow=a.receiveShadow,w.setValue(_e,"receiveShadow",a.receiveShadow)),g&&(w.setValue(_e,"toneMappingExposure",x.toneMappingExposure),p.needsLights&&(T=v,(_=S).ambientLightColor.needsUpdate=T,_.lightProbe.needsUpdate=T,_.directionalLights.needsUpdate=T,_.directionalLightShadows.needsUpdate=T,_.pointLights.needsUpdate=T,_.pointLightShadows.needsUpdate=T,_.spotLights.needsUpdate=T,_.spotLightShadows.needsUpdate=T,_.rectAreaLights.needsUpdate=T,_.hemisphereLights.needsUpdate=T),s&&r.fog&&pe.refreshFogUniforms(S,s),pe.refreshMaterialUniforms(S,r,$,B),$a.upload(_e,p.uniformsList,S,ae)),r.isShaderMaterial&&!0===r.uniformsNeedUpdate&&($a.upload(_e,p.uniformsList,S,ae),r.uniformsNeedUpdate=!1),r.isSpriteMaterial&&w.setValue(_e,"center",a.center),w.setValue(_e,"modelViewMatrix",a.modelViewMatrix),w.setValue(_e,"normalMatrix",a.normalMatrix),w.setValue(_e,"modelMatrix",a.matrixWorld),b}Pe.setAnimationLoop((function(t){Ee.isPresenting||Ie&&Ie(t)})),"undefined"!=typeof window&&Pe.setContext(window),this.setAnimationLoop=function(t){Ie=t,Ee.setAnimationLoop(t),null===t?Pe.stop():Pe.start()},this.render=function(t,n){let r,s;if(void 0!==arguments[2]&&(a.warn("THREE.WebGLRenderer.render(): the renderTarget argument has been removed. Use .setRenderTarget() instead."),r=arguments[2]),void 0!==arguments[3]&&(a.warn("THREE.WebGLRenderer.render(): the forceClear argument has been removed. Use .clear() instead."),s=arguments[3]),void 0!==n&&!0!==n.isCamera)return void a.error("THREE.WebGLRenderer.render: camera is not an instance of THREE.Camera.");if(!0===w)return;Se.resetDefaultState(),A=-1,O=null,!0===t.autoUpdate&&t.updateMatrixWorld(),null===n.parent&&n.updateMatrixWorld(),!0===Ee.enabled&&!0===Ee.isPresenting&&(n=Ee.getCamera(n)),!0===t.isScene&&t.onBeforeRender(x,t,n,r||E),y=me.get(t,b.length),y.init(),b.push(y),K.multiplyMatrices(n.projectionMatrix,n.matrixWorldInverse),q.setFromProjectionMatrix(K),Y=this.localClippingEnabled,X=ge.init(this.clippingPlanes,Y,n),v=fe.get(t,n),v.init(),Le(t,n,0,x.sortObjects),v.finish(),!0===x.sortObjects&&v.sort(j,V),!0===X&&ge.beginShadows();const l=y.state.shadowsArray;Ce.render(l,t,n),y.setupLights(),y.setupLightsView(n),!0===X&&ge.endShadows(),!0===this.info.autoReset&&this.info.reset(),void 0!==r&&this.setRenderTarget(r),ve.render(v,t,n,s);const d=v.opaque,h=v.transparent;d.length>0&&De(d,t,n),h.length>0&&De(h,t,n),!0===t.isScene&&t.onAfterRender(x,t,n),null!==E&&(ae.updateRenderTargetMipmap(E),ae.updateMultisampleRenderTarget(E)),ne.buffers.depth.setTest(!0),ne.buffers.depth.setMask(!0),ne.buffers.color.setMask(!0),ne.setPolygonOffset(!1),b.pop(),y=b.length>0?b[b.length-1]:null,v=null},this.setFramebuffer=function(t){S!==t&&null===E&&_e.bindFramebuffer(36160,t),S=t},this.getActiveCubeFace=function(){return _},this.getActiveMipmapLevel=function(){return T},this.getRenderList=function(){return v},this.setRenderList=function(t){v=t},this.getRenderTarget=function(){return E},this.setRenderTarget=function(t,n=0,r=0){E=t,_=n,T=r,t&&void 0===oe.get(t).__webglFramebuffer&&ae.setupRenderTarget(t);let a=S,s=!1;if(t){const r=oe.get(t).__webglFramebuffer;t.isWebGLCubeRenderTarget?(a=r[n],s=!0):a=t.isWebGLMultisampleRenderTarget?oe.get(t).__webglMultisampledFramebuffer:r,I.copy(t.viewport),P.copy(t.scissor),D=t.scissorTest}else I.copy(U).multiplyScalar($).floor(),P.copy(G).multiplyScalar($).floor(),D=W;if(C!==a&&(_e.bindFramebuffer(36160,a),C=a),ne.viewport(I),ne.scissor(P),ne.setScissorTest(D),s){const a=oe.get(t.texture);_e.framebufferTexture2D(36160,36064,34069+n,a.__webglTexture,r)}},this.readRenderTargetPixels=function(t,n,r,s,l,d,h){if(!t||!t.isWebGLRenderTarget)return void a.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not THREE.WebGLRenderTarget.");let p=oe.get(t).__webglFramebuffer;if(t.isWebGLCubeRenderTarget&&void 0!==h&&(p=p[h]),p){let h=!1;p!==C&&(_e.bindFramebuffer(36160,p),h=!0);try{const h=t.texture,p=h.format,f=h.type;if(p!==Je&&we.convert(p)!==_e.getParameter(35739))return void a.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in RGBA or implementation defined format.");const m=f===He&&(te.has("EXT_color_buffer_half_float")||ie.isWebGL2&&te.has("EXT_color_buffer_float"));if(!(f===Be||we.convert(f)===_e.getParameter(35738)||f===Ge&&(ie.isWebGL2||te.has("OES_texture_float")||te.has("WEBGL_color_buffer_float"))||m))return void a.error("THREE.WebGLRenderer.readRenderTargetPixels: renderTarget is not in UnsignedByteType or implementation defined type.");36053===_e.checkFramebufferStatus(36160)?n>=0&&n<=t.width-s&&r>=0&&r<=t.height-l&&_e.readPixels(n,r,s,l,we.convert(p),we.convert(f),d):a.error("THREE.WebGLRenderer.readRenderTargetPixels: readPixels from renderTarget failed. Framebuffer not complete.")}finally{h&&_e.bindFramebuffer(36160,C)}}},this.copyFramebufferToTexture=function(t,n,r=0){const a=Math.pow(2,-r),s=Math.floor(n.image.width*a),l=Math.floor(n.image.height*a),d=we.convert(n.format);ae.setTexture2D(n,0),_e.copyTexImage2D(3553,r,d,t.x,t.y,s,l,0),ne.unbindTexture()},this.copyTextureToTexture=function(t,n,r,a=0){const s=n.image.width,l=n.image.height,d=we.convert(r.format),h=we.convert(r.type);ae.setTexture2D(r,0),_e.pixelStorei(37440,r.flipY),_e.pixelStorei(37441,r.premultiplyAlpha),_e.pixelStorei(3317,r.unpackAlignment),n.isDataTexture?_e.texSubImage2D(3553,a,t.x,t.y,s,l,d,h,n.image.data):n.isCompressedTexture?_e.compressedTexSubImage2D(3553,a,t.x,t.y,n.mipmaps[0].width,n.mipmaps[0].height,d,n.mipmaps[0].data):_e.texSubImage2D(3553,a,t.x,t.y,d,h,n.image),0===a&&r.generateMipmaps&&_e.generateMipmap(3553),ne.unbindTexture()},this.initTexture=function(t){ae.setTexture2D(t,0),ne.unbindTexture()},this.resetState=function(){ne.reset(),Se.reset()},"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}function Ps(t){Is.call(this,t)}Cs.prototype=Object.assign(Object.create(vo.prototype),{constructor:Cs,isArrayCamera:!0}),As.prototype=Object.assign(Object.create(Kn.prototype),{constructor:As,isGroup:!0}),Object.assign(ks.prototype,{constructor:ks,getHandSpace:function(){return null===this._hand&&(this._hand=new As,this._hand.matrixAutoUpdate=!1,this._hand.visible=!1,this._hand.joints={},this._hand.inputState={pinching:!1}),this._hand},getTargetRaySpace:function(){return null===this._targetRay&&(this._targetRay=new As,this._targetRay.matrixAutoUpdate=!1,this._targetRay.visible=!1),this._targetRay},getGripSpace:function(){return null===this._grip&&(this._grip=new As,this._grip.matrixAutoUpdate=!1,this._grip.visible=!1),this._grip},dispatchEvent:function(t){return null!==this._targetRay&&this._targetRay.dispatchEvent(t),null!==this._grip&&this._grip.dispatchEvent(t),null!==this._hand&&this._hand.dispatchEvent(t),this},disconnect:function(t){return this.dispatchEvent({type:"disconnected",data:t}),null!==this._targetRay&&(this._targetRay.visible=!1),null!==this._grip&&(this._grip.visible=!1),null!==this._hand&&(this._hand.visible=!1),this},update:function(t,n,r){let a=null,s=null,l=null;const d=this._targetRay,h=this._grip,p=this._hand;if(t&&"visible-blurred"!==n.session.visibilityState)if(p&&t.hand){l=!0;for(const a of t.hand.values()){const t=n.getJointPose(a,r);if(void 0===p.joints[a.jointName]){const t=new As;t.matrixAutoUpdate=!1,t.visible=!1,p.joints[a.jointName]=t,p.add(t)}const s=p.joints[a.jointName];null!==t&&(s.matrix.fromArray(t.transform.matrix),s.matrix.decompose(s.position,s.rotation,s.scale),s.jointRadius=t.radius),s.visible=null!==t}const a=p.joints["index-finger-tip"],s=p.joints["thumb-tip"],d=a.position.distanceTo(s.position),h=.02,f=.005;p.inputState.pinching&&d>h+f?(p.inputState.pinching=!1,this.dispatchEvent({type:"pinchend",handedness:t.handedness,target:this})):!p.inputState.pinching&&d<=h-f&&(p.inputState.pinching=!0,this.dispatchEvent({type:"pinchstart",handedness:t.handedness,target:this}))}else null!==d&&(a=n.getPose(t.targetRaySpace,r),null!==a&&(d.matrix.fromArray(a.transform.matrix),d.matrix.decompose(d.position,d.rotation,d.scale))),null!==h&&t.gripSpace&&(s=n.getPose(t.gripSpace,r),null!==s&&(h.matrix.fromArray(s.transform.matrix),h.matrix.decompose(h.position,h.rotation,h.scale)));return null!==d&&(d.visible=null!==a),null!==h&&(h.visible=null!==s),null!==p&&(p.visible=null!==l),this}}),Object.assign(Os.prototype,Yi.prototype),Ps.prototype=Object.assign(Object.create(Is.prototype),{constructor:Ps,isWebGL1Renderer:!0});class FogExp2{constructor(t,n){Object.defineProperty(this,"isFogExp2",{value:!0}),this.name="",this.color=new Color(t),this.density=void 0!==n?n:25e-5}clone(){return new FogExp2(this.color,this.density)}toJSON(){return{type:"FogExp2",color:this.color.getHex(),density:this.density}}}class Fog{constructor(t,n,r){Object.defineProperty(this,"isFog",{value:!0}),this.name="",this.color=new Color(t),this.near=void 0!==n?n:1,this.far=void 0!==r?r:1e3}clone(){return new Fog(this.color,this.near,this.far)}toJSON(){return{type:"Fog",color:this.color.getHex(),near:this.near,far:this.far}}}class Scene extends Kn{constructor(){super(),Object.defineProperty(this,"isScene",{value:!0}),this.type="Scene",this.background=null,this.environment=null,this.fog=null,this.overrideMaterial=null,this.autoUpdate=!0,"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("observe",{detail:this}))}copy(t,n){return super.copy(t,n),null!==t.background&&(this.background=t.background.clone()),null!==t.environment&&(this.environment=t.environment.clone()),null!==t.fog&&(this.fog=t.fog.clone()),null!==t.overrideMaterial&&(this.overrideMaterial=t.overrideMaterial.clone()),this.autoUpdate=t.autoUpdate,this.matrixAutoUpdate=t.matrixAutoUpdate,this}toJSON(t){const n=super.toJSON(t);return null!==this.background&&(n.object.background=this.background.toJSON(t)),null!==this.environment&&(n.object.environment=this.environment.toJSON(t)),null!==this.fog&&(n.object.fog=this.fog.toJSON()),n}}function Ls(t,n){this.array=t,this.stride=n,this.count=void 0!==t?t.length/n:0,this.usage=Bi,this.updateRange={offset:0,count:-1},this.version=0,this.uuid=Ji.generateUUID()}Object.defineProperty(Ls.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Ls.prototype,{isInterleavedBuffer:!0,onUploadCallback:function(){},setUsage:function(t){return this.usage=t,this},copy:function(t){return this.array=new t.array.constructor(t.array),this.count=t.count,this.stride=t.stride,this.usage=t.usage,this},copyAt:function(t,n,r){t*=this.stride,r*=n.stride;for(let a=0,s=this.stride;a<s;a++)this.array[t+a]=n.array[r+a];return this},set:function(t,n=0){return this.array.set(t,n),this},clone:function(t){void 0===t.arrayBuffers&&(t.arrayBuffers={}),void 0===this.array.buffer._uuid&&(this.array.buffer._uuid=Ji.generateUUID()),void 0===t.arrayBuffers[this.array.buffer._uuid]&&(t.arrayBuffers[this.array.buffer._uuid]=this.array.slice(0).buffer);const n=new Ls(new this.array.constructor(t.arrayBuffers[this.array.buffer._uuid]),this.stride);return n.setUsage(this.usage),n},onUpload:function(t){return this.onUploadCallback=t,this},toJSON:function(t){return void 0===t.arrayBuffers&&(t.arrayBuffers={}),void 0===this.array.buffer._uuid&&(this.array.buffer._uuid=Ji.generateUUID()),void 0===t.arrayBuffers[this.array.buffer._uuid]&&(t.arrayBuffers[this.array.buffer._uuid]=Array.prototype.slice.call(new Uint32Array(this.array.buffer))),{uuid:this.uuid,buffer:this.array.buffer._uuid,type:this.array.constructor.name,stride:this.stride}}});const Ds=new Vector3;function Fs(t,n,r,a){this.name="",this.data=t,this.itemSize=n,this.offset=r,this.normalized=!0===a}function Ns(t){yr.call(this),this.type="SpriteMaterial",this.color=new Color(16777215),this.map=null,this.alphaMap=null,this.rotation=0,this.sizeAttenuation=!0,this.transparent=!0,this.setValues(t)}let Bs;Object.defineProperties(Fs.prototype,{count:{get:function(){return this.data.count}},array:{get:function(){return this.data.array}},needsUpdate:{set:function(t){this.data.needsUpdate=t}}}),Object.assign(Fs.prototype,{isInterleavedBufferAttribute:!0,applyMatrix4:function(t){for(let n=0,r=this.data.count;n<r;n++)Ds.x=this.getX(n),Ds.y=this.getY(n),Ds.z=this.getZ(n),Ds.applyMatrix4(t),this.setXYZ(n,Ds.x,Ds.y,Ds.z);return this},setX:function(t,n){return this.data.array[t*this.data.stride+this.offset]=n,this},setY:function(t,n){return this.data.array[t*this.data.stride+this.offset+1]=n,this},setZ:function(t,n){return this.data.array[t*this.data.stride+this.offset+2]=n,this},setW:function(t,n){return this.data.array[t*this.data.stride+this.offset+3]=n,this},getX:function(t){return this.data.array[t*this.data.stride+this.offset]},getY:function(t){return this.data.array[t*this.data.stride+this.offset+1]},getZ:function(t){return this.data.array[t*this.data.stride+this.offset+2]},getW:function(t){return this.data.array[t*this.data.stride+this.offset+3]},setXY:function(t,n,r){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this},setXYZ:function(t,n,r,a){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this.data.array[t+2]=a,this},setXYZW:function(t,n,r,a,s){return t=t*this.data.stride+this.offset,this.data.array[t+0]=n,this.data.array[t+1]=r,this.data.array[t+2]=a,this.data.array[t+3]=s,this},clone:function(t){if(void 0===t){a.log("THREE.InterleavedBufferAttribute.clone(): Cloning an interlaved buffer attribute will deinterleave buffer data.");const t=[];for(let n=0;n<this.count;n++){const r=n*this.data.stride+this.offset;for(let n=0;n<this.itemSize;n++)t.push(this.data.array[r+n])}return new Sr(new this.array.constructor(t),this.itemSize,this.normalized)}return void 0===t.interleavedBuffers&&(t.interleavedBuffers={}),void 0===t.interleavedBuffers[this.data.uuid]&&(t.interleavedBuffers[this.data.uuid]=this.data.clone(t)),new Fs(t.interleavedBuffers[this.data.uuid],this.itemSize,this.offset,this.normalized)},toJSON:function(t){if(void 0===t){a.log("THREE.InterleavedBufferAttribute.toJSON(): Serializing an interlaved buffer attribute will deinterleave buffer data.");const t=[];for(let n=0;n<this.count;n++){const r=n*this.data.stride+this.offset;for(let n=0;n<this.itemSize;n++)t.push(this.data.array[r+n])}return{itemSize:this.itemSize,type:this.array.constructor.name,array:t,normalized:this.normalized}}return void 0===t.interleavedBuffers&&(t.interleavedBuffers={}),void 0===t.interleavedBuffers[this.data.uuid]&&(t.interleavedBuffers[this.data.uuid]=this.data.toJSON(t)),{isInterleavedBufferAttribute:!0,itemSize:this.itemSize,data:this.data.uuid,offset:this.offset,normalized:this.normalized}}}),Ns.prototype=Object.create(yr.prototype),Ns.prototype.constructor=Ns,Ns.prototype.isSpriteMaterial=!0,Ns.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.alphaMap=t.alphaMap,this.rotation=t.rotation,this.sizeAttenuation=t.sizeAttenuation,this};const zs=new Vector3,$s=new Vector3,js=new Vector3,Vs=new Vector2,Us=new Vector2,Gs=new Matrix4,Hs=new Vector3,Ws=new Vector3,qs=new Vector3,Xs=new Vector2,Ys=new Vector2,Zs=new Vector2;function Ks(t){if(Kn.call(this),this.type="Sprite",void 0===Bs){Bs=new Ur;const t=new Ls(new Float32Array([-.5,-.5,0,0,0,.5,-.5,0,1,0,.5,.5,0,1,1,-.5,.5,0,0,1]),5);Bs.setIndex([0,1,2,0,2,3]),Bs.setAttribute("position",new Fs(t,3,0,!1)),Bs.setAttribute("uv",new Fs(t,2,3,!1))}this.geometry=Bs,this.material=void 0!==t?t:new Ns,this.center=new Vector2(.5,.5)}function Js(t,n,r,a,s,l){Vs.subVectors(t,r).addScalar(.5).multiply(a),void 0!==s?(Us.x=l*Vs.x-s*Vs.y,Us.y=s*Vs.x+l*Vs.y):Us.copy(Vs),t.copy(n),t.x+=Us.x,t.y+=Us.y,t.applyMatrix4(Gs)}Ks.prototype=Object.assign(Object.create(Kn.prototype),{constructor:Ks,isSprite:!0,raycast:function(t,n){null===t.camera&&a.error('THREE.Sprite: "Raycaster.camera" needs to be set in order to raycast against sprites.'),$s.setFromMatrixScale(this.matrixWorld),Gs.copy(t.camera.matrixWorld),this.modelViewMatrix.multiplyMatrices(t.camera.matrixWorldInverse,this.matrixWorld),js.setFromMatrixPosition(this.modelViewMatrix),t.camera.isPerspectiveCamera&&!1===this.material.sizeAttenuation&&$s.multiplyScalar(-js.z);const r=this.material.rotation;let s,l;0!==r&&(l=Math.cos(r),s=Math.sin(r));const d=this.center;Js(Hs.set(-.5,-.5,0),js,d,$s,s,l),Js(Ws.set(.5,-.5,0),js,d,$s,s,l),Js(qs.set(.5,.5,0),js,d,$s,s,l),Xs.set(0,0),Ys.set(1,0),Zs.set(1,1);let h=t.ray.intersectTriangle(Hs,Ws,qs,!1,zs);if(null===h&&(Js(Ws.set(-.5,.5,0),js,d,$s,s,l),Ys.set(0,1),h=t.ray.intersectTriangle(Hs,qs,Ws,!1,zs),null===h))return;const p=t.ray.origin.distanceTo(zs);p<t.near||p>t.far||n.push({distance:p,point:zs.clone(),uv:Triangle.getUV(zs,Hs,Ws,qs,Xs,Ys,Zs,new Vector2),face:null,object:this})},copy:function(t){return Kn.prototype.copy.call(this,t),void 0!==t.center&&this.center.copy(t.center),this.material=t.material,this}});const Qs=new Vector3,el=new Vector3;function tl(){Kn.call(this),this._currentLevel=0,this.type="LOD",Object.defineProperties(this,{levels:{enumerable:!0,value:[]}}),this.autoUpdate=!0}tl.prototype=Object.assign(Object.create(Kn.prototype),{constructor:tl,isLOD:!0,copy:function(t){Kn.prototype.copy.call(this,t,!1);const n=t.levels;for(let t=0,r=n.length;t<r;t++){const r=n[t];this.addLevel(r.object.clone(),r.distance)}return this.autoUpdate=t.autoUpdate,this},addLevel:function(t,n=0){n=Math.abs(n);const r=this.levels;let a;for(a=0;a<r.length&&!(n<r[a].distance);a++);return r.splice(a,0,{distance:n,object:t}),this.add(t),this},getCurrentLevel:function(){return this._currentLevel},getObjectForDistance:function(t){const n=this.levels;if(n.length>0){let r,a;for(r=1,a=n.length;r<a&&!(t<n[r].distance);r++);return n[r-1].object}return null},raycast:function(t,n){if(this.levels.length>0){Qs.setFromMatrixPosition(this.matrixWorld);const r=t.ray.origin.distanceTo(Qs);this.getObjectForDistance(r).raycast(t,n)}},update:function(t){const n=this.levels;if(n.length>1){Qs.setFromMatrixPosition(t.matrixWorld),el.setFromMatrixPosition(this.matrixWorld);const r=Qs.distanceTo(el)/t.zoom;let a,s;for(n[0].object.visible=!0,a=1,s=n.length;a<s&&r>=n[a].distance;a++)n[a-1].object.visible=!1,n[a].object.visible=!0;for(this._currentLevel=a-1;a<s;a++)n[a].object.visible=!1}},toJSON:function(t){const n=Kn.prototype.toJSON.call(this,t);!1===this.autoUpdate&&(n.object.autoUpdate=!1),n.object.levels=[];const r=this.levels;for(let t=0,a=r.length;t<a;t++){const a=r[t];n.object.levels.push({object:a.object.uuid,distance:a.distance})}return n}});const il=new Vector3,nl=new Vector4,rl=new Vector4,ol=new Vector3,al=new Matrix4;function sl(t,n){t&&t.isGeometry&&a.error("THREE.SkinnedMesh no longer supports THREE.Geometry. Use THREE.BufferGeometry instead."),so.call(this,t,n),this.type="SkinnedMesh",this.bindMode="attached",this.bindMatrix=new Matrix4,this.bindMatrixInverse=new Matrix4}function ll(){Kn.call(this),this.type="Bone"}sl.prototype=Object.assign(Object.create(so.prototype),{constructor:sl,isSkinnedMesh:!0,copy:function(t){return so.prototype.copy.call(this,t),this.bindMode=t.bindMode,this.bindMatrix.copy(t.bindMatrix),this.bindMatrixInverse.copy(t.bindMatrixInverse),this.skeleton=t.skeleton,this},bind:function(t,n){this.skeleton=t,void 0===n&&(this.updateMatrixWorld(!0),this.skeleton.calculateInverses(),n=this.matrixWorld),this.bindMatrix.copy(n),this.bindMatrixInverse.copy(n).invert()},pose:function(){this.skeleton.pose()},normalizeSkinWeights:function(){const t=new Vector4,n=this.geometry.attributes.skinWeight;for(let r=0,a=n.count;r<a;r++){t.x=n.getX(r),t.y=n.getY(r),t.z=n.getZ(r),t.w=n.getW(r);const a=1/t.manhattanLength();a!==1/0?t.multiplyScalar(a):t.set(1,0,0,0),n.setXYZW(r,t.x,t.y,t.z,t.w)}},updateMatrixWorld:function(t){so.prototype.updateMatrixWorld.call(this,t),"attached"===this.bindMode?this.bindMatrixInverse.copy(this.matrixWorld).invert():"detached"===this.bindMode?this.bindMatrixInverse.copy(this.bindMatrix).invert():a.warn("THREE.SkinnedMesh: Unrecognized bindMode: "+this.bindMode)},boneTransform:function(t,n){const r=this.skeleton,a=this.geometry;nl.fromBufferAttribute(a.attributes.skinIndex,t),rl.fromBufferAttribute(a.attributes.skinWeight,t),il.fromBufferAttribute(a.attributes.position,t).applyMatrix4(this.bindMatrix),n.set(0,0,0);for(let t=0;t<4;t++){const a=rl.getComponent(t);if(0!==a){const s=nl.getComponent(t);al.multiplyMatrices(r.bones[s].matrixWorld,r.boneInverses[s]),n.addScaledVector(ol.copy(il).applyMatrix4(al),a)}}return n.applyMatrix4(this.bindMatrixInverse)}}),ll.prototype=Object.assign(Object.create(Kn.prototype),{constructor:ll,isBone:!0});const cl=new Matrix4,dl=new Matrix4;function ul(t=[],n=[]){this.uuid=Ji.generateUUID(),this.bones=t.slice(0),this.boneInverses=n,this.boneMatrices=null,this.boneTexture=null,this.boneTextureSize=0,this.frame=-1,this.init()}Object.assign(ul.prototype,{init:function(){const t=this.bones,n=this.boneInverses;if(this.boneMatrices=new Float32Array(16*t.length),0===n.length)this.calculateInverses();else if(t.length!==n.length){a.warn("THREE.Skeleton: Number of inverse bone matrices does not match amount of bones."),this.boneInverses=[];for(let t=0,n=this.bones.length;t<n;t++)this.boneInverses.push(new Matrix4)}},calculateInverses:function(){this.boneInverses.length=0;for(let t=0,n=this.bones.length;t<n;t++){const n=new Matrix4;this.bones[t]&&n.copy(this.bones[t].matrixWorld).invert(),this.boneInverses.push(n)}},pose:function(){for(let t=0,n=this.bones.length;t<n;t++){const n=this.bones[t];n&&n.matrixWorld.copy(this.boneInverses[t]).invert()}for(let t=0,n=this.bones.length;t<n;t++){const n=this.bones[t];n&&(n.parent&&n.parent.isBone?(n.matrix.copy(n.parent.matrixWorld).invert(),n.matrix.multiply(n.matrixWorld)):n.matrix.copy(n.matrixWorld),n.matrix.decompose(n.position,n.quaternion,n.scale))}},update:function(){const t=this.bones,n=this.boneInverses,r=this.boneMatrices,a=this.boneTexture;for(let a=0,s=t.length;a<s;a++){const s=t[a]?t[a].matrixWorld:dl;cl.multiplyMatrices(s,n[a]),cl.toArray(r,16*a)}null!==a&&(a.needsUpdate=!0)},clone:function(){return new ul(this.bones,this.boneInverses)},getBoneByName:function(t){for(let n=0,r=this.bones.length;n<r;n++){const r=this.bones[n];if(r.name===t)return r}},dispose:function(){null!==this.boneTexture&&(this.boneTexture.dispose(),this.boneTexture=null)},fromJSON:function(t,n){this.uuid=t.uuid;for(let r=0,s=t.bones.length;r<s;r++){const s=t.bones[r];let l=n[s];void 0===l&&(a.warn("THREE.Skeleton: No bone found with UUID:",s),l=new ll),this.bones.push(l),this.boneInverses.push((new Matrix4).fromArray(t.boneInverses[r]))}return this.init(),this},toJSON:function(){const t={metadata:{version:4.5,type:"Skeleton",generator:"Skeleton.toJSON"},bones:[],boneInverses:[]};t.uuid=this.uuid;const n=this.bones,r=this.boneInverses;for(let a=0,s=n.length;a<s;a++){const s=n[a];t.bones.push(s.uuid);const l=r[a];t.boneInverses.push(l.toArray())}return t}});const hl=new Matrix4,pl=new Matrix4,fl=[],ml=new so;function gl(t,n,r){so.call(this,t,n),this.instanceMatrix=new Sr(new Float32Array(16*r),16),this.instanceColor=null,this.count=r,this.frustumCulled=!1}function vl(t){yr.call(this),this.type="LineBasicMaterial",this.color=new Color(16777215),this.linewidth=1,this.linecap="round",this.linejoin="round",this.morphTargets=!1,this.setValues(t)}gl.prototype=Object.assign(Object.create(so.prototype),{constructor:gl,isInstancedMesh:!0,copy:function(t){return so.prototype.copy.call(this,t),this.instanceMatrix.copy(t.instanceMatrix),null!==t.instanceColor&&(this.instanceColor=t.instanceColor.clone()),this.count=t.count,this},getColorAt:function(t,n){n.fromArray(this.instanceColor.array,3*t)},getMatrixAt:function(t,n){n.fromArray(this.instanceMatrix.array,16*t)},raycast:function(t,n){const r=this.matrixWorld,a=this.count;if(ml.geometry=this.geometry,ml.material=this.material,void 0!==ml.material)for(let s=0;s<a;s++){this.getMatrixAt(s,hl),pl.multiplyMatrices(r,hl),ml.matrixWorld=pl,ml.raycast(t,fl);for(let t=0,r=fl.length;t<r;t++){const r=fl[t];r.instanceId=s,r.object=this,n.push(r)}fl.length=0}},setColorAt:function(t,n){null===this.instanceColor&&(this.instanceColor=new Sr(new Float32Array(3*this.count),3)),n.toArray(this.instanceColor.array,3*t)},setMatrixAt:function(t,n){n.toArray(this.instanceMatrix.array,16*t)},updateMorphTargets:function(){},dispose:function(){this.dispatchEvent({type:"dispose"})}}),vl.prototype=Object.create(yr.prototype),vl.prototype.constructor=vl,vl.prototype.isLineBasicMaterial=!0,vl.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.linewidth=t.linewidth,this.linecap=t.linecap,this.linejoin=t.linejoin,this.morphTargets=t.morphTargets,this};const yl=new Vector3,bl=new Vector3,xl=new Matrix4,wl=new Ray,Sl=new Sphere;function _l(t=new Ur,n=new vl){Kn.call(this),this.type="Line",this.geometry=t,this.material=n,this.updateMorphTargets()}_l.prototype=Object.assign(Object.create(Kn.prototype),{constructor:_l,isLine:!0,copy:function(t){return Kn.prototype.copy.call(this,t),this.material=t.material,this.geometry=t.geometry,this},computeLineDistances:function(){const t=this.geometry;if(t.isBufferGeometry)if(null===t.index){const n=t.attributes.position,r=[0];for(let t=1,a=n.count;t<a;t++)yl.fromBufferAttribute(n,t-1),bl.fromBufferAttribute(n,t),r[t]=r[t-1],r[t]+=yl.distanceTo(bl);t.setAttribute("lineDistance",new Rr(r,1))}else a.warn("THREE.Line.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");else t.isGeometry&&a.error("THREE.Line.computeLineDistances() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");return this},raycast:function(t,n){const r=this.geometry,s=this.matrixWorld,l=t.params.Line.threshold;if(null===r.boundingSphere&&r.computeBoundingSphere(),Sl.copy(r.boundingSphere),Sl.applyMatrix4(s),Sl.radius+=l,!1===t.ray.intersectsSphere(Sl))return;xl.copy(s).invert(),wl.copy(t.ray).applyMatrix4(xl);const d=l/((this.scale.x+this.scale.y+this.scale.z)/3),h=d*d,p=new Vector3,f=new Vector3,m=new Vector3,g=new Vector3,v=this.isLineSegments?2:1;if(r.isBufferGeometry){const a=r.index,s=r.attributes.position;if(null!==a){const r=a.array;for(let a=0,l=r.length-1;a<l;a+=v){const l=r[a],d=r[a+1];p.fromBufferAttribute(s,l),f.fromBufferAttribute(s,d);if(wl.distanceSqToSegment(p,f,g,m)>h)continue;g.applyMatrix4(this.matrixWorld);const v=t.ray.origin.distanceTo(g);v<t.near||v>t.far||n.push({distance:v,point:m.clone().applyMatrix4(this.matrixWorld),index:a,face:null,faceIndex:null,object:this})}}else for(let r=0,a=s.count-1;r<a;r+=v){p.fromBufferAttribute(s,r),f.fromBufferAttribute(s,r+1);if(wl.distanceSqToSegment(p,f,g,m)>h)continue;g.applyMatrix4(this.matrixWorld);const a=t.ray.origin.distanceTo(g);a<t.near||a>t.far||n.push({distance:a,point:m.clone().applyMatrix4(this.matrixWorld),index:r,face:null,faceIndex:null,object:this})}}else r.isGeometry&&a.error("THREE.Line.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&a.error("THREE.Line.updateMorphTargets() does not support THREE.Geometry. Use THREE.BufferGeometry instead.")}}});const Ml=new Vector3,Tl=new Vector3;function El(t,n){_l.call(this,t,n),this.type="LineSegments"}function Cl(t,n){_l.call(this,t,n),this.type="LineLoop"}function Al(t){yr.call(this),this.type="PointsMaterial",this.color=new Color(16777215),this.map=null,this.alphaMap=null,this.size=1,this.sizeAttenuation=!0,this.morphTargets=!1,this.setValues(t)}El.prototype=Object.assign(Object.create(_l.prototype),{constructor:El,isLineSegments:!0,computeLineDistances:function(){const t=this.geometry;if(t.isBufferGeometry)if(null===t.index){const n=t.attributes.position,r=[];for(let t=0,a=n.count;t<a;t+=2)Ml.fromBufferAttribute(n,t),Tl.fromBufferAttribute(n,t+1),r[t]=0===t?0:r[t-1],r[t+1]=r[t]+Ml.distanceTo(Tl);t.setAttribute("lineDistance",new Rr(r,1))}else a.warn("THREE.LineSegments.computeLineDistances(): Computation only possible with non-indexed BufferGeometry.");else t.isGeometry&&a.error("THREE.LineSegments.computeLineDistances() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");return this}}),Cl.prototype=Object.assign(Object.create(_l.prototype),{constructor:Cl,isLineLoop:!0}),Al.prototype=Object.create(yr.prototype),Al.prototype.constructor=Al,Al.prototype.isPointsMaterial=!0,Al.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.alphaMap=t.alphaMap,this.size=t.size,this.sizeAttenuation=t.sizeAttenuation,this.morphTargets=t.morphTargets,this};const kl=new Matrix4,Ol=new Ray,Rl=new Sphere,Il=new Vector3;function Pl(t=new Ur,n=new Al){Kn.call(this),this.type="Points",this.geometry=t,this.material=n,this.updateMorphTargets()}function Ll(t,n,r,a,s,l,d){const h=Ol.distanceSqToPoint(t);if(h<r){const r=new Vector3;Ol.closestPointToPoint(t,r),r.applyMatrix4(a);const p=s.ray.origin.distanceTo(r);if(p<s.near||p>s.far)return;l.push({distance:p,distanceToRay:Math.sqrt(h),point:r,index:n,face:null,object:d})}}function Dl(t,n,r,a,s,l,d,h,p){nn.call(this,t,n,r,a,s,l,d,h,p),this.format=void 0!==d?d:Ke,this.minFilter=void 0!==l?l:Pe,this.magFilter=void 0!==s?s:Pe,this.generateMipmaps=!1;const f=this;"requestVideoFrameCallback"in t&&t.requestVideoFrameCallback((function n(){f.needsUpdate=!0,t.requestVideoFrameCallback(n)}))}function Fl(t,n,r,a,s,l,d,h,p,f,m,g){nn.call(this,null,l,d,h,p,f,a,s,m,g),this.image={width:n,height:r},this.mipmaps=t,this.flipY=!1,this.generateMipmaps=!1}function Nl(t,n,r,a,s,l,d,h,p){nn.call(this,t,n,r,a,s,l,d,h,p),this.needsUpdate=!0}function Bl(t,n,r,a,s,l,d,h,p,f){if((f=void 0!==f?f:it)!==it&&f!==nt)throw new Error("DepthTexture format must be either THREE.DepthFormat or THREE.DepthStencilFormat");void 0===r&&f===it&&(r=je),void 0===r&&f===nt&&(r=Ye),nn.call(this,null,a,s,l,d,h,f,r,p),this.image={width:t,height:n},this.magFilter=void 0!==d?d:Ae,this.minFilter=void 0!==h?h:Ae,this.flipY=!1,this.generateMipmaps=!1}Pl.prototype=Object.assign(Object.create(Kn.prototype),{constructor:Pl,isPoints:!0,copy:function(t){return Kn.prototype.copy.call(this,t),this.material=t.material,this.geometry=t.geometry,this},raycast:function(t,n){const r=this.geometry,s=this.matrixWorld,l=t.params.Points.threshold;if(null===r.boundingSphere&&r.computeBoundingSphere(),Rl.copy(r.boundingSphere),Rl.applyMatrix4(s),Rl.radius+=l,!1===t.ray.intersectsSphere(Rl))return;kl.copy(s).invert(),Ol.copy(t.ray).applyMatrix4(kl);const d=l/((this.scale.x+this.scale.y+this.scale.z)/3),h=d*d;if(r.isBufferGeometry){const a=r.index,l=r.attributes.position;if(null!==a){const r=a.array;for(let a=0,d=r.length;a<d;a++){const d=r[a];Il.fromBufferAttribute(l,d),Ll(Il,d,h,s,t,n,this)}}else for(let r=0,a=l.count;r<a;r++)Il.fromBufferAttribute(l,r),Ll(Il,r,h,s,t,n,this)}else a.error("THREE.Points.raycast() no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.")},updateMorphTargets:function(){const t=this.geometry;if(t.isBufferGeometry){const n=t.morphAttributes,r=Object.keys(n);if(r.length>0){const t=n[r[0]];if(void 0!==t){this.morphTargetInfluences=[],this.morphTargetDictionary={};for(let n=0,r=t.length;n<r;n++){const r=t[n].name||String(n);this.morphTargetInfluences.push(0),this.morphTargetDictionary[r]=n}}}}else{const n=t.morphTargets;void 0!==n&&n.length>0&&a.error("THREE.Points.updateMorphTargets() does not support THREE.Geometry. Use THREE.BufferGeometry instead.")}}}),Dl.prototype=Object.assign(Object.create(nn.prototype),{constructor:Dl,clone:function(){return new this.constructor(this.image).copy(this)},isVideoTexture:!0,update:function(){const t=this.image;!1==="requestVideoFrameCallback"in t&&t.readyState>=t.HAVE_CURRENT_DATA&&(this.needsUpdate=!0)}}),Fl.prototype=Object.create(nn.prototype),Fl.prototype.constructor=Fl,Fl.prototype.isCompressedTexture=!0,Nl.prototype=Object.create(nn.prototype),Nl.prototype.constructor=Nl,Nl.prototype.isCanvasTexture=!0,Bl.prototype=Object.create(nn.prototype),Bl.prototype.constructor=Bl,Bl.prototype.isDepthTexture=!0;class CircleGeometry extends Ur{constructor(t=1,n=8,r=0,a=2*Math.PI){super(),this.type="CircleGeometry",this.parameters={radius:t,segments:n,thetaStart:r,thetaLength:a},n=Math.max(3,n);const s=[],l=[],d=[],h=[],p=new Vector3,f=new Vector2;l.push(0,0,0),d.push(0,0,1),h.push(.5,.5);for(let s=0,m=3;s<=n;s++,m+=3){const g=r+s/n*a;p.x=t*Math.cos(g),p.y=t*Math.sin(g),l.push(p.x,p.y,p.z),d.push(0,0,1),f.x=(l[m]/t+1)/2,f.y=(l[m+1]/t+1)/2,h.push(f.x,f.y)}for(let t=1;t<=n;t++)s.push(t,t+1,0);this.setIndex(s),this.setAttribute("position",new Rr(l,3)),this.setAttribute("normal",new Rr(d,3)),this.setAttribute("uv",new Rr(h,2))}}class CylinderGeometry extends Ur{constructor(t=1,n=1,r=1,a=8,s=1,l=!1,d=0,h=2*Math.PI){super(),this.type="CylinderGeometry",this.parameters={radiusTop:t,radiusBottom:n,height:r,radialSegments:a,heightSegments:s,openEnded:l,thetaStart:d,thetaLength:h};const p=this;a=Math.floor(a),s=Math.floor(s);const f=[],m=[],g=[],v=[];let y=0;const b=[],x=r/2;let w=0;function S(r){const s=y,l=new Vector2,b=new Vector3;let S=0;const _=!0===r?t:n,T=!0===r?1:-1;for(let t=1;t<=a;t++)m.push(0,x*T,0),g.push(0,T,0),v.push(.5,.5),y++;const E=y;for(let t=0;t<=a;t++){const n=t/a*h+d,r=Math.cos(n),s=Math.sin(n);b.x=_*s,b.y=x*T,b.z=_*r,m.push(b.x,b.y,b.z),g.push(0,T,0),l.x=.5*r+.5,l.y=.5*s*T+.5,v.push(l.x,l.y),y++}for(let t=0;t<a;t++){const n=s+t,a=E+t;!0===r?f.push(a,a+1,n):f.push(a+1,a,n),S+=3}p.addGroup(w,S,!0===r?1:2),w+=S}!function(){const l=new Vector3,S=new Vector3;let _=0;const T=(n-t)/r;for(let p=0;p<=s;p++){const f=[],w=p/s,_=w*(n-t)+t;for(let t=0;t<=a;t++){const n=t/a,s=n*h+d,p=Math.sin(s),b=Math.cos(s);S.x=_*p,S.y=-w*r+x,S.z=_*b,m.push(S.x,S.y,S.z),l.set(p,T,b).normalize(),g.push(l.x,l.y,l.z),v.push(n,1-w),f.push(y++)}b.push(f)}for(let t=0;t<a;t++)for(let n=0;n<s;n++){const r=b[n][t],a=b[n+1][t],s=b[n+1][t+1],l=b[n][t+1];f.push(r,a,l),f.push(a,s,l),_+=6}p.addGroup(w,_,0),w+=_}(),!1===l&&(t>0&&S(!0),n>0&&S(!1)),this.setIndex(f),this.setAttribute("position",new Rr(m,3)),this.setAttribute("normal",new Rr(g,3)),this.setAttribute("uv",new Rr(v,2))}}class ConeGeometry extends CylinderGeometry{constructor(t=1,n=1,r=8,a=1,s=!1,l=0,d=2*Math.PI){super(0,t,n,r,a,s,l,d),this.type="ConeGeometry",this.parameters={radius:t,height:n,radialSegments:r,heightSegments:a,openEnded:s,thetaStart:l,thetaLength:d}}}class PolyhedronGeometry extends Ur{constructor(t,n,r=1,a=0){super(),this.type="PolyhedronGeometry",this.parameters={vertices:t,indices:n,radius:r,detail:a};const s=[],l=[];function d(t,n,r,a){const s=a+1,l=[];for(let a=0;a<=s;a++){l[a]=[];const d=t.clone().lerp(r,a/s),h=n.clone().lerp(r,a/s),p=s-a;for(let t=0;t<=p;t++)l[a][t]=0===t&&a===s?d:d.clone().lerp(h,t/p)}for(let t=0;t<s;t++)for(let n=0;n<2*(s-t)-1;n++){const r=Math.floor(n/2);n%2==0?(h(l[t][r+1]),h(l[t+1][r]),h(l[t][r])):(h(l[t][r+1]),h(l[t+1][r+1]),h(l[t+1][r]))}}function h(t){s.push(t.x,t.y,t.z)}function p(n,r){const a=3*n;r.x=t[a+0],r.y=t[a+1],r.z=t[a+2]}function f(t,n,r,a){a<0&&1===t.x&&(l[n]=t.x-1),0===r.x&&0===r.z&&(l[n]=a/2/Math.PI+.5)}function m(t){return Math.atan2(t.z,-t.x)}!function(t){const r=new Vector3,a=new Vector3,s=new Vector3;for(let l=0;l<n.length;l+=3)p(n[l+0],r),p(n[l+1],a),p(n[l+2],s),d(r,a,s,t)}(a),function(t){const n=new Vector3;for(let r=0;r<s.length;r+=3)n.x=s[r+0],n.y=s[r+1],n.z=s[r+2],n.normalize().multiplyScalar(t),s[r+0]=n.x,s[r+1]=n.y,s[r+2]=n.z}(r),function(){const t=new Vector3;for(let r=0;r<s.length;r+=3){t.x=s[r+0],t.y=s[r+1],t.z=s[r+2];const a=m(t)/2/Math.PI+.5,d=(n=t,Math.atan2(-n.y,Math.sqrt(n.x*n.x+n.z*n.z))/Math.PI+.5);l.push(a,1-d)}var n;(function(){const t=new Vector3,n=new Vector3,r=new Vector3,a=new Vector3,d=new Vector2,h=new Vector2,p=new Vector2;for(let g=0,v=0;g<s.length;g+=9,v+=6){t.set(s[g+0],s[g+1],s[g+2]),n.set(s[g+3],s[g+4],s[g+5]),r.set(s[g+6],s[g+7],s[g+8]),d.set(l[v+0],l[v+1]),h.set(l[v+2],l[v+3]),p.set(l[v+4],l[v+5]),a.copy(t).add(n).add(r).divideScalar(3);const y=m(a);f(d,v+0,t,y),f(h,v+2,n,y),f(p,v+4,r,y)}})(),function(){for(let t=0;t<l.length;t+=6){const n=l[t+0],r=l[t+2],a=l[t+4],s=Math.max(n,r,a),d=Math.min(n,r,a);s>.9&&d<.1&&(n<.2&&(l[t+0]+=1),r<.2&&(l[t+2]+=1),a<.2&&(l[t+4]+=1))}}()}(),this.setAttribute("position",new Rr(s,3)),this.setAttribute("normal",new Rr(s.slice(),3)),this.setAttribute("uv",new Rr(l,2)),0===a?this.computeVertexNormals():this.normalizeNormals()}}class DodecahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){const r=(1+Math.sqrt(5))/2,a=1/r;super([-1,-1,-1,-1,-1,1,-1,1,-1,-1,1,1,1,-1,-1,1,-1,1,1,1,-1,1,1,1,0,-a,-r,0,-a,r,0,a,-r,0,a,r,-a,-r,0,-a,r,0,a,-r,0,a,r,0,-r,0,-a,r,0,-a,-r,0,a,r,0,a],[3,11,7,3,7,15,3,15,13,7,19,17,7,17,6,7,6,15,17,4,8,17,8,10,17,10,6,8,0,16,8,16,2,8,2,10,0,12,1,0,1,18,0,18,16,6,10,2,6,2,13,6,13,15,2,16,18,2,18,3,2,3,13,18,1,9,18,9,11,18,11,3,4,14,12,4,12,0,4,0,8,11,9,5,11,5,19,11,19,7,19,5,14,19,14,4,19,4,17,1,12,14,1,14,5,1,5,9],t,n),this.type="DodecahedronGeometry",this.parameters={radius:t,detail:n}}}const zl=new Vector3,$l=new Vector3,jl=new Vector3,Vl=new Triangle;class EdgesGeometry extends Ur{constructor(t,n){if(super(),this.type="EdgesGeometry",this.parameters={thresholdAngle:n},n=void 0!==n?n:1,!0===t.isGeometry)return void a.error("THREE.EdgesGeometry no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");const r=Math.pow(10,4),s=Math.cos(Ji.DEG2RAD*n),l=t.getIndex(),d=t.getAttribute("position"),h=l?l.count:d.count,p=[0,0,0],f=["a","b","c"],m=new Array(3),g={},v=[];for(let t=0;t<h;t+=3){l?(p[0]=l.getX(t),p[1]=l.getX(t+1),p[2]=l.getX(t+2)):(p[0]=t,p[1]=t+1,p[2]=t+2);const{a:n,b:a,c:h}=Vl;if(n.fromBufferAttribute(d,p[0]),a.fromBufferAttribute(d,p[1]),h.fromBufferAttribute(d,p[2]),Vl.getNormal(jl),m[0]=`${Math.round(n.x*r)},${Math.round(n.y*r)},${Math.round(n.z*r)}`,m[1]=`${Math.round(a.x*r)},${Math.round(a.y*r)},${Math.round(a.z*r)}`,m[2]=`${Math.round(h.x*r)},${Math.round(h.y*r)},${Math.round(h.z*r)}`,m[0]!==m[1]&&m[1]!==m[2]&&m[2]!==m[0])for(let t=0;t<3;t++){const n=(t+1)%3,r=m[t],a=m[n],l=Vl[f[t]],d=Vl[f[n]],h=`${r}_${a}`,y=`${a}_${r}`;y in g&&g[y]?(jl.dot(g[y].normal)<=s&&(v.push(l.x,l.y,l.z),v.push(d.x,d.y,d.z)),g[y]=null):h in g||(g[h]={index0:p[t],index1:p[n],normal:jl.clone()})}}for(const t in g)if(g[t]){const{index0:n,index1:r}=g[t];zl.fromBufferAttribute(d,n),$l.fromBufferAttribute(d,r),v.push(zl.x,zl.y,zl.z),v.push($l.x,$l.y,$l.z)}this.setAttribute("position",new Rr(v,3))}}const Ul=function(t,n,r){r=r||2;const a=n&&n.length,s=a?n[0]*r:t.length;let l=Gl(t,0,s,r,!0);const d=[];if(!l||l.next===l.prev)return d;let h,p,f,m,g,v,y;if(a&&(l=function(t,n,r,a){const s=[];let l,d,h,p,f;for(l=0,d=n.length;l<d;l++)h=n[l]*a,p=l<d-1?n[l+1]*a:t.length,f=Gl(t,h,p,a,!1),f===f.next&&(f.steiner=!0),s.push(tc(f));for(s.sort(Kl),l=0;l<s.length;l++)Jl(s[l],r),r=Hl(r,r.next);return r}(t,n,l,r)),t.length>80*r){h=f=t[0],p=m=t[1];for(let n=r;n<s;n+=r)g=t[n],v=t[n+1],g<h&&(h=g),v<p&&(p=v),g>f&&(f=g),v>m&&(m=v);y=Math.max(f-h,m-p),y=0!==y?1/y:0}return Wl(l,d,r,h,p,y),d};function Gl(t,n,r,a,s){let l,d;if(s===function(t,n,r,a){let s=0;for(let l=n,d=r-a;l<r;l+=a)s+=(t[d]-t[l])*(t[l+1]+t[d+1]),d=l;return s}(t,n,r,a)>0)for(l=n;l<r;l+=a)d=uc(l,t[l],t[l+1],d);else for(l=r-a;l>=n;l-=a)d=uc(l,t[l],t[l+1],d);return d&&oc(d,d.next)&&(hc(d),d=d.next),d}function Hl(t,n){if(!t)return t;n||(n=t);let r,a=t;do{if(r=!1,a.steiner||!oc(a,a.next)&&0!==rc(a.prev,a,a.next))a=a.next;else{if(hc(a),a=n=a.prev,a===a.next)break;r=!0}}while(r||a!==n);return n}function Wl(t,n,r,a,s,l,d){if(!t)return;!d&&l&&function(t,n,r,a){let s=t;do{null===s.z&&(s.z=ec(s.x,s.y,n,r,a)),s.prevZ=s.prev,s.nextZ=s.next,s=s.next}while(s!==t);s.prevZ.nextZ=null,s.prevZ=null,function(t){let n,r,a,s,l,d,h,p,f=1;do{for(r=t,t=null,l=null,d=0;r;){for(d++,a=r,h=0,n=0;n<f&&(h++,a=a.nextZ,a);n++);for(p=f;h>0||p>0&&a;)0!==h&&(0===p||!a||r.z<=a.z)?(s=r,r=r.nextZ,h--):(s=a,a=a.nextZ,p--),l?l.nextZ=s:t=s,s.prevZ=l,l=s;r=a}l.nextZ=null,f*=2}while(d>1)}(s)}(t,a,s,l);let h,p,f=t;for(;t.prev!==t.next;)if(h=t.prev,p=t.next,l?Xl(t,a,s,l):ql(t))n.push(h.i/r),n.push(t.i/r),n.push(p.i/r),hc(t),t=p.next,f=p.next;else if((t=p)===f){d?1===d?Wl(t=Yl(Hl(t),n,r),n,r,a,s,l,2):2===d&&Zl(t,n,r,a,s,l):Wl(Hl(t),n,r,a,s,l,1);break}}function ql(t){const n=t.prev,r=t,a=t.next;if(rc(n,r,a)>=0)return!1;let s=t.next.next;for(;s!==t.prev;){if(ic(n.x,n.y,r.x,r.y,a.x,a.y,s.x,s.y)&&rc(s.prev,s,s.next)>=0)return!1;s=s.next}return!0}function Xl(t,n,r,a){const s=t.prev,l=t,d=t.next;if(rc(s,l,d)>=0)return!1;const h=s.x<l.x?s.x<d.x?s.x:d.x:l.x<d.x?l.x:d.x,p=s.y<l.y?s.y<d.y?s.y:d.y:l.y<d.y?l.y:d.y,f=s.x>l.x?s.x>d.x?s.x:d.x:l.x>d.x?l.x:d.x,m=s.y>l.y?s.y>d.y?s.y:d.y:l.y>d.y?l.y:d.y,g=ec(h,p,n,r,a),v=ec(f,m,n,r,a);let y=t.prevZ,b=t.nextZ;for(;y&&y.z>=g&&b&&b.z<=v;){if(y!==t.prev&&y!==t.next&&ic(s.x,s.y,l.x,l.y,d.x,d.y,y.x,y.y)&&rc(y.prev,y,y.next)>=0)return!1;if(y=y.prevZ,b!==t.prev&&b!==t.next&&ic(s.x,s.y,l.x,l.y,d.x,d.y,b.x,b.y)&&rc(b.prev,b,b.next)>=0)return!1;b=b.nextZ}for(;y&&y.z>=g;){if(y!==t.prev&&y!==t.next&&ic(s.x,s.y,l.x,l.y,d.x,d.y,y.x,y.y)&&rc(y.prev,y,y.next)>=0)return!1;y=y.prevZ}for(;b&&b.z<=v;){if(b!==t.prev&&b!==t.next&&ic(s.x,s.y,l.x,l.y,d.x,d.y,b.x,b.y)&&rc(b.prev,b,b.next)>=0)return!1;b=b.nextZ}return!0}function Yl(t,n,r){let a=t;do{const s=a.prev,l=a.next.next;!oc(s,l)&&ac(s,a,a.next,l)&&cc(s,l)&&cc(l,s)&&(n.push(s.i/r),n.push(a.i/r),n.push(l.i/r),hc(a),hc(a.next),a=t=l),a=a.next}while(a!==t);return Hl(a)}function Zl(t,n,r,a,s,l){let d=t;do{let t=d.next.next;for(;t!==d.prev;){if(d.i!==t.i&&nc(d,t)){let h=dc(d,t);return d=Hl(d,d.next),h=Hl(h,h.next),Wl(d,n,r,a,s,l),void Wl(h,n,r,a,s,l)}t=t.next}d=d.next}while(d!==t)}function Kl(t,n){return t.x-n.x}function Jl(t,n){if(n=function(t,n){let r=n;const a=t.x,s=t.y;let l,d=-1/0;do{if(s<=r.y&&s>=r.next.y&&r.next.y!==r.y){const t=r.x+(s-r.y)*(r.next.x-r.x)/(r.next.y-r.y);if(t<=a&&t>d){if(d=t,t===a){if(s===r.y)return r;if(s===r.next.y)return r.next}l=r.x<r.next.x?r:r.next}}r=r.next}while(r!==n);if(!l)return null;if(a===d)return l;const h=l,p=l.x,f=l.y;let m,g=1/0;r=l;do{a>=r.x&&r.x>=p&&a!==r.x&&ic(s<f?a:d,s,p,f,s<f?d:a,s,r.x,r.y)&&(m=Math.abs(s-r.y)/(a-r.x),cc(r,t)&&(m<g||m===g&&(r.x>l.x||r.x===l.x&&Ql(l,r)))&&(l=r,g=m)),r=r.next}while(r!==h);return l}(t,n),n){const r=dc(n,t);Hl(n,n.next),Hl(r,r.next)}}function Ql(t,n){return rc(t.prev,t,n.prev)<0&&rc(n.next,t,t.next)<0}function ec(t,n,r,a,s){return(t=1431655765&((t=858993459&((t=252645135&((t=16711935&((t=32767*(t-r)*s)|t<<8))|t<<4))|t<<2))|t<<1))|(n=1431655765&((n=858993459&((n=252645135&((n=16711935&((n=32767*(n-a)*s)|n<<8))|n<<4))|n<<2))|n<<1))<<1}function tc(t){let n=t,r=t;do{(n.x<r.x||n.x===r.x&&n.y<r.y)&&(r=n),n=n.next}while(n!==t);return r}function ic(t,n,r,a,s,l,d,h){return(s-d)*(n-h)-(t-d)*(l-h)>=0&&(t-d)*(a-h)-(r-d)*(n-h)>=0&&(r-d)*(l-h)-(s-d)*(a-h)>=0}function nc(t,n){return t.next.i!==n.i&&t.prev.i!==n.i&&!function(t,n){let r=t;do{if(r.i!==t.i&&r.next.i!==t.i&&r.i!==n.i&&r.next.i!==n.i&&ac(r,r.next,t,n))return!0;r=r.next}while(r!==t);return!1}(t,n)&&(cc(t,n)&&cc(n,t)&&function(t,n){let r=t,a=!1;const s=(t.x+n.x)/2,l=(t.y+n.y)/2;do{r.y>l!=r.next.y>l&&r.next.y!==r.y&&s<(r.next.x-r.x)*(l-r.y)/(r.next.y-r.y)+r.x&&(a=!a),r=r.next}while(r!==t);return a}(t,n)&&(rc(t.prev,t,n.prev)||rc(t,n.prev,n))||oc(t,n)&&rc(t.prev,t,t.next)>0&&rc(n.prev,n,n.next)>0)}function rc(t,n,r){return(n.y-t.y)*(r.x-n.x)-(n.x-t.x)*(r.y-n.y)}function oc(t,n){return t.x===n.x&&t.y===n.y}function ac(t,n,r,a){const s=lc(rc(t,n,r)),l=lc(rc(t,n,a)),d=lc(rc(r,a,t)),h=lc(rc(r,a,n));return s!==l&&d!==h||(!(0!==s||!sc(t,r,n))||(!(0!==l||!sc(t,a,n))||(!(0!==d||!sc(r,t,a))||!(0!==h||!sc(r,n,a)))))}function sc(t,n,r){return n.x<=Math.max(t.x,r.x)&&n.x>=Math.min(t.x,r.x)&&n.y<=Math.max(t.y,r.y)&&n.y>=Math.min(t.y,r.y)}function lc(t){return t>0?1:t<0?-1:0}function cc(t,n){return rc(t.prev,t,t.next)<0?rc(t,n,t.next)>=0&&rc(t,t.prev,n)>=0:rc(t,n,t.prev)<0||rc(t,t.next,n)<0}function dc(t,n){const r=new pc(t.i,t.x,t.y),a=new pc(n.i,n.x,n.y),s=t.next,l=n.prev;return t.next=n,n.prev=t,r.next=s,s.prev=r,a.next=r,r.prev=a,l.next=a,a.prev=l,a}function uc(t,n,r,a){const s=new pc(t,n,r);return a?(s.next=a.next,s.prev=a,a.next.prev=s,a.next=s):(s.prev=s,s.next=s),s}function hc(t){t.next.prev=t.prev,t.prev.next=t.next,t.prevZ&&(t.prevZ.nextZ=t.nextZ),t.nextZ&&(t.nextZ.prevZ=t.prevZ)}function pc(t,n,r){this.i=t,this.x=n,this.y=r,this.prev=null,this.next=null,this.z=null,this.prevZ=null,this.nextZ=null,this.steiner=!1}const fc={area:function(t){const n=t.length;let r=0;for(let a=n-1,s=0;s<n;a=s++)r+=t[a].x*t[s].y-t[s].x*t[a].y;return.5*r},isClockWise:function(t){return fc.area(t)<0},triangulateShape:function(t,n){const r=[],a=[],s=[];mc(t),gc(r,t);let l=t.length;n.forEach(mc);for(let t=0;t<n.length;t++)a.push(l),l+=n[t].length,gc(r,n[t]);const d=Ul(r,a);for(let t=0;t<d.length;t+=3)s.push(d.slice(t,t+3));return s}};function mc(t){const n=t.length;n>2&&t[n-1].equals(t[0])&&t.pop()}function gc(t,n){for(let r=0;r<n.length;r++)t.push(n[r].x),t.push(n[r].y)}class ExtrudeGeometry extends Ur{constructor(t,n){super(),this.type="ExtrudeGeometry",this.parameters={shapes:t,options:n},t=Array.isArray(t)?t:[t];const r=this,s=[],l=[];for(let n=0,r=t.length;n<r;n++){d(t[n])}function d(t){const d=[],h=void 0!==n.curveSegments?n.curveSegments:12,p=void 0!==n.steps?n.steps:1;let f=void 0!==n.depth?n.depth:100,m=void 0===n.bevelEnabled||n.bevelEnabled,g=void 0!==n.bevelThickness?n.bevelThickness:6,v=void 0!==n.bevelSize?n.bevelSize:g-2,y=void 0!==n.bevelOffset?n.bevelOffset:0,b=void 0!==n.bevelSegments?n.bevelSegments:3;const x=n.extrudePath,w=void 0!==n.UVGenerator?n.UVGenerator:vc;void 0!==n.amount&&(a.warn("THREE.ExtrudeBufferGeometry: amount has been renamed to depth."),f=n.amount);let S,_,T,E,C,A=!1;x&&(S=x.getSpacedPoints(p),A=!0,m=!1,_=x.computeFrenetFrames(p,!1),T=new Vector3,E=new Vector3,C=new Vector3),m||(b=0,g=0,v=0,y=0);const O=t.extractPoints(h);let I=O.shape;const P=O.holes;if(!fc.isClockWise(I)){I=I.reverse();for(let t=0,n=P.length;t<n;t++){const n=P[t];fc.isClockWise(n)&&(P[t]=n.reverse())}}const D=fc.triangulateShape(I,P),F=I;for(let t=0,n=P.length;t<n;t++){const n=P[t];I=I.concat(n)}function B(t,n,r){return n||a.error("THREE.ExtrudeGeometry: vec does not exist"),n.clone().multiplyScalar(r).add(t)}const $=I.length,j=D.length;function V(t,n,r){let a,s,l;const d=t.x-n.x,h=t.y-n.y,p=r.x-t.x,f=r.y-t.y,m=d*d+h*h,g=d*f-h*p;if(Math.abs(g)>Number.EPSILON){const g=Math.sqrt(m),v=Math.sqrt(p*p+f*f),y=n.x-h/g,b=n.y+d/g,x=((r.x-f/v-y)*f-(r.y+p/v-b)*p)/(d*f-h*p);a=y+d*x-t.x,s=b+h*x-t.y;const w=a*a+s*s;if(w<=2)return new Vector2(a,s);l=Math.sqrt(w/2)}else{let t=!1;d>Number.EPSILON?p>Number.EPSILON&&(t=!0):d<-Number.EPSILON?p<-Number.EPSILON&&(t=!0):Math.sign(h)===Math.sign(f)&&(t=!0),t?(a=-h,s=d,l=Math.sqrt(m)):(a=d,s=h,l=Math.sqrt(m/2))}return new Vector2(a/l,s/l)}const U=[];for(let t=0,n=F.length,r=n-1,a=t+1;t<n;t++,r++,a++)r===n&&(r=0),a===n&&(a=0),U[t]=V(F[t],F[r],F[a]);const G=[];let W,q=U.concat();for(let t=0,n=P.length;t<n;t++){const n=P[t];W=[];for(let t=0,r=n.length,a=r-1,s=t+1;t<r;t++,a++,s++)a===r&&(a=0),s===r&&(s=0),W[t]=V(n[t],n[a],n[s]);G.push(W),q=q.concat(W)}for(let t=0;t<b;t++){const n=t/b,r=g*Math.cos(n*Math.PI/2),a=v*Math.sin(n*Math.PI/2)+y;for(let t=0,n=F.length;t<n;t++){const n=B(F[t],U[t],a);K(n.x,n.y,-r)}for(let t=0,n=P.length;t<n;t++){const n=P[t];W=G[t];for(let t=0,s=n.length;t<s;t++){const s=B(n[t],W[t],a);K(s.x,s.y,-r)}}}const X=v+y;for(let t=0;t<$;t++){const n=m?B(I[t],q[t],X):I[t];A?(E.copy(_.normals[0]).multiplyScalar(n.x),T.copy(_.binormals[0]).multiplyScalar(n.y),C.copy(S[0]).add(E).add(T),K(C.x,C.y,C.z)):K(n.x,n.y,0)}for(let t=1;t<=p;t++)for(let n=0;n<$;n++){const r=m?B(I[n],q[n],X):I[n];A?(E.copy(_.normals[t]).multiplyScalar(r.x),T.copy(_.binormals[t]).multiplyScalar(r.y),C.copy(S[t]).add(E).add(T),K(C.x,C.y,C.z)):K(r.x,r.y,f/p*t)}for(let t=b-1;t>=0;t--){const n=t/b,r=g*Math.cos(n*Math.PI/2),a=v*Math.sin(n*Math.PI/2)+y;for(let t=0,n=F.length;t<n;t++){const n=B(F[t],U[t],a);K(n.x,n.y,f+r)}for(let t=0,n=P.length;t<n;t++){const n=P[t];W=G[t];for(let t=0,s=n.length;t<s;t++){const s=B(n[t],W[t],a);A?K(s.x,s.y+S[p-1].y,S[p-1].x+r):K(s.x,s.y,f+r)}}}function Y(t,n){let r=t.length;for(;--r>=0;){const a=r;let s=r-1;s<0&&(s=t.length-1);for(let t=0,r=p+2*b;t<r;t++){const r=$*t,l=$*(t+1);Q(n+a+r,n+s+r,n+s+l,n+a+l)}}}function K(t,n,r){d.push(t),d.push(n),d.push(r)}function J(t,n,a){ee(t),ee(n),ee(a);const l=s.length/3,d=w.generateTopUV(r,s,l-3,l-2,l-1);te(d[0]),te(d[1]),te(d[2])}function Q(t,n,a,l){ee(t),ee(n),ee(l),ee(n),ee(a),ee(l);const d=s.length/3,h=w.generateSideWallUV(r,s,d-6,d-3,d-2,d-1);te(h[0]),te(h[1]),te(h[3]),te(h[1]),te(h[2]),te(h[3])}function ee(t){s.push(d[3*t+0]),s.push(d[3*t+1]),s.push(d[3*t+2])}function te(t){l.push(t.x),l.push(t.y)}!function(){const t=s.length/3;if(m){let t=0,n=$*t;for(let t=0;t<j;t++){const r=D[t];J(r[2]+n,r[1]+n,r[0]+n)}t=p+2*b,n=$*t;for(let t=0;t<j;t++){const r=D[t];J(r[0]+n,r[1]+n,r[2]+n)}}else{for(let t=0;t<j;t++){const n=D[t];J(n[2],n[1],n[0])}for(let t=0;t<j;t++){const n=D[t];J(n[0]+$*p,n[1]+$*p,n[2]+$*p)}}r.addGroup(t,s.length/3-t,0)}(),function(){const t=s.length/3;let n=0;Y(F,n),n+=F.length;for(let t=0,r=P.length;t<r;t++){const r=P[t];Y(r,n),n+=r.length}r.addGroup(t,s.length/3-t,1)}()}this.setAttribute("position",new Rr(s,3)),this.setAttribute("uv",new Rr(l,2)),this.computeVertexNormals()}toJSON(){const t=Ur.prototype.toJSON.call(this);return function(t,n,r){if(r.shapes=[],Array.isArray(t))for(let n=0,a=t.length;n<a;n++){const a=t[n];r.shapes.push(a.uuid)}else r.shapes.push(t.uuid);void 0!==n.extrudePath&&(r.options.extrudePath=n.extrudePath.toJSON());return r}(this.parameters.shapes,this.parameters.options,t)}}const vc={generateTopUV:function(t,n,r,a,s){const l=n[3*r],d=n[3*r+1],h=n[3*a],p=n[3*a+1],f=n[3*s],m=n[3*s+1];return[new Vector2(l,d),new Vector2(h,p),new Vector2(f,m)]},generateSideWallUV:function(t,n,r,a,s,l){const d=n[3*r],h=n[3*r+1],p=n[3*r+2],f=n[3*a],m=n[3*a+1],g=n[3*a+2],v=n[3*s],y=n[3*s+1],b=n[3*s+2],x=n[3*l],w=n[3*l+1],S=n[3*l+2];return Math.abs(h-m)<.01?[new Vector2(d,1-p),new Vector2(f,1-g),new Vector2(v,1-b),new Vector2(x,1-S)]:[new Vector2(h,1-p),new Vector2(m,1-g),new Vector2(y,1-b),new Vector2(w,1-S)]}};class IcosahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){const r=(1+Math.sqrt(5))/2;super([-1,r,0,1,r,0,-1,-r,0,1,-r,0,0,-1,r,0,1,r,0,-1,-r,0,1,-r,r,0,-1,r,0,1,-r,0,-1,-r,0,1],[0,11,5,0,5,1,0,1,7,0,7,10,0,10,11,1,5,9,5,11,4,11,10,2,10,7,6,7,1,8,3,9,4,3,4,2,3,2,6,3,6,8,3,8,9,4,9,5,2,4,11,6,2,10,8,6,7,9,8,1],t,n),this.type="IcosahedronGeometry",this.parameters={radius:t,detail:n}}}class LatheGeometry extends Ur{constructor(t,n=12,r=0,a=2*Math.PI){super(),this.type="LatheGeometry",this.parameters={points:t,segments:n,phiStart:r,phiLength:a},n=Math.floor(n),a=Ji.clamp(a,0,2*Math.PI);const s=[],l=[],d=[],h=1/n,p=new Vector3,f=new Vector2;for(let s=0;s<=n;s++){const m=r+s*h*a,g=Math.sin(m),v=Math.cos(m);for(let r=0;r<=t.length-1;r++)p.x=t[r].x*g,p.y=t[r].y,p.z=t[r].x*v,l.push(p.x,p.y,p.z),f.x=s/n,f.y=r/(t.length-1),d.push(f.x,f.y)}for(let r=0;r<n;r++)for(let n=0;n<t.length-1;n++){const a=n+r*t.length,l=a,d=a+t.length,h=a+t.length+1,p=a+1;s.push(l,d,p),s.push(d,h,p)}if(this.setIndex(s),this.setAttribute("position",new Rr(l,3)),this.setAttribute("uv",new Rr(d,2)),this.computeVertexNormals(),a===2*Math.PI){const r=this.attributes.normal.array,a=new Vector3,s=new Vector3,l=new Vector3,d=n*t.length*3;for(let n=0,h=0;n<t.length;n++,h+=3)a.x=r[h+0],a.y=r[h+1],a.z=r[h+2],s.x=r[d+h+0],s.y=r[d+h+1],s.z=r[d+h+2],l.addVectors(a,s).normalize(),r[h+0]=r[d+h+0]=l.x,r[h+1]=r[d+h+1]=l.y,r[h+2]=r[d+h+2]=l.z}}}class OctahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){super([1,0,0,-1,0,0,0,1,0,0,-1,0,0,0,1,0,0,-1],[0,2,4,0,4,3,0,3,5,0,5,2,1,2,5,1,5,3,1,3,4,1,4,2],t,n),this.type="OctahedronGeometry",this.parameters={radius:t,detail:n}}}function yc(t,n,r){Ur.call(this),this.type="ParametricGeometry",this.parameters={func:t,slices:n,stacks:r};const s=[],l=[],d=[],h=[],p=1e-5,f=new Vector3,m=new Vector3,g=new Vector3,v=new Vector3,y=new Vector3;t.length<3&&a.error("THREE.ParametricGeometry: Function must now modify a Vector3 as third parameter.");const b=n+1;for(let a=0;a<=r;a++){const s=a/r;for(let r=0;r<=n;r++){const a=r/n;t(a,s,m),l.push(m.x,m.y,m.z),a-p>=0?(t(a-p,s,g),v.subVectors(m,g)):(t(a+p,s,g),v.subVectors(g,m)),s-p>=0?(t(a,s-p,g),y.subVectors(m,g)):(t(a,s+p,g),y.subVectors(g,m)),f.crossVectors(v,y).normalize(),d.push(f.x,f.y,f.z),h.push(a,s)}}for(let t=0;t<r;t++)for(let r=0;r<n;r++){const n=t*b+r,a=t*b+r+1,l=(t+1)*b+r+1,d=(t+1)*b+r;s.push(n,a,d),s.push(a,l,d)}this.setIndex(s),this.setAttribute("position",new Rr(l,3)),this.setAttribute("normal",new Rr(d,3)),this.setAttribute("uv",new Rr(h,2))}yc.prototype=Object.create(Ur.prototype),yc.prototype.constructor=yc;class RingGeometry extends Ur{constructor(t=.5,n=1,r=8,a=1,s=0,l=2*Math.PI){super(),this.type="RingGeometry",this.parameters={innerRadius:t,outerRadius:n,thetaSegments:r,phiSegments:a,thetaStart:s,thetaLength:l},r=Math.max(3,r);const d=[],h=[],p=[],f=[];let m=t;const g=(n-t)/(a=Math.max(1,a)),v=new Vector3,y=new Vector2;for(let t=0;t<=a;t++){for(let t=0;t<=r;t++){const a=s+t/r*l;v.x=m*Math.cos(a),v.y=m*Math.sin(a),h.push(v.x,v.y,v.z),p.push(0,0,1),y.x=(v.x/n+1)/2,y.y=(v.y/n+1)/2,f.push(y.x,y.y)}m+=g}for(let t=0;t<a;t++){const n=t*(r+1);for(let t=0;t<r;t++){const a=t+n,s=a,l=a+r+1,h=a+r+2,p=a+1;d.push(s,l,p),d.push(l,h,p)}}this.setIndex(d),this.setAttribute("position",new Rr(h,3)),this.setAttribute("normal",new Rr(p,3)),this.setAttribute("uv",new Rr(f,2))}}class ShapeGeometry extends Ur{constructor(t,n=12){super(),this.type="ShapeGeometry",this.parameters={shapes:t,curveSegments:n};const r=[],a=[],s=[],l=[];let d=0,h=0;if(!1===Array.isArray(t))p(t);else for(let n=0;n<t.length;n++)p(t[n]),this.addGroup(d,h,n),d+=h,h=0;function p(t){const d=a.length/3,p=t.extractPoints(n);let f=p.shape;const m=p.holes;!1===fc.isClockWise(f)&&(f=f.reverse());for(let t=0,n=m.length;t<n;t++){const n=m[t];!0===fc.isClockWise(n)&&(m[t]=n.reverse())}const g=fc.triangulateShape(f,m);for(let t=0,n=m.length;t<n;t++){const n=m[t];f=f.concat(n)}for(let t=0,n=f.length;t<n;t++){const n=f[t];a.push(n.x,n.y,0),s.push(0,0,1),l.push(n.x,n.y)}for(let t=0,n=g.length;t<n;t++){const n=g[t],a=n[0]+d,s=n[1]+d,l=n[2]+d;r.push(a,s,l),h+=3}}this.setIndex(r),this.setAttribute("position",new Rr(a,3)),this.setAttribute("normal",new Rr(s,3)),this.setAttribute("uv",new Rr(l,2))}toJSON(){const t=Ur.prototype.toJSON.call(this);return function(t,n){if(n.shapes=[],Array.isArray(t))for(let r=0,a=t.length;r<a;r++){const a=t[r];n.shapes.push(a.uuid)}else n.shapes.push(t.uuid);return n}(this.parameters.shapes,t)}}class SphereGeometry extends Ur{constructor(t=1,n=8,r=6,a=0,s=2*Math.PI,l=0,d=Math.PI){super(),this.type="SphereGeometry",this.parameters={radius:t,widthSegments:n,heightSegments:r,phiStart:a,phiLength:s,thetaStart:l,thetaLength:d},n=Math.max(3,Math.floor(n)),r=Math.max(2,Math.floor(r));const h=Math.min(l+d,Math.PI);let p=0;const f=[],m=new Vector3,g=new Vector3,v=[],y=[],b=[],x=[];for(let v=0;v<=r;v++){const w=[],S=v/r;let _=0;0==v&&0==l?_=.5/n:v==r&&h==Math.PI&&(_=-.5/n);for(let r=0;r<=n;r++){const h=r/n;m.x=-t*Math.cos(a+h*s)*Math.sin(l+S*d),m.y=t*Math.cos(l+S*d),m.z=t*Math.sin(a+h*s)*Math.sin(l+S*d),y.push(m.x,m.y,m.z),g.copy(m).normalize(),b.push(g.x,g.y,g.z),x.push(h+_,1-S),w.push(p++)}f.push(w)}for(let t=0;t<r;t++)for(let a=0;a<n;a++){const n=f[t][a+1],s=f[t][a],d=f[t+1][a],p=f[t+1][a+1];(0!==t||l>0)&&v.push(n,s,p),(t!==r-1||h<Math.PI)&&v.push(s,d,p)}this.setIndex(v),this.setAttribute("position",new Rr(y,3)),this.setAttribute("normal",new Rr(b,3)),this.setAttribute("uv",new Rr(x,2))}}class TetrahedronGeometry extends PolyhedronGeometry{constructor(t=1,n=0){super([1,1,1,-1,-1,1,-1,1,-1,1,-1,-1],[2,1,0,0,3,2,1,3,0,2,3,1],t,n),this.type="TetrahedronGeometry",this.parameters={radius:t,detail:n}}}class TextGeometry extends ExtrudeGeometry{constructor(t,n={}){const r=n.font;if(!r||!r.isFont)return a.error("THREE.TextGeometry: font parameter is not an instance of THREE.Font."),new Ur;const s=r.generateShapes(t,n.size);n.depth=void 0!==n.height?n.height:50,void 0===n.bevelThickness&&(n.bevelThickness=10),void 0===n.bevelSize&&(n.bevelSize=8),void 0===n.bevelEnabled&&(n.bevelEnabled=!1),super(s,n),this.type="TextGeometry"}}class TorusGeometry extends Ur{constructor(t=1,n=.4,r=8,a=6,s=2*Math.PI){super(),this.type="TorusGeometry",this.parameters={radius:t,tube:n,radialSegments:r,tubularSegments:a,arc:s},r=Math.floor(r),a=Math.floor(a);const l=[],d=[],h=[],p=[],f=new Vector3,m=new Vector3,g=new Vector3;for(let l=0;l<=r;l++)for(let v=0;v<=a;v++){const y=v/a*s,b=l/r*Math.PI*2;m.x=(t+n*Math.cos(b))*Math.cos(y),m.y=(t+n*Math.cos(b))*Math.sin(y),m.z=n*Math.sin(b),d.push(m.x,m.y,m.z),f.x=t*Math.cos(y),f.y=t*Math.sin(y),g.subVectors(m,f).normalize(),h.push(g.x,g.y,g.z),p.push(v/a),p.push(l/r)}for(let t=1;t<=r;t++)for(let n=1;n<=a;n++){const r=(a+1)*t+n-1,s=(a+1)*(t-1)+n-1,d=(a+1)*(t-1)+n,h=(a+1)*t+n;l.push(r,s,h),l.push(s,d,h)}this.setIndex(l),this.setAttribute("position",new Rr(d,3)),this.setAttribute("normal",new Rr(h,3)),this.setAttribute("uv",new Rr(p,2))}}class TorusKnotGeometry extends Ur{constructor(t=1,n=.4,r=64,a=8,s=2,l=3){super(),this.type="TorusKnotGeometry",this.parameters={radius:t,tube:n,tubularSegments:r,radialSegments:a,p:s,q:l},r=Math.floor(r),a=Math.floor(a);const d=[],h=[],p=[],f=[],m=new Vector3,g=new Vector3,v=new Vector3,y=new Vector3,b=new Vector3,x=new Vector3,w=new Vector3;for(let d=0;d<=r;++d){const _=d/r*s*Math.PI*2;S(_,s,l,t,v),S(_+.01,s,l,t,y),x.subVectors(y,v),w.addVectors(y,v),b.crossVectors(x,w),w.crossVectors(b,x),b.normalize(),w.normalize();for(let t=0;t<=a;++t){const s=t/a*Math.PI*2,l=-n*Math.cos(s),y=n*Math.sin(s);m.x=v.x+(l*w.x+y*b.x),m.y=v.y+(l*w.y+y*b.y),m.z=v.z+(l*w.z+y*b.z),h.push(m.x,m.y,m.z),g.subVectors(m,v).normalize(),p.push(g.x,g.y,g.z),f.push(d/r),f.push(t/a)}}for(let t=1;t<=r;t++)for(let n=1;n<=a;n++){const r=(a+1)*(t-1)+(n-1),s=(a+1)*t+(n-1),l=(a+1)*t+n,h=(a+1)*(t-1)+n;d.push(r,s,h),d.push(s,l,h)}function S(t,n,r,a,s){const l=Math.cos(t),d=Math.sin(t),h=r/n*t,p=Math.cos(h);s.x=a*(2+p)*.5*l,s.y=a*(2+p)*d*.5,s.z=a*Math.sin(h)*.5}this.setIndex(d),this.setAttribute("position",new Rr(h,3)),this.setAttribute("normal",new Rr(p,3)),this.setAttribute("uv",new Rr(f,2))}}class TubeGeometry extends Ur{constructor(t,n=64,r=1,a=8,s=!1){super(),this.type="TubeGeometry",this.parameters={path:t,tubularSegments:n,radius:r,radialSegments:a,closed:s};const l=t.computeFrenetFrames(n,s);this.tangents=l.tangents,this.normals=l.normals,this.binormals=l.binormals;const d=new Vector3,h=new Vector3,p=new Vector2;let f=new Vector3;const m=[],g=[],v=[],y=[];function b(s){f=t.getPointAt(s/n,f);const p=l.normals[s],v=l.binormals[s];for(let t=0;t<=a;t++){const n=t/a*Math.PI*2,s=Math.sin(n),l=-Math.cos(n);h.x=l*p.x+s*v.x,h.y=l*p.y+s*v.y,h.z=l*p.z+s*v.z,h.normalize(),g.push(h.x,h.y,h.z),d.x=f.x+r*h.x,d.y=f.y+r*h.y,d.z=f.z+r*h.z,m.push(d.x,d.y,d.z)}}!function(){for(let t=0;t<n;t++)b(t);b(!1===s?n:0),function(){for(let t=0;t<=n;t++)for(let r=0;r<=a;r++)p.x=t/n,p.y=r/a,v.push(p.x,p.y)}(),function(){for(let t=1;t<=n;t++)for(let n=1;n<=a;n++){const r=(a+1)*(t-1)+(n-1),s=(a+1)*t+(n-1),l=(a+1)*t+n,d=(a+1)*(t-1)+n;y.push(r,s,d),y.push(s,l,d)}}()}(),this.setIndex(y),this.setAttribute("position",new Rr(m,3)),this.setAttribute("normal",new Rr(g,3)),this.setAttribute("uv",new Rr(v,2))}toJSON(){const t=Ur.prototype.toJSON.call(this);return t.path=this.parameters.path.toJSON(),t}}class WireframeGeometry extends Ur{constructor(t){if(super(),this.type="WireframeGeometry",!0===t.isGeometry)return void a.error("THREE.WireframeGeometry no longer supports THREE.Geometry. Use THREE.BufferGeometry instead.");const n=[],r=[0,0],s={},l=new Vector3;if(null!==t.index){const a=t.attributes.position,d=t.index;let h=t.groups;0===h.length&&(h=[{start:0,count:d.count,materialIndex:0}]);for(let t=0,n=h.length;t<n;++t){const n=h[t],a=n.start;for(let t=a,l=a+n.count;t<l;t+=3)for(let n=0;n<3;n++){const a=d.getX(t+n),l=d.getX(t+(n+1)%3);r[0]=Math.min(a,l),r[1]=Math.max(a,l);const h=r[0]+","+r[1];void 0===s[h]&&(s[h]={index1:r[0],index2:r[1]})}}for(const t in s){const r=s[t];l.fromBufferAttribute(a,r.index1),n.push(l.x,l.y,l.z),l.fromBufferAttribute(a,r.index2),n.push(l.x,l.y,l.z)}}else{const r=t.attributes.position;for(let t=0,a=r.count/3;t<a;t++)for(let a=0;a<3;a++){const s=3*t+a;l.fromBufferAttribute(r,s),n.push(l.x,l.y,l.z);const d=3*t+(a+1)%3;l.fromBufferAttribute(r,d),n.push(l.x,l.y,l.z)}}this.setAttribute("position",new Rr(n,3))}}var bc=Object.freeze({__proto__:null,BoxGeometry,BoxBufferGeometry:BoxGeometry,CircleGeometry,CircleBufferGeometry:CircleGeometry,ConeGeometry,ConeBufferGeometry:ConeGeometry,CylinderGeometry,CylinderBufferGeometry:CylinderGeometry,DodecahedronGeometry,DodecahedronBufferGeometry:DodecahedronGeometry,EdgesGeometry,ExtrudeGeometry,ExtrudeBufferGeometry:ExtrudeGeometry,IcosahedronGeometry,IcosahedronBufferGeometry:IcosahedronGeometry,LatheGeometry,LatheBufferGeometry:LatheGeometry,OctahedronGeometry,OctahedronBufferGeometry:OctahedronGeometry,ParametricGeometry:yc,ParametricBufferGeometry:yc,PlaneGeometry,PlaneBufferGeometry:PlaneGeometry,PolyhedronGeometry,PolyhedronBufferGeometry:PolyhedronGeometry,RingGeometry,RingBufferGeometry:RingGeometry,ShapeGeometry,ShapeBufferGeometry:ShapeGeometry,SphereGeometry,SphereBufferGeometry:SphereGeometry,TetrahedronGeometry,TetrahedronBufferGeometry:TetrahedronGeometry,TextGeometry,TextBufferGeometry:TextGeometry,TorusGeometry,TorusBufferGeometry:TorusGeometry,TorusKnotGeometry,TorusKnotBufferGeometry:TorusKnotGeometry,TubeGeometry,TubeBufferGeometry:TubeGeometry,WireframeGeometry});function xc(t){yr.call(this),this.type="ShadowMaterial",this.color=new Color(0),this.transparent=!0,this.setValues(t)}function wc(t){mo.call(this,t),this.type="RawShaderMaterial"}function Sc(t){yr.call(this),this.defines={STANDARD:""},this.type="MeshStandardMaterial",this.color=new Color(16777215),this.roughness=1,this.metalness=0,this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=xi,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.roughnessMap=null,this.metalnessMap=null,this.alphaMap=null,this.envMap=null,this.envMapIntensity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.vertexTangents=!1,this.setValues(t)}function _c(t){Sc.call(this),this.defines={STANDARD:"",PHYSICAL:""},this.type="MeshPhysicalMaterial",this.clearcoat=0,this.clearcoatMap=null,this.clearcoatRoughness=0,this.clearcoatRoughnessMap=null,this.clearcoatNormalScale=new Vector2(1,1),this.clearcoatNormalMap=null,this.reflectivity=.5,Object.defineProperty(this,"ior",{get:function(){return(1+.4*this.reflectivity)/(1-.4*this.reflectivity)},set:function(t){this.reflectivity=Ji.clamp(2.5*(t-1)/(t+1),0,1)}}),this.sheen=null,this.transmission=0,this.transmissionMap=null,this.setValues(t)}function Mc(t){yr.call(this),this.type="MeshPhongMaterial",this.color=new Color(16777215),this.specular=new Color(1118481),this.shininess=30,this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=xi,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ce,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Tc(t){yr.call(this),this.defines={TOON:""},this.type="MeshToonMaterial",this.color=new Color(16777215),this.map=null,this.gradientMap=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=xi,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.alphaMap=null,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Ec(t){yr.call(this),this.type="MeshNormalMaterial",this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=xi,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.wireframe=!1,this.wireframeLinewidth=1,this.fog=!1,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Cc(t){yr.call(this),this.type="MeshLambertMaterial",this.color=new Color(16777215),this.map=null,this.lightMap=null,this.lightMapIntensity=1,this.aoMap=null,this.aoMapIntensity=1,this.emissive=new Color(0),this.emissiveIntensity=1,this.emissiveMap=null,this.specularMap=null,this.alphaMap=null,this.envMap=null,this.combine=ce,this.reflectivity=1,this.refractionRatio=.98,this.wireframe=!1,this.wireframeLinewidth=1,this.wireframeLinecap="round",this.wireframeLinejoin="round",this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function Ac(t){yr.call(this),this.defines={MATCAP:""},this.type="MeshMatcapMaterial",this.color=new Color(16777215),this.matcap=null,this.map=null,this.bumpMap=null,this.bumpScale=1,this.normalMap=null,this.normalMapType=xi,this.normalScale=new Vector2(1,1),this.displacementMap=null,this.displacementScale=1,this.displacementBias=0,this.alphaMap=null,this.skinning=!1,this.morphTargets=!1,this.morphNormals=!1,this.setValues(t)}function kc(t){vl.call(this),this.type="LineDashedMaterial",this.scale=1,this.dashSize=3,this.gapSize=1,this.setValues(t)}xc.prototype=Object.create(yr.prototype),xc.prototype.constructor=xc,xc.prototype.isShadowMaterial=!0,xc.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this},wc.prototype=Object.create(mo.prototype),wc.prototype.constructor=wc,wc.prototype.isRawShaderMaterial=!0,Sc.prototype=Object.create(yr.prototype),Sc.prototype.constructor=Sc,Sc.prototype.isMeshStandardMaterial=!0,Sc.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.defines={STANDARD:""},this.color.copy(t.color),this.roughness=t.roughness,this.metalness=t.metalness,this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.roughnessMap=t.roughnessMap,this.metalnessMap=t.metalnessMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.envMapIntensity=t.envMapIntensity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this.vertexTangents=t.vertexTangents,this},_c.prototype=Object.create(Sc.prototype),_c.prototype.constructor=_c,_c.prototype.isMeshPhysicalMaterial=!0,_c.prototype.copy=function(t){return Sc.prototype.copy.call(this,t),this.defines={STANDARD:"",PHYSICAL:""},this.clearcoat=t.clearcoat,this.clearcoatMap=t.clearcoatMap,this.clearcoatRoughness=t.clearcoatRoughness,this.clearcoatRoughnessMap=t.clearcoatRoughnessMap,this.clearcoatNormalMap=t.clearcoatNormalMap,this.clearcoatNormalScale.copy(t.clearcoatNormalScale),this.reflectivity=t.reflectivity,t.sheen?this.sheen=(this.sheen||new Color).copy(t.sheen):this.sheen=null,this.transmission=t.transmission,this.transmissionMap=t.transmissionMap,this},Mc.prototype=Object.create(yr.prototype),Mc.prototype.constructor=Mc,Mc.prototype.isMeshPhongMaterial=!0,Mc.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.specular.copy(t.specular),this.shininess=t.shininess,this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Tc.prototype=Object.create(yr.prototype),Tc.prototype.constructor=Tc,Tc.prototype.isMeshToonMaterial=!0,Tc.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.gradientMap=t.gradientMap,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.alphaMap=t.alphaMap,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Ec.prototype=Object.create(yr.prototype),Ec.prototype.constructor=Ec,Ec.prototype.isMeshNormalMaterial=!0,Ec.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Cc.prototype=Object.create(yr.prototype),Cc.prototype.constructor=Cc,Cc.prototype.isMeshLambertMaterial=!0,Cc.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.color.copy(t.color),this.map=t.map,this.lightMap=t.lightMap,this.lightMapIntensity=t.lightMapIntensity,this.aoMap=t.aoMap,this.aoMapIntensity=t.aoMapIntensity,this.emissive.copy(t.emissive),this.emissiveMap=t.emissiveMap,this.emissiveIntensity=t.emissiveIntensity,this.specularMap=t.specularMap,this.alphaMap=t.alphaMap,this.envMap=t.envMap,this.combine=t.combine,this.reflectivity=t.reflectivity,this.refractionRatio=t.refractionRatio,this.wireframe=t.wireframe,this.wireframeLinewidth=t.wireframeLinewidth,this.wireframeLinecap=t.wireframeLinecap,this.wireframeLinejoin=t.wireframeLinejoin,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},Ac.prototype=Object.create(yr.prototype),Ac.prototype.constructor=Ac,Ac.prototype.isMeshMatcapMaterial=!0,Ac.prototype.copy=function(t){return yr.prototype.copy.call(this,t),this.defines={MATCAP:""},this.color.copy(t.color),this.matcap=t.matcap,this.map=t.map,this.bumpMap=t.bumpMap,this.bumpScale=t.bumpScale,this.normalMap=t.normalMap,this.normalMapType=t.normalMapType,this.normalScale.copy(t.normalScale),this.displacementMap=t.displacementMap,this.displacementScale=t.displacementScale,this.displacementBias=t.displacementBias,this.alphaMap=t.alphaMap,this.skinning=t.skinning,this.morphTargets=t.morphTargets,this.morphNormals=t.morphNormals,this},kc.prototype=Object.create(vl.prototype),kc.prototype.constructor=kc,kc.prototype.isLineDashedMaterial=!0,kc.prototype.copy=function(t){return vl.prototype.copy.call(this,t),this.scale=t.scale,this.dashSize=t.dashSize,this.gapSize=t.gapSize,this};var Oc=Object.freeze({__proto__:null,ShadowMaterial:xc,SpriteMaterial:Ns,RawShaderMaterial:wc,ShaderMaterial:mo,PointsMaterial:Al,MeshPhysicalMaterial:_c,MeshStandardMaterial:Sc,MeshPhongMaterial:Mc,MeshToonMaterial:Tc,MeshNormalMaterial:Ec,MeshLambertMaterial:Cc,MeshDepthMaterial:bs,MeshDistanceMaterial:xs,MeshBasicMaterial:br,MeshMatcapMaterial:Ac,LineDashedMaterial:kc,LineBasicMaterial:vl,Material:yr});const Rc={arraySlice:function(t,n,r){return Rc.isTypedArray(t)?new t.constructor(t.subarray(n,void 0!==r?r:t.length)):t.slice(n,r)},convertArray:function(t,n,r){return!t||!r&&t.constructor===n?t:"number"==typeof n.BYTES_PER_ELEMENT?new n(t):Array.prototype.slice.call(t)},isTypedArray:function(t){return ArrayBuffer.isView(t)&&!(t instanceof DataView)},getKeyframeOrder:function(t){const n=t.length,r=new Array(n);for(let t=0;t!==n;++t)r[t]=t;return r.sort((function(n,r){return t[n]-t[r]})),r},sortedArray:function(t,n,r){const a=t.length,s=new t.constructor(a);for(let l=0,d=0;d!==a;++l){const a=r[l]*n;for(let r=0;r!==n;++r)s[d++]=t[a+r]}return s},flattenJSON:function(t,n,r,a){let s=1,l=t[0];for(;void 0!==l&&void 0===l[a];)l=t[s++];if(void 0===l)return;let d=l[a];if(void 0!==d)if(Array.isArray(d))do{d=l[a],void 0!==d&&(n.push(l.time),r.push.apply(r,d)),l=t[s++]}while(void 0!==l);else if(void 0!==d.toArray)do{d=l[a],void 0!==d&&(n.push(l.time),d.toArray(r,r.length)),l=t[s++]}while(void 0!==l);else do{d=l[a],void 0!==d&&(n.push(l.time),r.push(d)),l=t[s++]}while(void 0!==l)},subclip:function(t,n,r,a,s=30){const l=t.clone();l.name=n;const d=[];for(let t=0;t<l.tracks.length;++t){const n=l.tracks[t],h=n.getValueSize(),p=[],f=[];for(let t=0;t<n.times.length;++t){const l=n.times[t]*s;if(!(l<r||l>=a)){p.push(n.times[t]);for(let r=0;r<h;++r)f.push(n.values[t*h+r])}}0!==p.length&&(n.times=Rc.convertArray(p,n.times.constructor),n.values=Rc.convertArray(f,n.values.constructor),d.push(n))}l.tracks=d;let h=1/0;for(let t=0;t<l.tracks.length;++t)h>l.tracks[t].times[0]&&(h=l.tracks[t].times[0]);for(let t=0;t<l.tracks.length;++t)l.tracks[t].shift(-1*h);return l.resetDuration(),l},makeClipAdditive:function(t,n=0,r=t,a=30){a<=0&&(a=30);const s=r.tracks.length,l=n/a;for(let n=0;n<s;++n){const a=r.tracks[n],s=a.ValueTypeName;if("bool"===s||"string"===s)continue;const d=t.tracks.find((function(t){return t.name===a.name&&t.ValueTypeName===s}));if(void 0===d)continue;let h=0;const p=a.getValueSize();a.createInterpolant.isInterpolantFactoryMethodGLTFCubicSpline&&(h=p/3);let f=0;const m=d.getValueSize();d.createInterpolant.isInterpolantFactoryMethodGLTFCubicSpline&&(f=m/3);const g=a.times.length-1;let v;if(l<=a.times[0]){const t=h,n=p-h;v=Rc.arraySlice(a.values,t,n)}else if(l>=a.times[g]){const t=g*p+h,n=t+p-h;v=Rc.arraySlice(a.values,t,n)}else{const t=a.createInterpolant(),n=h,r=p-h;t.evaluate(l),v=Rc.arraySlice(t.resultBuffer,n,r)}if("quaternion"===s){(new Quaternion).fromArray(v).normalize().conjugate().toArray(v)}const y=d.times.length;for(let t=0;t<y;++t){const n=t*m+f;if("quaternion"===s)Quaternion.multiplyQuaternionsFlat(d.values,n,v,0,d.values,n);else{const t=m-2*f;for(let r=0;r<t;++r)d.values[n+r]-=v[r]}}}return t.blendMode=ai,t}};function Ic(t,n,r,a){this.parameterPositions=t,this._cachedIndex=0,this.resultBuffer=void 0!==a?a:new n.constructor(r),this.sampleValues=n,this.valueSize=r}function Pc(t,n,r,a){Ic.call(this,t,n,r,a),this._weightPrev=-0,this._offsetPrev=-0,this._weightNext=-0,this._offsetNext=-0}function Lc(t,n,r,a){Ic.call(this,t,n,r,a)}function Dc(t,n,r,a){Ic.call(this,t,n,r,a)}function Fc(t,n,r,a){if(void 0===t)throw new Error("THREE.KeyframeTrack: track name is undefined");if(void 0===n||0===n.length)throw new Error("THREE.KeyframeTrack: no keyframes in track named "+t);this.name=t,this.times=Rc.convertArray(n,this.TimeBufferType),this.values=Rc.convertArray(r,this.ValueBufferType),this.setInterpolation(a||this.DefaultInterpolation)}function Nc(t,n,r){Fc.call(this,t,n,r)}function Bc(t,n,r,a){Fc.call(this,t,n,r,a)}function zc(t,n,r,a){Fc.call(this,t,n,r,a)}function $c(t,n,r,a){Ic.call(this,t,n,r,a)}function jc(t,n,r,a){Fc.call(this,t,n,r,a)}function Vc(t,n,r,a){Fc.call(this,t,n,r,a)}function Uc(t,n,r,a){Fc.call(this,t,n,r,a)}function Gc(t,n=-1,r,a=oi){this.name=t,this.tracks=r,this.duration=n,this.blendMode=a,this.uuid=Ji.generateUUID(),this.duration<0&&this.resetDuration()}function Hc(t){if(void 0===t.type)throw new Error("THREE.KeyframeTrack: track type undefined, can not parse");const n=function(t){switch(t.toLowerCase()){case"scalar":case"double":case"float":case"number":case"integer":return zc;case"vector":case"vector2":case"vector3":case"vector4":return Uc;case"color":return Bc;case"quaternion":return jc;case"bool":case"boolean":return Nc;case"string":return Vc}throw new Error("THREE.KeyframeTrack: Unsupported typeName: "+t)}(t.type);if(void 0===t.times){const n=[],r=[];Rc.flattenJSON(t.keys,n,r,"value"),t.times=n,t.values=r}return void 0!==n.parse?n.parse(t):new n(t.name,t.times,t.values,t.interpolation)}Object.assign(Ic.prototype,{evaluate:function(t){const n=this.parameterPositions;let r=this._cachedIndex,a=n[r],s=n[r-1];e:{t:{let l;i:{n:if(!(t<a)){for(let l=r+2;;){if(void 0===a){if(t<s)break n;return r=n.length,this._cachedIndex=r,this.afterEnd_(r-1,t,s)}if(r===l)break;if(s=a,a=n[++r],t<a)break t}l=n.length;break i}if(t>=s)break e;{const d=n[1];t<d&&(r=2,s=d);for(let l=r-2;;){if(void 0===s)return this._cachedIndex=0,this.beforeStart_(0,t,a);if(r===l)break;if(a=s,s=n[--r-1],t>=s)break t}l=r,r=0}}for(;r<l;){const a=r+l>>>1;t<n[a]?l=a:r=a+1}if(a=n[r],s=n[r-1],void 0===s)return this._cachedIndex=0,this.beforeStart_(0,t,a);if(void 0===a)return r=n.length,this._cachedIndex=r,this.afterEnd_(r-1,s,t)}this._cachedIndex=r,this.intervalChanged_(r,s,a)}return this.interpolate_(r,s,t,a)},settings:null,DefaultSettings_:{},getSettings_:function(){return this.settings||this.DefaultSettings_},copySampleValue_:function(t){const n=this.resultBuffer,r=this.sampleValues,a=this.valueSize,s=t*a;for(let t=0;t!==a;++t)n[t]=r[s+t];return n},interpolate_:function(){throw new Error("call to abstract method")},intervalChanged_:function(){}}),Object.assign(Ic.prototype,{beforeStart_:Ic.prototype.copySampleValue_,afterEnd_:Ic.prototype.copySampleValue_}),Pc.prototype=Object.assign(Object.create(Ic.prototype),{constructor:Pc,DefaultSettings_:{endingStart:ii,endingEnd:ii},intervalChanged_:function(t,n,r){const a=this.parameterPositions;let s=t-2,l=t+1,d=a[s],h=a[l];if(void 0===d)switch(this.getSettings_().endingStart){case ni:s=t,d=2*n-r;break;case ri:s=a.length-2,d=n+a[s]-a[s+1];break;default:s=t,d=r}if(void 0===h)switch(this.getSettings_().endingEnd){case ni:l=t,h=2*r-n;break;case ri:l=1,h=r+a[1]-a[0];break;default:l=t-1,h=n}const p=.5*(r-n),f=this.valueSize;this._weightPrev=p/(n-d),this._weightNext=p/(h-r),this._offsetPrev=s*f,this._offsetNext=l*f},interpolate_:function(t,n,r,a){const s=this.resultBuffer,l=this.sampleValues,d=this.valueSize,h=t*d,p=h-d,f=this._offsetPrev,m=this._offsetNext,g=this._weightPrev,v=this._weightNext,y=(r-n)/(a-n),b=y*y,x=b*y,w=-g*x+2*g*b-g*y,S=(1+g)*x+(-1.5-2*g)*b+(-.5+g)*y+1,_=(-1-v)*x+(1.5+v)*b+.5*y,T=v*x-v*b;for(let t=0;t!==d;++t)s[t]=w*l[f+t]+S*l[p+t]+_*l[h+t]+T*l[m+t];return s}}),Lc.prototype=Object.assign(Object.create(Ic.prototype),{constructor:Lc,interpolate_:function(t,n,r,a){const s=this.resultBuffer,l=this.sampleValues,d=this.valueSize,h=t*d,p=h-d,f=(r-n)/(a-n),m=1-f;for(let t=0;t!==d;++t)s[t]=l[p+t]*m+l[h+t]*f;return s}}),Dc.prototype=Object.assign(Object.create(Ic.prototype),{constructor:Dc,interpolate_:function(t){return this.copySampleValue_(t-1)}}),Object.assign(Fc,{toJSON:function(t){const n=t.constructor;let r;if(void 0!==n.toJSON)r=n.toJSON(t);else{r={name:t.name,times:Rc.convertArray(t.times,Array),values:Rc.convertArray(t.values,Array)};const n=t.getInterpolation();n!==t.DefaultInterpolation&&(r.interpolation=n)}return r.type=t.ValueTypeName,r}}),Object.assign(Fc.prototype,{constructor:Fc,TimeBufferType:Float32Array,ValueBufferType:Float32Array,DefaultInterpolation:ei,InterpolantFactoryMethodDiscrete:function(t){return new Dc(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodLinear:function(t){return new Lc(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodSmooth:function(t){return new Pc(this.times,this.values,this.getValueSize(),t)},setInterpolation:function(t){let n;switch(t){case Qt:n=this.InterpolantFactoryMethodDiscrete;break;case ei:n=this.InterpolantFactoryMethodLinear;break;case ti:n=this.InterpolantFactoryMethodSmooth}if(void 0===n){const n="unsupported interpolation for "+this.ValueTypeName+" keyframe track named "+this.name;if(void 0===this.createInterpolant){if(t===this.DefaultInterpolation)throw new Error(n);this.setInterpolation(this.DefaultInterpolation)}return a.warn("THREE.KeyframeTrack:",n),this}return this.createInterpolant=n,this},getInterpolation:function(){switch(this.createInterpolant){case this.InterpolantFactoryMethodDiscrete:return Qt;case this.InterpolantFactoryMethodLinear:return ei;case this.InterpolantFactoryMethodSmooth:return ti}},getValueSize:function(){return this.values.length/this.times.length},shift:function(t){if(0!==t){const n=this.times;for(let r=0,a=n.length;r!==a;++r)n[r]+=t}return this},scale:function(t){if(1!==t){const n=this.times;for(let r=0,a=n.length;r!==a;++r)n[r]*=t}return this},trim:function(t,n){const r=this.times,a=r.length;let s=0,l=a-1;for(;s!==a&&r[s]<t;)++s;for(;-1!==l&&r[l]>n;)--l;if(++l,0!==s||l!==a){s>=l&&(l=Math.max(l,1),s=l-1);const t=this.getValueSize();this.times=Rc.arraySlice(r,s,l),this.values=Rc.arraySlice(this.values,s*t,l*t)}return this},validate:function(){let t=!0;const n=this.getValueSize();n-Math.floor(n)!=0&&(a.error("THREE.KeyframeTrack: Invalid value size in track.",this),t=!1);const r=this.times,s=this.values,l=r.length;0===l&&(a.error("THREE.KeyframeTrack: Track is empty.",this),t=!1);let d=null;for(let n=0;n!==l;n++){const s=r[n];if("number"==typeof s&&isNaN(s)){a.error("THREE.KeyframeTrack: Time is not a valid number.",this,n,s),t=!1;break}if(null!==d&&d>s){a.error("THREE.KeyframeTrack: Out of order keys.",this,n,s,d),t=!1;break}d=s}if(void 0!==s&&Rc.isTypedArray(s))for(let n=0,r=s.length;n!==r;++n){const r=s[n];if(isNaN(r)){a.error("THREE.KeyframeTrack: Value is not a valid number.",this,n,r),t=!1;break}}return t},optimize:function(){const t=Rc.arraySlice(this.times),n=Rc.arraySlice(this.values),r=this.getValueSize(),a=this.getInterpolation()===ti,s=t.length-1;let l=1;for(let d=1;d<s;++d){let s=!1;const h=t[d];if(h!==t[d+1]&&(1!==d||h!==t[0]))if(a)s=!0;else{const t=d*r,a=t-r,l=t+r;for(let d=0;d!==r;++d){const r=n[t+d];if(r!==n[a+d]||r!==n[l+d]){s=!0;break}}}if(s){if(d!==l){t[l]=t[d];const a=d*r,s=l*r;for(let t=0;t!==r;++t)n[s+t]=n[a+t]}++l}}if(s>0){t[l]=t[s];for(let t=s*r,a=l*r,d=0;d!==r;++d)n[a+d]=n[t+d];++l}return l!==t.length?(this.times=Rc.arraySlice(t,0,l),this.values=Rc.arraySlice(n,0,l*r)):(this.times=t,this.values=n),this},clone:function(){const t=Rc.arraySlice(this.times,0),n=Rc.arraySlice(this.values,0),r=new(0,this.constructor)(this.name,t,n);return r.createInterpolant=this.createInterpolant,r}}),Nc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:Nc,ValueTypeName:"bool",ValueBufferType:Array,DefaultInterpolation:Qt,InterpolantFactoryMethodLinear:void 0,InterpolantFactoryMethodSmooth:void 0}),Bc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:Bc,ValueTypeName:"color"}),zc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:zc,ValueTypeName:"number"}),$c.prototype=Object.assign(Object.create(Ic.prototype),{constructor:$c,interpolate_:function(t,n,r,a){const s=this.resultBuffer,l=this.sampleValues,d=this.valueSize,h=(r-n)/(a-n);let p=t*d;for(let t=p+d;p!==t;p+=4)Quaternion.slerpFlat(s,0,l,p-d,l,p,h);return s}}),jc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:jc,ValueTypeName:"quaternion",DefaultInterpolation:ei,InterpolantFactoryMethodLinear:function(t){return new $c(this.times,this.values,this.getValueSize(),t)},InterpolantFactoryMethodSmooth:void 0}),Vc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:Vc,ValueTypeName:"string",ValueBufferType:Array,DefaultInterpolation:Qt,InterpolantFactoryMethodLinear:void 0,InterpolantFactoryMethodSmooth:void 0}),Uc.prototype=Object.assign(Object.create(Fc.prototype),{constructor:Uc,ValueTypeName:"vector"}),Object.assign(Gc,{parse:function(t){const n=[],r=t.tracks,a=1/(t.fps||1);for(let t=0,s=r.length;t!==s;++t)n.push(Hc(r[t]).scale(a));const s=new Gc(t.name,t.duration,n,t.blendMode);return s.uuid=t.uuid,s},toJSON:function(t){const n=[],r=t.tracks,a={name:t.name,duration:t.duration,tracks:n,uuid:t.uuid,blendMode:t.blendMode};for(let t=0,a=r.length;t!==a;++t)n.push(Fc.toJSON(r[t]));return a},CreateFromMorphTargetSequence:function(t,n,r,a){const s=n.length,l=[];for(let t=0;t<s;t++){let d=[],h=[];d.push((t+s-1)%s,t,(t+1)%s),h.push(0,1,0);const p=Rc.getKeyframeOrder(d);d=Rc.sortedArray(d,1,p),h=Rc.sortedArray(h,1,p),a||0!==d[0]||(d.push(s),h.push(h[0])),l.push(new zc(".morphTargetInfluences["+n[t].name+"]",d,h).scale(1/r))}return new Gc(t,-1,l)},findByName:function(t,n){let r=t;if(!Array.isArray(t)){const n=t;r=n.geometry&&n.geometry.animations||n.animations}for(let t=0;t<r.length;t++)if(r[t].name===n)return r[t];return null},CreateClipsFromMorphTargetSequences:function(t,n,r){const a={},s=/^([\w-]*?)([\d]+)$/;for(let n=0,r=t.length;n<r;n++){const r=t[n],l=r.name.match(s);if(l&&l.length>1){const t=l[1];let n=a[t];n||(a[t]=n=[]),n.push(r)}}const l=[];for(const t in a)l.push(Gc.CreateFromMorphTargetSequence(t,a[t],n,r));return l},parseAnimation:function(t,n){if(!t)return a.error("THREE.AnimationClip: No animation in JSONLoader data."),null;const r=function(t,n,r,a,s){if(0!==r.length){const l=[],d=[];Rc.flattenJSON(r,l,d,a),0!==l.length&&s.push(new t(n,l,d))}},s=[],l=t.name||"default",d=t.fps||30,h=t.blendMode;let p=t.length||-1;const f=t.hierarchy||[];for(let t=0;t<f.length;t++){const a=f[t].keys;if(a&&0!==a.length)if(a[0].morphTargets){const t={};let n;for(n=0;n<a.length;n++)if(a[n].morphTargets)for(let r=0;r<a[n].morphTargets.length;r++)t[a[n].morphTargets[r]]=-1;for(const r in t){const t=[],l=[];for(let s=0;s!==a[n].morphTargets.length;++s){const s=a[n];t.push(s.time),l.push(s.morphTarget===r?1:0)}s.push(new zc(".morphTargetInfluence["+r+"]",t,l))}p=t.length*(d||1)}else{const l=".bones["+n[t].name+"]";r(Uc,l+".position",a,"pos",s),r(jc,l+".quaternion",a,"rot",s),r(Uc,l+".scale",a,"scl",s)}}if(0===s.length)return null;return new Gc(l,p,s,h)}}),Object.assign(Gc.prototype,{resetDuration:function(){let t=0;for(let n=0,r=this.tracks.length;n!==r;++n){const r=this.tracks[n];t=Math.max(t,r.times[r.times.length-1])}return this.duration=t,this},trim:function(){for(let t=0;t<this.tracks.length;t++)this.tracks[t].trim(0,this.duration);return this},validate:function(){let t=!0;for(let n=0;n<this.tracks.length;n++)t=t&&this.tracks[n].validate();return t},optimize:function(){for(let t=0;t<this.tracks.length;t++)this.tracks[t].optimize();return this},clone:function(){const t=[];for(let n=0;n<this.tracks.length;n++)t.push(this.tracks[n].clone());return new Gc(this.name,this.duration,t,this.blendMode)},toJSON:function(){return Gc.toJSON(this)}});const Wc={enabled:!1,files:{},add:function(t,n){!1!==this.enabled&&(this.files[t]=n)},get:function(t){if(!1!==this.enabled)return this.files[t]},remove:function(t){delete this.files[t]},clear:function(){this.files={}}};function qc(t,n,r){const a=this;let s,l=!1,d=0,h=0;const p=[];this.onStart=void 0,this.onLoad=t,this.onProgress=n,this.onError=r,this.itemStart=function(t){h++,!1===l&&void 0!==a.onStart&&a.onStart(t,d,h),l=!0},this.itemEnd=function(t){d++,void 0!==a.onProgress&&a.onProgress(t,d,h),d===h&&(l=!1,void 0!==a.onLoad&&a.onLoad())},this.itemError=function(t){void 0!==a.onError&&a.onError(t)},this.resolveURL=function(t){return s?s(t):t},this.setURLModifier=function(t){return s=t,this},this.addHandler=function(t,n){return p.push(t,n),this},this.removeHandler=function(t){const n=p.indexOf(t);return-1!==n&&p.splice(n,2),this},this.getHandler=function(t){for(let n=0,r=p.length;n<r;n+=2){const r=p[n],a=p[n+1];if(r.global&&(r.lastIndex=0),r.test(t))return a}return null}}const Xc=new qc;function Yc(t){this.manager=void 0!==t?t:Xc,this.crossOrigin="anonymous",this.withCredentials=!1,this.path="",this.resourcePath="",this.requestHeader={}}Object.assign(Yc.prototype,{load:function(){},loadAsync:function(t,n){const r=this;return new Promise((function(a,s){r.load(t,a,n,s)}))},parse:function(){},setCrossOrigin:function(t){return this.crossOrigin=t,this},setWithCredentials:function(t){return this.withCredentials=t,this},setPath:function(t){return this.path=t,this},setResourcePath:function(t){return this.resourcePath=t,this},setRequestHeader:function(t){return this.requestHeader=t,this}});const Zc={};function Kc(t){Yc.call(this,t)}function Jc(t){Yc.call(this,t)}function Qc(t){Yc.call(this,t)}function ed(t){Yc.call(this,t)}function td(t){Yc.call(this,t)}function id(t){Yc.call(this,t)}function nd(t){Yc.call(this,t)}function rd(){this.type="Curve",this.arcLengthDivisions=200}function od(t,n,r,a,s,l,d,h){rd.call(this),this.type="EllipseCurve",this.aX=t||0,this.aY=n||0,this.xRadius=r||1,this.yRadius=a||1,this.aStartAngle=s||0,this.aEndAngle=l||2*Math.PI,this.aClockwise=d||!1,this.aRotation=h||0}function ad(t,n,r,a,s,l){od.call(this,t,n,r,r,a,s,l),this.type="ArcCurve"}function sd(){let t=0,n=0,r=0,a=0;function s(s,l,d,h){t=s,n=d,r=-3*s+3*l-2*d-h,a=2*s-2*l+d+h}return{initCatmullRom:function(t,n,r,a,l){s(n,r,l*(r-t),l*(a-n))},initNonuniformCatmullRom:function(t,n,r,a,l,d,h){let p=(n-t)/l-(r-t)/(l+d)+(r-n)/d,f=(r-n)/d-(a-n)/(d+h)+(a-r)/h;p*=d,f*=d,s(n,r,p,f)},calc:function(s){const l=s*s;return t+n*s+r*l+a*(l*s)}}}Kc.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Kc,load:function(t,n,r,s){void 0===t&&(t=""),void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const l=this,d=Wc.get(t);if(void 0!==d)return l.manager.itemStart(t),setTimeout((function(){n&&n(d),l.manager.itemEnd(t)}),0),d;if(void 0!==Zc[t])return void Zc[t].push({onLoad:n,onProgress:r,onError:s});const h=t.match(/^data:(.*?)(;base64)?,(.*)$/);let p;if(h){const r=h[1],a=!!h[2];let d=h[3];d=decodeURIComponent(d),a&&(d=atob(d));try{let a;const s=(this.responseType||"").toLowerCase();switch(s){case"arraybuffer":case"blob":const t=new Uint8Array(d.length);for(let n=0;n<d.length;n++)t[n]=d.charCodeAt(n);a="blob"===s?new Blob([t.buffer],{type:r}):t.buffer;break;case"document":const n=new DOMParser;a=n.parseFromString(d,r);break;case"json":a=JSON.parse(d);break;default:a=d}setTimeout((function(){n&&n(a),l.manager.itemEnd(t)}),0)}catch(n){setTimeout((function(){s&&s(n),l.manager.itemError(t),l.manager.itemEnd(t)}),0)}}else{Zc[t]=[],Zc[t].push({onLoad:n,onProgress:r,onError:s}),p=new XMLHttpRequest,p.open("GET",t,!0),p.addEventListener("load",(function(n){const r=this.response,s=Zc[t];if(delete Zc[t],200===this.status||0===this.status){0===this.status&&a.warn("THREE.FileLoader: HTTP Status 0 received."),Wc.add(t,r);for(let t=0,n=s.length;t<n;t++){const n=s[t];n.onLoad&&n.onLoad(r)}l.manager.itemEnd(t)}else{for(let t=0,r=s.length;t<r;t++){const r=s[t];r.onError&&r.onError(n)}l.manager.itemError(t),l.manager.itemEnd(t)}}),!1),p.addEventListener("progress",(function(n){const r=Zc[t];for(let t=0,a=r.length;t<a;t++){const a=r[t];a.onProgress&&a.onProgress(n)}}),!1),p.addEventListener("error",(function(n){const r=Zc[t];delete Zc[t];for(let t=0,a=r.length;t<a;t++){const a=r[t];a.onError&&a.onError(n)}l.manager.itemError(t),l.manager.itemEnd(t)}),!1),p.addEventListener("abort",(function(n){const r=Zc[t];delete Zc[t];for(let t=0,a=r.length;t<a;t++){const a=r[t];a.onError&&a.onError(n)}l.manager.itemError(t),l.manager.itemEnd(t)}),!1),void 0!==this.responseType&&(p.responseType=this.responseType),void 0!==this.withCredentials&&(p.withCredentials=this.withCredentials),p.overrideMimeType&&p.overrideMimeType(void 0!==this.mimeType?this.mimeType:"text/plain");for(const t in this.requestHeader)p.setRequestHeader(t,this.requestHeader[t]);p.send(null)}return l.manager.itemStart(t),p},setResponseType:function(t){return this.responseType=t,this},setMimeType:function(t){return this.mimeType=t,this}}),Jc.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Jc,load:function(t,n,r,s){const l=this,d=new Kc(l.manager);d.setPath(l.path),d.setRequestHeader(l.requestHeader),d.setWithCredentials(l.withCredentials),d.load(t,(function(r){try{n(l.parse(JSON.parse(r)))}catch(n){s?s(n):a.error(n),l.manager.itemError(t)}}),r,s)},parse:function(t){const n=[];for(let r=0;r<t.length;r++){const a=Gc.parse(t[r]);n.push(a)}return n}}),Qc.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Qc,load:function(t,n,r,a){const s=this,l=[],d=new Fl,h=new Kc(this.manager);h.setPath(this.path),h.setResponseType("arraybuffer"),h.setRequestHeader(this.requestHeader),h.setWithCredentials(s.withCredentials);let p=0;function f(f){h.load(t[f],(function(t){const r=s.parse(t,!0);l[f]={width:r.width,height:r.height,format:r.format,mipmaps:r.mipmaps},p+=1,6===p&&(1===r.mipmapCount&&(d.minFilter=Pe),d.image=l,d.format=r.format,d.needsUpdate=!0,n&&n(d))}),r,a)}if(Array.isArray(t))for(let n=0,r=t.length;n<r;++n)f(n);else h.load(t,(function(t){const r=s.parse(t,!0);if(r.isCubemap){const t=r.mipmaps.length/r.mipmapCount;for(let n=0;n<t;n++){l[n]={mipmaps:[]};for(let t=0;t<r.mipmapCount;t++)l[n].mipmaps.push(r.mipmaps[n*r.mipmapCount+t]),l[n].format=r.format,l[n].width=r.width,l[n].height=r.height}d.image=l}else d.image.width=r.width,d.image.height=r.height,d.mipmaps=r.mipmaps;1===r.mipmapCount&&(d.minFilter=Pe),d.format=r.format,d.needsUpdate=!0,n&&n(d)}),r,a);return d}}),ed.prototype=Object.assign(Object.create(Yc.prototype),{constructor:ed,load:function(t,n,r,a){void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const s=this,l=Wc.get(t);if(void 0!==l)return s.manager.itemStart(t),setTimeout((function(){n&&n(l),s.manager.itemEnd(t)}),0),l;const d=document.createElementNS("http://www.w3.org/1999/xhtml","img");function h(){d.removeEventListener("load",h,!1),d.removeEventListener("error",p,!1),Wc.add(t,this),n&&n(this),s.manager.itemEnd(t)}function p(n){d.removeEventListener("load",h,!1),d.removeEventListener("error",p,!1),a&&a(n),s.manager.itemError(t),s.manager.itemEnd(t)}return d.addEventListener("load",h,!1),d.addEventListener("error",p,!1),"data:"!==t.substr(0,5)&&void 0!==this.crossOrigin&&(d.crossOrigin=this.crossOrigin),s.manager.itemStart(t),d.src=t,d}}),td.prototype=Object.assign(Object.create(Yc.prototype),{constructor:td,load:function(t,n,r,a){const s=new wo,l=new ed(this.manager);l.setCrossOrigin(this.crossOrigin),l.setPath(this.path);let d=0;function h(r){l.load(t[r],(function(t){s.images[r]=t,d++,6===d&&(s.needsUpdate=!0,n&&n(s))}),void 0,a)}for(let n=0;n<t.length;++n)h(n);return s}}),id.prototype=Object.assign(Object.create(Yc.prototype),{constructor:id,load:function(t,n,r,a){const s=this,l=new So,d=new Kc(this.manager);return d.setResponseType("arraybuffer"),d.setRequestHeader(this.requestHeader),d.setPath(this.path),d.setWithCredentials(s.withCredentials),d.load(t,(function(t){const r=s.parse(t);r&&(void 0!==r.image?l.image=r.image:void 0!==r.data&&(l.image.width=r.width,l.image.height=r.height,l.image.data=r.data),l.wrapS=void 0!==r.wrapS?r.wrapS:Ee,l.wrapT=void 0!==r.wrapT?r.wrapT:Ee,l.magFilter=void 0!==r.magFilter?r.magFilter:Pe,l.minFilter=void 0!==r.minFilter?r.minFilter:Pe,l.anisotropy=void 0!==r.anisotropy?r.anisotropy:1,void 0!==r.encoding&&(l.encoding=r.encoding),void 0!==r.flipY&&(l.flipY=r.flipY),void 0!==r.format&&(l.format=r.format),void 0!==r.type&&(l.type=r.type),void 0!==r.mipmaps&&(l.mipmaps=r.mipmaps,l.minFilter=Fe),1===r.mipmapCount&&(l.minFilter=Pe),l.needsUpdate=!0,n&&n(l,r))}),r,a),l}}),nd.prototype=Object.assign(Object.create(Yc.prototype),{constructor:nd,load:function(t,n,r,a){const s=new nn,l=new ed(this.manager);return l.setCrossOrigin(this.crossOrigin),l.setPath(this.path),l.load(t,(function(r){s.image=r;const a=t.search(/\.jpe?g($|\?)/i)>0||0===t.search(/^data\:image\/jpeg/);s.format=a?Ke:Je,s.needsUpdate=!0,void 0!==n&&n(s)}),r,a),s}}),Object.assign(rd.prototype,{getPoint:function(){return a.warn("THREE.Curve: .getPoint() not implemented."),null},getPointAt:function(t,n){const r=this.getUtoTmapping(t);return this.getPoint(r,n)},getPoints:function(t=5){const n=[];for(let r=0;r<=t;r++)n.push(this.getPoint(r/t));return n},getSpacedPoints:function(t=5){const n=[];for(let r=0;r<=t;r++)n.push(this.getPointAt(r/t));return n},getLength:function(){const t=this.getLengths();return t[t.length-1]},getLengths:function(t){if(void 0===t&&(t=this.arcLengthDivisions),this.cacheArcLengths&&this.cacheArcLengths.length===t+1&&!this.needsUpdate)return this.cacheArcLengths;this.needsUpdate=!1;const n=[];let r,a=this.getPoint(0),s=0;n.push(0);for(let l=1;l<=t;l++)r=this.getPoint(l/t),s+=r.distanceTo(a),n.push(s),a=r;return this.cacheArcLengths=n,n},updateArcLengths:function(){this.needsUpdate=!0,this.getLengths()},getUtoTmapping:function(t,n){const r=this.getLengths();let a=0;const s=r.length;let l;l=n||t*r[s-1];let d,h=0,p=s-1;for(;h<=p;)if(a=Math.floor(h+(p-h)/2),d=r[a]-l,d<0)h=a+1;else{if(!(d>0)){p=a;break}p=a-1}if(a=p,r[a]===l)return a/(s-1);const f=r[a];return(a+(l-f)/(r[a+1]-f))/(s-1)},getTangent:function(t,n){const r=1e-4;let a=t-r,s=t+r;a<0&&(a=0),s>1&&(s=1);const l=this.getPoint(a),d=this.getPoint(s),h=n||(l.isVector2?new Vector2:new Vector3);return h.copy(d).sub(l).normalize(),h},getTangentAt:function(t,n){const r=this.getUtoTmapping(t);return this.getTangent(r,n)},computeFrenetFrames:function(t,n){const r=new Vector3,a=[],s=[],l=[],d=new Vector3,h=new Matrix4;for(let n=0;n<=t;n++){const r=n/t;a[n]=this.getTangentAt(r,new Vector3),a[n].normalize()}s[0]=new Vector3,l[0]=new Vector3;let p=Number.MAX_VALUE;const f=Math.abs(a[0].x),m=Math.abs(a[0].y),g=Math.abs(a[0].z);f<=p&&(p=f,r.set(1,0,0)),m<=p&&(p=m,r.set(0,1,0)),g<=p&&r.set(0,0,1),d.crossVectors(a[0],r).normalize(),s[0].crossVectors(a[0],d),l[0].crossVectors(a[0],s[0]);for(let n=1;n<=t;n++){if(s[n]=s[n-1].clone(),l[n]=l[n-1].clone(),d.crossVectors(a[n-1],a[n]),d.length()>Number.EPSILON){d.normalize();const t=Math.acos(Ji.clamp(a[n-1].dot(a[n]),-1,1));s[n].applyMatrix4(h.makeRotationAxis(d,t))}l[n].crossVectors(a[n],s[n])}if(!0===n){let n=Math.acos(Ji.clamp(s[0].dot(s[t]),-1,1));n/=t,a[0].dot(d.crossVectors(s[0],s[t]))>0&&(n=-n);for(let r=1;r<=t;r++)s[r].applyMatrix4(h.makeRotationAxis(a[r],n*r)),l[r].crossVectors(a[r],s[r])}return{tangents:a,normals:s,binormals:l}},clone:function(){return(new this.constructor).copy(this)},copy:function(t){return this.arcLengthDivisions=t.arcLengthDivisions,this},toJSON:function(){const t={metadata:{version:4.5,type:"Curve",generator:"Curve.toJSON"}};return t.arcLengthDivisions=this.arcLengthDivisions,t.type=this.type,t},fromJSON:function(t){return this.arcLengthDivisions=t.arcLengthDivisions,this}}),od.prototype=Object.create(rd.prototype),od.prototype.constructor=od,od.prototype.isEllipseCurve=!0,od.prototype.getPoint=function(t,n){const r=n||new Vector2,a=2*Math.PI;let s=this.aEndAngle-this.aStartAngle;const l=Math.abs(s)<Number.EPSILON;for(;s<0;)s+=a;for(;s>a;)s-=a;s<Number.EPSILON&&(s=l?0:a),!0!==this.aClockwise||l||(s===a?s=-a:s-=a);const d=this.aStartAngle+t*s;let h=this.aX+this.xRadius*Math.cos(d),p=this.aY+this.yRadius*Math.sin(d);if(0!==this.aRotation){const t=Math.cos(this.aRotation),n=Math.sin(this.aRotation),r=h-this.aX,a=p-this.aY;h=r*t-a*n+this.aX,p=r*n+a*t+this.aY}return r.set(h,p)},od.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.aX=t.aX,this.aY=t.aY,this.xRadius=t.xRadius,this.yRadius=t.yRadius,this.aStartAngle=t.aStartAngle,this.aEndAngle=t.aEndAngle,this.aClockwise=t.aClockwise,this.aRotation=t.aRotation,this},od.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.aX=this.aX,t.aY=this.aY,t.xRadius=this.xRadius,t.yRadius=this.yRadius,t.aStartAngle=this.aStartAngle,t.aEndAngle=this.aEndAngle,t.aClockwise=this.aClockwise,t.aRotation=this.aRotation,t},od.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.aX=t.aX,this.aY=t.aY,this.xRadius=t.xRadius,this.yRadius=t.yRadius,this.aStartAngle=t.aStartAngle,this.aEndAngle=t.aEndAngle,this.aClockwise=t.aClockwise,this.aRotation=t.aRotation,this},ad.prototype=Object.create(od.prototype),ad.prototype.constructor=ad,ad.prototype.isArcCurve=!0;const ld=new Vector3,cd=new sd,dd=new sd,ud=new sd;function hd(t=[],n=!1,r="centripetal",a=.5){rd.call(this),this.type="CatmullRomCurve3",this.points=t,this.closed=n,this.curveType=r,this.tension=a}function pd(t,n,r,a,s){const l=.5*(a-n),d=.5*(s-r),h=t*t;return(2*r-2*a+l+d)*(t*h)+(-3*r+3*a-2*l-d)*h+l*t+r}function fd(t,n,r,a){return function(t,n){const r=1-t;return r*r*n}(t,n)+function(t,n){return 2*(1-t)*t*n}(t,r)+function(t,n){return t*t*n}(t,a)}function md(t,n,r,a,s){return function(t,n){const r=1-t;return r*r*r*n}(t,n)+function(t,n){const r=1-t;return 3*r*r*t*n}(t,r)+function(t,n){return 3*(1-t)*t*t*n}(t,a)+function(t,n){return t*t*t*n}(t,s)}function gd(t=new Vector2,n=new Vector2,r=new Vector2,a=new Vector2){rd.call(this),this.type="CubicBezierCurve",this.v0=t,this.v1=n,this.v2=r,this.v3=a}function vd(t=new Vector3,n=new Vector3,r=new Vector3,a=new Vector3){rd.call(this),this.type="CubicBezierCurve3",this.v0=t,this.v1=n,this.v2=r,this.v3=a}function yd(t=new Vector2,n=new Vector2){rd.call(this),this.type="LineCurve",this.v1=t,this.v2=n}function bd(t=new Vector3,n=new Vector3){rd.call(this),this.type="LineCurve3",this.v1=t,this.v2=n}function xd(t=new Vector2,n=new Vector2,r=new Vector2){rd.call(this),this.type="QuadraticBezierCurve",this.v0=t,this.v1=n,this.v2=r}function wd(t=new Vector3,n=new Vector3,r=new Vector3){rd.call(this),this.type="QuadraticBezierCurve3",this.v0=t,this.v1=n,this.v2=r}function Sd(t=[]){rd.call(this),this.type="SplineCurve",this.points=t}hd.prototype=Object.create(rd.prototype),hd.prototype.constructor=hd,hd.prototype.isCatmullRomCurve3=!0,hd.prototype.getPoint=function(t,n=new Vector3){const r=n,a=this.points,s=a.length,l=(s-(this.closed?0:1))*t;let d,h,p=Math.floor(l),f=l-p;this.closed?p+=p>0?0:(Math.floor(Math.abs(p)/s)+1)*s:0===f&&p===s-1&&(p=s-2,f=1),this.closed||p>0?d=a[(p-1)%s]:(ld.subVectors(a[0],a[1]).add(a[0]),d=ld);const m=a[p%s],g=a[(p+1)%s];if(this.closed||p+2<s?h=a[(p+2)%s]:(ld.subVectors(a[s-1],a[s-2]).add(a[s-1]),h=ld),"centripetal"===this.curveType||"chordal"===this.curveType){const t="chordal"===this.curveType?.5:.25;let n=Math.pow(d.distanceToSquared(m),t),r=Math.pow(m.distanceToSquared(g),t),a=Math.pow(g.distanceToSquared(h),t);r<1e-4&&(r=1),n<1e-4&&(n=r),a<1e-4&&(a=r),cd.initNonuniformCatmullRom(d.x,m.x,g.x,h.x,n,r,a),dd.initNonuniformCatmullRom(d.y,m.y,g.y,h.y,n,r,a),ud.initNonuniformCatmullRom(d.z,m.z,g.z,h.z,n,r,a)}else"catmullrom"===this.curveType&&(cd.initCatmullRom(d.x,m.x,g.x,h.x,this.tension),dd.initCatmullRom(d.y,m.y,g.y,h.y,this.tension),ud.initCatmullRom(d.z,m.z,g.z,h.z,this.tension));return r.set(cd.calc(f),dd.calc(f),ud.calc(f)),r},hd.prototype.copy=function(t){rd.prototype.copy.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push(r.clone())}return this.closed=t.closed,this.curveType=t.curveType,this.tension=t.tension,this},hd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);t.points=[];for(let n=0,r=this.points.length;n<r;n++){const r=this.points[n];t.points.push(r.toArray())}return t.closed=this.closed,t.curveType=this.curveType,t.tension=this.tension,t},hd.prototype.fromJSON=function(t){rd.prototype.fromJSON.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push((new Vector3).fromArray(r))}return this.closed=t.closed,this.curveType=t.curveType,this.tension=t.tension,this},gd.prototype=Object.create(rd.prototype),gd.prototype.constructor=gd,gd.prototype.isCubicBezierCurve=!0,gd.prototype.getPoint=function(t,n=new Vector2){const r=n,a=this.v0,s=this.v1,l=this.v2,d=this.v3;return r.set(md(t,a.x,s.x,l.x,d.x),md(t,a.y,s.y,l.y,d.y)),r},gd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this.v3.copy(t.v3),this},gd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t.v3=this.v3.toArray(),t},gd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this.v3.fromArray(t.v3),this},vd.prototype=Object.create(rd.prototype),vd.prototype.constructor=vd,vd.prototype.isCubicBezierCurve3=!0,vd.prototype.getPoint=function(t,n=new Vector3){const r=n,a=this.v0,s=this.v1,l=this.v2,d=this.v3;return r.set(md(t,a.x,s.x,l.x,d.x),md(t,a.y,s.y,l.y,d.y),md(t,a.z,s.z,l.z,d.z)),r},vd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this.v3.copy(t.v3),this},vd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t.v3=this.v3.toArray(),t},vd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this.v3.fromArray(t.v3),this},yd.prototype=Object.create(rd.prototype),yd.prototype.constructor=yd,yd.prototype.isLineCurve=!0,yd.prototype.getPoint=function(t,n=new Vector2){const r=n;return 1===t?r.copy(this.v2):(r.copy(this.v2).sub(this.v1),r.multiplyScalar(t).add(this.v1)),r},yd.prototype.getPointAt=function(t,n){return this.getPoint(t,n)},yd.prototype.getTangent=function(t,n){const r=n||new Vector2;return r.copy(this.v2).sub(this.v1).normalize(),r},yd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v1.copy(t.v1),this.v2.copy(t.v2),this},yd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},yd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},bd.prototype=Object.create(rd.prototype),bd.prototype.constructor=bd,bd.prototype.isLineCurve3=!0,bd.prototype.getPoint=function(t,n=new Vector3){const r=n;return 1===t?r.copy(this.v2):(r.copy(this.v2).sub(this.v1),r.multiplyScalar(t).add(this.v1)),r},bd.prototype.getPointAt=function(t,n){return this.getPoint(t,n)},bd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v1.copy(t.v1),this.v2.copy(t.v2),this},bd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},bd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},xd.prototype=Object.create(rd.prototype),xd.prototype.constructor=xd,xd.prototype.isQuadraticBezierCurve=!0,xd.prototype.getPoint=function(t,n=new Vector2){const r=n,a=this.v0,s=this.v1,l=this.v2;return r.set(fd(t,a.x,s.x,l.x),fd(t,a.y,s.y,l.y)),r},xd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this},xd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},xd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},wd.prototype=Object.create(rd.prototype),wd.prototype.constructor=wd,wd.prototype.isQuadraticBezierCurve3=!0,wd.prototype.getPoint=function(t,n=new Vector3){const r=n,a=this.v0,s=this.v1,l=this.v2;return r.set(fd(t,a.x,s.x,l.x),fd(t,a.y,s.y,l.y),fd(t,a.z,s.z,l.z)),r},wd.prototype.copy=function(t){return rd.prototype.copy.call(this,t),this.v0.copy(t.v0),this.v1.copy(t.v1),this.v2.copy(t.v2),this},wd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);return t.v0=this.v0.toArray(),t.v1=this.v1.toArray(),t.v2=this.v2.toArray(),t},wd.prototype.fromJSON=function(t){return rd.prototype.fromJSON.call(this,t),this.v0.fromArray(t.v0),this.v1.fromArray(t.v1),this.v2.fromArray(t.v2),this},Sd.prototype=Object.create(rd.prototype),Sd.prototype.constructor=Sd,Sd.prototype.isSplineCurve=!0,Sd.prototype.getPoint=function(t,n=new Vector2){const r=n,a=this.points,s=(a.length-1)*t,l=Math.floor(s),d=s-l,h=a[0===l?l:l-1],p=a[l],f=a[l>a.length-2?a.length-1:l+1],m=a[l>a.length-3?a.length-1:l+2];return r.set(pd(d,h.x,p.x,f.x,m.x),pd(d,h.y,p.y,f.y,m.y)),r},Sd.prototype.copy=function(t){rd.prototype.copy.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push(r.clone())}return this},Sd.prototype.toJSON=function(){const t=rd.prototype.toJSON.call(this);t.points=[];for(let n=0,r=this.points.length;n<r;n++){const r=this.points[n];t.points.push(r.toArray())}return t},Sd.prototype.fromJSON=function(t){rd.prototype.fromJSON.call(this,t),this.points=[];for(let n=0,r=t.points.length;n<r;n++){const r=t.points[n];this.points.push((new Vector2).fromArray(r))}return this};var _d=Object.freeze({__proto__:null,ArcCurve:ad,CatmullRomCurve3:hd,CubicBezierCurve:gd,CubicBezierCurve3:vd,EllipseCurve:od,LineCurve:yd,LineCurve3:bd,QuadraticBezierCurve:xd,QuadraticBezierCurve3:wd,SplineCurve:Sd});function Md(){rd.call(this),this.type="CurvePath",this.curves=[],this.autoClose=!1}function Td(t){Md.call(this),this.type="Path",this.currentPoint=new Vector2,t&&this.setFromPoints(t)}function Ed(t){Td.call(this,t),this.uuid=Ji.generateUUID(),this.type="Shape",this.holes=[]}function Cd(t,n=1){Kn.call(this),this.type="Light",this.color=new Color(t),this.intensity=n}function Ad(t,n,r){Cd.call(this,t,r),this.type="HemisphereLight",this.position.copy(Kn.DefaultUp),this.updateMatrix(),this.groundColor=new Color(n)}function kd(t){this.camera=t,this.bias=0,this.normalBias=0,this.radius=1,this.mapSize=new Vector2(512,512),this.map=null,this.mapPass=null,this.matrix=new Matrix4,this.autoUpdate=!0,this.needsUpdate=!1,this._frustum=new Frustum,this._frameExtents=new Vector2(1,1),this._viewportCount=1,this._viewports=[new Vector4(0,0,1,1)]}function Od(){kd.call(this,new vo(50,1,.5,500)),this.focus=1}function Rd(t,n,r,a,s,l){Cd.call(this,t,n),this.type="SpotLight",this.position.copy(Kn.DefaultUp),this.updateMatrix(),this.target=new Kn,Object.defineProperty(this,"power",{get:function(){return this.intensity*Math.PI},set:function(t){this.intensity=t/Math.PI}}),this.distance=void 0!==r?r:0,this.angle=void 0!==a?a:Math.PI/3,this.penumbra=void 0!==s?s:0,this.decay=void 0!==l?l:1,this.shadow=new Od}function Id(){kd.call(this,new vo(90,1,.5,500)),this._frameExtents=new Vector2(4,2),this._viewportCount=6,this._viewports=[new Vector4(2,1,1,1),new Vector4(0,1,1,1),new Vector4(3,1,1,1),new Vector4(1,1,1,1),new Vector4(3,0,1,1),new Vector4(1,0,1,1)],this._cubeDirections=[new Vector3(1,0,0),new Vector3(-1,0,0),new Vector3(0,0,1),new Vector3(0,0,-1),new Vector3(0,1,0),new Vector3(0,-1,0)],this._cubeUps=[new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,1,0),new Vector3(0,0,1),new Vector3(0,0,-1)]}function Pd(t,n,r,a){Cd.call(this,t,n),this.type="PointLight",Object.defineProperty(this,"power",{get:function(){return 4*this.intensity*Math.PI},set:function(t){this.intensity=t/(4*Math.PI)}}),this.distance=void 0!==r?r:0,this.decay=void 0!==a?a:1,this.shadow=new Id}function Ld(t=-1,n=1,r=1,a=-1,s=.1,l=2e3){go.call(this),this.type="OrthographicCamera",this.zoom=1,this.view=null,this.left=t,this.right=n,this.top=r,this.bottom=a,this.near=s,this.far=l,this.updateProjectionMatrix()}function Dd(){kd.call(this,new Ld(-5,5,5,-5,.5,500))}function Fd(t,n){Cd.call(this,t,n),this.type="DirectionalLight",this.position.copy(Kn.DefaultUp),this.updateMatrix(),this.target=new Kn,this.shadow=new Dd}function Nd(t,n){Cd.call(this,t,n),this.type="AmbientLight"}function Bd(t,n,r,a){Cd.call(this,t,n),this.type="RectAreaLight",this.width=void 0!==r?r:10,this.height=void 0!==a?a:10}Md.prototype=Object.assign(Object.create(rd.prototype),{constructor:Md,add:function(t){this.curves.push(t)},closePath:function(){const t=this.curves[0].getPoint(0),n=this.curves[this.curves.length-1].getPoint(1);t.equals(n)||this.curves.push(new yd(n,t))},getPoint:function(t){const n=t*this.getLength(),r=this.getCurveLengths();let a=0;for(;a<r.length;){if(r[a]>=n){const t=r[a]-n,s=this.curves[a],l=s.getLength(),d=0===l?0:1-t/l;return s.getPointAt(d)}a++}return null},getLength:function(){const t=this.getCurveLengths();return t[t.length-1]},updateArcLengths:function(){this.needsUpdate=!0,this.cacheLengths=null,this.getCurveLengths()},getCurveLengths:function(){if(this.cacheLengths&&this.cacheLengths.length===this.curves.length)return this.cacheLengths;const t=[];let n=0;for(let r=0,a=this.curves.length;r<a;r++)n+=this.curves[r].getLength(),t.push(n);return this.cacheLengths=t,t},getSpacedPoints:function(t=40){const n=[];for(let r=0;r<=t;r++)n.push(this.getPoint(r/t));return this.autoClose&&n.push(n[0]),n},getPoints:function(t=12){const n=[];let r;for(let a=0,s=this.curves;a<s.length;a++){const l=s[a],d=l&&l.isEllipseCurve?2*t:l&&(l.isLineCurve||l.isLineCurve3)?1:l&&l.isSplineCurve?t*l.points.length:t,h=l.getPoints(d);for(let t=0;t<h.length;t++){const a=h[t];r&&r.equals(a)||(n.push(a),r=a)}}return this.autoClose&&n.length>1&&!n[n.length-1].equals(n[0])&&n.push(n[0]),n},copy:function(t){rd.prototype.copy.call(this,t),this.curves=[];for(let n=0,r=t.curves.length;n<r;n++){const r=t.curves[n];this.curves.push(r.clone())}return this.autoClose=t.autoClose,this},toJSON:function(){const t=rd.prototype.toJSON.call(this);t.autoClose=this.autoClose,t.curves=[];for(let n=0,r=this.curves.length;n<r;n++){const r=this.curves[n];t.curves.push(r.toJSON())}return t},fromJSON:function(t){rd.prototype.fromJSON.call(this,t),this.autoClose=t.autoClose,this.curves=[];for(let n=0,r=t.curves.length;n<r;n++){const r=t.curves[n];this.curves.push((new _d[r.type]).fromJSON(r))}return this}}),Td.prototype=Object.assign(Object.create(Md.prototype),{constructor:Td,setFromPoints:function(t){this.moveTo(t[0].x,t[0].y);for(let n=1,r=t.length;n<r;n++)this.lineTo(t[n].x,t[n].y);return this},moveTo:function(t,n){return this.currentPoint.set(t,n),this},lineTo:function(t,n){const r=new yd(this.currentPoint.clone(),new Vector2(t,n));return this.curves.push(r),this.currentPoint.set(t,n),this},quadraticCurveTo:function(t,n,r,a){const s=new xd(this.currentPoint.clone(),new Vector2(t,n),new Vector2(r,a));return this.curves.push(s),this.currentPoint.set(r,a),this},bezierCurveTo:function(t,n,r,a,s,l){const d=new gd(this.currentPoint.clone(),new Vector2(t,n),new Vector2(r,a),new Vector2(s,l));return this.curves.push(d),this.currentPoint.set(s,l),this},splineThru:function(t){const n=new Sd([this.currentPoint.clone()].concat(t));return this.curves.push(n),this.currentPoint.copy(t[t.length-1]),this},arc:function(t,n,r,a,s,l){const d=this.currentPoint.x,h=this.currentPoint.y;return this.absarc(t+d,n+h,r,a,s,l),this},absarc:function(t,n,r,a,s,l){return this.absellipse(t,n,r,r,a,s,l),this},ellipse:function(t,n,r,a,s,l,d,h){const p=this.currentPoint.x,f=this.currentPoint.y;return this.absellipse(t+p,n+f,r,a,s,l,d,h),this},absellipse:function(t,n,r,a,s,l,d,h){const p=new od(t,n,r,a,s,l,d,h);if(this.curves.length>0){const t=p.getPoint(0);t.equals(this.currentPoint)||this.lineTo(t.x,t.y)}this.curves.push(p);const f=p.getPoint(1);return this.currentPoint.copy(f),this},copy:function(t){return Md.prototype.copy.call(this,t),this.currentPoint.copy(t.currentPoint),this},toJSON:function(){const t=Md.prototype.toJSON.call(this);return t.currentPoint=this.currentPoint.toArray(),t},fromJSON:function(t){return Md.prototype.fromJSON.call(this,t),this.currentPoint.fromArray(t.currentPoint),this}}),Ed.prototype=Object.assign(Object.create(Td.prototype),{constructor:Ed,getPointsHoles:function(t){const n=[];for(let r=0,a=this.holes.length;r<a;r++)n[r]=this.holes[r].getPoints(t);return n},extractPoints:function(t){return{shape:this.getPoints(t),holes:this.getPointsHoles(t)}},copy:function(t){Td.prototype.copy.call(this,t),this.holes=[];for(let n=0,r=t.holes.length;n<r;n++){const r=t.holes[n];this.holes.push(r.clone())}return this},toJSON:function(){const t=Td.prototype.toJSON.call(this);t.uuid=this.uuid,t.holes=[];for(let n=0,r=this.holes.length;n<r;n++){const r=this.holes[n];t.holes.push(r.toJSON())}return t},fromJSON:function(t){Td.prototype.fromJSON.call(this,t),this.uuid=t.uuid,this.holes=[];for(let n=0,r=t.holes.length;n<r;n++){const r=t.holes[n];this.holes.push((new Td).fromJSON(r))}return this}}),Cd.prototype=Object.assign(Object.create(Kn.prototype),{constructor:Cd,isLight:!0,copy:function(t){return Kn.prototype.copy.call(this,t),this.color.copy(t.color),this.intensity=t.intensity,this},toJSON:function(t){const n=Kn.prototype.toJSON.call(this,t);return n.object.color=this.color.getHex(),n.object.intensity=this.intensity,void 0!==this.groundColor&&(n.object.groundColor=this.groundColor.getHex()),void 0!==this.distance&&(n.object.distance=this.distance),void 0!==this.angle&&(n.object.angle=this.angle),void 0!==this.decay&&(n.object.decay=this.decay),void 0!==this.penumbra&&(n.object.penumbra=this.penumbra),void 0!==this.shadow&&(n.object.shadow=this.shadow.toJSON()),n}}),Ad.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Ad,isHemisphereLight:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.groundColor.copy(t.groundColor),this}}),Object.assign(kd.prototype,{_projScreenMatrix:new Matrix4,_lightPositionWorld:new Vector3,_lookTarget:new Vector3,getViewportCount:function(){return this._viewportCount},getFrustum:function(){return this._frustum},updateMatrices:function(t){const n=this.camera,r=this.matrix,a=this._projScreenMatrix,s=this._lookTarget,l=this._lightPositionWorld;l.setFromMatrixPosition(t.matrixWorld),n.position.copy(l),s.setFromMatrixPosition(t.target.matrixWorld),n.lookAt(s),n.updateMatrixWorld(),a.multiplyMatrices(n.projectionMatrix,n.matrixWorldInverse),this._frustum.setFromProjectionMatrix(a),r.set(.5,0,0,.5,0,.5,0,.5,0,0,.5,.5,0,0,0,1),r.multiply(n.projectionMatrix),r.multiply(n.matrixWorldInverse)},getViewport:function(t){return this._viewports[t]},getFrameExtents:function(){return this._frameExtents},copy:function(t){return this.camera=t.camera.clone(),this.bias=t.bias,this.radius=t.radius,this.mapSize.copy(t.mapSize),this},clone:function(){return(new this.constructor).copy(this)},toJSON:function(){const t={};return 0!==this.bias&&(t.bias=this.bias),0!==this.normalBias&&(t.normalBias=this.normalBias),1!==this.radius&&(t.radius=this.radius),512===this.mapSize.x&&512===this.mapSize.y||(t.mapSize=this.mapSize.toArray()),t.camera=this.camera.toJSON(!1).object,delete t.camera.matrix,t}}),Od.prototype=Object.assign(Object.create(kd.prototype),{constructor:Od,isSpotLightShadow:!0,updateMatrices:function(t){const n=this.camera,r=2*Ji.RAD2DEG*t.angle*this.focus,a=this.mapSize.width/this.mapSize.height,s=t.distance||n.far;r===n.fov&&a===n.aspect&&s===n.far||(n.fov=r,n.aspect=a,n.far=s,n.updateProjectionMatrix()),kd.prototype.updateMatrices.call(this,t)}}),Rd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Rd,isSpotLight:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.distance=t.distance,this.angle=t.angle,this.penumbra=t.penumbra,this.decay=t.decay,this.target=t.target.clone(),this.shadow=t.shadow.clone(),this}}),Id.prototype=Object.assign(Object.create(kd.prototype),{constructor:Id,isPointLightShadow:!0,updateMatrices:function(t,n=0){const r=this.camera,a=this.matrix,s=this._lightPositionWorld,l=this._lookTarget,d=this._projScreenMatrix;s.setFromMatrixPosition(t.matrixWorld),r.position.copy(s),l.copy(r.position),l.add(this._cubeDirections[n]),r.up.copy(this._cubeUps[n]),r.lookAt(l),r.updateMatrixWorld(),a.makeTranslation(-s.x,-s.y,-s.z),d.multiplyMatrices(r.projectionMatrix,r.matrixWorldInverse),this._frustum.setFromProjectionMatrix(d)}}),Pd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Pd,isPointLight:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.distance=t.distance,this.decay=t.decay,this.shadow=t.shadow.clone(),this}}),Ld.prototype=Object.assign(Object.create(go.prototype),{constructor:Ld,isOrthographicCamera:!0,copy:function(t,n){return go.prototype.copy.call(this,t,n),this.left=t.left,this.right=t.right,this.top=t.top,this.bottom=t.bottom,this.near=t.near,this.far=t.far,this.zoom=t.zoom,this.view=null===t.view?null:Object.assign({},t.view),this},setViewOffset:function(t,n,r,a,s,l){null===this.view&&(this.view={enabled:!0,fullWidth:1,fullHeight:1,offsetX:0,offsetY:0,width:1,height:1}),this.view.enabled=!0,this.view.fullWidth=t,this.view.fullHeight=n,this.view.offsetX=r,this.view.offsetY=a,this.view.width=s,this.view.height=l,this.updateProjectionMatrix()},clearViewOffset:function(){null!==this.view&&(this.view.enabled=!1),this.updateProjectionMatrix()},updateProjectionMatrix:function(){const t=(this.right-this.left)/(2*this.zoom),n=(this.top-this.bottom)/(2*this.zoom),r=(this.right+this.left)/2,a=(this.top+this.bottom)/2;let s=r-t,l=r+t,d=a+n,h=a-n;if(null!==this.view&&this.view.enabled){const t=(this.right-this.left)/this.view.fullWidth/this.zoom,n=(this.top-this.bottom)/this.view.fullHeight/this.zoom;s+=t*this.view.offsetX,l=s+t*this.view.width,d-=n*this.view.offsetY,h=d-n*this.view.height}this.projectionMatrix.makeOrthographic(s,l,d,h,this.near,this.far),this.projectionMatrixInverse.copy(this.projectionMatrix).invert()},toJSON:function(t){const n=Kn.prototype.toJSON.call(this,t);return n.object.zoom=this.zoom,n.object.left=this.left,n.object.right=this.right,n.object.top=this.top,n.object.bottom=this.bottom,n.object.near=this.near,n.object.far=this.far,null!==this.view&&(n.object.view=Object.assign({},this.view)),n}}),Dd.prototype=Object.assign(Object.create(kd.prototype),{constructor:Dd,isDirectionalLightShadow:!0,updateMatrices:function(t){kd.prototype.updateMatrices.call(this,t)}}),Fd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Fd,isDirectionalLight:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.target=t.target.clone(),this.shadow=t.shadow.clone(),this}}),Nd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Nd,isAmbientLight:!0}),Bd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:Bd,isRectAreaLight:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.width=t.width,this.height=t.height,this},toJSON:function(t){const n=Cd.prototype.toJSON.call(this,t);return n.object.width=this.width,n.object.height=this.height,n}});class SphericalHarmonics3{constructor(){Object.defineProperty(this,"isSphericalHarmonics3",{value:!0}),this.coefficients=[];for(let t=0;t<9;t++)this.coefficients.push(new Vector3)}set(t){for(let n=0;n<9;n++)this.coefficients[n].copy(t[n]);return this}zero(){for(let t=0;t<9;t++)this.coefficients[t].set(0,0,0);return this}getAt(t,n){const r=t.x,a=t.y,s=t.z,l=this.coefficients;return n.copy(l[0]).multiplyScalar(.282095),n.addScaledVector(l[1],.488603*a),n.addScaledVector(l[2],.488603*s),n.addScaledVector(l[3],.488603*r),n.addScaledVector(l[4],r*a*1.092548),n.addScaledVector(l[5],a*s*1.092548),n.addScaledVector(l[6],.315392*(3*s*s-1)),n.addScaledVector(l[7],r*s*1.092548),n.addScaledVector(l[8],.546274*(r*r-a*a)),n}getIrradianceAt(t,n){const r=t.x,a=t.y,s=t.z,l=this.coefficients;return n.copy(l[0]).multiplyScalar(.886227),n.addScaledVector(l[1],1.023328*a),n.addScaledVector(l[2],1.023328*s),n.addScaledVector(l[3],1.023328*r),n.addScaledVector(l[4],.858086*r*a),n.addScaledVector(l[5],.858086*a*s),n.addScaledVector(l[6],.743125*s*s-.247708),n.addScaledVector(l[7],.858086*r*s),n.addScaledVector(l[8],.429043*(r*r-a*a)),n}add(t){for(let n=0;n<9;n++)this.coefficients[n].add(t.coefficients[n]);return this}addScaledSH(t,n){for(let r=0;r<9;r++)this.coefficients[r].addScaledVector(t.coefficients[r],n);return this}scale(t){for(let n=0;n<9;n++)this.coefficients[n].multiplyScalar(t);return this}lerp(t,n){for(let r=0;r<9;r++)this.coefficients[r].lerp(t.coefficients[r],n);return this}equals(t){for(let n=0;n<9;n++)if(!this.coefficients[n].equals(t.coefficients[n]))return!1;return!0}copy(t){return this.set(t.coefficients)}clone(){return(new this.constructor).copy(this)}fromArray(t,n=0){const r=this.coefficients;for(let a=0;a<9;a++)r[a].fromArray(t,n+3*a);return this}toArray(t=[],n=0){const r=this.coefficients;for(let a=0;a<9;a++)r[a].toArray(t,n+3*a);return t}static getBasisAt(t,n){const r=t.x,a=t.y,s=t.z;n[0]=.282095,n[1]=.488603*a,n[2]=.488603*s,n[3]=.488603*r,n[4]=1.092548*r*a,n[5]=1.092548*a*s,n[6]=.315392*(3*s*s-1),n[7]=1.092548*r*s,n[8]=.546274*(r*r-a*a)}}function zd(t,n){Cd.call(this,void 0,n),this.type="LightProbe",this.sh=void 0!==t?t:new SphericalHarmonics3}function $d(t){Yc.call(this,t),this.textures={}}zd.prototype=Object.assign(Object.create(Cd.prototype),{constructor:zd,isLightProbe:!0,copy:function(t){return Cd.prototype.copy.call(this,t),this.sh.copy(t.sh),this},fromJSON:function(t){return this.intensity=t.intensity,this.sh.fromArray(t.sh),this},toJSON:function(t){const n=Cd.prototype.toJSON.call(this,t);return n.object.sh=this.sh.toArray(),n}}),$d.prototype=Object.assign(Object.create(Yc.prototype),{constructor:$d,load:function(t,n,r,s){const l=this,d=new Kc(l.manager);d.setPath(l.path),d.setRequestHeader(l.requestHeader),d.setWithCredentials(l.withCredentials),d.load(t,(function(r){try{n(l.parse(JSON.parse(r)))}catch(n){s?s(n):a.error(n),l.manager.itemError(t)}}),r,s)},parse:function(t){const n=this.textures;function r(t){return void 0===n[t]&&a.warn("THREE.MaterialLoader: Undefined texture",t),n[t]}const s=new Oc[t.type];if(void 0!==t.uuid&&(s.uuid=t.uuid),void 0!==t.name&&(s.name=t.name),void 0!==t.color&&void 0!==s.color&&s.color.setHex(t.color),void 0!==t.roughness&&(s.roughness=t.roughness),void 0!==t.metalness&&(s.metalness=t.metalness),void 0!==t.sheen&&(s.sheen=(new Color).setHex(t.sheen)),void 0!==t.emissive&&void 0!==s.emissive&&s.emissive.setHex(t.emissive),void 0!==t.specular&&void 0!==s.specular&&s.specular.setHex(t.specular),void 0!==t.shininess&&(s.shininess=t.shininess),void 0!==t.clearcoat&&(s.clearcoat=t.clearcoat),void 0!==t.clearcoatRoughness&&(s.clearcoatRoughness=t.clearcoatRoughness),void 0!==t.fog&&(s.fog=t.fog),void 0!==t.flatShading&&(s.flatShading=t.flatShading),void 0!==t.blending&&(s.blending=t.blending),void 0!==t.combine&&(s.combine=t.combine),void 0!==t.side&&(s.side=t.side),void 0!==t.opacity&&(s.opacity=t.opacity),void 0!==t.transparent&&(s.transparent=t.transparent),void 0!==t.alphaTest&&(s.alphaTest=t.alphaTest),void 0!==t.depthTest&&(s.depthTest=t.depthTest),void 0!==t.depthWrite&&(s.depthWrite=t.depthWrite),void 0!==t.colorWrite&&(s.colorWrite=t.colorWrite),void 0!==t.stencilWrite&&(s.stencilWrite=t.stencilWrite),void 0!==t.stencilWriteMask&&(s.stencilWriteMask=t.stencilWriteMask),void 0!==t.stencilFunc&&(s.stencilFunc=t.stencilFunc),void 0!==t.stencilRef&&(s.stencilRef=t.stencilRef),void 0!==t.stencilFuncMask&&(s.stencilFuncMask=t.stencilFuncMask),void 0!==t.stencilFail&&(s.stencilFail=t.stencilFail),void 0!==t.stencilZFail&&(s.stencilZFail=t.stencilZFail),void 0!==t.stencilZPass&&(s.stencilZPass=t.stencilZPass),void 0!==t.wireframe&&(s.wireframe=t.wireframe),void 0!==t.wireframeLinewidth&&(s.wireframeLinewidth=t.wireframeLinewidth),void 0!==t.wireframeLinecap&&(s.wireframeLinecap=t.wireframeLinecap),void 0!==t.wireframeLinejoin&&(s.wireframeLinejoin=t.wireframeLinejoin),void 0!==t.rotation&&(s.rotation=t.rotation),1!==t.linewidth&&(s.linewidth=t.linewidth),void 0!==t.dashSize&&(s.dashSize=t.dashSize),void 0!==t.gapSize&&(s.gapSize=t.gapSize),void 0!==t.scale&&(s.scale=t.scale),void 0!==t.polygonOffset&&(s.polygonOffset=t.polygonOffset),void 0!==t.polygonOffsetFactor&&(s.polygonOffsetFactor=t.polygonOffsetFactor),void 0!==t.polygonOffsetUnits&&(s.polygonOffsetUnits=t.polygonOffsetUnits),void 0!==t.skinning&&(s.skinning=t.skinning),void 0!==t.morphTargets&&(s.morphTargets=t.morphTargets),void 0!==t.morphNormals&&(s.morphNormals=t.morphNormals),void 0!==t.dithering&&(s.dithering=t.dithering),void 0!==t.vertexTangents&&(s.vertexTangents=t.vertexTangents),void 0!==t.visible&&(s.visible=t.visible),void 0!==t.toneMapped&&(s.toneMapped=t.toneMapped),void 0!==t.userData&&(s.userData=t.userData),void 0!==t.vertexColors&&("number"==typeof t.vertexColors?s.vertexColors=t.vertexColors>0:s.vertexColors=t.vertexColors),void 0!==t.uniforms)for(const n in t.uniforms){const a=t.uniforms[n];switch(s.uniforms[n]={},a.type){case"t":s.uniforms[n].value=r(a.value);break;case"c":s.uniforms[n].value=(new Color).setHex(a.value);break;case"v2":s.uniforms[n].value=(new Vector2).fromArray(a.value);break;case"v3":s.uniforms[n].value=(new Vector3).fromArray(a.value);break;case"v4":s.uniforms[n].value=(new Vector4).fromArray(a.value);break;case"m3":s.uniforms[n].value=(new Matrix3).fromArray(a.value);break;case"m4":s.uniforms[n].value=(new Matrix4).fromArray(a.value);break;default:s.uniforms[n].value=a.value}}if(void 0!==t.defines&&(s.defines=t.defines),void 0!==t.vertexShader&&(s.vertexShader=t.vertexShader),void 0!==t.fragmentShader&&(s.fragmentShader=t.fragmentShader),void 0!==t.extensions)for(const n in t.extensions)s.extensions[n]=t.extensions[n];if(void 0!==t.shading&&(s.flatShading=1===t.shading),void 0!==t.size&&(s.size=t.size),void 0!==t.sizeAttenuation&&(s.sizeAttenuation=t.sizeAttenuation),void 0!==t.map&&(s.map=r(t.map)),void 0!==t.matcap&&(s.matcap=r(t.matcap)),void 0!==t.alphaMap&&(s.alphaMap=r(t.alphaMap)),void 0!==t.bumpMap&&(s.bumpMap=r(t.bumpMap)),void 0!==t.bumpScale&&(s.bumpScale=t.bumpScale),void 0!==t.normalMap&&(s.normalMap=r(t.normalMap)),void 0!==t.normalMapType&&(s.normalMapType=t.normalMapType),void 0!==t.normalScale){let n=t.normalScale;!1===Array.isArray(n)&&(n=[n,n]),s.normalScale=(new Vector2).fromArray(n)}return void 0!==t.displacementMap&&(s.displacementMap=r(t.displacementMap)),void 0!==t.displacementScale&&(s.displacementScale=t.displacementScale),void 0!==t.displacementBias&&(s.displacementBias=t.displacementBias),void 0!==t.roughnessMap&&(s.roughnessMap=r(t.roughnessMap)),void 0!==t.metalnessMap&&(s.metalnessMap=r(t.metalnessMap)),void 0!==t.emissiveMap&&(s.emissiveMap=r(t.emissiveMap)),void 0!==t.emissiveIntensity&&(s.emissiveIntensity=t.emissiveIntensity),void 0!==t.specularMap&&(s.specularMap=r(t.specularMap)),void 0!==t.envMap&&(s.envMap=r(t.envMap)),void 0!==t.envMapIntensity&&(s.envMapIntensity=t.envMapIntensity),void 0!==t.reflectivity&&(s.reflectivity=t.reflectivity),void 0!==t.refractionRatio&&(s.refractionRatio=t.refractionRatio),void 0!==t.lightMap&&(s.lightMap=r(t.lightMap)),void 0!==t.lightMapIntensity&&(s.lightMapIntensity=t.lightMapIntensity),void 0!==t.aoMap&&(s.aoMap=r(t.aoMap)),void 0!==t.aoMapIntensity&&(s.aoMapIntensity=t.aoMapIntensity),void 0!==t.gradientMap&&(s.gradientMap=r(t.gradientMap)),void 0!==t.clearcoatMap&&(s.clearcoatMap=r(t.clearcoatMap)),void 0!==t.clearcoatRoughnessMap&&(s.clearcoatRoughnessMap=r(t.clearcoatRoughnessMap)),void 0!==t.clearcoatNormalMap&&(s.clearcoatNormalMap=r(t.clearcoatNormalMap)),void 0!==t.clearcoatNormalScale&&(s.clearcoatNormalScale=(new Vector2).fromArray(t.clearcoatNormalScale)),void 0!==t.transmission&&(s.transmission=t.transmission),void 0!==t.transmissionMap&&(s.transmissionMap=r(t.transmissionMap)),s},setTextures:function(t){return this.textures=t,this}});const jd={decodeText:function(t){if("undefined"!=typeof TextDecoder)return(new TextDecoder).decode(t);let n="";for(let r=0,a=t.length;r<a;r++)n+=String.fromCharCode(t[r]);try{return decodeURIComponent(escape(n))}catch(t){return n}},extractUrlBase:function(t){const n=t.lastIndexOf("/");return-1===n?"./":t.substr(0,n+1)}};function Vd(){Ur.call(this),this.type="InstancedBufferGeometry",this.instanceCount=1/0}function Ud(t,n,r,s){"number"==typeof r&&(s=r,r=!1,a.error("THREE.InstancedBufferAttribute: The constructor now expects normalized as the third argument.")),Sr.call(this,t,n,r),this.meshPerAttribute=s||1}function Gd(t){Yc.call(this,t)}Vd.prototype=Object.assign(Object.create(Ur.prototype),{constructor:Vd,isInstancedBufferGeometry:!0,copy:function(t){return Ur.prototype.copy.call(this,t),this.instanceCount=t.instanceCount,this},clone:function(){return(new this.constructor).copy(this)},toJSON:function(){const t=Ur.prototype.toJSON.call(this);return t.instanceCount=this.instanceCount,t.isInstancedBufferGeometry=!0,t}}),Ud.prototype=Object.assign(Object.create(Sr.prototype),{constructor:Ud,isInstancedBufferAttribute:!0,copy:function(t){return Sr.prototype.copy.call(this,t),this.meshPerAttribute=t.meshPerAttribute,this},toJSON:function(){const t=Sr.prototype.toJSON.call(this);return t.meshPerAttribute=this.meshPerAttribute,t.isInstancedBufferAttribute=!0,t}}),Gd.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Gd,load:function(t,n,r,s){const l=this,d=new Kc(l.manager);d.setPath(l.path),d.setRequestHeader(l.requestHeader),d.setWithCredentials(l.withCredentials),d.load(t,(function(r){try{n(l.parse(JSON.parse(r)))}catch(n){s?s(n):a.error(n),l.manager.itemError(t)}}),r,s)},parse:function(t){const n={},r={};function a(t,a){if(void 0!==n[a])return n[a];const s=t.interleavedBuffers[a],l=function(t,n){if(void 0!==r[n])return r[n];const a=t.arrayBuffers,s=a[n],l=new Uint32Array(s).buffer;return r[n]=l,l}(t,s.buffer),d=new Ls(Dr(s.type,l),s.stride);return d.uuid=s.uuid,n[a]=d,d}const s=t.isInstancedBufferGeometry?new Vd:new Ur,l=t.data.index;if(void 0!==l){const t=Dr(l.type,l.array);s.setIndex(new Sr(t,1))}const d=t.data.attributes;for(const n in d){const r=d[n];let l;if(r.isInterleavedBufferAttribute){l=new Fs(a(t.data,r.data),r.itemSize,r.offset,r.normalized)}else{const t=Dr(r.type,r.array);l=new(r.isInstancedBufferAttribute?Ud:Sr)(t,r.itemSize,r.normalized)}void 0!==r.name&&(l.name=r.name),s.setAttribute(n,l)}const h=t.data.morphAttributes;if(h)for(const n in h){const r=h[n],l=[];for(let n=0,s=r.length;n<s;n++){const s=r[n];let d;if(s.isInterleavedBufferAttribute){d=new Fs(a(t.data,s.data),s.itemSize,s.offset,s.normalized)}else{d=new Sr(Dr(s.type,s.array),s.itemSize,s.normalized)}void 0!==s.name&&(d.name=s.name),l.push(d)}s.morphAttributes[n]=l}t.data.morphTargetsRelative&&(s.morphTargetsRelative=!0);const p=t.data.groups||t.data.drawcalls||t.data.offsets;if(void 0!==p)for(let t=0,n=p.length;t!==n;++t){const n=p[t];s.addGroup(n.start,n.count,n.materialIndex)}const f=t.data.boundingSphere;if(void 0!==f){const t=new Vector3;void 0!==f.center&&t.fromArray(f.center),s.boundingSphere=new Sphere(t,f.radius)}return t.name&&(s.name=t.name),t.userData&&(s.userData=t.userData),s}});class ObjectLoader extends Yc{constructor(t){super(t)}load(t,n,r,s){const l=this,d=""===this.path?jd.extractUrlBase(t):this.path;this.resourcePath=this.resourcePath||d;const h=new Kc(this.manager);h.setPath(this.path),h.setRequestHeader(this.requestHeader),h.setWithCredentials(this.withCredentials),h.load(t,(function(r){let d=null;try{d=JSON.parse(r)}catch(n){return void 0!==s&&s(n),void a.error("THREE:ObjectLoader: Can't parse "+t+".",n.message)}const h=d.metadata;void 0!==h&&void 0!==h.type&&"geometry"!==h.type.toLowerCase()?l.parse(d,n):a.error("THREE.ObjectLoader: Can't load "+t)}),r,s)}parse(t,n){const r=this.parseAnimations(t.animations),a=this.parseShapes(t.shapes),s=this.parseGeometries(t.geometries,a),l=this.parseImages(t.images,(function(){void 0!==n&&n(p)})),d=this.parseTextures(t.textures,l),h=this.parseMaterials(t.materials,d),p=this.parseObject(t.object,s,h,r),f=this.parseSkeletons(t.skeletons,p);if(this.bindSkeletons(p,f),void 0!==n){let t=!1;for(const n in l)if(l[n]instanceof HTMLImageElement){t=!0;break}!1===t&&n(p)}return p}parseShapes(t){const n={};if(void 0!==t)for(let r=0,a=t.length;r<a;r++){const a=(new Ed).fromJSON(t[r]);n[a.uuid]=a}return n}parseSkeletons(t,n){const r={},a={};if(n.traverse((function(t){t.isBone&&(a[t.uuid]=t)})),void 0!==t)for(let n=0,s=t.length;n<s;n++){const s=(new ul).fromJSON(t[n],a);r[s.uuid]=s}return r}parseGeometries(t,n){const r={};let s;if(void 0!==t){const l=new Gd;for(let d=0,h=t.length;d<h;d++){let h;const p=t[d];switch(p.type){case"PlaneGeometry":case"PlaneBufferGeometry":h=new bc[p.type](p.width,p.height,p.widthSegments,p.heightSegments);break;case"BoxGeometry":case"BoxBufferGeometry":h=new bc[p.type](p.width,p.height,p.depth,p.widthSegments,p.heightSegments,p.depthSegments);break;case"CircleGeometry":case"CircleBufferGeometry":h=new bc[p.type](p.radius,p.segments,p.thetaStart,p.thetaLength);break;case"CylinderGeometry":case"CylinderBufferGeometry":h=new bc[p.type](p.radiusTop,p.radiusBottom,p.height,p.radialSegments,p.heightSegments,p.openEnded,p.thetaStart,p.thetaLength);break;case"ConeGeometry":case"ConeBufferGeometry":h=new bc[p.type](p.radius,p.height,p.radialSegments,p.heightSegments,p.openEnded,p.thetaStart,p.thetaLength);break;case"SphereGeometry":case"SphereBufferGeometry":h=new bc[p.type](p.radius,p.widthSegments,p.heightSegments,p.phiStart,p.phiLength,p.thetaStart,p.thetaLength);break;case"DodecahedronGeometry":case"DodecahedronBufferGeometry":case"IcosahedronGeometry":case"IcosahedronBufferGeometry":case"OctahedronGeometry":case"OctahedronBufferGeometry":case"TetrahedronGeometry":case"TetrahedronBufferGeometry":h=new bc[p.type](p.radius,p.detail);break;case"RingGeometry":case"RingBufferGeometry":h=new bc[p.type](p.innerRadius,p.outerRadius,p.thetaSegments,p.phiSegments,p.thetaStart,p.thetaLength);break;case"TorusGeometry":case"TorusBufferGeometry":h=new bc[p.type](p.radius,p.tube,p.radialSegments,p.tubularSegments,p.arc);break;case"TorusKnotGeometry":case"TorusKnotBufferGeometry":h=new bc[p.type](p.radius,p.tube,p.tubularSegments,p.radialSegments,p.p,p.q);break;case"TubeGeometry":case"TubeBufferGeometry":h=new bc[p.type]((new _d[p.path.type]).fromJSON(p.path),p.tubularSegments,p.radius,p.radialSegments,p.closed);break;case"LatheGeometry":case"LatheBufferGeometry":h=new bc[p.type](p.points,p.segments,p.phiStart,p.phiLength);break;case"PolyhedronGeometry":case"PolyhedronBufferGeometry":h=new bc[p.type](p.vertices,p.indices,p.radius,p.details);break;case"ShapeGeometry":case"ShapeBufferGeometry":s=[];for(let t=0,r=p.shapes.length;t<r;t++){const r=n[p.shapes[t]];s.push(r)}h=new bc[p.type](s,p.curveSegments);break;case"ExtrudeGeometry":case"ExtrudeBufferGeometry":s=[];for(let t=0,r=p.shapes.length;t<r;t++){const r=n[p.shapes[t]];s.push(r)}const t=p.options.extrudePath;void 0!==t&&(p.options.extrudePath=(new _d[t.type]).fromJSON(t)),h=new bc[p.type](s,p.options);break;case"BufferGeometry":case"InstancedBufferGeometry":h=l.parse(p);break;case"Geometry":a.error('THREE.ObjectLoader: Loading "Geometry" is not supported anymore.');break;default:a.warn('THREE.ObjectLoader: Unsupported geometry type "'+p.type+'"');continue}h.uuid=p.uuid,void 0!==p.name&&(h.name=p.name),!0===h.isBufferGeometry&&void 0!==p.userData&&(h.userData=p.userData),r[p.uuid]=h}}return r}parseMaterials(t,n){const r={},a={};if(void 0!==t){const s=new $d;s.setTextures(n);for(let n=0,l=t.length;n<l;n++){const l=t[n];if("MultiMaterial"===l.type){const t=[];for(let n=0;n<l.materials.length;n++){const a=l.materials[n];void 0===r[a.uuid]&&(r[a.uuid]=s.parse(a)),t.push(r[a.uuid])}a[l.uuid]=t}else void 0===r[l.uuid]&&(r[l.uuid]=s.parse(l)),a[l.uuid]=r[l.uuid]}}return a}parseAnimations(t){const n={};if(void 0!==t)for(let r=0;r<t.length;r++){const a=t[r],s=Gc.parse(a);n[s.uuid]=s}return n}parseImages(t,n){const r=this,a={};let s;function l(t){if("string"==typeof t){const n=t;return function(t){return r.manager.itemStart(t),s.load(t,(function(){r.manager.itemEnd(t)}),void 0,(function(){r.manager.itemError(t),r.manager.itemEnd(t)}))}(/^(\/\/)|([a-z]+:(\/\/)?)/i.test(n)?n:r.resourcePath+n)}return t.data?{data:Dr(t.type,t.data),width:t.width,height:t.height}:null}if(void 0!==t&&t.length>0){const r=new qc(n);s=new ed(r),s.setCrossOrigin(this.crossOrigin);for(let n=0,r=t.length;n<r;n++){const r=t[n],s=r.url;if(Array.isArray(s)){a[r.uuid]=[];for(let t=0,n=s.length;t<n;t++){const n=l(s[t]);null!==n&&(n instanceof HTMLImageElement?a[r.uuid].push(n):a[r.uuid].push(new So(n.data,n.width,n.height)))}}else{const t=l(r.url);null!==t&&(a[r.uuid]=t)}}}return a}parseTextures(t,n){function r(t,n){return"number"==typeof t?t:(a.warn("THREE.ObjectLoader.parseTexture: Constant should be in numeric form.",t),n[t])}const s={};if(void 0!==t)for(let l=0,d=t.length;l<d;l++){const d=t[l];let h;void 0===d.image&&a.warn('THREE.ObjectLoader: No "image" specified for',d.uuid),void 0===n[d.image]&&a.warn("THREE.ObjectLoader: Undefined image",d.image);const p=n[d.image];Array.isArray(p)?(h=new wo(p),6===p.length&&(h.needsUpdate=!0)):(h=p&&p.data?new So(p.data,p.width,p.height):new nn(p),p&&(h.needsUpdate=!0)),h.uuid=d.uuid,void 0!==d.name&&(h.name=d.name),void 0!==d.mapping&&(h.mapping=r(d.mapping,Hd)),void 0!==d.offset&&h.offset.fromArray(d.offset),void 0!==d.repeat&&h.repeat.fromArray(d.repeat),void 0!==d.center&&h.center.fromArray(d.center),void 0!==d.rotation&&(h.rotation=d.rotation),void 0!==d.wrap&&(h.wrapS=r(d.wrap[0],Wd),h.wrapT=r(d.wrap[1],Wd)),void 0!==d.format&&(h.format=d.format),void 0!==d.type&&(h.type=d.type),void 0!==d.encoding&&(h.encoding=d.encoding),void 0!==d.minFilter&&(h.minFilter=r(d.minFilter,qd)),void 0!==d.magFilter&&(h.magFilter=r(d.magFilter,qd)),void 0!==d.anisotropy&&(h.anisotropy=d.anisotropy),void 0!==d.flipY&&(h.flipY=d.flipY),void 0!==d.premultiplyAlpha&&(h.premultiplyAlpha=d.premultiplyAlpha),void 0!==d.unpackAlignment&&(h.unpackAlignment=d.unpackAlignment),s[d.uuid]=h}return s}parseObject(t,n,r,s){let l,d,h;function p(t){return void 0===n[t]&&a.warn("THREE.ObjectLoader: Undefined geometry",t),n[t]}function f(t){if(void 0!==t){if(Array.isArray(t)){const n=[];for(let s=0,l=t.length;s<l;s++){const l=t[s];void 0===r[l]&&a.warn("THREE.ObjectLoader: Undefined material",l),n.push(r[l])}return n}return void 0===r[t]&&a.warn("THREE.ObjectLoader: Undefined material",t),r[t]}}switch(t.type){case"Scene":l=new Scene,void 0!==t.background&&Number.isInteger(t.background)&&(l.background=new Color(t.background)),void 0!==t.fog&&("Fog"===t.fog.type?l.fog=new Fog(t.fog.color,t.fog.near,t.fog.far):"FogExp2"===t.fog.type&&(l.fog=new FogExp2(t.fog.color,t.fog.density)));break;case"PerspectiveCamera":l=new vo(t.fov,t.aspect,t.near,t.far),void 0!==t.focus&&(l.focus=t.focus),void 0!==t.zoom&&(l.zoom=t.zoom),void 0!==t.filmGauge&&(l.filmGauge=t.filmGauge),void 0!==t.filmOffset&&(l.filmOffset=t.filmOffset),void 0!==t.view&&(l.view=Object.assign({},t.view));break;case"OrthographicCamera":l=new Ld(t.left,t.right,t.top,t.bottom,t.near,t.far),void 0!==t.zoom&&(l.zoom=t.zoom),void 0!==t.view&&(l.view=Object.assign({},t.view));break;case"AmbientLight":l=new Nd(t.color,t.intensity);break;case"DirectionalLight":l=new Fd(t.color,t.intensity);break;case"PointLight":l=new Pd(t.color,t.intensity,t.distance,t.decay);break;case"RectAreaLight":l=new Bd(t.color,t.intensity,t.width,t.height);break;case"SpotLight":l=new Rd(t.color,t.intensity,t.distance,t.angle,t.penumbra,t.decay);break;case"HemisphereLight":l=new Ad(t.color,t.groundColor,t.intensity);break;case"LightProbe":l=(new zd).fromJSON(t);break;case"SkinnedMesh":d=p(t.geometry),h=f(t.material),l=new sl(d,h),void 0!==t.bindMode&&(l.bindMode=t.bindMode),void 0!==t.bindMatrix&&l.bindMatrix.fromArray(t.bindMatrix),void 0!==t.skeleton&&(l.skeleton=t.skeleton);break;case"Mesh":d=p(t.geometry),h=f(t.material),l=new so(d,h);break;case"InstancedMesh":d=p(t.geometry),h=f(t.material);const n=t.count,r=t.instanceMatrix;l=new gl(d,h,n),l.instanceMatrix=new Sr(new Float32Array(r.array),16);break;case"LOD":l=new tl;break;case"Line":l=new _l(p(t.geometry),f(t.material));break;case"LineLoop":l=new Cl(p(t.geometry),f(t.material));break;case"LineSegments":l=new El(p(t.geometry),f(t.material));break;case"PointCloud":case"Points":l=new Pl(p(t.geometry),f(t.material));break;case"Sprite":l=new Ks(f(t.material));break;case"Group":l=new As;break;case"Bone":l=new ll;break;default:l=new Kn}if(l.uuid=t.uuid,void 0!==t.name&&(l.name=t.name),void 0!==t.matrix?(l.matrix.fromArray(t.matrix),void 0!==t.matrixAutoUpdate&&(l.matrixAutoUpdate=t.matrixAutoUpdate),l.matrixAutoUpdate&&l.matrix.decompose(l.position,l.quaternion,l.scale)):(void 0!==t.position&&l.position.fromArray(t.position),void 0!==t.rotation&&l.rotation.fromArray(t.rotation),void 0!==t.quaternion&&l.quaternion.fromArray(t.quaternion),void 0!==t.scale&&l.scale.fromArray(t.scale)),void 0!==t.castShadow&&(l.castShadow=t.castShadow),void 0!==t.receiveShadow&&(l.receiveShadow=t.receiveShadow),t.shadow&&(void 0!==t.shadow.bias&&(l.shadow.bias=t.shadow.bias),void 0!==t.shadow.normalBias&&(l.shadow.normalBias=t.shadow.normalBias),void 0!==t.shadow.radius&&(l.shadow.radius=t.shadow.radius),void 0!==t.shadow.mapSize&&l.shadow.mapSize.fromArray(t.shadow.mapSize),void 0!==t.shadow.camera&&(l.shadow.camera=this.parseObject(t.shadow.camera))),void 0!==t.visible&&(l.visible=t.visible),void 0!==t.frustumCulled&&(l.frustumCulled=t.frustumCulled),void 0!==t.renderOrder&&(l.renderOrder=t.renderOrder),void 0!==t.userData&&(l.userData=t.userData),void 0!==t.layers&&(l.layers.mask=t.layers),void 0!==t.children){const a=t.children;for(let t=0;t<a.length;t++)l.add(this.parseObject(a[t],n,r,s))}if(void 0!==t.animations){const n=t.animations;for(let t=0;t<n.length;t++){const r=n[t];l.animations.push(s[r])}}if("LOD"===t.type){void 0!==t.autoUpdate&&(l.autoUpdate=t.autoUpdate);const n=t.levels;for(let t=0;t<n.length;t++){const r=n[t],a=l.getObjectByProperty("uuid",r.object);void 0!==a&&l.addLevel(a,r.distance)}}return l}bindSkeletons(t,n){0!==Object.keys(n).length&&t.traverse((function(t){if(!0===t.isSkinnedMesh&&void 0!==t.skeleton){const r=n[t.skeleton];void 0===r?a.warn("THREE.ObjectLoader: No skeleton found with UUID:",t.skeleton):t.bind(r,t.bindMatrix)}}))}setTexturePath(t){return a.warn("THREE.ObjectLoader: .setTexturePath() has been renamed to .setResourcePath()."),this.setResourcePath(t)}}const Hd={UVMapping:ye,CubeReflectionMapping:be,CubeRefractionMapping:xe,EquirectangularReflectionMapping:we,EquirectangularRefractionMapping:Se,CubeUVReflectionMapping:_e,CubeUVRefractionMapping:Me},Wd={RepeatWrapping:Te,ClampToEdgeWrapping:Ee,MirroredRepeatWrapping:Ce},qd={NearestFilter:Ae,NearestMipmapNearestFilter:ke,NearestMipmapLinearFilter:Re,LinearFilter:Pe,LinearMipmapNearestFilter:Le,LinearMipmapLinearFilter:Fe};function Xd(t){"undefined"==typeof createImageBitmap&&a.warn("THREE.ImageBitmapLoader: createImageBitmap() not supported."),"undefined"==typeof fetch&&a.warn("THREE.ImageBitmapLoader: fetch() not supported."),Yc.call(this,t),this.options={premultiplyAlpha:"none"}}function Yd(){this.type="ShapePath",this.color=new Color,this.subPaths=[],this.currentPath=null}Xd.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Xd,isImageBitmapLoader:!0,setOptions:function(t){return this.options=t,this},load:function(t,n,r,a){void 0===t&&(t=""),void 0!==this.path&&(t=this.path+t),t=this.manager.resolveURL(t);const s=this,l=Wc.get(t);if(void 0!==l)return s.manager.itemStart(t),setTimeout((function(){n&&n(l),s.manager.itemEnd(t)}),0),l;const d={};d.credentials="anonymous"===this.crossOrigin?"same-origin":"include",fetch(t,d).then((function(t){return t.blob()})).then((function(t){return createImageBitmap(t,s.options)})).then((function(r){Wc.add(t,r),n&&n(r),s.manager.itemEnd(t)})).catch((function(n){a&&a(n),s.manager.itemError(t),s.manager.itemEnd(t)})),s.manager.itemStart(t)}}),Object.assign(Yd.prototype,{moveTo:function(t,n){return this.currentPath=new Td,this.subPaths.push(this.currentPath),this.currentPath.moveTo(t,n),this},lineTo:function(t,n){return this.currentPath.lineTo(t,n),this},quadraticCurveTo:function(t,n,r,a){return this.currentPath.quadraticCurveTo(t,n,r,a),this},bezierCurveTo:function(t,n,r,a,s,l){return this.currentPath.bezierCurveTo(t,n,r,a,s,l),this},splineThru:function(t){return this.currentPath.splineThru(t),this},toShapes:function(t,n){function r(t){const n=[];for(let r=0,a=t.length;r<a;r++){const a=t[r],s=new Ed;s.curves=a.curves,n.push(s)}return n}function a(t,n){const r=n.length;let a=!1;for(let s=r-1,l=0;l<r;s=l++){let r=n[s],d=n[l],h=d.x-r.x,p=d.y-r.y;if(Math.abs(p)>Number.EPSILON){if(p<0&&(r=n[l],h=-h,d=n[s],p=-p),t.y<r.y||t.y>d.y)continue;if(t.y===r.y){if(t.x===r.x)return!0}else{const n=p*(t.x-r.x)-h*(t.y-r.y);if(0===n)return!0;if(n<0)continue;a=!a}}else{if(t.y!==r.y)continue;if(d.x<=t.x&&t.x<=r.x||r.x<=t.x&&t.x<=d.x)return!0}}return a}const s=fc.isClockWise,l=this.subPaths;if(0===l.length)return[];if(!0===n)return r(l);let d,h,p;const f=[];if(1===l.length)return h=l[0],p=new Ed,p.curves=h.curves,f.push(p),f;let m=!s(l[0].getPoints());m=t?!m:m;const g=[],v=[];let y,b,x=[],w=0;v[w]=void 0,x[w]=[];for(let n=0,r=l.length;n<r;n++)h=l[n],y=h.getPoints(),d=s(y),d=t?!d:d,d?(!m&&v[w]&&w++,v[w]={s:new Ed,p:y},v[w].s.curves=h.curves,m&&w++,x[w]=[]):x[w].push({h,p:y[0]});if(!v[0])return r(l);if(v.length>1){let t=!1;const n=[];for(let t=0,n=v.length;t<n;t++)g[t]=[];for(let r=0,s=v.length;r<s;r++){const s=x[r];for(let l=0;l<s.length;l++){const d=s[l];let h=!0;for(let s=0;s<v.length;s++)a(d.p,v[s].p)&&(r!==s&&n.push({froms:r,tos:s,hole:l}),h?(h=!1,g[s].push(d)):t=!0);h&&g[r].push(d)}}n.length>0&&(t||(x=g))}for(let t=0,n=v.length;t<n;t++){p=v[t].s,f.push(p),b=x[t];for(let t=0,n=b.length;t<n;t++)p.holes.push(b[t].h)}return f}});class Font{constructor(t){Object.defineProperty(this,"isFont",{value:!0}),this.type="Font",this.data=t}generateShapes(t,n=100){const r=[],a=function(t,n,r){const a=Array.from?Array.from(t):String(t).split(""),s=n/r.resolution,l=(r.boundingBox.yMax-r.boundingBox.yMin+r.underlineThickness)*s,d=[];let h=0,p=0;for(let t=0;t<a.length;t++){const n=a[t];if("\n"===n)h=0,p-=l;else{const t=Zd(n,s,h,p,r);h+=t.offsetX,d.push(t.path)}}return d}(t,n,this.data);for(let t=0,n=a.length;t<n;t++)Array.prototype.push.apply(r,a[t].toShapes());return r}}function Zd(t,n,r,s,l){const d=l.glyphs[t]||l.glyphs["?"];if(!d)return void a.error('THREE.Font: character "'+t+'" does not exists in font family '+l.familyName+".");const h=new Yd;let p,f,m,g,v,y,b,x;if(d.o){const t=d._cachedOutline||(d._cachedOutline=d.o.split(" "));for(let a=0,l=t.length;a<l;){switch(t[a++]){case"m":p=t[a++]*n+r,f=t[a++]*n+s,h.moveTo(p,f);break;case"l":p=t[a++]*n+r,f=t[a++]*n+s,h.lineTo(p,f);break;case"q":m=t[a++]*n+r,g=t[a++]*n+s,v=t[a++]*n+r,y=t[a++]*n+s,h.quadraticCurveTo(v,y,m,g);break;case"b":m=t[a++]*n+r,g=t[a++]*n+s,v=t[a++]*n+r,y=t[a++]*n+s,b=t[a++]*n+r,x=t[a++]*n+s,h.bezierCurveTo(v,y,b,x,m,g)}}}return{offsetX:d.ha*n,path:h}}function Kd(t){Yc.call(this,t)}let Jd;Kd.prototype=Object.assign(Object.create(Yc.prototype),{constructor:Kd,load:function(t,n,r,s){const l=this,d=new Kc(this.manager);d.setPath(this.path),d.setRequestHeader(this.requestHeader),d.setWithCredentials(l.withCredentials),d.load(t,(function(t){let r;try{r=JSON.parse(t)}catch(n){a.warn("THREE.FontLoader: typeface.js support is being deprecated. Use typeface.json instead."),r=JSON.parse(t.substring(65,t.length-2))}const s=l.parse(r);n&&n(s)}),r,s)},parse:function(t){return new Font(t)}});const Qd={getContext:function(){return void 0===Jd&&(Jd=new(window.AudioContext||window.webkitAudioContext)),Jd},setContext:function(t){Jd=t}};function eu(t){Yc.call(this,t)}function tu(t,n,r){zd.call(this,void 0,r);const a=(new Color).set(t),s=(new Color).set(n),l=new Vector3(a.r,a.g,a.b),d=new Vector3(s.r,s.g,s.b),h=Math.sqrt(Math.PI),p=h*Math.sqrt(.75);this.sh.coefficients[0].copy(l).add(d).multiplyScalar(h),this.sh.coefficients[1].copy(l).sub(d).multiplyScalar(p)}function iu(t,n){zd.call(this,void 0,n);const r=(new Color).set(t);this.sh.coefficients[0].set(r.r,r.g,r.b).multiplyScalar(2*Math.sqrt(Math.PI))}eu.prototype=Object.assign(Object.create(Yc.prototype),{constructor:eu,load:function(t,n,r,s){const l=this,d=new Kc(l.manager);d.setResponseType("arraybuffer"),d.setPath(l.path),d.setRequestHeader(l.requestHeader),d.setWithCredentials(l.withCredentials),d.load(t,(function(r){try{const t=r.slice(0);Qd.getContext().decodeAudioData(t,(function(t){n(t)}))}catch(n){s?s(n):a.error(n),l.manager.itemError(t)}}),r,s)}}),tu.prototype=Object.assign(Object.create(zd.prototype),{constructor:tu,isHemisphereLightProbe:!0,copy:function(t){return zd.prototype.copy.call(this,t),this},toJSON:function(t){return zd.prototype.toJSON.call(this,t)}}),iu.prototype=Object.assign(Object.create(zd.prototype),{constructor:iu,isAmbientLightProbe:!0,copy:function(t){return zd.prototype.copy.call(this,t),this},toJSON:function(t){return zd.prototype.toJSON.call(this,t)}});const nu=new Matrix4,ru=new Matrix4;function ou(){this.type="StereoCamera",this.aspect=1,this.eyeSep=.064,this.cameraL=new vo,this.cameraL.layers.enable(1),this.cameraL.matrixAutoUpdate=!1,this.cameraR=new vo,this.cameraR.layers.enable(2),this.cameraR.matrixAutoUpdate=!1,this._cache={focus:null,fov:null,aspect:null,near:null,far:null,zoom:null,eyeSep:null}}Object.assign(ou.prototype,{update:function(t){const n=this._cache;if(n.focus!==t.focus||n.fov!==t.fov||n.aspect!==t.aspect*this.aspect||n.near!==t.near||n.far!==t.far||n.zoom!==t.zoom||n.eyeSep!==this.eyeSep){n.focus=t.focus,n.fov=t.fov,n.aspect=t.aspect*this.aspect,n.near=t.near,n.far=t.far,n.zoom=t.zoom,n.eyeSep=this.eyeSep;const r=t.projectionMatrix.clone(),a=n.eyeSep/2,s=a*n.near/n.focus,l=n.near*Math.tan(Ji.DEG2RAD*n.fov*.5)/n.zoom;let d,h;ru.elements[12]=-a,nu.elements[12]=a,d=-l*n.aspect+s,h=l*n.aspect+s,r.elements[0]=2*n.near/(h-d),r.elements[8]=(h+d)/(h-d),this.cameraL.projectionMatrix.copy(r),d=-l*n.aspect-s,h=l*n.aspect-s,r.elements[0]=2*n.near/(h-d),r.elements[8]=(h+d)/(h-d),this.cameraR.projectionMatrix.copy(r)}this.cameraL.matrixWorld.copy(t.matrixWorld).multiply(ru),this.cameraR.matrixWorld.copy(t.matrixWorld).multiply(nu)}});class Clock{constructor(t){this.autoStart=void 0===t||t,this.startTime=0,this.oldTime=0,this.elapsedTime=0,this.running=!1}start(){this.startTime=au(),this.oldTime=this.startTime,this.elapsedTime=0,this.running=!0}stop(){this.getElapsedTime(),this.running=!1,this.autoStart=!1}getElapsedTime(){return this.getDelta(),this.elapsedTime}getDelta(){let t=0;if(this.autoStart&&!this.running)return this.start(),0;if(this.running){const n=au();t=(n-this.oldTime)/1e3,this.oldTime=n,this.elapsedTime+=t}return t}}function au(){return("undefined"==typeof performance?Date:performance).now()}const su=new Vector3,lu=new Quaternion,cu=new Vector3,du=new Vector3;class AudioListener extends Kn{constructor(){super(),this.type="AudioListener",this.context=Qd.getContext(),this.gain=this.context.createGain(),this.gain.connect(this.context.destination),this.filter=null,this.timeDelta=0,this._clock=new Clock}getInput(){return this.gain}removeFilter(){return null!==this.filter&&(this.gain.disconnect(this.filter),this.filter.disconnect(this.context.destination),this.gain.connect(this.context.destination),this.filter=null),this}getFilter(){return this.filter}setFilter(t){return null!==this.filter?(this.gain.disconnect(this.filter),this.filter.disconnect(this.context.destination)):this.gain.disconnect(this.context.destination),this.filter=t,this.gain.connect(this.filter),this.filter.connect(this.context.destination),this}getMasterVolume(){return this.gain.gain.value}setMasterVolume(t){return this.gain.gain.setTargetAtTime(t,this.context.currentTime,.01),this}updateMatrixWorld(t){super.updateMatrixWorld(t);const n=this.context.listener,r=this.up;if(this.timeDelta=this._clock.getDelta(),this.matrixWorld.decompose(su,lu,cu),du.set(0,0,-1).applyQuaternion(lu),n.positionX){const t=this.context.currentTime+this.timeDelta;n.positionX.linearRampToValueAtTime(su.x,t),n.positionY.linearRampToValueAtTime(su.y,t),n.positionZ.linearRampToValueAtTime(su.z,t),n.forwardX.linearRampToValueAtTime(du.x,t),n.forwardY.linearRampToValueAtTime(du.y,t),n.forwardZ.linearRampToValueAtTime(du.z,t),n.upX.linearRampToValueAtTime(r.x,t),n.upY.linearRampToValueAtTime(r.y,t),n.upZ.linearRampToValueAtTime(r.z,t)}else n.setPosition(su.x,su.y,su.z),n.setOrientation(du.x,du.y,du.z,r.x,r.y,r.z)}}class Audio extends Kn{constructor(t){super(),this.type="Audio",this.listener=t,this.context=t.context,this.gain=this.context.createGain(),this.gain.connect(t.getInput()),this.autoplay=!1,this.buffer=null,this.detune=0,this.loop=!1,this.loopStart=0,this.loopEnd=0,this.offset=0,this.duration=void 0,this.playbackRate=1,this.isPlaying=!1,this.hasPlaybackControl=!0,this.source=null,this.sourceType="empty",this._startedAt=0,this._progress=0,this._connected=!1,this.filters=[]}getOutput(){return this.gain}setNodeSource(t){return this.hasPlaybackControl=!1,this.sourceType="audioNode",this.source=t,this.connect(),this}setMediaElementSource(t){return this.hasPlaybackControl=!1,this.sourceType="mediaNode",this.source=this.context.createMediaElementSource(t),this.connect(),this}setMediaStreamSource(t){return this.hasPlaybackControl=!1,this.sourceType="mediaStreamNode",this.source=this.context.createMediaStreamSource(t),this.connect(),this}setBuffer(t){return this.buffer=t,this.sourceType="buffer",this.autoplay&&this.play(),this}play(t=0){if(!0===this.isPlaying)return void a.warn("THREE.Audio: Audio is already playing.");if(!1===this.hasPlaybackControl)return void a.warn("THREE.Audio: this Audio has no playback control.");this._startedAt=this.context.currentTime+t;const n=this.context.createBufferSource();return n.buffer=this.buffer,n.loop=this.loop,n.loopStart=this.loopStart,n.loopEnd=this.loopEnd,n.onended=this.onEnded.bind(this),n.start(this._startedAt,this._progress+this.offset,this.duration),this.isPlaying=!0,this.source=n,this.setDetune(this.detune),this.setPlaybackRate(this.playbackRate),this.connect()}pause(){if(!1!==this.hasPlaybackControl)return!0===this.isPlaying&&(this._progress+=Math.max(this.context.currentTime-this._startedAt,0)*this.playbackRate,!0===this.loop&&(this._progress=this._progress%(this.duration||this.buffer.duration)),this.source.stop(),this.source.onended=null,this.isPlaying=!1),this;a.warn("THREE.Audio: this Audio has no playback control.")}stop(){if(!1!==this.hasPlaybackControl)return this._progress=0,this.source.stop(),this.source.onended=null,this.isPlaying=!1,this;a.warn("THREE.Audio: this Audio has no playback control.")}connect(){if(this.filters.length>0){this.source.connect(this.filters[0]);for(let t=1,n=this.filters.length;t<n;t++)this.filters[t-1].connect(this.filters[t]);this.filters[this.filters.length-1].connect(this.getOutput())}else this.source.connect(this.getOutput());return this._connected=!0,this}disconnect(){if(this.filters.length>0){this.source.disconnect(this.filters[0]);for(let t=1,n=this.filters.length;t<n;t++)this.filters[t-1].disconnect(this.filters[t]);this.filters[this.filters.length-1].disconnect(this.getOutput())}else this.source.disconnect(this.getOutput());return this._connected=!1,this}getFilters(){return this.filters}setFilters(t){return t||(t=[]),!0===this._connected?(this.disconnect(),this.filters=t.slice(),this.connect()):this.filters=t.slice(),this}setDetune(t){if(this.detune=t,void 0!==this.source.detune)return!0===this.isPlaying&&this.source.detune.setTargetAtTime(this.detune,this.context.currentTime,.01),this}getDetune(){return this.detune}getFilter(){return this.getFilters()[0]}setFilter(t){return this.setFilters(t?[t]:[])}setPlaybackRate(t){if(!1!==this.hasPlaybackControl)return this.playbackRate=t,!0===this.isPlaying&&this.source.playbackRate.setTargetAtTime(this.playbackRate,this.context.currentTime,.01),this;a.warn("THREE.Audio: this Audio has no playback control.")}getPlaybackRate(){return this.playbackRate}onEnded(){this.isPlaying=!1}getLoop(){return!1===this.hasPlaybackControl?(a.warn("THREE.Audio: this Audio has no playback control."),!1):this.loop}setLoop(t){if(!1!==this.hasPlaybackControl)return this.loop=t,!0===this.isPlaying&&(this.source.loop=this.loop),this;a.warn("THREE.Audio: this Audio has no playback control.")}setLoopStart(t){return this.loopStart=t,this}setLoopEnd(t){return this.loopEnd=t,this}getVolume(){return this.gain.gain.value}setVolume(t){return this.gain.gain.setTargetAtTime(t,this.context.currentTime,.01),this}}const uu=new Vector3,hu=new Quaternion,pu=new Vector3,fu=new Vector3;class PositionalAudio extends Audio{constructor(t){super(t),this.panner=this.context.createPanner(),this.panner.panningModel="HRTF",this.panner.connect(this.gain)}getOutput(){return this.panner}getRefDistance(){return this.panner.refDistance}setRefDistance(t){return this.panner.refDistance=t,this}getRolloffFactor(){return this.panner.rolloffFactor}setRolloffFactor(t){return this.panner.rolloffFactor=t,this}getDistanceModel(){return this.panner.distanceModel}setDistanceModel(t){return this.panner.distanceModel=t,this}getMaxDistance(){return this.panner.maxDistance}setMaxDistance(t){return this.panner.maxDistance=t,this}setDirectionalCone(t,n,r){return this.panner.coneInnerAngle=t,this.panner.coneOuterAngle=n,this.panner.coneOuterGain=r,this}updateMatrixWorld(t){if(super.updateMatrixWorld(t),!0===this.hasPlaybackControl&&!1===this.isPlaying)return;this.matrixWorld.decompose(uu,hu,pu),fu.set(0,0,1).applyQuaternion(hu);const n=this.panner;if(n.positionX){const t=this.context.currentTime+this.listener.timeDelta;n.positionX.linearRampToValueAtTime(uu.x,t),n.positionY.linearRampToValueAtTime(uu.y,t),n.positionZ.linearRampToValueAtTime(uu.z,t),n.orientationX.linearRampToValueAtTime(fu.x,t),n.orientationY.linearRampToValueAtTime(fu.y,t),n.orientationZ.linearRampToValueAtTime(fu.z,t)}else n.setPosition(uu.x,uu.y,uu.z),n.setOrientation(fu.x,fu.y,fu.z)}}class AudioAnalyser{constructor(t,n=2048){this.analyser=t.context.createAnalyser(),this.analyser.fftSize=n,this.data=new Uint8Array(this.analyser.frequencyBinCount),t.getOutput().connect(this.analyser)}getFrequencyData(){return this.analyser.getByteFrequencyData(this.data),this.data}getAverageFrequency(){let t=0;const n=this.getFrequencyData();for(let r=0;r<n.length;r++)t+=n[r];return t/n.length}}function mu(t,n,r){let a,s,l;switch(this.binding=t,this.valueSize=r,n){case"quaternion":a=this._slerp,s=this._slerpAdditive,l=this._setAdditiveIdentityQuaternion,this.buffer=new Float64Array(6*r),this._workIndex=5;break;case"string":case"bool":a=this._select,s=this._select,l=this._setAdditiveIdentityOther,this.buffer=new Array(5*r);break;default:a=this._lerp,s=this._lerpAdditive,l=this._setAdditiveIdentityNumeric,this.buffer=new Float64Array(5*r)}this._mixBufferRegion=a,this._mixBufferRegionAdditive=s,this._setIdentity=l,this._origIndex=3,this._addIndex=4,this.cumulativeWeight=0,this.cumulativeWeightAdditive=0,this.useCount=0,this.referenceCount=0}Object.assign(mu.prototype,{accumulate:function(t,n){const r=this.buffer,a=this.valueSize,s=t*a+a;let l=this.cumulativeWeight;if(0===l){for(let t=0;t!==a;++t)r[s+t]=r[t];l=n}else{l+=n;const t=n/l;this._mixBufferRegion(r,s,0,t,a)}this.cumulativeWeight=l},accumulateAdditive:function(t){const n=this.buffer,r=this.valueSize,a=r*this._addIndex;0===this.cumulativeWeightAdditive&&this._setIdentity(),this._mixBufferRegionAdditive(n,a,0,t,r),this.cumulativeWeightAdditive+=t},apply:function(t){const n=this.valueSize,r=this.buffer,a=t*n+n,s=this.cumulativeWeight,l=this.cumulativeWeightAdditive,d=this.binding;if(this.cumulativeWeight=0,this.cumulativeWeightAdditive=0,s<1){const t=n*this._origIndex;this._mixBufferRegion(r,a,t,1-s,n)}l>0&&this._mixBufferRegionAdditive(r,a,this._addIndex*n,1,n);for(let t=n,s=n+n;t!==s;++t)if(r[t]!==r[t+n]){d.setValue(r,a);break}},saveOriginalState:function(){const t=this.binding,n=this.buffer,r=this.valueSize,a=r*this._origIndex;t.getValue(n,a);for(let t=r,s=a;t!==s;++t)n[t]=n[a+t%r];this._setIdentity(),this.cumulativeWeight=0,this.cumulativeWeightAdditive=0},restoreOriginalState:function(){const t=3*this.valueSize;this.binding.setValue(this.buffer,t)},_setAdditiveIdentityNumeric:function(){const t=this._addIndex*this.valueSize,n=t+this.valueSize;for(let r=t;r<n;r++)this.buffer[r]=0},_setAdditiveIdentityQuaternion:function(){this._setAdditiveIdentityNumeric(),this.buffer[this._addIndex*this.valueSize+3]=1},_setAdditiveIdentityOther:function(){const t=this._origIndex*this.valueSize,n=this._addIndex*this.valueSize;for(let r=0;r<this.valueSize;r++)this.buffer[n+r]=this.buffer[t+r]},_select:function(t,n,r,a,s){if(a>=.5)for(let a=0;a!==s;++a)t[n+a]=t[r+a]},_slerp:function(t,n,r,a){Quaternion.slerpFlat(t,n,t,n,t,r,a)},_slerpAdditive:function(t,n,r,a,s){const l=this._workIndex*s;Quaternion.multiplyQuaternionsFlat(t,l,t,n,t,r),Quaternion.slerpFlat(t,n,t,n,t,l,a)},_lerp:function(t,n,r,a,s){const l=1-a;for(let d=0;d!==s;++d){const s=n+d;t[s]=t[s]*l+t[r+d]*a}},_lerpAdditive:function(t,n,r,a,s){for(let l=0;l!==s;++l){const s=n+l;t[s]=t[s]+t[r+l]*a}}});const gu="\\[\\]\\.:\\/",vu=new RegExp("["+gu+"]","g"),yu="[^"+gu+"]",bu="[^"+gu.replace("\\.","")+"]",xu=/((?:WC+[\/:])*)/.source.replace("WC",yu),wu=/(WCOD+)?/.source.replace("WCOD",bu),Su=/(?:\.(WC+)(?:\[(.+)\])?)?/.source.replace("WC",yu),_u=/\.(WC+)(?:\[(.+)\])?/.source.replace("WC",yu),Mu=new RegExp("^"+xu+wu+Su+_u+"$"),Tu=["material","materials","bones"];function Eu(t,n,r){const a=r||Cu.parseTrackName(n);this._targetGroup=t,this._bindings=t.subscribe_(n,a)}function Cu(t,n,r){this.path=n,this.parsedPath=r||Cu.parseTrackName(n),this.node=Cu.findNode(t,this.parsedPath.nodeName)||t,this.rootNode=t}function Au(){this.uuid=Ji.generateUUID(),this._objects=Array.prototype.slice.call(arguments),this.nCachedObjects_=0;const t={};this._indicesByUUID=t;for(let n=0,r=arguments.length;n!==r;++n)t[arguments[n].uuid]=n;this._paths=[],this._parsedPaths=[],this._bindings=[],this._bindingsIndicesByPath={};const n=this;this.stats={objects:{get total(){return n._objects.length},get inUse(){return this.total-n.nCachedObjects_}},get bindingsPerObject(){return n._bindings.length}}}Object.assign(Eu.prototype,{getValue:function(t,n){this.bind();const r=this._targetGroup.nCachedObjects_,a=this._bindings[r];void 0!==a&&a.getValue(t,n)},setValue:function(t,n){const r=this._bindings;for(let a=this._targetGroup.nCachedObjects_,s=r.length;a!==s;++a)r[a].setValue(t,n)},bind:function(){const t=this._bindings;for(let n=this._targetGroup.nCachedObjects_,r=t.length;n!==r;++n)t[n].bind()},unbind:function(){const t=this._bindings;for(let n=this._targetGroup.nCachedObjects_,r=t.length;n!==r;++n)t[n].unbind()}}),Object.assign(Cu,{Composite:Eu,create:function(t,n,r){return t&&t.isAnimationObjectGroup?new Cu.Composite(t,n,r):new Cu(t,n,r)},sanitizeNodeName:function(t){return t.replace(/\s/g,"_").replace(vu,"")},parseTrackName:function(t){const n=Mu.exec(t);if(!n)throw new Error("PropertyBinding: Cannot parse trackName: "+t);const r={nodeName:n[2],objectName:n[3],objectIndex:n[4],propertyName:n[5],propertyIndex:n[6]},a=r.nodeName&&r.nodeName.lastIndexOf(".");if(void 0!==a&&-1!==a){const t=r.nodeName.substring(a+1);-1!==Tu.indexOf(t)&&(r.nodeName=r.nodeName.substring(0,a),r.objectName=t)}if(null===r.propertyName||0===r.propertyName.length)throw new Error("PropertyBinding: can not parse propertyName from trackName: "+t);return r},findNode:function(t,n){if(!n||""===n||"."===n||-1===n||n===t.name||n===t.uuid)return t;if(t.skeleton){const r=t.skeleton.getBoneByName(n);if(void 0!==r)return r}if(t.children){const r=function(t){for(let a=0;a<t.length;a++){const s=t[a];if(s.name===n||s.uuid===n)return s;const l=r(s.children);if(l)return l}return null},a=r(t.children);if(a)return a}return null}}),Object.assign(Cu.prototype,{_getValue_unavailable:function(){},_setValue_unavailable:function(){},BindingType:{Direct:0,EntireArray:1,ArrayElement:2,HasFromToArray:3},Versioning:{None:0,NeedsUpdate:1,MatrixWorldNeedsUpdate:2},GetterByBindingType:[function(t,n){t[n]=this.node[this.propertyName]},function(t,n){const r=this.resolvedProperty;for(let a=0,s=r.length;a!==s;++a)t[n++]=r[a]},function(t,n){t[n]=this.resolvedProperty[this.propertyIndex]},function(t,n){this.resolvedProperty.toArray(t,n)}],SetterByBindingTypeAndVersioning:[[function(t,n){this.targetObject[this.propertyName]=t[n]},function(t,n){this.targetObject[this.propertyName]=t[n],this.targetObject.needsUpdate=!0},function(t,n){this.targetObject[this.propertyName]=t[n],this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){const r=this.resolvedProperty;for(let a=0,s=r.length;a!==s;++a)r[a]=t[n++]},function(t,n){const r=this.resolvedProperty;for(let a=0,s=r.length;a!==s;++a)r[a]=t[n++];this.targetObject.needsUpdate=!0},function(t,n){const r=this.resolvedProperty;for(let a=0,s=r.length;a!==s;++a)r[a]=t[n++];this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){this.resolvedProperty[this.propertyIndex]=t[n]},function(t,n){this.resolvedProperty[this.propertyIndex]=t[n],this.targetObject.needsUpdate=!0},function(t,n){this.resolvedProperty[this.propertyIndex]=t[n],this.targetObject.matrixWorldNeedsUpdate=!0}],[function(t,n){this.resolvedProperty.fromArray(t,n)},function(t,n){this.resolvedProperty.fromArray(t,n),this.targetObject.needsUpdate=!0},function(t,n){this.resolvedProperty.fromArray(t,n),this.targetObject.matrixWorldNeedsUpdate=!0}]],getValue:function(t,n){this.bind(),this.getValue(t,n)},setValue:function(t,n){this.bind(),this.setValue(t,n)},bind:function(){let t=this.node;const n=this.parsedPath,r=n.objectName,s=n.propertyName;let l=n.propertyIndex;if(t||(t=Cu.findNode(this.rootNode,n.nodeName)||this.rootNode,this.node=t),this.getValue=this._getValue_unavailable,this.setValue=this._setValue_unavailable,!t)return void a.error("THREE.PropertyBinding: Trying to update node for track: "+this.path+" but it wasn't found.");if(r){let s=n.objectIndex;switch(r){case"materials":if(!t.material)return void a.error("THREE.PropertyBinding: Can not bind to material as node does not have a material.",this);if(!t.material.materials)return void a.error("THREE.PropertyBinding: Can not bind to material.materials as node.material does not have a materials array.",this);t=t.material.materials;break;case"bones":if(!t.skeleton)return void a.error("THREE.PropertyBinding: Can not bind to bones as node does not have a skeleton.",this);t=t.skeleton.bones;for(let n=0;n<t.length;n++)if(t[n].name===s){s=n;break}break;default:if(void 0===t[r])return void a.error("THREE.PropertyBinding: Can not bind to objectName of node undefined.",this);t=t[r]}if(void 0!==s){if(void 0===t[s])return void a.error("THREE.PropertyBinding: Trying to bind to objectIndex of objectName, but is undefined.",this,t);t=t[s]}}const d=t[s];if(void 0===d){const r=n.nodeName;return void a.error("THREE.PropertyBinding: Trying to update property for track: "+r+"."+s+" but it wasn't found.",t)}let h=this.Versioning.None;this.targetObject=t,void 0!==t.needsUpdate?h=this.Versioning.NeedsUpdate:void 0!==t.matrixWorldNeedsUpdate&&(h=this.Versioning.MatrixWorldNeedsUpdate);let p=this.BindingType.Direct;if(void 0!==l){if("morphTargetInfluences"===s){if(!t.geometry)return void a.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.",this);if(!t.geometry.isBufferGeometry)return void a.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences on THREE.Geometry. Use THREE.BufferGeometry instead.",this);if(!t.geometry.morphAttributes)return void a.error("THREE.PropertyBinding: Can not bind to morphTargetInfluences because node does not have a geometry.morphAttributes.",this);void 0!==t.morphTargetDictionary[l]&&(l=t.morphTargetDictionary[l])}p=this.BindingType.ArrayElement,this.resolvedProperty=d,this.propertyIndex=l}else void 0!==d.fromArray&&void 0!==d.toArray?(p=this.BindingType.HasFromToArray,this.resolvedProperty=d):Array.isArray(d)?(p=this.BindingType.EntireArray,this.resolvedProperty=d):this.propertyName=s;this.getValue=this.GetterByBindingType[p],this.setValue=this.SetterByBindingTypeAndVersioning[p][h]},unbind:function(){this.node=null,this.getValue=this._getValue_unbound,this.setValue=this._setValue_unbound}}),Object.assign(Cu.prototype,{_getValue_unbound:Cu.prototype.getValue,_setValue_unbound:Cu.prototype.setValue}),Object.assign(Au.prototype,{isAnimationObjectGroup:!0,add:function(){const t=this._objects,n=this._indicesByUUID,r=this._paths,s=this._parsedPaths,l=this._bindings,d=l.length;let h,p=t.length,f=this.nCachedObjects_;for(let m=0,g=arguments.length;m!==g;++m){const g=arguments[m],v=g.uuid;let y=n[v];if(void 0===y){y=p++,n[v]=y,t.push(g);for(let t=0,n=d;t!==n;++t)l[t].push(new Cu(g,r[t],s[t]))}else if(y<f){h=t[y];const a=--f,p=t[a];n[p.uuid]=y,t[y]=p,n[v]=a,t[a]=g;for(let t=0,n=d;t!==n;++t){const n=l[t],d=n[a];let h=n[y];n[y]=d,void 0===h&&(h=new Cu(g,r[t],s[t])),n[a]=h}}else t[y]!==h&&a.error("THREE.AnimationObjectGroup: Different objects with the same UUID detected. Clean the caches or recreate your infrastructure when reloading scenes.")}this.nCachedObjects_=f},remove:function(){const t=this._objects,n=this._indicesByUUID,r=this._bindings,a=r.length;let s=this.nCachedObjects_;for(let l=0,d=arguments.length;l!==d;++l){const d=arguments[l],h=d.uuid,p=n[h];if(void 0!==p&&p>=s){const l=s++,f=t[l];n[f.uuid]=p,t[p]=f,n[h]=l,t[l]=d;for(let t=0,n=a;t!==n;++t){const n=r[t],a=n[l],s=n[p];n[p]=a,n[l]=s}}}this.nCachedObjects_=s},uncache:function(){const t=this._objects,n=this._indicesByUUID,r=this._bindings,a=r.length;let s=this.nCachedObjects_,l=t.length;for(let d=0,h=arguments.length;d!==h;++d){const h=arguments[d].uuid,p=n[h];if(void 0!==p)if(delete n[h],p<s){const d=--s,h=t[d],f=--l,m=t[f];n[h.uuid]=p,t[p]=h,n[m.uuid]=d,t[d]=m,t.pop();for(let t=0,n=a;t!==n;++t){const n=r[t],a=n[d],s=n[f];n[p]=a,n[d]=s,n.pop()}}else{const s=--l,d=t[s];s>0&&(n[d.uuid]=p),t[p]=d,t.pop();for(let t=0,n=a;t!==n;++t){const n=r[t];n[p]=n[s],n.pop()}}}this.nCachedObjects_=s},subscribe_:function(t,n){const r=this._bindingsIndicesByPath;let a=r[t];const s=this._bindings;if(void 0!==a)return s[a];const l=this._paths,d=this._parsedPaths,h=this._objects,p=h.length,f=this.nCachedObjects_,m=new Array(p);a=s.length,r[t]=a,l.push(t),d.push(n),s.push(m);for(let r=f,a=h.length;r!==a;++r){const a=h[r];m[r]=new Cu(a,t,n)}return m},unsubscribe_:function(t){const n=this._bindingsIndicesByPath,r=n[t];if(void 0!==r){const a=this._paths,s=this._parsedPaths,l=this._bindings,d=l.length-1,h=l[d];n[t[d]]=r,l[r]=h,l.pop(),s[r]=s[d],s.pop(),a[r]=a[d],a.pop()}}});class AnimationAction{constructor(t,n,r=null,a=n.blendMode){this._mixer=t,this._clip=n,this._localRoot=r,this.blendMode=a;const s=n.tracks,l=s.length,d=new Array(l),h={endingStart:ii,endingEnd:ii};for(let t=0;t!==l;++t){const n=s[t].createInterpolant(null);d[t]=n,n.settings=h}this._interpolantSettings=h,this._interpolants=d,this._propertyBindings=new Array(l),this._cacheIndex=null,this._byClipCacheIndex=null,this._timeScaleInterpolant=null,this._weightInterpolant=null,this.loop=Kt,this._loopCount=-1,this._startTime=null,this.time=0,this.timeScale=1,this._effectiveTimeScale=1,this.weight=1,this._effectiveWeight=1,this.repetitions=1/0,this.paused=!1,this.enabled=!0,this.clampWhenFinished=!1,this.zeroSlopeAtStart=!0,this.zeroSlopeAtEnd=!0}play(){return this._mixer._activateAction(this),this}stop(){return this._mixer._deactivateAction(this),this.reset()}reset(){return this.paused=!1,this.enabled=!0,this.time=0,this._loopCount=-1,this._startTime=null,this.stopFading().stopWarping()}isRunning(){return this.enabled&&!this.paused&&0!==this.timeScale&&null===this._startTime&&this._mixer._isActiveAction(this)}isScheduled(){return this._mixer._isActiveAction(this)}startAt(t){return this._startTime=t,this}setLoop(t,n){return this.loop=t,this.repetitions=n,this}setEffectiveWeight(t){return this.weight=t,this._effectiveWeight=this.enabled?t:0,this.stopFading()}getEffectiveWeight(){return this._effectiveWeight}fadeIn(t){return this._scheduleFading(t,0,1)}fadeOut(t){return this._scheduleFading(t,1,0)}crossFadeFrom(t,n,r){if(t.fadeOut(n),this.fadeIn(n),r){const r=this._clip.duration,a=t._clip.duration,s=a/r,l=r/a;t.warp(1,s,n),this.warp(l,1,n)}return this}crossFadeTo(t,n,r){return t.crossFadeFrom(this,n,r)}stopFading(){const t=this._weightInterpolant;return null!==t&&(this._weightInterpolant=null,this._mixer._takeBackControlInterpolant(t)),this}setEffectiveTimeScale(t){return this.timeScale=t,this._effectiveTimeScale=this.paused?0:t,this.stopWarping()}getEffectiveTimeScale(){return this._effectiveTimeScale}setDuration(t){return this.timeScale=this._clip.duration/t,this.stopWarping()}syncWith(t){return this.time=t.time,this.timeScale=t.timeScale,this.stopWarping()}halt(t){return this.warp(this._effectiveTimeScale,0,t)}warp(t,n,r){const a=this._mixer,s=a.time,l=this.timeScale;let d=this._timeScaleInterpolant;null===d&&(d=a._lendControlInterpolant(),this._timeScaleInterpolant=d);const h=d.parameterPositions,p=d.sampleValues;return h[0]=s,h[1]=s+r,p[0]=t/l,p[1]=n/l,this}stopWarping(){const t=this._timeScaleInterpolant;return null!==t&&(this._timeScaleInterpolant=null,this._mixer._takeBackControlInterpolant(t)),this}getMixer(){return this._mixer}getClip(){return this._clip}getRoot(){return this._localRoot||this._mixer._root}_update(t,n,r,a){if(!this.enabled)return void this._updateWeight(t);const s=this._startTime;if(null!==s){const a=(t-s)*r;if(a<0||0===r)return;this._startTime=null,n=r*a}n*=this._updateTimeScale(t);const l=this._updateTime(n),d=this._updateWeight(t);if(d>0){const t=this._interpolants,n=this._propertyBindings;if(this.blendMode===ai)for(let r=0,a=t.length;r!==a;++r)t[r].evaluate(l),n[r].accumulateAdditive(d);else for(let r=0,s=t.length;r!==s;++r)t[r].evaluate(l),n[r].accumulate(a,d)}}_updateWeight(t){let n=0;if(this.enabled){n=this.weight;const r=this._weightInterpolant;if(null!==r){const a=r.evaluate(t)[0];n*=a,t>r.parameterPositions[1]&&(this.stopFading(),0===a&&(this.enabled=!1))}}return this._effectiveWeight=n,n}_updateTimeScale(t){let n=0;if(!this.paused){n=this.timeScale;const r=this._timeScaleInterpolant;if(null!==r){n*=r.evaluate(t)[0],t>r.parameterPositions[1]&&(this.stopWarping(),0===n?this.paused=!0:this.timeScale=n)}}return this._effectiveTimeScale=n,n}_updateTime(t){const n=this._clip.duration,r=this.loop;let a=this.time+t,s=this._loopCount;const l=r===Jt;if(0===t)return-1===s?a:l&&1==(1&s)?n-a:a;if(r===Zt){-1===s&&(this._loopCount=0,this._setEndings(!0,!0,!1));e:{if(a>=n)a=n;else{if(!(a<0)){this.time=a;break e}a=0}this.clampWhenFinished?this.paused=!0:this.enabled=!1,this.time=a,this._mixer.dispatchEvent({type:"finished",action:this,direction:t<0?-1:1})}}else{if(-1===s&&(t>=0?(s=0,this._setEndings(!0,0===this.repetitions,l)):this._setEndings(0===this.repetitions,!0,l)),a>=n||a<0){const r=Math.floor(a/n);a-=n*r,s+=Math.abs(r);const d=this.repetitions-s;if(d<=0)this.clampWhenFinished?this.paused=!0:this.enabled=!1,a=t>0?n:0,this.time=a,this._mixer.dispatchEvent({type:"finished",action:this,direction:t>0?1:-1});else{if(1===d){const n=t<0;this._setEndings(n,!n,l)}else this._setEndings(!1,!1,l);this._loopCount=s,this.time=a,this._mixer.dispatchEvent({type:"loop",action:this,loopDelta:r})}}else this.time=a;if(l&&1==(1&s))return n-a}return a}_setEndings(t,n,r){const a=this._interpolantSettings;r?(a.endingStart=ni,a.endingEnd=ni):(a.endingStart=t?this.zeroSlopeAtStart?ni:ii:ri,a.endingEnd=n?this.zeroSlopeAtEnd?ni:ii:ri)}_scheduleFading(t,n,r){const a=this._mixer,s=a.time;let l=this._weightInterpolant;null===l&&(l=a._lendControlInterpolant(),this._weightInterpolant=l);const d=l.parameterPositions,h=l.sampleValues;return d[0]=s,h[0]=n,d[1]=s+t,h[1]=r,this}}function ku(t){this._root=t,this._initMemoryManager(),this._accuIndex=0,this.time=0,this.timeScale=1}ku.prototype=Object.assign(Object.create(Yi.prototype),{constructor:ku,_bindAction:function(t,n){const r=t._localRoot||this._root,a=t._clip.tracks,s=a.length,l=t._propertyBindings,d=t._interpolants,h=r.uuid,p=this._bindingsByRootAndName;let f=p[h];void 0===f&&(f={},p[h]=f);for(let t=0;t!==s;++t){const s=a[t],p=s.name;let m=f[p];if(void 0!==m)l[t]=m;else{if(m=l[t],void 0!==m){null===m._cacheIndex&&(++m.referenceCount,this._addInactiveBinding(m,h,p));continue}const a=n&&n._propertyBindings[t].binding.parsedPath;m=new mu(Cu.create(r,p,a),s.ValueTypeName,s.getValueSize()),++m.referenceCount,this._addInactiveBinding(m,h,p),l[t]=m}d[t].resultBuffer=m.buffer}},_activateAction:function(t){if(!this._isActiveAction(t)){if(null===t._cacheIndex){const n=(t._localRoot||this._root).uuid,r=t._clip.uuid,a=this._actionsByClip[r];this._bindAction(t,a&&a.knownActions[0]),this._addInactiveAction(t,r,n)}const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==r.useCount++&&(this._lendBinding(r),r.saveOriginalState())}this._lendAction(t)}},_deactivateAction:function(t){if(this._isActiveAction(t)){const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==--r.useCount&&(r.restoreOriginalState(),this._takeBackBinding(r))}this._takeBackAction(t)}},_initMemoryManager:function(){this._actions=[],this._nActiveActions=0,this._actionsByClip={},this._bindings=[],this._nActiveBindings=0,this._bindingsByRootAndName={},this._controlInterpolants=[],this._nActiveControlInterpolants=0;const t=this;this.stats={actions:{get total(){return t._actions.length},get inUse(){return t._nActiveActions}},bindings:{get total(){return t._bindings.length},get inUse(){return t._nActiveBindings}},controlInterpolants:{get total(){return t._controlInterpolants.length},get inUse(){return t._nActiveControlInterpolants}}}},_isActiveAction:function(t){const n=t._cacheIndex;return null!==n&&n<this._nActiveActions},_addInactiveAction:function(t,n,r){const a=this._actions,s=this._actionsByClip;let l=s[n];if(void 0===l)l={knownActions:[t],actionByRoot:{}},t._byClipCacheIndex=0,s[n]=l;else{const n=l.knownActions;t._byClipCacheIndex=n.length,n.push(t)}t._cacheIndex=a.length,a.push(t),l.actionByRoot[r]=t},_removeInactiveAction:function(t){const n=this._actions,r=n[n.length-1],a=t._cacheIndex;r._cacheIndex=a,n[a]=r,n.pop(),t._cacheIndex=null;const s=t._clip.uuid,l=this._actionsByClip,d=l[s],h=d.knownActions,p=h[h.length-1],f=t._byClipCacheIndex;p._byClipCacheIndex=f,h[f]=p,h.pop(),t._byClipCacheIndex=null;delete d.actionByRoot[(t._localRoot||this._root).uuid],0===h.length&&delete l[s],this._removeInactiveBindingsForAction(t)},_removeInactiveBindingsForAction:function(t){const n=t._propertyBindings;for(let t=0,r=n.length;t!==r;++t){const r=n[t];0==--r.referenceCount&&this._removeInactiveBinding(r)}},_lendAction:function(t){const n=this._actions,r=t._cacheIndex,a=this._nActiveActions++,s=n[a];t._cacheIndex=a,n[a]=t,s._cacheIndex=r,n[r]=s},_takeBackAction:function(t){const n=this._actions,r=t._cacheIndex,a=--this._nActiveActions,s=n[a];t._cacheIndex=a,n[a]=t,s._cacheIndex=r,n[r]=s},_addInactiveBinding:function(t,n,r){const a=this._bindingsByRootAndName,s=this._bindings;let l=a[n];void 0===l&&(l={},a[n]=l),l[r]=t,t._cacheIndex=s.length,s.push(t)},_removeInactiveBinding:function(t){const n=this._bindings,r=t.binding,a=r.rootNode.uuid,s=r.path,l=this._bindingsByRootAndName,d=l[a],h=n[n.length-1],p=t._cacheIndex;h._cacheIndex=p,n[p]=h,n.pop(),delete d[s],0===Object.keys(d).length&&delete l[a]},_lendBinding:function(t){const n=this._bindings,r=t._cacheIndex,a=this._nActiveBindings++,s=n[a];t._cacheIndex=a,n[a]=t,s._cacheIndex=r,n[r]=s},_takeBackBinding:function(t){const n=this._bindings,r=t._cacheIndex,a=--this._nActiveBindings,s=n[a];t._cacheIndex=a,n[a]=t,s._cacheIndex=r,n[r]=s},_lendControlInterpolant:function(){const t=this._controlInterpolants,n=this._nActiveControlInterpolants++;let r=t[n];return void 0===r&&(r=new Lc(new Float32Array(2),new Float32Array(2),1,this._controlInterpolantsResultBuffer),r.__cacheIndex=n,t[n]=r),r},_takeBackControlInterpolant:function(t){const n=this._controlInterpolants,r=t.__cacheIndex,a=--this._nActiveControlInterpolants,s=n[a];t.__cacheIndex=a,n[a]=t,s.__cacheIndex=r,n[r]=s},_controlInterpolantsResultBuffer:new Float32Array(1),clipAction:function(t,n,r){const a=n||this._root,s=a.uuid;let l="string"==typeof t?Gc.findByName(a,t):t;const d=null!==l?l.uuid:t,h=this._actionsByClip[d];let p=null;if(void 0===r&&(r=null!==l?l.blendMode:oi),void 0!==h){const t=h.actionByRoot[s];if(void 0!==t&&t.blendMode===r)return t;p=h.knownActions[0],null===l&&(l=p._clip)}if(null===l)return null;const f=new AnimationAction(this,l,n,r);return this._bindAction(f,p),this._addInactiveAction(f,d,s),f},existingAction:function(t,n){const r=n||this._root,a=r.uuid,s="string"==typeof t?Gc.findByName(r,t):t,l=s?s.uuid:t,d=this._actionsByClip[l];return void 0!==d&&d.actionByRoot[a]||null},stopAllAction:function(){const t=this._actions;for(let n=this._nActiveActions-1;n>=0;--n)t[n].stop();return this},update:function(t){t*=this.timeScale;const n=this._actions,r=this._nActiveActions,a=this.time+=t,s=Math.sign(t),l=this._accuIndex^=1;for(let d=0;d!==r;++d){n[d]._update(a,t,s,l)}const d=this._bindings,h=this._nActiveBindings;for(let t=0;t!==h;++t)d[t].apply(l);return this},setTime:function(t){this.time=0;for(let t=0;t<this._actions.length;t++)this._actions[t].time=0;return this.update(t)},getRoot:function(){return this._root},uncacheClip:function(t){const n=this._actions,r=t.uuid,a=this._actionsByClip,s=a[r];if(void 0!==s){const t=s.knownActions;for(let r=0,a=t.length;r!==a;++r){const a=t[r];this._deactivateAction(a);const s=a._cacheIndex,l=n[n.length-1];a._cacheIndex=null,a._byClipCacheIndex=null,l._cacheIndex=s,n[s]=l,n.pop(),this._removeInactiveBindingsForAction(a)}delete a[r]}},uncacheRoot:function(t){const n=t.uuid,r=this._actionsByClip;for(const t in r){const a=r[t].actionByRoot[n];void 0!==a&&(this._deactivateAction(a),this._removeInactiveAction(a))}const a=this._bindingsByRootAndName[n];if(void 0!==a)for(const t in a){const n=a[t];n.restoreOriginalState(),this._removeInactiveBinding(n)}},uncacheAction:function(t,n){const r=this.existingAction(t,n);null!==r&&(this._deactivateAction(r),this._removeInactiveAction(r))}});class Uniform{constructor(t){"string"==typeof t&&(a.warn("THREE.Uniform: Type parameter is no longer needed."),t=arguments[1]),this.value=t}clone(){return new Uniform(void 0===this.value.clone?this.value:this.value.clone())}}function Ou(t,n,r){Ls.call(this,t,n),this.meshPerAttribute=r||1}function Ru(t,n,r,a,s){this.buffer=t,this.type=n,this.itemSize=r,this.elementSize=a,this.count=s,this.version=0}function Iu(t,n,r,s){this.ray=new Ray(t,n),this.near=r||0,this.far=s||1/0,this.camera=null,this.layers=new Layers,this.params={Mesh:{},Line:{threshold:1},LOD:{},Points:{threshold:1},Sprite:{}},Object.defineProperties(this.params,{PointCloud:{get:function(){return a.warn("THREE.Raycaster: params.PointCloud has been renamed to params.Points."),this.Points}}})}function Pu(t,n){return t.distance-n.distance}function Lu(t,n,r,a){if(t.layers.test(n.layers)&&t.raycast(n,r),!0===a){const a=t.children;for(let t=0,s=a.length;t<s;t++)Lu(a[t],n,r,!0)}}Ou.prototype=Object.assign(Object.create(Ls.prototype),{constructor:Ou,isInstancedInterleavedBuffer:!0,copy:function(t){return Ls.prototype.copy.call(this,t),this.meshPerAttribute=t.meshPerAttribute,this},clone:function(t){const n=Ls.prototype.clone.call(this,t);return n.meshPerAttribute=this.meshPerAttribute,n},toJSON:function(t){const n=Ls.prototype.toJSON.call(this,t);return n.isInstancedInterleavedBuffer=!0,n.meshPerAttribute=this.meshPerAttribute,n}}),Object.defineProperty(Ru.prototype,"needsUpdate",{set:function(t){!0===t&&this.version++}}),Object.assign(Ru.prototype,{isGLBufferAttribute:!0,setBuffer:function(t){return this.buffer=t,this},setType:function(t,n){return this.type=t,this.elementSize=n,this},setItemSize:function(t){return this.itemSize=t,this},setCount:function(t){return this.count=t,this}}),Object.assign(Iu.prototype,{set:function(t,n){this.ray.set(t,n)},setFromCamera:function(t,n){n&&n.isPerspectiveCamera?(this.ray.origin.setFromMatrixPosition(n.matrixWorld),this.ray.direction.set(t.x,t.y,.5).unproject(n).sub(this.ray.origin).normalize(),this.camera=n):n&&n.isOrthographicCamera?(this.ray.origin.set(t.x,t.y,(n.near+n.far)/(n.near-n.far)).unproject(n),this.ray.direction.set(0,0,-1).transformDirection(n.matrixWorld),this.camera=n):a.error("THREE.Raycaster: Unsupported camera type: "+n.type)},intersectObject:function(t,n,r){const a=r||[];return Lu(t,this,a,n),a.sort(Pu),a},intersectObjects:function(t,n,r){const s=r||[];if(!1===Array.isArray(t))return a.warn("THREE.Raycaster.intersectObjects: objects is not an Array."),s;for(let r=0,a=t.length;r<a;r++)Lu(t[r],this,s,n);return s.sort(Pu),s}});class Spherical{constructor(t=1,n=0,r=0){return this.radius=t,this.phi=n,this.theta=r,this}set(t,n,r){return this.radius=t,this.phi=n,this.theta=r,this}clone(){return(new this.constructor).copy(this)}copy(t){return this.radius=t.radius,this.phi=t.phi,this.theta=t.theta,this}makeSafe(){const t=1e-6;return this.phi=Math.max(t,Math.min(Math.PI-t,this.phi)),this}setFromVector3(t){return this.setFromCartesianCoords(t.x,t.y,t.z)}setFromCartesianCoords(t,n,r){return this.radius=Math.sqrt(t*t+n*n+r*r),0===this.radius?(this.theta=0,this.phi=0):(this.theta=Math.atan2(t,r),this.phi=Math.acos(Ji.clamp(n/this.radius,-1,1))),this}}class Cylindrical{constructor(t,n,r){return this.radius=void 0!==t?t:1,this.theta=void 0!==n?n:0,this.y=void 0!==r?r:0,this}set(t,n,r){return this.radius=t,this.theta=n,this.y=r,this}clone(){return(new this.constructor).copy(this)}copy(t){return this.radius=t.radius,this.theta=t.theta,this.y=t.y,this}setFromVector3(t){return this.setFromCartesianCoords(t.x,t.y,t.z)}setFromCartesianCoords(t,n,r){return this.radius=Math.sqrt(t*t+r*r),this.theta=Math.atan2(t,r),this.y=n,this}}const Du=new Vector2;class Box2{constructor(t,n){Object.defineProperty(this,"isBox2",{value:!0}),this.min=void 0!==t?t:new Vector2(1/0,1/0),this.max=void 0!==n?n:new Vector2(-1/0,-1/0)}set(t,n){return this.min.copy(t),this.max.copy(n),this}setFromPoints(t){this.makeEmpty();for(let n=0,r=t.length;n<r;n++)this.expandByPoint(t[n]);return this}setFromCenterAndSize(t,n){const r=Du.copy(n).multiplyScalar(.5);return this.min.copy(t).sub(r),this.max.copy(t).add(r),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.min.copy(t.min),this.max.copy(t.max),this}makeEmpty(){return this.min.x=this.min.y=1/0,this.max.x=this.max.y=-1/0,this}isEmpty(){return this.max.x<this.min.x||this.max.y<this.min.y}getCenter(t){return void 0===t&&(a.warn("THREE.Box2: .getCenter() target is now required"),t=new Vector2),this.isEmpty()?t.set(0,0):t.addVectors(this.min,this.max).multiplyScalar(.5)}getSize(t){return void 0===t&&(a.warn("THREE.Box2: .getSize() target is now required"),t=new Vector2),this.isEmpty()?t.set(0,0):t.subVectors(this.max,this.min)}expandByPoint(t){return this.min.min(t),this.max.max(t),this}expandByVector(t){return this.min.sub(t),this.max.add(t),this}expandByScalar(t){return this.min.addScalar(-t),this.max.addScalar(t),this}containsPoint(t){return!(t.x<this.min.x||t.x>this.max.x||t.y<this.min.y||t.y>this.max.y)}containsBox(t){return this.min.x<=t.min.x&&t.max.x<=this.max.x&&this.min.y<=t.min.y&&t.max.y<=this.max.y}getParameter(t,n){return void 0===n&&(a.warn("THREE.Box2: .getParameter() target is now required"),n=new Vector2),n.set((t.x-this.min.x)/(this.max.x-this.min.x),(t.y-this.min.y)/(this.max.y-this.min.y))}intersectsBox(t){return!(t.max.x<this.min.x||t.min.x>this.max.x||t.max.y<this.min.y||t.min.y>this.max.y)}clampPoint(t,n){return void 0===n&&(a.warn("THREE.Box2: .clampPoint() target is now required"),n=new Vector2),n.copy(t).clamp(this.min,this.max)}distanceToPoint(t){return Du.copy(t).clamp(this.min,this.max).sub(t).length()}intersect(t){return this.min.max(t.min),this.max.min(t.max),this}union(t){return this.min.min(t.min),this.max.max(t.max),this}translate(t){return this.min.add(t),this.max.add(t),this}equals(t){return t.min.equals(this.min)&&t.max.equals(this.max)}}const Fu=new Vector3,Nu=new Vector3;class Line3{constructor(t,n){this.start=void 0!==t?t:new Vector3,this.end=void 0!==n?n:new Vector3}set(t,n){return this.start.copy(t),this.end.copy(n),this}clone(){return(new this.constructor).copy(this)}copy(t){return this.start.copy(t.start),this.end.copy(t.end),this}getCenter(t){return void 0===t&&(a.warn("THREE.Line3: .getCenter() target is now required"),t=new Vector3),t.addVectors(this.start,this.end).multiplyScalar(.5)}delta(t){return void 0===t&&(a.warn("THREE.Line3: .delta() target is now required"),t=new Vector3),t.subVectors(this.end,this.start)}distanceSq(){return this.start.distanceToSquared(this.end)}distance(){return this.start.distanceTo(this.end)}at(t,n){return void 0===n&&(a.warn("THREE.Line3: .at() target is now required"),n=new Vector3),this.delta(n).multiplyScalar(t).add(this.start)}closestPointToPointParameter(t,n){Fu.subVectors(t,this.start),Nu.subVectors(this.end,this.start);const r=Nu.dot(Nu);let a=Nu.dot(Fu)/r;return n&&(a=Ji.clamp(a,0,1)),a}closestPointToPoint(t,n,r){const s=this.closestPointToPointParameter(t,n);return void 0===r&&(a.warn("THREE.Line3: .closestPointToPoint() target is now required"),r=new Vector3),this.delta(r).multiplyScalar(s).add(this.start)}applyMatrix4(t){return this.start.applyMatrix4(t),this.end.applyMatrix4(t),this}equals(t){return t.start.equals(this.start)&&t.end.equals(this.end)}}function Bu(t){Kn.call(this),this.material=t,this.render=function(){},this.hasPositions=!1,this.hasNormals=!1,this.hasColors=!1,this.hasUvs=!1,this.positionArray=null,this.normalArray=null,this.colorArray=null,this.uvArray=null,this.count=0}Bu.prototype=Object.create(Kn.prototype),Bu.prototype.constructor=Bu,Bu.prototype.isImmediateRenderObject=!0;const zu=new Vector3;class SpotLightHelper extends Kn{constructor(t,n){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=n;const r=new Ur,a=[0,0,0,0,0,1,0,0,0,1,0,1,0,0,0,-1,0,1,0,0,0,0,1,1,0,0,0,0,-1,1];for(let t=0,n=1,r=32;t<r;t++,n++){const s=t/r*Math.PI*2,l=n/r*Math.PI*2;a.push(Math.cos(s),Math.sin(s),1,Math.cos(l),Math.sin(l),1)}r.setAttribute("position",new Rr(a,3));const s=new vl({fog:!1,toneMapped:!1});this.cone=new El(r,s),this.add(this.cone),this.update()}dispose(){this.cone.geometry.dispose(),this.cone.material.dispose()}update(){this.light.updateMatrixWorld();const t=this.light.distance?this.light.distance:1e3,n=t*Math.tan(this.light.angle);this.cone.scale.set(n,n,t),zu.setFromMatrixPosition(this.light.target.matrixWorld),this.cone.lookAt(zu),void 0!==this.color?this.cone.material.color.set(this.color):this.cone.material.color.copy(this.light.color)}}const $u=new Vector3,ju=new Matrix4,Vu=new Matrix4;class SkeletonHelper extends El{constructor(t){const n=Uu(t),r=new Ur,a=[],s=[],l=new Color(0,0,1),d=new Color(0,1,0);for(let t=0;t<n.length;t++){const r=n[t];r.parent&&r.parent.isBone&&(a.push(0,0,0),a.push(0,0,0),s.push(l.r,l.g,l.b),s.push(d.r,d.g,d.b))}r.setAttribute("position",new Rr(a,3)),r.setAttribute("color",new Rr(s,3));super(r,new vl({vertexColors:!0,depthTest:!1,depthWrite:!1,toneMapped:!1,transparent:!0})),this.type="SkeletonHelper",this.isSkeletonHelper=!0,this.root=t,this.bones=n,this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1}updateMatrixWorld(t){const n=this.bones,r=this.geometry,a=r.getAttribute("position");Vu.copy(this.root.matrixWorld).invert();for(let t=0,r=0;t<n.length;t++){const s=n[t];s.parent&&s.parent.isBone&&(ju.multiplyMatrices(Vu,s.matrixWorld),$u.setFromMatrixPosition(ju),a.setXYZ(r,$u.x,$u.y,$u.z),ju.multiplyMatrices(Vu,s.parent.matrixWorld),$u.setFromMatrixPosition(ju),a.setXYZ(r+1,$u.x,$u.y,$u.z),r+=2)}r.getAttribute("position").needsUpdate=!0,super.updateMatrixWorld(t)}}function Uu(t){const n=[];t&&t.isBone&&n.push(t);for(let r=0;r<t.children.length;r++)n.push.apply(n,Uu(t.children[r]));return n}class PointLightHelper extends so{constructor(t,n,r){super(new SphereGeometry(n,4,2),new br({wireframe:!0,fog:!1,toneMapped:!1})),this.light=t,this.light.updateMatrixWorld(),this.color=r,this.type="PointLightHelper",this.matrix=this.light.matrixWorld,this.matrixAutoUpdate=!1,this.update()}dispose(){this.geometry.dispose(),this.material.dispose()}update(){void 0!==this.color?this.material.color.set(this.color):this.material.color.copy(this.light.color)}}const Gu=new Vector3,Hu=new Color,Wu=new Color;class HemisphereLightHelper extends Kn{constructor(t,n,r){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=r;const a=new OctahedronGeometry(n);a.rotateY(.5*Math.PI),this.material=new br({wireframe:!0,fog:!1,toneMapped:!1}),void 0===this.color&&(this.material.vertexColors=!0);const s=a.getAttribute("position"),l=new Float32Array(3*s.count);a.setAttribute("color",new Sr(l,3)),this.add(new so(a,this.material)),this.update()}dispose(){this.children[0].geometry.dispose(),this.children[0].material.dispose()}update(){const t=this.children[0];if(void 0!==this.color)this.material.color.set(this.color);else{const n=t.geometry.getAttribute("color");Hu.copy(this.light.color),Wu.copy(this.light.groundColor);for(let t=0,r=n.count;t<r;t++){const a=t<r/2?Hu:Wu;n.setXYZ(t,a.r,a.g,a.b)}n.needsUpdate=!0}t.lookAt(Gu.setFromMatrixPosition(this.light.matrixWorld).negate())}}class GridHelper extends El{constructor(t=10,n=10,r=4473924,a=8947848){r=new Color(r),a=new Color(a);const s=n/2,l=t/n,d=t/2,h=[],p=[];for(let t=0,f=0,m=-d;t<=n;t++,m+=l){h.push(-d,0,m,d,0,m),h.push(m,0,-d,m,0,d);const n=t===s?r:a;n.toArray(p,f),f+=3,n.toArray(p,f),f+=3,n.toArray(p,f),f+=3,n.toArray(p,f),f+=3}const f=new Ur;f.setAttribute("position",new Rr(h,3)),f.setAttribute("color",new Rr(p,3));super(f,new vl({vertexColors:!0,toneMapped:!1})),this.type="GridHelper"}}class PolarGridHelper extends El{constructor(t=10,n=16,r=8,a=64,s=4473924,l=8947848){s=new Color(s),l=new Color(l);const d=[],h=[];for(let r=0;r<=n;r++){const a=r/n*(2*Math.PI),p=Math.sin(a)*t,f=Math.cos(a)*t;d.push(0,0,0),d.push(p,0,f);const m=1&r?s:l;h.push(m.r,m.g,m.b),h.push(m.r,m.g,m.b)}for(let n=0;n<=r;n++){const p=1&n?s:l,f=t-t/r*n;for(let t=0;t<a;t++){let n=t/a*(2*Math.PI),r=Math.sin(n)*f,s=Math.cos(n)*f;d.push(r,0,s),h.push(p.r,p.g,p.b),n=(t+1)/a*(2*Math.PI),r=Math.sin(n)*f,s=Math.cos(n)*f,d.push(r,0,s),h.push(p.r,p.g,p.b)}}const p=new Ur;p.setAttribute("position",new Rr(d,3)),p.setAttribute("color",new Rr(h,3));super(p,new vl({vertexColors:!0,toneMapped:!1})),this.type="PolarGridHelper"}}const qu=new Vector3,Xu=new Vector3,Yu=new Vector3;class DirectionalLightHelper extends Kn{constructor(t,n,r){super(),this.light=t,this.light.updateMatrixWorld(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.color=r,void 0===n&&(n=1);let a=new Ur;a.setAttribute("position",new Rr([-n,n,0,n,n,0,n,-n,0,-n,-n,0,-n,n,0],3));const s=new vl({fog:!1,toneMapped:!1});this.lightPlane=new _l(a,s),this.add(this.lightPlane),a=new Ur,a.setAttribute("position",new Rr([0,0,0,0,0,1],3)),this.targetLine=new _l(a,s),this.add(this.targetLine),this.update()}dispose(){this.lightPlane.geometry.dispose(),this.lightPlane.material.dispose(),this.targetLine.geometry.dispose(),this.targetLine.material.dispose()}update(){qu.setFromMatrixPosition(this.light.matrixWorld),Xu.setFromMatrixPosition(this.light.target.matrixWorld),Yu.subVectors(Xu,qu),this.lightPlane.lookAt(Xu),void 0!==this.color?(this.lightPlane.material.color.set(this.color),this.targetLine.material.color.set(this.color)):(this.lightPlane.material.color.copy(this.light.color),this.targetLine.material.color.copy(this.light.color)),this.targetLine.lookAt(Xu),this.targetLine.scale.z=Yu.length()}}const Zu=new Vector3,Ku=new go;class CameraHelper extends El{constructor(t){const n=new Ur,r=new vl({color:16777215,vertexColors:!0,toneMapped:!1}),a=[],s=[],l={},d=new Color(16755200),h=new Color(16711680),p=new Color(43775),f=new Color(16777215),m=new Color(3355443);function g(t,n,r){v(t,r),v(n,r)}function v(t,n){a.push(0,0,0),s.push(n.r,n.g,n.b),void 0===l[t]&&(l[t]=[]),l[t].push(a.length/3-1)}g("n1","n2",d),g("n2","n4",d),g("n4","n3",d),g("n3","n1",d),g("f1","f2",d),g("f2","f4",d),g("f4","f3",d),g("f3","f1",d),g("n1","f1",d),g("n2","f2",d),g("n3","f3",d),g("n4","f4",d),g("p","n1",h),g("p","n2",h),g("p","n3",h),g("p","n4",h),g("u1","u2",p),g("u2","u3",p),g("u3","u1",p),g("c","t",f),g("p","c",m),g("cn1","cn2",m),g("cn3","cn4",m),g("cf1","cf2",m),g("cf3","cf4",m),n.setAttribute("position",new Rr(a,3)),n.setAttribute("color",new Rr(s,3)),super(n,r),this.type="CameraHelper",this.camera=t,this.camera.updateProjectionMatrix&&this.camera.updateProjectionMatrix(),this.matrix=t.matrixWorld,this.matrixAutoUpdate=!1,this.pointMap=l,this.update()}update(){const t=this.geometry,n=this.pointMap;Ku.projectionMatrixInverse.copy(this.camera.projectionMatrixInverse),Ju("c",n,t,Ku,0,0,-1),Ju("t",n,t,Ku,0,0,1),Ju("n1",n,t,Ku,-1,-1,-1),Ju("n2",n,t,Ku,1,-1,-1),Ju("n3",n,t,Ku,-1,1,-1),Ju("n4",n,t,Ku,1,1,-1),Ju("f1",n,t,Ku,-1,-1,1),Ju("f2",n,t,Ku,1,-1,1),Ju("f3",n,t,Ku,-1,1,1),Ju("f4",n,t,Ku,1,1,1),Ju("u1",n,t,Ku,.7,1.1,-1),Ju("u2",n,t,Ku,-.7,1.1,-1),Ju("u3",n,t,Ku,0,2,-1),Ju("cf1",n,t,Ku,-1,0,1),Ju("cf2",n,t,Ku,1,0,1),Ju("cf3",n,t,Ku,0,-1,1),Ju("cf4",n,t,Ku,0,1,1),Ju("cn1",n,t,Ku,-1,0,-1),Ju("cn2",n,t,Ku,1,0,-1),Ju("cn3",n,t,Ku,0,-1,-1),Ju("cn4",n,t,Ku,0,1,-1),t.getAttribute("position").needsUpdate=!0}}function Ju(t,n,r,a,s,l,d){Zu.set(s,l,d).unproject(a);const h=n[t];if(void 0!==h){const t=r.getAttribute("position");for(let n=0,r=h.length;n<r;n++)t.setXYZ(h[n],Zu.x,Zu.y,Zu.z)}}const Qu=new Box3;class BoxHelper extends El{constructor(t,n=16776960){const r=new Uint16Array([0,1,1,2,2,3,3,0,4,5,5,6,6,7,7,4,0,4,1,5,2,6,3,7]),a=new Float32Array(24),s=new Ur;s.setIndex(new Sr(r,1)),s.setAttribute("position",new Sr(a,3)),super(s,new vl({color:n,toneMapped:!1})),this.object=t,this.type="BoxHelper",this.matrixAutoUpdate=!1,this.update()}update(t){if(void 0!==t&&a.warn("THREE.BoxHelper: .update() has no longer arguments."),void 0!==this.object&&Qu.setFromObject(this.object),Qu.isEmpty())return;const n=Qu.min,r=Qu.max,s=this.geometry.attributes.position,l=s.array;l[0]=r.x,l[1]=r.y,l[2]=r.z,l[3]=n.x,l[4]=r.y,l[5]=r.z,l[6]=n.x,l[7]=n.y,l[8]=r.z,l[9]=r.x,l[10]=n.y,l[11]=r.z,l[12]=r.x,l[13]=r.y,l[14]=n.z,l[15]=n.x,l[16]=r.y,l[17]=n.z,l[18]=n.x,l[19]=n.y,l[20]=n.z,l[21]=r.x,l[22]=n.y,l[23]=n.z,s.needsUpdate=!0,this.geometry.computeBoundingSphere()}setFromObject(t){return this.object=t,this.update(),this}copy(t){return El.prototype.copy.call(this,t),this.object=t.object,this}}class Box3Helper extends El{constructor(t,n=16776960){const r=new Uint16Array([0,1,1,2,2,3,3,0,4,5,5,6,6,7,7,4,0,4,1,5,2,6,3,7]),a=new Ur;a.setIndex(new Sr(r,1)),a.setAttribute("position",new Rr([1,1,1,-1,1,1,-1,-1,1,1,-1,1,1,1,-1,-1,1,-1,-1,-1,-1,1,-1,-1],3)),super(a,new vl({color:n,toneMapped:!1})),this.box=t,this.type="Box3Helper",this.geometry.computeBoundingSphere()}updateMatrixWorld(t){const n=this.box;n.isEmpty()||(n.getCenter(this.position),n.getSize(this.scale),this.scale.multiplyScalar(.5),super.updateMatrixWorld(t))}}class PlaneHelper extends _l{constructor(t,n=1,r=16776960){const a=r,s=new Ur;s.setAttribute("position",new Rr([1,-1,1,-1,1,1,-1,-1,1,1,1,1,-1,1,1,-1,-1,1,1,-1,1,1,1,1,0,0,1,0,0,0],3)),s.computeBoundingSphere(),super(s,new vl({color:a,toneMapped:!1})),this.type="PlaneHelper",this.plane=t,this.size=n;const l=new Ur;l.setAttribute("position",new Rr([1,1,1,-1,1,1,-1,-1,1,1,1,1,-1,-1,1,1,-1,1],3)),l.computeBoundingSphere(),this.add(new so(l,new br({color:a,opacity:.2,transparent:!0,depthWrite:!1,toneMapped:!1})))}updateMatrixWorld(t){let n=-this.plane.constant;Math.abs(n)<1e-8&&(n=1e-8),this.scale.set(.5*this.size,.5*this.size,n),this.children[0].material.side=n<0?w:x,this.lookAt(this.plane.normal),super.updateMatrixWorld(t)}}const eh=new Vector3;let th,ih;class ArrowHelper extends Kn{constructor(t,n,r,a,s,l){super(),this.type="ArrowHelper",void 0===t&&(t=new Vector3(0,0,1)),void 0===n&&(n=new Vector3(0,0,0)),void 0===r&&(r=1),void 0===a&&(a=16776960),void 0===s&&(s=.2*r),void 0===l&&(l=.2*s),void 0===th&&(th=new Ur,th.setAttribute("position",new Rr([0,0,0,0,1,0],3)),ih=new CylinderGeometry(0,.5,1,5,1),ih.translate(0,-.5,0)),this.position.copy(n),this.line=new _l(th,new vl({color:a,toneMapped:!1})),this.line.matrixAutoUpdate=!1,this.add(this.line),this.cone=new so(ih,new br({color:a,toneMapped:!1})),this.cone.matrixAutoUpdate=!1,this.add(this.cone),this.setDirection(t),this.setLength(r,s,l)}setDirection(t){if(t.y>.99999)this.quaternion.set(0,0,0,1);else if(t.y<-.99999)this.quaternion.set(1,0,0,0);else{eh.set(t.z,0,-t.x).normalize();const n=Math.acos(t.y);this.quaternion.setFromAxisAngle(eh,n)}}setLength(t,n,r){void 0===n&&(n=.2*t),void 0===r&&(r=.2*n),this.line.scale.set(1,Math.max(1e-4,t-n),1),this.line.updateMatrix(),this.cone.scale.set(r,n,r),this.cone.position.y=t,this.cone.updateMatrix()}setColor(t){this.line.material.color.set(t),this.cone.material.color.set(t)}copy(t){return super.copy(t,!1),this.line.copy(t.line),this.cone.copy(t.cone),this}}class AxesHelper extends El{constructor(t=1){const n=[0,0,0,t,0,0,0,0,0,0,t,0,0,0,0,0,0,t],r=new Ur;r.setAttribute("position",new Rr(n,3)),r.setAttribute("color",new Rr([1,0,0,1,.6,0,0,1,0,.6,1,0,0,0,1,0,.6,1],3));super(r,new vl({vertexColors:!0,toneMapped:!1})),this.type="AxesHelper"}}const nh=new Float32Array(1),rh=new Int32Array(nh.buffer),oh={toHalfFloat:function(t){nh[0]=t;const n=rh[0];let r=n>>16&32768,a=n>>12&2047;const s=n>>23&255;return s<103?r:s>142?(r|=31744,r|=(255==s?0:1)&&8388607&n,r):s<113?(a|=2048,r|=(a>>114-s)+(a>>113-s&1),r):(r|=s-112<<10|a>>1,r+=1&a,r)}},ah=Math.pow(2,8),sh=[.125,.215,.35,.446,.526,.582],lh=5+sh.length,ch=20,dh={[di]:0,[ui]:1,[pi]:2,[mi]:3,[gi]:4,[vi]:5,[hi]:6},uh=new br({side:w,depthWrite:!1,depthTest:!1}),hh=new so(new BoxGeometry,uh),ph=new Ld,{_lodPlanes:fh,_sizeLods:mh,_sigmas:gh}=Mh(),vh=new Color;let yh=null;const bh=(1+Math.sqrt(5))/2,xh=1/bh,wh=[new Vector3(1,1,1),new Vector3(-1,1,1),new Vector3(1,1,-1),new Vector3(-1,1,-1),new Vector3(0,bh,xh),new Vector3(0,bh,-xh),new Vector3(xh,0,bh),new Vector3(-xh,0,bh),new Vector3(bh,xh,0),new Vector3(-bh,xh,0)];function Sh(t){const n=Math.max(t.r,t.g,t.b),r=Math.min(Math.max(Math.ceil(Math.log2(n)),-128),127);t.multiplyScalar(Math.pow(2,-r));return(r+128)/255}class PMREMGenerator{constructor(t){this._renderer=t,this._pingPongRenderTarget=null,this._blurMaterial=function(t){const n=new Float32Array(t),r=new Vector3(0,1,0);return new wc({name:"SphericalGaussianBlur",defines:{n:t},uniforms:{envMap:{value:null},samples:{value:1},weights:{value:n},latitudinal:{value:!1},dTheta:{value:0},mipInt:{value:0},poleAxis:{value:r},inputEncoding:{value:dh[di]},outputEncoding:{value:dh[di]}},vertexShader:kh(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\t\t\tuniform int samples;\n\t\t\tuniform float weights[ n ];\n\t\t\tuniform bool latitudinal;\n\t\t\tuniform float dTheta;\n\t\t\tuniform float mipInt;\n\t\t\tuniform vec3 poleAxis;\n\n\t\t\t${Oh()}\n\n\t\t\t#define ENVMAP_TYPE_CUBE_UV\n\t\t\t#include <cube_uv_reflection_fragment>\n\n\t\t\tvec3 getSample( float theta, vec3 axis ) {\n\n\t\t\t\tfloat cosTheta = cos( theta );\n\t\t\t\t// Rodrigues' axis-angle rotation\n\t\t\t\tvec3 sampleDirection = vOutputDirection * cosTheta\n\t\t\t\t\t+ cross( axis, vOutputDirection ) * sin( theta )\n\t\t\t\t\t+ axis * dot( axis, vOutputDirection ) * ( 1.0 - cosTheta );\n\n\t\t\t\treturn bilinearCubeUV( envMap, sampleDirection, mipInt );\n\n\t\t\t}\n\n\t\t\tvoid main() {\n\n\t\t\t\tvec3 axis = latitudinal ? poleAxis : cross( poleAxis, vOutputDirection );\n\n\t\t\t\tif ( all( equal( axis, vec3( 0.0 ) ) ) ) {\n\n\t\t\t\t\taxis = vec3( vOutputDirection.z, 0.0, - vOutputDirection.x );\n\n\t\t\t\t}\n\n\t\t\t\taxis = normalize( axis );\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t\t\t\tgl_FragColor.rgb += weights[ 0 ] * getSample( 0.0, axis );\n\n\t\t\t\tfor ( int i = 1; i < n; i++ ) {\n\n\t\t\t\t\tif ( i >= samples ) {\n\n\t\t\t\t\t\tbreak;\n\n\t\t\t\t\t}\n\n\t\t\t\t\tfloat theta = dTheta * float( i );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( -1.0 * theta, axis );\n\t\t\t\t\tgl_FragColor.rgb += weights[ i ] * getSample( theta, axis );\n\n\t\t\t\t}\n\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:E,depthTest:!1,depthWrite:!1})}(ch),this._equirectShader=null,this._cubemapShader=null,this._compileMaterial(this._blurMaterial)}fromScene(t,n=0,r=.1,a=100){yh=this._renderer.getRenderTarget();const s=this._allocateTargets();return this._sceneToCubeUV(t,r,a,s),n>0&&this._blur(s,0,0,n),this._applyPMREM(s),this._cleanup(s),s}fromEquirectangular(t){return this._fromTexture(t)}fromCubemap(t){return this._fromTexture(t)}compileCubemapShader(){null===this._cubemapShader&&(this._cubemapShader=Ah(),this._compileMaterial(this._cubemapShader))}compileEquirectangularShader(){null===this._equirectShader&&(this._equirectShader=Ch(),this._compileMaterial(this._equirectShader))}dispose(){this._blurMaterial.dispose(),null!==this._cubemapShader&&this._cubemapShader.dispose(),null!==this._equirectShader&&this._equirectShader.dispose();for(let t=0;t<fh.length;t++)fh[t].dispose()}_cleanup(t){this._pingPongRenderTarget.dispose(),this._renderer.setRenderTarget(yh),t.scissorTest=!1,Eh(t,0,0,t.width,t.height)}_fromTexture(t){yh=this._renderer.getRenderTarget();const n=this._allocateTargets(t);return this._textureToCubeUV(t,n),this._applyPMREM(n),this._cleanup(n),n}_allocateTargets(t){const n={magFilter:Ae,minFilter:Ae,generateMipmaps:!1,type:Be,format:tt,encoding:_h(t)?t.encoding:pi,depthBuffer:!1},r=Th(n);return r.depthBuffer=!t,this._pingPongRenderTarget=Th(n),r}_compileMaterial(t){const n=new so(fh[0],t);this._renderer.compile(n,ph)}_sceneToCubeUV(t,n,r,a){const s=new vo(90,1,n,r),l=[1,-1,1,1,1,1],d=[1,1,1,-1,-1,-1],h=this._renderer,p=h.autoClear,f=h.outputEncoding,m=h.toneMapping;h.getClearColor(vh),h.toneMapping=he,h.outputEncoding=di,h.autoClear=!1;let g=!1;const v=t.background;if(v){if(v.isColor){uh.color.copy(v).convertSRGBToLinear(),t.background=null;const n=Sh(uh.color);uh.opacity=n,g=!0}}else{uh.color.copy(vh).convertSRGBToLinear();const t=Sh(uh.color);uh.opacity=t,g=!0}for(let n=0;n<6;n++){const r=n%3;0==r?(s.up.set(0,l[n],0),s.lookAt(d[n],0,0)):1==r?(s.up.set(0,0,l[n]),s.lookAt(0,d[n],0)):(s.up.set(0,l[n],0),s.lookAt(0,0,d[n])),Eh(a,r*ah,n>2?ah:0,ah,ah),h.setRenderTarget(a),g&&h.render(hh,s),h.render(t,s)}h.toneMapping=m,h.outputEncoding=f,h.autoClear=p}_textureToCubeUV(t,n){const r=this._renderer;t.isCubeTexture?null==this._cubemapShader&&(this._cubemapShader=Ah()):null==this._equirectShader&&(this._equirectShader=Ch());const a=t.isCubeTexture?this._cubemapShader:this._equirectShader,s=new so(fh[0],a),l=a.uniforms;l.envMap.value=t,t.isCubeTexture||l.texelSize.value.set(1/t.image.width,1/t.image.height),l.inputEncoding.value=dh[t.encoding],l.outputEncoding.value=dh[n.texture.encoding],Eh(n,0,0,3*ah,2*ah),r.setRenderTarget(n),r.render(s,ph)}_applyPMREM(t){const n=this._renderer,r=n.autoClear;n.autoClear=!1;for(let n=1;n<lh;n++){const r=Math.sqrt(gh[n]*gh[n]-gh[n-1]*gh[n-1]),a=wh[(n-1)%wh.length];this._blur(t,n-1,n,r,a)}n.autoClear=r}_blur(t,n,r,a,s){const l=this._pingPongRenderTarget;this._halfBlur(t,l,n,r,a,"latitudinal",s),this._halfBlur(l,t,r,r,a,"longitudinal",s)}_halfBlur(t,n,r,s,l,d,h){const p=this._renderer,f=this._blurMaterial;"latitudinal"!==d&&"longitudinal"!==d&&a.error("blur direction must be either latitudinal or longitudinal!");const m=new so(fh[s],f),g=f.uniforms,v=mh[r]-1,y=isFinite(l)?Math.PI/(2*v):2*Math.PI/39,b=l/y,x=isFinite(l)?1+Math.floor(3*b):ch;x>ch&&a.warn(`sigmaRadians, ${l}, is too large and will clip, as it requested ${x} samples when the maximum is set to 20`);const w=[];let S=0;for(let t=0;t<ch;++t){const n=t/b,r=Math.exp(-n*n/2);w.push(r),0==t?S+=r:t<x&&(S+=2*r)}for(let t=0;t<w.length;t++)w[t]=w[t]/S;g.envMap.value=t.texture,g.samples.value=x,g.weights.value=w,g.latitudinal.value="latitudinal"===d,h&&(g.poleAxis.value=h),g.dTheta.value=y,g.mipInt.value=8-r,g.inputEncoding.value=dh[t.texture.encoding],g.outputEncoding.value=dh[t.texture.encoding];const _=mh[s];Eh(n,3*Math.max(0,ah-2*_),(0===s?0:2*ah)+2*_*(s>4?s-8+4:0),3*_,2*_),p.setRenderTarget(n),p.render(m,ph)}}function _h(t){return void 0!==t&&t.type===Be&&(t.encoding===di||t.encoding===ui||t.encoding===hi)}function Mh(){const t=[],n=[],r=[];let a=8;for(let s=0;s<lh;s++){const l=Math.pow(2,a);n.push(l);let d=1/l;s>4?d=sh[s-8+4-1]:0==s&&(d=0),r.push(d);const h=1/(l-1),p=-h/2,f=1+h/2,m=[p,p,f,p,f,f,p,p,f,f,p,f],g=6,v=6,y=3,b=2,x=1,w=new Float32Array(y*v*g),S=new Float32Array(b*v*g),_=new Float32Array(x*v*g);for(let t=0;t<g;t++){const n=t%3*2/3-1,r=t>2?0:-1,a=[n,r,0,n+2/3,r,0,n+2/3,r+1,0,n,r,0,n+2/3,r+1,0,n,r+1,0];w.set(a,y*v*t),S.set(m,b*v*t);const s=[t,t,t,t,t,t];_.set(s,x*v*t)}const T=new Ur;T.setAttribute("position",new Sr(w,y)),T.setAttribute("uv",new Sr(S,b)),T.setAttribute("faceIndex",new Sr(_,x)),t.push(T),a>4&&a--}return{_lodPlanes:t,_sizeLods:n,_sigmas:r}}function Th(t){const n=new WebGLRenderTarget(3*ah,3*ah,t);return n.texture.mapping=_e,n.texture.name="PMREM.cubeUv",n.scissorTest=!0,n}function Eh(t,n,r,a,s){t.viewport.set(n,r,a,s),t.scissor.set(n,r,a,s)}function Ch(){return new wc({name:"EquirectangularToCubeUV",uniforms:{envMap:{value:null},texelSize:{value:new Vector2(1,1)},inputEncoding:{value:dh[di]},outputEncoding:{value:dh[di]}},vertexShader:kh(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform sampler2D envMap;\n\t\t\tuniform vec2 texelSize;\n\n\t\t\t${Oh()}\n\n\t\t\t#include <common>\n\n\t\t\tvoid main() {\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\n\t\t\t\tvec3 outputDirection = normalize( vOutputDirection );\n\t\t\t\tvec2 uv = equirectUv( outputDirection );\n\n\t\t\t\tvec2 f = fract( uv / texelSize - 0.5 );\n\t\t\t\tuv -= f * texelSize;\n\t\t\t\tvec3 tl = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.x += texelSize.x;\n\t\t\t\tvec3 tr = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.y += texelSize.y;\n\t\t\t\tvec3 br = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\t\t\t\tuv.x -= texelSize.x;\n\t\t\t\tvec3 bl = envMapTexelToLinear( texture2D ( envMap, uv ) ).rgb;\n\n\t\t\t\tvec3 tm = mix( tl, tr, f.x );\n\t\t\t\tvec3 bm = mix( bl, br, f.x );\n\t\t\t\tgl_FragColor.rgb = mix( tm, bm, f.y );\n\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:E,depthTest:!1,depthWrite:!1})}function Ah(){return new wc({name:"CubemapToCubeUV",uniforms:{envMap:{value:null},inputEncoding:{value:dh[di]},outputEncoding:{value:dh[di]}},vertexShader:kh(),fragmentShader:`\n\n\t\t\tprecision mediump float;\n\t\t\tprecision mediump int;\n\n\t\t\tvarying vec3 vOutputDirection;\n\n\t\t\tuniform samplerCube envMap;\n\n\t\t\t${Oh()}\n\n\t\t\tvoid main() {\n\n\t\t\t\tgl_FragColor = vec4( 0.0, 0.0, 0.0, 1.0 );\n\t\t\t\tgl_FragColor.rgb = envMapTexelToLinear( textureCube( envMap, vec3( - vOutputDirection.x, vOutputDirection.yz ) ) ).rgb;\n\t\t\t\tgl_FragColor = linearToOutputTexel( gl_FragColor );\n\n\t\t\t}\n\t\t`,blending:E,depthTest:!1,depthWrite:!1})}function kh(){return"\n\n\t\tprecision mediump float;\n\t\tprecision mediump int;\n\n\t\tattribute vec3 position;\n\t\tattribute vec2 uv;\n\t\tattribute float faceIndex;\n\n\t\tvarying vec3 vOutputDirection;\n\n\t\t// RH coordinate system; PMREM face-indexing convention\n\t\tvec3 getDirection( vec2 uv, float face ) {\n\n\t\t\tuv = 2.0 * uv - 1.0;\n\n\t\t\tvec3 direction = vec3( uv, 1.0 );\n\n\t\t\tif ( face == 0.0 ) {\n\n\t\t\t\tdirection = direction.zyx; // ( 1, v, u ) pos x\n\n\t\t\t} else if ( face == 1.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xz *= -1.0; // ( -u, 1, -v ) pos y\n\n\t\t\t} else if ( face == 2.0 ) {\n\n\t\t\t\tdirection.x *= -1.0; // ( -u, v, 1 ) pos z\n\n\t\t\t} else if ( face == 3.0 ) {\n\n\t\t\t\tdirection = direction.zyx;\n\t\t\t\tdirection.xz *= -1.0; // ( -1, v, -u ) neg x\n\n\t\t\t} else if ( face == 4.0 ) {\n\n\t\t\t\tdirection = direction.xzy;\n\t\t\t\tdirection.xy *= -1.0; // ( -u, -1, v ) neg y\n\n\t\t\t} else if ( face == 5.0 ) {\n\n\t\t\t\tdirection.z *= -1.0; // ( u, v, -1 ) neg z\n\n\t\t\t}\n\n\t\t\treturn direction;\n\n\t\t}\n\n\t\tvoid main() {\n\n\t\t\tvOutputDirection = getDirection( uv, faceIndex );\n\t\t\tgl_Position = vec4( position, 1.0 );\n\n\t\t}\n\t"}function Oh(){return"\n\n\t\tuniform int inputEncoding;\n\t\tuniform int outputEncoding;\n\n\t\t#include <encodings_pars_fragment>\n\n\t\tvec4 inputTexelToLinear( vec4 value ) {\n\n\t\t\tif ( inputEncoding == 0 ) {\n\n\t\t\t\treturn value;\n\n\t\t\t} else if ( inputEncoding == 1 ) {\n\n\t\t\t\treturn sRGBToLinear( value );\n\n\t\t\t} else if ( inputEncoding == 2 ) {\n\n\t\t\t\treturn RGBEToLinear( value );\n\n\t\t\t} else if ( inputEncoding == 3 ) {\n\n\t\t\t\treturn RGBMToLinear( value, 7.0 );\n\n\t\t\t} else if ( inputEncoding == 4 ) {\n\n\t\t\t\treturn RGBMToLinear( value, 16.0 );\n\n\t\t\t} else if ( inputEncoding == 5 ) {\n\n\t\t\t\treturn RGBDToLinear( value, 256.0 );\n\n\t\t\t} else {\n\n\t\t\t\treturn GammaToLinear( value, 2.2 );\n\n\t\t\t}\n\n\t\t}\n\n\t\tvec4 linearToOutputTexel( vec4 value ) {\n\n\t\t\tif ( outputEncoding == 0 ) {\n\n\t\t\t\treturn value;\n\n\t\t\t} else if ( outputEncoding == 1 ) {\n\n\t\t\t\treturn LinearTosRGB( value );\n\n\t\t\t} else if ( outputEncoding == 2 ) {\n\n\t\t\t\treturn LinearToRGBE( value );\n\n\t\t\t} else if ( outputEncoding == 3 ) {\n\n\t\t\t\treturn LinearToRGBM( value, 7.0 );\n\n\t\t\t} else if ( outputEncoding == 4 ) {\n\n\t\t\t\treturn LinearToRGBM( value, 16.0 );\n\n\t\t\t} else if ( outputEncoding == 5 ) {\n\n\t\t\t\treturn LinearToRGBD( value, 256.0 );\n\n\t\t\t} else {\n\n\t\t\t\treturn LinearToGamma( value, 2.2 );\n\n\t\t\t}\n\n\t\t}\n\n\t\tvec4 envMapTexelToLinear( vec4 color ) {\n\n\t\t\treturn inputTexelToLinear( color );\n\n\t\t}\n\t"}function Rh(t,n,r,s,l,d,h){return a.warn("THREE.Face4 has been removed. A THREE.Face3 will be created instead."),new Face3(t,n,r,l,d,h)}const Ih=0,Ph=1,Lh=0,Dh=1,Fh=2;function Nh(t){return a.warn("THREE.MeshFaceMaterial has been removed. Use an Array instead."),t}function Bh(t=[]){return a.warn("THREE.MultiMaterial has been removed. Use an Array instead."),t.isMultiMaterial=!0,t.materials=t,t.clone=function(){return t.slice()},t}function zh(t,n){return a.warn("THREE.PointCloud has been renamed to THREE.Points."),new Pl(t,n)}function $h(t){return a.warn("THREE.Particle has been renamed to THREE.Sprite."),new Ks(t)}function jh(t,n){return a.warn("THREE.ParticleSystem has been renamed to THREE.Points."),new Pl(t,n)}function Vh(t){return a.warn("THREE.PointCloudMaterial has been renamed to THREE.PointsMaterial."),new Al(t)}function Uh(t){return a.warn("THREE.ParticleBasicMaterial has been renamed to THREE.PointsMaterial."),new Al(t)}function Gh(t){return a.warn("THREE.ParticleSystemMaterial has been renamed to THREE.PointsMaterial."),new Al(t)}function Hh(t,n,r){return a.warn("THREE.Vertex has been removed. Use THREE.Vector3 instead."),new Vector3(t,n,r)}function Wh(t,n){return a.warn("THREE.DynamicBufferAttribute has been removed. Use new THREE.BufferAttribute().setUsage( THREE.DynamicDrawUsage ) instead."),new Sr(t,n).setUsage(zi)}function qh(t,n){return a.warn("THREE.Int8Attribute has been removed. Use new THREE.Int8BufferAttribute() instead."),new _r(t,n)}function Xh(t,n){return a.warn("THREE.Uint8Attribute has been removed. Use new THREE.Uint8BufferAttribute() instead."),new Mr(t,n)}function Yh(t,n){return a.warn("THREE.Uint8ClampedAttribute has been removed. Use new THREE.Uint8ClampedBufferAttribute() instead."),new Tr(t,n)}function Zh(t,n){return a.warn("THREE.Int16Attribute has been removed. Use new THREE.Int16BufferAttribute() instead."),new Er(t,n)}function Kh(t,n){return a.warn("THREE.Uint16Attribute has been removed. Use new THREE.Uint16BufferAttribute() instead."),new Cr(t,n)}function Jh(t,n){return a.warn("THREE.Int32Attribute has been removed. Use new THREE.Int32BufferAttribute() instead."),new Ar(t,n)}function Qh(t,n){return a.warn("THREE.Uint32Attribute has been removed. Use new THREE.Uint32BufferAttribute() instead."),new kr(t,n)}function ep(t,n){return a.warn("THREE.Float32Attribute has been removed. Use new THREE.Float32BufferAttribute() instead."),new Rr(t,n)}function tp(t,n){return a.warn("THREE.Float64Attribute has been removed. Use new THREE.Float64BufferAttribute() instead."),new Ir(t,n)}function ip(t){a.warn("THREE.ClosedSplineCurve3 has been deprecated. Use THREE.CatmullRomCurve3 instead."),hd.call(this,t),this.type="catmullrom",this.closed=!0}function np(t){a.warn("THREE.SplineCurve3 has been deprecated. Use THREE.CatmullRomCurve3 instead."),hd.call(this,t),this.type="catmullrom"}function rp(t){a.warn("THREE.Spline has been removed. Use THREE.CatmullRomCurve3 instead."),hd.call(this,t),this.type="catmullrom"}function op(t){return a.warn("THREE.AxisHelper has been renamed to THREE.AxesHelper."),new AxesHelper(t)}function ap(t,n){return a.warn("THREE.BoundingBoxHelper has been deprecated. Creating a THREE.BoxHelper instead."),new BoxHelper(t,n)}function sp(t,n){return a.warn("THREE.EdgesHelper has been removed. Use THREE.EdgesGeometry instead."),new El(new EdgesGeometry(t.geometry),new vl({color:void 0!==n?n:16777215}))}function lp(t,n){return a.warn("THREE.WireframeHelper has been removed. Use THREE.WireframeGeometry instead."),new El(new WireframeGeometry(t.geometry),new vl({color:void 0!==n?n:16777215}))}function cp(t){return a.warn("THREE.XHRLoader has been renamed to THREE.FileLoader."),new Kc(t)}function dp(t){return a.warn("THREE.BinaryTextureLoader has been renamed to THREE.DataTextureLoader."),new id(t)}function up(t,n,r){return a.warn("THREE.WebGLRenderTargetCube( width, height, options ) is now WebGLCubeRenderTarget( size, options )."),new WebGLCubeRenderTarget(t,r)}rd.create=function(t,n){return a.log("THREE.Curve.create() has been deprecated"),t.prototype=Object.create(rd.prototype),t.prototype.constructor=t,t.prototype.getPoint=n,t},Object.assign(Td.prototype,{fromPoints:function(t){return a.warn("THREE.Path: .fromPoints() has been renamed to .setFromPoints()."),this.setFromPoints(t)}}),ip.prototype=Object.create(hd.prototype),np.prototype=Object.create(hd.prototype),rp.prototype=Object.create(hd.prototype),Object.assign(rp.prototype,{initFromArray:function(){a.error("THREE.Spline: .initFromArray() has been removed.")},getControlPointsArray:function(){a.error("THREE.Spline: .getControlPointsArray() has been removed.")},reparametrizeByArcLength:function(){a.error("THREE.Spline: .reparametrizeByArcLength() has been removed.")}}),GridHelper.prototype.setColors=function(){a.error("THREE.GridHelper: setColors() has been deprecated, pass them in the constructor instead.")},SkeletonHelper.prototype.update=function(){a.error("THREE.SkeletonHelper: update() no longer needs to be called.")},Object.assign(Yc.prototype,{extractUrlBase:function(t){return a.warn("THREE.Loader: .extractUrlBase() has been deprecated. Use THREE.LoaderUtils.extractUrlBase() instead."),jd.extractUrlBase(t)}}),Yc.Handlers={add:function(){a.error("THREE.Loader: Handlers.add() has been removed. Use LoadingManager.addHandler() instead.")},get:function(){a.error("THREE.Loader: Handlers.get() has been removed. Use LoadingManager.getHandler() instead.")}},Object.assign(Box2.prototype,{center:function(t){return a.warn("THREE.Box2: .center() has been renamed to .getCenter()."),this.getCenter(t)},empty:function(){return a.warn("THREE.Box2: .empty() has been renamed to .isEmpty()."),this.isEmpty()},isIntersectionBox:function(t){return a.warn("THREE.Box2: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},size:function(t){return a.warn("THREE.Box2: .size() has been renamed to .getSize()."),this.getSize(t)}}),Object.assign(Box3.prototype,{center:function(t){return a.warn("THREE.Box3: .center() has been renamed to .getCenter()."),this.getCenter(t)},empty:function(){return a.warn("THREE.Box3: .empty() has been renamed to .isEmpty()."),this.isEmpty()},isIntersectionBox:function(t){return a.warn("THREE.Box3: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},isIntersectionSphere:function(t){return a.warn("THREE.Box3: .isIntersectionSphere() has been renamed to .intersectsSphere()."),this.intersectsSphere(t)},size:function(t){return a.warn("THREE.Box3: .size() has been renamed to .getSize()."),this.getSize(t)}}),Object.assign(Sphere.prototype,{empty:function(){return a.warn("THREE.Sphere: .empty() has been renamed to .isEmpty()."),this.isEmpty()}}),Frustum.prototype.setFromMatrix=function(t){return a.warn("THREE.Frustum: .setFromMatrix() has been renamed to .setFromProjectionMatrix()."),this.setFromProjectionMatrix(t)},Line3.prototype.center=function(t){return a.warn("THREE.Line3: .center() has been renamed to .getCenter()."),this.getCenter(t)},Object.assign(Ji,{random16:function(){return a.warn("THREE.Math: .random16() has been deprecated. Use Math.random() instead."),Math.random()},nearestPowerOfTwo:function(t){return a.warn("THREE.Math: .nearestPowerOfTwo() has been renamed to .floorPowerOfTwo()."),Ji.floorPowerOfTwo(t)},nextPowerOfTwo:function(t){return a.warn("THREE.Math: .nextPowerOfTwo() has been renamed to .ceilPowerOfTwo()."),Ji.ceilPowerOfTwo(t)}}),Object.assign(Matrix3.prototype,{flattenToArrayOffset:function(t,n){return a.warn("THREE.Matrix3: .flattenToArrayOffset() has been deprecated. Use .toArray() instead."),this.toArray(t,n)},multiplyVector3:function(t){return a.warn("THREE.Matrix3: .multiplyVector3() has been removed. Use vector.applyMatrix3( matrix ) instead."),t.applyMatrix3(this)},multiplyVector3Array:function(){a.error("THREE.Matrix3: .multiplyVector3Array() has been removed.")},applyToBufferAttribute:function(t){return a.warn("THREE.Matrix3: .applyToBufferAttribute() has been removed. Use attribute.applyMatrix3( matrix ) instead."),t.applyMatrix3(this)},applyToVector3Array:function(){a.error("THREE.Matrix3: .applyToVector3Array() has been removed.")},getInverse:function(t){return a.warn("THREE.Matrix3: .getInverse() has been removed. Use matrixInv.copy( matrix ).invert(); instead."),this.copy(t).invert()}}),Object.assign(Matrix4.prototype,{extractPosition:function(t){return a.warn("THREE.Matrix4: .extractPosition() has been renamed to .copyPosition()."),this.copyPosition(t)},flattenToArrayOffset:function(t,n){return a.warn("THREE.Matrix4: .flattenToArrayOffset() has been deprecated. Use .toArray() instead."),this.toArray(t,n)},getPosition:function(){return a.warn("THREE.Matrix4: .getPosition() has been removed. Use Vector3.setFromMatrixPosition( matrix ) instead."),(new Vector3).setFromMatrixColumn(this,3)},setRotationFromQuaternion:function(t){return a.warn("THREE.Matrix4: .setRotationFromQuaternion() has been renamed to .makeRotationFromQuaternion()."),this.makeRotationFromQuaternion(t)},multiplyToArray:function(){a.warn("THREE.Matrix4: .multiplyToArray() has been removed.")},multiplyVector3:function(t){return a.warn("THREE.Matrix4: .multiplyVector3() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},multiplyVector4:function(t){return a.warn("THREE.Matrix4: .multiplyVector4() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},multiplyVector3Array:function(){a.error("THREE.Matrix4: .multiplyVector3Array() has been removed.")},rotateAxis:function(t){a.warn("THREE.Matrix4: .rotateAxis() has been removed. Use Vector3.transformDirection( matrix ) instead."),t.transformDirection(this)},crossVector:function(t){return a.warn("THREE.Matrix4: .crossVector() has been removed. Use vector.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},translate:function(){a.error("THREE.Matrix4: .translate() has been removed.")},rotateX:function(){a.error("THREE.Matrix4: .rotateX() has been removed.")},rotateY:function(){a.error("THREE.Matrix4: .rotateY() has been removed.")},rotateZ:function(){a.error("THREE.Matrix4: .rotateZ() has been removed.")},rotateByAxis:function(){a.error("THREE.Matrix4: .rotateByAxis() has been removed.")},applyToBufferAttribute:function(t){return a.warn("THREE.Matrix4: .applyToBufferAttribute() has been removed. Use attribute.applyMatrix4( matrix ) instead."),t.applyMatrix4(this)},applyToVector3Array:function(){a.error("THREE.Matrix4: .applyToVector3Array() has been removed.")},makeFrustum:function(t,n,r,s,l,d){return a.warn("THREE.Matrix4: .makeFrustum() has been removed. Use .makePerspective( left, right, top, bottom, near, far ) instead."),this.makePerspective(t,n,s,r,l,d)},getInverse:function(t){return a.warn("THREE.Matrix4: .getInverse() has been removed. Use matrixInv.copy( matrix ).invert(); instead."),this.copy(t).invert()}}),Plane.prototype.isIntersectionLine=function(t){return a.warn("THREE.Plane: .isIntersectionLine() has been renamed to .intersectsLine()."),this.intersectsLine(t)},Object.assign(Quaternion.prototype,{multiplyVector3:function(t){return a.warn("THREE.Quaternion: .multiplyVector3() has been removed. Use is now vector.applyQuaternion( quaternion ) instead."),t.applyQuaternion(this)},inverse:function(){return a.warn("THREE.Quaternion: .inverse() has been renamed to invert()."),this.invert()}}),Object.assign(Ray.prototype,{isIntersectionBox:function(t){return a.warn("THREE.Ray: .isIntersectionBox() has been renamed to .intersectsBox()."),this.intersectsBox(t)},isIntersectionPlane:function(t){return a.warn("THREE.Ray: .isIntersectionPlane() has been renamed to .intersectsPlane()."),this.intersectsPlane(t)},isIntersectionSphere:function(t){return a.warn("THREE.Ray: .isIntersectionSphere() has been renamed to .intersectsSphere()."),this.intersectsSphere(t)}}),Object.assign(Triangle.prototype,{area:function(){return a.warn("THREE.Triangle: .area() has been renamed to .getArea()."),this.getArea()},barycoordFromPoint:function(t,n){return a.warn("THREE.Triangle: .barycoordFromPoint() has been renamed to .getBarycoord()."),this.getBarycoord(t,n)},midpoint:function(t){return a.warn("THREE.Triangle: .midpoint() has been renamed to .getMidpoint()."),this.getMidpoint(t)},normal:function(t){return a.warn("THREE.Triangle: .normal() has been renamed to .getNormal()."),this.getNormal(t)},plane:function(t){return a.warn("THREE.Triangle: .plane() has been renamed to .getPlane()."),this.getPlane(t)}}),Object.assign(Triangle,{barycoordFromPoint:function(t,n,r,s,l){return a.warn("THREE.Triangle: .barycoordFromPoint() has been renamed to .getBarycoord()."),Triangle.getBarycoord(t,n,r,s,l)},normal:function(t,n,r,s){return a.warn("THREE.Triangle: .normal() has been renamed to .getNormal()."),Triangle.getNormal(t,n,r,s)}}),Object.assign(Ed.prototype,{extractAllPoints:function(t){return a.warn("THREE.Shape: .extractAllPoints() has been removed. Use .extractPoints() instead."),this.extractPoints(t)},extrude:function(t){return a.warn("THREE.Shape: .extrude() has been removed. Use ExtrudeGeometry() instead."),new ExtrudeGeometry(this,t)},makeGeometry:function(t){return a.warn("THREE.Shape: .makeGeometry() has been removed. Use ShapeGeometry() instead."),new ShapeGeometry(this,t)}}),Object.assign(Vector2.prototype,{fromAttribute:function(t,n,r){return a.warn("THREE.Vector2: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},distanceToManhattan:function(t){return a.warn("THREE.Vector2: .distanceToManhattan() has been renamed to .manhattanDistanceTo()."),this.manhattanDistanceTo(t)},lengthManhattan:function(){return a.warn("THREE.Vector2: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Vector3.prototype,{setEulerFromRotationMatrix:function(){a.error("THREE.Vector3: .setEulerFromRotationMatrix() has been removed. Use Euler.setFromRotationMatrix() instead.")},setEulerFromQuaternion:function(){a.error("THREE.Vector3: .setEulerFromQuaternion() has been removed. Use Euler.setFromQuaternion() instead.")},getPositionFromMatrix:function(t){return a.warn("THREE.Vector3: .getPositionFromMatrix() has been renamed to .setFromMatrixPosition()."),this.setFromMatrixPosition(t)},getScaleFromMatrix:function(t){return a.warn("THREE.Vector3: .getScaleFromMatrix() has been renamed to .setFromMatrixScale()."),this.setFromMatrixScale(t)},getColumnFromMatrix:function(t,n){return a.warn("THREE.Vector3: .getColumnFromMatrix() has been renamed to .setFromMatrixColumn()."),this.setFromMatrixColumn(n,t)},applyProjection:function(t){return a.warn("THREE.Vector3: .applyProjection() has been removed. Use .applyMatrix4( m ) instead."),this.applyMatrix4(t)},fromAttribute:function(t,n,r){return a.warn("THREE.Vector3: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},distanceToManhattan:function(t){return a.warn("THREE.Vector3: .distanceToManhattan() has been renamed to .manhattanDistanceTo()."),this.manhattanDistanceTo(t)},lengthManhattan:function(){return a.warn("THREE.Vector3: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Vector4.prototype,{fromAttribute:function(t,n,r){return a.warn("THREE.Vector4: .fromAttribute() has been renamed to .fromBufferAttribute()."),this.fromBufferAttribute(t,n,r)},lengthManhattan:function(){return a.warn("THREE.Vector4: .lengthManhattan() has been renamed to .manhattanLength()."),this.manhattanLength()}}),Object.assign(Kn.prototype,{getChildByName:function(t){return a.warn("THREE.Object3D: .getChildByName() has been renamed to .getObjectByName()."),this.getObjectByName(t)},renderDepth:function(){a.warn("THREE.Object3D: .renderDepth has been removed. Use .renderOrder, instead.")},translate:function(t,n){return a.warn("THREE.Object3D: .translate() has been removed. Use .translateOnAxis( axis, distance ) instead."),this.translateOnAxis(n,t)},getWorldRotation:function(){a.error("THREE.Object3D: .getWorldRotation() has been removed. Use THREE.Object3D.getWorldQuaternion( target ) instead.")},applyMatrix:function(t){return a.warn("THREE.Object3D: .applyMatrix() has been renamed to .applyMatrix4()."),this.applyMatrix4(t)}}),Object.defineProperties(Kn.prototype,{eulerOrder:{get:function(){return a.warn("THREE.Object3D: .eulerOrder is now .rotation.order."),this.rotation.order},set:function(t){a.warn("THREE.Object3D: .eulerOrder is now .rotation.order."),this.rotation.order=t}},useQuaternion:{get:function(){a.warn("THREE.Object3D: .useQuaternion has been removed. The library now uses quaternions by default.")},set:function(){a.warn("THREE.Object3D: .useQuaternion has been removed. The library now uses quaternions by default.")}}}),Object.assign(so.prototype,{setDrawMode:function(){a.error("THREE.Mesh: .setDrawMode() has been removed. The renderer now always assumes THREE.TrianglesDrawMode. Transform your geometry via BufferGeometryUtils.toTrianglesDrawMode() if necessary.")}}),Object.defineProperties(so.prototype,{drawMode:{get:function(){return a.error("THREE.Mesh: .drawMode has been removed. The renderer now always assumes THREE.TrianglesDrawMode."),si},set:function(){a.error("THREE.Mesh: .drawMode has been removed. The renderer now always assumes THREE.TrianglesDrawMode. Transform your geometry via BufferGeometryUtils.toTrianglesDrawMode() if necessary.")}}}),Object.defineProperties(tl.prototype,{objects:{get:function(){return a.warn("THREE.LOD: .objects has been renamed to .levels."),this.levels}}}),Object.defineProperty(ul.prototype,"useVertexTexture",{get:function(){a.warn("THREE.Skeleton: useVertexTexture has been removed.")},set:function(){a.warn("THREE.Skeleton: useVertexTexture has been removed.")}}),sl.prototype.initBones=function(){a.error("THREE.SkinnedMesh: initBones() has been removed.")},Object.defineProperty(rd.prototype,"__arcLengthDivisions",{get:function(){return a.warn("THREE.Curve: .__arcLengthDivisions is now .arcLengthDivisions."),this.arcLengthDivisions},set:function(t){a.warn("THREE.Curve: .__arcLengthDivisions is now .arcLengthDivisions."),this.arcLengthDivisions=t}}),vo.prototype.setLens=function(t,n){a.warn("THREE.PerspectiveCamera.setLens is deprecated. Use .setFocalLength and .filmGauge for a photographic setup."),void 0!==n&&(this.filmGauge=n),this.setFocalLength(t)},Object.defineProperties(Cd.prototype,{onlyShadow:{set:function(){a.warn("THREE.Light: .onlyShadow has been removed.")}},shadowCameraFov:{set:function(t){a.warn("THREE.Light: .shadowCameraFov is now .shadow.camera.fov."),this.shadow.camera.fov=t}},shadowCameraLeft:{set:function(t){a.warn("THREE.Light: .shadowCameraLeft is now .shadow.camera.left."),this.shadow.camera.left=t}},shadowCameraRight:{set:function(t){a.warn("THREE.Light: .shadowCameraRight is now .shadow.camera.right."),this.shadow.camera.right=t}},shadowCameraTop:{set:function(t){a.warn("THREE.Light: .shadowCameraTop is now .shadow.camera.top."),this.shadow.camera.top=t}},shadowCameraBottom:{set:function(t){a.warn("THREE.Light: .shadowCameraBottom is now .shadow.camera.bottom."),this.shadow.camera.bottom=t}},shadowCameraNear:{set:function(t){a.warn("THREE.Light: .shadowCameraNear is now .shadow.camera.near."),this.shadow.camera.near=t}},shadowCameraFar:{set:function(t){a.warn("THREE.Light: .shadowCameraFar is now .shadow.camera.far."),this.shadow.camera.far=t}},shadowCameraVisible:{set:function(){a.warn("THREE.Light: .shadowCameraVisible has been removed. Use new THREE.CameraHelper( light.shadow.camera ) instead.")}},shadowBias:{set:function(t){a.warn("THREE.Light: .shadowBias is now .shadow.bias."),this.shadow.bias=t}},shadowDarkness:{set:function(){a.warn("THREE.Light: .shadowDarkness has been removed.")}},shadowMapWidth:{set:function(t){a.warn("THREE.Light: .shadowMapWidth is now .shadow.mapSize.width."),this.shadow.mapSize.width=t}},shadowMapHeight:{set:function(t){a.warn("THREE.Light: .shadowMapHeight is now .shadow.mapSize.height."),this.shadow.mapSize.height=t}}}),Object.defineProperties(Sr.prototype,{length:{get:function(){return a.warn("THREE.BufferAttribute: .length has been deprecated. Use .count instead."),this.array.length}},dynamic:{get:function(){return a.warn("THREE.BufferAttribute: .dynamic has been deprecated. Use .usage instead."),this.usage===zi},set:function(){a.warn("THREE.BufferAttribute: .dynamic has been deprecated. Use .usage instead."),this.setUsage(zi)}}}),Object.assign(Sr.prototype,{setDynamic:function(t){return a.warn("THREE.BufferAttribute: .setDynamic() has been deprecated. Use .setUsage() instead."),this.setUsage(!0===t?zi:Bi),this},copyIndicesArray:function(){a.error("THREE.BufferAttribute: .copyIndicesArray() has been removed.")},setArray:function(){a.error("THREE.BufferAttribute: .setArray has been removed. Use BufferGeometry .setAttribute to replace/resize attribute buffers")}}),Object.assign(Ur.prototype,{addIndex:function(t){a.warn("THREE.BufferGeometry: .addIndex() has been renamed to .setIndex()."),this.setIndex(t)},addAttribute:function(t,n){return a.warn("THREE.BufferGeometry: .addAttribute() has been renamed to .setAttribute()."),n&&n.isBufferAttribute||n&&n.isInterleavedBufferAttribute?"index"===t?(a.warn("THREE.BufferGeometry.addAttribute: Use .setIndex() for index attribute."),this.setIndex(n),this):this.setAttribute(t,n):(a.warn("THREE.BufferGeometry: .addAttribute() now expects ( name, attribute )."),this.setAttribute(t,new Sr(arguments[1],arguments[2])))},addDrawCall:function(t,n,r){void 0!==r&&a.warn("THREE.BufferGeometry: .addDrawCall() no longer supports indexOffset."),a.warn("THREE.BufferGeometry: .addDrawCall() is now .addGroup()."),this.addGroup(t,n)},clearDrawCalls:function(){a.warn("THREE.BufferGeometry: .clearDrawCalls() is now .clearGroups()."),this.clearGroups()},computeOffsets:function(){a.warn("THREE.BufferGeometry: .computeOffsets() has been removed.")},removeAttribute:function(t){return a.warn("THREE.BufferGeometry: .removeAttribute() has been renamed to .deleteAttribute()."),this.deleteAttribute(t)},applyMatrix:function(t){return a.warn("THREE.BufferGeometry: .applyMatrix() has been renamed to .applyMatrix4()."),this.applyMatrix4(t)}}),Object.defineProperties(Ur.prototype,{drawcalls:{get:function(){return a.error("THREE.BufferGeometry: .drawcalls has been renamed to .groups."),this.groups}},offsets:{get:function(){return a.warn("THREE.BufferGeometry: .offsets has been renamed to .groups."),this.groups}}}),Object.defineProperties(Vd.prototype,{maxInstancedCount:{get:function(){return a.warn("THREE.InstancedBufferGeometry: .maxInstancedCount has been renamed to .instanceCount."),this.instanceCount},set:function(t){a.warn("THREE.InstancedBufferGeometry: .maxInstancedCount has been renamed to .instanceCount."),this.instanceCount=t}}}),Object.defineProperties(Iu.prototype,{linePrecision:{get:function(){return a.warn("THREE.Raycaster: .linePrecision has been deprecated. Use .params.Line.threshold instead."),this.params.Line.threshold},set:function(t){a.warn("THREE.Raycaster: .linePrecision has been deprecated. Use .params.Line.threshold instead."),this.params.Line.threshold=t}}}),Object.defineProperties(Ls.prototype,{dynamic:{get:function(){return a.warn("THREE.InterleavedBuffer: .length has been deprecated. Use .usage instead."),this.usage===zi},set:function(t){a.warn("THREE.InterleavedBuffer: .length has been deprecated. Use .usage instead."),this.setUsage(t)}}}),Object.assign(Ls.prototype,{setDynamic:function(t){return a.warn("THREE.InterleavedBuffer: .setDynamic() has been deprecated. Use .setUsage() instead."),this.setUsage(!0===t?zi:Bi),this},setArray:function(){a.error("THREE.InterleavedBuffer: .setArray has been removed. Use BufferGeometry .setAttribute to replace/resize attribute buffers")}}),Object.assign(ExtrudeGeometry.prototype,{getArrays:function(){a.error("THREE.ExtrudeGeometry: .getArrays() has been removed.")},addShapeList:function(){a.error("THREE.ExtrudeGeometry: .addShapeList() has been removed.")},addShape:function(){a.error("THREE.ExtrudeGeometry: .addShape() has been removed.")}}),Object.assign(Scene.prototype,{dispose:function(){a.error("THREE.Scene: .dispose() has been removed.")}}),Object.defineProperties(Uniform.prototype,{dynamic:{set:function(){a.warn("THREE.Uniform: .dynamic has been removed. Use object.onBeforeRender() instead.")}},onUpdate:{value:function(){return a.warn("THREE.Uniform: .onUpdate() has been removed. Use object.onBeforeRender() instead."),this}}}),Object.defineProperties(yr.prototype,{wrapAround:{get:function(){a.warn("THREE.Material: .wrapAround has been removed.")},set:function(){a.warn("THREE.Material: .wrapAround has been removed.")}},overdraw:{get:function(){a.warn("THREE.Material: .overdraw has been removed.")},set:function(){a.warn("THREE.Material: .overdraw has been removed.")}},wrapRGB:{get:function(){return a.warn("THREE.Material: .wrapRGB has been removed."),new Color}},shading:{get:function(){a.error("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead.")},set:function(t){a.warn("THREE."+this.type+": .shading has been removed. Use the boolean .flatShading instead."),this.flatShading=t===_}},stencilMask:{get:function(){return a.warn("THREE."+this.type+": .stencilMask has been removed. Use .stencilFuncMask instead."),this.stencilFuncMask},set:function(t){a.warn("THREE."+this.type+": .stencilMask has been removed. Use .stencilFuncMask instead."),this.stencilFuncMask=t}}}),Object.defineProperties(Mc.prototype,{metal:{get:function(){return a.warn("THREE.MeshPhongMaterial: .metal has been removed. Use THREE.MeshStandardMaterial instead."),!1},set:function(){a.warn("THREE.MeshPhongMaterial: .metal has been removed. Use THREE.MeshStandardMaterial instead")}}}),Object.defineProperties(_c.prototype,{transparency:{get:function(){return a.warn("THREE.MeshPhysicalMaterial: .transparency has been renamed to .transmission."),this.transmission},set:function(t){a.warn("THREE.MeshPhysicalMaterial: .transparency has been renamed to .transmission."),this.transmission=t}}}),Object.defineProperties(mo.prototype,{derivatives:{get:function(){return a.warn("THREE.ShaderMaterial: .derivatives has been moved to .extensions.derivatives."),this.extensions.derivatives},set:function(t){a.warn("THREE. ShaderMaterial: .derivatives has been moved to .extensions.derivatives."),this.extensions.derivatives=t}}}),Object.assign(Is.prototype,{clearTarget:function(t,n,r,s){a.warn("THREE.WebGLRenderer: .clearTarget() has been deprecated. Use .setRenderTarget() and .clear() instead."),this.setRenderTarget(t),this.clear(n,r,s)},animate:function(t){a.warn("THREE.WebGLRenderer: .animate() is now .setAnimationLoop()."),this.setAnimationLoop(t)},getCurrentRenderTarget:function(){return a.warn("THREE.WebGLRenderer: .getCurrentRenderTarget() is now .getRenderTarget()."),this.getRenderTarget()},getMaxAnisotropy:function(){return a.warn("THREE.WebGLRenderer: .getMaxAnisotropy() is now .capabilities.getMaxAnisotropy()."),this.capabilities.getMaxAnisotropy()},getPrecision:function(){return a.warn("THREE.WebGLRenderer: .getPrecision() is now .capabilities.precision."),this.capabilities.precision},resetGLState:function(){return a.warn("THREE.WebGLRenderer: .resetGLState() is now .state.reset()."),this.state.reset()},supportsFloatTextures:function(){return a.warn("THREE.WebGLRenderer: .supportsFloatTextures() is now .extensions.get( 'OES_texture_float' )."),this.extensions.get("OES_texture_float")},supportsHalfFloatTextures:function(){return a.warn("THREE.WebGLRenderer: .supportsHalfFloatTextures() is now .extensions.get( 'OES_texture_half_float' )."),this.extensions.get("OES_texture_half_float")},supportsStandardDerivatives:function(){return a.warn("THREE.WebGLRenderer: .supportsStandardDerivatives() is now .extensions.get( 'OES_standard_derivatives' )."),this.extensions.get("OES_standard_derivatives")},supportsCompressedTextureS3TC:function(){return a.warn("THREE.WebGLRenderer: .supportsCompressedTextureS3TC() is now .extensions.get( 'WEBGL_compressed_texture_s3tc' )."),this.extensions.get("WEBGL_compressed_texture_s3tc")},supportsCompressedTexturePVRTC:function(){return a.warn("THREE.WebGLRenderer: .supportsCompressedTexturePVRTC() is now .extensions.get( 'WEBGL_compressed_texture_pvrtc' )."),this.extensions.get("WEBGL_compressed_texture_pvrtc")},supportsBlendMinMax:function(){return a.warn("THREE.WebGLRenderer: .supportsBlendMinMax() is now .extensions.get( 'EXT_blend_minmax' )."),this.extensions.get("EXT_blend_minmax")},supportsVertexTextures:function(){return a.warn("THREE.WebGLRenderer: .supportsVertexTextures() is now .capabilities.vertexTextures."),this.capabilities.vertexTextures},supportsInstancedArrays:function(){return a.warn("THREE.WebGLRenderer: .supportsInstancedArrays() is now .extensions.get( 'ANGLE_instanced_arrays' )."),this.extensions.get("ANGLE_instanced_arrays")},enableScissorTest:function(t){a.warn("THREE.WebGLRenderer: .enableScissorTest() is now .setScissorTest()."),this.setScissorTest(t)},initMaterial:function(){a.warn("THREE.WebGLRenderer: .initMaterial() has been removed.")},addPrePlugin:function(){a.warn("THREE.WebGLRenderer: .addPrePlugin() has been removed.")},addPostPlugin:function(){a.warn("THREE.WebGLRenderer: .addPostPlugin() has been removed.")},updateShadowMap:function(){a.warn("THREE.WebGLRenderer: .updateShadowMap() has been removed.")},setFaceCulling:function(){a.warn("THREE.WebGLRenderer: .setFaceCulling() has been removed.")},allocTextureUnit:function(){a.warn("THREE.WebGLRenderer: .allocTextureUnit() has been removed.")},setTexture:function(){a.warn("THREE.WebGLRenderer: .setTexture() has been removed.")},setTexture2D:function(){a.warn("THREE.WebGLRenderer: .setTexture2D() has been removed.")},setTextureCube:function(){a.warn("THREE.WebGLRenderer: .setTextureCube() has been removed.")},getActiveMipMapLevel:function(){return a.warn("THREE.WebGLRenderer: .getActiveMipMapLevel() is now .getActiveMipmapLevel()."),this.getActiveMipmapLevel()}}),Object.defineProperties(Is.prototype,{shadowMapEnabled:{get:function(){return this.shadowMap.enabled},set:function(t){a.warn("THREE.WebGLRenderer: .shadowMapEnabled is now .shadowMap.enabled."),this.shadowMap.enabled=t}},shadowMapType:{get:function(){return this.shadowMap.type},set:function(t){a.warn("THREE.WebGLRenderer: .shadowMapType is now .shadowMap.type."),this.shadowMap.type=t}},shadowMapCullFace:{get:function(){a.warn("THREE.WebGLRenderer: .shadowMapCullFace has been removed. Set Material.shadowSide instead.")},set:function(){a.warn("THREE.WebGLRenderer: .shadowMapCullFace has been removed. Set Material.shadowSide instead.")}},context:{get:function(){return a.warn("THREE.WebGLRenderer: .context has been removed. Use .getContext() instead."),this.getContext()}},vr:{get:function(){return a.warn("THREE.WebGLRenderer: .vr has been renamed to .xr"),this.xr}},gammaInput:{get:function(){return a.warn("THREE.WebGLRenderer: .gammaInput has been removed. Set the encoding for textures via Texture.encoding instead."),!1},set:function(){a.warn("THREE.WebGLRenderer: .gammaInput has been removed. Set the encoding for textures via Texture.encoding instead.")}},gammaOutput:{get:function(){return a.warn("THREE.WebGLRenderer: .gammaOutput has been removed. Set WebGLRenderer.outputEncoding instead."),!1},set:function(t){a.warn("THREE.WebGLRenderer: .gammaOutput has been removed. Set WebGLRenderer.outputEncoding instead."),this.outputEncoding=!0===t?ui:di}},toneMappingWhitePoint:{get:function(){return a.warn("THREE.WebGLRenderer: .toneMappingWhitePoint has been removed."),1},set:function(){a.warn("THREE.WebGLRenderer: .toneMappingWhitePoint has been removed.")}}}),Object.defineProperties(_s.prototype,{cullFace:{get:function(){a.warn("THREE.WebGLRenderer: .shadowMap.cullFace has been removed. Set Material.shadowSide instead.")},set:function(){a.warn("THREE.WebGLRenderer: .shadowMap.cullFace has been removed. Set Material.shadowSide instead.")}},renderReverseSided:{get:function(){a.warn("THREE.WebGLRenderer: .shadowMap.renderReverseSided has been removed. Set Material.shadowSide instead.")},set:function(){a.warn("THREE.WebGLRenderer: .shadowMap.renderReverseSided has been removed. Set Material.shadowSide instead.")}},renderSingleSided:{get:function(){a.warn("THREE.WebGLRenderer: .shadowMap.renderSingleSided has been removed. Set Material.shadowSide instead.")},set:function(){a.warn("THREE.WebGLRenderer: .shadowMap.renderSingleSided has been removed. Set Material.shadowSide instead.")}}}),Object.defineProperties(WebGLRenderTarget.prototype,{wrapS:{get:function(){return a.warn("THREE.WebGLRenderTarget: .wrapS is now .texture.wrapS."),this.texture.wrapS},set:function(t){a.warn("THREE.WebGLRenderTarget: .wrapS is now .texture.wrapS."),this.texture.wrapS=t}},wrapT:{get:function(){return a.warn("THREE.WebGLRenderTarget: .wrapT is now .texture.wrapT."),this.texture.wrapT},set:function(t){a.warn("THREE.WebGLRenderTarget: .wrapT is now .texture.wrapT."),this.texture.wrapT=t}},magFilter:{get:function(){return a.warn("THREE.WebGLRenderTarget: .magFilter is now .texture.magFilter."),this.texture.magFilter},set:function(t){a.warn("THREE.WebGLRenderTarget: .magFilter is now .texture.magFilter."),this.texture.magFilter=t}},minFilter:{get:function(){return a.warn("THREE.WebGLRenderTarget: .minFilter is now .texture.minFilter."),this.texture.minFilter},set:function(t){a.warn("THREE.WebGLRenderTarget: .minFilter is now .texture.minFilter."),this.texture.minFilter=t}},anisotropy:{get:function(){return a.warn("THREE.WebGLRenderTarget: .anisotropy is now .texture.anisotropy."),this.texture.anisotropy},set:function(t){a.warn("THREE.WebGLRenderTarget: .anisotropy is now .texture.anisotropy."),this.texture.anisotropy=t}},offset:{get:function(){return a.warn("THREE.WebGLRenderTarget: .offset is now .texture.offset."),this.texture.offset},set:function(t){a.warn("THREE.WebGLRenderTarget: .offset is now .texture.offset."),this.texture.offset=t}},repeat:{get:function(){return a.warn("THREE.WebGLRenderTarget: .repeat is now .texture.repeat."),this.texture.repeat},set:function(t){a.warn("THREE.WebGLRenderTarget: .repeat is now .texture.repeat."),this.texture.repeat=t}},format:{get:function(){return a.warn("THREE.WebGLRenderTarget: .format is now .texture.format."),this.texture.format},set:function(t){a.warn("THREE.WebGLRenderTarget: .format is now .texture.format."),this.texture.format=t}},type:{get:function(){return a.warn("THREE.WebGLRenderTarget: .type is now .texture.type."),this.texture.type},set:function(t){a.warn("THREE.WebGLRenderTarget: .type is now .texture.type."),this.texture.type=t}},generateMipmaps:{get:function(){return a.warn("THREE.WebGLRenderTarget: .generateMipmaps is now .texture.generateMipmaps."),this.texture.generateMipmaps},set:function(t){a.warn("THREE.WebGLRenderTarget: .generateMipmaps is now .texture.generateMipmaps."),this.texture.generateMipmaps=t}}}),Object.defineProperties(Audio.prototype,{load:{value:function(t){a.warn("THREE.Audio: .load has been deprecated. Use THREE.AudioLoader instead.");const n=this;return(new eu).load(t,(function(t){n.setBuffer(t)})),this}},startTime:{set:function(){a.warn("THREE.Audio: .startTime is now .play( delay ).")}}}),AudioAnalyser.prototype.getData=function(){return a.warn("THREE.AudioAnalyser: .getData() is now .getFrequencyData()."),this.getFrequencyData()},xo.prototype.updateCubeMap=function(t,n){return a.warn("THREE.CubeCamera: .updateCubeMap() is now .update()."),this.update(t,n)},xo.prototype.clear=function(t,n,r,s){return a.warn("THREE.CubeCamera: .clear() is now .renderTarget.clear()."),this.renderTarget.clear(t,n,r,s)};const hp={merge:function(t,n,r){let s;a.warn("THREE.GeometryUtils: .merge() has been moved to Geometry. Use geometry.merge( geometry2, matrix, materialIndexOffset ) instead."),n.isMesh&&(n.matrixAutoUpdate&&n.updateMatrix(),s=n.matrix,n=n.geometry),t.merge(n,s,r)},center:function(t){return a.warn("THREE.GeometryUtils: .center() has been moved to Geometry. Use geometry.center() instead."),t.center()}};function pp(){a.error("THREE.CanvasRenderer has been removed")}function fp(){a.error("THREE.JSONLoader has been removed.")}en.crossOrigin=void 0,en.loadTexture=function(t,n,r,s){a.warn("THREE.ImageUtils.loadTexture has been deprecated. Use THREE.TextureLoader() instead.");const l=new nd;l.setCrossOrigin(this.crossOrigin);const d=l.load(t,r,void 0,s);return n&&(d.mapping=n),d},en.loadTextureCube=function(t,n,r,s){a.warn("THREE.ImageUtils.loadTextureCube has been deprecated. Use THREE.CubeTextureLoader() instead.");const l=new td;l.setCrossOrigin(this.crossOrigin);const d=l.load(t,r,void 0,s);return n&&(d.mapping=n),d},en.loadCompressedTexture=function(){a.error("THREE.ImageUtils.loadCompressedTexture has been removed. Use THREE.DDSLoader instead.")},en.loadCompressedTextureCube=function(){a.error("THREE.ImageUtils.loadCompressedTextureCube has been removed. Use THREE.DDSLoader instead.")};const mp={createMultiMaterialObject:function(){a.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")},detach:function(){a.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")},attach:function(){a.error("THREE.SceneUtils has been moved to /examples/jsm/utils/SceneUtils.js")}};function gp(){a.error("THREE.LensFlare has been moved to /examples/jsm/objects/Lensflare.js")}"undefined"!=typeof __THREE_DEVTOOLS__&&__THREE_DEVTOOLS__.dispatchEvent(new CustomEvent("register",{detail:{revision:s}})),"undefined"!=typeof window&&(window.__THREE__?a.warn("WARNING: Multiple instances of Three.js being imported."):window.__THREE__=s)},2886:(t,n,r)=>{"use strict";r.r(n),r.d(n,{MapControls:()=>d,OrbitControls:()=>l});var a=r(2212),s=r(5108),l=function(t,n){var r,l,d,h,p,f;void 0===n&&s.warn('THREE.OrbitControls: The second parameter "domElement" is now mandatory.'),n===document&&s.error('THREE.OrbitControls: "document" should not be used as the target "domElement". Please use "renderer.domElement" instead.'),this.object=t,this.domElement=n,this.enabled=!0,this.target=new a.Vector3,this.minDistance=0,this.maxDistance=1/0,this.minZoom=0,this.maxZoom=1/0,this.minPolarAngle=0,this.maxPolarAngle=Math.PI,this.minAzimuthAngle=-1/0,this.maxAzimuthAngle=1/0,this.enableDamping=!1,this.dampingFactor=.05,this.enableZoom=!0,this.zoomSpeed=1,this.enableRotate=!0,this.rotateSpeed=1,this.enablePan=!0,this.panSpeed=1,this.screenSpacePanning=!0,this.keyPanSpeed=7,this.autoRotate=!1,this.autoRotateSpeed=2,this.keys={LEFT:37,UP:38,RIGHT:39,BOTTOM:40},this.mouseButtons={LEFT:a.MOUSE.ROTATE,MIDDLE:a.MOUSE.DOLLY,RIGHT:a.MOUSE.PAN},this.touches={ONE:a.TOUCH.ROTATE,TWO:a.TOUCH.DOLLY_PAN},this.target0=this.target.clone(),this.position0=this.object.position.clone(),this.zoom0=this.object.zoom,this._domElementKeyEvents=null,this.getPolarAngle=function(){return S.phi},this.getAzimuthalAngle=function(){return S.theta},this.listenToKeyEvents=function(t){t.addEventListener("keydown",ue),this._domElementKeyEvents=t},this.saveState=function(){m.target0.copy(m.target),m.position0.copy(m.object.position),m.zoom0=m.object.zoom},this.reset=function(){m.target.copy(m.target0),m.object.position.copy(m.position0),m.object.zoom=m.zoom0,m.object.updateProjectionMatrix(),m.dispatchEvent(g),m.update(),x=b.NONE},this.update=(r=new a.Vector3,l=(new a.Quaternion).setFromUnitVectors(t.up,new a.Vector3(0,1,0)),d=l.clone().invert(),h=new a.Vector3,p=new a.Quaternion,f=2*Math.PI,function(){var t=m.object.position;r.copy(t).sub(m.target),r.applyQuaternion(l),S.setFromVector3(r),m.autoRotate&&x===b.NONE&&U(2*Math.PI/60/60*m.autoRotateSpeed),m.enableDamping?(S.theta+=_.theta*m.dampingFactor,S.phi+=_.phi*m.dampingFactor):(S.theta+=_.theta,S.phi+=_.phi);var n=m.minAzimuthAngle,a=m.maxAzimuthAngle;return isFinite(n)&&isFinite(a)&&(n<-Math.PI?n+=f:n>Math.PI&&(n-=f),a<-Math.PI?a+=f:a>Math.PI&&(a-=f),S.theta=n<=a?Math.max(n,Math.min(a,S.theta)):S.theta>(n+a)/2?Math.max(n,S.theta):Math.min(a,S.theta)),S.phi=Math.max(m.minPolarAngle,Math.min(m.maxPolarAngle,S.phi)),S.makeSafe(),S.radius*=T,S.radius=Math.max(m.minDistance,Math.min(m.maxDistance,S.radius)),!0===m.enableDamping?m.target.addScaledVector(E,m.dampingFactor):m.target.add(E),r.setFromSpherical(S),r.applyQuaternion(d),t.copy(m.target).add(r),m.object.lookAt(m.target),!0===m.enableDamping?(_.theta*=1-m.dampingFactor,_.phi*=1-m.dampingFactor,E.multiplyScalar(1-m.dampingFactor)):(_.set(0,0,0),E.set(0,0,0)),T=1,!!(C||h.distanceToSquared(m.object.position)>w||8*(1-p.dot(m.object.quaternion))>w)&&(m.dispatchEvent(g),h.copy(m.object.position),p.copy(m.object.quaternion),C=!1,!0)}),this.dispose=function(){m.domElement.removeEventListener("contextmenu",me),m.domElement.removeEventListener("pointerdown",se),m.domElement.removeEventListener("wheel",de),m.domElement.removeEventListener("touchstart",he),m.domElement.removeEventListener("touchend",fe),m.domElement.removeEventListener("touchmove",pe),m.domElement.ownerDocument.removeEventListener("pointermove",le),m.domElement.ownerDocument.removeEventListener("pointerup",ce),null!==m._domElementKeyEvents&&m._domElementKeyEvents.removeEventListener("keydown",ue)};var m=this,g={type:"change"},v={type:"start"},y={type:"end"},b={NONE:-1,ROTATE:0,DOLLY:1,PAN:2,TOUCH_ROTATE:3,TOUCH_PAN:4,TOUCH_DOLLY_PAN:5,TOUCH_DOLLY_ROTATE:6},x=b.NONE,w=1e-6,S=new a.Spherical,_=new a.Spherical,T=1,E=new a.Vector3,C=!1,A=new a.Vector2,O=new a.Vector2,I=new a.Vector2,P=new a.Vector2,D=new a.Vector2,F=new a.Vector2,B=new a.Vector2,$=new a.Vector2,j=new a.Vector2;function V(){return Math.pow(.95,m.zoomSpeed)}function U(t){_.theta-=t}function G(t){_.phi-=t}var W,q=(W=new a.Vector3,function(t,n){W.setFromMatrixColumn(n,0),W.multiplyScalar(-t),E.add(W)}),X=function(){var t=new a.Vector3;return function(n,r){!0===m.screenSpacePanning?t.setFromMatrixColumn(r,1):(t.setFromMatrixColumn(r,0),t.crossVectors(m.object.up,t)),t.multiplyScalar(n),E.add(t)}}(),Y=function(){var t=new a.Vector3;return function(n,r){var a=m.domElement;if(m.object.isPerspectiveCamera){var l=m.object.position;t.copy(l).sub(m.target);var d=t.length();d*=Math.tan(m.object.fov/2*Math.PI/180),q(2*n*d/a.clientHeight,m.object.matrix),X(2*r*d/a.clientHeight,m.object.matrix)}else m.object.isOrthographicCamera?(q(n*(m.object.right-m.object.left)/m.object.zoom/a.clientWidth,m.object.matrix),X(r*(m.object.top-m.object.bottom)/m.object.zoom/a.clientHeight,m.object.matrix)):(s.warn("WARNING: OrbitControls.js encountered an unknown camera type - pan disabled."),m.enablePan=!1)}}();function K(t){m.object.isPerspectiveCamera?T/=t:m.object.isOrthographicCamera?(m.object.zoom=Math.max(m.minZoom,Math.min(m.maxZoom,m.object.zoom*t)),m.object.updateProjectionMatrix(),C=!0):(s.warn("WARNING: OrbitControls.js encountered an unknown camera type - dolly/zoom disabled."),m.enableZoom=!1)}function J(t){m.object.isPerspectiveCamera?T*=t:m.object.isOrthographicCamera?(m.object.zoom=Math.max(m.minZoom,Math.min(m.maxZoom,m.object.zoom/t)),m.object.updateProjectionMatrix(),C=!0):(s.warn("WARNING: OrbitControls.js encountered an unknown camera type - dolly/zoom disabled."),m.enableZoom=!1)}function Q(t){A.set(t.clientX,t.clientY)}function ee(t){P.set(t.clientX,t.clientY)}function te(t){if(1==t.touches.length)A.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);A.set(n,r)}}function ie(t){if(1==t.touches.length)P.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);P.set(n,r)}}function ne(t){var n=t.touches[0].pageX-t.touches[1].pageX,r=t.touches[0].pageY-t.touches[1].pageY,a=Math.sqrt(n*n+r*r);B.set(0,a)}function re(t){if(1==t.touches.length)O.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);O.set(n,r)}I.subVectors(O,A).multiplyScalar(m.rotateSpeed);var a=m.domElement;U(2*Math.PI*I.x/a.clientHeight),G(2*Math.PI*I.y/a.clientHeight),A.copy(O)}function oe(t){if(1==t.touches.length)D.set(t.touches[0].pageX,t.touches[0].pageY);else{var n=.5*(t.touches[0].pageX+t.touches[1].pageX),r=.5*(t.touches[0].pageY+t.touches[1].pageY);D.set(n,r)}F.subVectors(D,P).multiplyScalar(m.panSpeed),Y(F.x,F.y),P.copy(D)}function ae(t){var n=t.touches[0].pageX-t.touches[1].pageX,r=t.touches[0].pageY-t.touches[1].pageY,a=Math.sqrt(n*n+r*r);$.set(0,a),j.set(0,Math.pow($.y/B.y,m.zoomSpeed)),K(j.y),B.copy($)}function se(t){if(!1!==m.enabled)switch(t.pointerType){case"mouse":case"pen":!function(t){var n;switch(t.preventDefault(),m.domElement.focus?m.domElement.focus():window.focus(),t.button){case 0:n=m.mouseButtons.LEFT;break;case 1:n=m.mouseButtons.MIDDLE;break;case 2:n=m.mouseButtons.RIGHT;break;default:n=-1}switch(n){case a.MOUSE.DOLLY:if(!1===m.enableZoom)return;!function(t){B.set(t.clientX,t.clientY)}(t),x=b.DOLLY;break;case a.MOUSE.ROTATE:if(t.ctrlKey||t.metaKey||t.shiftKey){if(!1===m.enablePan)return;ee(t),x=b.PAN}else{if(!1===m.enableRotate)return;Q(t),x=b.ROTATE}break;case a.MOUSE.PAN:if(t.ctrlKey||t.metaKey||t.shiftKey){if(!1===m.enableRotate)return;Q(t),x=b.ROTATE}else{if(!1===m.enablePan)return;ee(t),x=b.PAN}break;default:x=b.NONE}x!==b.NONE&&(m.domElement.ownerDocument.addEventListener("pointermove",le),m.domElement.ownerDocument.addEventListener("pointerup",ce),m.dispatchEvent(v))}(t)}}function le(t){if(!1!==m.enabled)switch(t.pointerType){case"mouse":case"pen":!function(t){if(!1===m.enabled)return;switch(t.preventDefault(),x){case b.ROTATE:if(!1===m.enableRotate)return;!function(t){O.set(t.clientX,t.clientY),I.subVectors(O,A).multiplyScalar(m.rotateSpeed);var n=m.domElement;U(2*Math.PI*I.x/n.clientHeight),G(2*Math.PI*I.y/n.clientHeight),A.copy(O),m.update()}(t);break;case b.DOLLY:if(!1===m.enableZoom)return;!function(t){$.set(t.clientX,t.clientY),j.subVectors($,B),j.y>0?K(V()):j.y<0&&J(V()),B.copy($),m.update()}(t);break;case b.PAN:if(!1===m.enablePan)return;!function(t){D.set(t.clientX,t.clientY),F.subVectors(D,P).multiplyScalar(m.panSpeed),Y(F.x,F.y),P.copy(D),m.update()}(t)}}(t)}}function ce(t){switch(t.pointerType){case"mouse":case"pen":!function(t){if(m.domElement.ownerDocument.removeEventListener("pointermove",le),m.domElement.ownerDocument.removeEventListener("pointerup",ce),!1===m.enabled)return;m.dispatchEvent(y),x=b.NONE}()}}function de(t){!1===m.enabled||!1===m.enableZoom||x!==b.NONE&&x!==b.ROTATE||(t.preventDefault(),t.stopPropagation(),m.dispatchEvent(v),function(t){t.deltaY<0?J(V()):t.deltaY>0&&K(V()),m.update()}(t),m.dispatchEvent(y))}function ue(t){!1!==m.enabled&&!1!==m.enablePan&&function(t){var n=!1;switch(t.keyCode){case m.keys.UP:Y(0,m.keyPanSpeed),n=!0;break;case m.keys.BOTTOM:Y(0,-m.keyPanSpeed),n=!0;break;case m.keys.LEFT:Y(m.keyPanSpeed,0),n=!0;break;case m.keys.RIGHT:Y(-m.keyPanSpeed,0),n=!0}n&&(t.preventDefault(),m.update())}(t)}function he(t){if(!1!==m.enabled){switch(t.preventDefault(),t.touches.length){case 1:switch(m.touches.ONE){case a.TOUCH.ROTATE:if(!1===m.enableRotate)return;te(t),x=b.TOUCH_ROTATE;break;case a.TOUCH.PAN:if(!1===m.enablePan)return;ie(t),x=b.TOUCH_PAN;break;default:x=b.NONE}break;case 2:switch(m.touches.TWO){case a.TOUCH.DOLLY_PAN:if(!1===m.enableZoom&&!1===m.enablePan)return;!function(t){m.enableZoom&&ne(t),m.enablePan&&ie(t)}(t),x=b.TOUCH_DOLLY_PAN;break;case a.TOUCH.DOLLY_ROTATE:if(!1===m.enableZoom&&!1===m.enableRotate)return;!function(t){m.enableZoom&&ne(t),m.enableRotate&&te(t)}(t),x=b.TOUCH_DOLLY_ROTATE;break;default:x=b.NONE}break;default:x=b.NONE}x!==b.NONE&&m.dispatchEvent(v)}}function pe(t){if(!1!==m.enabled)switch(t.preventDefault(),t.stopPropagation(),x){case b.TOUCH_ROTATE:if(!1===m.enableRotate)return;re(t),m.update();break;case b.TOUCH_PAN:if(!1===m.enablePan)return;oe(t),m.update();break;case b.TOUCH_DOLLY_PAN:if(!1===m.enableZoom&&!1===m.enablePan)return;!function(t){m.enableZoom&&ae(t),m.enablePan&&oe(t)}(t),m.update();break;case b.TOUCH_DOLLY_ROTATE:if(!1===m.enableZoom&&!1===m.enableRotate)return;!function(t){m.enableZoom&&ae(t),m.enableRotate&&re(t)}(t),m.update();break;default:x=b.NONE}}function fe(t){!1!==m.enabled&&(m.dispatchEvent(y),x=b.NONE)}function me(t){!1!==m.enabled&&t.preventDefault()}m.domElement.addEventListener("contextmenu",me),m.domElement.addEventListener("pointerdown",se),m.domElement.addEventListener("wheel",de),m.domElement.addEventListener("touchstart",he),m.domElement.addEventListener("touchend",fe),m.domElement.addEventListener("touchmove",pe),this.update()};l.prototype=Object.create(a.EventDispatcher.prototype),l.prototype.constructor=l;var d=function(t,n){l.call(this,t,n),this.screenSpacePanning=!1,this.mouseButtons.LEFT=a.MOUSE.PAN,this.mouseButtons.RIGHT=a.MOUSE.ROTATE,this.touches.ONE=a.TOUCH.PAN,this.touches.TWO=a.TOUCH.DOLLY_ROTATE};d.prototype=Object.create(a.EventDispatcher.prototype),d.prototype.constructor=d},3506:(t,n,r)=>{"use strict";r.d(n,{l:()=>T});var a=r(7582),s=r(8949),l=(r(4915),r(696)),d=r(4479),h=r(7376),p=r(7965),f=r(5587),m=r(7190),g=r(1165),v=r(9929),y=r(4624),b=r(437),x=r(4725),w=r(9705),S=r(2525),_=r(5108);const T=new class LitApp{constructor(){this.services=new Map,this.buildServices()}initialize(){return(0,a.mG)(this,void 0,void 0,(function*(){const t=this.getService(l.s),n=this.getService(x.a),r=this.getService(g.s),[a,d]=this.getServiceArray(v.z),p=this.getService(S.i),f=this.getService(h.x4);n.metadata=yield t.getInfo(),_.log("[LIT - metadata]",(0,s.ZN)(n.metadata)),n.metadata.pageTitle&&(document.querySelector("html head title").textContent=n.metadata.pageTitle),p.syncStateToUrl(n,r,a,d,f),yield n.initialize(),r.initializeLayout(n.layout,n.currentModelInfos,n.currentDatasetSpec,n.compareExamplesEnabled),yield p.syncSelectedDatapointToUrl(n,a),d.primarySelectedId&&(n.compareExamplesEnabled=!0),n.metadata.syncState&&(0,s.EH)((()=>{t.pushState(a.selectedInputData,n.currentDataset,{primary_id:a.primarySelectedId,pinned_id:d.primarySelectedId})}))}))}getService(t,n){let r=this.services.get(t);if(Array.isArray(r)){if(null!=n&&"pinned"!==n)throw new Error(`Invalid service instance name: ${n}`);r=r["pinned"===n?1:0]}if(void 0===r)throw new Error(`Service is undefined: ${t.name}`);return r}getServiceArray(t){const n=this.services.get(t);if(void 0===n)throw new Error(`Service is undefined: ${t.name}`);return n}buildServices(){const t=new w.B,n=new l.s(t),r=new g.s,a=new S.i(n),s=new x.a(n,t),_=new v.z(s),T=new v.z(s),E=new b.q(_,s),C=new y.g(s,r,_),A=new d.c(s),O=new p.Do(s,A,n,C),I=new m.l(s,O),P=new h.x4(I,O),D=new f.i(_);this.services.set(l.s,n),this.services.set(x.a,s),this.services.set(d.c,A),this.services.set(h.x4,P),this.services.set(p.Do,O),this.services.set(f.i,D),this.services.set(m.l,I),this.services.set(g.s,r),this.services.set(v.z,[_,T]),this.services.set(y.g,C),this.services.set(b.q,E),this.services.set(w.B,t),this.services.set(S.i,a)}}},8596:(t,n,r)=>{"use strict";var a=r(7582),s=(r(1239),r(9594),r(5681),r(7924)),l=r(9392),d=r(5595),h=r(9455),p=r(8949),f=r(5889),m=r(9410),g=r(3506);const v=l.iv`:host {
  height: 24px;
}

#at-bottom {
  bottom: 0;
  position: sticky;
  z-index: 1;
}

.text-line {
  display: flex;
  justify-content: space-between;
  height: 20px;
  padding-top:2px
}

.toolbar {
  border-top: 1px solid var(--lit-cyea-300);
  background-color: var(--lit-majtonal-p-50);
  width: 100vw;
  color: var(--lit-cyea-700);
  font-size: 13px;
}

.status-info {
  display: flex;
  padding-left: 10px;
}

.status-info > * {
  margin: 0 2px;
}

.error {
  color: red;
  cursor: pointer;
}

.icon-button.error {
  color: red;
}

.emoji {
  height: 13px;
  margin-bottom: -5px;
  padding: 3px 0;
}

.signature {
  font-family: 'Google Sans', sans;
  padding-right: 10px;
  display: flex;
}

.link-icon {
  margin-left: 8px;
}

.no-progress-line {
  height: 2px;
  width: 100%;
  margin: 0;
  background-color: #e4f7fb;
}

.progress-line, .progress-line:before {
  height: 2px;
  width: 100%;
  margin: 0;
}

.progress-line {
  background-color: #2f8c9b;
  display: -webkit-flex;
  display: flex;
}

.progress-line:before {
  background-color: #e4f7fb;
  content: '';
  -webkit-animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
  animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

.modal-container {
  width: 100%;
  height: 100%;
  top: 0;
  z-index: 4;
  position: fixed;
}

.modal {
  position: absolute;
  top: 12vh;
  left: 10vw;
  height: 80vh;
  width: 80vw;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

.model-overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

.close-button-holder {
  display: flex;
  justify-content: flex-end;
  column-gap: 8px;
  margin: 10px;
}

.error-message-header {
  font-family: 'Google Sans', sans;
  font-size: 1.5rem;
  margin: 16px 8px;
}

.error-message-holder {
  margin: 0 8px;
  height: 100%;
  overflow: auto;
}

.error-message {
  font-family: monospace;
  white-space: pre;
}

@-webkit-keyframes running-progress {
  0% { margin-left: 0; margin-right: 100%; }
  50% { margin-left: 25%; margin-right: 0%; }
  100% { margin-left: 100%; margin-right: 0; }
}

@keyframes running-progress {
  0% { margin-left: 0; margin-right: 100%; }
  50% { margin-left: 25%; margin-right: 0%; }
  100% { margin-left: 100%; margin-right: 0; }
}
`;let y=class StatusbarComponent extends s.G{static get styles(){return[f.W,v]}constructor(){super(),this.appState=g.l.getService(m.aB),this.statusService=g.l.getService(m.Bj),this.renderFullMessages=!1,(0,p.rC)(this)}render(){const t=(0,h.$)({"progress-line":this.statusService.isLoading,"no-progress-line":!this.statusService.isLoading});return l.dy`
      <div id="at-bottom">
        <div class="toolbar">
          <div class="text-line">
            <div class="status-info">
              ${this.statusService.hasMessage?this.renderMessages():null}
            </div>
            <div class="signature">
              <div>Made with <img src="static/favicon.png" class="emoji"> by the LIT team</div>

              <lit-tooltip content="File a bug" tooltipPosition="above left">
                <a slot="tooltip-anchor" class="link-icon" href=${"https://github.com/PAIR-code/lit/issues"}
                  target="_blank">
                  <mwc-icon class="icon-button cyea-icon">bug_report</mwc-icon>
                </a>
              </lit-tooltip>

              <lit-tooltip content="View docs" tooltipPosition="above left">
                <a slot="tooltip-anchor" class="link-icon" href=${"https://pair-code.github.io/lit/documentation/"}
                  target="_blank">
                  <mwc-icon class="icon-button cyea-icon">plagiarism</mwc-icon>
                </a>
              </lit-tooltip>

              <lit-tooltip content="Get help" tooltipPosition="above left">
                <a class="link-icon" href=${"mailto:lit-dev@google.com"} target="_blank"
                  slot="tooltip-anchor">
                  <mwc-icon class="icon-button cyea-icon">feedback</mwc-icon>
                </a>
              </lit-tooltip>
            </div>
          </div>
          <div class=${t}></div>
        </div>
      </div>
      ${this.renderFullMessages?this.renderPopup():null}
    `}renderMessages(){return l.dy`
      ${this.statusService.hasError?this.renderError():this.renderLoading()}
    `}renderPopupControls(){const t=()=>{this.renderFullMessages=!1};return l.dy`
      <button class='hairline-button' @click=${()=>{t()}}>
        Close
      </button>
    `}renderPopup(){return l.dy`
      <div class='modal-container'>
        <div class="model-overlay" @click=${()=>{close()}}></div>
        <div class='modal'>
          <div class='error-message-header'>Error Details</div>
          <div class='error-message-holder'>
            ${this.statusService.errorFullMessages.map((t=>l.dy`<div class="error-message">${t}</div>`))}
          </div>
          <div class='close-button-holder'>
            ${this.renderPopupControls()}
          </div>
        </div>
      </div>`}renderError(){const t=()=>{this.renderFullMessages=!0};return l.dy`
     <div class="error" @click=${t}>
        ${this.statusService.errorMessage}
      </div>
      <mwc-icon class="icon-button error" @click=${t}>
        info
      </mwc-icon>
      <mwc-icon class="icon-button error" @click=${()=>{this.statusService.clearErrors()}}>
        clear
      </mwc-icon>
    `}renderLoading(){return l.dy`
      <div>${this.statusService.loadingMessage}</div>
    `}};(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],y.prototype,"renderFullMessages",void 0),y=(0,a.gn)([(0,d.Mo)("lit-app-statusbar"),(0,a.w6)("design:paramtypes",[])],y)},8384:(t,n,r)=>{"use strict";var a=r(7582),s=(r(1239),r(2683)),l=r(9594),d=(r(5450),r(7924)),h=r(5595),p=r(9392),f=r(9455),m=r(5889),g=r(4915),v=r(9410),y=r(3506);const b=p.iv`#at-top {
  top: 0;
  position: sticky;
  z-index: 3;
}

#headline {
  width: 100vw;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  align-items: center;
  background-color: var(--lit-cyea-500);
  font-family: 'Google Sans' !important;
  color: white;
  font-size: 18px;
  line-height: 24px;
  letter-spacing: +0.1;
  height: 40px;
}

.headline-section {
  display: flex;
  align-items: center;
}

.headline-section > div:not(.vertical-separator), button, mwc-icon {
  padding: 4px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#title-group {
  font-family: 'Google Sans', sans;
  margin-left: 8px;
}

icon-margin {
  margin: 0px 3px;
}

.status-emoji {
  width: 20px;
  height: 20px;
  padding-right: 4px;
  display: block;
}

.vertical-separator {
  background: #098591;
  width: 2px;
  height: 1.2rem;
  padding: 0;
  margin: 0 8px;
}

/* Custom button style to work with the dark background */
button {
  font-size: 16px;
  color: white;
}

/* disabled, unselected, default, focus, hover, selected */

.headline-button {
  margin: 0 4px;
  background: transparent;
  border-radius: 4px;
  border: 1px solid #098591;
  font-family: Roboto;
  color: #E4F7FB; /* Cyan/50 */
}

.headline-button.unbordered {
  border: 1px solid transparent;
}

.headline-button.unselected {
  color: #A1E4F2; /* Cyan/200 */
}

.headline-button.selected {
  border: 1px solid #E4F7FB; /* Cyan/50 */
}

.headline-button:focus {
  background: rgba(138, 180, 248, 0.12);
  outline: none;
}

.headline-button:hover {
  background: rgba(26, 115, 232, 0.04);
  opacity: .7;
  border: 1px solid var(--lit-neutral-400);
}

.headline-button:active {
  background: #E8F0FE;
  box-shadow: 0px 1px 2px rgba(60, 64, 67, 0.3),
    0px 1px 3px 1px rgba(60, 64, 67, 0.15);
  opacity: .4;
}

.headline-button:disabled {
  color: rgba(60, 64, 67, 0.38);
}

/* Limit width of button text, without hiding icons. */
.headline-button-text {
  max-width: 180px;
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
}

.subtitle {
  margin-top: 4px;
  margin-left: 12px;
  font-size: 12px;
}
`;var x=r(5108);let w=class ToolbarComponent extends d.G{constructor(){super(...arguments),this.appState=y.l.getService(v.aB),this.settingsService=y.l.getService(v.gb),this.statusService=y.l.getService(v.Bj),this.modulesService=y.l.getService(v.s7)}static get styles(){return[m.W,b]}toggleGlobalSettings(){void 0!==this.globalSettingsElement&&(this.globalSettingsElement.isOpen?this.globalSettingsElement.close():this.globalSettingsElement.open())}toggleDocumentation(){void 0!==this.docElement&&(this.docElement.isOpen?this.docElement.close():this.docElement.open())}jumpToSettingsTab(t){void 0!==this.globalSettingsElement&&(this.globalSettingsElement.isOpen&&this.globalSettingsElement.selectedTab===t?this.globalSettingsElement.close():(this.globalSettingsElement.selectedTab=t,this.globalSettingsElement.open()))}renderStatusAndTitle(){let t=!1,n="LIT";this.appState.initialized&&this.appState.metadata.pageTitle&&(n=this.appState.metadata.pageTitle,n.includes("LIT")||(t=!0));return p.dy`
      <div id="title-group">
        <a href="https://github.com/PAIR-code/lit/issues/new" target="_blank">
          ${(()=>this.statusService.hasError?p.dy`<img src="static/potato.svg" class="status-emoji">`:t?null:p.dy`<img src="static/favicon.png" class="status-emoji">`)()}
        </a>
        ${n}
        ${t?p.dy`<div class="subtitle">${"Powered by 🔥 LIT"}</div>`:null}
      </div>
    `}renderModelInfo(){const t=Object.keys(this.appState.metadata.models).filter((t=>!t.startsWith("_"))).filter((t=>this.settingsService.isDatasetValidForModels(this.appState.currentDataset,[t])));if(2<=t.length&&t.length<=4){const n=t.map((t=>{const n=this.appState.currentModels.includes(t),r={"headline-button":!0,unselected:!n,selected:n},a=n?"check_box":"check_box_outline_blank",s=`${n?"Unselect":"Select"} model ${t}`;return p.dy`
          <lit-tooltip content=${s}>
            <button class=${(0,f.$)(r)}
              slot='tooltip-anchor'
              @click=${()=>{const n=new Set(this.appState.currentModels);n.has(t)?n.delete(t):n.add(t),this.settingsService.updateSettings({models:[...n]}),this.requestUpdate()}}>
              <span class='material-icon'>${a}</span>
              &nbsp;
              <span class='headline-button-text'>${t}</span>
            </button>
          </lit-tooltip>
        `}));return p.dy`
        ${n}
        <lit-tooltip content="Select model(s)">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Models")}}>
            <span class='material-icon-outlined'>smart_toy</span>
            &nbsp;<span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}{const t=this.appState.currentModels.join(", ");return p.dy`
        <lit-tooltip content="Select model(s)">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Models")}}>
            <span class='material-icon-outlined'>smart_toy</span>
            &nbsp;
            <span class='headline-button-text'>${t}</span>
            &nbsp;
            <span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}}renderDatasetInfo(){const t=(0,g.h6)(this.appState.currentDataset);return p.dy`
      <div class='vertical-separator'></div>
      <lit-tooltip content="Select dataset">
        <button class='headline-button' slot="tooltip-anchor"
          @click=${()=>{this.jumpToSettingsTab("Dataset")}}>
          <span class='material-icon'>storage</span>
          &nbsp;
          <span class='headline-button-text'>${t}</span>
          &nbsp;
          <span class='material-icon'>arrow_drop_down</span>
        </button>
      </lit-tooltip>
    `}renderLayoutInfo(){const t=Object.keys(this.appState.layouts),n=this.appState.layoutName;if(2<=t.length&&t.length<=4){const r=t.map((t=>{const r=t===n,a={"headline-button":!0,unselected:!r,selected:r},s=r?"material-icon":"material-icon-outlined";return p.dy`
          <lit-tooltip content="Select ${t} layout">
            <button class=${(0,f.$)(a)} slot="tooltip-anchor"
              @click=${()=>{this.settingsService.updateSettings({layoutName:t}),this.requestUpdate()}}>
              <span class=${s}>view_compact</span>
              &nbsp;
              <span class='headline-button-text'>${t}</span>
            </button>
          </lit-tooltip>
        `}));return p.dy`${r}`}return p.dy`
        <lit-tooltip content="Select UI layout.">
          <button class='headline-button' slot="tooltip-anchor"
            @click=${()=>{this.jumpToSettingsTab("Layout")}}>
            <span class='material-icon'>view_compact</span>
            &nbsp;
            <span class='headline-button-text'>${n}</span>
            &nbsp;
            <span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
      `}renderConfigControls(){return p.dy`
      ${this.appState.initialized?this.renderModelInfo():null}
      ${this.appState.initialized?this.renderDatasetInfo():null}
      <div class='vertical-separator'></div>
      ${this.renderLayoutInfo()}
    `}onClickCopyLink(){const t=this.appState.getBestURL();navigator.clipboard.writeText(t),x.log("Copied URL to this instance: ",t)}renderRightCorner(){const t=p.dy`
      <lit-tooltip content="Configure models, datasets, and UI.">
        <button class='headline-button unbordered' id="config"
          slot="tooltip-anchor"
          @click=${this.toggleGlobalSettings}>
          <span class='material-icon'>settings</span>
          &nbsp;Configure
        </button>
      </lit-tooltip>`,n=null!=this.appState.metadata?p.dy`
        <lit-tooltip content="Go to documentation" tooltipPosition="left">
          <mwc-icon class="icon-button large-icon white-icon icon-margin"
            slot="tooltip-anchor"
            @click=${this.toggleDocumentation}>
            help_outline
          </mwc-icon>
        </lit-tooltip>`:null;return p.dy`
      ${t}
      <lit-tooltip content="Copy link to this page" tooltipPosition="left">
        <button class='headline-button unbordered' slot="tooltip-anchor"
          @click=${this.onClickCopyLink}>
          <span class='material-icon'>link</span>
          &nbsp;Copy Link
        </button>
      </lit-tooltip>
      ${n}
    `}render(){const t=this.appState.initialized&&!this.modulesService.getSetting("hideToolbar");return p.dy`
      ${this.appState.initialized?p.dy`<lit-global-settings></lit-global-settings>`:null}
      ${null!=this.appState.metadata?p.dy`<lit-documentation></lit-documentation>`:null}
      <div id="at-top">
        <div id="headline">
          <div class="headline-section">
            ${this.renderStatusAndTitle()}
          </div>
          <div class="headline-section">
            ${this.renderConfigControls()}
          </div>
          <div class="headline-section">
            ${this.renderRightCorner()}
          </div>
        </div>
        ${t?p.dy`<lit-main-toolbar></lit-main-toolbar>`:null}
      </div>
    `}};(0,a.gn)([(0,h.IO)("lit-documentation"),(0,a.w6)("design:type",s.s)],w.prototype,"docElement",void 0),(0,a.gn)([(0,h.IO)("lit-global-settings"),(0,a.w6)("design:type",l.l)],w.prototype,"globalSettingsElement",void 0),w=(0,a.gn)([(0,h.Mo)("lit-app-toolbar")],w)},2683:(t,n,r)=>{"use strict";r.d(n,{s:()=>b});var a=r(7582),s=(r(9956),r(9392)),l=r(5595),d=r(9455),h=r(8949),p=r(9537),f=r(5889),m=r(7098),g=r(9410),v=r(3506);const y=s.iv`#doc-holder {
  width: 0;
  height: 0;
  z-index: 4;
  position: fixed;
}

#overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

#overlay.hide {
  opacity: 0;
  visibility: hidden;
}

#doc {
  font-family: 'Google Sans';
  position: absolute;
  top: 10vh;
  left: 33vw;
  /*height: calc(60vh + 300px);*/
  max-height: 86vh;
  width: 33vw;
  padding-bottom: 8px;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#doc.hide {
  display: none;
}

a {
  text-decoration: none;
  color: var(--lit-neutral-700);
  padding: 0 7px;
}

#holder {
  padding: 0 12px 12px 12px;
}

.page-controls {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.prev-next-container {
  display: flex;
}

.dot {
  height: 12px;
  width: 12px;
  margin: 6px;
  background-color: var(--lit-neutral-500);
  border-radius: 50%;
  display: inline-block;
}

.clickable {
  cursor: pointer;
}

.filled {
  background-color: var(--lit-cyea-500);
}

.nav-button {
  width: 94px;
}

.dots-line {
  margin: auto;
  padding-bottom: 8px;
}

.dots-holder {
  display: flex;
  justify-content: center;
}

.checkbox {
  color: var(--lit-neutral-700);
}

.doc-open-icon {
  --mdc-icon-size: 14px;
  vertical-align: middle;
}

.nav-icon {
  margin: 0 4px;
}

.top-section {
  overflow: auto;
}

.close-button {
  position: absolute;
  top: 12px;
  right: 12px;
  background: #9AA0A6CC;
  border-radius: 8px;
}

.bottom-area {
  padding: 0 12px;
}

img {
  display: block;
  width: calc(100% + 24px);
  margin-left: -12px;
}

p {
  font-size: 14px;
  margin-block-start: 0;
  min-height: 100px;
}

h1 {
  font-size: 18px;
  font-weight: normal;
}
`;let b=class DocumentationComponent extends p.f{static get styles(){return[f.W,y]}constructor(t=v.l.getService(g.aB)){super(),this.appState=t,this.isOpen=!1,this.currentPage=0,this.markdownPages=["![](static/onboarding_1_welcome.gif)\n# Welcome to LIT!\nLIT is a visual, interactive tool to help ML researchers, engineers, product teams, and decision makers explore and compare models using out-of-the-box interpretability methods to improve performance and mitigate bias issues. We support a variety of models, data types, and interpretability methods.","![](static/onboarding_2_modules.gif)\n# Start interacting with flexible modules\nLIT uses modules that allow rich interactions using visualizations, tables, to perform lots of tasks. Modules interact with each other so you can seamlessly switch between various workflows – from datapoint explorations, to model predictions to counterfactuals – without getting lost.","![](static/onboarding_3_workspaces.gif)\n# Workspaces in LIT\nWhether you're evaluating model predictions, looking for explanations, or generating counterfactuals, you can find the modules you need in LIT's workflow-optimized workspaces.\n","![](static/onboarding_4_explore.gif)\n# Explore data and models\nExplore model performance across the entire dataset, a subset, or individual data points. Create subsets of your loaded data by filtering on criteria, curating by selection, or by generating “what-if” style counterfactuals.","![](static/onboarding_5_toolbars.gif)\n# Manage models, datasets, and selections\nLIT's toolbars present controls for selecting models and datasets and sharing findings. Advanced controls allow you to navigate individual data points systematically or switch into datapoint comparison mode.","![](static/onboarding_6_compare.gif)\n# Dynamically evaluate models side-by-side\nEasily switch between exploring a single model or comparing multiple models from within your workflow. Compare predictions, explanations, and metrics to see differences in behavior and performance.","![](static/onboarding_7_start.gif)\n# Start exploring!\nNeed more help? Visit our documentation page for more advanced help and support. Otherwise, click get started."],(0,h.rC)(this)}firstUpdated(){this.react((()=>this.isOpen),(()=>{this.appState.documentationOpen=this.isOpen})),document.addEventListener("keydown",(t=>{"Escape"===t.key?this.close():"ArrowLeft"===t.key&&this.currentPage>0?this.currentPage-=1:"ArrowRight"===t.key&&(this.currentPage<this.totalPages-1?this.currentPage+=1:this.close())})),this.isOpen=this.appState.documentationOpen}open(){this.currentPage=0,this.isOpen=!0}close(){this.isOpen=!1}get pagesToRender(){const t=this.markdownPages;return null!=this.appState.metadata.onboardStartDoc&&t.unshift(this.appState.metadata.onboardStartDoc),null!=this.appState.metadata.onboardEndDoc&&t.splice(t.length-1,0,this.appState.metadata.onboardEndDoc),t.map((t=>(0,m.Xo)(t)))}get totalPages(){return this.pagesToRender.length}render(){const t=(0,d.$)({hide:!this.isOpen}),n=this.pagesToRender[this.currentPage];return s.dy`
      <div id="doc-holder">
        <div id="overlay" class=${t}
         @click=${()=>{this.close()}}></div>
        <div id="doc" class=${t}>
          <div class="top-section">
            <div id="holder">
               ${n}
            </div>
          </div>
          <div class="bottom-area">
            <div class="dots-line">
              <div class="dots-holder">
                ${this.pagesToRender.map(((t,n)=>this.renderDot(n)))}
              </div>
              <mwc-icon class="icon-button close-button" @click=${()=>{this.isOpen=!1}}>
                close
              </mwc-icon>
            </div>
            <div class="page-controls">
              <div class="doc-link-holder">
                ${this.renderDocLink()}
              </div>
              <div class="prev-next-container">
                ${this.renderNextPrevButton(!1)}
                ${this.renderNextPrevButton(!0)}
              </div>
            </div>
          </div>
        </div>
      </div>
    `}renderDocLink(){return s.dy`
      <div>
        <a href="${"https://github.com/PAIR-code/lit/wiki"}" target="_blank">
          Documentation
          <mwc-icon class="doc-open-icon">open_in_new</mwc-icon>
        </a>
      </div>
    `}renderDot(t){const n=(0,d.$)({dot:!0,filled:this.currentPage===t,clickable:this.currentPage!==t});return s.dy`<div class=${n} @click=${()=>{this.currentPage=t}}></div>`}renderNextPrevButton(t=!0){const n=t?"east":"west",r=this.currentPage===this.totalPages-1,a=t?r?"Get started":"Next":"Back",l=!t&&0===this.currentPage;return s.dy`
     <button class='hairline-button nav-button' @click=${()=>{r&&t?this.isOpen=!1:t?this.currentPage++:this.currentPage--}} ?disabled=${l}>
       ${t?null:s.dy`<mwc-icon class='nav-icon'>${n}</mwc-icon>`}
       ${a}
       ${t?r?null:s.dy`<mwc-icon class='nav-icon'>${n}</mwc-icon>`:null}
    </button>
    `}};(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],b.prototype,"isOpen",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],b.prototype,"currentPage",void 0),(0,a.gn)([(0,l.IO)("#holder"),(0,a.w6)("design:type",HTMLDivElement)],b.prototype,"docElement",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],b.prototype,"pagesToRender",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],b.prototype,"totalPages",null),b=(0,a.gn)([(0,l.Mo)("lit-documentation"),(0,a.w6)("design:paramtypes",[Object])],b)},482:(t,n,r)=>{"use strict";var a=r(7582),s=(r(8684),r(9392)),l=r(5595),d=r(9455),h=r(8949),p=r(3506),f=r(9537),m=r(5889),g=r(7098),v=r(7190);const y=s.iv`:host {
  flex-grow: 1;
}

.faceting-info {
  display: flex;
  flex-direction: row;
  align-items: start;
  justify-content: space-between;
}

.faceting-info .hairline-button {
  margin-left: 0;
}

.active-facets {
  flex: 1;
  line-height: 22px;
  /* Revert a pointer style from <popup-container> */
  cursor: text;
}

.active-facets.disabled {
  color: var(--lit-neutral-400);
}

.config-panel {
  min-width: 250px;
  max-height: 150px;

  flex-direction: column;
  overflow-y: hidden;
}

.panel-header {
  flex: 0 0 auto;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding: 8px;
}

.panel-label {
  color: var(--lit-cyea-600);
  font-size: 14px;
  font-weight: bold;
  margin-right: 12px;
  flex-grow: 1;
}

.choice-limit {
  color: var(--lit-neutral-600);
  margin-right: 8px;
}

.panel-options {
  flex: 1 1 auto;
  overflow-y: auto;
}

.feature-options-row {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  padding-left: 2px;
  padding-right: 8px;
}

.feature-options-row.excess-bins {
  background-color: var(--google-red-50);
  color: var(--google-red-500);
}

.feature-options-row .aligner {
  flex-grow: 1;
}

.feature-options-row select.dropdown {
  max-width: 135px;
}

.feature-options-row input[type='number'] {
  width: 64px;
}

.feature-options-row .no-input {
  min-width: 72px;
}

popup-container {
  --popup-top: 4px;
}
`;let b=class FacetingControl extends f.f{static get styles(){return[m.W,y]}constructor(t=p.l.getService(v.l)){super(),this.groupService=t,this.featureConfigs=new Map,this.discreteCount=new Map,this.hasExcessBins=!1,this.features=[],this.bins={},this.disabled=!1,this.binLimit=100,(0,h.rC)(this),this.initFeatureConfigs()}reset(){this.features=[],this.updateBins(),this.initFeatureConfigs()}initFeatureConfigs(){const t=this.groupService.numericalFeatureNames.map((t=>({featureName:t,method:v.J.EQUAL_INTERVAL}))),n=this.groupService.numericalFeatureBins(t),r=t.map((t=>Object.assign(Object.assign({},t),{method:v.J.DISCRETE}))),a=this.groupService.numericalFeatureBins(r);for(const r of t){const t=r.featureName;r.numBins=Object.keys(n[t]).length,this.featureConfigs.set(t,r),this.discreteCount.set(t,Object.keys(a[t]).length)}}updateBins(){const t=this.features.filter((t=>this.groupService.numericalFeatureNames.includes(t))).map((t=>this.featureConfigs.get(t)));this.bins=this.groupService.numericalFeatureBins(t);const n=this.features.reduce(((t,n)=>this.groupService.numericalFeatureNames.includes(n)?t*Object.keys(this.bins[n]).length:this.groupService.categoricalFeatureNames.includes(n)?t*this.groupService.categoricalFeatures[n].length:this.groupService.booleanFeatureNames.includes(n)?2*t:t),1);this.hasExcessBins=n>this.binLimit,this.hasExcessBins||this.dispatchEvent(new CustomEvent("facets-change",{detail:{features:this.features,bins:this.bins}}))}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.groupService.denseFeatureNames),(()=>{this.reset()}))}renderFeatureOption(t){const n=this.features.includes(t),r=null!=this.choiceLimit&&this.features.length>=this.choiceLimit&&!n,a=()=>{const n=[...this.features];-1!==n.indexOf(t)?n.splice(n.indexOf(t),1):n.push(t),this.features=n,this.updateBins(),this.requestUpdate()};if(this.groupService.numericalFeatureNames.includes(t))return this.renderNumericFeatureOption(t,n,r,a);const l=this.groupService.categoricalFeatureNames.includes(t)?this.groupService.categoricalFeatures[t].length:2,h=`${t} (${l})`,p=(0,d.$)({"feature-options-row":!0,"excess-bins":this.hasExcessBins&&n});return s.dy`
        <div class=${p}>
          <lit-checkbox ?checked=${n} ?disabled=${r}
                        @change=${a} label=${h}>
          </lit-checkbox>
        </div>`}renderNumericFeatureOption(t,n,r,a){const l=this.featureConfigs.get(t),h=t=>{const{value:n}=t.target;l&&(l.numBins=Math.round(Number(n))),this.updateBins()},p=t=>{const{value:n}=t.target;l&&(l.threshold=Number(n)),this.updateBins()};let f;if(l.method===v.J.EQUAL_INTERVAL||l.method===v.J.QUANTILE){const t=(l.numBins||4).toString();f=s.dy`
          <input type="number" step="1" min="1" max=${this.binLimit}
                 ?disabled=${r} .value=${t}
                 @input=${h}>`}else if(l.method===v.J.THRESHOLD){const[n,a]=this.groupService.numericalFeatureRanges[t],d=a-n,h=(0,g.Lt)(d),m=(l.threshold||d/2+n).toString();f=s.dy`
          <input type="number" step=${h} min=${n} max=${a}
                 ?disabled=${r} .value=${m}
                 @input=${p}>`}else f=s.dy`<div class="no-input"></div>`;const m=(0,d.$)({"feature-options-row":!0,"excess-bins":this.hasExcessBins&&n});return s.dy`
      <div class=${m}>
        <lit-checkbox ?checked=${n} ?disabled=${r}
                      @change=${a} label=${t}>
        </lit-checkbox>
        <div class="aligner"></div>
        <select class="dropdown" ?disabled=${r} @change=${n=>{const r=n.target.value;if(l&&l.method!==r){if(l.method=r,r===v.J.EQUAL_INTERVAL){l.numBins=0;const t=this.groupService.numericalFeatureBins([l]);l.numBins=Object.keys(t[l.featureName]).length}if(r===v.J.QUANTILE&&(l.numBins=4),r===v.J.THRESHOLD){const[n,r]=this.groupService.numericalFeatureRanges[t],a=r-n;l.threshold=a/2+n}}this.updateBins(),this.requestUpdate()}}>
          ${Object.values(v.J).map((n=>{const r=n.replace("-"," ").toUpperCase(),a=n===l.method,d=this.discreteCount.get(t),h=n===v.J.DISCRETE&&d>this.binLimit,p=`${r}${h?` (${d} bins > ${this.binLimit} max)`:""}`;return s.dy`<option value=${n} ?selected=${a}
                                ?disabled=${h}>${p}</option>`}))}
        </select>
        ${f}
      </div>`}renderFeatureOptions(){return this.groupService.denseFeatureNames.map((t=>this.renderFeatureOption(t)))}render(){const t=this.features.length?`${this.features.join(", ")} (${this.groupService.numIntersectionsLabel(this.bins,this.features)})`:"None",n=this.contextName?` for ${this.contextName}`:"",r=`Faceting configuration${n}`,a=(0,d.$)({"active-facets":!0,disabled:this.disabled});return s.dy`
      <popup-container>
        <div class="faceting-info" slot='toggle-anchor'>
          <lit-tooltip content=${r}>
            <button class="hairline-button" slot="tooltip-anchor"
                    ?disabled=${this.disabled}>
              <span class="material-icon">dashboard</span>
              Facets
            </button>
          </lit-tooltip>
          <div class=${a}
           @click=${t=>{t.stopPropagation()}}>
            : ${t}
          </div>
        </div>
        <div class='config-panel'>
          <div class="panel-header">
            <span class="panel-label">Faceting Config${n}</span>
            <span class="choice-limit">(Limit ${this.binLimit} bins ${null!=this.choiceLimit?`, ${this.choiceLimit} features`:""})</span>
          </div>
          <div class="panel-options">${this.renderFeatureOptions()}</div>
        </div>
      </popup-container>`}};(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],b.prototype,"hasExcessBins",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Array)],b.prototype,"features",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],b.prototype,"bins",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],b.prototype,"disabled",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],b.prototype,"contextName",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],b.prototype,"binLimit",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Number)],b.prototype,"choiceLimit",void 0),b=(0,a.gn)([(0,l.Mo)("faceting-control"),(0,a.w6)("design:paramtypes",[Object])],b)},9594:(t,n,r)=>{"use strict";r.d(n,{l:()=>Te});var a=r(7582),s=r(5595),l=r(6308),d={ROOT:"mdc-form-field"},h={LABEL_SELECTOR:".mdc-form-field > label"};const p=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.click=function(){s.handleClick()},s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return d},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return h},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{activateInputRipple:function(){},deactivateInputRipple:function(){},deregisterInteractionHandler:function(){},registerInteractionHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerInteractionHandler("click",this.click)},n.prototype.destroy=function(){this.adapter.deregisterInteractionHandler("click",this.click)},n.prototype.handleClick=function(){var t=this;this.adapter.activateInputRipple(),requestAnimationFrame((function(){t.adapter.deactivateInputRipple()}))},n}(l.K);var f=r(7392),m=r(339),g=r(6551),v=r(9392),y=r(9455);class FormfieldBase extends f.H{constructor(){super(...arguments),this.alignEnd=!1,this.spaceBetween=!1,this.nowrap=!1,this.label="",this.mdcFoundationClass=p}createAdapter(){return{registerInteractionHandler:(t,n)=>{this.labelEl.addEventListener(t,n)},deregisterInteractionHandler:(t,n)=>{this.labelEl.removeEventListener(t,n)},activateInputRipple:async()=>{const t=this.input;if(t instanceof m.Wg){const n=await t.ripple;n&&n.startPress()}},deactivateInputRipple:async()=>{const t=this.input;if(t instanceof m.Wg){const n=await t.ripple;n&&n.endPress()}}}}get input(){var t,n;return null!==(n=null===(t=this.slottedInputs)||void 0===t?void 0:t[0])&&void 0!==n?n:null}render(){const t={"mdc-form-field--align-end":this.alignEnd,"mdc-form-field--space-between":this.spaceBetween,"mdc-form-field--nowrap":this.nowrap};return v.dy`
      <div class="mdc-form-field ${(0,y.$)(t)}">
        <slot></slot>
        <label class="mdc-label"
               @click="${this._labelClick}">${this.label}</label>
      </div>`}click(){this._labelClick()}_labelClick(){const t=this.input;t&&(t.focus(),t.click())}}(0,a.gn)([(0,s.Cb)({type:Boolean})],FormfieldBase.prototype,"alignEnd",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],FormfieldBase.prototype,"spaceBetween",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],FormfieldBase.prototype,"nowrap",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,g.P)((async function(t){var n;null===(n=this.input)||void 0===n||n.setAttribute("aria-label",t)}))],FormfieldBase.prototype,"label",void 0),(0,a.gn)([(0,s.IO)(".mdc-form-field")],FormfieldBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.vZ)("",!0,"*")],FormfieldBase.prototype,"slottedInputs",void 0),(0,a.gn)([(0,s.IO)("label")],FormfieldBase.prototype,"labelEl",void 0);const b=v.iv`.mdc-form-field{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87));display:inline-flex;align-items:center;vertical-align:middle}.mdc-form-field>label{margin-left:0;margin-right:auto;padding-left:4px;padding-right:0;order:0}[dir=rtl] .mdc-form-field>label,.mdc-form-field>label[dir=rtl]{margin-left:auto;margin-right:0}[dir=rtl] .mdc-form-field>label,.mdc-form-field>label[dir=rtl]{padding-left:0;padding-right:4px}.mdc-form-field--nowrap>label{text-overflow:ellipsis;overflow:hidden;white-space:nowrap}.mdc-form-field--align-end>label{margin-left:auto;margin-right:0;padding-left:0;padding-right:4px;order:-1}[dir=rtl] .mdc-form-field--align-end>label,.mdc-form-field--align-end>label[dir=rtl]{margin-left:0;margin-right:auto}[dir=rtl] .mdc-form-field--align-end>label,.mdc-form-field--align-end>label[dir=rtl]{padding-left:4px;padding-right:0}.mdc-form-field--space-between{justify-content:space-between}.mdc-form-field--space-between>label{margin:0}[dir=rtl] .mdc-form-field--space-between>label,.mdc-form-field--space-between>label[dir=rtl]{margin:0}:host{display:inline-flex}.mdc-form-field{width:100%}::slotted(*){-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}::slotted(mwc-switch){margin-right:10px}[dir=rtl] ::slotted(mwc-switch),::slotted(mwc-switch[dir=rtl]){margin-left:10px}`;let x=class Formfield extends FormfieldBase{};x.styles=[b],x=(0,a.gn)([(0,s.Mo)("mwc-formfield")],x);r(2380);var w=r(6036);const S=Symbol("selection controller");class SingleSelectionSet{constructor(){this.selected=null,this.ordered=null,this.set=new Set}}class SingleSelectionController{constructor(t){this.sets={},this.focusedSet=null,this.mouseIsDown=!1,this.updating=!1,t.addEventListener("keydown",(t=>{this.keyDownHandler(t)})),t.addEventListener("mousedown",(()=>{this.mousedownHandler()})),t.addEventListener("mouseup",(()=>{this.mouseupHandler()}))}static getController(t){const n=!("global"in t)||"global"in t&&t.global?document:t.getRootNode();let r=n[S];return void 0===r&&(r=new SingleSelectionController(n),n[S]=r),r}keyDownHandler(t){const n=t.target;"checked"in n&&this.has(n)&&("ArrowRight"==t.key||"ArrowDown"==t.key?this.selectNext(n):"ArrowLeft"!=t.key&&"ArrowUp"!=t.key||this.selectPrevious(n))}mousedownHandler(){this.mouseIsDown=!0}mouseupHandler(){this.mouseIsDown=!1}has(t){return this.getSet(t.name).set.has(t)}selectPrevious(t){const n=this.getOrdered(t),r=n.indexOf(t),a=n[r-1]||n[n.length-1];return this.select(a),a}selectNext(t){const n=this.getOrdered(t),r=n.indexOf(t),a=n[r+1]||n[0];return this.select(a),a}select(t){t.click()}focus(t){if(this.mouseIsDown)return;const n=this.getSet(t.name),r=this.focusedSet;this.focusedSet=n,r!=n&&n.selected&&n.selected!=t&&n.selected.focus()}isAnySelected(t){const n=this.getSet(t.name);for(const t of n.set)if(t.checked)return!0;return!1}getOrdered(t){const n=this.getSet(t.name);return n.ordered||(n.ordered=Array.from(n.set),n.ordered.sort(((t,n)=>t.compareDocumentPosition(n)==Node.DOCUMENT_POSITION_PRECEDING?1:0))),n.ordered}getSet(t){return this.sets[t]||(this.sets[t]=new SingleSelectionSet),this.sets[t]}register(t){const n=t.name||t.getAttribute("name")||"",r=this.getSet(n);r.set.add(t),r.ordered=null}unregister(t){const n=this.getSet(t.name);n.set.delete(t),n.ordered=null,n.selected==t&&(n.selected=null)}update(t){if(this.updating)return;this.updating=!0;const n=this.getSet(t.name);if(t.checked){for(const r of n.set)r!=t&&(r.checked=!1);n.selected=t}if(this.isAnySelected(t))for(const t of n.set){if(void 0===t.formElementTabIndex)break;t.formElementTabIndex=t.checked?0:-1}this.updating=!1}}var _=r(9263),T={NATIVE_CONTROL_SELECTOR:".mdc-radio__native-control"},E={DISABLED:"mdc-radio--disabled",ROOT:"mdc-radio"};const C=function(t){function n(r){return t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return E},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return T},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},setNativeControlDisabled:function(){}}},enumerable:!1,configurable:!0}),n.prototype.setDisabled=function(t){var r=n.cssClasses.DISABLED;this.adapter.setNativeControlDisabled(t),t?this.adapter.addClass(r):this.adapter.removeClass(r)},n}(l.K);var A=r(796);class RadioBase extends m.Wg{constructor(){super(...arguments),this._checked=!1,this.useStateLayerCustomProperties=!1,this.global=!1,this.disabled=!1,this.value="on",this.name="",this.reducedTouchTarget=!1,this.mdcFoundationClass=C,this.formElementTabIndex=0,this.focused=!1,this.shouldRenderRipple=!1,this.rippleElement=null,this.rippleHandlers=new _.A((()=>(this.shouldRenderRipple=!0,this.ripple.then((t=>{this.rippleElement=t})),this.ripple)))}get checked(){return this._checked}set checked(t){var n,r;const a=this._checked;t!==a&&(this._checked=t,this.formElement&&(this.formElement.checked=t),null===(n=this._selectionController)||void 0===n||n.update(this),!1===t&&(null===(r=this.formElement)||void 0===r||r.blur()),this.requestUpdate("checked",a),this.dispatchEvent(new Event("checked",{bubbles:!0,composed:!0})))}_handleUpdatedValue(t){this.formElement.value=t}renderRipple(){return this.shouldRenderRipple?v.dy`<mwc-ripple unbounded accent
        .internalUseStateLayerCustomProperties="${this.useStateLayerCustomProperties}"
        .disabled="${this.disabled}"></mwc-ripple>`:""}get isRippleActive(){var t;return(null===(t=this.rippleElement)||void 0===t?void 0:t.isActive)||!1}connectedCallback(){super.connectedCallback(),this._selectionController=SingleSelectionController.getController(this),this._selectionController.register(this),this._selectionController.update(this)}disconnectedCallback(){this._selectionController.unregister(this),this._selectionController=void 0}focus(){this.formElement.focus()}createAdapter(){return Object.assign(Object.assign({},(0,m.qN)(this.mdcRoot)),{setNativeControlDisabled:t=>{this.formElement.disabled=t}})}handleFocus(){this.focused=!0,this.handleRippleFocus()}handleClick(){this.formElement.focus()}handleBlur(){this.focused=!1,this.formElement.blur(),this.rippleHandlers.endFocus()}setFormData(t){this.name&&this.checked&&t.append(this.name,this.value)}render(){const t={"mdc-radio--touch":!this.reducedTouchTarget,"mdc-ripple-upgraded--background-focused":this.focused,"mdc-radio--disabled":this.disabled};return v.dy`
      <div class="mdc-radio ${(0,y.$)(t)}">
        <input
          tabindex="${this.formElementTabIndex}"
          class="mdc-radio__native-control"
          type="radio"
          name="${this.name}"
          aria-label="${(0,A.o)(this.ariaLabel)}"
          aria-labelledby="${(0,A.o)(this.ariaLabelledBy)}"
          .checked="${this.checked}"
          .value="${this.value}"
          ?disabled="${this.disabled}"
          @change="${this.changeHandler}"
          @focus="${this.handleFocus}"
          @click="${this.handleClick}"
          @blur="${this.handleBlur}"
          @mousedown="${this.handleRippleMouseDown}"
          @mouseenter="${this.handleRippleMouseEnter}"
          @mouseleave="${this.handleRippleMouseLeave}"
          @touchstart="${this.handleRippleTouchStart}"
          @touchend="${this.handleRippleDeactivate}"
          @touchcancel="${this.handleRippleDeactivate}">
        <div class="mdc-radio__background">
          <div class="mdc-radio__outer-circle"></div>
          <div class="mdc-radio__inner-circle"></div>
        </div>
        ${this.renderRipple()}
      </div>`}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}changeHandler(){this.checked=this.formElement.checked}}(0,a.gn)([(0,s.IO)(".mdc-radio")],RadioBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.IO)("input")],RadioBase.prototype,"formElement",void 0),(0,a.gn)([(0,s.SB)()],RadioBase.prototype,"useStateLayerCustomProperties",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RadioBase.prototype,"global",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],RadioBase.prototype,"checked",null),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,g.P)((function(t){this.mdcFoundation.setDisabled(t)}))],RadioBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,g.P)((function(t){this._handleUpdatedValue(t)}))],RadioBase.prototype,"value",void 0),(0,a.gn)([(0,s.Cb)({type:String})],RadioBase.prototype,"name",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],RadioBase.prototype,"reducedTouchTarget",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],RadioBase.prototype,"formElementTabIndex",void 0),(0,a.gn)([(0,s.SB)()],RadioBase.prototype,"focused",void 0),(0,a.gn)([(0,s.SB)()],RadioBase.prototype,"shouldRenderRipple",void 0),(0,a.gn)([(0,s.GC)("mwc-ripple")],RadioBase.prototype,"ripple",void 0),(0,a.gn)([w.L,(0,s.Cb)({attribute:"aria-label"})],RadioBase.prototype,"ariaLabel",void 0),(0,a.gn)([w.L,(0,s.Cb)({attribute:"aria-labelledby"})],RadioBase.prototype,"ariaLabelledBy",void 0),(0,a.gn)([(0,s.hO)({passive:!0})],RadioBase.prototype,"handleRippleTouchStart",null);const O=v.iv`.mdc-touch-target-wrapper{display:inline}.mdc-radio{padding:calc((40px - 20px) / 2)}.mdc-radio .mdc-radio__native-control:enabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.54)}.mdc-radio .mdc-radio__native-control:enabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:#018786;border-color:var(--mdc-theme-secondary, #018786)}.mdc-radio .mdc-radio__native-control:enabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:#018786;border-color:var(--mdc-theme-secondary, #018786)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:rgba(0, 0, 0, 0.38)}.mdc-radio .mdc-radio__background::before{background-color:#018786;background-color:var(--mdc-theme-secondary, #018786)}.mdc-radio .mdc-radio__background::before{top:calc(-1 * (40px - 20px) / 2);left:calc(-1 * (40px - 20px) / 2);width:40px;height:40px}.mdc-radio .mdc-radio__native-control{top:calc((40px - 40px) / 2);right:calc((40px - 40px) / 2);left:calc((40px - 40px) / 2);width:40px;height:40px}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:GrayText}.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:GrayText}.mdc-radio.mdc-radio--disabled [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio.mdc-radio--disabled .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:GrayText}}.mdc-radio{display:inline-block;position:relative;flex:0 0 auto;box-sizing:content-box;width:20px;height:20px;cursor:pointer;will-change:opacity,transform,border-color,color}.mdc-radio__background{display:inline-block;position:relative;box-sizing:border-box;width:20px;height:20px}.mdc-radio__background::before{position:absolute;transform:scale(0, 0);border-radius:50%;opacity:0;pointer-events:none;content:"";transition:opacity 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__outer-circle{position:absolute;top:0;left:0;box-sizing:border-box;width:100%;height:100%;border-width:2px;border-style:solid;border-radius:50%;transition:border-color 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__inner-circle{position:absolute;top:0;left:0;box-sizing:border-box;width:100%;height:100%;transform:scale(0, 0);border-width:10px;border-style:solid;border-radius:50%;transition:transform 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1),border-color 120ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-radio__native-control{position:absolute;margin:0;padding:0;opacity:0;cursor:inherit;z-index:1}.mdc-radio--touch{margin-top:4px;margin-bottom:4px;margin-right:4px;margin-left:4px}.mdc-radio--touch .mdc-radio__native-control{top:calc((40px - 48px) / 2);right:calc((40px - 48px) / 2);left:calc((40px - 48px) / 2);width:48px;height:48px}.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}@media screen and (forced-colors: active){.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring{border-color:CanvasText}}.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring::after,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}@media screen and (forced-colors: active){.mdc-radio.mdc-ripple-upgraded--background-focused .mdc-radio__focus-ring::after,.mdc-radio:not(.mdc-ripple-upgraded):focus .mdc-radio__focus-ring::after{border-color:CanvasText}}.mdc-radio__native-control:checked+.mdc-radio__background,.mdc-radio__native-control:disabled+.mdc-radio__background{transition:opacity 120ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__outer-circle{transition:border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{transition:transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1),border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio--disabled{cursor:default;pointer-events:none}.mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__inner-circle{transform:scale(0.5);transition:transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1),border-color 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-radio__native-control:disabled+.mdc-radio__background,[aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background{cursor:default}.mdc-radio__native-control:focus+.mdc-radio__background::before{transform:scale(1);opacity:.12;transition:opacity 120ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 120ms 0ms cubic-bezier(0, 0, 0.2, 1)}:host{display:inline-block;outline:none}.mdc-radio{vertical-align:bottom}.mdc-radio .mdc-radio__native-control:enabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-unchecked-color, rgba(0, 0, 0, 0.54))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:not(:checked)+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control:checked+.mdc-radio__background .mdc-radio__outer-circle,.mdc-radio .mdc-radio__native-control:disabled:checked+.mdc-radio__background .mdc-radio__outer-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-radio [aria-disabled=true] .mdc-radio__native-control+.mdc-radio__background .mdc-radio__inner-circle,.mdc-radio .mdc-radio__native-control:disabled+.mdc-radio__background .mdc-radio__inner-circle{border-color:var(--mdc-radio-disabled-color, rgba(0, 0, 0, 0.38))}`;let I=class Radio extends RadioBase{};I.styles=[O],I=(0,a.gn)([(0,s.Mo)("mwc-radio")],I);var P={NOTCH_ELEMENT_SELECTOR:".mdc-notched-outline__notch"},D={NOTCH_ELEMENT_PADDING:8},F={NO_LABEL:"mdc-notched-outline--no-label",OUTLINE_NOTCHED:"mdc-notched-outline--notched",OUTLINE_UPGRADED:"mdc-notched-outline--upgraded"},B=function(t){function n(r){return t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this}return(0,a.ZT)(n,t),Object.defineProperty(n,"strings",{get:function(){return P},enumerable:!1,configurable:!0}),Object.defineProperty(n,"cssClasses",{get:function(){return F},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return D},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},setNotchWidthProperty:function(){},removeNotchWidthProperty:function(){}}},enumerable:!1,configurable:!0}),n.prototype.notch=function(t){var r=n.cssClasses.OUTLINE_NOTCHED;t>0&&(t+=D.NOTCH_ELEMENT_PADDING),this.adapter.setNotchWidthProperty(t),this.adapter.addClass(r)},n.prototype.closeNotch=function(){var t=n.cssClasses.OUTLINE_NOTCHED;this.adapter.removeClass(t),this.adapter.removeNotchWidthProperty()},n}(l.K);class NotchedOutlineBase extends f.H{constructor(){super(...arguments),this.mdcFoundationClass=B,this.width=0,this.open=!1,this.lastOpen=this.open}createAdapter(){return{addClass:t=>this.mdcRoot.classList.add(t),removeClass:t=>this.mdcRoot.classList.remove(t),setNotchWidthProperty:t=>this.notchElement.style.setProperty("width",`${t}px`),removeNotchWidthProperty:()=>this.notchElement.style.removeProperty("width")}}openOrClose(t,n){this.mdcFoundation&&(t&&void 0!==n?this.mdcFoundation.notch(n):this.mdcFoundation.closeNotch())}render(){this.openOrClose(this.open,this.width);const t=(0,y.$)({"mdc-notched-outline--notched":this.open});return v.dy`
      <span class="mdc-notched-outline ${t}">
        <span class="mdc-notched-outline__leading"></span>
        <span class="mdc-notched-outline__notch">
          <slot></slot>
        </span>
        <span class="mdc-notched-outline__trailing"></span>
      </span>`}}(0,a.gn)([(0,s.IO)(".mdc-notched-outline")],NotchedOutlineBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],NotchedOutlineBase.prototype,"width",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],NotchedOutlineBase.prototype,"open",void 0),(0,a.gn)([(0,s.IO)(".mdc-notched-outline__notch")],NotchedOutlineBase.prototype,"notchElement",void 0);const $=v.iv`.mdc-notched-outline{display:flex;position:absolute;top:0;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] .mdc-notched-outline,.mdc-notched-outline[dir=rtl]{text-align:right}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{box-sizing:border-box;height:100%;border-top:1px solid;border-bottom:1px solid;pointer-events:none}.mdc-notched-outline__leading{border-left:1px solid;border-right:none;width:12px}[dir=rtl] .mdc-notched-outline__leading,.mdc-notched-outline__leading[dir=rtl]{border-left:none;border-right:1px solid}.mdc-notched-outline__trailing{border-left:none;border-right:1px solid;flex-grow:1}[dir=rtl] .mdc-notched-outline__trailing,.mdc-notched-outline__trailing[dir=rtl]{border-left:1px solid;border-right:none}.mdc-notched-outline__notch{flex:0 0 auto;width:auto;max-width:calc(100% - 12px * 2)}.mdc-notched-outline .mdc-floating-label{display:inline-block;position:relative;max-width:100%}.mdc-notched-outline .mdc-floating-label--float-above{text-overflow:clip}.mdc-notched-outline--upgraded .mdc-floating-label--float-above{max-width:calc(100% / 0.75)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-left:0;padding-right:8px;border-top:none}[dir=rtl] .mdc-notched-outline--notched .mdc-notched-outline__notch,.mdc-notched-outline--notched .mdc-notched-outline__notch[dir=rtl]{padding-left:8px;padding-right:0}.mdc-notched-outline--no-label .mdc-notched-outline__notch{display:none}:host{display:block;position:absolute;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] :host,:host([dir=rtl]){text-align:right}::slotted(.mdc-floating-label){display:inline-block;position:relative;top:17px;bottom:auto;max-width:100%}::slotted(.mdc-floating-label--float-above){text-overflow:clip}.mdc-notched-outline--upgraded ::slotted(.mdc-floating-label--float-above){max-width:calc(100% / 0.75)}.mdc-notched-outline .mdc-notched-outline__leading{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}[dir=rtl] .mdc-notched-outline .mdc-notched-outline__leading,.mdc-notched-outline .mdc-notched-outline__leading[dir=rtl]{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}@supports(top: max(0%)){.mdc-notched-outline .mdc-notched-outline__leading{width:max(12px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-notched-outline .mdc-notched-outline__notch{max-width:calc(100% - max(12px, var(--mdc-shape-small, 4px)) * 2)}}.mdc-notched-outline .mdc-notched-outline__trailing{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}[dir=rtl] .mdc-notched-outline .mdc-notched-outline__trailing,.mdc-notched-outline .mdc-notched-outline__trailing[dir=rtl]{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{border-color:var(--mdc-notched-outline-border-color, var(--mdc-theme-primary, #6200ee));border-width:1px;border-width:var(--mdc-notched-outline-stroke-width, 1px)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0;padding-top:var(--mdc-notched-outline-notch-offset, 0)}`;let j=class NotchedOutline extends NotchedOutlineBase{};j.styles=[$],j=(0,a.gn)([(0,s.Mo)("mwc-notched-outline")],j);var V={LABEL_FLOAT_ABOVE:"mdc-floating-label--float-above",LABEL_REQUIRED:"mdc-floating-label--required",LABEL_SHAKE:"mdc-floating-label--shake",ROOT:"mdc-floating-label"},U=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.shakeAnimationEndHandler=function(){s.handleShakeAnimationEnd()},s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return V},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},getWidth:function(){return 0},registerInteractionHandler:function(){},deregisterInteractionHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerInteractionHandler("animationend",this.shakeAnimationEndHandler)},n.prototype.destroy=function(){this.adapter.deregisterInteractionHandler("animationend",this.shakeAnimationEndHandler)},n.prototype.getWidth=function(){return this.adapter.getWidth()},n.prototype.shake=function(t){var r=n.cssClasses.LABEL_SHAKE;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.float=function(t){var r=n.cssClasses,a=r.LABEL_FLOAT_ABOVE,s=r.LABEL_SHAKE;t?this.adapter.addClass(a):(this.adapter.removeClass(a),this.adapter.removeClass(s))},n.prototype.setRequired=function(t){var r=n.cssClasses.LABEL_REQUIRED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.handleShakeAnimationEnd=function(){var t=n.cssClasses.LABEL_SHAKE;this.adapter.removeClass(t)},n}(l.K);var G=r(875);class FloatingLabelDirective extends G.Xe{constructor(t){switch(super(t),this.foundation=null,this.previousPart=null,t.type){case G.pX.ATTRIBUTE:case G.pX.PROPERTY:break;default:throw new Error("FloatingLabel directive only support attribute and property parts")}}update(t,[n]){if(t!==this.previousPart){this.foundation&&this.foundation.destroy(),this.previousPart=t;const n=t.element;n.classList.add("mdc-floating-label");const r=(t=>({addClass:n=>t.classList.add(n),removeClass:n=>t.classList.remove(n),getWidth:()=>t.scrollWidth,registerInteractionHandler:(n,r)=>{t.addEventListener(n,r)},deregisterInteractionHandler:(n,r)=>{t.removeEventListener(n,r)}}))(n);this.foundation=new U(r),this.foundation.init()}return this.render(n)}render(t){return this.foundation}}const W=(0,G.XM)(FloatingLabelDirective);var q={LINE_RIPPLE_ACTIVE:"mdc-line-ripple--active",LINE_RIPPLE_DEACTIVATING:"mdc-line-ripple--deactivating"},X=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.transitionEndHandler=function(t){s.handleTransitionEnd(t)},s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return q},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},setStyle:function(){},registerEventHandler:function(){},deregisterEventHandler:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){this.adapter.registerEventHandler("transitionend",this.transitionEndHandler)},n.prototype.destroy=function(){this.adapter.deregisterEventHandler("transitionend",this.transitionEndHandler)},n.prototype.activate=function(){this.adapter.removeClass(q.LINE_RIPPLE_DEACTIVATING),this.adapter.addClass(q.LINE_RIPPLE_ACTIVE)},n.prototype.setRippleCenter=function(t){this.adapter.setStyle("transform-origin",t+"px center")},n.prototype.deactivate=function(){this.adapter.addClass(q.LINE_RIPPLE_DEACTIVATING)},n.prototype.handleTransitionEnd=function(t){var n=this.adapter.hasClass(q.LINE_RIPPLE_DEACTIVATING);"opacity"===t.propertyName&&n&&(this.adapter.removeClass(q.LINE_RIPPLE_ACTIVE),this.adapter.removeClass(q.LINE_RIPPLE_DEACTIVATING))},n}(l.K);class LineRippleDirective extends G.Xe{constructor(t){switch(super(t),this.previousPart=null,this.foundation=null,t.type){case G.pX.ATTRIBUTE:case G.pX.PROPERTY:return;default:throw new Error("LineRipple only support attribute and property parts.")}}update(t,n){if(this.previousPart!==t){this.foundation&&this.foundation.destroy(),this.previousPart=t;const n=t.element;n.classList.add("mdc-line-ripple");const r=(t=>({addClass:n=>t.classList.add(n),removeClass:n=>t.classList.remove(n),hasClass:n=>t.classList.contains(n),setStyle:(n,r)=>t.style.setProperty(n,r),registerEventHandler:(n,r)=>{t.addEventListener(n,r)},deregisterEventHandler:(n,r)=>{t.removeEventListener(n,r)}}))(n);this.foundation=new X(r),this.foundation.init()}return this.render()}render(){return this.foundation}}const Y=(0,G.XM)(LineRippleDirective);var K={ARIA_CONTROLS:"aria-controls",ARIA_DESCRIBEDBY:"aria-describedby",INPUT_SELECTOR:".mdc-text-field__input",LABEL_SELECTOR:".mdc-floating-label",LEADING_ICON_SELECTOR:".mdc-text-field__icon--leading",LINE_RIPPLE_SELECTOR:".mdc-line-ripple",OUTLINE_SELECTOR:".mdc-notched-outline",PREFIX_SELECTOR:".mdc-text-field__affix--prefix",SUFFIX_SELECTOR:".mdc-text-field__affix--suffix",TRAILING_ICON_SELECTOR:".mdc-text-field__icon--trailing"},J={DISABLED:"mdc-text-field--disabled",FOCUSED:"mdc-text-field--focused",HELPER_LINE:"mdc-text-field-helper-line",INVALID:"mdc-text-field--invalid",LABEL_FLOATING:"mdc-text-field--label-floating",NO_LABEL:"mdc-text-field--no-label",OUTLINED:"mdc-text-field--outlined",ROOT:"mdc-text-field",TEXTAREA:"mdc-text-field--textarea",WITH_LEADING_ICON:"mdc-text-field--with-leading-icon",WITH_TRAILING_ICON:"mdc-text-field--with-trailing-icon",WITH_INTERNAL_COUNTER:"mdc-text-field--with-internal-counter"},Q={LABEL_SCALE:.75},ee=["pattern","min","max","required","step","minlength","maxlength"],te=["color","date","datetime-local","month","range","time","week"],ie=["mousedown","touchstart"],ne=["click","keydown"];const re=function(t){function n(r,s){void 0===s&&(s={});var l=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return l.isFocused=!1,l.receivedUserInput=!1,l.valid=!0,l.useNativeValidation=!0,l.validateOnValueChange=!0,l.helperText=s.helperText,l.characterCounter=s.characterCounter,l.leadingIcon=s.leadingIcon,l.trailingIcon=s.trailingIcon,l.inputFocusHandler=function(){l.activateFocus()},l.inputBlurHandler=function(){l.deactivateFocus()},l.inputInputHandler=function(){l.handleInput()},l.setPointerXOffset=function(t){l.setTransformOrigin(t)},l.textFieldInteractionHandler=function(){l.handleTextFieldInteraction()},l.validationAttributeChangeHandler=function(t){l.handleValidationAttributeChange(t)},l}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return J},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return K},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return Q},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldAlwaysFloat",{get:function(){var t=this.getNativeInput().type;return te.indexOf(t)>=0},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldFloat",{get:function(){return this.shouldAlwaysFloat||this.isFocused||!!this.getValue()||this.isBadInput()},enumerable:!1,configurable:!0}),Object.defineProperty(n.prototype,"shouldShake",{get:function(){return!this.isFocused&&!this.isValid()&&!!this.getValue()},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!0},setInputAttr:function(){},removeInputAttr:function(){},registerTextFieldInteractionHandler:function(){},deregisterTextFieldInteractionHandler:function(){},registerInputInteractionHandler:function(){},deregisterInputInteractionHandler:function(){},registerValidationAttributeChangeHandler:function(){return new MutationObserver((function(){}))},deregisterValidationAttributeChangeHandler:function(){},getNativeInput:function(){return null},isFocused:function(){return!1},activateLineRipple:function(){},deactivateLineRipple:function(){},setLineRippleTransformOrigin:function(){},shakeLabel:function(){},floatLabel:function(){},setLabelRequired:function(){},hasLabel:function(){return!1},getLabelWidth:function(){return 0},hasOutline:function(){return!1},notchOutline:function(){},closeOutline:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t,n,r,s;this.adapter.hasLabel()&&this.getNativeInput().required&&this.adapter.setLabelRequired(!0),this.adapter.isFocused()?this.inputFocusHandler():this.adapter.hasLabel()&&this.shouldFloat&&(this.notchOutline(!0),this.adapter.floatLabel(!0),this.styleFloating(!0)),this.adapter.registerInputInteractionHandler("focus",this.inputFocusHandler),this.adapter.registerInputInteractionHandler("blur",this.inputBlurHandler),this.adapter.registerInputInteractionHandler("input",this.inputInputHandler);try{for(var l=(0,a.XA)(ie),d=l.next();!d.done;d=l.next()){var h=d.value;this.adapter.registerInputInteractionHandler(h,this.setPointerXOffset)}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=l.return)&&n.call(l)}finally{if(t)throw t.error}}try{for(var p=(0,a.XA)(ne),f=p.next();!f.done;f=p.next()){h=f.value;this.adapter.registerTextFieldInteractionHandler(h,this.textFieldInteractionHandler)}}catch(t){r={error:t}}finally{try{f&&!f.done&&(s=p.return)&&s.call(p)}finally{if(r)throw r.error}}this.validationObserver=this.adapter.registerValidationAttributeChangeHandler(this.validationAttributeChangeHandler),this.setcharacterCounter(this.getValue().length)},n.prototype.destroy=function(){var t,n,r,s;this.adapter.deregisterInputInteractionHandler("focus",this.inputFocusHandler),this.adapter.deregisterInputInteractionHandler("blur",this.inputBlurHandler),this.adapter.deregisterInputInteractionHandler("input",this.inputInputHandler);try{for(var l=(0,a.XA)(ie),d=l.next();!d.done;d=l.next()){var h=d.value;this.adapter.deregisterInputInteractionHandler(h,this.setPointerXOffset)}}catch(n){t={error:n}}finally{try{d&&!d.done&&(n=l.return)&&n.call(l)}finally{if(t)throw t.error}}try{for(var p=(0,a.XA)(ne),f=p.next();!f.done;f=p.next()){h=f.value;this.adapter.deregisterTextFieldInteractionHandler(h,this.textFieldInteractionHandler)}}catch(t){r={error:t}}finally{try{f&&!f.done&&(s=p.return)&&s.call(p)}finally{if(r)throw r.error}}this.adapter.deregisterValidationAttributeChangeHandler(this.validationObserver)},n.prototype.handleTextFieldInteraction=function(){var t=this.adapter.getNativeInput();t&&t.disabled||(this.receivedUserInput=!0)},n.prototype.handleValidationAttributeChange=function(t){var n=this;t.some((function(t){return ee.indexOf(t)>-1&&(n.styleValidity(!0),n.adapter.setLabelRequired(n.getNativeInput().required),!0)})),t.indexOf("maxlength")>-1&&this.setcharacterCounter(this.getValue().length)},n.prototype.notchOutline=function(t){if(this.adapter.hasOutline()&&this.adapter.hasLabel())if(t){var n=this.adapter.getLabelWidth()*Q.LABEL_SCALE;this.adapter.notchOutline(n)}else this.adapter.closeOutline()},n.prototype.activateFocus=function(){this.isFocused=!0,this.styleFocused(this.isFocused),this.adapter.activateLineRipple(),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),!this.helperText||!this.helperText.isPersistent()&&this.helperText.isValidation()&&this.valid||this.helperText.showToScreenReader()},n.prototype.setTransformOrigin=function(t){if(!this.isDisabled()&&!this.adapter.hasOutline()){var n=t.touches,r=n?n[0]:t,a=r.target.getBoundingClientRect(),s=r.clientX-a.left;this.adapter.setLineRippleTransformOrigin(s)}},n.prototype.handleInput=function(){this.autoCompleteFocus(),this.setcharacterCounter(this.getValue().length)},n.prototype.autoCompleteFocus=function(){this.receivedUserInput||this.activateFocus()},n.prototype.deactivateFocus=function(){this.isFocused=!1,this.adapter.deactivateLineRipple();var t=this.isValid();this.styleValidity(t),this.styleFocused(this.isFocused),this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.adapter.shakeLabel(this.shouldShake)),this.shouldFloat||(this.receivedUserInput=!1)},n.prototype.getValue=function(){return this.getNativeInput().value},n.prototype.setValue=function(t){if(this.getValue()!==t&&(this.getNativeInput().value=t),this.setcharacterCounter(t.length),this.validateOnValueChange){var n=this.isValid();this.styleValidity(n)}this.adapter.hasLabel()&&(this.notchOutline(this.shouldFloat),this.adapter.floatLabel(this.shouldFloat),this.styleFloating(this.shouldFloat),this.validateOnValueChange&&this.adapter.shakeLabel(this.shouldShake))},n.prototype.isValid=function(){return this.useNativeValidation?this.isNativeInputValid():this.valid},n.prototype.setValid=function(t){this.valid=t,this.styleValidity(t);var n=!t&&!this.isFocused&&!!this.getValue();this.adapter.hasLabel()&&this.adapter.shakeLabel(n)},n.prototype.setValidateOnValueChange=function(t){this.validateOnValueChange=t},n.prototype.getValidateOnValueChange=function(){return this.validateOnValueChange},n.prototype.setUseNativeValidation=function(t){this.useNativeValidation=t},n.prototype.isDisabled=function(){return this.getNativeInput().disabled},n.prototype.setDisabled=function(t){this.getNativeInput().disabled=t,this.styleDisabled(t)},n.prototype.setHelperTextContent=function(t){this.helperText&&this.helperText.setContent(t)},n.prototype.setLeadingIconAriaLabel=function(t){this.leadingIcon&&this.leadingIcon.setAriaLabel(t)},n.prototype.setLeadingIconContent=function(t){this.leadingIcon&&this.leadingIcon.setContent(t)},n.prototype.setTrailingIconAriaLabel=function(t){this.trailingIcon&&this.trailingIcon.setAriaLabel(t)},n.prototype.setTrailingIconContent=function(t){this.trailingIcon&&this.trailingIcon.setContent(t)},n.prototype.setcharacterCounter=function(t){if(this.characterCounter){var n=this.getNativeInput().maxLength;if(-1===n)throw new Error("MDCTextFieldFoundation: Expected maxlength html property on text input or textarea.");this.characterCounter.setCounterValue(t,n)}},n.prototype.isBadInput=function(){return this.getNativeInput().validity.badInput||!1},n.prototype.isNativeInputValid=function(){return this.getNativeInput().validity.valid},n.prototype.styleValidity=function(t){var r=n.cssClasses.INVALID;if(t?this.adapter.removeClass(r):this.adapter.addClass(r),this.helperText){if(this.helperText.setValidity(t),!this.helperText.isValidation())return;var a=this.helperText.isVisible(),s=this.helperText.getId();a&&s?this.adapter.setInputAttr(K.ARIA_DESCRIBEDBY,s):this.adapter.removeInputAttr(K.ARIA_DESCRIBEDBY)}},n.prototype.styleFocused=function(t){var r=n.cssClasses.FOCUSED;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.styleDisabled=function(t){var r=n.cssClasses,a=r.DISABLED,s=r.INVALID;t?(this.adapter.addClass(a),this.adapter.removeClass(s)):this.adapter.removeClass(a),this.leadingIcon&&this.leadingIcon.setDisabled(t),this.trailingIcon&&this.trailingIcon.setDisabled(t)},n.prototype.styleFloating=function(t){var r=n.cssClasses.LABEL_FLOATING;t?this.adapter.addClass(r):this.adapter.removeClass(r)},n.prototype.getNativeInput=function(){return(this.adapter?this.adapter.getNativeInput():null)||{disabled:!1,maxLength:-1,required:!1,type:"input",validity:{badInput:!1,valid:!0},value:""}},n}(l.K);var oe=r(3692),ae=r(4232);const se=(0,G.XM)(class extends G.Xe{constructor(t){if(super(t),t.type!==G.pX.PROPERTY&&t.type!==G.pX.ATTRIBUTE&&t.type!==G.pX.BOOLEAN_ATTRIBUTE)throw Error("The `live` directive is not allowed on child or event bindings");if(!(0,ae.OR)(t))throw Error("`live` bindings can only contain a single expression")}render(t){return t}update(t,[n]){if(n===oe.Jb||n===oe.Ld)return n;const r=t.element,a=t.name;if(t.type===G.pX.PROPERTY){if(n===r[a])return oe.Jb}else if(t.type===G.pX.BOOLEAN_ATTRIBUTE){if(!!n===r.hasAttribute(a))return oe.Jb}else if(t.type===G.pX.ATTRIBUTE&&r.getAttribute(a)===n+"")return oe.Jb;return(0,ae.hl)(t),n}}),le=["touchstart","touchmove","scroll","mousewheel"],ce=(t={})=>{const n={};for(const r in t)n[r]=t[r];return Object.assign({badInput:!1,customError:!1,patternMismatch:!1,rangeOverflow:!1,rangeUnderflow:!1,stepMismatch:!1,tooLong:!1,tooShort:!1,typeMismatch:!1,valid:!0,valueMissing:!1},n)};class TextFieldBase extends m.Wg{constructor(){super(...arguments),this.mdcFoundationClass=re,this.value="",this.type="text",this.placeholder="",this.label="",this.icon="",this.iconTrailing="",this.disabled=!1,this.required=!1,this.minLength=-1,this.maxLength=-1,this.outlined=!1,this.helper="",this.validateOnInitialRender=!1,this.validationMessage="",this.autoValidate=!1,this.pattern="",this.min="",this.max="",this.step=null,this.size=null,this.helperPersistent=!1,this.charCounter=!1,this.endAligned=!1,this.prefix="",this.suffix="",this.name="",this.readOnly=!1,this.autocapitalize="",this.outlineOpen=!1,this.outlineWidth=0,this.isUiValid=!0,this.focused=!1,this._validity=ce(),this.validityTransform=null}get validity(){return this._checkValidity(this.value),this._validity}get willValidate(){return this.formElement.willValidate}get selectionStart(){return this.formElement.selectionStart}get selectionEnd(){return this.formElement.selectionEnd}focus(){const t=new CustomEvent("focus");this.formElement.dispatchEvent(t),this.formElement.focus()}blur(){const t=new CustomEvent("blur");this.formElement.dispatchEvent(t),this.formElement.blur()}select(){this.formElement.select()}setSelectionRange(t,n,r){this.formElement.setSelectionRange(t,n,r)}update(t){t.has("autoValidate")&&this.mdcFoundation&&this.mdcFoundation.setValidateOnValueChange(this.autoValidate),t.has("value")&&"string"!=typeof this.value&&(this.value=`${this.value}`),super.update(t)}setFormData(t){this.name&&t.append(this.name,this.value)}render(){const t=this.charCounter&&-1!==this.maxLength,n=!!this.helper||!!this.validationMessage||t,r={"mdc-text-field--disabled":this.disabled,"mdc-text-field--no-label":!this.label,"mdc-text-field--filled":!this.outlined,"mdc-text-field--outlined":this.outlined,"mdc-text-field--with-leading-icon":this.icon,"mdc-text-field--with-trailing-icon":this.iconTrailing,"mdc-text-field--end-aligned":this.endAligned};return v.dy`
      <label class="mdc-text-field ${(0,y.$)(r)}">
        ${this.renderRipple()}
        ${this.outlined?this.renderOutline():this.renderLabel()}
        ${this.renderLeadingIcon()}
        ${this.renderPrefix()}
        ${this.renderInput(n)}
        ${this.renderSuffix()}
        ${this.renderTrailingIcon()}
        ${this.renderLineRipple()}
      </label>
      ${this.renderHelperText(n,t)}
    `}updated(t){t.has("value")&&void 0!==t.get("value")&&(this.mdcFoundation.setValue(this.value),this.autoValidate&&this.reportValidity())}renderRipple(){return this.outlined?"":v.dy`
      <span class="mdc-text-field__ripple"></span>
    `}renderOutline(){return this.outlined?v.dy`
      <mwc-notched-outline
          .width=${this.outlineWidth}
          .open=${this.outlineOpen}
          class="mdc-notched-outline">
        ${this.renderLabel()}
      </mwc-notched-outline>`:""}renderLabel(){return this.label?v.dy`
      <span
          .floatingLabelFoundation=${W(this.label)}
          id="label">${this.label}</span>
    `:""}renderLeadingIcon(){return this.icon?this.renderIcon(this.icon):""}renderTrailingIcon(){return this.iconTrailing?this.renderIcon(this.iconTrailing,!0):""}renderIcon(t,n=!1){const r={"mdc-text-field__icon--leading":!n,"mdc-text-field__icon--trailing":n};return v.dy`<i class="material-icons mdc-text-field__icon ${(0,y.$)(r)}">${t}</i>`}renderPrefix(){return this.prefix?this.renderAffix(this.prefix):""}renderSuffix(){return this.suffix?this.renderAffix(this.suffix,!0):""}renderAffix(t,n=!1){const r={"mdc-text-field__affix--prefix":!n,"mdc-text-field__affix--suffix":n};return v.dy`<span class="mdc-text-field__affix ${(0,y.$)(r)}">
        ${t}</span>`}renderInput(t){const n=-1===this.minLength?void 0:this.minLength,r=-1===this.maxLength?void 0:this.maxLength,a=this.autocapitalize?this.autocapitalize:void 0,s=this.validationMessage&&!this.isUiValid,l=this.label?"label":void 0,d=t?"helper-text":void 0,h=this.focused||this.helperPersistent||s?"helper-text":void 0;return v.dy`
      <input
          aria-labelledby=${(0,A.o)(l)}
          aria-controls="${(0,A.o)(d)}"
          aria-describedby="${(0,A.o)(h)}"
          class="mdc-text-field__input"
          type="${this.type}"
          .value="${se(this.value)}"
          ?disabled="${this.disabled}"
          placeholder="${this.placeholder}"
          ?required="${this.required}"
          ?readonly="${this.readOnly}"
          minlength="${(0,A.o)(n)}"
          maxlength="${(0,A.o)(r)}"
          pattern="${(0,A.o)(this.pattern?this.pattern:void 0)}"
          min="${(0,A.o)(""===this.min?void 0:this.min)}"
          max="${(0,A.o)(""===this.max?void 0:this.max)}"
          step="${(0,A.o)(null===this.step?void 0:this.step)}"
          size="${(0,A.o)(null===this.size?void 0:this.size)}"
          name="${(0,A.o)(""===this.name?void 0:this.name)}"
          inputmode="${(0,A.o)(this.inputMode)}"
          autocapitalize="${(0,A.o)(a)}"
          @input="${this.handleInputChange}"
          @focus="${this.onInputFocus}"
          @blur="${this.onInputBlur}">`}renderLineRipple(){return this.outlined?"":v.dy`
      <span .lineRippleFoundation=${Y()}></span>
    `}renderHelperText(t,n){const r=this.validationMessage&&!this.isUiValid,a={"mdc-text-field-helper-text--persistent":this.helperPersistent,"mdc-text-field-helper-text--validation-msg":r},s=this.focused||this.helperPersistent||r?void 0:"true",l=r?this.validationMessage:this.helper;return t?v.dy`
      <div class="mdc-text-field-helper-line">
        <div id="helper-text"
             aria-hidden="${(0,A.o)(s)}"
             class="mdc-text-field-helper-text ${(0,y.$)(a)}"
             >${l}</div>
        ${this.renderCharCounter(n)}
      </div>`:""}renderCharCounter(t){const n=Math.min(this.value.length,this.maxLength);return t?v.dy`
      <span class="mdc-text-field-character-counter"
            >${n} / ${this.maxLength}</span>`:""}onInputFocus(){this.focused=!0}onInputBlur(){this.focused=!1,this.reportValidity()}checkValidity(){const t=this._checkValidity(this.value);if(!t){const t=new Event("invalid",{bubbles:!1,cancelable:!0});this.dispatchEvent(t)}return t}reportValidity(){const t=this.checkValidity();return this.mdcFoundation.setValid(t),this.isUiValid=t,t}_checkValidity(t){const n=this.formElement.validity;let r=ce(n);if(this.validityTransform){const n=this.validityTransform(t,r);r=Object.assign(Object.assign({},r),n),this.mdcFoundation.setUseNativeValidation(!1)}else this.mdcFoundation.setUseNativeValidation(!0);return this._validity=r,this._validity.valid}setCustomValidity(t){this.validationMessage=t,this.formElement.setCustomValidity(t)}handleInputChange(){this.value=this.formElement.value}createAdapter(){return Object.assign(Object.assign(Object.assign(Object.assign(Object.assign({},this.getRootAdapterMethods()),this.getInputAdapterMethods()),this.getLabelAdapterMethods()),this.getLineRippleAdapterMethods()),this.getOutlineAdapterMethods())}getRootAdapterMethods(){return Object.assign({registerTextFieldInteractionHandler:(t,n)=>this.addEventListener(t,n),deregisterTextFieldInteractionHandler:(t,n)=>this.removeEventListener(t,n),registerValidationAttributeChangeHandler:t=>{const n=new MutationObserver((n=>{t((t=>t.map((t=>t.attributeName)).filter((t=>t)))(n))}));return n.observe(this.formElement,{attributes:!0}),n},deregisterValidationAttributeChangeHandler:t=>t.disconnect()},(0,m.qN)(this.mdcRoot))}getInputAdapterMethods(){return{getNativeInput:()=>this.formElement,setInputAttr:()=>{},removeInputAttr:()=>{},isFocused:()=>!!this.shadowRoot&&this.shadowRoot.activeElement===this.formElement,registerInputInteractionHandler:(t,n)=>this.formElement.addEventListener(t,n,{passive:t in le}),deregisterInputInteractionHandler:(t,n)=>this.formElement.removeEventListener(t,n)}}getLabelAdapterMethods(){return{floatLabel:t=>this.labelElement&&this.labelElement.floatingLabelFoundation.float(t),getLabelWidth:()=>this.labelElement?this.labelElement.floatingLabelFoundation.getWidth():0,hasLabel:()=>Boolean(this.labelElement),shakeLabel:t=>this.labelElement&&this.labelElement.floatingLabelFoundation.shake(t),setLabelRequired:t=>{this.labelElement&&this.labelElement.floatingLabelFoundation.setRequired(t)}}}getLineRippleAdapterMethods(){return{activateLineRipple:()=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.activate()},deactivateLineRipple:()=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.deactivate()},setLineRippleTransformOrigin:t=>{this.lineRippleElement&&this.lineRippleElement.lineRippleFoundation.setRippleCenter(t)}}}async getUpdateComplete(){var t;const n=await super.getUpdateComplete();return await(null===(t=this.outlineElement)||void 0===t?void 0:t.updateComplete),n}firstUpdated(){var t;super.firstUpdated(),this.mdcFoundation.setValidateOnValueChange(this.autoValidate),this.validateOnInitialRender&&this.reportValidity(),null===(t=this.outlineElement)||void 0===t||t.updateComplete.then((()=>{var t;this.outlineWidth=(null===(t=this.labelElement)||void 0===t?void 0:t.floatingLabelFoundation.getWidth())||0}))}getOutlineAdapterMethods(){return{closeOutline:()=>this.outlineElement&&(this.outlineOpen=!1),hasOutline:()=>Boolean(this.outlineElement),notchOutline:t=>{this.outlineElement&&!this.outlineOpen&&(this.outlineWidth=t,this.outlineOpen=!0)}}}async layout(){await this.updateComplete;const t=this.labelElement;if(!t)return void(this.outlineOpen=!1);const n=!!this.label&&!!this.value;if(t.floatingLabelFoundation.float(n),!this.outlined)return;this.outlineOpen=n,await this.updateComplete;const r=t.floatingLabelFoundation.getWidth();this.outlineOpen&&(this.outlineWidth=r,await this.updateComplete)}}(0,a.gn)([(0,s.IO)(".mdc-text-field")],TextFieldBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.IO)("input")],TextFieldBase.prototype,"formElement",void 0),(0,a.gn)([(0,s.IO)(".mdc-floating-label")],TextFieldBase.prototype,"labelElement",void 0),(0,a.gn)([(0,s.IO)(".mdc-line-ripple")],TextFieldBase.prototype,"lineRippleElement",void 0),(0,a.gn)([(0,s.IO)("mwc-notched-outline")],TextFieldBase.prototype,"outlineElement",void 0),(0,a.gn)([(0,s.IO)(".mdc-notched-outline__notch")],TextFieldBase.prototype,"notchElement",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"value",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"type",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"placeholder",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,g.P)((function(t,n){void 0!==n&&this.label!==n&&this.layout()}))],TextFieldBase.prototype,"label",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"icon",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"iconTrailing",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],TextFieldBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"required",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],TextFieldBase.prototype,"minLength",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],TextFieldBase.prototype,"maxLength",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,g.P)((function(t,n){void 0!==n&&this.outlined!==n&&this.layout()}))],TextFieldBase.prototype,"outlined",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"helper",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"validateOnInitialRender",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"validationMessage",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"autoValidate",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"pattern",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"min",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"max",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"step",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],TextFieldBase.prototype,"size",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"helperPersistent",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"charCounter",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"endAligned",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"prefix",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"suffix",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"name",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"inputMode",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],TextFieldBase.prototype,"readOnly",void 0),(0,a.gn)([(0,s.Cb)({type:String})],TextFieldBase.prototype,"autocapitalize",void 0),(0,a.gn)([(0,s.SB)()],TextFieldBase.prototype,"outlineOpen",void 0),(0,a.gn)([(0,s.SB)()],TextFieldBase.prototype,"outlineWidth",void 0),(0,a.gn)([(0,s.SB)()],TextFieldBase.prototype,"isUiValid",void 0),(0,a.gn)([(0,s.SB)()],TextFieldBase.prototype,"focused",void 0),(0,a.gn)([(0,s.hO)({passive:!0})],TextFieldBase.prototype,"handleInputChange",null);const de=v.iv`.mdc-floating-label{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);position:absolute;left:0;-webkit-transform-origin:left top;transform-origin:left top;line-height:1.15rem;text-align:left;text-overflow:ellipsis;white-space:nowrap;cursor:text;overflow:hidden;will-change:transform;transition:transform 150ms cubic-bezier(0.4, 0, 0.2, 1),color 150ms cubic-bezier(0.4, 0, 0.2, 1)}[dir=rtl] .mdc-floating-label,.mdc-floating-label[dir=rtl]{right:0;left:auto;-webkit-transform-origin:right top;transform-origin:right top;text-align:right}.mdc-floating-label--float-above{cursor:auto}.mdc-floating-label--required::after{margin-left:1px;margin-right:0px;content:"*"}[dir=rtl] .mdc-floating-label--required::after,.mdc-floating-label--required[dir=rtl]::after{margin-left:0;margin-right:1px}.mdc-floating-label--float-above{transform:translateY(-106%) scale(0.75)}.mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-standard 250ms 1}@keyframes mdc-floating-label-shake-float-above-standard{0%{transform:translateX(calc(0 - 0%)) translateY(-106%) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-106%) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-106%) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-106%) scale(0.75)}}.mdc-line-ripple::before,.mdc-line-ripple::after{position:absolute;bottom:0;left:0;width:100%;border-bottom-style:solid;content:""}.mdc-line-ripple::before{border-bottom-width:1px}.mdc-line-ripple::before{z-index:1}.mdc-line-ripple::after{transform:scaleX(0);border-bottom-width:2px;opacity:0;z-index:2}.mdc-line-ripple::after{transition:transform 180ms cubic-bezier(0.4, 0, 0.2, 1),opacity 180ms cubic-bezier(0.4, 0, 0.2, 1)}.mdc-line-ripple--active::after{transform:scaleX(1);opacity:1}.mdc-line-ripple--deactivating::after{opacity:0}.mdc-notched-outline{display:flex;position:absolute;top:0;right:0;left:0;box-sizing:border-box;width:100%;max-width:100%;height:100%;text-align:left;pointer-events:none}[dir=rtl] .mdc-notched-outline,.mdc-notched-outline[dir=rtl]{text-align:right}.mdc-notched-outline__leading,.mdc-notched-outline__notch,.mdc-notched-outline__trailing{box-sizing:border-box;height:100%;border-top:1px solid;border-bottom:1px solid;pointer-events:none}.mdc-notched-outline__leading{border-left:1px solid;border-right:none;width:12px}[dir=rtl] .mdc-notched-outline__leading,.mdc-notched-outline__leading[dir=rtl]{border-left:none;border-right:1px solid}.mdc-notched-outline__trailing{border-left:none;border-right:1px solid;flex-grow:1}[dir=rtl] .mdc-notched-outline__trailing,.mdc-notched-outline__trailing[dir=rtl]{border-left:1px solid;border-right:none}.mdc-notched-outline__notch{flex:0 0 auto;width:auto;max-width:calc(100% - 12px * 2)}.mdc-notched-outline .mdc-floating-label{display:inline-block;position:relative;max-width:100%}.mdc-notched-outline .mdc-floating-label--float-above{text-overflow:clip}.mdc-notched-outline--upgraded .mdc-floating-label--float-above{max-width:calc(100% / 0.75)}.mdc-notched-outline--notched .mdc-notched-outline__notch{padding-left:0;padding-right:8px;border-top:none}[dir=rtl] .mdc-notched-outline--notched .mdc-notched-outline__notch,.mdc-notched-outline--notched .mdc-notched-outline__notch[dir=rtl]{padding-left:8px;padding-right:0}.mdc-notched-outline--no-label .mdc-notched-outline__notch{display:none}@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}.mdc-text-field--filled{--mdc-ripple-fg-size: 0;--mdc-ripple-left: 0;--mdc-ripple-top: 0;--mdc-ripple-fg-scale: 1;--mdc-ripple-fg-translate-end: 0;--mdc-ripple-fg-translate-start: 0;-webkit-tap-highlight-color:rgba(0,0,0,0);will-change:transform,opacity}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{position:absolute;border-radius:50%;opacity:0;pointer-events:none;content:""}.mdc-text-field--filled .mdc-text-field__ripple::before{transition:opacity 15ms linear,background-color 15ms linear;z-index:1;z-index:var(--mdc-ripple-z-index, 1)}.mdc-text-field--filled .mdc-text-field__ripple::after{z-index:0;z-index:var(--mdc-ripple-z-index, 0)}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::before{transform:scale(var(--mdc-ripple-fg-scale, 1))}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::after{top:0;left:0;transform:scale(0);transform-origin:center center}.mdc-text-field--filled.mdc-ripple-upgraded--unbounded .mdc-text-field__ripple::after{top:var(--mdc-ripple-top, 0);left:var(--mdc-ripple-left, 0)}.mdc-text-field--filled.mdc-ripple-upgraded--foreground-activation .mdc-text-field__ripple::after{animation:mdc-ripple-fg-radius-in 225ms forwards,mdc-ripple-fg-opacity-in 75ms forwards}.mdc-text-field--filled.mdc-ripple-upgraded--foreground-deactivation .mdc-text-field__ripple::after{animation:mdc-ripple-fg-opacity-out 150ms;transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{top:calc(50% - 100%);left:calc(50% - 100%);width:200%;height:200%}.mdc-text-field--filled.mdc-ripple-upgraded .mdc-text-field__ripple::after{width:var(--mdc-ripple-fg-size, 100%);height:var(--mdc-ripple-fg-size, 100%)}.mdc-text-field__ripple{position:absolute;top:0;left:0;width:100%;height:100%;pointer-events:none}.mdc-text-field{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:0;border-bottom-left-radius:0;display:inline-flex;align-items:baseline;padding:0 16px;position:relative;box-sizing:border-box;overflow:hidden;will-change:opacity,transform,color}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-floating-label{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input{color:rgba(0, 0, 0, 0.87)}@media all{.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input::placeholder{color:rgba(0, 0, 0, 0.54)}}@media all{.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__input:-ms-input-placeholder{color:rgba(0, 0, 0, 0.54)}}.mdc-text-field .mdc-text-field__input{caret-color:#6200ee;caret-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field:not(.mdc-text-field--disabled)+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field-character-counter,.mdc-text-field:not(.mdc-text-field--disabled)+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon--leading{color:rgba(0, 0, 0, 0.54)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__icon--trailing{color:rgba(0, 0, 0, 0.54)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__affix--prefix{color:rgba(0, 0, 0, 0.6)}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-text-field__affix--suffix{color:rgba(0, 0, 0, 0.6)}.mdc-text-field .mdc-floating-label{top:50%;transform:translateY(-50%);pointer-events:none}.mdc-text-field__input{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);height:28px;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1);width:100%;min-width:0;border:none;border-radius:0;background:none;appearance:none;padding:0}.mdc-text-field__input::-ms-clear{display:none}.mdc-text-field__input::-webkit-calendar-picker-indicator{display:none}.mdc-text-field__input:focus{outline:none}.mdc-text-field__input:invalid{box-shadow:none}@media all{.mdc-text-field__input::placeholder{transition:opacity 67ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0}}@media all{.mdc-text-field__input:-ms-input-placeholder{transition:opacity 67ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0}}@media all{.mdc-text-field--no-label .mdc-text-field__input::placeholder,.mdc-text-field--focused .mdc-text-field__input::placeholder{transition-delay:40ms;transition-duration:110ms;opacity:1}}@media all{.mdc-text-field--no-label .mdc-text-field__input:-ms-input-placeholder,.mdc-text-field--focused .mdc-text-field__input:-ms-input-placeholder{transition-delay:40ms;transition-duration:110ms;opacity:1}}.mdc-text-field__affix{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);height:28px;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1);opacity:0;white-space:nowrap}.mdc-text-field--label-floating .mdc-text-field__affix,.mdc-text-field--no-label .mdc-text-field__affix{opacity:1}@supports(-webkit-hyphens: none){.mdc-text-field--outlined .mdc-text-field__affix{align-items:center;align-self:center;display:inline-flex;height:100%}}.mdc-text-field__affix--prefix{padding-left:0;padding-right:2px}[dir=rtl] .mdc-text-field__affix--prefix,.mdc-text-field__affix--prefix[dir=rtl]{padding-left:2px;padding-right:0}.mdc-text-field--end-aligned .mdc-text-field__affix--prefix{padding-left:0;padding-right:12px}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__affix--prefix,.mdc-text-field--end-aligned .mdc-text-field__affix--prefix[dir=rtl]{padding-left:12px;padding-right:0}.mdc-text-field__affix--suffix{padding-left:12px;padding-right:0}[dir=rtl] .mdc-text-field__affix--suffix,.mdc-text-field__affix--suffix[dir=rtl]{padding-left:0;padding-right:12px}.mdc-text-field--end-aligned .mdc-text-field__affix--suffix{padding-left:2px;padding-right:0}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__affix--suffix,.mdc-text-field--end-aligned .mdc-text-field__affix--suffix[dir=rtl]{padding-left:0;padding-right:2px}.mdc-text-field--filled{height:56px}.mdc-text-field--filled .mdc-text-field__ripple::before,.mdc-text-field--filled .mdc-text-field__ripple::after{background-color:rgba(0, 0, 0, 0.87);background-color:var(--mdc-ripple-color, rgba(0, 0, 0, 0.87))}.mdc-text-field--filled:hover .mdc-text-field__ripple::before,.mdc-text-field--filled.mdc-ripple-surface--hover .mdc-text-field__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-text-field--filled.mdc-ripple-upgraded--background-focused .mdc-text-field__ripple::before,.mdc-text-field--filled:not(.mdc-ripple-upgraded):focus .mdc-text-field__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-text-field--filled::before{display:inline-block;width:0;height:40px;content:"";vertical-align:0}.mdc-text-field--filled:not(.mdc-text-field--disabled){background-color:whitesmoke}.mdc-text-field--filled:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.42)}.mdc-text-field--filled:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.87)}.mdc-text-field--filled .mdc-line-ripple::after{border-bottom-color:#6200ee;border-bottom-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field--filled .mdc-floating-label{left:16px;right:initial}[dir=rtl] .mdc-text-field--filled .mdc-floating-label,.mdc-text-field--filled .mdc-floating-label[dir=rtl]{left:initial;right:16px}.mdc-text-field--filled .mdc-floating-label--float-above{transform:translateY(-106%) scale(0.75)}.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__input{height:100%}.mdc-text-field--filled.mdc-text-field--no-label .mdc-floating-label{display:none}.mdc-text-field--filled.mdc-text-field--no-label::before{display:none}@supports(-webkit-hyphens: none){.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__affix{align-items:center;align-self:center;display:inline-flex;height:100%}}.mdc-text-field--outlined{height:56px;overflow:visible}.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-37.25px) scale(1)}.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-34.75px) scale(0.75)}.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined{0%{transform:translateX(calc(0 - 0%)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-34.75px) scale(0.75)}}.mdc-text-field--outlined .mdc-text-field__input{height:100%}.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.38)}.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.87)}.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--outlined:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing{border-color:#6200ee;border-color:var(--mdc-theme-primary, #6200ee)}.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}[dir=rtl] .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading[dir=rtl]{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}@supports(top: max(0%)){.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__leading{width:max(12px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__notch{max-width:calc(100% - max(12px, var(--mdc-shape-small, 4px)) * 2)}}.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing{border-top-left-radius:0;border-top-right-radius:4px;border-top-right-radius:var(--mdc-shape-small, 4px);border-bottom-right-radius:4px;border-bottom-right-radius:var(--mdc-shape-small, 4px);border-bottom-left-radius:0}[dir=rtl] .mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing,.mdc-text-field--outlined .mdc-notched-outline .mdc-notched-outline__trailing[dir=rtl]{border-top-left-radius:4px;border-top-left-radius:var(--mdc-shape-small, 4px);border-top-right-radius:0;border-bottom-right-radius:0;border-bottom-left-radius:4px;border-bottom-left-radius:var(--mdc-shape-small, 4px)}@supports(top: max(0%)){.mdc-text-field--outlined{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined{padding-right:max(16px, var(--mdc-shape-small, 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined+.mdc-text-field-helper-line{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}@supports(top: max(0%)){.mdc-text-field--outlined+.mdc-text-field-helper-line{padding-right:max(16px, var(--mdc-shape-small, 4px))}}.mdc-text-field--outlined.mdc-text-field--with-leading-icon{padding-left:0}@supports(top: max(0%)){.mdc-text-field--outlined.mdc-text-field--with-leading-icon{padding-right:max(16px, var(--mdc-shape-small, 4px))}}[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-leading-icon,.mdc-text-field--outlined.mdc-text-field--with-leading-icon[dir=rtl]{padding-right:0}@supports(top: max(0%)){[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-leading-icon,.mdc-text-field--outlined.mdc-text-field--with-leading-icon[dir=rtl]{padding-left:max(16px, var(--mdc-shape-small, 4px))}}.mdc-text-field--outlined.mdc-text-field--with-trailing-icon{padding-right:0}@supports(top: max(0%)){.mdc-text-field--outlined.mdc-text-field--with-trailing-icon{padding-left:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-trailing-icon,.mdc-text-field--outlined.mdc-text-field--with-trailing-icon[dir=rtl]{padding-left:0}@supports(top: max(0%)){[dir=rtl] .mdc-text-field--outlined.mdc-text-field--with-trailing-icon,.mdc-text-field--outlined.mdc-text-field--with-trailing-icon[dir=rtl]{padding-right:max(16px, calc(var(--mdc-shape-small, 4px) + 4px))}}.mdc-text-field--outlined.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon{padding-left:0;padding-right:0}.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:1px}.mdc-text-field--outlined .mdc-text-field__ripple::before,.mdc-text-field--outlined .mdc-text-field__ripple::after{background-color:transparent;background-color:var(--mdc-ripple-color, transparent)}.mdc-text-field--outlined .mdc-floating-label{left:4px;right:initial}[dir=rtl] .mdc-text-field--outlined .mdc-floating-label,.mdc-text-field--outlined .mdc-floating-label[dir=rtl]{left:initial;right:4px}.mdc-text-field--outlined .mdc-text-field__input{display:flex;border:none !important;background-color:transparent}.mdc-text-field--outlined .mdc-notched-outline{z-index:1}.mdc-text-field--textarea{flex-direction:column;align-items:center;width:auto;height:auto;padding:0;transition:none}.mdc-text-field--textarea .mdc-floating-label{top:19px}.mdc-text-field--textarea .mdc-floating-label:not(.mdc-floating-label--float-above){transform:none}.mdc-text-field--textarea .mdc-text-field__input{flex-grow:1;height:auto;min-height:1.5rem;overflow-x:hidden;overflow-y:auto;box-sizing:border-box;resize:none;padding:0 16px;line-height:1.5rem}.mdc-text-field--textarea.mdc-text-field--filled::before{display:none}.mdc-text-field--textarea.mdc-text-field--filled .mdc-floating-label--float-above{transform:translateY(-10.25px) scale(0.75)}.mdc-text-field--textarea.mdc-text-field--filled .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-textarea-filled 250ms 1}@keyframes mdc-floating-label-shake-float-above-textarea-filled{0%{transform:translateX(calc(0 - 0%)) translateY(-10.25px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-10.25px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-10.25px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-10.25px) scale(0.75)}}.mdc-text-field--textarea.mdc-text-field--filled .mdc-text-field__input{margin-top:23px;margin-bottom:9px}.mdc-text-field--textarea.mdc-text-field--filled.mdc-text-field--no-label .mdc-text-field__input{margin-top:16px;margin-bottom:16px}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-27.25px) scale(1)}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--textarea.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-24.75px) scale(0.75)}.mdc-text-field--textarea.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--textarea.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-textarea-outlined 250ms 1}@keyframes mdc-floating-label-shake-float-above-textarea-outlined{0%{transform:translateX(calc(0 - 0%)) translateY(-24.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 0%)) translateY(-24.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 0%)) translateY(-24.75px) scale(0.75)}100%{transform:translateX(calc(0 - 0%)) translateY(-24.75px) scale(0.75)}}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-text-field__input{margin-top:16px;margin-bottom:16px}.mdc-text-field--textarea.mdc-text-field--outlined .mdc-floating-label{top:18px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field__input{margin-bottom:2px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter{align-self:flex-end;padding:0 16px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter::after{display:inline-block;width:0;height:16px;content:"";vertical-align:-16px}.mdc-text-field--textarea.mdc-text-field--with-internal-counter .mdc-text-field-character-counter::before{display:none}.mdc-text-field__resizer{align-self:stretch;display:inline-flex;flex-direction:column;flex-grow:1;max-height:100%;max-width:100%;min-height:56px;min-width:fit-content;min-width:-moz-available;min-width:-webkit-fill-available;overflow:hidden;resize:both}.mdc-text-field--filled .mdc-text-field__resizer{transform:translateY(-1px)}.mdc-text-field--filled .mdc-text-field__resizer .mdc-text-field__input,.mdc-text-field--filled .mdc-text-field__resizer .mdc-text-field-character-counter{transform:translateY(1px)}.mdc-text-field--outlined .mdc-text-field__resizer{transform:translateX(-1px) translateY(-1px)}[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer,.mdc-text-field--outlined .mdc-text-field__resizer[dir=rtl]{transform:translateX(1px) translateY(-1px)}.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input,.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter{transform:translateX(1px) translateY(1px)}[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input,[dir=rtl] .mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter,.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field__input[dir=rtl],.mdc-text-field--outlined .mdc-text-field__resizer .mdc-text-field-character-counter[dir=rtl]{transform:translateX(-1px) translateY(1px)}.mdc-text-field--with-leading-icon{padding-left:0;padding-right:16px}[dir=rtl] .mdc-text-field--with-leading-icon,.mdc-text-field--with-leading-icon[dir=rtl]{padding-left:16px;padding-right:0}.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 48px);left:48px;right:initial}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label,.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label[dir=rtl]{left:initial;right:48px}.mdc-text-field--with-leading-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 64px / 0.75)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label{left:36px;right:initial}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label[dir=rtl]{left:initial;right:36px}.mdc-text-field--with-leading-icon.mdc-text-field--outlined :not(.mdc-notched-outline--notched) .mdc-notched-outline__notch{max-width:calc(100% - 60px)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above{transform:translateY(-37.25px) translateX(-32px) scale(1)}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above[dir=rtl]{transform:translateY(-37.25px) translateX(32px) scale(1)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--float-above{font-size:.75rem}.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{transform:translateY(-34.75px) translateX(-32px) scale(0.75)}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above[dir=rtl],.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above[dir=rtl]{transform:translateY(-34.75px) translateX(32px) scale(0.75)}.mdc-text-field--with-leading-icon.mdc-text-field--outlined.mdc-notched-outline--upgraded .mdc-floating-label--float-above,.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-notched-outline--upgraded .mdc-floating-label--float-above{font-size:1rem}.mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined-leading-icon 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined-leading-icon{0%{transform:translateX(calc(0 - 32px)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - 32px)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - 32px)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - 32px)) translateY(-34.75px) scale(0.75)}}[dir=rtl] .mdc-text-field--with-leading-icon.mdc-text-field--outlined .mdc-floating-label--shake,.mdc-text-field--with-leading-icon.mdc-text-field--outlined[dir=rtl] .mdc-floating-label--shake{animation:mdc-floating-label-shake-float-above-text-field-outlined-leading-icon 250ms 1}@keyframes mdc-floating-label-shake-float-above-text-field-outlined-leading-icon-rtl{0%{transform:translateX(calc(0 - -32px)) translateY(-34.75px) scale(0.75)}33%{animation-timing-function:cubic-bezier(0.5, 0, 0.701732, 0.495819);transform:translateX(calc(4% - -32px)) translateY(-34.75px) scale(0.75)}66%{animation-timing-function:cubic-bezier(0.302435, 0.381352, 0.55, 0.956352);transform:translateX(calc(-4% - -32px)) translateY(-34.75px) scale(0.75)}100%{transform:translateX(calc(0 - -32px)) translateY(-34.75px) scale(0.75)}}.mdc-text-field--with-trailing-icon{padding-left:16px;padding-right:0}[dir=rtl] .mdc-text-field--with-trailing-icon,.mdc-text-field--with-trailing-icon[dir=rtl]{padding-left:0;padding-right:16px}.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 64px)}.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 64px / 0.75)}.mdc-text-field--with-trailing-icon.mdc-text-field--outlined :not(.mdc-notched-outline--notched) .mdc-notched-outline__notch{max-width:calc(100% - 60px)}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon{padding-left:0;padding-right:0}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label{max-width:calc(100% - 96px)}.mdc-text-field--with-leading-icon.mdc-text-field--with-trailing-icon.mdc-text-field--filled .mdc-floating-label--float-above{max-width:calc(100% / 0.75 - 96px / 0.75)}.mdc-text-field-helper-line{display:flex;justify-content:space-between;box-sizing:border-box}.mdc-text-field+.mdc-text-field-helper-line{padding-right:16px;padding-left:16px}.mdc-form-field>.mdc-text-field+label{align-self:flex-start}.mdc-text-field--focused:not(.mdc-text-field--disabled) .mdc-floating-label{color:rgba(98, 0, 238, 0.87)}.mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--focused .mdc-notched-outline__trailing{border-width:2px}.mdc-text-field--focused+.mdc-text-field-helper-line .mdc-text-field-helper-text:not(.mdc-text-field-helper-text--validation-msg){opacity:1}.mdc-text-field--focused.mdc-text-field--outlined .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:2px}.mdc-text-field--focused.mdc-text-field--outlined.mdc-text-field--textarea .mdc-notched-outline--notched .mdc-notched-outline__notch{padding-top:0}.mdc-text-field--invalid:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::after{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-floating-label{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-helper-text--validation-msg{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid .mdc-text-field__input{caret-color:#b00020;caret-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-text-field__icon--trailing{color:#b00020;color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled):not(.mdc-text-field--focused):hover .mdc-notched-outline .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__leading,.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__notch,.mdc-text-field--invalid:not(.mdc-text-field--disabled).mdc-text-field--focused .mdc-notched-outline__trailing{border-color:#b00020;border-color:var(--mdc-theme-error, #b00020)}.mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-helper-text--validation-msg{opacity:1}.mdc-text-field--disabled{pointer-events:none}.mdc-text-field--disabled .mdc-text-field__input{color:rgba(0, 0, 0, 0.38)}@media all{.mdc-text-field--disabled .mdc-text-field__input::placeholder{color:rgba(0, 0, 0, 0.38)}}@media all{.mdc-text-field--disabled .mdc-text-field__input:-ms-input-placeholder{color:rgba(0, 0, 0, 0.38)}}.mdc-text-field--disabled .mdc-floating-label{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field-character-counter,.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field__icon--leading{color:rgba(0, 0, 0, 0.3)}.mdc-text-field--disabled .mdc-text-field__icon--trailing{color:rgba(0, 0, 0, 0.3)}.mdc-text-field--disabled .mdc-text-field__affix--prefix{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-text-field__affix--suffix{color:rgba(0, 0, 0, 0.38)}.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.06)}.mdc-text-field--disabled .mdc-notched-outline__leading,.mdc-text-field--disabled .mdc-notched-outline__notch,.mdc-text-field--disabled .mdc-notched-outline__trailing{border-color:rgba(0, 0, 0, 0.06)}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__input::placeholder{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__input:-ms-input-placeholder{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-floating-label{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-helper-text{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field-character-counter,.mdc-text-field--disabled+.mdc-text-field-helper-line .mdc-text-field-character-counter{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__icon--leading{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__icon--trailing{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__affix--prefix{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-text-field__affix--suffix{color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:GrayText}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-text-field--disabled .mdc-notched-outline__leading,.mdc-text-field--disabled .mdc-notched-outline__notch,.mdc-text-field--disabled .mdc-notched-outline__trailing{border-color:GrayText}}@media screen and (forced-colors: active){.mdc-text-field--disabled .mdc-text-field__input{background-color:Window}.mdc-text-field--disabled .mdc-floating-label{z-index:1}}.mdc-text-field--disabled .mdc-floating-label{cursor:default}.mdc-text-field--disabled.mdc-text-field--filled{background-color:#fafafa}.mdc-text-field--disabled.mdc-text-field--filled .mdc-text-field__ripple{display:none}.mdc-text-field--disabled .mdc-text-field__input{pointer-events:auto}.mdc-text-field--end-aligned .mdc-text-field__input{text-align:right}[dir=rtl] .mdc-text-field--end-aligned .mdc-text-field__input,.mdc-text-field--end-aligned .mdc-text-field__input[dir=rtl]{text-align:left}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__input,[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__input,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix{direction:ltr}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--prefix{padding-left:0;padding-right:2px}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--suffix{padding-left:12px;padding-right:0}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__icon--leading,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__icon--leading{order:1}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--suffix{order:2}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__input,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__input{order:3}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__affix--prefix{order:4}[dir=rtl] .mdc-text-field--ltr-text .mdc-text-field__icon--trailing,.mdc-text-field--ltr-text[dir=rtl] .mdc-text-field__icon--trailing{order:5}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__input,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__input{text-align:right}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__affix--prefix,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__affix--prefix{padding-right:12px}[dir=rtl] .mdc-text-field--ltr-text.mdc-text-field--end-aligned .mdc-text-field__affix--suffix,.mdc-text-field--ltr-text.mdc-text-field--end-aligned[dir=rtl] .mdc-text-field__affix--suffix{padding-left:2px}.mdc-text-field-helper-text{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit);display:block;margin-top:0;line-height:normal;margin:0;opacity:0;will-change:opacity;transition:opacity 150ms 0ms cubic-bezier(0.4, 0, 0.2, 1)}.mdc-text-field-helper-text::before{display:inline-block;width:0;height:16px;content:"";vertical-align:0}.mdc-text-field-helper-text--persistent{transition:none;opacity:1;will-change:initial}.mdc-text-field-character-counter{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit);display:block;margin-top:0;line-height:normal;margin-left:auto;margin-right:0;padding-left:16px;padding-right:0;white-space:nowrap}.mdc-text-field-character-counter::before{display:inline-block;width:0;height:16px;content:"";vertical-align:0}[dir=rtl] .mdc-text-field-character-counter,.mdc-text-field-character-counter[dir=rtl]{margin-left:0;margin-right:auto}[dir=rtl] .mdc-text-field-character-counter,.mdc-text-field-character-counter[dir=rtl]{padding-left:0;padding-right:16px}.mdc-text-field__icon{align-self:center;cursor:pointer}.mdc-text-field__icon:not([tabindex]),.mdc-text-field__icon[tabindex="-1"]{cursor:default;pointer-events:none}.mdc-text-field__icon svg{display:block}.mdc-text-field__icon--leading{margin-left:16px;margin-right:8px}[dir=rtl] .mdc-text-field__icon--leading,.mdc-text-field__icon--leading[dir=rtl]{margin-left:8px;margin-right:16px}.mdc-text-field__icon--trailing{padding:12px;margin-left:0px;margin-right:0px}[dir=rtl] .mdc-text-field__icon--trailing,.mdc-text-field__icon--trailing[dir=rtl]{margin-left:0px;margin-right:0px}.material-icons{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}:host{display:inline-flex;flex-direction:column;outline:none}.mdc-text-field{width:100%}.mdc-text-field:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.42);border-bottom-color:var(--mdc-text-field-idle-line-color, rgba(0, 0, 0, 0.42))}.mdc-text-field:not(.mdc-text-field--disabled):hover .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.87);border-bottom-color:var(--mdc-text-field-hover-line-color, rgba(0, 0, 0, 0.87))}.mdc-text-field.mdc-text-field--disabled .mdc-line-ripple::before{border-bottom-color:rgba(0, 0, 0, 0.06);border-bottom-color:var(--mdc-text-field-disabled-line-color, rgba(0, 0, 0, 0.06))}.mdc-text-field.mdc-text-field--invalid:not(.mdc-text-field--disabled) .mdc-line-ripple::before{border-bottom-color:#b00020;border-bottom-color:var(--mdc-theme-error, #b00020)}.mdc-text-field__input{direction:inherit}mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-idle-border-color, rgba(0, 0, 0, 0.38) )}:host(:not([disabled]):hover) :not(.mdc-text-field--invalid):not(.mdc-text-field--focused) mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-hover-border-color, rgba(0, 0, 0, 0.87) )}:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--outlined){background-color:var(--mdc-text-field-fill-color, whitesmoke)}:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-error-color, var(--mdc-theme-error, #b00020) )}:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid+.mdc-text-field-helper-line .mdc-text-field-character-counter,:host(:not([disabled])) .mdc-text-field.mdc-text-field--invalid .mdc-text-field__icon{color:var(--mdc-text-field-error-color, var(--mdc-theme-error, #b00020))}:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label,:host(:not([disabled])) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label::after{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused mwc-notched-outline{--mdc-notched-outline-stroke-width: 2px}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused:not(.mdc-text-field--invalid) mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-focused-label-color, var(--mdc-theme-primary, rgba(98, 0, 238, 0.87)) )}:host(:not([disabled])) .mdc-text-field.mdc-text-field--focused:not(.mdc-text-field--invalid) .mdc-floating-label{color:#6200ee;color:var(--mdc-theme-primary, #6200ee)}:host(:not([disabled])) .mdc-text-field .mdc-text-field__input{color:var(--mdc-text-field-ink-color, rgba(0, 0, 0, 0.87))}:host(:not([disabled])) .mdc-text-field .mdc-text-field__input::placeholder{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host(:not([disabled])) .mdc-text-field-helper-line .mdc-text-field-helper-text:not(.mdc-text-field-helper-text--validation-msg),:host(:not([disabled])) .mdc-text-field-helper-line:not(.mdc-text-field--invalid) .mdc-text-field-character-counter{color:var(--mdc-text-field-label-ink-color, rgba(0, 0, 0, 0.6))}:host([disabled]) .mdc-text-field:not(.mdc-text-field--outlined){background-color:var(--mdc-text-field-disabled-fill-color, #fafafa)}:host([disabled]) .mdc-text-field.mdc-text-field--outlined mwc-notched-outline{--mdc-notched-outline-border-color: var( --mdc-text-field-outlined-disabled-border-color, rgba(0, 0, 0, 0.06) )}:host([disabled]) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label,:host([disabled]) .mdc-text-field:not(.mdc-text-field--invalid):not(.mdc-text-field--focused) .mdc-floating-label::after{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}:host([disabled]) .mdc-text-field .mdc-text-field__input,:host([disabled]) .mdc-text-field .mdc-text-field__input::placeholder{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}:host([disabled]) .mdc-text-field-helper-line .mdc-text-field-helper-text,:host([disabled]) .mdc-text-field-helper-line .mdc-text-field-character-counter{color:var(--mdc-text-field-disabled-ink-color, rgba(0, 0, 0, 0.38))}`;let ue=class TextField extends TextFieldBase{};ue.styles=[de],ue=(0,a.gn)([(0,s.Mo)("mwc-textfield")],ue);r(9956);var he=r(7924),pe=r(8949),fe=r(5889),me=r(4262),ge=r(4915),ve=r(7098),ye=(r(4759),r(1165)),be=r(9410),xe=r(3506);const we=v.iv`#global-settings-holder {
  width: 0;
  height: 0;
  z-index: 4;
  position: fixed;
}

#overlay {
  background: rgba(4, 29, 51, .47);
  width: 100vw;
  height: 100vh;
  top: 0;
  left: 0;
  transition: opacity 250ms;
}

#overlay.hide {
  opacity: 0;
  visibility: hidden;
}

#global-settings {
  position: absolute;
  top: 12vh;
  left: 10vw;
  height: 80vh;
  width: 80vw;
  box-sizing: border-box;
  background-color: white;
  box-shadow: var(--lit-box-shadow);
  display: flex;
  flex-direction: column;
  justify-content: space-between;
}

#global-settings.hide {
  display: none;
}

#holder {
  display: flex;
  height: calc(100% - 64px);
}

#title-bar {
  font-family: 'Google Sans', sans;
  border-bottom: 1px solid #dadce0;
  font-size: 24px;
  line-height: 32px;
  padding: 16px;
  display:flex;
  align-items:center;
  column-gap: 4;
}

#sidebar {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 293px;
  border-right: 1px solid #dadce0;
}

#links {
  font-family: 'Google Sans', sans;
  display: flex;
  justify-content: center;
  color: grey;
  border-top: 1px solid #dadce0;
  height: 60px;
  align-items: center;
}

a {
  color: var(--app-dark-text-color);
  text-decoration: none;
}

a.link-out {
  color: #888;
  padding: 0 7px;
}

a:hover {
  opacity: 0.5;
}

.tab{
  font-family: 'Google Sans', sans;
  padding: 16px;
  height: 16px;
  border-top-right-radius: 32px;
  border-bottom-right-radius: 32px;
  margin: 8px;
  margin-left: 0;
  cursor: pointer;
}
.tab:hover {
  background: #f4fcfe;
  color: #129eaf;
}
.tab.selected {
  background: #e4f7fb;
  color: #129eaf
}

#main-panel {
  display: flex;
  flex-direction: column;
  justify-content: space-between;
  width: 100%;
  min-width: 0;
}

#bottombar {
  display: flex;
  justify-content: space-between;
  border-top: 1px solid #dadce0;
  height: 60px;
  align-items: center;
  padding: 0 32px;
}

#state {
  font-size: 12px;
  color: #888;
}
.info {
  color: #098591;
}

#buttons-container,
#buttons {
  display: flex;
  align-items: center;
}

.checkbox {
  width: 48px;
  height: 48px;
  display: flex;
  justify-content: center;
  align-items: center;
}

#bottom-message {
  display: flex;
  align-items: center;
  justify-content: center;
  padding: 7px;
}

#config {
  display: flex;
  flex-direction: column;
  height: 100%;
  flex: 1;
  min-height: 0;
}

.config-list {
  border: 1px solid #dadce0;
  flex: 1 1;
  margin: 16px;
  overflow-y: scroll;
}

.config-line {
  width: 100%;
  min-width: max-content;
  border-bottom: 1px solid #dadce0;
  display: flex;
  justify-content: space-between;
  gap: 4px;
  align-items: center;
  min-width: 0;
}

.config-line.selected {
  background: #e4f7fb;
}
.config-line.disabled mwc-formfield,
.config-line.disabled .description-preview,
.config-line.disabled .status{
  opacity: 0.5;
}
.config-line:hover {
  background: #f4fcfe;
}

.rows-title {
  display: flex;
}

.expander {
  cursor: pointer;
}

.left-offset {
  margin-left: 53px;
}

.model-dataset-loading {
  flex: 1 1;
  margin: 0 16px;
  width: calc(100% - 24pt);
}

.model-dataset-loading .controls {
  border: 1px solid var(--lit-neutral-300);
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  padding: 16px;
}

.model-dataset-loading .controls .actions {
  align-items: end;
  row-gap: 4px;
}

.model-dataset-loading .controls .actions,
.model-dataset-loading .controls .selector {
  display: flex;
  flex-direction: column;
  flex-shrink: 0;
}

.model-dataset-loading .controls .options {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  height: 100%;
  max-height: 100%;
  overflow-y: scroll;
  padding: 0 16px;
  row-gap: 8px;
}

.model-dataset-loading .controls .options .option-entry {
  align-items: center;
  column-gap: 4px;
  display: flex;
  flex-direction: row;
}

/* The first child of .options is always the new_name field, which is special */
.model-dataset-loading .controls .options .option-entry:first-child {
  border-bottom: 1px solid var(--lit-neutral-300);
  padding-bottom: 8px;
}

.model-dataset-loading .controls .options .option-entry label {
  flex: 0 0 200px;
}

.model-dataset-loading .controls .options .option-entry lit-input-field {
  flex-grow: 1;
}

.model-dataset-loading .controls .options .option-entry.missing label {
  color: var(--google-red-500);
  font-weight: bold;
}

.model-dataset-loading .header {
  color: var(--lit-neutral-700);
  font-size: 16px;
  margin-bottom: 16px;
}

#bottombar .status-area {
  color: var(--google-red-500);
}

.expanded-info {
  display: flex;
  max-height: 0;
  background: #f8f9fa;
  overflow: hidden;
  font-size: 11px;
  color: #3c4043;
  box-sizing: border-box;
}

.datapoints-line {
  width: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
}

.datapoints-label-holder {
  flex: 1;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: space-between;
  margin-left: 16px;
}

.datapoints-file-input {
  flex: 1;
  height: 22px;
  margin-left: 8px;
  margin-right: 4px;
}

.expanded-info.open {
  gap: 4px;
  padding: 6px 6px 6px 0;
  max-height: 25vh;
  border-bottom: 1px solid #dadce0;
}

.expanded-info > * {
  overflow-y: auto;
}

.expanded-info mwc-icon {
  font-size: 10pt !important;
}

.info-group-title {
  text-transform: uppercase;
  padding-top: 8px;
  padding-bottom: 4px;
}

.info-group-title:first-child {
  padding-top: 0px;
}

.info-group-subtitle {
  font-style: italic;
}

.info-line {
  text-overflow: ellipsis;
  overflow: hidden;
}

.indent-line {
  padding-left: 7px;
  border-left: 1px solid #dadce0;
}

.error {
  color: #c5221f !important;
}

.config-title {
  font-family: 'Google Sans', sans;
  font-size: 1.5rem;
  padding: 16px 16px 0 16px;
  margin-bottom: 4px;
}

.description {
  padding: 0 16px 0 16px;
  color: #888;
}

/**
 * Undo marked's handling of line breaks and restore normal whitespace handling.
 * This gives much better formatting of descriptions that were designed to be
 * readable in plaintext / code comments:
 * - Single newlines don't get <p> tags, but are preserved by pre-wrap.
 * - Double newlines get <p> tags from marked(), so we strip the extra margins
 *   and let pre-wrap handle the line break instead.
 */
.description-text {
  white-space: pre-wrap;
}
.description-text > p {
  margin-block: 0;
}

.status {
  padding: 0 16px;
  color: #888;
  display: flex;
  align-items: center;
}

.status.selected {
  color: #129eaf;
}
.status mwc-icon {
  padding-right: 5px;
}

.prev-next-buttons {
  margin: 16px 12px; /* 12px acounts for .hairline-button margin */
}

button mwc-icon {
  font-size: 16px;
}

button.next {
  float: right;
}

button.prev {
  float: left;
}

.one-col {
  width: 33%;
  flex: 1;
  white-space: nowrap;
  text-overflow: ellipsis;
}

.two-col {
  width: 66%;
  flex: 2;
  display: flex;
  flex-direction: column;
}

.fixed-third-col {
  width: 33%;
  min-width: 33%;
}

.flex-col {
  flex: 1;
}

.status-col {
  margin-left: 8px;
  margin-right: 8px;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
  align-items: center;
}

#configure-lit-icon {
  margin-left: 8px;
}
`,Se="new_name",_e={[Se]:new me.Su};function Me(t){const n={};for(const[r,a]of Object.entries(t))null!=a.default&&(n[r]=a.default);return n}let Te=class GlobalSettingsComponent extends he.G{static get styles(){return[fe.W,we]}get loadableDatasets(){const{datasets:t}=this.appState.metadata.initSpecs;return Object.entries(t).filter((([,t])=>null!=t)).map((([t])=>t))}get loadableModels(){const{models:t}=this.appState.metadata.initSpecs;return Object.entries(t).filter((([,t])=>null!=t)).map((([t])=>t))}get selectedModels(){return[...this.modelCheckboxValues.entries()].filter((([,t])=>t)).map((([t])=>t))}constructor(){super(),this.isOpen=!1,this.apiService=xe.l.getService(be.sM),this.appState=xe.l.getService(be.aB),this.settingsService=xe.l.getService(be.gb),this.selectedDataset="",this.selectedLayout="",this.modelCheckboxValues=new Map,this.selectedTab="Models",this.status=void 0,this.openModelKeys=new Set,this.openDatasetKeys=new Set,this.openLayoutKeys=new Set,this.datasetToLoad=void 0,this.modelToLoad=void 0,this.loadingCallConfig={},this.missingCallConfigFields=[],(0,pe.rC)(this)}open(){this.initializeLocalState(),this.requestUpdate(),this.isOpen=!0,this.resetLoadingCallConfig()}resetLoadingCallConfig(){let t;if("Dataset"===this.selectedTab){const n=this.datasetToLoad||this.loadableDatasets[0];t=this.appState.metadata.initSpecs.datasets[n]}else if("Models"===this.selectedTab){const n=this.modelToLoad||this.loadableModels[0];t=this.appState.metadata.initSpecs.models[n]}null!=t&&(this.loadingCallConfig=Me(t))}close(){this.isOpen=!1}initializeLocalState(){this.modelCheckboxValues.clear(),Object.keys(this.appState.metadata.models).filter((t=>!t.startsWith("_"))).forEach((t=>{this.modelCheckboxValues.set(t,!1)})),this.appState.currentModels.forEach((t=>{this.modelCheckboxValues.set(t,!0)})),this.selectedDataset=this.appState.currentDataset,this.selectedLayout=this.appState.layoutName}submitSettings(){const t=this.selectedModels,n=this.selectedDataset,r=this.selectedLayout;this.settingsService.updateSettings({models:t,dataset:n,layoutName:r})}render(){const t=(0,y.$)({hide:!this.isOpen});return v.dy`
      <div id="global-settings-holder">
        <div id="overlay" class=${t}
         @click=${()=>{this.close()}}></div>
        <div id="global-settings" class=${t}>
        <div id="title-bar">
          Configure LIT

          <lit-tooltip content="Go to reference">
            <a slot="tooltip-anchor" target='_blank'
              href='https://pair-code.github.io/lit/documentation/ui_guide.md#global-settings'>
            <mwc-icon class="icon-button large-icon" id="configure-lit-icon">
              open_in_new
            </mwc-icon>
            </a>
          </lit-tooltip>
        </div>
        <div id="holder">
          <div id="sidebar">
            ${this.renderTabs()}
            ${this.renderLinks()}
          </div>
          <div id="main-panel">
            ${this.renderConfig()}
            ${this.renderBottomBar()}
          </div>
        </div>
        </div>
      </div>
    `}renderTabs(){const t=t=>{const n=(0,y.$)({tab:!0,selected:this.selectedTab===t});return v.dy`<div class=${n} @click=${()=>{this.selectedTab=t,this.resetLoadingCallConfig()}}>${t}</div>`};return v.dy`
    <div id="tabs">
      ${["Models","Dataset","Layout"].map((n=>t(n)))}
    </div>
    `}renderLinks(){return v.dy`
    <div id="links">
      <a href=${"https://github.com/PAIR-code/lit"} class='link-out' target="_blank">
        Github
      </a>
      •
      <a href=${"https://pair-code.github.io/lit/tutorials"} class='link-out' target="_blank">
        Help & Tutorials
      </a>
    </div>
    `}renderBottomBar(){const t=0===this.selectedModels.length,n=this.settingsService.isDatasetValidForModels(this.selectedDataset,this.selectedModels),r=(0,y.$)({info:!0,disabled:!this.selectedModels.length,error:t}),a=this.selectedModels.length?this.selectedModels.join(", "):"No models selected",s=(0,y.$)({info:!0,error:!n});return v.dy`
    <div id="bottombar">
      <div id="state">
        <div> selected model(s):
          <span class=${r}> ${a} </span>
        </div>
        <div> selected dataset:
          <span class=${s}>
            ${(0,ge.h6)(this.selectedDataset)}
          </span>
        </div>
      </div>
      <div class="status-area">
        ${this.status}
        ${null!=this.status?"See error in lower left corner.":""}
      </div>
      <div> ${this.renderButtons(t,n)} </div>
    </div>
  `}renderButtons(t,n){const r=()=>{this.selectedTab="Models",this.close()},a=t||!n;return v.dy`
      <div id="buttons-container">
        <div id="buttons">
          <button class="hairline-button" @click=${r}>Cancel</button>
          <button class="filled-button"
                  ?disabled=${a}
                  @click=${()=>{this.submitSettings(),r()}}>
            Submit
          </button>
        </div>
      </div>
    `}renderConfig(){const t=this.selectedTab,n="Models"===t?this.renderModelsConfig():"Dataset"===t?this.renderDatasetConfig():this.renderLayoutConfig();return v.dy`
    <div id="config">
      ${n}
    </div>
    `}renderModelsConfig(){const t=[...this.modelCheckboxValues.keys()],n=t=>{const n=!0===this.modelCheckboxValues.get(t),r=this.openModelKeys.has(t),a=v.dy`
          <mwc-formfield label=${t}>
            <lit-checkbox
              class='checkbox'
              ?checked=${n}
              @change=${n=>{if(this.modelCheckboxValues.set(t,n.target.checked),!this.settingsService.isDatasetValidForModels(this.selectedDataset,this.selectedModels)){this.selectedDataset=ge._X;const t=Object.keys(this.appState.metadata.datasets);for(const n of t)if(this.settingsService.isDatasetValidForModels(n,this.selectedModels)){this.selectedDataset=n;break}}}}></lit-checkbox>
          </mwc-formfield>
      `,s=Object.keys(this.appState.metadata.datasets),l=this.appState.getModelSpec(t).output,d=v.dy`
        <div class='info-group-title'>
          Dataset Compatibility
        </div>
        ${s.map((n=>{const r=this.settingsService.isDatasetValidForModels(n,[t]),a=!r&&this.selectedDataset===n,s=(0,y.$)({compatible:r,error:a,"info-line":!0}),l=r?"check":a?"warning_amber":"clear";return v.dy`
            <div class=${s}>
              <span class='material-icon'>${l}</span>
              ${(0,ge.h6)(n)}
            </div>`}))}
        <div class='info-group-title'>
          Output Fields
        </div>
        ${Object.keys(l).map((t=>v.dy`
            <div class='info-line'>
              ${t} (${l[t].name})
            </div>`))}
      `,h=this.appState.metadata.models[t].description;return this.renderLine(t,a,n,!1,r,(()=>{this.toggleInSet(this.openModelKeys,t)}),!1,d,h)},r=t.map((t=>n(t))),s=v.dy`${this.nextPrevButton("Dataset",!0)}`,l=this.modelToLoad||this.loadableModels[0],d=this.appState.metadata.initSpecs.models[l],h=this.appState.metadata.demoMode||null==l||null==d?v.dy``:this.renderLoader("Model",this.loadableModels,l,d,(t=>{this.modelToLoad=t.target.value;const n=this.appState.metadata.initSpecs.models[this.modelToLoad];null!=n&&(this.loadingCallConfig=Me(n))}),(()=>(0,a.mG)(this,void 0,void 0,(function*(){if(this.missingCallConfigFields=(0,ve.XH)(this.loadingCallConfig,d),this.status=this.missingCallConfigFields.length?"Missing required model initialization parameters.":void 0,this.missingCallConfigFields.length)return;let t;this.status=void 0;try{t=yield this.apiService.createModel(l,this.loadingCallConfig)}catch(t){this.status="Unable to load model."}if(null==t)return;const[n]=t;null!=d&&(this.loadingCallConfig=Me(d)),this.appState.metadata=n,this.resetLoadingCallConfig(),this.initializeLocalState()}))));return this.renderConfigPage("Models","Select models to explore in LIT.",r,s,h)}renderDatasetConfig(){const t=Object.keys(this.appState.metadata.datasets),n=t=>{const n=(0,ge.h6)(t),r=this.selectedDataset===t,a=!this.settingsService.isDatasetValidForModels(t,this.selectedModels),s=this.openDatasetKeys.has(t),l=v.dy`
            <mwc-formfield label=${n}>
              <mwc-radio
                name="dataset"
                class="select-dataset"
                data-dataset=${n}
                ?checked=${r}
                ?disabled=${a}
                @change=${()=>{this.selectedDataset=t}}>
              </mwc-radio>
            </mwc-formfield>
      `,d=this.appState.metadata.datasets[t],h=[...this.modelCheckboxValues.keys()],p=v.dy`
        <div class='info-group-title'>
          ${d.size} datapoint${1!==d.size?"s":""}
        </div>
        <div class='info-group-title'>
          Features
        </div>
        ${Object.keys(d.spec).map((t=>v.dy`
            <div class='info-line'>
              ${t} (${d.spec[t].name})
            </div>`))}
        <div class='info-group-title'>
          Model Compatibility
        </div>
        ${h.map((n=>{const r=this.settingsService.isDatasetValidForModels(t,[n]),a=!r&&this.selectedModels.includes(n),s=(0,y.$)({compatible:r,error:a,"info-line":!0}),l=r?"check":a?"warning_amber":"clear";return v.dy`
        <div class=${s}>
          <span class='material-icon'>${l}</span>
          ${n}
        </div>`}))}
      `,f=this.appState.metadata.datasets[t].description;return this.renderLine(t,l,r,a,s,(()=>{this.toggleInSet(this.openDatasetKeys,t)}),!0,p,f)},r=t.map((t=>n(t))),s=v.dy`
      ${this.nextPrevButton("Models",!1)}
      ${this.nextPrevButton("Layout",!0)}
    `,l=this.datasetToLoad||this.loadableDatasets[0],d=this.appState.metadata.initSpecs.datasets[l],h=this.appState.metadata.demoMode||null==l||null==d?v.dy``:this.renderLoader("Dataset",this.loadableDatasets,l,d,(t=>{this.datasetToLoad=t.target.value;const n=this.appState.metadata.initSpecs.datasets[this.datasetToLoad];null!=n&&(this.loadingCallConfig=Me(n))}),(()=>(0,a.mG)(this,void 0,void 0,(function*(){if(this.missingCallConfigFields=(0,ve.XH)(this.loadingCallConfig,d),this.status=this.missingCallConfigFields.length?"Missing required dataset initialization parameters.":void 0,this.missingCallConfigFields.length)return;let t;try{t=yield this.apiService.createDataset(l,this.loadingCallConfig)}catch(t){this.status="Unable to load dataset"}if(null==t)return;const[n,r]=t;null!=d&&(this.loadingCallConfig=Me(d)),this.appState.metadata=n,this.selectedDataset=r}))));return this.renderConfigPage("Dataset","Select a compatible dataset to use with the selected models.",r,s,h)}renderLoader(t,n,r,a,s,l){const d=Object.entries(this.loadingCallConfig).map((([t,n])=>{var r;return t===Se?!n:(null===(r=a[t])||void 0===r?void 0:r.default)===n})).reduce(((t,n)=>t&&n),!0),h=!this.loadingCallConfig[Se],p=Object.assign(Object.assign({},_e),a),f=Object.entries(p).length?Object.entries(p).map((([t,n])=>{const r=this.loadingCallConfig[t],a=(0,y.$)({missing:this.missingCallConfigFields.includes(t),"option-entry":!0});return v.dy`<div class=${a}>
          <label>${t}:</label>
          <lit-input-field @change=${n=>{const{value:r}=n.target;this.loadingCallConfig[t]=r}} .type=${n}
            .value=${r} fill-container>
          </lit-input-field>
        </div>`})):`${t} '${r}' does not support configurable loading.`;return v.dy`<div class="model-dataset-loading">
      <div class="header">Load a new ${t.toLowerCase()}</div>
      <div class="controls">
        <div class="selector">
          <label for="model-dataset-select">
            Select a base ${t.toLowerCase()}
          </label>
          <select class="dropdown"
            id="model-dataset-select" name="model-dataset-select"
            @change=${t=>{s(t)}} value=${r}>
            ${n.map((t=>v.dy`<option value=${t} ?selected=${t===r}>
                ${t}
              </option>`))}
          </select>
        </div>
        <div class="options">${f}</div>
        <div class="actions">
          <lit-tooltip tooltipPosition="left"
                      content=${h?'Provide a value for "new_name" to load':""}>
            <button class="filled-button" slot="tooltip-anchor" @click=${l}
                    ?disabled=${h}>
              Load ${t}
            </button>
          </lit-tooltip>
          <button class="hairline-button" @click=${()=>{this.resetLoadingCallConfig()}}
                  ?disabled=${d}>
            Reset
          </button>
        </div>
      </div>
    </div>`}renderLayoutConfig(){const t=Object.keys(this.appState.layouts),n=t=>{const n=Object.entries(t);return 0===n.length?v.dy`<div class='info-group'>
          <div class="info-group-subtitle">Unused in this layout</div>
        </div>`:n.map((([t,n])=>v.dy`
          <div class='info-group'>
            <div class='info-group-subtitle'>
              ${t}
            </div>
            ${n.map((t=>v.dy`
              <div class='indent-line'>
                ${(0,ye.m)(t).title}
              </div>`))}
          </div>`))},r=t=>{const r=this.selectedLayout===t,a=v.dy`
            <mwc-formfield label=${t}>
              <mwc-radio
                name="layouts"
                ?checked=${r}
                @change=${()=>this.selectedLayout=t}>
              </mwc-radio>
            </mwc-formfield>
            `,s=this.openLayoutKeys.has(t),l=this.selectedLayout===t,{description:d,left:h,lower:p,upper:f}=this.appState.layouts[t],m=v.dy`
            <div class='info-group-title'>Left</div>
            ${n(h)}
            <div class='info-group-title'>Upper</div>
            ${n(f)}
            <div class='info-group-title'>Lower</div>
            ${n(p)}
          `;return this.renderLine(t,a,l,!1,s,(()=>{this.toggleInSet(this.openLayoutKeys,t)}),!1,m,d||"")},a=t.map((t=>r(t))),s=v.dy`${this.nextPrevButton("Dataset",!1)}`;return this.renderConfigPage("Layout","Use a preset layout to optimize your workflow",a,s)}renderStatus(t=!0,n=!1){const r=t?"check_circle":n?"warning_amber":"check_circle_outline",a=t?"Selected":n?"Incompatible":"Compatible",s=(0,y.$)({status:!0,selected:t,error:n});return v.dy`
    <div class=${s}>
      <mwc-icon>
        ${r}
      </mwc-icon>
      ${a}
    </div>`}renderLine(t,n,r,a,s,l,d,h,p=""){const f=s?"expand_less":"expand_more",m=(0,y.$)({"config-line":!0,selected:r,disabled:a}),g=p.split("\n")[0],b=(0,ve.Xo)(g),x=(0,ve.Xo)(p),w=(0,y.$)({"expanded-info":!0,open:s}),S=d?this.renderStatus(r,a):"";return v.dy`
      <div id=${`config-line-for-${t}`} class=${m}>
        <div class='fixed-third-col'>
          ${n}
        </div>
        <div class='flex-col description-preview'>
          ${b}
        </div>
        <div class='status-col'>
          ${S}
          <div class=expander>
            <mwc-icon @click=${l}>
              ${f}
            </mwc-icon>
          </div>
        </div>
      </div>
      <div class=${w}>
        <div class='one-col'>
          <div class='left-offset'>
            ${h}
          </div>
        </div>
        <div class='two-col'>
          <div class=info-group-title> Description </div>
          <div class='description-text'>${x}</div>
        </div>
      </div>
    `}toggleInSet(t,n){t.has(n)?t.delete(n):t.add(n)}nextPrevButton(t,n=!0){const r=n?"east":"west",a=(0,y.$)({"hairline-button":!0,[n?"next":"prev"]:!0});return v.dy`
     <button class=${a} @click=${()=>{this.selectedTab=t,this.resetLoadingCallConfig()}}>
      <span class='material-icon'>${r}</span>
      ${t}
    </button>
    `}renderConfigPage(t,n,r,a,s){return v.dy`
      <div class="config-title">${t}</div>
      <div class="description"> ${n} </div>
      <div class="config-list">
        ${r}
      </div>
      ${s}
      <div class='prev-next-buttons'>${a} </div>
    `}firstUpdated(){document.addEventListener("keydown",(t=>{"Escape"===t.key&&this.close()}))}};(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],Te.prototype,"isOpen",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Object)],Te.prototype,"selectedDataset",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Object)],Te.prototype,"selectedLayout",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Object)],Te.prototype,"modelCheckboxValues",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",String)],Te.prototype,"selectedTab",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",String)],Te.prototype,"status",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Set)],Te.prototype,"openModelKeys",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Set)],Te.prototype,"openDatasetKeys",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Set)],Te.prototype,"openLayoutKeys",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",String)],Te.prototype,"datasetToLoad",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",String)],Te.prototype,"modelToLoad",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Object)],Te.prototype,"loadingCallConfig",void 0),(0,a.gn)([pe.LO,(0,a.w6)("design:type",Array)],Te.prototype,"missingCallConfigFields",void 0),(0,a.gn)([pe.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],Te.prototype,"loadableDatasets",null),(0,a.gn)([pe.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],Te.prototype,"loadableModels",null),(0,a.gn)([pe.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],Te.prototype,"selectedModels",null),(0,a.gn)([pe.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[]),(0,a.w6)("design:returntype",void 0)],Te.prototype,"initializeLocalState",null),(0,a.gn)([pe.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[]),(0,a.w6)("design:returntype",void 0)],Te.prototype,"submitSettings",null),Te=(0,a.gn)([(0,s.Mo)("lit-global-settings"),(0,a.w6)("design:paramtypes",[])],Te)},2345:(t,n,r)=>{"use strict";var a=r(7582),s=(r(8596),r(8384),r(6265),r(7924)),l=r(5595),d=r(9392),h=r(9410),p=r(3506);const f=d.iv`:host {
  height: 100vh;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  --app-drawer-width: 256px;
  --app-primary-color: rgb(171, 241, 248);
  --app-secondary-color: rgb(7, 163, 186);
  --app-dark-color: rgb(5, 30, 37);
  --app-dark-text-color: var(--app-secondary-color);
  --app-light-text-color: white;
  --app-section-even-color: #f7f7f7;
  --app-section-odd-color: white;
}

.page {
  display: none;
}

.page[active] {
  display: block;
}
`;let m=class AppComponent extends s.G{constructor(){super(...arguments),this.appState=p.l.getService(h.aB)}static get styles(){return[f]}render(){return d.dy`
      <lit-app-toolbar></lit-app-toolbar>
      <!-- Main content -->
      ${this.appState.initialized?d.dy`<lit-modules></lit-modules>`:null}
      <lit-app-statusbar></lit-app-statusbar>
    `}};m=(0,a.gn)([(0,l.Mo)("lit-app")],m)},9604:(t,n,r)=>{"use strict";r.d(n,{p:()=>LitModule});var a=r(7582),s=r(9392),l=r(5595),d=r(8949),h=r(9537),p=r(4915),f=r(9410),m=r(3506);class LitModule extends h.f{get selectionService(){return m.l.getServiceArray(f.z2)[this.selectionServiceIndex]}constructor(){super(),this.setIsLoading=t=>{},this.onSyncScroll=null,this.model="",this.selectionServiceIndex=0,this.latestLoadPromises=d.LO.map(new Map),this.apiService=m.l.getService(f.sM),this.appState=m.l.getService(f.aB),(0,d.rC)(this)}updated(){const t=this.shadowRoot.querySelectorAll(`.${p.SU}`);for(const n of t)n.onscroll=()=>{var t;null===(t=this.onSyncScroll)||void 0===t||t.call(this,n.scrollTop,n.scrollLeft)}}render(){if(0!==this.shouldReact)return this.renderImpl()}renderImpl(){return s.dy``}loadLatest(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){this.latestLoadPromises.set(t,n),this.setIsLoading(!0);const r=yield n;return this.latestLoadPromises.get(t)===n?(this.setIsLoading(!1),this.latestLoadPromises.delete(t),r):null}))}static shouldDisplayModule(t,n){return!0}}LitModule.title="",LitModule.infoMarkdown="",LitModule.numCols=4,LitModule.collapseByDefault=!1,LitModule.duplicateForExampleComparison=!1,LitModule.duplicateForModelComparison=!0,LitModule.duplicateAsRow=!1,LitModule.template=()=>s.dy``,(0,a.gn)([(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Function)],LitModule.prototype,"setIsLoading",void 0),(0,a.gn)([(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Function)],LitModule.prototype,"onSyncScroll",void 0),(0,a.gn)([d.LO,(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],LitModule.prototype,"model",void 0),(0,a.gn)([d.LO,(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],LitModule.prototype,"selectionServiceIndex",void 0),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],LitModule.prototype,"selectionService",null)},5450:(t,n,r)=>{"use strict";var a=r(7582),s=(r(8684),r(1239),r(7924)),l=r(9392),d=r(5595),h=r(9455),p=r(3959),f=r(8949),m=(r(5192),r(5889)),g=r(7098),v=r(9410),y=r(3506);const b=l.iv`/**
 * Padding and margins attempt to match the offsets of the left-
 * and right-most visual elements in the main app toolbar.
 */
.toolbar {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: space-between;
  padding-left: 5px;
  padding-right: 5px;
}

.toolbar button {
  margin-top: 0;
  margin-bottom: 0;
}

.main-toolbar {
  box-shadow: var(--lit-box-shadow);
  background-color: white;
  border-bottom: 1px solid #dadce0;
  min-height: 36px;
}

.togglable-toolbar-holder {
  background-color: white;
  width: fit-content; /* set to 100% to span page */
  border: 1px solid;
  border-radius: 3px;
  border-color: rgb(218, 220, 224);
  position: absolute;
}

.slice-container {
  width: 300px;
  height: 300px;
}

#slice-toolbar-container {
  right: 0; /* remove to span page */
}

#left-container {
  display: flex;
  font-family: Roboto;
  font-size: 14px;
}

#right-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 4px;
  max-height: 24px; /** To avoid page jumps when selections happen. **/
  font-family: Roboto;
  font-size: 14px;
}

#button-holder-right {
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: flex-end;
  flex-grow: 2;
  margin: 4px;
}

.selection-status-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin-left: 4px;
}

/* For in-line icons in a <span> */
[data-icon] {
  margin: 0;
}

[data-icon]:before {
  font-family: 'Material Icons';
  content: attr(data-icon);
  vertical-align: middle;
}

.toolbar-holder {
  position: relative;
}

.toggle-example-comparison {
  font-family: Roboto;
  font-size: 14px;
  color: #3C4043;
  cursor: pointer;
  padding: 3px 8px;
  user-select: none;
}

.text-disabled {
  color: rgba(60, 64, 67, 0.38);
}

.compare-container {
  display: flex;
  width: 200px;
  height:100%;
}

.compare-tooltip {
  position: absolute;
  left: 372px;
  width: 256px;
  top: 75px;
  font-family: Roboto;
  font-size: 12px;
  background: rgba(32, 33, 36, 0.9);
  border-radius: 4px;
  font-size: 12px;
  color: #FFFFFF;
  display: flex;
}

.tooltip-icon {
  --mdc-icon-size: 20px;
  margin-top: 6px;
  margin-left: 10px;
}

.tooltip-text {
  margin: 8px 12px;
}

#compare-switch {
  margin-top: 6px;
}

#primary-text {
  text-align: right;
}

#number-selected {
}

#select-random-icon {
  vertical-align: middle;
}

#select-random-text {
  vertical-align: middle;
}

#num-selected-text {
  min-width: 10px;
  text-align: right;
  display: inline-block;
}

.pin-button {
  width: 190px;
}

.pin-button-content {
  display: flex;
  width: 100%;
}

.pin-button-text {
  flex-grow: 1;
  text-align: center;
}
`;let x=class LitMainMenu extends s.G{constructor(){super(...arguments),this.appState=y.l.getService(v.aB),this.selectionService=y.l.getService(v.z2),this.sliceService=y.l.getService(v.qG),this.colorService=y.l.getService(v.x4)}static get styles(){return[m.W,b]}findAllParents(){return(0,g.xH)(this.selectionService.selectedIds.map((t=>this.appState.getAncestry(t))))}findAllChildren(){const t=new Set(this.selectionService.selectedIds);for(const n of this.appState.currentInputData)for(const r of this.appState.getAncestry(n.id))this.selectionService.isIdSelected(r)&&t.add(n.id);return[...t]}selectRelated(){this.selectionService.selectIds([...this.findAllParents(),...this.findAllChildren()])}getSelectItems(){const t=()=>{},n=this.findAllParents().length>1,r=this.findAllChildren().length>1,a=n||r,s=this.selectionService.selectedIds.length>0;return[{itemText:"Random",displayIcon:!1,menu:[],onClick:()=>{const t=(0,g.rO)(0,this.appState.currentInputData.length),n=this.appState.currentInputData[t].id;this.selectionService.selectIds([n])},disabled:!1},{itemText:"All related",displayIcon:!1,menu:[],onClick:a?()=>{this.selectRelated()}:t,disabled:!a},{itemText:"Parents",displayIcon:!1,menu:[],onClick:n?()=>{this.selectionService.selectIds([...this.findAllParents()])}:t,disabled:!n},{itemText:"Children",displayIcon:!1,menu:[],onClick:r?()=>{this.selectionService.selectIds([...this.findAllChildren()])}:t,disabled:!r},this.getSliceItem(),{itemText:"Clear selection",displayIcon:!1,menu:[],onClick:()=>{this.selectionService.selectIds([])},disabled:!s}]}getColorOptionItems(){return this.colorService.colorableOptions.map((t=>{const n=t.name===this.colorService.selectedColorOption.name;return{itemText:t.name,displayIcon:n,menu:[],onClick:()=>{this.colorService.selectedColorOptionName=t.name},disabled:!1}}))}getSliceItem(){return{itemText:"Slices",displayIcon:!1,menu:Array.from(this.sliceService.namedSlices.keys()).map((t=>{const n=this.sliceService.selectedSliceName===t;return{itemText:t,displayIcon:n,menu:[],onClick:()=>{this.sliceService.selectNamedSlice(t)},disabled:!1}})),onClick:()=>{},disabled:!1}}getMenuData(){const t=new Map;return t.set("Select datapoint",this.getSelectItems()),t.set("Color by",this.getColorOptionItems()),t}render(){return l.dy`<lit-menu-toolbar .menuData=${this.getMenuData()}></lit-menu-toolbar>`}};x=(0,a.gn)([(0,d.Mo)("lit-main-menu")],x);let w=class LitMainToolbar extends s.G{static get styles(){return[m.W,b]}get selectedIdPairs(){return this.selectionService.selectedOrAllInputData.filter((t=>t.meta.parentId)).map((t=>[t.id,t.meta.parentId]))}constructor(){super(),this.appState=y.l.getService(v.aB),this.pinnedSelectionService=y.l.getService(v.z2,"pinned"),this.selectionService=y.l.getService(v.z2),(0,f.rC)(this)}renderLuckyButton(){return l.dy`
      <button id='select-random-button' class='hairline-button xl'
        @click=${()=>{const t=(0,g.rO)(0,this.appState.currentInputData.length),n=this.appState.currentInputData[t].id;this.selectionService.selectIds([n])}}>
        <span id='select-random-text'>Select random</span>
      </button>
    `}renderDatapointNavigation(){const t=this.appState.currentInputData.length,n=this.selectionService.primarySelectedId;let r=this.appState.currentInputData.findIndex((t=>t.id===n)),a="datapoints",s=a=>{const s=null==n?0:(r+a+t)%t,l=this.appState.currentInputData[s].id;this.selectionService.selectIds([l])};const d=this.selectionService.selectedIds.length;d>1&&null!==n&&(r=this.selectionService.selectedIds.findIndex((t=>t===n)),a="selected",s=t=>{const n=(r+t+d)%d,a=this.selectionService.selectedIds[n];this.selectionService.setPrimarySelection(a)});const p=(0,h.$)({"icon-button":!0});return l.dy`
      <mwc-icon class=${p} id='ds-select-prev'
        @click=${()=>{s(-1)}}>
        chevron_left
      </mwc-icon>
      <div id='number-selected'>
        <span id='num-selected-text'>${d}</span> of <span>${t}</span> ${a}
      </div>
      <mwc-icon class=${p} id='ds-select-next'
        @click=${()=>{s(1)}}>
        chevron_right
      </mwc-icon>
    `}renderSlices(){const t=(0,p.V)({"--popup-top":"4px"});return l.dy`
    <popup-container style=${t}>
      <button class='hairline-button xl' slot='toggle-anchor-closed'>
        <span class='material-icon-outlined'>dataset</span>
        &nbsp;Slices&nbsp;
        <span class='material-icon'>expand_more</span>
      </button>
      <button class='hairline-button xl' slot='toggle-anchor-open'>
          <span class='material-icon-outlined'>dataset</span>
          &nbsp;Slices&nbsp;
          <span class='material-icon'>expand_less</span>
        </button>
      <div class='slice-container'>
        <lit-slice-module model="unused" shouldReact=1 selectionServiceIndex=0>
        </lit-slice-module>
      </div>
    </popup-container>
    `}renderPairControls(){const t=this.selectedIdPairs;if(0===t.length)return null;const n=y.l.getService(v.z2,"pinned"),r=[this.selectionService.primarySelectedId,n.primarySelectedId],a=r.map((t=>null!=t?this.appState.indicesById.get(t):null)),s=r.includes(null)?-1:t.findIndex((t=>0===(0,g.Rt)(t,r))),d=-1!==s,h=t.length,p=r=>{this.appState.compareExamplesEnabled=!0;const a=t[((d?s:0)+r+h)%h];0===this.selectionService.selectedIds.length&&this.selectionService.selectIds((0,g.xH)(t)),this.selectionService.setPrimarySelection(a[0]),n.setPrimarySelection(a[1])};return l.dy`
      <div id='pair-controls' class='selection-status-group'>
        ${h} ${1===h?"pair":"pairs"} available
        <mwc-icon class='icon-button' id='select-prev'
          @click=${()=>{p(-1)}}>
          chevron_left
        </mwc-icon>
        <mwc-icon class='icon-button mdi-outlined' id='select-random'
          @click=${()=>{p((0,g.rO)(1,h))}}>
          casino
        </mwc-icon>
        <mwc-icon class='icon-button' id='select-next'
          @click=${()=>{p(1)}}>
          chevron_right
        </mwc-icon>
        ${d?l.dy`[${a[1]}, ${a[0]}] selected`:null}
      </div>
    `}render(){const t=this.selectionService.selectedIds.length,n=this.selectionService.primarySelectedId,r=null==n?-1:this.appState.indicesById.get(n);let a=-1;this.appState.compareExamplesEnabled&&this.pinnedSelectionService.primarySelectedId&&(a=this.appState.indicesById.get(this.pinnedSelectionService.primarySelectedId));const s=this.appState.compareExamplesEnabled?`Unpin datapoint ${a}`:null==n?"Pin selected datapoint":`Pin datapoint ${r}`,d=!this.appState.compareExamplesEnabled&&null==n,p=(0,h.$)({"material-icon":!0,"span-outlined":!this.appState.compareExamplesEnabled}),f=(0,h.$)({"hairline-button":!0,xl:!0,"pin-button":!0,active:this.appState.compareExamplesEnabled});return l.dy`
    <div class='toolbar main-toolbar'>
      <div id='left-container'>
        <lit-main-menu></lit-main-menu>
        ${this.renderSlices()}
        <button class="${f}"
                ?disabled=${d} @click=${()=>{this.pinnedSelectionService.primarySelectedId?(this.pinnedSelectionService.selectIds([]),this.appState.compareExamplesEnabled=!1):n&&(this.pinnedSelectionService.selectIds([n]),this.appState.compareExamplesEnabled=!0)}}>
          <div class="pin-button-content">
            <span class="${p}">push_pin</span>
            <div class="pin-button-text">${s}</div>
          </div>
        </button>
        ${this.renderPairControls()}
      </div>
      <div id='right-container'>
        ${this.renderDatapointNavigation()}
        <button id="select-all" class="hairline-button xl"
          @click=${()=>{const t=this.appState.currentInputData.map((t=>t.id));this.selectionService.selectIds(t)}}>
          Select all
        </button>
        ${this.renderLuckyButton()}
        <button id="clear-selection" class="hairline-button xl"
          @click=${()=>{this.selectionService.selectIds([])}}
          ?disabled="${0===t}">
          Clear selection
        </button>
      </div>
    </div>
    `}};(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],w.prototype,"selectedIdPairs",null),w=(0,a.gn)([(0,d.Mo)("lit-main-toolbar"),(0,a.w6)("design:paramtypes",[])],w)},6265:(t,n,r)=>{"use strict";var a=r(7582),s=(r(1239),r(9392)),l=r(5595),d=r(9455),h=r(3959),p=r(8949),f=r(9537),m=r(5889),g=(r(1165),r(9410)),v=r(3506),y=r(9604);const b=s.iv`:host {
  --left-column-width: calc(50% - 4px);
  --tab-bar-height: 32px;
  /* 5x LitWidget.header.height */
  --right-column-min-section-content-height: 180px;

  flex: 1;
  display: flex;
  flex-direction: column;
  background: #f5f9fa;
  max-height: calc(100hv - 77px);   /* lit-app-bar is 77px tall */
}

.outer-container {
  display: flex;
  flex-direction: row;
  height: 100%;
  max-height: 100%;
  /* full-width, overflow if window is < 1000px */
  min-width: 1000px;
  max-width: 100vw;
  padding: 0 16px;
  overflow: hidden;
}

.outer-container-centered {
  align-self: center;
  /* 1000px wide unless window is narrower */
  width: 100vw;
  min-width: unset;
  max-width: 1000px;
}

#left-column,
#right-column {
  position: relative;
  height: 100%;
  max-height: 100%;

  display: flex;
  flex-direction: column;
  overflow: hidden;
}

#left-column {
  flex-shrink: 0;
  min-width: 20%;
  width: var(--left-column-width);
  max-width: 80%;
}

#right-column {
  flex-grow: 1;
}

.group-area {
  position: relative;
  display: flex;
  flex-direction: column;
  background-color: var(--lit-mintonal-p-1);
}

#upper-right {
  --upper-tab-bar-height: calc(
    var(--upper-tab-bar-visible) * var(--tab-bar-height)
  );
  min-height: calc(
    var(--right-column-min-section-content-height) + var(--upper-tab-bar-height)
  );
  height: var(--upper-height);
  max-height: var(--upper-height);
}

#lower-right {
  flex-grow: 1;
  min-height: calc(
    var(--right-column-min-section-content-height) + var(--tab-bar-height)
  );
  max-height: calc(100% - var(--upper-height));
  margin-top: 8px;
}

.components-group-holder {
  --top-offset: var(--tab-bar-height);
  position: absolute;
  top: var(--top-offset);
  overflow: hidden; /* no scrollbars, for they are the path to the dark side */
  display: flex;
  flex-grow: 1;
  visibility: hidden;
  height: calc(100% - var(--top-offset));
  max-height: calc(100% - var(--top-offset));
  width: 100%;
  max-width: 100%;
  padding: 8px 0;
  box-sizing: border-box;
}

#left-column .components-group-holder {
  --top-offset: calc(var(--left-tab-bar-visible) * var(--tab-bar-height));
}

#upper-right .components-group-holder {
  --top-offset: var(--upper-tab-bar-height);
}

.components-group-holder.selected {
  visibility: visible;
}

lit-widget-group {
  padding: 0;
  box-sizing: border-box;
}

lit-widget-group[maximized] {
  padding: 0;
}

.expander {
  background: transparent;
  flex-shrink: 0;
  height: 100%;
  min-width: 8px;
  width: 8px;
}

.expander-drag-target{
  background: transparent;
  width: 100%;
  height:100%;
  opacity: 0;
}

.tab-bar {
  --bar-button-offset: 0;

  height: var(--tab-bar-height);
  padding: 0 8px;

  display: flex;
  flex-direction: row;
  align-items: center;

  color: var(--lit-neutral-700);
  background: white;
  border: 1px solid var(--lit-neutral-300);
}

.tab-bar .preset-buttons {
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.tab-bar .preset-buttons .icon-button[disabled] {
  color: var(--lit-neutral-500);
}

#drag-container{
  height: 100%;
  margin: 0 24px;

  display: flex;
  align-items: center;
}

#drag-handler {
  height: 100%;
  display: flex;
  flex-direction: column;
  justify-content: center;
  cursor: ns-resize;
}

.tabs-container {
  height: 100%;
  max-width: 100%;
  padding: 2px 0;

  display: flex;
  flex-direction: row;
  flex-grow: 1;
  align-items: end; /* bottom */

  font-size: 12px;
}

#center-bar .tabs-container {
  /* 120 = 48 for preset buttons + 3 * 24 for the drag handle and its margin. */
  max-width: calc(100% - 120px);
}

.tab {
  font-family: 'Google Sans', sans;
  border-bottom: 2px solid #dadce0;
  box-sizing: border-box;
  cursor: pointer;
  padding: 4px 16px;
  text-align: center;
  white-space: nowrap;
}

.tab:hover{
  background: #eee;
}

.tab.selected {
  font-weight: bold;
  border-bottom: 2px solid rgb(47, 140, 155);
  color: rgb(47, 140, 155);
}

.drag-icon {
  pointer-events: none;
}
`;var x=r(5108);const w="calc(50% - 8px)",S="calc(50% - 4px)";let _=class LitModules extends f.f{static get styles(){return[m.W,b]}constructor(){super(),this.appState=v.l.getService(g.aB),this.modulesService=v.l.getService(g.s7),this.upperHeight=S,this.leftColumnWidth=w,this.leftLayoutWidths={},this.lowerLayoutWidths={},this.upperLayoutWidths={},this.upperGroupHeightPresets=Object.seal({lower:"0",split:S,upper:"100%"}),this.resizeObserver=new ResizeObserver((()=>{const t=this.modulesService.getRenderLayout();this.calculateAllWidths(t);const n=this.shadowRoot.querySelector(".outer-container"),{top:r,height:a}=n.getBoundingClientRect();n.style.setProperty("--top-toolbar-offset",`${r}px`),n.style.setProperty("--modules-area-height",`${a}px`)})),(0,p.rC)(this)}connectedCallback(){super.connectedCallback(),this.modulesService.setRenderModulesCallback((()=>{this.requestUpdate()})),this.reactImmediately((()=>this.modulesService.getSetting("mainHeight")),(t=>{null!=t&&(this.upperHeight=`${t}%`)})),this.reactImmediately((()=>this.modulesService.getSetting("leftWidth")),(t=>{null!=t&&(this.leftColumnWidth=`${t}%`)})),document.addEventListener("keydown",(t=>{if("Escape"===t.key)for(const t of this.shadowRoot.querySelectorAll("lit-widget-group[maximized]"))t.removeAttribute("maximized")}))}firstUpdated(){this.react((()=>this.modulesService.getRenderLayout()),(t=>{this.calculateAllWidths(t)}));const t=this.shadowRoot.querySelector("#upper-right");this.resizeObserver.observe(t)}calculateAllWidths(t){this.calculateWidths(t.upper,this.upperLayoutWidths),this.calculateWidths(t.lower,this.lowerLayoutWidths),this.calculateWidths(t.left,this.leftLayoutWidths,"left-column")}calculateWidths(t,n,r="right-column"){for(const a of Object.keys(t))n[a]=[],this.calculatePanelWidths(a,t[a],n,r)}numColsForConfig(t){const n=t.moduleType.numCols;return t.moduleType.duplicateAsRow&&t.moduleType.duplicateForModelComparison?Math.max(1,this.appState.currentModels.length)*n:n}calculatePanelWidths(t,n,r,a="right-column"){const s=this.shadowRoot.querySelector(`#${a}`);if(!s)return void x.error(`Container with id=${a} not in DOM`);const l=n.reduce(((t,n)=>t+(this.modulesService.isModuleGroupHidden(n[0])?1:0)),0),d=s.getBoundingClientRect().width-36*l-8*(n.length-1),h=n.reduce(((t,n)=>{if(this.modulesService.isModuleGroupHidden(n[0]))return t;const r=n.map((t=>this.numColsForConfig(t)));return t+Math.max(...r)}),0);let p=0;for(let a=0;a<n.length;a++){const s=n[a],l=s.map((t=>this.numColsForConfig(t))),f=Math.max(...l)/h;r[t][a]=Math.round(f*d),this.modulesService.isModuleGroupHidden(s[0])||(p+=r[t][a])}for(let a=n.length-1;a>=0;a--)if(!this.modulesService.isModuleGroupHidden(n[a][0])){r[t][a]+=d-p;break}}disconnectedCallback(){super.disconnectedCallback(),this.modulesService.setRenderModulesCallback((()=>{}))}updated(){this.shadowRoot.querySelectorAll("lit-widget").forEach((t=>{const n=t.children[0];n instanceof y.p&&(n.setIsLoading=n=>{t.isLoading=n})}))}render(){const t=(0,d.$)({"outer-container":!0,"outer-container-centered":Boolean(this.modulesService.getSetting("centerPage"))}),{upper:n,lower:r,left:a}=this.modulesService.getRenderLayout(),l=Object.keys(n),p=Object.keys(r),f=Object.keys(a),m=f.length>1||l.length>1,g=p.length>0,{upper:v,lower:y,left:b}=this.modulesService.selectedTabs,x=-1!==l.indexOf(v)?v:l[0],S=-1!==p.indexOf(y)?y:p[0],_=-1!==f.indexOf(b)?b:f[0],T=t=>{this.modulesService.selectedTabs.lower=t},E=g?this.upperHeight:this.upperGroupHeightPresets.upper,C=(0,h.V)({"--upper-height":E,"--upper-tab-bar-visible":`${Number(m)}`,"--left-tab-bar-visible":`${Number(m)}`}),A=(0,h.V)({"--left-column-width":this.leftColumnWidth});return s.dy`
      <div id="outer-container" class=${t} style=${C}>
        ${f.length>0?s.dy`<div id="left-column" class="group-area"
              style=${A}>
              ${m?this.renderTabBar(f,_,(t=>{this.modulesService.selectedTabs.left=t})):null}
              ${this.renderComponentGroups(a,_,this.leftLayoutWidths,"widget-group-left","left-column")}
            </div>
            <div class="expander" style="cursor: ew-resize; width: 16px;">
              <div class="expander-drag-target" draggable="true"
                @drag=${t=>{t.stopPropagation(),t.preventDefault();const{clientX:n}=t;null!=n&&n>0&&(this.leftColumnWidth=n-20+"px")}}
                @dblclick=${t=>{t.stopPropagation(),t.preventDefault();const n=this.modulesService.getSetting("leftWidth");this.leftColumnWidth=null!=n?`${n}%`:w}}></div>
            </div>`:null}
        <div id="right-column">
          <div id="upper-right" class="group-area">
            ${m?this.renderTabBar(l,x,(t=>{this.modulesService.selectedTabs.upper=t})):null}
            ${this.renderComponentGroups(n,x,this.upperLayoutWidths,"widget-group-upper")}
          </div>
          ${g?s.dy`<div id="lower-right" class="group-area">
                ${(()=>{const{lower:t,split:n,upper:r}=this.upperGroupHeightPresets;return s.dy`<div class='tab-bar' id='center-bar'>
        <div class='tabs-container'>
          ${this.renderTabs(p,S,T)}
        </div>
        <div id='drag-container'>
          <div id='drag-handler' draggable='true'
              @drag=${t=>{this.onBarDragged(t)}}>
              <mwc-icon class="drag-icon">drag_handle</mwc-icon>
          </div>
        </div>
        <div class="preset-buttons">
          <lit-tooltip content="Maximize lower area" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${t===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("lower")}}>
              vertical_align_top
            </mwc-icon>
          </lit-tooltip>
          <lit-tooltip content="Split screen" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${n===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("split")}}>
              vertical_align_center
            </mwc-icon>
          </lit-tooltip>
          <lit-tooltip content="Maximize upper area" tooltipPosition="left">
            <mwc-icon class="icon-button" slot="tooltip-anchor"
                      ?disabled=${r===this.upperHeight}
                      @click=${()=>{this.setUpperHeight("upper")}}>
              vertical_align_bottom
            </mwc-icon>
          </lit-tooltip>
        </div>
      </div>`})()}
                ${this.renderComponentGroups(r,S,this.lowerLayoutWidths,"widget-group-lower")}
              </div>`:null}
        </div>
      </div>`}setUpperHeight(t){this.upperHeight=this.upperGroupHeightPresets[t]}onBarDragged(t){t.stopPropagation(),t.preventDefault();const{clientY:n}=t;if(0===n)return;if(!this.shadowRoot.getElementById("outer-container"))return;const r=window.innerHeight-24-77-212-8,a=n-77-17-8,s=a>r?r:a<212?0:a;this.upperHeight=`${s}px`}renderComponentGroups(t,n,r,a,l="right-column"){return Object.keys(t).map(((h,p)=>{const f=n===h,m=(0,d.$)({"components-group-holder":!0,selected:f});return s.dy`<div class=${m}>
        ${this.renderWidgetGroups(t[h],h,r,`${a}-${p}`,f,l)}
      </div>`}))}renderTabs(t,n,r){return t.map((t=>{const a=(0,d.$)({selected:n===t,tab:!0});return s.dy`<div class=${a} @click=${n=>{n.preventDefault(),n.stopPropagation(),r(t),this.requestUpdate()}}>${t}</div>`}))}renderTabBar(t,n,r){return s.dy`<div class='tab-bar'>
      <div class='tabs-container'>
        ${this.renderTabs(t,n,r)}
      </div>
    </div>`}renderWidgetGroups(t,n,r,a,l,d="right-column"){const p=()=>{this.calculatePanelWidths(n,t,r,d)},f=t.length>1;return t.map(((d,m)=>{const g=r[n]?r[n][m]:0,v=m===t.length-1,y=`${a}-${m}`;let b=-1;for(let n=m+1;n<t.length;n++)if(!this.modulesService.isModuleGroupHidden(t[n][0])){b=n;break}const x=b>m&&!this.modulesService.isModuleGroupHidden(d[0]),w=(0,h.V)({cursor:x?"ew-resize":"default"}),S=t=>{if(v||!x||this.modulesService.isModuleGroupHidden(d[0]))return;const a=this.shadowRoot.querySelector(`#${y}`).getBoundingClientRect().left,s=Math.round(t.clientX-a-8),l=s-g,h=s<=100,p=Math.abs(l)>10;if(h||!p)return;const f=r[n][b],w=Math.round(f-l),S=Math.max(100,w),_=S-w;r[n][b]=S,r[n][m]=s-(S>w?_:0),this.requestUpdate()};return s.dy`
        <lit-widget-group id=${y} .configGroup=${d} .width=${g}
                          @widget-group-minimized-changed=${p}
                          ?allowMinimize=${f} ?visible=${l}>
        </lit-widget-group>
        ${v?s.dy``:s.dy`
            <div class="expander" style=${w}>
              <div class="expander-drag-target" draggable=${x}
                   @drag=${t=>{S(t)}}>
              </div>
            </div>`}`}))}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],_.prototype,"upperHeight",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],_.prototype,"leftColumnWidth",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],_.prototype,"leftLayoutWidths",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],_.prototype,"lowerLayoutWidths",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],_.prototype,"upperLayoutWidths",void 0),_=(0,a.gn)([(0,l.Mo)("lit-modules"),(0,a.w6)("design:paramtypes",[])],_)},2947:(t,n,r)=>{"use strict";var a=r(7582),s=(r(4600),r(5595)),l=r(9392),d=r(9455),h=r(8949),p=r(3506),f=r(9604),m=(r(6645),r(4915),r(7098)),g=r(7190),v=r(9410),y=r(437),b=(r(482),r(5889));const x=l.iv`:host {
  --slice-selector-right-col-width: 200px;
}

.module-container {
  padding: 6px;
  max-height: 100%;
  overflow-y: hidden;
}

.row-container {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;

  margin-bottom: 10px;
}

#select-container {
  display: flex;
  flex-direction: column;
  flex: 1;
  width: 100%;
  overflow-y: hidden;
}

#slice-selector {
  border: 1px solid rgb(218, 220, 224);
  flex: 1;
  max-height: calc(100% - 18px);
  overflow-x: hidden;
  overflow-y: auto;
}

.selector-item {
  padding: 8px;
}

.selector-item:hover {
  background: #f8f9fa;
}

.selector-item > * {
  vertical-align: middle;
}

.selected {
  background: rgb(197, 228, 232);
}

.selected:hover {
  background: rgb(197, 228, 232);
}

.checkbox-holder{
  display: flex;
  justify-content: space-between;
}

.checkbox-title{
  font-size: 12px;
}

#input-box {
  flex: 1;
}

.checkbox-holder {
  margin: 0 7px;
}

.slice-name {
  max-width: calc(100% - var(--slice-selector-right-col-width));
  display: inline-block;
  overflow: auto;
}

.right-action-menu {
  float: right;
  color: #5f6368;
  max-width: var(--slice-selector-right-col-width);
}

.number-label {
  padding-right: 8px;
}

.selector-item .icon-button {
  font-size: 18px;
  vertical-align: middle;
  margin-left: 3px;
  margin-bottom: 5px;
}

.hidden {
  visibility: hidden;
}
`;var w;let S=w=class SliceModule extends f.p{static get styles(){return[b.W,x]}constructor(){super(),this.sliceService=p.l.getService(v.qG),this.groupService=p.l.getService(g.l),this.facetingControl=document.createElement("faceting-control"),this.sliceByBins={},this.sliceByFeatures=[],this.sliceName=null,(0,h.rC)(this);this.facetingControl.contextName=w.title,this.facetingControl.addEventListener("facets-change",(t=>{this.sliceByFeatures=t.detail.features,this.sliceByBins=t.detail.bins}))}get createButtonEnabled(){return 0===this.selectionService.selectedIds.length&&this.anyCheckboxChecked||this.sliceName&&this.selectionService.selectedIds.length>0}get anyCheckboxChecked(){return this.sliceByFeatures.length>0}lastCreatedSlice(){const t=this.sliceService.sliceNames;return t[t.length-1]}handleClickCreate(){if(this.anyCheckboxChecked)this.makeSlicesFromAllLabelCombos(),this.selectSlice(this.lastCreatedSlice());else{const t=this.selectionService.selectedIds,n=this.sliceName;null!=n&&this.sliceService.addNamedSlice(n,t),this.selectSlice(n)}this.sliceName=null,this.sliceByFeatures=[]}makeSlicesFromAllLabelCombos(){const t=this.selectionService.selectedOrAllInputData,n=this.groupService.groupExamplesByFeatures(this.sliceByBins,t,this.sliceByFeatures),r=null==this.sliceName?"":this.sliceName+" ";Object.keys(n).forEach((t=>{const a=`${r}${t}`,s=n[t].data.map((t=>t.id));this.sliceService.addNamedSlice(a,s)}))}selectSlice(t){this.sliceService.selectNamedSlice(t,this)}renderCreate(){const t=()=>{this.handleClickCreate()};return l.dy`
      <div class="row-container">
        <input type="text" id="input-box" .value=${this.sliceName}
          placeholder="Enter name" @input=${t=>{this.sliceName=t.target.value}}
          @keyup=${n=>{(n=>{(0,m.qx)(n,t)})(n)}}/>
        <button class='hairline-button'
          ?disabled="${!this.createButtonEnabled}"
          @click=${t}>${this.sliceByFeatures.length>0?"Create slices":"Create slice"}
        </button>
      </div>
    `}getArrayData(t){const n=this.appState.currentInputDataKeys,r=t=>[this.appState.getIndexById(t.id)].concat(n.map((n=>t.data[n])));return this.sliceService.getSliceDataByName(t).map((t=>r(t)))}renderSliceRow(t){var n,r;const a=this.sliceService.selectedSliceName,s=(0,d.$)({"selector-item":!0,selected:t===a}),h=()=>{const n=a===t?null:t;this.selectSlice(n)},p=null!==(r=null===(n=this.sliceService.getSliceByName(t))||void 0===n?void 0:n.length)&&void 0!==r?r:0,f=this.selectionService.selectedIds.filter((n=>!this.sliceService.isInSlice(t,n))).length>0,m=(0,d.$)({"icon-button":!0,disabled:!f}),g=p<=0,v=(0,d.$)({"icon-button":!0,"mdi-outlined":!0,disabled:g});return l.dy`
      <div class=${s}>
        <span class='slice-name' @click=${h}>${t}</span>
        <span class="right-action-menu">
          <span class="number-label" @click=${h}>
            ${p} ${1===p?"datapoint":"datapoints"}
          </span>

          <lit-tooltip content="Add selected to slice" tooltipPosition="left">
            <mwc-icon class=${m} @click=${n=>{n.stopPropagation(),this.sliceService.addIdsToSlice(t,this.selectionService.selectedIds)}}
             slot="tooltip-anchor">
             add_circle_outline
            </mwc-icon>
          </lit-tooltip>

          ${t===y.Z?l.dy`<lit-tooltip content="Reset this slice" tooltipPosition="left">
              <mwc-icon class=${v} @click=${n=>{var r;n.stopPropagation();const a=null!==(r=this.sliceService.getSliceByName(t))&&void 0!==r?r:[];this.sliceService.removeIdsFromSlice(t,a)}}
                slot="tooltip-anchor">
                clear
              </mwc-icon>
            </lit-tooltip>`:l.dy`<lit-tooltip content="Delete this slice"
              tooltipPosition="left">
              <mwc-icon class='icon-button selector-item-icon-button'
                @click=${n=>{n.stopPropagation(),this.sliceService.deleteNamedSlice(t)}} slot="tooltip-anchor">
                delete_outline
              </mwc-icon>
            </lit-tooltip>`}
          <export-controls ?disabled=${g}
              .data=${this.getArrayData(t)}
              .downloadFilename="${this.appState.currentDataset}-${t}.csv"
              .columnNames=${this.appState.currentInputDataKeys}>
          </export-controls>
        </span>
      </div>`}renderSliceSelector(){return l.dy`
      <div id="select-container">
        <label>Select slice</label>
        <div id="slice-selector">
          ${this.sliceService.sliceNames.map((t=>this.renderSliceRow(t)))}
        </div>
      </div>
    `}renderImpl(){return l.dy`
      <div class='module-container'>
        ${this.renderCreate()}
        <div class="row-container" >
          ${this.facetingControl}
        </div>
        ${this.renderSliceSelector()}
      </div>
    `}static shouldDisplayModule(t,n){return!0}};S.title="Slice Editor",S.numCols=2,S.collapseByDefault=!0,S.duplicateForModelComparison=!1,S.template=(t,n,r)=>l.dy`
  <lit-slice-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </lit-slice-module>`,(0,a.gn)([h.LO,(0,a.w6)("design:type",Array)],S.prototype,"sliceByFeatures",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],S.prototype,"sliceName",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],S.prototype,"createButtonEnabled",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],S.prototype,"anyCheckboxChecked",null),S=w=(0,a.gn)([(0,s.Mo)("lit-slice-module"),(0,a.w6)("design:paramtypes",[])],S)},4987:(t,n,r)=>{"use strict";var a=r(7582),s=(r(3514),r(9956),r(5681),r(5595)),l=r(9392);const d=l.iv`.material-icons{font-family:var(--mdc-icon-font, "Material Icons");font-weight:normal;font-style:normal;font-size:var(--mdc-icon-size, 24px);line-height:1;letter-spacing:normal;text-transform:none;display:inline-block;white-space:nowrap;word-wrap:normal;direction:ltr;-webkit-font-smoothing:antialiased;text-rendering:optimizeLegibility;-moz-osx-font-smoothing:grayscale;font-feature-settings:"liga"}.mdc-icon-button{font-size:24px;width:48px;height:48px;padding:12px}.mdc-icon-button .mdc-icon-button__focus-ring{display:none}.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{display:block;max-height:48px;max-width:48px}@media screen and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}}@media screen and (forced-colors: active)and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{border-color:CanvasText}}@media screen and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring::after,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}}@media screen and (forced-colors: active)and (forced-colors: active){.mdc-icon-button.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring::after,.mdc-icon-button:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring::after{border-color:CanvasText}}.mdc-icon-button.mdc-icon-button--reduced-size .mdc-icon-button__ripple{width:40px;height:40px;margin-top:4px;margin-bottom:4px;margin-right:4px;margin-left:4px}.mdc-icon-button.mdc-icon-button--reduced-size.mdc-ripple-upgraded--background-focused .mdc-icon-button__focus-ring,.mdc-icon-button.mdc-icon-button--reduced-size:not(.mdc-ripple-upgraded):focus .mdc-icon-button__focus-ring{max-height:40px;max-width:40px}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-disabled-on-light, rgba(0, 0, 0, 0.38))}.mdc-icon-button svg,.mdc-icon-button img{width:24px;height:24px}.mdc-icon-button{display:inline-block;position:relative;box-sizing:border-box;border:none;outline:none;background-color:transparent;fill:currentColor;color:inherit;text-decoration:none;cursor:pointer;user-select:none;z-index:0;overflow:visible}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{cursor:default;pointer-events:none}.mdc-icon-button--display-flex{align-items:center;display:inline-flex;justify-content:center}.mdc-icon-button__icon{display:inline-block}.mdc-icon-button__icon.mdc-icon-button__icon--on{display:none}.mdc-icon-button--on .mdc-icon-button__icon{display:none}.mdc-icon-button--on .mdc-icon-button__icon.mdc-icon-button__icon--on{display:inline-block}.mdc-icon-button__link{height:100%;left:0;outline:none;position:absolute;top:0;width:100%}.mdc-icon-button{display:inline-block;position:relative;box-sizing:border-box;border:none;outline:none;background-color:transparent;fill:currentColor;color:inherit;text-decoration:none;cursor:pointer;user-select:none;z-index:0;overflow:visible}.mdc-icon-button .mdc-icon-button__touch{position:absolute;top:50%;height:48px;left:50%;width:48px;transform:translate(-50%, -50%)}.mdc-icon-button:disabled{cursor:default;pointer-events:none}.mdc-icon-button--display-flex{align-items:center;display:inline-flex;justify-content:center}.mdc-icon-button__icon{display:inline-block}.mdc-icon-button__icon.mdc-icon-button__icon--on{display:none}.mdc-icon-button--on .mdc-icon-button__icon{display:none}.mdc-icon-button--on .mdc-icon-button__icon.mdc-icon-button__icon--on{display:inline-block}.mdc-icon-button__link{height:100%;left:0;outline:none;position:absolute;top:0;width:100%}:host{display:inline-block;outline:none}:host([disabled]){pointer-events:none}.mdc-icon-button i,.mdc-icon-button svg,.mdc-icon-button img,.mdc-icon-button ::slotted(*){display:block}:host{--mdc-ripple-color: currentcolor;-webkit-tap-highlight-color:transparent}:host,.mdc-icon-button{vertical-align:top}.mdc-icon-button{width:var(--mdc-icon-button-size, 48px);height:var(--mdc-icon-button-size, 48px);padding:calc( (var(--mdc-icon-button-size, 48px) - var(--mdc-icon-size, 24px)) / 2 )}.mdc-icon-button i,.mdc-icon-button svg,.mdc-icon-button img,.mdc-icon-button ::slotted(*){display:block;width:var(--mdc-icon-size, 24px);height:var(--mdc-icon-size, 24px)}`;r(2380);var h=r(6036),p=r(9263),f=r(9455),m=r(796);class IconButtonToggleBase extends l.oi{constructor(){super(...arguments),this.disabled=!1,this.onIcon="",this.offIcon="",this.on=!1,this.shouldRenderRipple=!1,this.rippleHandlers=new p.A((()=>(this.shouldRenderRipple=!0,this.ripple)))}handleClick(){this.on=!this.on,this.dispatchEvent(new CustomEvent("icon-button-toggle-change",{detail:{isOn:this.on},bubbles:!0}))}click(){this.mdcRoot.focus(),this.mdcRoot.click()}focus(){this.rippleHandlers.startFocus(),this.mdcRoot.focus()}blur(){this.rippleHandlers.endFocus(),this.mdcRoot.blur()}renderRipple(){return this.shouldRenderRipple?l.dy`
            <mwc-ripple
                .disabled="${this.disabled}"
                unbounded>
            </mwc-ripple>`:""}render(){const t={"mdc-icon-button--on":this.on},n=void 0!==this.ariaLabelOn&&void 0!==this.ariaLabelOff,r=n?void 0:this.on,a=n?this.on?this.ariaLabelOn:this.ariaLabelOff:this.ariaLabel;return l.dy`<button
          class="mdc-icon-button mdc-icon-button--display-flex ${(0,f.$)(t)}"
          aria-pressed="${(0,m.o)(r)}"
          aria-label="${(0,m.o)(a)}"
          @click="${this.handleClick}"
          ?disabled="${this.disabled}"
          @focus="${this.handleRippleFocus}"
          @blur="${this.handleRippleBlur}"
          @mousedown="${this.handleRippleMouseDown}"
          @mouseenter="${this.handleRippleMouseEnter}"
          @mouseleave="${this.handleRippleMouseLeave}"
          @touchstart="${this.handleRippleTouchStart}"
          @touchend="${this.handleRippleDeactivate}"
          @touchcancel="${this.handleRippleDeactivate}"
        >${this.renderRipple()}
        <span class="mdc-icon-button__icon"
          ><slot name="offIcon"
            ><i class="material-icons">${this.offIcon}</i
          ></slot
        ></span>
        <span class="mdc-icon-button__icon mdc-icon-button__icon--on"
          ><slot name="onIcon"
            ><i class="material-icons">${this.onIcon}</i
          ></slot
        ></span>
      </button>`}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}handleRippleBlur(){this.rippleHandlers.endFocus()}}(0,a.gn)([(0,s.IO)(".mdc-icon-button")],IconButtonToggleBase.prototype,"mdcRoot",void 0),(0,a.gn)([h.L,(0,s.Cb)({type:String,attribute:"aria-label"})],IconButtonToggleBase.prototype,"ariaLabel",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],IconButtonToggleBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:String})],IconButtonToggleBase.prototype,"onIcon",void 0),(0,a.gn)([(0,s.Cb)({type:String})],IconButtonToggleBase.prototype,"offIcon",void 0),(0,a.gn)([(0,s.Cb)({type:String})],IconButtonToggleBase.prototype,"ariaLabelOn",void 0),(0,a.gn)([(0,s.Cb)({type:String})],IconButtonToggleBase.prototype,"ariaLabelOff",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],IconButtonToggleBase.prototype,"on",void 0),(0,a.gn)([(0,s.GC)("mwc-ripple")],IconButtonToggleBase.prototype,"ripple",void 0),(0,a.gn)([(0,s.SB)()],IconButtonToggleBase.prototype,"shouldRenderRipple",void 0),(0,a.gn)([(0,s.hO)({passive:!0})],IconButtonToggleBase.prototype,"handleRippleMouseDown",null),(0,a.gn)([(0,s.hO)({passive:!0})],IconButtonToggleBase.prototype,"handleRippleTouchStart",null);let g=class IconButtonToggle extends IconButtonToggleBase{};g.styles=[d],g=(0,a.gn)([(0,s.Mo)("mwc-icon-button-toggle")],g);r(1239);var v=r(7924),y=r(3959),b=r(9537),x=r(5889),w=r(4915),S=(r(1165),r(9410)),_=r(3506);r(9604);const T=l.iv`:host {
  display: flex;
  position: relative;
  box-sizing: border-box;
  height: 100%;
  background: white;
  --lit-widget-header-height: 24px;
}

.holder {
  display: flex;
  flex-direction: column;
  position: relative;
  border: 1px solid rgb(218, 220, 224);
  border-top: 0px;
  width: 100%;
  box-sizing: border-box;
}

.container {
  position: relative;
  display: flex;
  flex: 1;
  height: calc(100% - var(--lit-widget-header-height));
}

.content {
  overflow-y: auto;
  width: 100%;
}

.content.loading {
  opacity: 0.2;
  pointer-events: none;
}

.header {
  font-family: 'Google Sans', sans;
  min-height: var(--lit-widget-header-height);
  color: rgb(32, 33, 36);
  line-height: 21px;
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: 0px 5px;
  border-bottom: 1px solid rgb(218, 220, 224);
  box-sizing: border-box;
}

.subtitle {
  font-size: 11px;
  color: gray;
}

.spinner-container {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.pin-spacer {
  width: 16px;
  height: 14px;
}
`,E=l.iv`:host{
  flex: var(--flex);
  min-width: var(--width);
  width: var(--width);
  --lit-group-header-height: 36px;
}

.outside {
  position: relative;   /* Necessary so that the expander positions correctly */
  width: 100%;
  height: 100%;
}

.wrapper {
  height: 100%;
  box-sizing: border-box;
  background-color: white;
  background-clip: content-box;
  display: flex;
  flex-direction: column;
}

.header {
  height: var(--lit-group-header-height);
  display: flex;
  padding: 0 8px;
  line-height: 27px;
  align-items: center;
  justify-content: space-between;
  border: 1px solid rgb(218, 220, 224);
  box-sizing: border-box;
  gap: 8px;
}

.title {
  font-size: 14px;
  font-family: 'Google Sans', sans;
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow: hidden;
  flex: 1 1 auto;
}

.min-button {
  text-align: right;
}

.direction-toggle {
  --mdc-icon-button-size: 24px;
  --mdc-icon-font: 'Material Icons Outlined';
}

.scroll-toggle {
  --mdc-icon-button-size: 24px;
}

.holder {
  height: calc(100% - var(--lit-group-header-height));
  display: flex;
  flex-direction: column;
  position: relative;
  flex: 1;
}

.component-row {
  display: flex;
  flex-direction: row;
  overflow-x: auto;
}

.component-column {
  display: flex;
  flex-direction: column;
}

lit-widget {
  min-height: 128px;
}

/**
 * Maximized state
 */
:host([maximized]) {
  margin: 0;
  padding: 0;
  --lit-maximized-vpad: 15px;
  --lit-maximized-hpad: 45px;
  /* Override whatever size this would have been in-line. */
  width: calc(100vw - 2*var(--lit-maximized-hpad)) !important;
  min-width: calc(100vw - 2*var(--lit-maximized-hpad)) !important;
  position: fixed;
  z-index: 2;
  /* Fix size to fill the main modules area, but not cover toolbars. */
  /* --top-toolbar-offset and --modules-area-height are set by modules.ts. */
  top: var(--top-toolbar-offset);
  height: calc(var(--modules-area-height) - 2*var(--lit-maximized-vpad));
  left: 0px;
}

:host([maximized]) .outside {
  padding: var(--lit-maximized-vpad) var(--lit-maximized-hpad);
  background: rgba(4, 29, 51, .47);
}

:host([maximized]) .wrapper {
  padding: 0;
}

/**
 * Minimized state
 */
:host([minimized]),
:host([minimized]) .header,
:host([minimized]) .outside,
:host([minimized]) .wrapper {
  min-width: var(--lit-group-header-height);
  width: var(--lit-group-header-height);
  max-width: var(--lit-group-header-height);
}

:host([minimized]) .header:not(.tooltip-text){
  padding-top: 8px;
  padding-bottom: 2px; /* top icon should align with horizontal toolbar */
  padding-left: 0;
  padding-right: 0;
  height: 100%;
  writing-mode: vertical-lr;
  transform: rotate(180deg);
}

:host([minimized]) .header > * {
  margin: 2px 0;
}

:host([minimized]) mwc-icon {
  /* Undo outer rotation, so these are oriented normally. */
  transform: rotate(90deg);
}

:host([minimized]) lit-tooltip {
  /* Undo outer rotation, so these are oriented normally. */
  transform: rotate(180deg);
  writing-mode: horizontal-tb;
}

:host([minimized]) .title {
  text-align: right;
  cursor: pointer;
}

:host([minimized]) .holder {
  height: 0;
}

:host([minimized]) lit-widget{
  display: none;
}
`;var C=r(5108);let A=class WidgetGroup extends b.f{constructor(){super(...arguments),this.modulesService=_.l.getService(S.s7),this.configGroup=[],this.allowMinimize=!1,this.duplicateAsRow=!1,this.minimized=!1,this.maximized=!1,this.visible=!1,this.width=0,this.widgetScrollTop=0,this.widgetScrollLeft=0,this.syncScrolling=!0}static get styles(){return[x.W,E]}connectedCallback(){super.connectedCallback(),this.minimized=this.initMinimized(),this.maximized=this.initMaximized(),this.reactImmediately((()=>this.configGroup),(t=>{this.duplicateAsRow=t[0].moduleType.duplicateAsRow}))}render(){return this.renderModules(this.configGroup)}renderHeader(t){const n=t[0].moduleType.title,r=t[0].moduleType.infoMarkdown,a=l.dy`<lit-tooltip .content=${r}></lit-tooltip>`;return l.dy`
      <div class=header>
        <div class="title" @click=${()=>{this.minimized&&(this.setMinimized(!1),this.setMaximized(!1))}}>
          ${n}
          ${this.minimized||""===r?null:a}
        </div>
        ${this.minimized||t.length<2?null:[(()=>l.dy`
        <lit-tooltip class="icon-button large-icon"
          tooltipPosition=${"left"}
          .content=${"Toggle layout direction"}>
          <mwc-icon
            class="icon-button large-icon direction-toggle"
            slot="tooltip-anchor"
            @click="${()=>{this.duplicateAsRow=!this.duplicateAsRow,this.requestUpdate()}}">
            ${this.duplicateAsRow?"view_week":"table_rows"}
          </mwc-icon>
        </lit-tooltip>`)(),(()=>l.dy`
        <lit-tooltip class="icon-button large-icon"
          tooltipPosition=${"left"}
          .content=${"Toggle scroll sync"}>
          <mwc-icon
            class="icon-button large-icon scroll-toggle"
            slot="tooltip-anchor"
            @click="${()=>{this.syncScrolling=!this.syncScrolling,this.requestUpdate()}}">
            ${this.syncScrolling?"sync":"sync_disabled"}
          </mwc-icon>
        </lit-tooltip>`)()]}
        ${this.allowMinimize?l.dy`<lit-tooltip class="icon-button large-icon"
                tooltipPosition=${"left"}
                .content=${this.minimized?"Expand":"Collapse"}>
                <mwc-icon class="icon-button large-icon min-button"
                  @click=${()=>{this.setMinimized(!this.minimized),this.setMaximized(!1)}}
                  slot="tooltip-anchor">
                  ${this.minimized?"call_made":"call_received"}
                </mwc-icon>
              </lit-tooltip>`:null}
        <lit-tooltip class="icon-button large-icon" tooltipPosition=${"left"}
          .content=${this.maximized?"Close fullscreen":"Open fullscreen"}>
          <mwc-icon class="icon-button large-icon" @click=${()=>{this.setMaximized(!this.maximized),this.setMinimized(!1)}}
            slot="tooltip-anchor">
            ${this.maximized?"fullscreen_exit":"fullscreen"}
          </mwc-icon>
        </lit-tooltip>
      </div>`}renderModules(t){const n=t.length>1,r=this.shadowRoot.host,a=`${this.width}px`;r.style.setProperty("--width",a),r.style.setProperty("--min-width",a);const s=(0,f.$)({"component-row":n&&this.duplicateAsRow,"component-column":n&&!this.duplicateAsRow,holder:!0}),d={width:"100%",height:"100%"};this.duplicateAsRow?d.width=100/t.length+"%":d.height=100/t.length+"%";const h=t.length>1;return l.dy`
      <div class='outside' @click=${()=>{this.setMaximized(!1),this.setMinimized(!1)}}>
        <div class='wrapper' @click=${t=>{t.stopPropagation()}} >
          ${this.renderHeader(t)}
          <div class=${s}>
            ${t.map((t=>this.renderModule(t,d,h)))}
          </div>
        </div>
       </div>
    `}renderModule(t,n,r){const a=t.moduleType;if("function"!=typeof a.template)return void C.log(typeof t,typeof a,typeof a.template);const s=t.modelName||"",d=t.selectionServiceIndex||0,h=this.visible&&!this.minimized;let p=null!=s?s:"";a.duplicateForExampleComparison&&(p=p.concat(`${p?" - ":""} ${d?"Pinned":"Selected"}`));return l.dy`
      <lit-widget
        displayTitle=${a.title}
        subtitle=${r?p:""}
        ?highlight=${1===d}
        @widget-scroll="${t=>{this.syncScrolling&&(this.widgetScrollLeft=t.detail.scrollLeft,this.widgetScrollTop=t.detail.scrollTop,this.requestUpdate())}}"
        widgetScrollLeft=${this.widgetScrollLeft}
        widgetScrollTop=${this.widgetScrollTop}
        style=${(0,y.V)(n)}
      >
        ${a.template(s,d,h?1:0)}
      </lit-widget>
    `}initMinimized(){const t=this.configGroup[0];return this.modulesService.isModuleGroupHidden(t)}initMaximized(){const t=this.configGroup[0];return this.modulesService.isModuleGroupExpanded(t)}setMinimized(t){const n=this.configGroup[0];this.modulesService.toggleHiddenModule(n,t),this.minimized=t;const r=new CustomEvent("widget-group-minimized-changed",{detail:{isMinimized:t}});this.dispatchEvent(r)}setMaximized(t){const n=this.configGroup[0];this.modulesService.toggleExpandedModule(n,t),this.maximized=t}};(0,a.gn)([(0,s.Cb)({type:Array}),(0,a.w6)("design:type",Array)],A.prototype,"configGroup",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],A.prototype,"allowMinimize",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],A.prototype,"duplicateAsRow",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],A.prototype,"minimized",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],A.prototype,"maximized",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],A.prototype,"visible",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],A.prototype,"width",void 0),A=(0,a.gn)([(0,s.Mo)("lit-widget-group")],A);let O=class LitWidget extends v.G{constructor(){super(...arguments),this.displayTitle="",this.subtitle="",this.isLoading=!1,this.highlight=!1,this.widgetScrollTop=0,this.widgetScrollLeft=0}static get styles(){return[x.W,T]}updated(){return(0,a.mG)(this,void 0,void 0,(function*(){yield this.updateComplete;const t=this.children[0];t.onSyncScroll=(t,n)=>{const r=new CustomEvent("widget-scroll",{detail:{scrollTop:t,scrollLeft:n}});this.dispatchEvent(r)};const n=t.shadowRoot.querySelectorAll(`.${w.SU}`);if(n.length>0)for(const t of n)t.scrollTop=this.widgetScrollTop,t.scrollLeft=this.widgetScrollLeft;else{const t=this.shadowRoot.querySelector(".content");if(null==t)return;t.scrollTop=this.widgetScrollTop,t.scrollLeft=this.widgetScrollLeft}}))}render(){const t=(0,f.$)({content:!0,loading:this.isLoading});return l.dy`
      <div class="holder">
        ${this.subtitle?this.renderHeader():""}
        <div class="container">
          ${this.isLoading?this.renderSpinner():null}
          <div class=${t} @scroll=${()=>{const t=this.shadowRoot.querySelector(".content"),n=new CustomEvent("widget-scroll",{detail:{scrollTop:t.scrollTop,scrollLeft:t.scrollLeft}});this.dispatchEvent(n)}}>
            <slot></slot>
          </div>
        </div>
      </div>
    `}renderSpinner(){return l.dy`
      <div class="spinner-container">
        <lit-spinner size=${36} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}renderHeader(){return l.dy`
    <div class=header>
      ${this.highlight?l.dy`<mwc-icon class='material-icon pin-icon'>push_pin</mwc-icon>`:l.dy`<div class="pin-spacer"></div>`}
      <span class="subtitle">${this.subtitle}</span>
    </div>
    `}};(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],O.prototype,"displayTitle",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],O.prototype,"subtitle",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],O.prototype,"isLoading",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],O.prototype,"highlight",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],O.prototype,"widgetScrollTop",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],O.prototype,"widgetScrollLeft",void 0),O=(0,a.gn)([(0,s.Mo)("lit-widget")],O)},6299:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(9455),h=r(3959),p=r(8949),f=r(6070),m=r(9537),g=r(4262),v=r(5889),y=r(4915);const b=l.iv`.main-container {
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 5px;
}

.group {
  margin-bottom: 5px;
}

.group-title {
  font-weight: bold;
  margin-bottom: 3px;
}

.segments-column {
  margin-right: 20px;
}

.annotations-column {
  min-width: 20%;
}

.cluster-container {
  display: flex;
  flex-direction: row;
  margin-bottom: 2px;
  padding-left: 3px;
  padding-right: 3px;
  border-bottom: 1px solid white;
}

.cluster-label {
  min-width: 10%;
  max-width: 30%;
  margin-right: 10px;
}

.cluster-spans {
  padding-right: 5px;
}

.cluster-active {
  background: var(--group-color);
  border-bottom: 1px solid black; /* underline-like, but cleaner */
}

.span-active {
  border-bottom: 1px solid black; /* underline-like, but cleaner */
}

.no-data {
  color: #5f6368;
}
`;function x(t,n){return n.map(((r,a)=>{const s=100*(a+1)/n.length;return`linear-gradient(${t}, ${r} ${s}%, rgba(0,0,0,0) ${s}%)`})).join(", ")}const w="#e4f7fb";let S=class AnnotatedText extends l.oi{constructor(){super(...arguments),this.text="",this.spans=[],this.isURL=!1}static get styles(){return[v.W,b]}render(){var t,n;const r=new Set;for(const t of this.spans)r.add(t.start),r.add(t.end);let a=[0,...r,this.text.length];a=a.sort(((t,n)=>t-n));const s=a.map((()=>[]));for(let t=0;t<this.spans.length;t++){const n=a.indexOf(this.spans[t].start),r=a.indexOf(this.spans[t].end);for(let a=n;a<r;a++)s[a].push(t)}const p=[];for(let r=0;r<a.length-1;r++){const f=this.text.slice(a[r],a[r+1]),m=s[r].map((t=>this.spans[t])),g=(0,d.$)({"span-active":m.length>0}),v={};m.length>1?v.background=x("0deg",m.map((t=>{var n;return null!==(n=t.color)&&void 0!==n?n:w}))):m.length>0&&(v.background=null!==(n=null===(t=m[0])||void 0===t?void 0:t.color)&&void 0!==n?n:w),p.push(l.dy`<span class=${g} style=${(0,h.V)(v)}>${f}</span>`)}return this.isURL?l.dy`<a href=${this.text} target="_blank">${p}</a>`:l.dy`${p}`}};(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],S.prototype,"text",void 0),(0,a.gn)([(0,s.Cb)({type:Array}),(0,a.w6)("design:type",Array)],S.prototype,"spans",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],S.prototype,"isURL",void 0),S=(0,a.gn)([(0,s.Mo)("annotated-text")],S);let _=class AnnotatedTextVis extends m.f{get groupColors(){const t={},n=Object.keys(this.annotationSpec);for(let r=0;r<n.length;r++){t[n[r]]=(0,f.If)("pastel",r).color}return t}get activeAnnotations(){const t={};for(const n of Object.keys(this.segments))t[n]=[];for(const n of Object.keys(this.annotations))this.annotations[n].forEach(((r,a)=>{if(this.annotationVisibility[n].has(a))for(const a of r.spans){const s=Object.assign({},a,{label:`${r.label}${a.label?":":""}${a.label}`,align:n,color:this.groupColors[n]});t[a.align].push(s)}}));return t}static get styles(){return[v.W,b]}constructor(){super(),this.annotations={},this.annotationSpec={},this.segments={},this.segmentSpec={},this.annotationVisibility={},(0,p.rC)(this)}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.annotations),(t=>{var n,r;this.annotationVisibility={};for(const a of Object.keys(t))if(this.annotationVisibility[a]=new Set,null===(n=this.annotationSpec[a])||void 0===n?void 0:n.background);else if(null===(r=this.annotationSpec[a])||void 0===r?void 0:r.exclusive)this.annotationVisibility[a].add(0);else for(let n=0;n<t[a].length;n++)this.annotationVisibility[a].add(n)}))}renderTextSegment(t){const n=this.segments[t],r=this.activeAnnotations[t],a=this.segmentSpec[t]instanceof g.Mj;return l.dy`
      <div class='group'>
        <div class='group-title'>${t}</div>
        <annotated-text .text=${n} .spans=${r} ?isURL=${a}>
        </annotated-text>
      </div>
    `}renderCluster(t,n){const r=this.annotations[t][n],a=this.annotationVisibility[t].has(n);return l.dy`
      <div class=${(0,d.$)({"cluster-container":!0,"cluster-active":a})}
           @click=${()=>{this.annotationVisibility[t].has(n)?this.annotationVisibility[t].delete(n):(this.annotationSpec[t].exclusive&&this.annotationVisibility[t].clear(),this.annotationVisibility[t].add(n))}}>
        <div class='cluster-label'>${r.label}</div>
        <div class='cluster-spans'>
          ${r.spans.map((t=>l.dy`<div class='span'>${(0,y.$A)(t)}</div>`))}
        </div>
      </div>
    `}renderAnnotationGroup(t){var n;const r=this.groupColors[t],a=null===(n=this.annotations)||void 0===n?void 0:n[t];return l.dy`
      <div class='group' style=${(0,h.V)({"--group-color":r})}>
        <div class='group-title'>${t}</div>
        ${a?a.map(((n,r)=>this.renderCluster(t,r))):l.dy`<span class='no-data'>(no data)</span>`}
      </div>
    `}render(){const t=Object.keys(this.segmentSpec).map((t=>this.renderTextSegment(t))),n=Object.keys(this.annotationSpec).map((t=>this.renderAnnotationGroup(t)));return l.dy`
      <div class='main-container'>
        <div class='segments-column'>${t}</div>
        <div class='annotations-column'>${n}</div>
      </div>
    `}};(0,a.gn)([p.LO,(0,s.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"annotations",void 0),(0,a.gn)([p.LO,(0,s.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"annotationSpec",void 0),(0,a.gn)([p.LO,(0,s.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"segments",void 0),(0,a.gn)([(0,s.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"segmentSpec",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],_.prototype,"annotationVisibility",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"groupColors",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"activeAnnotations",null),_=(0,a.gn)([(0,s.Mo)("annotated-text-vis"),(0,a.w6)("design:paramtypes",[])],_)},2396:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5681),r(3886)),l=r(9392),d=r(5595),h=r(9537),p=r(5889);const f=l.iv`#tooltip {
  position: fixed;
  padding: 5px;
  margin: auto;
  text-align: center;
  transform: translate(-50%, -22px);
  font-size: 12px;
  pointer-events: none;
  visibility: hidden;
  background: rgba(255, 255, 255, .5);
  border-radius: 10px;
}
`;let m=class BarChart extends h.f{constructor(){super(...arguments),this.scores=new Map,this.margin=30,this.width=0,this.height=0,this.yScale=[]}static get styles(){return[p.W,f]}firstUpdated(){this.initializeChart();this.reactImmediately((()=>this.scores),(t=>{this.initializeChart()}))}getXScale(){const t=Array.from(this.scores.keys());return s.tiA().domain(t).range([0,this.width]).padding(.1)}getYScale(){let t=this.yScale;if(null==t||t.length<2){const n=Array.from(this.scores.values());t=[s.VV$(n),s.Fp7(n)]}return s.BYU().domain(t).range([this.height,0])}initializeChart(){const t=this.shadowRoot.querySelector("#chart");if(null==t)return;const n=s.Ys(t).attr("width",this.width+2*this.margin).attr("height",this.height+2*this.margin);n.selectAll("*").remove(),n.append("g").attr("id","chart-group").attr("transform",`translate(${this.margin}, ${this.margin})`),this.renderChart()}renderChart(){const t=Array.from(this.scores.entries()).map(((t,n)=>({label:t[0],score:t[1]}))),n=this.getXScale(),r=this.getYScale(),a=this.shadowRoot.querySelector("#chart-group");if(null==a)return;const l=s.Ys(a);l.selectAll("*").remove();const d=s.LLu(n).ticks(1),h=s.y4O(r).ticks(5);l.append("g").attr("transform",`translate(0, ${this.height})`).attr("class","axis").call(d).selectAll("text").style("text-anchor","end").attr("transform","rotate(-45)").each((function(){const t=s.Ys(this);let n=t.node().getComputedTextLength(),r=t.text();for(;n>30&&r.length>0;)r=r.slice(0,-1),t.text(r+"..."),n=t.node().getComputedTextLength()})),l.append("g").attr("class","axis").call(h),l.selectAll("rect").data(t).enter().append("rect").attr("width",n.bandwidth()).style("fill","var(--lit-cyea-400)").attr("height",(t=>this.height-r(t.score))).attr("x",(t=>{const r=n(t.label);return null==r?0:r})).attr("y",(t=>r(t.score))).on("mouseover",((t,n,r)=>{const a=r[n],s=`${t.label}, value: ${t.score.toFixed(2)}`;this.displayTooltip(s,a)})).on("mouseout",((t,n,r)=>{this.hideTooltip()}))}displayTooltip(t,n){const r=this.shadowRoot.querySelector("#tooltip");r.innerText=t,r.style.visibility="visible";const a=n.getBoundingClientRect();r.style.left=(a.left+a.right)/2+"px",r.style.top=`${a.top}px`}hideTooltip(){this.shadowRoot.querySelector("#tooltip").style.visibility="hidden"}render(){return l.dy`
      <div id="holder">
          <svg id="chart"></svg>
          <div id='tooltip'>tooltip</div>
      </div>
    `}};(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Object)],m.prototype,"scores",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"margin",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"width",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"height",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],m.prototype,"yScale",void 0),m=(0,a.gn)([(0,d.Mo)("bar-chart")],m)},9956:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=(r(2380),r(6036)),d=r(339),h=r(9263),p=r(9392),f=r(9455),m=r(796);class CheckboxBase extends d.Wg{constructor(){super(...arguments),this.checked=!1,this.indeterminate=!1,this.disabled=!1,this.name="",this.value="on",this.reducedTouchTarget=!1,this.animationClass="",this.shouldRenderRipple=!1,this.focused=!1,this.mdcFoundationClass=void 0,this.mdcFoundation=void 0,this.rippleElement=null,this.rippleHandlers=new h.A((()=>(this.shouldRenderRipple=!0,this.ripple.then((t=>this.rippleElement=t)),this.ripple)))}createAdapter(){return{}}update(t){const n=t.get("indeterminate"),r=t.get("checked"),a=t.get("disabled");if(void 0!==n||void 0!==r||void 0!==a){const t=this.calculateAnimationStateName(!!r,!!n,!!a),s=this.calculateAnimationStateName(this.checked,this.indeterminate,this.disabled);this.animationClass=`${t}-${s}`}super.update(t)}calculateAnimationStateName(t,n,r){return r?"disabled":n?"indeterminate":t?"checked":"unchecked"}renderRipple(){return this.shouldRenderRipple?this.renderRippleTemplate():""}renderRippleTemplate(){return p.dy`<mwc-ripple
        .disabled="${this.disabled}"
        unbounded></mwc-ripple>`}render(){const t=this.indeterminate||this.checked,n={"mdc-checkbox--disabled":this.disabled,"mdc-checkbox--selected":t,"mdc-checkbox--touch":!this.reducedTouchTarget,"mdc-ripple-upgraded--background-focused":this.focused,"mdc-checkbox--anim-checked-indeterminate":"checked-indeterminate"==this.animationClass,"mdc-checkbox--anim-checked-unchecked":"checked-unchecked"==this.animationClass,"mdc-checkbox--anim-indeterminate-checked":"indeterminate-checked"==this.animationClass,"mdc-checkbox--anim-indeterminate-unchecked":"indeterminate-unchecked"==this.animationClass,"mdc-checkbox--anim-unchecked-checked":"unchecked-checked"==this.animationClass,"mdc-checkbox--anim-unchecked-indeterminate":"unchecked-indeterminate"==this.animationClass},r=this.indeterminate?"mixed":void 0;return p.dy`
      <div class="mdc-checkbox mdc-checkbox--upgraded ${(0,f.$)(n)}">
        <input type="checkbox"
              class="mdc-checkbox__native-control"
              name="${(0,m.o)(this.name)}"
              aria-checked="${(0,m.o)(r)}"
              aria-label="${(0,m.o)(this.ariaLabel)}"
              aria-labelledby="${(0,m.o)(this.ariaLabelledBy)}"
              aria-describedby="${(0,m.o)(this.ariaDescribedBy)}"
              data-indeterminate="${this.indeterminate?"true":"false"}"
              ?disabled="${this.disabled}"
              .indeterminate="${this.indeterminate}"
              .checked="${this.checked}"
              .value="${this.value}"
              @change="${this.handleChange}"
              @focus="${this.handleFocus}"
              @blur="${this.handleBlur}"
              @mousedown="${this.handleRippleMouseDown}"
              @mouseenter="${this.handleRippleMouseEnter}"
              @mouseleave="${this.handleRippleMouseLeave}"
              @touchstart="${this.handleRippleTouchStart}"
              @touchend="${this.handleRippleDeactivate}"
              @touchcancel="${this.handleRippleDeactivate}">
        <div class="mdc-checkbox__background"
          @animationend="${this.resetAnimationClass}">
          <svg class="mdc-checkbox__checkmark"
              viewBox="0 0 24 24">
            <path class="mdc-checkbox__checkmark-path"
                  fill="none"
                  d="M1.73,12.91 8.1,19.28 22.79,4.59"></path>
          </svg>
          <div class="mdc-checkbox__mixedmark"></div>
        </div>
        ${this.renderRipple()}
      </div>`}setFormData(t){this.name&&this.checked&&t.append(this.name,this.value)}handleFocus(){this.focused=!0,this.handleRippleFocus()}handleBlur(){this.focused=!1,this.handleRippleBlur()}handleRippleMouseDown(t){const n=()=>{window.removeEventListener("mouseup",n),this.handleRippleDeactivate()};window.addEventListener("mouseup",n),this.rippleHandlers.startPress(t)}handleRippleTouchStart(t){this.rippleHandlers.startPress(t)}handleRippleDeactivate(){this.rippleHandlers.endPress()}handleRippleMouseEnter(){this.rippleHandlers.startHover()}handleRippleMouseLeave(){this.rippleHandlers.endHover()}handleRippleFocus(){this.rippleHandlers.startFocus()}handleRippleBlur(){this.rippleHandlers.endFocus()}handleChange(){this.checked=this.formElement.checked,this.indeterminate=this.formElement.indeterminate}resetAnimationClass(){this.animationClass=""}get isRippleActive(){var t;return(null===(t=this.rippleElement)||void 0===t?void 0:t.isActive)||!1}}(0,a.gn)([(0,s.IO)(".mdc-checkbox")],CheckboxBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.IO)("input")],CheckboxBase.prototype,"formElement",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],CheckboxBase.prototype,"checked",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],CheckboxBase.prototype,"indeterminate",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],CheckboxBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:String,reflect:!0})],CheckboxBase.prototype,"name",void 0),(0,a.gn)([(0,s.Cb)({type:String})],CheckboxBase.prototype,"value",void 0),(0,a.gn)([l.L,(0,s.Cb)({type:String,attribute:"aria-label"})],CheckboxBase.prototype,"ariaLabel",void 0),(0,a.gn)([l.L,(0,s.Cb)({type:String,attribute:"aria-labelledby"})],CheckboxBase.prototype,"ariaLabelledBy",void 0),(0,a.gn)([l.L,(0,s.Cb)({type:String,attribute:"aria-describedby"})],CheckboxBase.prototype,"ariaDescribedBy",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],CheckboxBase.prototype,"reducedTouchTarget",void 0),(0,a.gn)([(0,s.SB)()],CheckboxBase.prototype,"animationClass",void 0),(0,a.gn)([(0,s.SB)()],CheckboxBase.prototype,"shouldRenderRipple",void 0),(0,a.gn)([(0,s.SB)()],CheckboxBase.prototype,"focused",void 0),(0,a.gn)([(0,s.GC)("mwc-ripple")],CheckboxBase.prototype,"ripple",void 0),(0,a.gn)([(0,s.hO)({passive:!0})],CheckboxBase.prototype,"handleRippleTouchStart",null);const g=p.iv`.mdc-checkbox{padding:calc((40px - 18px) / 2);padding:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2);margin:calc((40px - 40px) / 2);margin:calc((var(--mdc-checkbox-touch-target-size, 40px) - 40px) / 2)}.mdc-checkbox .mdc-checkbox__ripple::before,.mdc-checkbox .mdc-checkbox__ripple::after{background-color:#000;background-color:var(--mdc-ripple-color, #000)}.mdc-checkbox:hover .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-ripple-surface--hover .mdc-checkbox__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__ripple::before,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-checkbox:not(.mdc-ripple-upgraded) .mdc-checkbox__ripple::after{transition:opacity 150ms linear}.mdc-checkbox:not(.mdc-ripple-upgraded):active .mdc-checkbox__ripple::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected .mdc-checkbox__ripple::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-checkbox.mdc-checkbox--selected:hover .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-surface--hover .mdc-checkbox__ripple::before{opacity:0.04;opacity:var(--mdc-ripple-hover-opacity, 0.04)}.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-upgraded--background-focused .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded):focus .mdc-checkbox__ripple::before{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-focus-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded) .mdc-checkbox__ripple::after{transition:opacity 150ms linear}.mdc-checkbox.mdc-checkbox--selected:not(.mdc-ripple-upgraded):active .mdc-checkbox__ripple::after{transition-duration:75ms;opacity:0.12;opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-checkbox--selected.mdc-ripple-upgraded{--mdc-ripple-fg-opacity:var(--mdc-ripple-press-opacity, 0.12)}.mdc-checkbox.mdc-ripple-upgraded--background-focused.mdc-checkbox--selected .mdc-checkbox__ripple::before,.mdc-checkbox.mdc-ripple-upgraded--background-focused.mdc-checkbox--selected .mdc-checkbox__ripple::after{background-color:#018786;background-color:var(--mdc-ripple-color, var(--mdc-theme-secondary, #018786))}.mdc-checkbox .mdc-checkbox__background{top:calc((40px - 18px) / 2);top:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2);left:calc((40px - 18px) / 2);left:calc((var(--mdc-checkbox-ripple-size, 40px) - 18px) / 2)}.mdc-checkbox .mdc-checkbox__native-control{top:calc((40px - 40px) / 2);top:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);right:calc((40px - 40px) / 2);right:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);left:calc((40px - 40px) / 2);left:calc((40px - var(--mdc-checkbox-touch-target-size, 40px)) / 2);width:40px;width:var(--mdc-checkbox-touch-target-size, 40px);height:40px;height:var(--mdc-checkbox-touch-target-size, 40px)}.mdc-checkbox .mdc-checkbox__native-control:enabled:not(:checked):not(:indeterminate):not([data-indeterminate=true])~.mdc-checkbox__background{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}.mdc-checkbox .mdc-checkbox__native-control:enabled:checked~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control:enabled:indeterminate~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[data-indeterminate=true]:enabled~.mdc-checkbox__background{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}@keyframes mdc-checkbox-fade-in-background-8A000000FF01878600000000FF018786{0%{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}50%{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}}@keyframes mdc-checkbox-fade-out-background-8A000000FF01878600000000FF018786{0%,80%{border-color:#018786;border-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786));background-color:#018786;background-color:var(--mdc-checkbox-checked-color, var(--mdc-theme-secondary, #018786))}100%{border-color:rgba(0, 0, 0, 0.54);border-color:var(--mdc-checkbox-unchecked-color, rgba(0, 0, 0, 0.54));background-color:transparent}}.mdc-checkbox.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__native-control:enabled~.mdc-checkbox__background{animation-name:mdc-checkbox-fade-in-background-8A000000FF01878600000000FF018786}.mdc-checkbox.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__native-control:enabled~.mdc-checkbox__background{animation-name:mdc-checkbox-fade-out-background-8A000000FF01878600000000FF018786}.mdc-checkbox .mdc-checkbox__native-control[disabled]:not(:checked):not(:indeterminate):not([data-indeterminate=true])~.mdc-checkbox__background{border-color:rgba(0, 0, 0, 0.38);border-color:var(--mdc-checkbox-disabled-color, rgba(0, 0, 0, 0.38));background-color:transparent}.mdc-checkbox .mdc-checkbox__native-control[disabled]:checked~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[disabled]:indeterminate~.mdc-checkbox__background,.mdc-checkbox .mdc-checkbox__native-control[data-indeterminate=true][disabled]~.mdc-checkbox__background{border-color:transparent;background-color:rgba(0, 0, 0, 0.38);background-color:var(--mdc-checkbox-disabled-color, rgba(0, 0, 0, 0.38))}.mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff;color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:enabled~.mdc-checkbox__background .mdc-checkbox__mixedmark{border-color:#fff;border-color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:disabled~.mdc-checkbox__background .mdc-checkbox__checkmark{color:#fff;color:var(--mdc-checkbox-ink-color, #fff)}.mdc-checkbox .mdc-checkbox__native-control:disabled~.mdc-checkbox__background .mdc-checkbox__mixedmark{border-color:#fff;border-color:var(--mdc-checkbox-ink-color, #fff)}.mdc-touch-target-wrapper{display:inline}@keyframes mdc-checkbox-unchecked-checked-checkmark-path{0%,50%{stroke-dashoffset:29.7833385}50%{animation-timing-function:cubic-bezier(0, 0, 0.2, 1)}100%{stroke-dashoffset:0}}@keyframes mdc-checkbox-unchecked-indeterminate-mixedmark{0%,68.2%{transform:scaleX(0)}68.2%{animation-timing-function:cubic-bezier(0, 0, 0, 1)}100%{transform:scaleX(1)}}@keyframes mdc-checkbox-checked-unchecked-checkmark-path{from{animation-timing-function:cubic-bezier(0.4, 0, 1, 1);opacity:1;stroke-dashoffset:0}to{opacity:0;stroke-dashoffset:-29.7833385}}@keyframes mdc-checkbox-checked-indeterminate-checkmark{from{animation-timing-function:cubic-bezier(0, 0, 0.2, 1);transform:rotate(0deg);opacity:1}to{transform:rotate(45deg);opacity:0}}@keyframes mdc-checkbox-indeterminate-checked-checkmark{from{animation-timing-function:cubic-bezier(0.14, 0, 0, 1);transform:rotate(45deg);opacity:0}to{transform:rotate(360deg);opacity:1}}@keyframes mdc-checkbox-checked-indeterminate-mixedmark{from{animation-timing-function:mdc-animation-deceleration-curve-timing-function;transform:rotate(-45deg);opacity:0}to{transform:rotate(0deg);opacity:1}}@keyframes mdc-checkbox-indeterminate-checked-mixedmark{from{animation-timing-function:cubic-bezier(0.14, 0, 0, 1);transform:rotate(0deg);opacity:1}to{transform:rotate(315deg);opacity:0}}@keyframes mdc-checkbox-indeterminate-unchecked-mixedmark{0%{animation-timing-function:linear;transform:scaleX(1);opacity:1}32.8%,100%{transform:scaleX(0);opacity:0}}.mdc-checkbox{display:inline-block;position:relative;flex:0 0 18px;box-sizing:content-box;width:18px;height:18px;line-height:0;white-space:nowrap;cursor:pointer;vertical-align:bottom}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring{pointer-events:none;border:2px solid transparent;border-radius:6px;box-sizing:content-box;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:100%;width:100%}@media screen and (forced-colors: active){.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring{border-color:CanvasText}}.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring::after,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring::after{content:"";border:2px solid transparent;border-radius:8px;display:block;position:absolute;top:50%;left:50%;transform:translate(-50%, -50%);height:calc(100% + 4px);width:calc(100% + 4px)}@media screen and (forced-colors: active){.mdc-checkbox.mdc-ripple-upgraded--background-focused .mdc-checkbox__focus-ring::after,.mdc-checkbox:not(.mdc-ripple-upgraded):focus .mdc-checkbox__focus-ring::after{border-color:CanvasText}}@media all and (-ms-high-contrast: none){.mdc-checkbox .mdc-checkbox__focus-ring{display:none}}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-checkbox__mixedmark{margin:0 1px}}.mdc-checkbox--disabled{cursor:default;pointer-events:none}.mdc-checkbox__background{display:inline-flex;position:absolute;align-items:center;justify-content:center;box-sizing:border-box;width:18px;height:18px;border:2px solid currentColor;border-radius:2px;background-color:transparent;pointer-events:none;will-change:background-color,border-color;transition:background-color 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),border-color 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox__checkmark{position:absolute;top:0;right:0;bottom:0;left:0;width:100%;opacity:0;transition:opacity 180ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox--upgraded .mdc-checkbox__checkmark{opacity:1}.mdc-checkbox__checkmark-path{transition:stroke-dashoffset 180ms 0ms cubic-bezier(0.4, 0, 0.6, 1);stroke:currentColor;stroke-width:3.12px;stroke-dashoffset:29.7833385;stroke-dasharray:29.7833385}.mdc-checkbox__mixedmark{width:100%;height:0;transform:scaleX(0) rotate(0deg);border-width:1px;border-style:solid;opacity:0;transition:opacity 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__background,.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__background,.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__background,.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__background{animation-duration:180ms;animation-timing-function:linear}.mdc-checkbox--anim-unchecked-checked .mdc-checkbox__checkmark-path{animation:mdc-checkbox-unchecked-checked-checkmark-path 180ms linear 0s;transition:none}.mdc-checkbox--anim-unchecked-indeterminate .mdc-checkbox__mixedmark{animation:mdc-checkbox-unchecked-indeterminate-mixedmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-unchecked .mdc-checkbox__checkmark-path{animation:mdc-checkbox-checked-unchecked-checkmark-path 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-indeterminate .mdc-checkbox__checkmark{animation:mdc-checkbox-checked-indeterminate-checkmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-checked-indeterminate .mdc-checkbox__mixedmark{animation:mdc-checkbox-checked-indeterminate-mixedmark 90ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-checked .mdc-checkbox__checkmark{animation:mdc-checkbox-indeterminate-checked-checkmark 500ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-checked .mdc-checkbox__mixedmark{animation:mdc-checkbox-indeterminate-checked-mixedmark 500ms linear 0s;transition:none}.mdc-checkbox--anim-indeterminate-unchecked .mdc-checkbox__mixedmark{animation:mdc-checkbox-indeterminate-unchecked-mixedmark 300ms linear 0s;transition:none}.mdc-checkbox__native-control:checked~.mdc-checkbox__background,.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background{transition:border-color 90ms 0ms cubic-bezier(0, 0, 0.2, 1),background-color 90ms 0ms cubic-bezier(0, 0, 0.2, 1)}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__checkmark-path,.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__checkmark-path,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__checkmark-path{stroke-dashoffset:0}.mdc-checkbox__native-control{position:absolute;margin:0;padding:0;opacity:0;cursor:inherit}.mdc-checkbox__native-control:disabled{cursor:default;pointer-events:none}.mdc-checkbox--touch{margin:calc((48px - 40px) / 2);margin:calc((var(--mdc-checkbox-state-layer-size, 48px) - var(--mdc-checkbox-state-layer-size, 40px)) / 2)}.mdc-checkbox--touch .mdc-checkbox__native-control{top:calc((40px - 48px) / 2);top:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);right:calc((40px - 48px) / 2);right:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);left:calc((40px - 48px) / 2);left:calc((var(--mdc-checkbox-state-layer-size, 40px) - var(--mdc-checkbox-state-layer-size, 48px)) / 2);width:48px;width:var(--mdc-checkbox-state-layer-size, 48px);height:48px;height:var(--mdc-checkbox-state-layer-size, 48px)}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__checkmark{transition:opacity 180ms 0ms cubic-bezier(0, 0, 0.2, 1),transform 180ms 0ms cubic-bezier(0, 0, 0.2, 1);opacity:1}.mdc-checkbox__native-control:checked~.mdc-checkbox__background .mdc-checkbox__mixedmark{transform:scaleX(1) rotate(-45deg)}.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__checkmark,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__checkmark{transform:rotate(45deg);opacity:0;transition:opacity 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1),transform 90ms 0ms cubic-bezier(0.4, 0, 0.6, 1)}.mdc-checkbox__native-control:indeterminate~.mdc-checkbox__background .mdc-checkbox__mixedmark,.mdc-checkbox__native-control[data-indeterminate=true]~.mdc-checkbox__background .mdc-checkbox__mixedmark{transform:scaleX(1) rotate(0deg);opacity:1}.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__background,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__checkmark,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__checkmark-path,.mdc-checkbox.mdc-checkbox--upgraded .mdc-checkbox__mixedmark{transition:none}:host{outline:none;display:inline-flex;-webkit-tap-highlight-color:transparent}:host([checked]),:host([indeterminate]){--mdc-ripple-color:var(--mdc-theme-secondary, #018786)}.mdc-checkbox .mdc-checkbox__background::before{content:none}`;let v=class Checkbox extends CheckboxBase{};v.styles=[g],v=(0,a.gn)([(0,s.Mo)("mwc-checkbox")],v);let y=class LitCheckbox extends p.oi{constructor(){super(...arguments),this.label="",this.checked=!1,this.indeterminate=!1,this.disabled=!1,this.value=""}static get styles(){return p.iv`
      :host {
        outline: none;
        --lit-checkbox-label-white-space: normal;
      }

      .wrapper {
        display: flex;
        align-items: center;
        font-size: 13px;
        height: 28px;
        margin-left: -12px;
        margin-right: 4px;
        line-height: 14px;
      }

      .wrapper.disabled {
        opacity: 0.2;
      }

      lit-mwc-checkbox-internal {
        transform: scale(0.7);
        margin-right: -8px;
      }

      .checkbox-label {
        cursor: pointer;
        white-space: var(--lit-checkbox-label-white-space);
      }
    `}render(){const t=()=>{this.checked=!this.checked;const t=new Event("change");this.dispatchEvent(t)},n=(0,f.$)({wrapper:!0,disabled:this.disabled});return p.dy`
      <div class=${n}>
        <lit-mwc-checkbox-internal
          ?checked=${this.checked}
          ?indeterminate=${this.indeterminate}
          ?disabled=${this.disabled}
          value=${this.value}
          @change=${t}
        >
        </lit-mwc-checkbox-internal>
        <span class="checkbox-label" @click=${t}>${this.label}</span>
      </div>
    `}};(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],y.prototype,"label",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],y.prototype,"checked",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],y.prototype,"indeterminate",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],y.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],y.prototype,"value",void 0),y=(0,a.gn)([(0,s.Mo)("lit-checkbox")],y);customElements.define("lit-mwc-checkbox-internal",class MwcCheckboxOverride extends v{constructor(){super(),this.__allowInstanceProperties=!0,Object.defineProperty(this,"shouldRenderRipple",{get:()=>!1,set:()=>{}})}})},7146:(t,n,r)=>{"use strict";r.d(n,{H:()=>x});var a=r(7582),s=r(3886),l=r(9392),d=r(5595),h=r(9455),p=r(3959),f=r(8949),m=r(6070),g=r(9537),v=r(5889),y=(r(4915),r(7098));const b=l.iv`.legend-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  height: 30px;
  overflow-x: auto;
  overflow-y: hidden;
  line-height: 18px; /* pin this to avoid alignment issues */
}

.legend-container.align-right {
  justify-content: flex-end;
}

.legend-container mwc-icon {
  vertical-align: -2px;
}

.legend-line {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.legend-box {
  width: 13px;
  height: 13px;
  margin: 2px;
  border: 1px solid gray;
  border-radius: 1px;
  /* This helps to offset a rendering differential between
   * tooltip and color blocks. */
  transform: translateY(2px);
}

.legend-label {
  margin-left: 3px;
  margin-right: 2px;
  line-height: 13px;
  font-family: 'Roboto';
  font-style: 'normal';
  font-size: 13px;
  color: var(--lit-neutral-800);
}

.color-label {
  min-width: 20px;
  margin-left: 3px;
  margin-right: 3px;
  line-height: 13px;
  font-family: 'Roboto';
  font-style: 'normal';
  font-size: 13px;
  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;
  color: var(--lit-neutral-800);
}`;var x;!function(t){t.SEQUENTIAL="sequential",t.CATEGORICAL="categorical"}(x||(x={}));function w(t,n){try{return Number(t.getPropertyValue(n).replace(/[^\d\.]/g,""))}catch(t){return 0}}let S=class ColorLegend extends g.f{static get styles(){return[v.W,b]}constructor(){super(),this.scale=s.PKp([m.TP]).domain(["all"]),this.legendType=x.CATEGORICAL,this.label="",this.paletteTooltipText="",this.tooltipPosition="above",this.legendWidth=150,this.alignRight=!1,this.fontFamily="",this.fontStyle="",this.fontSize="",this.labelMarginLeft=3,this.labelMarginRight=2,this.boxWidth=13,this.boxMargin=2,this.selectedColorLabelWidth=46,this.iconWidth=16,(0,f.rC)(this)}firstUpdated(){const{host:t}=this.shadowRoot;if(t){const n=window.getComputedStyle(t);this.legendWidth=w(n,"width")||this.legendWidth}const n=this.shadowRoot.querySelector(".legend-label");if(n){const t=window.getComputedStyle(n);this.fontFamily=t.getPropertyValue("font-family"),this.fontStyle=t.getPropertyValue("font-style"),this.fontSize=t.getPropertyValue("font-size"),this.labelMarginLeft=w(t,"margin-left")||this.labelMarginLeft,this.labelMarginRight=w(t,"margin-right")||this.labelMarginRight}const r=this.shadowRoot.querySelector(".legend-box");if(r){const t=window.getComputedStyle(r);this.boxWidth=w(t,"width")||this.boxWidth,this.boxMargin=w(t,"margin")||this.boxMargin}const a=this.shadowRoot.querySelector(".color-label");if(a){const t=window.getComputedStyle(a),n=w(t,"margin-left")||3,r=w(t,"margin-right")||3;this.selectedColorLabelWidth=n+r+w(t,"width")||this.selectedColorLabelWidth}const s=this.shadowRoot.querySelector(".palette-icon");if(s){const t=window.getComputedStyle(s);this.iconWidth=w(t,"width")||this.iconWidth}}renderLegendBlock(t,n){const r=(0,p.V)({background:this.scale(t)});return l.dy`
      <div class='legend-line'>
        <lit-tooltip content=${t} tooltipPosition=${this.tooltipPosition}>
          <div class='legend-box' slot="tooltip-anchor" style=${r}></div>
        </lit-tooltip>
        <div class='legend-label' ?hidden=${n}>${t}</div>
      </div>
    `}renderSequentialBlock(t,n,r,a=!1){const s=t===n?t:a?`[${t}, ${n}]`:`[${t}, ${n})`,d=(0,p.V)({background:this.scale(r)});return l.dy`
      <div class='legend-line'>
        <lit-tooltip content=${s} tooltipPosition=${this.tooltipPosition}>
          <div class='legend-box' slot="tooltip-anchor" style=${d}></div>
        </lit-tooltip>
      </div>
    `}renderCategoricalLegend(){const t=1===this.scale.domain().length||this.fullLegendWidth>this.legendWidth;return l.dy`
      <lit-tooltip .content=${this.paletteTooltipText}
        .tooltipPosition=${this.tooltipPosition}>
        <mwc-icon class="icon material-icon-outlined"
          slot="tooltip-anchor">palette</mwc-icon>
      </lit-tooltip>
      <div class="color-label" name="color-name">
        ${this.label}
      </div>
      ${this.scale.domain().map((n=>this.renderLegendBlock(n,t)))}
    `}renderSequentialLegend(){const[t,n]=this.scale.domain(),r=(0,y.Ou)(t,n,7);let a=t,s=(n-t)/7;return s=s>=5?Math.round(s):s,l.dy`
      <lit-tooltip .content=${this.paletteTooltipText}
        .tooltipPosition=${this.tooltipPosition}>
        <mwc-icon class="icon material-icon-outlined"
          slot="tooltip-anchor">palette</mwc-icon>
      </lit-tooltip>
      <div class="color-label" name="color-name">
        ${this.label}
      </div>
      <div class='legend-label'>${this.toStringValue(t)}</div>
      ${r.map((r=>(r!==t&&(a+=s),this.renderSequentialBlock(this.toStringValue(a),this.toStringValue(r===n?n:a+s),this.toStringValue(r),r===n))))}
      <div class='legend-label'>${this.toStringValue(n)}</div>
    `}toStringValue(t){return t%1==0?t.toString():t.toFixed(2)}get fullLegendWidth(){const t=this.scale.domain();let n=0;if(this.fontFamily&&this.fontSize&&this.fontStyle){const r=`"'${this.fontFamily}', ${this.fontStyle}"`,a=`${this.fontSize} ${r}`;n=(0,y.mY)(t.join(""),a,5.7)}else n=5.7*t.join("").length;const r=t.length*(this.boxWidth+2*this.boxMargin),a=this.selectedColorLabelWidth+n+t.length*(this.labelMarginLeft+this.labelMarginRight);return this.iconWidth+r+a}render(){const t=(0,h.$)({"legend-container":!0,"align-right":this.alignRight});return l.dy`
      <div class=${t}>
        ${this.legendType===x.CATEGORICAL?this.renderCategoricalLegend():this.renderSequentialLegend()}
      </div>
    `}};(0,a.gn)([f.LO.ref,(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Function)],S.prototype,"scale",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],S.prototype,"legendType",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],S.prototype,"label",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],S.prototype,"paletteTooltipText",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],S.prototype,"tooltipPosition",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],S.prototype,"legendWidth",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],S.prototype,"alignRight",void 0),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],S.prototype,"fullLegendWidth",null),S=(0,a.gn)([(0,d.Mo)("color-legend"),(0,a.w6)("design:paramtypes",[])],S)},4494:(t,n,r)=>{"use strict";var a=r(7582),s=(r(1239),r(3886)),l=r(9392),d=r(5595),h=r(9455),p=r(3959),f=r(8949),m=r(6070),g=r(5889);const v=l.iv`.cell {
  font-family: 'Roboto Mono', monospace;
  cursor: pointer;
  padding: 2px 4px;
  border-radius: 2px;
  border: 2px solid transparent;
}

.cell-container {
  display: flex;
  min-width: 90px;
}

.percentage {
  width: 50%;
  min-width: 50%;
  max-width: 50%;
  text-align: end;
  padding-right: 6px;
}

.val {
  width: 50%;
  text-align: end;
}

.header-cell {
  cursor: pointer;
  font-weight: normal;
  padding: 2px 4px;
}

.align-bottom {
  vertical-align: bottom;
}

.align-right {
  text-align: end;
}

.total-title-cell {
  padding: 2px 4px;
  color: #5f6368;
}

.total-cell {
  padding: 2px 4px;
  font-family: 'Roboto Mono', monospace;
  color: #5f6368;
}

.axis-title {
  font-size: 11px;
  text-align: center;
}

/* Need to style the div inside a th/td to set width and height correctly. */
.label-vertical > div {
  transform: rotate(180deg);
  text-align: center;
  writing-mode: vertical-lr;
}

.delete-cell {
  display: flex;
  justify-content: flex-end
}
`,y=Math.floor(6/7*100),b=(0,m.eC)([...m.NM.primary.slice(0,8).map((t=>t.color))]);let x=class DataMatrix extends l.oi{static get styles(){return[g.W,v]}get totalIds(){let t=0;for(const n of this.matrixCells)for(const r of n)t+=r.size;return t}get colorScale(){return s.cJy(b).domain([0,this.totalIds])}constructor(){super(),this.verticalColumnLabels=!1,this.hideEmptyLabels=!1,this.matrixCells=[],this.colTitle="",this.rowTitle="",this.colLabels=[],this.rowLabels=[],(0,f.rC)(this)}updateSelection(){const t=[];for(let n=0;n<this.matrixCells.length;n++)for(let r=0;r<this.matrixCells[n].length;r++){this.matrixCells[n][r].selected&&t.push([n,r])}const n=new CustomEvent("matrix-selection",{detail:{cells:t}});this.dispatchEvent(n)}renderColHeader(t,n,r){if(this.hideEmptyLabels&&!r.has(t))return null;const a=(0,h.$)({"header-cell":!0,"align-bottom":this.verticalColumnLabels,"label-vertical":this.verticalColumnLabels});return l.dy`
      <th class=${a} @click=${()=>{const t=this.matrixCells.map((t=>t[n])),r=t.every((t=>t.selected));for(const n of t)n.selected=!r;this.updateSelection(),this.requestUpdate()}}>
        <div>${t}</div>
      </th>
    `}renderCell(t,n,r){var a;if(null==(null===(a=this.matrixCells[t])||void 0===a?void 0:a[n]))return null;const s=this.matrixCells[t][n];if(this.hideEmptyLabels&&!r.has(this.colLabels[n]))return null;const d=this.colorScale(s.size),h=s.size/this.totalIds*100,f=h>y?"white":"black",m=s.selected?"var(--lit-cyea-400)":"transparent",g=(0,p.V)({background:`${d}`,color:`${f}`,border:"2px solid","border-color":m});return l.dy`
        <td class="cell" style=${g} @click=${()=>{s.selected=!s.selected,this.updateSelection(),this.requestUpdate()}}>
          <div class="cell-container">
            <div class="percentage">${h.toFixed(1)}%</div>
            <div class="val">(${s.size})</div>
          </div>
        </td>`}renderRow(t,n,r,a){if(this.hideEmptyLabels&&!r.has(t))return null;let s=0;for(const t of this.matrixCells[n])s+=t.size;return l.dy`
      <tr>
        <th class="header-cell align-right" @click=${()=>{const t=this.matrixCells[n],r=t.every((t=>t.selected));for(const n of t)n.selected=!r;this.updateSelection(),this.requestUpdate()}}>
          ${t}
        </th>
        ${this.colLabels.map(((t,r)=>this.renderCell(n,r,a)))}
        ${this.renderTotalCell(s)}
      </tr>`}renderTotalCell(t){const n=(t/this.totalIds*100).toFixed(1);return l.dy`
        <td class="total-cell">
          <div class="cell-container">
            <div class="percentage">${n}%</div>
            <div class="val">(${t})</div>
          </div>
        </td>`}renderColTotalCell(t){var n;let r=0;for(const a of this.matrixCells)r+=(null===(n=a[t])||void 0===n?void 0:n.size)||0;return this.renderTotalCell(r)}renderTotalRow(t){return l.dy`
      <tr>
        <th class="total-title-cell align-right">Total</th>
        ${this.colLabels.map(((n,r)=>this.hideEmptyLabels&&!t.has(this.colLabels[r])?null:this.renderColTotalCell(r)))}
        <td class="total-cell"></td>
      </tr>`}renderColumnRotateButton(){return l.dy`
      <lit-tooltip content="Rotate column labels">
        <mwc-icon class="icon-button" slot="tooltip-anchor"
          @click="${()=>{this.verticalColumnLabels=!this.verticalColumnLabels,this.requestUpdate()}}">
          ${this.verticalColumnLabels?"text_rotate_up":"text_rotation_none"}
        </mwc-icon>
      </lit-tooltip>
    `}render(){if(0===this.matrixCells.length)return null;const t=new Set,n=new Set;for(let r=0;r<this.matrixCells.length;r++){const a=this.matrixCells[r];for(let s=0;s<a.length;s++){a[s].size>0&&(t.add(this.rowLabels[r]),n.add(this.colLabels[s]))}}const r=(0,h.$)({"total-title-cell":!0,"align-bottom":this.verticalColumnLabels}),a=this.hideEmptyLabels?n.size:this.colLabels.length,s=(this.hideEmptyLabels?t.size:this.rowLabels.length)+2;return l.dy`
      <table>
        <tr>
          <th>${this.renderColumnRotateButton()}</th>
          <td></td>
          <td class='axis-title' colspan=${a}>
            ${this.colTitle}
          </td>
          <th></th>
        </tr>
        <tr>
          <td class='axis-title label-vertical' rowspan=${s}>
            <div>${this.rowTitle}</div>
          </td>
          <td></td>
          ${this.colLabels.map(((t,r)=>this.renderColHeader(t,r,n)))}
          <th class=${r}><div>Total</div></th>
        </tr>
        ${this.rowLabels.map(((r,a)=>this.renderRow(r,a,t,n)))}
        ${this.renderTotalRow(n)}
      </table>
    `}};(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],x.prototype,"verticalColumnLabels",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],x.prototype,"hideEmptyLabels",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],x.prototype,"matrixCells",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],x.prototype,"colTitle",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],x.prototype,"rowTitle",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],x.prototype,"colLabels",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],x.prototype,"rowLabels",void 0),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],x.prototype,"totalIds",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],x.prototype,"colorScale",null),x=(0,a.gn)([(0,d.Mo)("data-matrix"),(0,a.w6)("design:paramtypes",[])],x)},5197:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9455),h=r(3959),p=r(9537),f=r(5889);const m=s.iv`:host {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: start;
}

.expansion-header {
  width: calc(100% - 16px);
  height: 30px;
  padding: 2px 8px;
  border-bottom: 1px solid var(--lit-neutral-300);
  border-top: 1px solid var(--lit-neutral-100);
  column-gap: 4px;

  display: flex;
  flex-direction: row;
  cursor: pointer;
  align-items: center;
  justify-content: space-between;

  background-color: var(--lit-neutral-100);
}

.expansion-label {
  max-width: calc(100% - 32px);

  overflow: hidden;
  text-overflow: ellipsis;
  white-space: nowrap;

  color: var(--lit-majtonal-nv-800);
  font-weight: bold;
}

.bar-spacer {
  flex: 1; /* use available space */
}

/* Revert a pointer style from .expansion-header */
.bar-content {
  cursor: initial;
}

.expansion-content {
  padding: 0;
  border-bottom: 1px solid var(--lit-neutral-300);
}

.expansion-content.pad-left {
  padding-left: 8px;
}

.expansion-content.pad-right {
  padding-right: 16px;
}
`;let g=class ExpansionPanel extends p.f{constructor(){super(...arguments),this.label="",this.description="",this.expanded=!1,this.padLeft=!1,this.padRight=!1}static get styles(){return[f.W,m]}render(){var t;const n=(this.padLeft?8:0)+(this.padRight?16:0),r=(0,h.V)({width:`calc(100% - ${n}px)`}),a=(0,d.$)({"expansion-content":!0,"pad-left":this.padLeft,"pad-right":this.padRight}),l=null!==(t=this.description)&&void 0!==t?t:this.label;return s.dy`
        <div class="expansion-header" @click=${()=>{this.expanded=!this.expanded;const t=new CustomEvent("expansion-toggle",{detail:{isExpanded:this.expanded}});this.dispatchEvent(t)}}>
          <div class="expansion-label" title=${l}>${this.label}</div>
          <div class='bar-spacer'></div>
          <div class='bar-content'
            @click=${t=>{t.stopPropagation()}}>
            <slot name="bar-content"></slot>
          </div>
          <mwc-icon class="icon-button min-button">
            ${this.expanded?"expand_less":"expand_more"}
          </mwc-icon>
        </div>
        ${this.expanded?s.dy`<div class=${a} style=${r}><slot></slot></div>`:null}`}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"label",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"description",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"expanded",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"padLeft",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"padRight",void 0),g=(0,a.gn)([(0,l.Mo)("expansion-panel")],g)},4600:(t,n,r)=>{"use strict";var a=r(7582),s=(r(8684),r(9392)),l=r(9455),d=r(5595),h=r(6610),p=r(9537),f=r(5889);const m=s.iv`#export-controls {
  display: inline-block;
}

.above {
  --popup-bottom: 28px;
}

.icon-button {
  font-size: 18px;
  vertical-align: middle;
  margin-left: 3px;
  margin-bottom: 5px;
}

.download-button {
  margin: 4px 0 0 0;
  width: 100%;
}

popup-container.download-popup {
  display: inline-block;
  --popup-right: 0;
}

.download-popup-controls {
  align-items: center;
}
`;r(6645);let g=class ExportControls extends p.f{constructor(){super(...arguments),this.downloadFilename="data.csv",this.data=[],this.columnNames=[],this.popupPosition="below",this.tooltipPosition="left",this.disabled=!1}static get styles(){return[f.W,m]}getCSVContent(){return h.unparse({fields:this.columnNames,data:this.data},{newline:"\r\n"})}getPopupClasses(){return(0,l.$)({hidden:this.disabled,"download-popup":!0,above:"above"===this.popupPosition})}render(){const t=()=>{const t=this.getCSVContent(),n=new Blob([t],{type:"text/csv"}),r=window.document.createElement("a");r.href=window.URL.createObjectURL(n),r.download=this.downloadFilename,document.body.appendChild(r),r.click(),document.body.removeChild(r);this.shadowRoot.querySelector("popup-container.download-popup").expanded=!1};const n=(0,l.$)({"icon-button":!0,"mdi-outlined":!0,disabled:this.disabled});return s.dy`
      <div id='export-controls'>
        <lit-tooltip content="Copy ${this.data.length} rows as CSV"
          tooltipPosition=${this.tooltipPosition}>
          <mwc-icon class=${n} slot="tooltip-anchor" @click=${()=>{const t=this.getCSVContent();navigator.clipboard.writeText(t)}}>
            file_copy
          </mwc-icon>
        </lit-tooltip>

        <popup-container class='${this.getPopupClasses()}'>
          <lit-tooltip content="Download ${this.data.length} rows as CSV"
            tooltipPosition="${this.tooltipPosition}" slot="toggle-anchor">
            <mwc-icon class=${n} slot="tooltip-anchor">
              file_download
            </mwc-icon>
          </lit-tooltip>
          <div class='download-popup-controls'>
            <label for="filename">Filename</label>
            <input type="text" name="filename" value=${this.downloadFilename}
              @input=${t=>{this.downloadFilename=t.target.value}} @keydown=${function(n){"Enter"===n.key&&t()}}>
            <button class='download-button filled-button nowrap'
              @click=${t}
              ?disabled=${!this.downloadFilename}>
              Download ${this.data.length} rows
            </button>
          </div>
        </popup-container>
      </div>`}};(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"downloadFilename",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Array)],g.prototype,"data",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Array)],g.prototype,"columnNames",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"popupPosition",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"tooltipPosition",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"disabled",void 0),g=(0,a.gn)([(0,d.Mo)("export-controls")],g)},6957:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(5889);const h=s.iv`.frames-window-image {
  flex: 16.5%;
  padding: 5px;
}

#frame {
  max-width: 202px;
  max-height: 360px;
}

.frames-window {
  display: flex;
}
`;let p=class FramesWindow extends s.oi{constructor(){super(...arguments),this.frames=[]}static get styles(){return[d.W,h]}renderImage(t){return s.dy`
     <div class="frames-window-image table-image">
       <img id='frame' src="${t}"></img>
     </div>`}render(){const t=this.frames.map((t=>this.renderImage(t)));return s.dy`
     <div class="frames-window">
       ${t}
     </div>`}};(0,a.gn)([(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],p.prototype,"frames",void 0),p=(0,a.gn)([(0,l.Mo)("lit-frames-window")],p)},5689:(t,n,r)=>{"use strict";var a=r(7582),s=(r(3514),r(9392)),l=r(5595),d=r(9455),h=r(5889);const p=s.iv`:host {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 6px;
}

.button-bar-container {
  display: flex;
  flex-direction: row;
}

.button-bar-item {
  position: relative;
}

.button-bar-item button {
  margin: 0;
  border-radius: 0;
  padding: 0 6px;
  margin-left: -1px;  /* avoid double border */
  z-index: 0;
  position: relative;  /* enable z-index */
  white-space: nowrap;
}

.button-bar-item:first-child button {
  border-radius: 3px 0 0 3px;
}

.button-bar-item:last-child button {
  border-radius: 0 3px 3px 0;
}

.button-bar-item button.active {
  z-index: 1;  /* show active border above neighbors */
}`;let f=class FusedButtonBar extends s.oi{constructor(){super(...arguments),this.options=[],this.label="",this.disabled=!1}static get styles(){return[h.W,p]}renderOption(t){var n;const r=(0,d.$)({"hairline-button":!0,active:Boolean(t.selected)});return s.dy`
      <div class='button-bar-item'>
        <lit-tooltip content=${null!==(n=t.tooltipText)&&void 0!==n?n:""}>
          <button class=${r} slot="tooltip-anchor"
           ?disabled=${void 0===t.onClick}
           @click=${t.onClick}>
           ${t.text}
          </button>
        </lit-tooltip>
      </div>`}render(){return s.dy`
      ${this.label?s.dy`<div class='label'>${this.label}</div>`:null}
      <div class="button-bar-container" ?disabled=${this.disabled}>
        ${this.options.map((t=>this.renderOption(t)))}
      </div>`}};(0,a.gn)([(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],f.prototype,"options",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],f.prototype,"label",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],f.prototype,"disabled",void 0),f=(0,a.gn)([(0,l.Mo)("lit-fused-button-bar")],f)},6196:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9455),h=r(8949),p=r(9537),f=r(5806),m=r(5889),g=r(1547);let v=class GeneratedTextVis extends p.f{static get styles(){return[m.W,g.W]}get showModelScoreColumn(){return this.referenceModelScores.length>0||this.candidates.filter((t=>null!=t[1])).length>0}get showTargetScoreColumn(){return this.referenceTexts.filter((t=>null!=t[1])).length>0}get showHeader(){return this.showModelScoreColumn||this.showTargetScoreColumn}get textDiff(){if(void 0===this.referenceTexts)return;if(void 0===this.candidates[this.selectedIdx])return;if(this.diffMode===f.T9.NONE)return;const t=this.candidates[this.selectedIdx][0],n=this.diffMode===f.T9.WORD,r=this.referenceTexts[this.selectedRefIdx][0];return(0,f.UZ)(r,t,n)}constructor(){super(),this.candidates=[],this.referenceTexts=[],this.referenceModelScores=[],this.diffMode=f.T9.NONE,this.selectedIdx=0,this.selectedRefIdx=0,this.highlightMatch=!1,(0,h.rC)(this)}renderDiffString(t,n){let r=t;if(this.diffMode===f.T9.WORD){const n=t.length-1;r=t.map(((t,r)=>r!==n?t.concat(" "):t))}return r.map(((t,r)=>{const a=(0,d.$)({"highlighted-diff":!this.highlightMatch&&!n[r],"highlighted-match":this.highlightMatch&&n[r]});return s.dy`<span class=${a}>${t}</span>`}))}renderHeader(){return s.dy`
      <thead>
      <tr class='output-row'>
        <th class='field-name'>Field name</th>
        <td>
          <div class="candidate-row">
            ${this.showModelScoreColumn?s.dy`
              <div class='model-score column-header'>Model score</div>
            `:null}
            ${this.showTargetScoreColumn?s.dy`
              <div class='reference-score column-header'>Target score</div>
            `:null}
            <div class='candidate-text column-header'>Text</div>
          </div>
        </td>
      </tr>
      </thead>
    `}renderReferences(){const t=this.referenceTexts.map(((t,n)=>{var r,a,l,h;const p=void 0!==this.textDiff&&n===this.selectedRefIdx?this.renderDiffString(this.textDiff.inputStrings,this.textDiff.equal):t[0],f=(0,d.$)({"token-chip-label":!0,"candidate-row":!0,"candidate-selected":this.selectedRefIdx===n});return s.dy`
        <div class=${f} @click=${()=>{this.selectedRefIdx=n}}>
          ${this.showModelScoreColumn?s.dy`
            <div class='model-score' title="Model score">
              ${null!==(a=null===(r=this.referenceModelScores[n])||void 0===r?void 0:r.toFixed(3))&&void 0!==a?a:null}
            </div>
          `:null}
          ${this.showTargetScoreColumn?s.dy`
            <div class='reference-score' title="Reference score">
              ${null!==(h=null===(l=t[1])||void 0===l?void 0:l.toFixed(3))&&void 0!==h?h:null}
            </div>
          `:null}
          <div class='candidate-text'>${p}</div>
        </div>
      `}));return s.dy`
      <tr class='output-row'>
        <th class='field-name'>${this.referenceFieldName}</th>
        <td><div class='candidates'>${t}</div></td>
      </tr>
    `}renderCandidates(){const t=this.candidates.map(((t,n)=>{var r,a;const l=void 0!==this.textDiff&&n===this.selectedIdx?this.renderDiffString(this.textDiff.outputStrings,this.textDiff.equal):t[0],h=(0,d.$)({"token-chip-label":!0,"candidate-row":!0,"candidate-selected":this.selectedIdx===n});return s.dy`
        <div class=${h} @click=${()=>{this.selectedIdx=n}}>
          ${this.showModelScoreColumn?s.dy`
            <div class='model-score'>
              ${null!==(a=null===(r=t[1])||void 0===r?void 0:r.toFixed(3))&&void 0!==a?a:null}
            </div>
          `:null}
          ${this.showTargetScoreColumn?s.dy`
            <div class='reference-score' title="Reference score">
            </div>
          `:null}
          <div class='candidate-text'>${l}</div>
        </div>
      `}));return s.dy`
      <tr class='output-row'>
        <th class='field-name'>${this.fieldName}</th>
        <td><div class='candidates'>${t}</div></td>
      </tr>
    `}render(){return s.dy`
      <div class='output'>
        <table class='output-table'>
          ${this.showHeader?this.renderHeader():null}
          <tbody>
            ${null!=this.referenceFieldName?this.renderReferences():null}
            ${null!=this.fieldName?this.renderCandidates():null}
          </tbody>
        </table>
      </div>
    `}};(0,a.gn)([h.LO,(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],v.prototype,"candidates",void 0),(0,a.gn)([h.LO,(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],v.prototype,"referenceTexts",void 0),(0,a.gn)([h.LO,(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],v.prototype,"referenceModelScores",void 0),(0,a.gn)([h.LO,(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],v.prototype,"diffMode",void 0),(0,a.gn)([h.LO,(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],v.prototype,"selectedIdx",void 0),(0,a.gn)([h.LO,(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],v.prototype,"selectedRefIdx",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],v.prototype,"fieldName",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],v.prototype,"referenceFieldName",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],v.prototype,"highlightMatch",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],v.prototype,"showModelScoreColumn",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],v.prototype,"showTargetScoreColumn",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],v.prototype,"showHeader",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],v.prototype,"textDiff",null),v=(0,a.gn)([(0,l.Mo)("generated-text-vis"),(0,a.w6)("design:paramtypes",[])],v)},3539:(t,n,r)=>{"use strict";var a=r(7582),s=(r(9956),r(6353),r(9392)),l=r(5595),d=r(8949),h=r(9537),p=r(4262),f=r(5889),m=(r(4915),r(7098));const g=s.iv`.description {
  font-size: 11px;
  color: rgb(60, 64, 67);
}

/* Reduce excess whitespace after markdown-formatted descriptions */
.description > p:last-child {
  margin-block-end: 0.25em;
}

.header {
  padding: 8px;
  width: 100%;
  text-align: left;
  outline: none;
  font-family: 'Google Sans', sans;
  font-size: 14px;
  display: flex;
  justify-content: space-between;
  box-sizing: border-box;
  align-items: center;
}

.header .title {
  color: var(--lit-majtonal-nv-800);
  font-family: Roboto;
  font-size: 13px;
  font-weight: 700;
  line-height: 18px;
}

.content {
  padding: 0 8px;
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  box-sizing: border-box;
}

.content.minimized {
  max-height: 0;
  border-bottom: none;
}

.control-name {
  color: #80868B;
  width: 50%;
}

.control-holder {
  padding-top: 8px;
  display: flex;
  align-items: center;
}

.control {
  width: 50%;
}

.buttons-holder {
  padding: 8px 0;
  display: flex;
  flex-direction: row-reverse;
}

.checkbox-holder {
  max-width: 50%;
  display: flex;
  flex-wrap: wrap;
}

.checkbox-control {
  margin-right: 12px;
  min-width: 48px;
}

.slider-holder {
  display: flex;
  align-items: center;
  justify-content: flex-end;
  padding-right: 5px;
  width: 50%;
}

`;var v=r(5108);let y=class InterpreterControls extends h.f{static get styles(){return[f.W,g]}get defaultSettings(){const t={};for(const[n,r]of Object.entries(this.spec))if(r instanceof p.j)t[n]=r.select_all?r.vocab||[]:r.default;else if(r instanceof p.q0||r instanceof p.MK){const{vocab:a}=r;if(null==a)t[n]="";else{const[r]=a;t[n]=r||""}}else r instanceof p.nY?t[n]=r.default||[]:t[n]=r.default;return t}constructor(){super(),this.spec={},this.name="",this.description="",this.applyButtonText="Apply",this.applyButtonDisabled=!1,this.noexpand=!1,this.opened=!1,this.settings={},(0,d.rC)(this)}connectedCallback(){super.connectedCallback(),this.settings=structuredClone(this.defaultSettings),this.react((()=>this.spec),(()=>{this.settings=structuredClone(this.defaultSettings)}))}render(){const t=!this.noexpand&&(Object.keys(this.spec).length>0||this.description.length>0),n=(0,m.Xo)(this.description),r=s.dy`
        <div class="content">
          <div class="description">${n}</div>
          ${this.renderControls()}
          <div class="buttons-holder">
            <button class="filled-button" @click=${()=>{const t=new CustomEvent("interpreter-click",{detail:{name:this.name,settings:this.settings}});this.dispatchEvent(t)}}
              ?disabled=${this.applyButtonDisabled}>
              ${this.applyButtonText}
            </button>
          </div>
        </div>`;return t?s.dy`<expansion-panel .label=${this.name} ?expanded=${this.opened}>
                ${r}
              </expansion-panel>`:s.dy`<div class="header">
                <div class="title">${this.name}</div>
              </div>
              ${this.opened?r:null}`}renderControls(){return Object.entries(this.spec).map((([t,n])=>s.dy`<div class="control-holder">
        <div class="control-name">
          ${(n.required?"*":"")+t}
        </div>
        ${this.renderControl(t,n)}
      </div>`))}renderControl(t,n){if(n instanceof p.nY||n instanceof p.j){const{vocab:r}=n;if(null==r)return v.error(`Cannot render checkboxes for field ${t} without a vocab.`),null;const a=()=>r.map((n=>{const r=-1!==this.settings[t].indexOf(n);return s.dy`<lit-checkbox ?checked=${r} @change=${r=>{r.target.checked?this.settings[t].push(n):this.settings[t]=this.settings[t].filter((t=>t!==n))}}
          label=${n} class='checkbox-control'>
        </lit-checkbox>`}));return s.dy`<div class='checkbox-holder'>${a()}</div>`}if(n instanceof p.q0||n instanceof p.MK){const{vocab:r}=n;if(null==r)return v.error(`Cannot render dropdown for field ${t} without a vocab.`),null;const a=n=>{const a=n.target.selectedIndex||0;this.settings[t]=r[a]},l=r[0]||"";return s.dy`<select class="dropdown control" @change=${a}
          .value=${l} ?disabled=${r.length<2}>${r.map(((t,n)=>s.dy`<option value=${n}>${t}</option>`))}</select>`}if(n instanceof p.Ru){const{step:r,min_val:a,max_val:l}=n,d=n=>{this.settings[t]=n.target.value};return s.dy`<lit-numeric-input class="slider-holder"
          min=${a} max=${l} step=${r} value=${this.settings[t]}
          @change=${d}></lit-numeric-input>`}if(n instanceof p.h5){const n=()=>{this.settings[t]=!this.settings[t]};return s.dy`<lit-checkbox ?checked=${!!this.settings[t]}
          @change=${n}></lit-checkbox>`}if(n instanceof p.nk){const n=this.settings[t]||"",r=n=>{const r=n.target;this.settings[t]=r.value.split(",").map((t=>t.trim()))};return s.dy`<input class="control" type="text" @input=${r}
          .value=${n} />`}{const n=this.settings[t]||"",r=n=>{this.settings[t]=n.target.value};return s.dy`<input class="control" type="text" @input=${r}
          .value=${n} />`}}};(0,a.gn)([d.LO.struct,(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Object)],y.prototype,"spec",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],y.prototype,"name",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],y.prototype,"description",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],y.prototype,"applyButtonText",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],y.prototype,"applyButtonDisabled",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],y.prototype,"noexpand",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],y.prototype,"opened",void 0),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],y.prototype,"defaultSettings",null),y=(0,a.gn)([(0,l.Mo)("lit-interpreter-controls"),(0,a.w6)("design:paramtypes",[])],y)},1800:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9537),h=r(5889);const p=s.iv`:host {
  height: 100%;
  width: 100%;
}

.interstitial {
  height: 100%;
  width: 100%;
  align-items: center;
  display: flex;
  flex-direction: column;
  justify-content: center;
  overflow: hidden;
  font-family: 'Google Sans', sans;
}

.interstitial > * {
  flex-grow: 0;
  flex-shrink: 0;
  max-width: 300px;
}

.interstitial > img {
  flex-shrink: 1;
  max-height: 130px;
}

.interstitial p {
  color: #5f6368;
}

.interstitial strong {
  display: block;
  font-size: 1.5em;
  margin-bottom: 4px;
}`;let f=class LitInterstitial extends d.f{constructor(){super(...arguments),this.headline="",this.imageSrc="static/interstitial-select.png"}static get styles(){return[h.W,p]}render(){return s.dy`
      <div class="interstitial">
        ${this.imageSrc?s.dy`<img src="${this.imageSrc}" />`:null}
        <p>
          ${this.headline?s.dy`<strong>${this.headline}</strong>`:null}
          <slot></slot>
        </p>
      </div>`}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],f.prototype,"headline",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],f.prototype,"imageSrc",void 0),f=(0,a.gn)([(0,l.Mo)("lit-interstitial")],f)},940:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5681),r(3886)),l=r(9392),d=r(5595),h=r(9537),p=r(5889);const f=l.iv`#tooltip {
  position: absolute;
  padding: 5px;
  margin: auto;
  text-align: center;
  font-size: 12px;
  pointer-events: none;
  visibility: hidden;
  background: rgba(255, 255, 255, .5);
  border-radius: 10px;
}

#holder {
  position: relative;
}
`;let m=class LineChart extends h.f{constructor(){super(...arguments),this.scores=new Map,this.margin=30,this.width=0,this.height=0,this.xScale=[],this.yScale=[]}static get styles(){return[p.W,f]}firstUpdated(){this.initializeChart();this.reactImmediately((()=>this.scores),(t=>{this.initializeChart()}))}getXScale(){let t=this.xScale;if(null==t||t.length<2){const n=Array.from(this.scores.keys());t=[s.VV$(n),s.Fp7(n)]}return s.BYU().domain(t).range([0,this.width])}getYScale(){let t=this.yScale;if(null==t||t.length<2){const n=Array.from(this.scores.values());t=[s.VV$(n),s.Fp7(n)]}return s.BYU().domain(t).range([this.height,0])}initializeChart(){const t=this.shadowRoot.querySelector("#chart");if(null==t)return;const n=s.Ys(t).attr("width",this.width+2*this.margin).attr("height",this.height+2*this.margin);n.selectAll("*").remove(),n.append("g").attr("id","chart-group").attr("transform",`translate(${this.margin}, ${this.margin})`),this.renderChart()}renderChart(){const t=Array.from(this.scores.entries()),n=this.getXScale(),r=this.getYScale(),a=this.shadowRoot.querySelector("#chart-group");if(null==a)return;const l=s.Ys(a);l.selectAll("*").remove();const d=s.LLu(n).ticks(5),h=s.y4O(r).ticks(5);l.append("g").attr("transform",`translate(0, ${this.height})`).attr("class","axis").call(d),l.append("g").attr("class","axis").call(h),l.append("path").datum(t).attr("fill","none").attr("stroke","var(--lit-cyea-400)").attr("stroke-width",1.5).attr("d",s.jvg().x((t=>n(t[0]))).y((t=>r(t[1]))));const p=l.append("g").attr("class","focus").style("display","none");p.append("circle").attr("r",4).attr("fill","var(--lit-cyea-400)").attr("stroke","var(--lit-cyea-400)");const f=()=>{const a=s.Jzs(this)[0]-this.margin,l=n.invert(a),d=s.b4o(t.map((t=>t[0])),l);let h=t[d];if(d>0){const n=d-1;l-t[n][0]<t[d][0]-l&&(h=t[n])}p.attr("transform",`translate(${n(h[0])},${r(h[1])})`);const f=`${h[0].toFixed(2)}, value: ${h[1].toFixed(2)}`,m=this.shadowRoot.querySelector("#tooltip");m.innerText=f,m.style.visibility="visible",m.style.left=`${n(h[0])}px`,m.style.top=`${r(h[1])}px`};l.append("rect").attr("class","overlay").attr("width",this.width).attr("height",this.height).attr("fill","none").attr("pointer-events","visible").on("mouseover",(()=>{p.style("display",null)})).on("mouseout",(()=>{p.style("display","none");this.shadowRoot.querySelector("#tooltip").style.visibility="hidden"})).on("mousemove",(()=>{f()}))}render(){return l.dy`
      <div id="holder">
          <svg id="chart"></svg>
          <div id='tooltip'>tooltip</div>
      </div>
    `}};(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Object)],m.prototype,"scores",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"margin",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"width",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"height",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],m.prototype,"xScale",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],m.prototype,"yScale",void 0),m=(0,a.gn)([(0,d.Mo)("line-chart")],m)},4759:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9537),h=r(4262),p=r(5889),f=r(125),m=r(7098),g=r(5108);function v(t){return Array.isArray(t)&&2===t.length&&"string"==typeof t[0]&&(null==t[1]||"number"==typeof t[1])}let y=class LitInputField extends d.f{constructor(){super(...arguments),this.labelPlacement="left",this.type=new h.VM,this.readonly=!1,this.limitWords=!1}static get styles(){return[p.W,s.iv`
      :host,
      :host > label {
        align-items: center;
        column-gap: 4px;
        display: flex;
        flex-direction: row;
        flex-wrap: nowrap;
      }

      :host([fill-container]) > * {
        flex-grow: 1;
      }
    `]}render(){const t=this.renderContent();return this.label?"left"===this.labelPlacement?s.dy`<label>${this.label}${t}</label>`:s.dy`<label>${t}${this.label}</label>`:t}renderContent(){const t=this.type,n=t=>{this.value=t.target.checked,this.dispatchEvent(new Event("change"))},r=t=>{this.value=Number(t.target.value),this.dispatchEvent(new Event("change"))},a=t=>{this.value=t.target.value,this.dispatchEvent(new Event("change"))};if(t instanceof h.h5||"boolean"==typeof this.value)return this.readonly?(0,f.eb)(this.value):s.dy`<lit-checkbox ?checked=${this.value}
            @change=${n}></lit-checkbox>`;if(t instanceof h.q0)return this.readonly?this.formatAsString():null!=t.vocab?(0,f.qc)(t.vocab,a,this.value):(0,f.bN)(a,this.value);if(t instanceof h.k6){return this.value.map(f.re).join(", ")}if(t instanceof h.JK)return(0,f.L9)(this.value);if(t instanceof h.hS)return(0,f.hh)(this.value);if(this.type instanceof h.b_){return this.value.map(f.rn).join(", ")}if(t instanceof h.Ru||"number"==typeof this.value){const{min_val:n,max_val:a,step:l}=t;return this.readonly?(0,f.uf)(this.value):s.dy`<lit-numeric-input .min=${n} .max=${a} .step=${l}
            value=${this.value} @change=${r}>
          </lit-numeric-input>`}if(t instanceof h.hW){return this.value.map((t=>(0,f.$A)(t))).join(", ")}if(t instanceof h.Xs)return this.readonly?this.formatAsString():(0,f.l)(a,this.value);if(t instanceof h.Su||"string"==typeof this.value)return this.readonly?this.formatAsString():(0,f.bN)(a,this.value);if(Array.isArray(this.value)){if(v(this.value))return(0,f.X9)(this.value);if(Array.isArray(this.value[0])&&v(this.value[0]))return(0,f.$Q)(this.value);return this.value.map((t=>"number"==typeof t?(0,f.uf)(t):this.limitWords?(0,m.aN)(t):`${t}`)).join(", ")}return g.warn(`LitInputField does not support rendering '${t}' fields.`),""}formatAsString(){return this.limitWords?(0,m.aN)(this.value):this.value}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],y.prototype,"label",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],y.prototype,"labelPlacement",void 0),(0,a.gn)([(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Object)],y.prototype,"type",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],y.prototype,"readonly",void 0),(0,a.gn)([(0,l.Cb)(),(0,a.w6)("design:type",Object)],y.prototype,"value",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],y.prototype,"limitWords",void 0),y=(0,a.gn)([(0,l.Mo)("lit-input-field")],y)},5192:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=(r(2380),r(6551)),d=r(9263),h=r(9392),p=r(9455);class ListItemBase extends h.oi{constructor(){super(...arguments),this.value="",this.group=null,this.tabindex=-1,this.disabled=!1,this.twoline=!1,this.activated=!1,this.graphic=null,this.multipleGraphics=!1,this.hasMeta=!1,this.noninteractive=!1,this.selected=!1,this.shouldRenderRipple=!1,this._managingList=null,this.boundOnClick=this.onClick.bind(this),this._firstChanged=!0,this._skipPropRequest=!1,this.rippleHandlers=new d.A((()=>(this.shouldRenderRipple=!0,this.ripple))),this.listeners=[{target:this,eventNames:["click"],cb:()=>{this.onClick()}},{target:this,eventNames:["mouseenter"],cb:this.rippleHandlers.startHover},{target:this,eventNames:["mouseleave"],cb:this.rippleHandlers.endHover},{target:this,eventNames:["focus"],cb:this.rippleHandlers.startFocus},{target:this,eventNames:["blur"],cb:this.rippleHandlers.endFocus},{target:this,eventNames:["mousedown","touchstart"],cb:t=>{const n=t.type;this.onDown("mousedown"===n?"mouseup":"touchend",t)}}]}get text(){const t=this.textContent;return t?t.trim():""}render(){const t=this.renderText(),n=this.graphic?this.renderGraphic():h.dy``,r=this.hasMeta?this.renderMeta():h.dy``;return h.dy`
      ${this.renderRipple()}
      ${n}
      ${t}
      ${r}`}renderRipple(){return this.shouldRenderRipple?h.dy`
      <mwc-ripple
        .activated=${this.activated}>
      </mwc-ripple>`:this.activated?h.dy`<div class="fake-activated-ripple"></div>`:""}renderGraphic(){const t={multi:this.multipleGraphics};return h.dy`
      <span class="mdc-deprecated-list-item__graphic material-icons ${(0,p.$)(t)}">
        <slot name="graphic"></slot>
      </span>`}renderMeta(){return h.dy`
      <span class="mdc-deprecated-list-item__meta material-icons">
        <slot name="meta"></slot>
      </span>`}renderText(){const t=this.twoline?this.renderTwoline():this.renderSingleLine();return h.dy`
      <span class="mdc-deprecated-list-item__text">
        ${t}
      </span>`}renderSingleLine(){return h.dy`<slot></slot>`}renderTwoline(){return h.dy`
      <span class="mdc-deprecated-list-item__primary-text">
        <slot></slot>
      </span>
      <span class="mdc-deprecated-list-item__secondary-text">
        <slot name="secondary"></slot>
      </span>
    `}onClick(){this.fireRequestSelected(!this.selected,"interaction")}onDown(t,n){const r=()=>{window.removeEventListener(t,r),this.rippleHandlers.endPress()};window.addEventListener(t,r),this.rippleHandlers.startPress(n)}fireRequestSelected(t,n){if(this.noninteractive)return;const r=new CustomEvent("request-selected",{bubbles:!0,composed:!0,detail:{source:n,selected:t}});this.dispatchEvent(r)}connectedCallback(){super.connectedCallback(),this.noninteractive||this.setAttribute("mwc-list-item","");for(const t of this.listeners)for(const n of t.eventNames)t.target.addEventListener(n,t.cb,{passive:!0})}disconnectedCallback(){super.disconnectedCallback();for(const t of this.listeners)for(const n of t.eventNames)t.target.removeEventListener(n,t.cb);this._managingList&&(this._managingList.debouncedLayout?this._managingList.debouncedLayout(!0):this._managingList.layout(!0))}firstUpdated(){const t=new Event("list-item-rendered",{bubbles:!0,composed:!0});this.dispatchEvent(t)}}(0,a.gn)([(0,s.IO)("slot")],ListItemBase.prototype,"slotElement",void 0),(0,a.gn)([(0,s.GC)("mwc-ripple")],ListItemBase.prototype,"ripple",void 0),(0,a.gn)([(0,s.Cb)({type:String})],ListItemBase.prototype,"value",void 0),(0,a.gn)([(0,s.Cb)({type:String,reflect:!0})],ListItemBase.prototype,"group",void 0),(0,a.gn)([(0,s.Cb)({type:Number,reflect:!0})],ListItemBase.prototype,"tabindex",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,l.P)((function(t){t?this.setAttribute("aria-disabled","true"):this.setAttribute("aria-disabled","false")}))],ListItemBase.prototype,"disabled",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],ListItemBase.prototype,"twoline",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],ListItemBase.prototype,"activated",void 0),(0,a.gn)([(0,s.Cb)({type:String,reflect:!0})],ListItemBase.prototype,"graphic",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],ListItemBase.prototype,"multipleGraphics",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],ListItemBase.prototype,"hasMeta",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,l.P)((function(t){t?(this.removeAttribute("aria-checked"),this.removeAttribute("mwc-list-item"),this.selected=!1,this.activated=!1,this.tabIndex=-1):this.setAttribute("mwc-list-item","")}))],ListItemBase.prototype,"noninteractive",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,l.P)((function(t){const n=this.getAttribute("role"),r="gridcell"===n||"option"===n||"row"===n||"tab"===n;r&&t?this.setAttribute("aria-selected","true"):r&&this.setAttribute("aria-selected","false"),this._firstChanged?this._firstChanged=!1:this._skipPropRequest||this.fireRequestSelected(t,"property")}))],ListItemBase.prototype,"selected",void 0),(0,a.gn)([(0,s.SB)()],ListItemBase.prototype,"shouldRenderRipple",void 0),(0,a.gn)([(0,s.SB)()],ListItemBase.prototype,"_managingList",void 0);const f=h.iv`:host{cursor:pointer;user-select:none;-webkit-tap-highlight-color:transparent;height:48px;display:flex;position:relative;align-items:center;justify-content:flex-start;overflow:hidden;padding:0;padding-left:var(--mdc-list-side-padding, 16px);padding-right:var(--mdc-list-side-padding, 16px);outline:none;height:48px;color:rgba(0,0,0,.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}:host:focus{outline:none}:host([activated]){color:#6200ee;color:var(--mdc-theme-primary, #6200ee);--mdc-ripple-color: var( --mdc-theme-primary, #6200ee )}:host([activated]) .mdc-deprecated-list-item__graphic{color:#6200ee;color:var(--mdc-theme-primary, #6200ee)}:host([activated]) .fake-activated-ripple::before{position:absolute;display:block;top:0;bottom:0;left:0;right:0;width:100%;height:100%;pointer-events:none;z-index:1;content:"";opacity:0.12;opacity:var(--mdc-ripple-activated-opacity, 0.12);background-color:#6200ee;background-color:var(--mdc-ripple-color, var(--mdc-theme-primary, #6200ee))}.mdc-deprecated-list-item__graphic{flex-shrink:0;align-items:center;justify-content:center;fill:currentColor;display:inline-flex}.mdc-deprecated-list-item__graphic ::slotted(*){flex-shrink:0;align-items:center;justify-content:center;fill:currentColor;width:100%;height:100%;text-align:center}.mdc-deprecated-list-item__meta{width:var(--mdc-list-item-meta-size, 24px);height:var(--mdc-list-item-meta-size, 24px);margin-left:auto;margin-right:0;color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-hint-on-background, rgba(0, 0, 0, 0.38))}.mdc-deprecated-list-item__meta.multi{width:auto}.mdc-deprecated-list-item__meta ::slotted(*){width:var(--mdc-list-item-meta-size, 24px);line-height:var(--mdc-list-item-meta-size, 24px)}.mdc-deprecated-list-item__meta ::slotted(.material-icons),.mdc-deprecated-list-item__meta ::slotted(mwc-icon){line-height:var(--mdc-list-item-meta-size, 24px) !important}.mdc-deprecated-list-item__meta ::slotted(:not(.material-icons):not(mwc-icon)){-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-caption-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.75rem;font-size:var(--mdc-typography-caption-font-size, 0.75rem);line-height:1.25rem;line-height:var(--mdc-typography-caption-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-caption-font-weight, 400);letter-spacing:0.0333333333em;letter-spacing:var(--mdc-typography-caption-letter-spacing, 0.0333333333em);text-decoration:inherit;text-decoration:var(--mdc-typography-caption-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-caption-text-transform, inherit)}[dir=rtl] .mdc-deprecated-list-item__meta,.mdc-deprecated-list-item__meta[dir=rtl]{margin-left:0;margin-right:auto}.mdc-deprecated-list-item__meta ::slotted(*){width:100%;height:100%}.mdc-deprecated-list-item__text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden}.mdc-deprecated-list-item__text ::slotted([for]),.mdc-deprecated-list-item__text[for]{pointer-events:none}.mdc-deprecated-list-item__primary-text{text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin-top:0;line-height:normal;margin-bottom:-20px;display:block}.mdc-deprecated-list-item__primary-text::before{display:inline-block;width:0;height:32px;content:"";vertical-align:0}.mdc-deprecated-list-item__primary-text::after{display:inline-block;width:0;height:20px;content:"";vertical-align:-20px}.mdc-deprecated-list-item__secondary-text{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-body2-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:0.875rem;font-size:var(--mdc-typography-body2-font-size, 0.875rem);line-height:1.25rem;line-height:var(--mdc-typography-body2-line-height, 1.25rem);font-weight:400;font-weight:var(--mdc-typography-body2-font-weight, 400);letter-spacing:0.0178571429em;letter-spacing:var(--mdc-typography-body2-letter-spacing, 0.0178571429em);text-decoration:inherit;text-decoration:var(--mdc-typography-body2-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-body2-text-transform, inherit);text-overflow:ellipsis;white-space:nowrap;overflow:hidden;display:block;margin-top:0;line-height:normal;display:block}.mdc-deprecated-list-item__secondary-text::before{display:inline-block;width:0;height:20px;content:"";vertical-align:0}.mdc-deprecated-list--dense .mdc-deprecated-list-item__secondary-text{font-size:inherit}* ::slotted(a),a{color:inherit;text-decoration:none}:host([twoline]){height:72px}:host([twoline]) .mdc-deprecated-list-item__text{align-self:flex-start}:host([disabled]),:host([noninteractive]){cursor:default;pointer-events:none}:host([disabled]) .mdc-deprecated-list-item__text ::slotted(*){opacity:.38}:host([disabled]) .mdc-deprecated-list-item__text ::slotted(*),:host([disabled]) .mdc-deprecated-list-item__primary-text ::slotted(*),:host([disabled]) .mdc-deprecated-list-item__secondary-text ::slotted(*){color:#000;color:var(--mdc-theme-on-surface, #000)}.mdc-deprecated-list-item__secondary-text ::slotted(*){color:rgba(0, 0, 0, 0.54);color:var(--mdc-theme-text-secondary-on-background, rgba(0, 0, 0, 0.54))}.mdc-deprecated-list-item__graphic ::slotted(*){background-color:transparent;color:rgba(0, 0, 0, 0.38);color:var(--mdc-theme-text-icon-on-background, rgba(0, 0, 0, 0.38))}.mdc-deprecated-list-group__subheader ::slotted(*){color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87))}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 40px);height:var(--mdc-list-item-graphic-size, 40px)}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 40px);line-height:var(--mdc-list-item-graphic-size, 40px)}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 40px) !important}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic ::slotted(*){border-radius:50%}:host([graphic=avatar]) .mdc-deprecated-list-item__graphic,:host([graphic=medium]) .mdc-deprecated-list-item__graphic,:host([graphic=large]) .mdc-deprecated-list-item__graphic,:host([graphic=control]) .mdc-deprecated-list-item__graphic{margin-left:0;margin-right:var(--mdc-list-item-graphic-margin, 16px)}[dir=rtl] :host([graphic=avatar]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=medium]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=large]) .mdc-deprecated-list-item__graphic,[dir=rtl] :host([graphic=control]) .mdc-deprecated-list-item__graphic,:host([graphic=avatar]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=medium]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=large]) .mdc-deprecated-list-item__graphic[dir=rtl],:host([graphic=control]) .mdc-deprecated-list-item__graphic[dir=rtl]{margin-left:var(--mdc-list-item-graphic-margin, 16px);margin-right:0}:host([graphic=icon]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 24px);height:var(--mdc-list-item-graphic-size, 24px);margin-left:0;margin-right:var(--mdc-list-item-graphic-margin, 32px)}:host([graphic=icon]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 24px);line-height:var(--mdc-list-item-graphic-size, 24px)}:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=icon]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 24px) !important}[dir=rtl] :host([graphic=icon]) .mdc-deprecated-list-item__graphic,:host([graphic=icon]) .mdc-deprecated-list-item__graphic[dir=rtl]{margin-left:var(--mdc-list-item-graphic-margin, 32px);margin-right:0}:host([graphic=avatar]:not([twoLine])),:host([graphic=icon]:not([twoLine])){height:56px}:host([graphic=medium]:not([twoLine])),:host([graphic=large]:not([twoLine])){height:72px}:host([graphic=medium]) .mdc-deprecated-list-item__graphic,:host([graphic=large]) .mdc-deprecated-list-item__graphic{width:var(--mdc-list-item-graphic-size, 56px);height:var(--mdc-list-item-graphic-size, 56px)}:host([graphic=medium]) .mdc-deprecated-list-item__graphic.multi,:host([graphic=large]) .mdc-deprecated-list-item__graphic.multi{width:auto}:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(*),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(*){width:var(--mdc-list-item-graphic-size, 56px);line-height:var(--mdc-list-item-graphic-size, 56px)}:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=medium]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(.material-icons),:host([graphic=large]) .mdc-deprecated-list-item__graphic ::slotted(mwc-icon){line-height:var(--mdc-list-item-graphic-size, 56px) !important}:host([graphic=large]){padding-left:0px}`;let m=class ListItem extends ListItemBase{};m.styles=[f],m=(0,a.gn)([(0,s.Mo)("mwc-list-item")],m);var g=r(7924),v=r(7392),y=r(5610),b=r(796),x=r(6308),w={UNKNOWN:"Unknown",BACKSPACE:"Backspace",ENTER:"Enter",SPACEBAR:"Spacebar",PAGE_UP:"PageUp",PAGE_DOWN:"PageDown",END:"End",HOME:"Home",ARROW_LEFT:"ArrowLeft",ARROW_UP:"ArrowUp",ARROW_RIGHT:"ArrowRight",ARROW_DOWN:"ArrowDown",DELETE:"Delete",ESCAPE:"Escape",TAB:"Tab"},S=new Set;S.add(w.BACKSPACE),S.add(w.ENTER),S.add(w.SPACEBAR),S.add(w.PAGE_UP),S.add(w.PAGE_DOWN),S.add(w.END),S.add(w.HOME),S.add(w.ARROW_LEFT),S.add(w.ARROW_UP),S.add(w.ARROW_RIGHT),S.add(w.ARROW_DOWN),S.add(w.DELETE),S.add(w.ESCAPE),S.add(w.TAB);var _=8,T=13,E=32,C=33,A=34,O=35,I=36,P=37,D=38,F=39,B=40,$=46,j=27,V=9,U=new Map;U.set(_,w.BACKSPACE),U.set(T,w.ENTER),U.set(E,w.SPACEBAR),U.set(C,w.PAGE_UP),U.set(A,w.PAGE_DOWN),U.set(O,w.END),U.set(I,w.HOME),U.set(P,w.ARROW_LEFT),U.set(D,w.ARROW_UP),U.set(F,w.ARROW_RIGHT),U.set(B,w.ARROW_DOWN),U.set($,w.DELETE),U.set(j,w.ESCAPE),U.set(V,w.TAB);var G,W,q=new Set;function X(t){var n=t.key;if(S.has(n))return n;var r=U.get(t.keyCode);return r||w.UNKNOWN}q.add(w.PAGE_UP),q.add(w.PAGE_DOWN),q.add(w.END),q.add(w.HOME),q.add(w.ARROW_LEFT),q.add(w.ARROW_UP),q.add(w.ARROW_RIGHT),q.add(w.ARROW_DOWN);var Y="mdc-list-item--activated",K="mdc-list-item",J="mdc-list-item--disabled",Q="mdc-list-item--selected",ee="mdc-list-item__text",te="mdc-list-item__primary-text",ie="mdc-list",ne=((G={})[""+Y]="mdc-list-item--activated",G[""+K]="mdc-list-item",G[""+J]="mdc-list-item--disabled",G[""+Q]="mdc-list-item--selected",G[""+te]="mdc-list-item__primary-text",G[""+ie]="mdc-list",(W={})[""+Y]="mdc-deprecated-list-item--activated",W[""+K]="mdc-deprecated-list-item",W[""+J]="mdc-deprecated-list-item--disabled",W[""+Q]="mdc-deprecated-list-item--selected",W[""+ee]="mdc-deprecated-list-item__text",W[""+te]="mdc-deprecated-list-item__primary-text",W[""+ie]="mdc-deprecated-list",W),re={ACTION_EVENT:"MDCList:action",SELECTION_CHANGE_EVENT:"MDCList:selectionChange",ARIA_CHECKED:"aria-checked",ARIA_CHECKED_CHECKBOX_SELECTOR:'[role="checkbox"][aria-checked="true"]',ARIA_CHECKED_RADIO_SELECTOR:'[role="radio"][aria-checked="true"]',ARIA_CURRENT:"aria-current",ARIA_DISABLED:"aria-disabled",ARIA_ORIENTATION:"aria-orientation",ARIA_ORIENTATION_HORIZONTAL:"horizontal",ARIA_ROLE_CHECKBOX_SELECTOR:'[role="checkbox"]',ARIA_SELECTED:"aria-selected",ARIA_INTERACTIVE_ROLES_SELECTOR:'[role="listbox"], [role="menu"]',ARIA_MULTI_SELECTABLE_SELECTOR:'[aria-multiselectable="true"]',CHECKBOX_RADIO_SELECTOR:'input[type="checkbox"], input[type="radio"]',CHECKBOX_SELECTOR:'input[type="checkbox"]',CHILD_ELEMENTS_TO_TOGGLE_TABINDEX:"\n    ."+K+" button:not(:disabled),\n    ."+K+" a,\n    ."+ne[K]+" button:not(:disabled),\n    ."+ne[K]+" a\n  ",DEPRECATED_SELECTOR:".mdc-deprecated-list",FOCUSABLE_CHILD_ELEMENTS:"\n    ."+K+" button:not(:disabled),\n    ."+K+" a,\n    ."+K+' input[type="radio"]:not(:disabled),\n    .'+K+' input[type="checkbox"]:not(:disabled),\n    .'+ne[K]+" button:not(:disabled),\n    ."+ne[K]+" a,\n    ."+ne[K]+' input[type="radio"]:not(:disabled),\n    .'+ne[K]+' input[type="checkbox"]:not(:disabled)\n  ',RADIO_SELECTOR:'input[type="radio"]',SELECTED_ITEM_SELECTOR:'[aria-selected="true"], [aria-current="true"]'},oe={UNSET_INDEX:-1,TYPEAHEAD_BUFFER_CLEAR_TIMEOUT_MS:300};const ae=(t,n)=>t-n,se=["input","button","textarea","select"];function le(t){return t instanceof Set}const ce=t=>{const n=t===oe.UNSET_INDEX?new Set:t;return le(n)?new Set(n):new Set([n])};class MDCListFoundation extends x.K{constructor(t){super(Object.assign(Object.assign({},MDCListFoundation.defaultAdapter),t)),this.isMulti_=!1,this.wrapFocus_=!1,this.isVertical_=!0,this.selectedIndex_=oe.UNSET_INDEX,this.focusedItemIndex_=oe.UNSET_INDEX,this.useActivatedClass_=!1,this.ariaCurrentAttrValue_=null}static get strings(){return re}static get numbers(){return oe}static get defaultAdapter(){return{focusItemAtIndex:()=>{},getFocusedElementIndex:()=>0,getListItemCount:()=>0,isFocusInsideList:()=>!1,isRootFocused:()=>!1,notifyAction:()=>{},notifySelected:()=>{},getSelectedStateForElementIndex:()=>!1,setDisabledStateForElementIndex:()=>{},getDisabledStateForElementIndex:()=>!1,setSelectedStateForElementIndex:()=>{},setActivatedStateForElementIndex:()=>{},setTabIndexForElementIndex:()=>{},setAttributeForElementIndex:()=>{},getAttributeForElementIndex:()=>null}}setWrapFocus(t){this.wrapFocus_=t}setMulti(t){this.isMulti_=t;const n=this.selectedIndex_;if(t){if(!le(n)){const t=n===oe.UNSET_INDEX;this.selectedIndex_=t?new Set:new Set([n])}}else if(le(n))if(n.size){const t=Array.from(n).sort(ae);this.selectedIndex_=t[0]}else this.selectedIndex_=oe.UNSET_INDEX}setVerticalOrientation(t){this.isVertical_=t}setUseActivatedClass(t){this.useActivatedClass_=t}getSelectedIndex(){return this.selectedIndex_}setSelectedIndex(t){this.isIndexValid_(t)&&(this.isMulti_?this.setMultiSelectionAtIndex_(ce(t)):this.setSingleSelectionAtIndex_(t))}handleFocusIn(t,n){n>=0&&this.adapter.setTabIndexForElementIndex(n,0)}handleFocusOut(t,n){n>=0&&this.adapter.setTabIndexForElementIndex(n,-1),setTimeout((()=>{this.adapter.isFocusInsideList()||this.setTabindexToFirstSelectedItem_()}),0)}handleKeydown(t,n,r){const a="ArrowLeft"===X(t),s="ArrowUp"===X(t),l="ArrowRight"===X(t),d="ArrowDown"===X(t),h="Home"===X(t),p="End"===X(t),f="Enter"===X(t),m="Spacebar"===X(t);if(this.adapter.isRootFocused())return void(s||p?(t.preventDefault(),this.focusLastElement()):(d||h)&&(t.preventDefault(),this.focusFirstElement()));let g,v=this.adapter.getFocusedElementIndex();if(!(-1===v&&(v=r,v<0))){if(this.isVertical_&&d||!this.isVertical_&&l)this.preventDefaultEvent(t),g=this.focusNextElement(v);else if(this.isVertical_&&s||!this.isVertical_&&a)this.preventDefaultEvent(t),g=this.focusPrevElement(v);else if(h)this.preventDefaultEvent(t),g=this.focusFirstElement();else if(p)this.preventDefaultEvent(t),g=this.focusLastElement();else if((f||m)&&n){const n=t.target;if(n&&"A"===n.tagName&&f)return;this.preventDefaultEvent(t),this.setSelectedIndexOnAction_(v,!0)}this.focusedItemIndex_=v,void 0!==g&&(this.setTabindexAtIndex_(g),this.focusedItemIndex_=g)}}handleSingleSelection(t,n,r){t!==oe.UNSET_INDEX&&(this.setSelectedIndexOnAction_(t,n,r),this.setTabindexAtIndex_(t),this.focusedItemIndex_=t)}focusNextElement(t){let n=t+1;if(n>=this.adapter.getListItemCount()){if(!this.wrapFocus_)return t;n=0}return this.adapter.focusItemAtIndex(n),n}focusPrevElement(t){let n=t-1;if(n<0){if(!this.wrapFocus_)return t;n=this.adapter.getListItemCount()-1}return this.adapter.focusItemAtIndex(n),n}focusFirstElement(){return this.adapter.focusItemAtIndex(0),0}focusLastElement(){const t=this.adapter.getListItemCount()-1;return this.adapter.focusItemAtIndex(t),t}setEnabled(t,n){this.isIndexValid_(t)&&this.adapter.setDisabledStateForElementIndex(t,!n)}preventDefaultEvent(t){const n=`${t.target.tagName}`.toLowerCase();-1===se.indexOf(n)&&t.preventDefault()}setSingleSelectionAtIndex_(t,n=!0){this.selectedIndex_!==t&&(this.selectedIndex_!==oe.UNSET_INDEX&&(this.adapter.setSelectedStateForElementIndex(this.selectedIndex_,!1),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(this.selectedIndex_,!1)),n&&this.adapter.setSelectedStateForElementIndex(t,!0),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!0),this.setAriaForSingleSelectionAtIndex_(t),this.selectedIndex_=t,this.adapter.notifySelected(t))}setMultiSelectionAtIndex_(t,n=!0){const r=((t,n)=>{const r=Array.from(t),a=Array.from(n),s={added:[],removed:[]},l=r.sort(ae),d=a.sort(ae);let h=0,p=0;for(;h<l.length||p<d.length;){const t=l[h],n=d[p];t!==n?void 0!==t&&(void 0===n||t<n)?(s.removed.push(t),h++):void 0!==n&&(void 0===t||n<t)&&(s.added.push(n),p++):(h++,p++)}return s})(ce(this.selectedIndex_),t);if(r.removed.length||r.added.length){for(const t of r.removed)n&&this.adapter.setSelectedStateForElementIndex(t,!1),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!1);for(const t of r.added)n&&this.adapter.setSelectedStateForElementIndex(t,!0),this.useActivatedClass_&&this.adapter.setActivatedStateForElementIndex(t,!0);this.selectedIndex_=t,this.adapter.notifySelected(t,r)}}setAriaForSingleSelectionAtIndex_(t){this.selectedIndex_===oe.UNSET_INDEX&&(this.ariaCurrentAttrValue_=this.adapter.getAttributeForElementIndex(t,re.ARIA_CURRENT));const n=null!==this.ariaCurrentAttrValue_,r=n?re.ARIA_CURRENT:re.ARIA_SELECTED;this.selectedIndex_!==oe.UNSET_INDEX&&this.adapter.setAttributeForElementIndex(this.selectedIndex_,r,"false");const a=n?this.ariaCurrentAttrValue_:"true";this.adapter.setAttributeForElementIndex(t,r,a)}setTabindexAtIndex_(t){this.focusedItemIndex_===oe.UNSET_INDEX&&0!==t?this.adapter.setTabIndexForElementIndex(0,-1):this.focusedItemIndex_>=0&&this.focusedItemIndex_!==t&&this.adapter.setTabIndexForElementIndex(this.focusedItemIndex_,-1),this.adapter.setTabIndexForElementIndex(t,0)}setTabindexToFirstSelectedItem_(){let t=0;"number"==typeof this.selectedIndex_&&this.selectedIndex_!==oe.UNSET_INDEX?t=this.selectedIndex_:le(this.selectedIndex_)&&this.selectedIndex_.size>0&&(t=Math.min(...this.selectedIndex_)),this.setTabindexAtIndex_(t)}isIndexValid_(t){if(t instanceof Set){if(!this.isMulti_)throw new Error("MDCListFoundation: Array of index is only supported for checkbox based list");if(0===t.size)return!0;{let n=!1;for(const r of t)if(n=this.isIndexInRange_(r),n)break;return n}}if("number"==typeof t){if(this.isMulti_)throw new Error("MDCListFoundation: Expected array of index for checkbox based list but got number: "+t);return t===oe.UNSET_INDEX||this.isIndexInRange_(t)}return!1}isIndexInRange_(t){const n=this.adapter.getListItemCount();return t>=0&&t<n}setSelectedIndexOnAction_(t,n,r){if(this.adapter.getDisabledStateForElementIndex(t))return;let a=t;if(this.isMulti_&&(a=new Set([t])),this.isIndexValid_(a)){if(this.isMulti_)this.toggleMultiAtIndex(t,r,n);else if(n||r)this.setSingleSelectionAtIndex_(t,n);else{this.selectedIndex_===t&&this.setSingleSelectionAtIndex_(oe.UNSET_INDEX)}n&&this.adapter.notifyAction(t)}}toggleMultiAtIndex(t,n,r=!0){let a=!1;a=void 0===n?!this.adapter.getSelectedStateForElementIndex(t):n;const s=ce(this.selectedIndex_);a?s.add(t):s.delete(t),this.setMultiSelectionAtIndex_(s,r)}}const de=MDCListFoundation;const ue=t=>t.hasAttribute("mwc-list-item");function he(){const t=this.itemsReadyResolver;this.itemsReady=new Promise((t=>this.itemsReadyResolver=t)),t()}class ListBase extends v.H{constructor(){super(),this.mdcAdapter=null,this.mdcFoundationClass=de,this.activatable=!1,this.multi=!1,this.wrapFocus=!1,this.itemRoles=null,this.innerRole=null,this.innerAriaLabel=null,this.rootTabbable=!1,this.previousTabindex=null,this.noninteractive=!1,this.itemsReadyResolver=()=>{},this.itemsReady=Promise.resolve([]),this.items_=[];const t=function(t,n=50){let r;return function(a=!0){clearTimeout(r),r=setTimeout((()=>{t(a)}),n)}}(this.layout.bind(this));this.debouncedLayout=(n=!0)=>{he.call(this),t(n)}}async getUpdateComplete(){const t=await super.getUpdateComplete();return await this.itemsReady,t}get items(){return this.items_}updateItems(){var t;const n=null!==(t=this.assignedElements)&&void 0!==t?t:[],r=[];for(const t of n)ue(t)&&(r.push(t),t._managingList=this),t.hasAttribute("divider")&&!t.hasAttribute("role")&&t.setAttribute("role","separator");this.items_=r;const a=new Set;if(this.items_.forEach(((t,n)=>{this.itemRoles?t.setAttribute("role",this.itemRoles):t.removeAttribute("role"),t.selected&&a.add(n)})),this.multi)this.select(a);else{const t=a.size?a.entries().next().value[1]:-1;this.select(t)}const s=new Event("items-updated",{bubbles:!0,composed:!0});this.dispatchEvent(s)}get selected(){const t=this.index;if(!le(t))return-1===t?null:this.items[t];const n=[];for(const r of t)n.push(this.items[r]);return n}get index(){return this.mdcFoundation?this.mdcFoundation.getSelectedIndex():-1}render(){const t=null===this.innerRole?void 0:this.innerRole,n=null===this.innerAriaLabel?void 0:this.innerAriaLabel,r=this.rootTabbable?"0":"-1";return h.dy`
      <!-- @ts-ignore -->
      <ul
          tabindex=${r}
          role="${(0,b.o)(t)}"
          aria-label="${(0,b.o)(n)}"
          class="mdc-deprecated-list"
          @keydown=${this.onKeydown}
          @focusin=${this.onFocusIn}
          @focusout=${this.onFocusOut}
          @request-selected=${this.onRequestSelected}
          @list-item-rendered=${this.onListItemConnected}>
        <slot></slot>
        ${this.renderPlaceholder()}
      </ul>
    `}renderPlaceholder(){var t;const n=null!==(t=this.assignedElements)&&void 0!==t?t:[];return void 0!==this.emptyMessage&&0===n.length?h.dy`
        <mwc-list-item noninteractive>${this.emptyMessage}</mwc-list-item>
      `:null}firstUpdated(){super.firstUpdated(),this.items.length||(this.mdcFoundation.setMulti(this.multi),this.layout())}onFocusIn(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t);this.mdcFoundation.handleFocusIn(t,n)}}onFocusOut(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t);this.mdcFoundation.handleFocusOut(t,n)}}onKeydown(t){if(this.mdcFoundation&&this.mdcRoot){const n=this.getIndexOfTarget(t),r=t.target,a=ue(r);this.mdcFoundation.handleKeydown(t,a,n)}}onRequestSelected(t){if(this.mdcFoundation){let n=this.getIndexOfTarget(t);if(-1===n&&(this.layout(),n=this.getIndexOfTarget(t),-1===n))return;if(this.items[n].disabled)return;const r=t.detail.selected,a=t.detail.source;this.mdcFoundation.handleSingleSelection(n,"interaction"===a,r),t.stopPropagation()}}getIndexOfTarget(t){const n=this.items,r=t.composedPath();for(const t of r){let r=-1;if((0,y.OE)(t)&&ue(t)&&(r=n.indexOf(t)),-1!==r)return r}return-1}createAdapter(){return this.mdcAdapter={getListItemCount:()=>this.mdcRoot?this.items.length:0,getFocusedElementIndex:this.getFocusedItemIndex,getAttributeForElementIndex:(t,n)=>{if(!this.mdcRoot)return"";const r=this.items[t];return r?r.getAttribute(n):""},setAttributeForElementIndex:(t,n,r)=>{if(!this.mdcRoot)return;const a=this.items[t];a&&a.setAttribute(n,r)},focusItemAtIndex:t=>{const n=this.items[t];n&&n.focus()},setTabIndexForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.tabindex=n)},notifyAction:t=>{const n={bubbles:!0,composed:!0};n.detail={index:t};const r=new CustomEvent("action",n);this.dispatchEvent(r)},notifySelected:(t,n)=>{const r={bubbles:!0,composed:!0};r.detail={index:t,diff:n};const a=new CustomEvent("selected",r);this.dispatchEvent(a)},isFocusInsideList:()=>(0,y.WU)(this),isRootFocused:()=>{const t=this.mdcRoot;return t.getRootNode().activeElement===t},setDisabledStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.disabled=n)},getDisabledStateForElementIndex:t=>{const n=this.items[t];return!!n&&n.disabled},setSelectedStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.selected=n)},getSelectedStateForElementIndex:t=>{const n=this.items[t];return!!n&&n.selected},setActivatedStateForElementIndex:(t,n)=>{const r=this.items[t];r&&(r.activated=n)}},this.mdcAdapter}selectUi(t,n=!1){const r=this.items[t];r&&(r.selected=!0,r.activated=n)}deselectUi(t){const n=this.items[t];n&&(n.selected=!1,n.activated=!1)}select(t){this.mdcFoundation&&this.mdcFoundation.setSelectedIndex(t)}toggle(t,n){this.multi&&this.mdcFoundation.toggleMultiAtIndex(t,n)}onListItemConnected(t){const n=t.target;this.layout(-1===this.items.indexOf(n))}layout(t=!0){t&&this.updateItems();const n=this.items[0];for(const t of this.items)t.tabindex=-1;n&&(this.noninteractive?this.previousTabindex||(this.previousTabindex=n):n.tabindex=0),this.itemsReadyResolver()}getFocusedItemIndex(){if(!this.mdcRoot)return-1;if(!this.items.length)return-1;const t=(0,y.Mh)();if(!t.length)return-1;for(let n=t.length-1;n>=0;n--){const r=t[n];if(ue(r))return this.items.indexOf(r)}return-1}focusItemAtIndex(t){for(const t of this.items)if(0===t.tabindex){t.tabindex=-1;break}this.items[t].tabindex=0,this.items[t].focus()}focus(){const t=this.mdcRoot;t&&t.focus()}blur(){const t=this.mdcRoot;t&&t.blur()}}(0,a.gn)([(0,s.Cb)({type:String})],ListBase.prototype,"emptyMessage",void 0),(0,a.gn)([(0,s.IO)(".mdc-deprecated-list")],ListBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.vZ)("",!0,"*")],ListBase.prototype,"assignedElements",void 0),(0,a.gn)([(0,s.vZ)("",!0,'[tabindex="0"]')],ListBase.prototype,"tabbableElements",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setUseActivatedClass(t)}))],ListBase.prototype,"activatable",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t,n){this.mdcFoundation&&this.mdcFoundation.setMulti(t),void 0!==n&&this.layout()}))],ListBase.prototype,"multi",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setWrapFocus(t)}))],ListBase.prototype,"wrapFocus",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,l.P)((function(t,n){void 0!==n&&this.updateItems()}))],ListBase.prototype,"itemRoles",void 0),(0,a.gn)([(0,s.Cb)({type:String})],ListBase.prototype,"innerRole",void 0),(0,a.gn)([(0,s.Cb)({type:String})],ListBase.prototype,"innerAriaLabel",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],ListBase.prototype,"rootTabbable",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,l.P)((function(t){var n,r;if(t){const t=null!==(r=null===(n=this.tabbableElements)||void 0===n?void 0:n[0])&&void 0!==r?r:null;this.previousTabindex=t,t&&t.setAttribute("tabindex","-1")}else!t&&this.previousTabindex&&(this.previousTabindex.setAttribute("tabindex","0"),this.previousTabindex=null)}))],ListBase.prototype,"noninteractive",void 0);const pe=h.iv`@keyframes mdc-ripple-fg-radius-in{from{animation-timing-function:cubic-bezier(0.4, 0, 0.2, 1);transform:translate(var(--mdc-ripple-fg-translate-start, 0)) scale(1)}to{transform:translate(var(--mdc-ripple-fg-translate-end, 0)) scale(var(--mdc-ripple-fg-scale, 1))}}@keyframes mdc-ripple-fg-opacity-in{from{animation-timing-function:linear;opacity:0}to{opacity:var(--mdc-ripple-fg-opacity, 0)}}@keyframes mdc-ripple-fg-opacity-out{from{animation-timing-function:linear;opacity:var(--mdc-ripple-fg-opacity, 0)}to{opacity:0}}:host{display:block}.mdc-deprecated-list{-moz-osx-font-smoothing:grayscale;-webkit-font-smoothing:antialiased;font-family:Roboto, sans-serif;font-family:var(--mdc-typography-subtitle1-font-family, var(--mdc-typography-font-family, Roboto, sans-serif));font-size:1rem;font-size:var(--mdc-typography-subtitle1-font-size, 1rem);line-height:1.75rem;line-height:var(--mdc-typography-subtitle1-line-height, 1.75rem);font-weight:400;font-weight:var(--mdc-typography-subtitle1-font-weight, 400);letter-spacing:0.009375em;letter-spacing:var(--mdc-typography-subtitle1-letter-spacing, 0.009375em);text-decoration:inherit;text-decoration:var(--mdc-typography-subtitle1-text-decoration, inherit);text-transform:inherit;text-transform:var(--mdc-typography-subtitle1-text-transform, inherit);line-height:1.5rem;margin:0;padding:8px 0;list-style-type:none;color:rgba(0, 0, 0, 0.87);color:var(--mdc-theme-text-primary-on-background, rgba(0, 0, 0, 0.87));padding:var(--mdc-list-vertical-padding, 8px) 0}.mdc-deprecated-list:focus{outline:none}.mdc-deprecated-list-item{height:48px}.mdc-deprecated-list--dense{padding-top:4px;padding-bottom:4px;font-size:.812rem}.mdc-deprecated-list ::slotted([divider]){height:0;margin:0;border:none;border-bottom-width:1px;border-bottom-style:solid;border-bottom-color:rgba(0, 0, 0, 0.12)}.mdc-deprecated-list ::slotted([divider][padded]){margin:0 var(--mdc-list-side-padding, 16px)}.mdc-deprecated-list ::slotted([divider][inset]){margin-left:var(--mdc-list-inset-margin, 72px);margin-right:0;width:calc( 100% - var(--mdc-list-inset-margin, 72px) )}[dir=rtl] .mdc-deprecated-list ::slotted([divider][inset]),.mdc-deprecated-list ::slotted([divider][inset][dir=rtl]){margin-left:0;margin-right:var(--mdc-list-inset-margin, 72px)}.mdc-deprecated-list ::slotted([divider][inset][padded]){width:calc( 100% - var(--mdc-list-inset-margin, 72px) - var(--mdc-list-side-padding, 16px) )}.mdc-deprecated-list--dense ::slotted([mwc-list-item]){height:40px}.mdc-deprecated-list--dense ::slotted([mwc-list]){--mdc-list-item-graphic-size: 20px}.mdc-deprecated-list--two-line.mdc-deprecated-list--dense ::slotted([mwc-list-item]),.mdc-deprecated-list--avatar-list.mdc-deprecated-list--dense ::slotted([mwc-list-item]){height:60px}.mdc-deprecated-list--avatar-list.mdc-deprecated-list--dense ::slotted([mwc-list]){--mdc-list-item-graphic-size: 36px}:host([noninteractive]){pointer-events:none;cursor:default}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text){display:block;margin-top:0;line-height:normal;margin-bottom:-20px}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text)::before{display:inline-block;width:0;height:24px;content:"";vertical-align:0}.mdc-deprecated-list--dense ::slotted(.mdc-deprecated-list-item__primary-text)::after{display:inline-block;width:0;height:20px;content:"";vertical-align:-20px}`;let fe=class List extends ListBase{};fe.styles=[pe],fe=(0,a.gn)([(0,s.Mo)("mwc-list")],fe);var me,ge,ve={ANCHOR:"mdc-menu-surface--anchor",ANIMATING_CLOSED:"mdc-menu-surface--animating-closed",ANIMATING_OPEN:"mdc-menu-surface--animating-open",FIXED:"mdc-menu-surface--fixed",IS_OPEN_BELOW:"mdc-menu-surface--is-open-below",OPEN:"mdc-menu-surface--open",ROOT:"mdc-menu-surface"},ye={CLOSED_EVENT:"MDCMenuSurface:closed",CLOSING_EVENT:"MDCMenuSurface:closing",OPENED_EVENT:"MDCMenuSurface:opened",OPENING_EVENT:"MDCMenuSurface:opening",FOCUSABLE_ELEMENTS:["button:not(:disabled)",'[href]:not([aria-disabled="true"])',"input:not(:disabled)","select:not(:disabled)","textarea:not(:disabled)",'[tabindex]:not([tabindex="-1"]):not([aria-disabled="true"])'].join(", ")},be={TRANSITION_OPEN_DURATION:120,TRANSITION_CLOSE_DURATION:75,MARGIN_TO_EDGE:32,ANCHOR_TO_MENU_SURFACE_WIDTH_RATIO:.67,TOUCH_EVENT_WAIT_MS:30};!function(t){t[t.BOTTOM=1]="BOTTOM",t[t.CENTER=2]="CENTER",t[t.RIGHT=4]="RIGHT",t[t.FLIP_RTL=8]="FLIP_RTL"}(me||(me={})),function(t){t[t.TOP_LEFT=0]="TOP_LEFT",t[t.TOP_RIGHT=4]="TOP_RIGHT",t[t.BOTTOM_LEFT=1]="BOTTOM_LEFT",t[t.BOTTOM_RIGHT=5]="BOTTOM_RIGHT",t[t.TOP_START=8]="TOP_START",t[t.TOP_END=12]="TOP_END",t[t.BOTTOM_START=9]="BOTTOM_START",t[t.BOTTOM_END=13]="BOTTOM_END"}(ge||(ge={}));var xe=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.isSurfaceOpen=!1,s.isQuickOpen=!1,s.isHoistedElement=!1,s.isFixedPosition=!1,s.isHorizontallyCenteredOnViewport=!1,s.maxHeight=0,s.openBottomBias=0,s.openAnimationEndTimerId=0,s.closeAnimationEndTimerId=0,s.animationRequestId=0,s.anchorCorner=ge.TOP_START,s.originCorner=ge.TOP_START,s.anchorMargin={top:0,right:0,bottom:0,left:0},s.position={x:0,y:0},s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return ve},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return ye},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return be},enumerable:!1,configurable:!0}),Object.defineProperty(n,"Corner",{get:function(){return ge},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClass:function(){},removeClass:function(){},hasClass:function(){return!1},hasAnchor:function(){return!1},isElementInContainer:function(){return!1},isFocused:function(){return!1},isRtl:function(){return!1},getInnerDimensions:function(){return{height:0,width:0}},getAnchorDimensions:function(){return null},getWindowDimensions:function(){return{height:0,width:0}},getBodyDimensions:function(){return{height:0,width:0}},getWindowScroll:function(){return{x:0,y:0}},setPosition:function(){},setMaxHeight:function(){},setTransformOrigin:function(){},saveFocus:function(){},restoreFocus:function(){},notifyClose:function(){},notifyClosing:function(){},notifyOpen:function(){},notifyOpening:function(){}}},enumerable:!1,configurable:!0}),n.prototype.init=function(){var t=n.cssClasses,r=t.ROOT,a=t.OPEN;if(!this.adapter.hasClass(r))throw new Error(r+" class required in root element.");this.adapter.hasClass(a)&&(this.isSurfaceOpen=!0)},n.prototype.destroy=function(){clearTimeout(this.openAnimationEndTimerId),clearTimeout(this.closeAnimationEndTimerId),cancelAnimationFrame(this.animationRequestId)},n.prototype.setAnchorCorner=function(t){this.anchorCorner=t},n.prototype.flipCornerHorizontally=function(){this.originCorner=this.originCorner^me.RIGHT},n.prototype.setAnchorMargin=function(t){this.anchorMargin.top=t.top||0,this.anchorMargin.right=t.right||0,this.anchorMargin.bottom=t.bottom||0,this.anchorMargin.left=t.left||0},n.prototype.setIsHoisted=function(t){this.isHoistedElement=t},n.prototype.setFixedPosition=function(t){this.isFixedPosition=t},n.prototype.isFixed=function(){return this.isFixedPosition},n.prototype.setAbsolutePosition=function(t,n){this.position.x=this.isFinite(t)?t:0,this.position.y=this.isFinite(n)?n:0},n.prototype.setIsHorizontallyCenteredOnViewport=function(t){this.isHorizontallyCenteredOnViewport=t},n.prototype.setQuickOpen=function(t){this.isQuickOpen=t},n.prototype.setMaxHeight=function(t){this.maxHeight=t},n.prototype.setOpenBottomBias=function(t){this.openBottomBias=t},n.prototype.isOpen=function(){return this.isSurfaceOpen},n.prototype.open=function(){var t=this;this.isSurfaceOpen||(this.adapter.notifyOpening(),this.adapter.saveFocus(),this.isQuickOpen?(this.isSurfaceOpen=!0,this.adapter.addClass(n.cssClasses.OPEN),this.dimensions=this.adapter.getInnerDimensions(),this.autoposition(),this.adapter.notifyOpen()):(this.adapter.addClass(n.cssClasses.ANIMATING_OPEN),this.animationRequestId=requestAnimationFrame((function(){t.dimensions=t.adapter.getInnerDimensions(),t.autoposition(),t.adapter.addClass(n.cssClasses.OPEN),t.openAnimationEndTimerId=setTimeout((function(){t.openAnimationEndTimerId=0,t.adapter.removeClass(n.cssClasses.ANIMATING_OPEN),t.adapter.notifyOpen()}),be.TRANSITION_OPEN_DURATION)})),this.isSurfaceOpen=!0))},n.prototype.close=function(t){var r=this;if(void 0===t&&(t=!1),this.isSurfaceOpen){if(this.adapter.notifyClosing(),this.isQuickOpen)return this.isSurfaceOpen=!1,t||this.maybeRestoreFocus(),this.adapter.removeClass(n.cssClasses.OPEN),this.adapter.removeClass(n.cssClasses.IS_OPEN_BELOW),void this.adapter.notifyClose();this.adapter.addClass(n.cssClasses.ANIMATING_CLOSED),requestAnimationFrame((function(){r.adapter.removeClass(n.cssClasses.OPEN),r.adapter.removeClass(n.cssClasses.IS_OPEN_BELOW),r.closeAnimationEndTimerId=setTimeout((function(){r.closeAnimationEndTimerId=0,r.adapter.removeClass(n.cssClasses.ANIMATING_CLOSED),r.adapter.notifyClose()}),be.TRANSITION_CLOSE_DURATION)})),this.isSurfaceOpen=!1,t||this.maybeRestoreFocus()}},n.prototype.handleBodyClick=function(t){var n=t.target;this.adapter.isElementInContainer(n)||this.close()},n.prototype.handleKeydown=function(t){var n=t.keyCode;("Escape"===t.key||27===n)&&this.close()},n.prototype.autoposition=function(){var t;this.measurements=this.getAutoLayoutmeasurements();var r=this.getoriginCorner(),a=this.getMenuSurfaceMaxHeight(r),s=this.hasBit(r,me.BOTTOM)?"bottom":"top",l=this.hasBit(r,me.RIGHT)?"right":"left",d=this.getHorizontalOriginOffset(r),h=this.getVerticalOriginOffset(r),p=this.measurements,f=p.anchorSize,m=p.surfaceSize,g=((t={})[l]=d,t[s]=h,t);f.width/m.width>be.ANCHOR_TO_MENU_SURFACE_WIDTH_RATIO&&(l="center"),(this.isHoistedElement||this.isFixedPosition)&&this.adjustPositionForHoistedElement(g),this.adapter.setTransformOrigin(l+" "+s),this.adapter.setPosition(g),this.adapter.setMaxHeight(a?a+"px":""),this.hasBit(r,me.BOTTOM)||this.adapter.addClass(n.cssClasses.IS_OPEN_BELOW)},n.prototype.getAutoLayoutmeasurements=function(){var t=this.adapter.getAnchorDimensions(),n=this.adapter.getBodyDimensions(),r=this.adapter.getWindowDimensions(),a=this.adapter.getWindowScroll();return t||(t={top:this.position.y,right:this.position.x,bottom:this.position.y,left:this.position.x,width:0,height:0}),{anchorSize:t,bodySize:n,surfaceSize:this.dimensions,viewportDistance:{top:t.top,right:r.width-t.right,bottom:r.height-t.bottom,left:t.left},viewportSize:r,windowScroll:a}},n.prototype.getoriginCorner=function(){var t,r,a=this.originCorner,s=this.measurements,l=s.viewportDistance,d=s.anchorSize,h=s.surfaceSize,p=n.numbers.MARGIN_TO_EDGE;this.hasBit(this.anchorCorner,me.BOTTOM)?(t=l.top-p+this.anchorMargin.bottom,r=l.bottom-p-this.anchorMargin.bottom):(t=l.top-p+this.anchorMargin.top,r=l.bottom-p+d.height-this.anchorMargin.top),!(r-h.height>0)&&t>r+this.openBottomBias&&(a=this.setBit(a,me.BOTTOM));var f,m,g=this.adapter.isRtl(),v=this.hasBit(this.anchorCorner,me.FLIP_RTL),y=this.hasBit(this.anchorCorner,me.RIGHT)||this.hasBit(a,me.RIGHT),b=!1;(b=g&&v?!y:y)?(f=l.left+d.width+this.anchorMargin.right,m=l.right-this.anchorMargin.right):(f=l.left+this.anchorMargin.left,m=l.right+d.width-this.anchorMargin.left);var x=f-h.width>0,w=m-h.width>0,S=this.hasBit(a,me.FLIP_RTL)&&this.hasBit(a,me.RIGHT);return w&&S&&g||!x&&S?a=this.unsetBit(a,me.RIGHT):(x&&b&&g||x&&!b&&y||!w&&f>=m)&&(a=this.setBit(a,me.RIGHT)),a},n.prototype.getMenuSurfaceMaxHeight=function(t){if(this.maxHeight>0)return this.maxHeight;var r=this.measurements.viewportDistance,a=0,s=this.hasBit(t,me.BOTTOM),l=this.hasBit(this.anchorCorner,me.BOTTOM),d=n.numbers.MARGIN_TO_EDGE;return s?(a=r.top+this.anchorMargin.top-d,l||(a+=this.measurements.anchorSize.height)):(a=r.bottom-this.anchorMargin.bottom+this.measurements.anchorSize.height-d,l&&(a-=this.measurements.anchorSize.height)),a},n.prototype.getHorizontalOriginOffset=function(t){var n=this.measurements.anchorSize,r=this.hasBit(t,me.RIGHT),a=this.hasBit(this.anchorCorner,me.RIGHT);if(r){var s=a?n.width-this.anchorMargin.left:this.anchorMargin.right;return this.isHoistedElement||this.isFixedPosition?s-(this.measurements.viewportSize.width-this.measurements.bodySize.width):s}return a?n.width-this.anchorMargin.right:this.anchorMargin.left},n.prototype.getVerticalOriginOffset=function(t){var n=this.measurements.anchorSize,r=this.hasBit(t,me.BOTTOM),a=this.hasBit(this.anchorCorner,me.BOTTOM);return r?a?n.height-this.anchorMargin.top:-this.anchorMargin.bottom:a?n.height+this.anchorMargin.bottom:this.anchorMargin.top},n.prototype.adjustPositionForHoistedElement=function(t){var n,r,s=this.measurements,l=s.windowScroll,d=s.viewportDistance,h=s.surfaceSize,p=s.viewportSize,f=Object.keys(t);try{for(var m=(0,a.XA)(f),g=m.next();!g.done;g=m.next()){var v=g.value,y=t[v]||0;!this.isHorizontallyCenteredOnViewport||"left"!==v&&"right"!==v?(y+=d[v],this.isFixedPosition||("top"===v?y+=l.y:"bottom"===v?y-=l.y:"left"===v?y+=l.x:y-=l.x),t[v]=y):t[v]=(p.width-h.width)/2}}catch(t){n={error:t}}finally{try{g&&!g.done&&(r=m.return)&&r.call(m)}finally{if(n)throw n.error}}},n.prototype.maybeRestoreFocus=function(){var t=this,n=this.adapter.isFocused(),r=this.adapter.getOwnerDocument?this.adapter.getOwnerDocument():document,a=r.activeElement&&this.adapter.isElementInContainer(r.activeElement);(n||a)&&setTimeout((function(){t.adapter.restoreFocus()}),be.TOUCH_EVENT_WAIT_MS)},n.prototype.hasBit=function(t,n){return Boolean(t&n)},n.prototype.setBit=function(t,n){return t|n},n.prototype.unsetBit=function(t,n){return t^n},n.prototype.isFinite=function(t){return"number"==typeof t&&isFinite(t)},n}(x.K);const we=xe;var Se=r(3959);const _e={TOP_LEFT:ge.TOP_LEFT,TOP_RIGHT:ge.TOP_RIGHT,BOTTOM_LEFT:ge.BOTTOM_LEFT,BOTTOM_RIGHT:ge.BOTTOM_RIGHT,TOP_START:ge.TOP_START,TOP_END:ge.TOP_END,BOTTOM_START:ge.BOTTOM_START,BOTTOM_END:ge.BOTTOM_END};class MenuSurfaceBase extends v.H{constructor(){super(...arguments),this.mdcFoundationClass=we,this.absolute=!1,this.fullwidth=!1,this.fixed=!1,this.x=null,this.y=null,this.quick=!1,this.open=!1,this.stayOpenOnBodyClick=!1,this.bitwiseCorner=ge.TOP_START,this.previousMenuCorner=null,this.menuCorner="START",this.corner="TOP_START",this.styleTop="",this.styleLeft="",this.styleRight="",this.styleBottom="",this.styleMaxHeight="",this.styleTransformOrigin="",this.anchor=null,this.previouslyFocused=null,this.previousAnchor=null,this.onBodyClickBound=()=>{}}render(){return this.renderSurface()}renderSurface(){const t=this.getRootClasses(),n=this.getRootStyles();return h.dy`
      <div
          class=${(0,p.$)(t)}
          style="${(0,Se.V)(n)}"
          @keydown=${this.onKeydown}
          @opened=${this.registerBodyClick}
          @closed=${this.deregisterBodyClick}>
        ${this.renderContent()}
      </div>`}getRootClasses(){return{"mdc-menu-surface":!0,"mdc-menu-surface--fixed":this.fixed,"mdc-menu-surface--fullwidth":this.fullwidth}}getRootStyles(){return{top:this.styleTop,left:this.styleLeft,right:this.styleRight,bottom:this.styleBottom,"max-height":this.styleMaxHeight,"transform-origin":this.styleTransformOrigin}}renderContent(){return h.dy`<slot></slot>`}createAdapter(){return Object.assign(Object.assign({},(0,v.q)(this.mdcRoot)),{hasAnchor:()=>!!this.anchor,notifyClose:()=>{const t=new CustomEvent("closed",{bubbles:!0,composed:!0});this.open=!1,this.mdcRoot.dispatchEvent(t)},notifyClosing:()=>{const t=new CustomEvent("closing",{bubbles:!0,composed:!0});this.mdcRoot.dispatchEvent(t)},notifyOpen:()=>{const t=new CustomEvent("opened",{bubbles:!0,composed:!0});this.open=!0,this.mdcRoot.dispatchEvent(t)},notifyOpening:()=>{const t=new CustomEvent("opening",{bubbles:!0,composed:!0});this.mdcRoot.dispatchEvent(t)},isElementInContainer:()=>!1,isRtl:()=>!!this.mdcRoot&&"rtl"===getComputedStyle(this.mdcRoot).direction,setTransformOrigin:t=>{this.mdcRoot&&(this.styleTransformOrigin=t)},isFocused:()=>(0,y.WU)(this),saveFocus:()=>{const t=(0,y.Mh)(),n=t.length;n||(this.previouslyFocused=null),this.previouslyFocused=t[n-1]},restoreFocus:()=>{this.previouslyFocused&&"focus"in this.previouslyFocused&&this.previouslyFocused.focus()},getInnerDimensions:()=>{const t=this.mdcRoot;return t?{width:t.offsetWidth,height:t.offsetHeight}:{width:0,height:0}},getAnchorDimensions:()=>{const t=this.anchor;return t?t.getBoundingClientRect():null},getBodyDimensions:()=>({width:document.body.clientWidth,height:document.body.clientHeight}),getWindowDimensions:()=>({width:window.innerWidth,height:window.innerHeight}),getWindowScroll:()=>({x:window.pageXOffset,y:window.pageYOffset}),setPosition:t=>{this.mdcRoot&&(this.styleLeft="left"in t?`${t.left}px`:"",this.styleRight="right"in t?`${t.right}px`:"",this.styleTop="top"in t?`${t.top}px`:"",this.styleBottom="bottom"in t?`${t.bottom}px`:"")},setMaxHeight:async t=>{this.mdcRoot&&(this.styleMaxHeight=t,await this.updateComplete,this.styleMaxHeight=`var(--mdc-menu-max-height, ${t})`)}})}onKeydown(t){this.mdcFoundation&&this.mdcFoundation.handleKeydown(t)}onBodyClick(t){if(this.stayOpenOnBodyClick)return;-1===t.composedPath().indexOf(this)&&this.close()}registerBodyClick(){this.onBodyClickBound=this.onBodyClick.bind(this),document.body.addEventListener("click",this.onBodyClickBound,{passive:!0,capture:!0})}deregisterBodyClick(){document.body.removeEventListener("click",this.onBodyClickBound,{capture:!0})}onOpenChanged(t,n){this.mdcFoundation&&(t?this.mdcFoundation.open():void 0!==n&&this.mdcFoundation.close())}close(){this.open=!1}show(){this.open=!0}}(0,a.gn)([(0,s.IO)(".mdc-menu-surface")],MenuSurfaceBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.IO)("slot")],MenuSurfaceBase.prototype,"slotElement",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t){this.mdcFoundation&&!this.fixed&&this.mdcFoundation.setIsHoisted(t)}))],MenuSurfaceBase.prototype,"absolute",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuSurfaceBase.prototype,"fullwidth",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t){this.mdcFoundation&&!this.absolute&&this.mdcFoundation.setFixedPosition(t)}))],MenuSurfaceBase.prototype,"fixed",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,l.P)((function(t){this.mdcFoundation&&null!==this.y&&null!==t&&(this.mdcFoundation.setAbsolutePosition(t,this.y),this.mdcFoundation.setAnchorMargin({left:t,top:this.y,right:-t,bottom:this.y}))}))],MenuSurfaceBase.prototype,"x",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,l.P)((function(t){this.mdcFoundation&&null!==this.x&&null!==t&&(this.mdcFoundation.setAbsolutePosition(this.x,t),this.mdcFoundation.setAnchorMargin({left:this.x,top:t,right:-this.x,bottom:t}))}))],MenuSurfaceBase.prototype,"y",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,l.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setQuickOpen(t)}))],MenuSurfaceBase.prototype,"quick",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0}),(0,l.P)((function(t,n){this.onOpenChanged(t,n)}))],MenuSurfaceBase.prototype,"open",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuSurfaceBase.prototype,"stayOpenOnBodyClick",void 0),(0,a.gn)([(0,s.SB)(),(0,l.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setAnchorCorner(t)}))],MenuSurfaceBase.prototype,"bitwiseCorner",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,l.P)((function(t){if(this.mdcFoundation){const n="START"===t||"END"===t,r=null===this.previousMenuCorner,a=!r&&t!==this.previousMenuCorner;n&&(a||r&&"END"===t)&&(this.bitwiseCorner=this.bitwiseCorner^me.RIGHT,this.mdcFoundation.flipCornerHorizontally(),this.previousMenuCorner=t)}}))],MenuSurfaceBase.prototype,"menuCorner",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,l.P)((function(t){if(this.mdcFoundation&&t){let n=_e[t];"END"===this.menuCorner&&(n^=me.RIGHT),this.bitwiseCorner=n}}))],MenuSurfaceBase.prototype,"corner",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleTop",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleLeft",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleRight",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleBottom",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleMaxHeight",void 0),(0,a.gn)([(0,s.SB)()],MenuSurfaceBase.prototype,"styleTransformOrigin",void 0);const Me=h.iv`.mdc-menu-surface{display:none;position:absolute;box-sizing:border-box;max-width:calc(100vw - 32px);max-width:var(--mdc-menu-max-width, calc(100vw - 32px));max-height:calc(100vh - 32px);max-height:var(--mdc-menu-max-height, calc(100vh - 32px));margin:0;padding:0;transform:scale(1);transform-origin:top left;opacity:0;overflow:auto;will-change:transform,opacity;z-index:8;transition:opacity .03s linear,transform .12s cubic-bezier(0, 0, 0.2, 1),height 250ms cubic-bezier(0, 0, 0.2, 1);box-shadow:0px 5px 5px -3px rgba(0, 0, 0, 0.2),0px 8px 10px 1px rgba(0, 0, 0, 0.14),0px 3px 14px 2px rgba(0,0,0,.12);background-color:#fff;background-color:var(--mdc-theme-surface, #fff);color:#000;color:var(--mdc-theme-on-surface, #000);border-radius:4px;border-radius:var(--mdc-shape-medium, 4px);transform-origin-left:top left;transform-origin-right:top right}.mdc-menu-surface:focus{outline:none}.mdc-menu-surface--animating-open{display:inline-block;transform:scale(0.8);opacity:0}.mdc-menu-surface--open{display:inline-block;transform:scale(1);opacity:1}.mdc-menu-surface--animating-closed{display:inline-block;opacity:0;transition:opacity .075s linear}[dir=rtl] .mdc-menu-surface,.mdc-menu-surface[dir=rtl]{transform-origin-left:top right;transform-origin-right:top left}.mdc-menu-surface--anchor{position:relative;overflow:visible}.mdc-menu-surface--fixed{position:fixed}.mdc-menu-surface--fullwidth{width:100%}:host(:not([open])){display:none}.mdc-menu-surface{z-index:8;z-index:var(--mdc-menu-z-index, 8);min-width:112px;min-width:var(--mdc-menu-min-width, 112px)}`;let Te=class MenuSurface extends MenuSurfaceBase{};Te.styles=[Me],Te=(0,a.gn)([(0,s.Mo)("mwc-menu-surface")],Te);var Ee,Ce={MENU_SELECTED_LIST_ITEM:"mdc-menu-item--selected",MENU_SELECTION_GROUP:"mdc-menu__selection-group",ROOT:"mdc-menu"},Ae={ARIA_CHECKED_ATTR:"aria-checked",ARIA_DISABLED_ATTR:"aria-disabled",CHECKBOX_SELECTOR:'input[type="checkbox"]',LIST_SELECTOR:".mdc-list,.mdc-deprecated-list",SELECTED_EVENT:"MDCMenu:selected",SKIP_RESTORE_FOCUS:"data-menu-item-skip-restore-focus"},ke={FOCUS_ROOT_INDEX:-1};!function(t){t[t.NONE=0]="NONE",t[t.LIST_ROOT=1]="LIST_ROOT",t[t.FIRST_ITEM=2]="FIRST_ITEM",t[t.LAST_ITEM=3]="LAST_ITEM"}(Ee||(Ee={}));const Oe=function(t){function n(r){var s=t.call(this,(0,a.pi)((0,a.pi)({},n.defaultAdapter),r))||this;return s.closeAnimationEndTimerId=0,s.defaultFocusState=Ee.LIST_ROOT,s.selectedIndex=-1,s}return(0,a.ZT)(n,t),Object.defineProperty(n,"cssClasses",{get:function(){return Ce},enumerable:!1,configurable:!0}),Object.defineProperty(n,"strings",{get:function(){return Ae},enumerable:!1,configurable:!0}),Object.defineProperty(n,"numbers",{get:function(){return ke},enumerable:!1,configurable:!0}),Object.defineProperty(n,"defaultAdapter",{get:function(){return{addClassToElementAtIndex:function(){},removeClassFromElementAtIndex:function(){},addAttributeToElementAtIndex:function(){},removeAttributeFromElementAtIndex:function(){},getAttributeFromElementAtIndex:function(){return null},elementContainsClass:function(){return!1},closeSurface:function(){},getElementIndex:function(){return-1},notifySelected:function(){},getMenuItemCount:function(){return 0},focusItemAtIndex:function(){},focusListRoot:function(){},getSelectedSiblingOfItemAtIndex:function(){return-1},isSelectableItemAtIndex:function(){return!1}}},enumerable:!1,configurable:!0}),n.prototype.destroy=function(){this.closeAnimationEndTimerId&&clearTimeout(this.closeAnimationEndTimerId),this.adapter.closeSurface()},n.prototype.handleKeydown=function(t){var n=t.key,r=t.keyCode;("Tab"===n||9===r)&&this.adapter.closeSurface(!0)},n.prototype.handleItemAction=function(t){var n=this,r=this.adapter.getElementIndex(t);if(!(r<0)){this.adapter.notifySelected({index:r});var a="true"===this.adapter.getAttributeFromElementAtIndex(r,Ae.SKIP_RESTORE_FOCUS);this.adapter.closeSurface(a),this.closeAnimationEndTimerId=setTimeout((function(){var r=n.adapter.getElementIndex(t);r>=0&&n.adapter.isSelectableItemAtIndex(r)&&n.setSelectedIndex(r)}),xe.numbers.TRANSITION_CLOSE_DURATION)}},n.prototype.handleMenuSurfaceOpened=function(){switch(this.defaultFocusState){case Ee.FIRST_ITEM:this.adapter.focusItemAtIndex(0);break;case Ee.LAST_ITEM:this.adapter.focusItemAtIndex(this.adapter.getMenuItemCount()-1);break;case Ee.NONE:break;default:this.adapter.focusListRoot()}},n.prototype.setDefaultFocusState=function(t){this.defaultFocusState=t},n.prototype.getSelectedIndex=function(){return this.selectedIndex},n.prototype.setSelectedIndex=function(t){if(this.validatedIndex(t),!this.adapter.isSelectableItemAtIndex(t))throw new Error("MDCMenuFoundation: No selection group at specified index.");var n=this.adapter.getSelectedSiblingOfItemAtIndex(t);n>=0&&(this.adapter.removeAttributeFromElementAtIndex(n,Ae.ARIA_CHECKED_ATTR),this.adapter.removeClassFromElementAtIndex(n,Ce.MENU_SELECTED_LIST_ITEM)),this.adapter.addClassToElementAtIndex(t,Ce.MENU_SELECTED_LIST_ITEM),this.adapter.addAttributeToElementAtIndex(t,Ae.ARIA_CHECKED_ATTR,"true"),this.selectedIndex=t},n.prototype.setEnabled=function(t,n){this.validatedIndex(t),n?(this.adapter.removeClassFromElementAtIndex(t,J),this.adapter.addAttributeToElementAtIndex(t,Ae.ARIA_DISABLED_ATTR,"false")):(this.adapter.addClassToElementAtIndex(t,J),this.adapter.addAttributeToElementAtIndex(t,Ae.ARIA_DISABLED_ATTR,"true"))},n.prototype.validatedIndex=function(t){var n=this.adapter.getMenuItemCount();if(!(t>=0&&t<n))throw new Error("MDCMenuFoundation: No list item at specified index.")},n}(x.K);class MenuBase extends v.H{constructor(){super(...arguments),this.mdcFoundationClass=Oe,this.listElement_=null,this.anchor=null,this.open=!1,this.quick=!1,this.wrapFocus=!1,this.innerRole="menu",this.innerAriaLabel=null,this.corner="TOP_START",this.x=null,this.y=null,this.absolute=!1,this.multi=!1,this.activatable=!1,this.fixed=!1,this.forceGroupSelection=!1,this.fullwidth=!1,this.menuCorner="START",this.stayOpenOnBodyClick=!1,this.defaultFocus="LIST_ROOT",this._listUpdateComplete=null}get listElement(){return this.listElement_||(this.listElement_=this.renderRoot.querySelector("mwc-list")),this.listElement_}get items(){const t=this.listElement;return t?t.items:[]}get index(){const t=this.listElement;return t?t.index:-1}get selected(){const t=this.listElement;return t?t.selected:null}render(){return this.renderSurface()}renderSurface(){const t=this.getSurfaceClasses();return h.dy`
      <mwc-menu-surface
        ?hidden=${!this.open}
        .anchor=${this.anchor}
        .open=${this.open}
        .quick=${this.quick}
        .corner=${this.corner}
        .x=${this.x}
        .y=${this.y}
        .absolute=${this.absolute}
        .fixed=${this.fixed}
        .fullwidth=${this.fullwidth}
        .menuCorner=${this.menuCorner}
        ?stayOpenOnBodyClick=${this.stayOpenOnBodyClick}
        class=${(0,p.$)(t)}
        @closed=${this.onClosed}
        @opened=${this.onOpened}
        @keydown=${this.onKeydown}>
      ${this.renderList()}
    </mwc-menu-surface>`}getSurfaceClasses(){return{"mdc-menu":!0,"mdc-menu-surface":!0}}renderList(){const t="menu"===this.innerRole?"menuitem":"option",n=this.renderListClasses();return h.dy`
      <mwc-list
          rootTabbable
          .innerAriaLabel=${this.innerAriaLabel}
          .innerRole=${this.innerRole}
          .multi=${this.multi}
          class=${(0,p.$)(n)}
          .itemRoles=${t}
          .wrapFocus=${this.wrapFocus}
          .activatable=${this.activatable}
          @action=${this.onAction}>
        <slot></slot>
      </mwc-list>`}renderListClasses(){return{"mdc-deprecated-list":!0}}createAdapter(){return{addClassToElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const a=r.items[t];a&&("mdc-menu-item--selected"===n?this.forceGroupSelection&&!a.selected&&r.toggle(t,!0):a.classList.add(n))},removeClassFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const a=r.items[t];a&&("mdc-menu-item--selected"===n?a.selected&&r.toggle(t,!1):a.classList.remove(n))},addAttributeToElementAtIndex:(t,n,r)=>{const a=this.listElement;if(!a)return;const s=a.items[t];s&&s.setAttribute(n,r)},removeAttributeFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return;const a=r.items[t];a&&a.removeAttribute(n)},getAttributeFromElementAtIndex:(t,n)=>{const r=this.listElement;if(!r)return null;const a=r.items[t];return a?a.getAttribute(n):null},elementContainsClass:(t,n)=>t.classList.contains(n),closeSurface:()=>{this.open=!1},getElementIndex:t=>{const n=this.listElement;return n?n.items.indexOf(t):-1},notifySelected:()=>{},getMenuItemCount:()=>{const t=this.listElement;return t?t.items.length:0},focusItemAtIndex:t=>{const n=this.listElement;if(!n)return;const r=n.items[t];r&&r.focus()},focusListRoot:()=>{this.listElement&&this.listElement.focus()},getSelectedSiblingOfItemAtIndex:t=>{const n=this.listElement;if(!n)return-1;const r=n.items[t];if(!r||!r.group)return-1;for(let a=0;a<n.items.length;a++){if(a===t)continue;const s=n.items[a];if(s.selected&&s.group===r.group)return a}return-1},isSelectableItemAtIndex:t=>{const n=this.listElement;if(!n)return!1;const r=n.items[t];return!!r&&r.hasAttribute("group")}}}onKeydown(t){this.mdcFoundation&&this.mdcFoundation.handleKeydown(t)}onAction(t){const n=this.listElement;if(this.mdcFoundation&&n){const r=t.detail.index,a=n.items[r];a&&this.mdcFoundation.handleItemAction(a)}}onOpened(){this.open=!0,this.mdcFoundation&&this.mdcFoundation.handleMenuSurfaceOpened()}onClosed(){this.open=!1}async getUpdateComplete(){await this._listUpdateComplete;return await super.getUpdateComplete()}async firstUpdated(){super.firstUpdated();const t=this.listElement;t&&(this._listUpdateComplete=t.updateComplete,await this._listUpdateComplete)}select(t){const n=this.listElement;n&&n.select(t)}close(){this.open=!1}show(){this.open=!0}getFocusedItemIndex(){const t=this.listElement;return t?t.getFocusedItemIndex():-1}focusItemAtIndex(t){const n=this.listElement;n&&n.focusItemAtIndex(t)}layout(t=!0){const n=this.listElement;n&&n.layout(t)}}(0,a.gn)([(0,s.IO)(".mdc-menu")],MenuBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.IO)("slot")],MenuBase.prototype,"slotElement",void 0),(0,a.gn)([(0,s.Cb)({type:Object})],MenuBase.prototype,"anchor",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean,reflect:!0})],MenuBase.prototype,"open",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"quick",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"wrapFocus",void 0),(0,a.gn)([(0,s.Cb)({type:String})],MenuBase.prototype,"innerRole",void 0),(0,a.gn)([(0,s.Cb)({type:String})],MenuBase.prototype,"innerAriaLabel",void 0),(0,a.gn)([(0,s.Cb)({type:String})],MenuBase.prototype,"corner",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],MenuBase.prototype,"x",void 0),(0,a.gn)([(0,s.Cb)({type:Number})],MenuBase.prototype,"y",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"absolute",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"multi",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"activatable",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"fixed",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"forceGroupSelection",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"fullwidth",void 0),(0,a.gn)([(0,s.Cb)({type:String})],MenuBase.prototype,"menuCorner",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],MenuBase.prototype,"stayOpenOnBodyClick",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,l.P)((function(t){this.mdcFoundation&&this.mdcFoundation.setDefaultFocusState(Ee[t])}))],MenuBase.prototype,"defaultFocus",void 0);const Re=h.iv`mwc-list ::slotted([mwc-list-item]:not([twoline])),mwc-list ::slotted([noninteractive]:not([twoline])){height:var(--mdc-menu-item-height, 48px)}`;let Ie=class Menu extends MenuBase{};Ie.styles=[Re],Ie=(0,a.gn)([(0,s.Mo)("mwc-menu")],Ie);var Pe=r(8949);const Le=h.iv`:host {
  --item-top-padding: 5px;
  --item-bottom-padding: 0px;
  --item-height: 32px;
  --item-vertical-offset:
      calc(var(--item-top-padding) +
        var(--item-bottom-padding) +
        var(--item-height));
}

#menu-toolbar {
  display: flex;
}

.item {
  background: white;
  height: var(--item-height);
  width: 260px;
  padding:var(--item-top-padding) 5px var(--item-bottom-padding) 7px;
  font-size: 14px;
  overflow: hidden;
  cursor: default;
  user-select: none;
}

.item-text{
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
}

.check{
  vertical-align: middle;
  padding: 0 6px;
  color: #5F6368;
}

.item:hover{
  background: #E4F7FB;
}

.disabled:hover{
  background: white;
}

.text-disabled{
  color: #aaa;
}


button {
  background: white;
  border: white;
  border-radius: 3px;
  padding: 2px 5px;
  margin-right: 4.5px;
  font-family: Roboto;
  font-style: normal;
  font-weight: normal;
  font-size: 14px;
  line-height: 20px;
  color: #3C4043;

}

button:focus {
  outline: none;
  background: #F1F3F4;
  color: #098591;
}

.button-focus{
  outline: none;
  background: #F1F3F4;
  color: #098591;
}

button:hover {
  background: #F1F3F4;
}

/* For in-line icons in a <span> */
[data-icon] {
  margin: 0;
}

[data-icon]:before {
  font-family: 'Material Icons';
  content: attr(data-icon);
  vertical-align: middle;
}

.dropdown-icon {
  font-size: 18px;
  color: #5F6368;
}

.icon-focus {
  color: #098591;
}

#menu-holder {
  position: absolute;
}

.menu-container {
  position: relative;
}

.menu {
  position: absolute;
  top: calc(var(--submenu-index) * var(--item-vertical-offset));
}

/* Only displays icons (e.g. checkmark) where the element is selected. */
[mwc-list-item][group]:not([selected]) [slot="graphic"] {
  display: none;
}

ul.mdc-list {
  padding: 4px 0;
}
`;let De=class MenuToolbar extends g.G{static get styles(){return[Le]}get menuNames(){return Array.from(this.menuData.keys())}constructor(){super(),this.menuData=new Map,(0,Pe.rC)(this)}render(){return h.dy`
      <div class="toolbar" id="menu-toolbar">
        ${this.menuNames.map((t=>{const n=this.menuData.get(t);if(null!=n)return h.dy`
              <lit-menu .items=${n} .name=${t}>
              </lit-menu>
              `}))}
      </div>
    `}};(0,a.gn)([(0,s.Cb)({type:Object}),(0,a.w6)("design:type",Object)],De.prototype,"menuData",void 0),(0,a.gn)([Pe.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],De.prototype,"menuNames",null),De=(0,a.gn)([(0,s.Mo)("lit-menu-toolbar"),(0,a.w6)("design:paramtypes",[])],De);let Fe=class LitMenu extends h.oi{constructor(){super(...arguments),this.items=[],this.name="",this.menuId="menu",this.buttonId="menu_button",this.openSubmenus=new Set,this.menuOpen=!1}static get styles(){return[Le]}getItemId(t,n){return`${t}_item_${n}`}getSubmenuId(t){return`${t}_menu`}parseId(t){return t.split("_").filter((t=>"menu"!==t&&"item"!==t))}isSubmenu(t,n){const r=this.parseId(t),a=this.parseId(n);return a.length===r.length+1&&a.join("_").startsWith(r.join("_"))}anchorSubmenus(t,n){t.forEach(((t,r)=>{const a=this.getItemId(n,r),s=this.getSubmenuId(a),l=this.shadowRoot.querySelector(`#${a}`),d=this.shadowRoot.querySelector(`#${s}`);null!=d&&null!=l&&(d.anchor=l,t.menu.length>0&&this.anchorSubmenus(t.menu,s))}))}updated(){null!=this.menu&&null!=this.button&&(this.menu.anchor=this.button,this.anchorSubmenus(this.items,this.menuId))}renderItem(t,n,r){const a=t.menu.length>0,s=(0,Se.V)({visibility:t.displayIcon||a?"visible":"hidden"}),l=(0,p.$)({item:!0,disabled:t.disabled}),d=(0,p.$)({"item-text":!0,"text-disabled":t.disabled});return h.dy`
      <div class=${l} graphic='icon' id=${r} @click=${a?null:t.onClick}
        @mouseover=${()=>{for(const t of Array.from(this.openSubmenus.keys())){const n=this.shadowRoot.querySelector(`#${t}`);if(null==n)return;this.isSubmenu(t,r)||(n.close(),this.openSubmenus.delete(t))}if(!a)return;const t=this.shadowRoot.querySelector(`#${n}`);null!=t&&(t.show(),this.openSubmenus.add(n))}}>
          <mwc-icon slot='graphic' class='check' style=${s}>
            ${a?"arrow_right":"check"}
          </mwc-icon>
          <span class=${d}>
            ${t.itemText.slice(0,25)+(t.itemText.length>25?"...":"")}
          </span>
      </div>
    `}renderMenu(t,n,r){const a=null==r?(0,Se.V)({}):(0,Se.V)({"--submenu-index":`${r}`});return h.dy`
      <mwc-menu class='menu' style=${a} id=${n}
        corner=${null==r?"TOP_START":"TOP_END"}
        @click=${()=>{this.shadowRoot.querySelector(`#${n}`).close()}} @opened=${null==r?()=>{window.requestAnimationFrame((()=>{this.menuOpen=!0,this.requestUpdate()}))}:null}
        @closed=${null==r?()=>{window.requestAnimationFrame((()=>{this.menuOpen=!1,this.requestUpdate()}))}:null} quick>
        ${t.map(((t,r)=>{const a=this.getItemId(n,r),s=this.getSubmenuId(a);return this.renderItem(t,s,a)}))}
      </mwc-menu>
      ${t.map(((t,r)=>{const a=this.getItemId(n,r),s=this.getSubmenuId(a);return t.menu.length>0?this.renderMenu(t.menu,s,r):""}))}
    `}render(){const t=(0,p.$)({"button-focus":this.menuOpen}),n=(0,p.$)({"icon-focus":this.menuOpen,"dropdown-icon":!0});return h.dy`
        <div class='menu-container'>
          <button id=${this.buttonId} class=${t} @click=${()=>{var t,n;null!=this.menu&&(this.menuOpen?null===(n=this.button)||void 0===n||n.blur():(this.menu.show(),null===(t=this.button)||void 0===t||t.focus()))}}>
            ${this.name}
            <span class=${n} data-icon=${this.menuOpen?"arrow_drop_up":"arrow_drop_down"}></span>
          </button>
          <div id='menu-holder'>
            ${this.renderMenu(this.items,this.menuId)}
          </div>
        </div>
    `}};(0,a.gn)([(0,s.Cb)({type:Array}),(0,a.w6)("design:type",Array)],Fe.prototype,"items",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],Fe.prototype,"name",void 0),(0,a.gn)([(0,s.IO)("#menu"),(0,a.w6)("design:type",Ie)],Fe.prototype,"menu",void 0),(0,a.gn)([(0,s.IO)("#menu_button"),(0,a.w6)("design:type",HTMLElement)],Fe.prototype,"button",void 0),Fe=(0,a.gn)([(0,s.Mo)("lit-menu")],Fe)},6353:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(3959);const h=s.iv`/** Slider styles for Chrome */
:host {
  display: flex;
  flex-direction: row;
  align-items: center;
}

input[type='range'].slider {
  -webkit-appearance: none;
  max-width: calc(100% - 4px);
  min-width: 50px;
  background: var(--lit-neutral-400);
  border-radius: 4px;
  background-image: linear-gradient(var(--lit-cyea-400), var(--lit-cyea-400));
  background-repeat: no-repeat;
}

input[type='range'].slider::-webkit-slider-runnable-track {
  -webkit-appearance: none;
  height: 10px;
  color: var(--lit-cyea-400);
}

input[type='range'].slider::-webkit-slider-thumb {
  -webkit-appearance: none;
  width: 16px;
  height: 16px;
  margin-top: -3px;
  border-radius: 50%;
  cursor: grab;
  background: var(--lit-cyea-600);
  box-shadow: 0 0 2px 0 var(--lit-neutral-900);
}

/** Slider styles for FF*/
input[type="range"].slider::-moz-range-progress {
  background-color: var(--lit-cyea-400);
}

input[type="range"].slider::-moz-range-thumb {
  background-color: var(--lit-cyea-600);
}

input[type="range"].slider::-moz-range-track {
  background-color: var(--lit-neutral-400);
}

/** Slider styles for IE */
input[type="range"].slider::-ms-fill-lower {
  background-color: var(--lit-cyea-400);
}

input[type="range"].slider::-ms-fill-upper {
  background-color: var(--lit-neutral-400);
}

input[type="range"].slider::-ms-thumb {
  background-color: var(--lit-cyea-600);
}

input[type=number]::-webkit-inner-spin-button,
input[type=number]::-webkit-outer-spin-button {
  opacity: 1;
}

.slider {
  min-width: 60px;
  flex: 1;
}

.slider-label {
  color: var(--lit-neutral-600);
  font-size: 11px;
  min-width: 2em;
}

.slider-label.start {
  text-align: end;
  min-width: 1em;
  margin-left: 3px;
}

.slider-value {
  color: var(--lit-neutral-900);
  min-width: 2em;
  text-align: right;
  width: 6ch;
}

.slider-value.error {
  color: var(--google-red-600);
  background-color: var(--google-red-50);
  border-color: var(--google-red-600);
  border-style: solid;
  border-radius: 2px;
}`;var p=r(5889);let f=class NumericInput extends s.oi{constructor(){super(...arguments),this.min=0,this.max=1,this.step=.1,this.value=.5,this.ROUNDING_TIMEOUT_MS=3e3,this.roundingTimeoutId=null}get precision(){var t;return(null===(t=this.step.toString().split(".")[1])||void 0===t?void 0:t.length)||0}static get styles(){return[p.W,h]}render(){const t={"background-size":100*((this.value-this.min)/(this.max-this.min))+"% 100%"},n=()=>{this.roundingTimeoutId&&clearTimeout(this.roundingTimeoutId);const t=Math.round(this.value/this.step)*this.step;this.value=Number(t.toFixed(this.precision)),this.dispatchEvent(new Event("change"))},r=t=>{const{value:n}=t.target;"."!==n&&(this.value=Number(n))},a=t=>{r(t),n()},l=this.value<this.min||this.value>this.max,h=l?`Please choose a value between\n      ${this.min.toString()} and ${this.max.toString()}.`:"",p=s.dy`
      <lit-tooltip content=${h}>
        <input slot="tooltip-anchor" type="number"
          class="slider-value ${l?"error":""}"
          .step=${this.step.toString()}
          .min=${this.min.toString()}
          .max=${this.max.toString()}
          .value=${this.value.toString()}
          @input=${r}
          @change=${a}
          @keypress=${t=>{"Enter"===t.key?n():(this.roundingTimeoutId&&clearTimeout(this.roundingTimeoutId),this.roundingTimeoutId=window.setTimeout(n,this.ROUNDING_TIMEOUT_MS))}}
          @blur=${n}>
      </lit-tooltip>`;return s.dy`
      <div class='slider-label start'>${this.min}</div>
      <input
        type="range"
        class="slider"
        style=${(0,d.V)(t)}
        .min=${this.min.toString()}
        .max=${this.max.toString()}
        .step=${this.step.toString()}
        .value=${this.value.toString()}
        @change=${a}>
      <div class='slider-label'>${this.max}</div>
      ${p}`}};(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"min",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"max",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"step",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"value",void 0),f=(0,a.gn)([(0,l.Mo)("lit-numeric-input")],f)},8684:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9537),h=r(5889);const p=s.iv`:host {
  --popup-left: unset;
  --popup-right: unset;
  --popup-top: unset;
  --popup-bottom: unset;
}

.popup-toggle-anchor {
  cursor: pointer;
}

.popup-outer-holder {
  position: relative;
}

.popup-container {
  padding: 4px;
  background: white;
  border: 1px solid var(--lit-neutral-300);
  border-radius: 4px;
  box-shadow: var(--lit-box-shadow);

  position: absolute;
  z-index: 9001;  /* over 9000! */

  left: var(--popup-left);
  right: var(--popup-right);
  top: var(--popup-top);
  bottom: var(--popup-bottom);
}
`;let f=class PopupContainer extends d.f{constructor(){super(...arguments),this.expanded=!1}static get styles(){return[h.W,p]}toggle(){this.expanded=!this.expanded}renderPopup(){return s.dy`
      <div class='popup-outer-holder'>
        <div class='popup-container'>
           <slot></slot>
        </div>
      </div>
    `}render(){const t=this.expanded?"toggle-anchor-open":"toggle-anchor-closed";return s.dy`
        <div class='popup-toggle-anchor' @click=${()=>{this.toggle()}}>
          <slot name="toggle-anchor"></slot>
          <slot name=${t}></slot>
        </div>
        ${this.expanded?this.renderPopup():null}
    `}clickToClose(t){t.composedPath().some((t=>t===this))||(this.expanded=!1)}updated(){const t=t=>{this.clickToClose(t)};this.expanded?document.body.addEventListener("click",t,{passive:!0,capture:!0}):document.body.removeEventListener("click",t,{capture:!0})}};(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],f.prototype,"expanded",void 0),f=(0,a.gn)([(0,l.Mo)("popup-container")],f)},2637:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(3959);const h="The predicted label",p="The ground truth label";let f=class ScoreBar extends l.oi{constructor(){super(...arguments),this.score=0,this.maxScore=1,this.scorePrecision=3}static get styles(){return l.iv`
        .holder {
          width: 100px;
          height: 20px;
          display: flex;
          position: relative;
        }

        .bar {
          padding-left: .75%;
          padding-right: .75%;
          margin-left: .35%;
          margin-right: .35%;
          background-color: var(--lit-cyea-300);
        }

        .text {
          position: absolute;
          padding-left: 4px;
          padding-right: 2px;
          color: var(--lit-neutral-800);
        }
    `}render(){const t={width:90*(this.score/this.maxScore)+"%"};return this.barColor&&(t["background-color"]=this.barColor),l.dy`
        <div class='holder'>
          <div class='bar' style='${(0,d.V)(t)}'></div>
          <div class='text'>${this.score.toFixed(this.scorePrecision)}</div>
        </div>`}};(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"score",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"maxScore",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"scorePrecision",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",String)],f.prototype,"barColor",void 0),f=(0,a.gn)([(0,s.Mo)("score-bar")],f);let m=class AnnotatedScoreBar extends l.oi{constructor(){super(...arguments),this.hasTruth=!1,this.isPredicted=!1,this.isTruth=!1,this.value=0}static get styles(){return l.iv`
        .annotated-cell{
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: space-between;
        }

        .indicator {
          min-width: 16px;
          text-align: center;
        }`}render(){return l.dy`<div class="annotated-cell">
      <score-bar score=${this.value} maxScore=${1}
        .barColor=${this.barColor}></score-bar>
      <lit-tooltip content="${h}">
        <div class="indicator" slot="tooltip-anchor">
          ${this.isPredicted?"P":null}
        </div>
      </lit-tooltip>
      ${this.hasTruth?l.dy`<lit-tooltip content=${p}>
          <div class="indicator" slot="tooltip-anchor">
            ${this.isTruth?"T":null}
          </div></lit-tooltip>`:null}
    </div>`}};(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],m.prototype,"hasTruth",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],m.prototype,"isPredicted",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],m.prototype,"isTruth",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],m.prototype,"value",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",String)],m.prototype,"barColor",void 0),m=(0,a.gn)([(0,s.Mo)("annotated-score-bar")],m);let g=class AnnotatedScoreBarLegend extends l.oi{constructor(){super(...arguments),this.hasTruth=!1}render(){return l.dy`<span>
      P = ${h}
      ${this.hasTruth?`, T = ${p}`:""}
    </span>`}};(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"hasTruth",void 0),g=(0,a.gn)([(0,s.Mo)("annotated-score-bar-legend")],g)},277:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9537),h=r(5889);const p=s.iv`
/* Show More */
:host {
  --show-more-max-width: 20px;
}

.lit-showmore {
    background-color: var(--lit-cyea-400);
    display: inline;
    width: var(--show-more-max-width);
    border-radius: 10px;
    vertical-align: top;
}

/* TODO(lit-dev): Make this behavior keyed on host attribute selector once
show more functionality is expanded. */
.lit-showmore:hover {
  background-color: var(--lit-mage-400);
}

.icon-button {
  color: white;
  font-size: 24px;
  vertical-align: top;
}

.icon-button:hover {
  color: white;
}`;let f=class LitShowMore extends d.f{constructor(){super(...arguments),this.visible=!0,this.hiddenTextLength=0}static get styles(){return[h.W,p]}render(){const t=s.dy`<span slot="tooltip-anchor"
        class="material-icon-outlined icon-button"
        @click=${t=>{const n=new CustomEvent("showmore");this.dispatchEvent(n),t.stopPropagation(),t.preventDefault(),this.visible=!1}}>more_horiz</span>`,n=s.dy`<lit-tooltip
          content="Show ${this.hiddenTextLength} more characters">
          ${t}
        </lit-tooltip>`;return s.dy`<span class='lit-showmore'>${n}</span>`}};(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],f.prototype,"visible",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"hiddenTextLength",void 0),f=(0,a.gn)([(0,l.Mo)("lit-showmore")],f)},5681:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(3959);const h=(t,n)=>`solid ${t}px ${n}`;let p=class SpinnerComponent extends l.oi{constructor(){super(...arguments),this.size=16,this.color=""}static get styles(){return[l.iv`
        #spinner {
          margin-left: 10px;
          border-radius: 50%;
          width: 16px;
          height: 16px;
          animation: spin 2s linear infinite;
        }

        @keyframes spin {
          0% { transform: rotate(0deg); }
          100% { transform: rotate(360deg); }
        }
      `]}render(){const t=`${this.size}px`,n=this.size/8,r=""===this.color?"var(--app-primary-color)":this.color,a=h(n,r),s=h(n,"rgba(0,0,0,0)"),p=(0,d.V)({height:t,width:t,border:a,borderTop:s});return l.dy`
      <div id="spinner" style=${p}></div>
    `}};(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],p.prototype,"size",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],p.prototype,"color",void 0),p=(0,a.gn)([(0,s.Mo)("lit-spinner")],p)},5950:(t,n,r)=>{"use strict";r.d(n,{j:()=>C});var a=r(7582),s=r(5595),l=(r(2380),r(6036)),d=r(339),h=r(9263),p=r(6308);function f(t,n,r){var s=function(t,n){var r=new Map;m.has(t)||m.set(t,{isEnabled:!0,getObservers:function(t){var n=r.get(t)||[];return r.has(t)||r.set(t,n),n},installedProperties:new Set});var s=m.get(t);if(s.installedProperties.has(n))return s;var l=function(t,n){var r,a=t;for(;a&&!(r=Object.getOwnPropertyDescriptor(a,n));)a=Object.getPrototypeOf(a);return r}(t,n)||{configurable:!0,enumerable:!0,value:t[n],writable:!0},d=(0,a.pi)({},l),h=l.get,p=l.set;if("value"in l){delete d.value,delete d.writable;var f=l.value;h=function(){return f},l.writable&&(p=function(t){f=t})}h&&(d.get=function(){return h.call(this)});p&&(d.set=function(t){var r,l,d=h?h.call(this):t;if(p.call(this,t),s.isEnabled&&(!h||t!==d))try{for(var f=(0,a.XA)(s.getObservers(n)),m=f.next();!m.done;m=f.next()){(0,m.value)(t,d)}}catch(t){r={error:t}}finally{try{m&&!m.done&&(l=f.return)&&l.call(f)}finally{if(r)throw r.error}}});return s.installedProperties.add(n),Object.defineProperty(t,n,d),s}(t,n),l=s.getObservers(n);return l.push(r),function(){l.splice(l.indexOf(r),1)}}var m=new WeakMap;function g(t,n){var r=m.get(t);r&&(r.isEnabled=n)}var v,y,b=function(t){function n(n){var r=t.call(this,n)||this;return r.unobserves=new Set,r}return(0,a.ZT)(n,t),n.prototype.destroy=function(){t.prototype.destroy.call(this),this.unobserve()},n.prototype.observe=function(t,n){var r,s,l=this,d=[];try{for(var h=(0,a.XA)(Object.keys(n)),p=h.next();!p.done;p=h.next()){var f=p.value,m=n[f].bind(this);d.push(this.observeProperty(t,f,m))}}catch(t){r={error:t}}finally{try{p&&!p.done&&(s=h.return)&&s.call(h)}finally{if(r)throw r.error}}var g=function(){var t,n;try{for(var r=(0,a.XA)(d),s=r.next();!s.done;s=r.next()){(0,s.value)()}}catch(n){t={error:n}}finally{try{s&&!s.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}l.unobserves.delete(g)};return this.unobserves.add(g),g},n.prototype.observeProperty=function(t,n,r){return f(t,n,r)},n.prototype.setObserversEnabled=function(t,n){g(t,n)},n.prototype.unobserve=function(){var t,n;try{for(var r=(0,a.XA)((0,a.ev)([],(0,a.CR)(this.unobserves))),s=r.next();!s.done;s=r.next()){(0,s.value)()}}catch(n){t={error:n}}finally{try{s&&!s.done&&(n=r.return)&&n.call(r)}finally{if(t)throw t.error}}},n}(p.K);!function(t){t.PROCESSING="mdc-switch--processing",t.SELECTED="mdc-switch--selected",t.UNSELECTED="mdc-switch--unselected"}(v||(v={})),function(t){t.RIPPLE=".mdc-switch__ripple"}(y||(y={}));var x=function(t){function n(n){var r=t.call(this,n)||this;return r.handleClick=r.handleClick.bind(r),r}return(0,a.ZT)(n,t),n.prototype.init=function(){this.observe(this.adapter.state,{disabled:this.stopProcessingIfDisabled,processing:this.stopProcessingIfDisabled})},n.prototype.handleClick=function(){this.adapter.state.disabled||(this.adapter.state.selected=!this.adapter.state.selected)},n.prototype.stopProcessingIfDisabled=function(){this.adapter.state.disabled&&(this.adapter.state.processing=!1)},n}(b),w=(function(t){function n(){return null!==t&&t.apply(this,arguments)||this}(0,a.ZT)(n,t),n.prototype.init=function(){t.prototype.init.call(this),this.observe(this.adapter.state,{disabled:this.onDisabledChange,processing:this.onProcessingChange,selected:this.onSelectedChange})},n.prototype.initFromDOM=function(){this.setObserversEnabled(this.adapter.state,!1),this.adapter.state.selected=this.adapter.hasClass(v.SELECTED),this.onSelectedChange(),this.adapter.state.disabled=this.adapter.isDisabled(),this.adapter.state.processing=this.adapter.hasClass(v.PROCESSING),this.setObserversEnabled(this.adapter.state,!0),this.stopProcessingIfDisabled()},n.prototype.onDisabledChange=function(){this.adapter.setDisabled(this.adapter.state.disabled)},n.prototype.onProcessingChange=function(){this.toggleClass(this.adapter.state.processing,v.PROCESSING)},n.prototype.onSelectedChange=function(){this.adapter.setAriaChecked(String(this.adapter.state.selected)),this.toggleClass(this.adapter.state.selected,v.SELECTED),this.toggleClass(!this.adapter.state.selected,v.UNSELECTED)},n.prototype.toggleClass=function(t,n){t?this.adapter.addClass(n):this.adapter.removeClass(n)}}(x),r(9392)),S=r(9455),_=r(796);class SwitchBase extends d.Wg{constructor(){super(...arguments),this.processing=!1,this.selected=!1,this.ariaLabel="",this.ariaLabelledBy="",this.shouldRenderRipple=!1,this.rippleHandlers=new h.A((()=>(this.shouldRenderRipple=!0,this.ripple))),this.name="",this.value="on",this.mdcFoundationClass=x}setFormData(t){this.name&&this.selected&&t.append(this.name,this.value)}click(){var t,n;this.disabled||(null===(t=this.mdcRoot)||void 0===t||t.focus(),null===(n=this.mdcRoot)||void 0===n||n.click())}render(){return w.dy`
      <button
        type="button"
        class="mdc-switch ${(0,S.$)(this.getRenderClasses())}"
        role="switch"
        aria-checked="${this.selected}"
        aria-label="${(0,_.o)(this.ariaLabel||void 0)}"
        aria-labelledby="${(0,_.o)(this.ariaLabelledBy||void 0)}"
        .disabled=${this.disabled}
        @click=${this.handleClick}
        @focus="${this.handleFocus}"
        @blur="${this.handleBlur}"
        @pointerdown="${this.handlePointerDown}"
        @pointerup="${this.handlePointerUp}"
        @pointerenter="${this.handlePointerEnter}"
        @pointerleave="${this.handlePointerLeave}"
      >
        <div class="mdc-switch__track"></div>
        <div class="mdc-switch__handle-track">
          ${this.renderHandle()}
        </div>
      </button>

      <input
        type="checkbox"
        aria-hidden="true"
        name="${this.name}"
        .checked=${this.selected}
        .value=${this.value}
      >
    `}getRenderClasses(){return{"mdc-switch--processing":this.processing,"mdc-switch--selected":this.selected,"mdc-switch--unselected":!this.selected}}renderHandle(){return w.dy`
      <div class="mdc-switch__handle">
        ${this.renderShadow()}
        ${this.renderRipple()}
        <div class="mdc-switch__icons">
          ${this.renderOnIcon()}
          ${this.renderOffIcon()}
        </div>
      </div>
    `}renderShadow(){return w.dy`
      <div class="mdc-switch__shadow">
        <div class="mdc-elevation-overlay"></div>
      </div>
    `}renderRipple(){return this.shouldRenderRipple?w.dy`
        <div class="mdc-switch__ripple">
          <mwc-ripple
            internalUseStateLayerCustomProperties
            .disabled="${this.disabled}"
            unbounded>
          </mwc-ripple>
        </div>
      `:w.dy``}renderOnIcon(){return w.dy`
      <svg class="mdc-switch__icon mdc-switch__icon--on" viewBox="0 0 24 24">
        <path d="M19.69,5.23L8.96,15.96l-4.23-4.23L2.96,13.5l6,6L21.46,7L19.69,5.23z" />
      </svg>
    `}renderOffIcon(){return w.dy`
      <svg class="mdc-switch__icon mdc-switch__icon--off" viewBox="0 0 24 24">
        <path d="M20 13H4v-2h16v2z" />
      </svg>
    `}handleClick(){var t;null===(t=this.mdcFoundation)||void 0===t||t.handleClick()}handleFocus(){this.rippleHandlers.startFocus()}handleBlur(){this.rippleHandlers.endFocus()}handlePointerDown(t){t.target.setPointerCapture(t.pointerId),this.rippleHandlers.startPress(t)}handlePointerUp(){this.rippleHandlers.endPress()}handlePointerEnter(){this.rippleHandlers.startHover()}handlePointerLeave(){this.rippleHandlers.endHover()}createAdapter(){return{state:this}}}(0,a.gn)([(0,s.Cb)({type:Boolean})],SwitchBase.prototype,"processing",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean})],SwitchBase.prototype,"selected",void 0),(0,a.gn)([l.L,(0,s.Cb)({type:String,attribute:"aria-label"})],SwitchBase.prototype,"ariaLabel",void 0),(0,a.gn)([l.L,(0,s.Cb)({type:String,attribute:"aria-labelledby"})],SwitchBase.prototype,"ariaLabelledBy",void 0),(0,a.gn)([(0,s.GC)("mwc-ripple")],SwitchBase.prototype,"ripple",void 0),(0,a.gn)([(0,s.SB)()],SwitchBase.prototype,"shouldRenderRipple",void 0),(0,a.gn)([(0,s.Cb)({type:String,reflect:!0})],SwitchBase.prototype,"name",void 0),(0,a.gn)([(0,s.Cb)({type:String})],SwitchBase.prototype,"value",void 0),(0,a.gn)([(0,s.IO)("input")],SwitchBase.prototype,"formElement",void 0),(0,a.gn)([(0,s.IO)(".mdc-switch")],SwitchBase.prototype,"mdcRoot",void 0),(0,a.gn)([(0,s.hO)({passive:!0})],SwitchBase.prototype,"handlePointerDown",null);const T=w.iv`.mdc-elevation-overlay{position:absolute;border-radius:inherit;pointer-events:none;opacity:0;opacity:var(--mdc-elevation-overlay-opacity, 0);transition:opacity 280ms cubic-bezier(0.4, 0, 0.2, 1);background-color:#fff;background-color:var(--mdc-elevation-overlay-color, #fff)}.mdc-switch{align-items:center;background:none;border:none;cursor:pointer;display:inline-flex;flex-shrink:0;margin:0;outline:none;overflow:visible;padding:0;position:relative}.mdc-switch:disabled{cursor:default;pointer-events:none}.mdc-switch__track{overflow:hidden;position:relative;width:100%}.mdc-switch__track::before,.mdc-switch__track::after{border:1px solid transparent;border-radius:inherit;box-sizing:border-box;content:"";height:100%;left:0;position:absolute;width:100%}@media screen and (forced-colors: active){.mdc-switch__track::before,.mdc-switch__track::after{border-color:currentColor}}.mdc-switch__track::before{transition:transform 75ms 0ms cubic-bezier(0, 0, 0.2, 1);transform:translateX(0)}.mdc-switch__track::after{transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.6, 1);transform:translateX(-100%)}[dir=rtl] .mdc-switch__track::after,.mdc-switch__track[dir=rtl]::after{transform:translateX(100%)}.mdc-switch--selected .mdc-switch__track::before{transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.6, 1);transform:translateX(100%)}[dir=rtl] .mdc-switch--selected .mdc-switch__track::before,.mdc-switch--selected .mdc-switch__track[dir=rtl]::before{transform:translateX(-100%)}.mdc-switch--selected .mdc-switch__track::after{transition:transform 75ms 0ms cubic-bezier(0, 0, 0.2, 1);transform:translateX(0)}.mdc-switch__handle-track{height:100%;pointer-events:none;position:absolute;top:0;transition:transform 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1);left:0;right:auto;transform:translateX(0)}[dir=rtl] .mdc-switch__handle-track,.mdc-switch__handle-track[dir=rtl]{left:auto;right:0}.mdc-switch--selected .mdc-switch__handle-track{transform:translateX(100%)}[dir=rtl] .mdc-switch--selected .mdc-switch__handle-track,.mdc-switch--selected .mdc-switch__handle-track[dir=rtl]{transform:translateX(-100%)}.mdc-switch__handle{display:flex;pointer-events:auto;position:absolute;top:50%;transform:translateY(-50%);left:0;right:auto}[dir=rtl] .mdc-switch__handle,.mdc-switch__handle[dir=rtl]{left:auto;right:0}.mdc-switch__handle::before,.mdc-switch__handle::after{border:1px solid transparent;border-radius:inherit;box-sizing:border-box;content:"";width:100%;height:100%;left:0;position:absolute;top:0;transition:background-color 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1),border-color 75ms 0ms cubic-bezier(0.4, 0, 0.2, 1);z-index:-1}@media screen and (forced-colors: active){.mdc-switch__handle::before,.mdc-switch__handle::after{border-color:currentColor}}.mdc-switch__shadow{border-radius:inherit;bottom:0;left:0;position:absolute;right:0;top:0}.mdc-elevation-overlay{bottom:0;left:0;right:0;top:0}.mdc-switch__ripple{left:50%;position:absolute;top:50%;transform:translate(-50%, -50%);z-index:-1}.mdc-switch:disabled .mdc-switch__ripple{display:none}.mdc-switch__icons{height:100%;position:relative;width:100%;z-index:1}.mdc-switch__icon{bottom:0;left:0;margin:auto;position:absolute;right:0;top:0;opacity:0;transition:opacity 30ms 0ms cubic-bezier(0.4, 0, 1, 1)}.mdc-switch--selected .mdc-switch__icon--on,.mdc-switch--unselected .mdc-switch__icon--off{opacity:1;transition:opacity 45ms 30ms cubic-bezier(0, 0, 0.2, 1)}:host{display:inline-flex;outline:none}input{display:none}.mdc-switch{width:36px;width:var(--mdc-switch-track-width, 36px)}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__handle::after{background:#6200ee;background:var(--mdc-switch-selected-handle-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--selected:enabled:hover:not(:focus):not(:active) .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-hover-handle-color, #310077)}.mdc-switch.mdc-switch--selected:enabled:focus:not(:active) .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-focus-handle-color, #310077)}.mdc-switch.mdc-switch--selected:enabled:active .mdc-switch__handle::after{background:#310077;background:var(--mdc-switch-selected-pressed-handle-color, #310077)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__handle::after{background:#424242;background:var(--mdc-switch-disabled-selected-handle-color, #424242)}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__handle::after{background:#616161;background:var(--mdc-switch-unselected-handle-color, #616161)}.mdc-switch.mdc-switch--unselected:enabled:hover:not(:focus):not(:active) .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-hover-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:enabled:focus:not(:active) .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-focus-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:enabled:active .mdc-switch__handle::after{background:#212121;background:var(--mdc-switch-unselected-pressed-handle-color, #212121)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__handle::after{background:#424242;background:var(--mdc-switch-disabled-unselected-handle-color, #424242)}.mdc-switch .mdc-switch__handle::before{background:#fff;background:var(--mdc-switch-handle-surface-color, var(--mdc-theme-surface, #fff))}.mdc-switch:enabled .mdc-switch__shadow{--mdc-elevation-box-shadow-for-gss:0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);box-shadow:0px 2px 1px -1px rgba(0, 0, 0, 0.2), 0px 1px 1px 0px rgba(0, 0, 0, 0.14), 0px 1px 3px 0px rgba(0, 0, 0, 0.12);box-shadow:var(--mdc-switch-handle-elevation, var(--mdc-elevation-box-shadow-for-gss))}.mdc-switch:disabled .mdc-switch__shadow{--mdc-elevation-box-shadow-for-gss:0px 0px 0px 0px rgba(0, 0, 0, 0.2), 0px 0px 0px 0px rgba(0, 0, 0, 0.14), 0px 0px 0px 0px rgba(0, 0, 0, 0.12);box-shadow:0px 0px 0px 0px rgba(0, 0, 0, 0.2), 0px 0px 0px 0px rgba(0, 0, 0, 0.14), 0px 0px 0px 0px rgba(0, 0, 0, 0.12);box-shadow:var(--mdc-switch-disabled-handle-elevation, var(--mdc-elevation-box-shadow-for-gss))}.mdc-switch .mdc-switch__focus-ring-wrapper,.mdc-switch .mdc-switch__handle{height:20px;height:var(--mdc-switch-handle-height, 20px)}.mdc-switch:disabled .mdc-switch__handle::after{opacity:0.38;opacity:var(--mdc-switch-disabled-handle-opacity, 0.38)}.mdc-switch .mdc-switch__handle{border-radius:10px;border-radius:var(--mdc-switch-handle-shape, 10px)}.mdc-switch .mdc-switch__handle{width:20px;width:var(--mdc-switch-handle-width, 20px)}.mdc-switch .mdc-switch__handle-track{width:calc(100% - 20px);width:calc(100% - var(--mdc-switch-handle-width, 20px))}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-selected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-disabled-selected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-unselected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icon{fill:#fff;fill:var(--mdc-switch-disabled-unselected-icon-color, var(--mdc-theme-on-primary, #fff))}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icons{opacity:0.38;opacity:var(--mdc-switch-disabled-selected-icon-opacity, 0.38)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icons{opacity:0.38;opacity:var(--mdc-switch-disabled-unselected-icon-opacity, 0.38)}.mdc-switch.mdc-switch--selected .mdc-switch__icon{width:18px;width:var(--mdc-switch-selected-icon-size, 18px);height:18px;height:var(--mdc-switch-selected-icon-size, 18px)}.mdc-switch.mdc-switch--unselected .mdc-switch__icon{width:18px;width:var(--mdc-switch-unselected-icon-size, 18px);height:18px;height:var(--mdc-switch-unselected-icon-size, 18px)}.mdc-switch .mdc-switch__ripple{height:48px;height:var(--mdc-switch-state-layer-size, 48px);width:48px;width:var(--mdc-switch-state-layer-size, 48px)}.mdc-switch .mdc-switch__track{height:14px;height:var(--mdc-switch-track-height, 14px)}.mdc-switch:disabled .mdc-switch__track{opacity:0.12;opacity:var(--mdc-switch-disabled-track-opacity, 0.12)}.mdc-switch:enabled .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-track-color, #d7bbff)}.mdc-switch:enabled:hover:not(:focus):not(:active) .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-hover-track-color, #d7bbff)}.mdc-switch:enabled:focus:not(:active) .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-focus-track-color, #d7bbff)}.mdc-switch:enabled:active .mdc-switch__track::after{background:#d7bbff;background:var(--mdc-switch-selected-pressed-track-color, #d7bbff)}.mdc-switch:disabled .mdc-switch__track::after{background:#424242;background:var(--mdc-switch-disabled-selected-track-color, #424242)}.mdc-switch:enabled .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-track-color, #e0e0e0)}.mdc-switch:enabled:hover:not(:focus):not(:active) .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-hover-track-color, #e0e0e0)}.mdc-switch:enabled:focus:not(:active) .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-focus-track-color, #e0e0e0)}.mdc-switch:enabled:active .mdc-switch__track::before{background:#e0e0e0;background:var(--mdc-switch-unselected-pressed-track-color, #e0e0e0)}.mdc-switch:disabled .mdc-switch__track::before{background:#424242;background:var(--mdc-switch-disabled-unselected-track-color, #424242)}.mdc-switch .mdc-switch__track{border-radius:7px;border-radius:var(--mdc-switch-track-shape, 7px)}.mdc-switch.mdc-switch--selected{--mdc-ripple-focus-state-layer-color:var(--mdc-switch-selected-focus-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-focus-state-layer-opacity:var(--mdc-switch-selected-focus-state-layer-opacity, 0.12);--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-hover-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-hover-state-layer-opacity:var(--mdc-switch-selected-hover-state-layer-opacity, 0.04);--mdc-ripple-pressed-state-layer-color:var(--mdc-switch-selected-pressed-state-layer-color, var(--mdc-theme-primary, #6200ee));--mdc-ripple-pressed-state-layer-opacity:var(--mdc-switch-selected-pressed-state-layer-opacity, 0.1)}.mdc-switch.mdc-switch--selected:enabled:focus:not(:active){--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-focus-state-layer-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--selected:enabled:active{--mdc-ripple-hover-state-layer-color:var(--mdc-switch-selected-pressed-state-layer-color, var(--mdc-theme-primary, #6200ee))}.mdc-switch.mdc-switch--unselected{--mdc-ripple-focus-state-layer-color:var(--mdc-switch-unselected-focus-state-layer-color, #424242);--mdc-ripple-focus-state-layer-opacity:var(--mdc-switch-unselected-focus-state-layer-opacity, 0.12);--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-hover-state-layer-color, #424242);--mdc-ripple-hover-state-layer-opacity:var(--mdc-switch-unselected-hover-state-layer-opacity, 0.04);--mdc-ripple-pressed-state-layer-color:var(--mdc-switch-unselected-pressed-state-layer-color, #424242);--mdc-ripple-pressed-state-layer-opacity:var(--mdc-switch-unselected-pressed-state-layer-opacity, 0.1)}.mdc-switch.mdc-switch--unselected:enabled:focus:not(:active){--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-focus-state-layer-color, #424242)}.mdc-switch.mdc-switch--unselected:enabled:active{--mdc-ripple-hover-state-layer-color:var(--mdc-switch-unselected-pressed-state-layer-color, #424242)}@media screen and (forced-colors: active),(-ms-high-contrast: active){.mdc-switch:disabled .mdc-switch__handle::after{opacity:1;opacity:var(--mdc-switch-disabled-handle-opacity, 1)}.mdc-switch.mdc-switch--selected:enabled .mdc-switch__icon{fill:ButtonText;fill:var(--mdc-switch-selected-icon-color, ButtonText)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icon{fill:GrayText;fill:var(--mdc-switch-disabled-selected-icon-color, GrayText)}.mdc-switch.mdc-switch--unselected:enabled .mdc-switch__icon{fill:ButtonText;fill:var(--mdc-switch-unselected-icon-color, ButtonText)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icon{fill:GrayText;fill:var(--mdc-switch-disabled-unselected-icon-color, GrayText)}.mdc-switch.mdc-switch--selected:disabled .mdc-switch__icons{opacity:1;opacity:var(--mdc-switch-disabled-selected-icon-opacity, 1)}.mdc-switch.mdc-switch--unselected:disabled .mdc-switch__icons{opacity:1;opacity:var(--mdc-switch-disabled-unselected-icon-opacity, 1)}.mdc-switch:disabled .mdc-switch__track{opacity:1;opacity:var(--mdc-switch-disabled-track-opacity, 1)}}`;let E=class Switch extends SwitchBase{};E.styles=[T],E=(0,a.gn)([(0,s.Mo)("mwc-switch")],E);let C=class LitSwitch extends w.oi{constructor(){super(...arguments),this.labelLeft="",this.labelRight="",this.selected=!1,this.disabled=!1}static get styles(){return[w.iv`
      /* Disable Material ripple */
      .switch-container {
        display: flex;
        flex-direction: row;
        align-items: center;
        min-height: 32px; /* make the actual switch visible */
        overflow-y: clip; /* keep mwc-switch overdraw from messing up layout */
      }

      .switch-container > mwc-switch {
        margin-left: 4px;
        margin-right: 4px;
      }

      .switch-container.disabled {
        color: rgba(60, 64, 67, 0.38);
      }

      mwc-switch {
        /* Revert to old teal color, the new purple is ugly. */
        --mdc-switch-selected-hover-handle-color: teal;
        --mdc-switch-selected-hover-track-color: lightseagreen;
        --mdc-switch-selected-focus-handle-color: teal;
        --mdc-switch-selected-focus-track-color: lightseagreen;
        --mdc-switch-selected-pressed-handle-color: teal;
        --mdc-switch-selected-pressed-track-color: lightseagreen;
        --mdc-switch-selected-handle-color: teal;
        --mdc-switch-selected-track-color: lightseagreen;
        /* Hide the ripple effect. */
        --mdc-switch-selected-focus-state-layer-opacity: 0;
        --mdc-switch-selected-hover-state-layer-opacity: 0;
        --mdc-switch-selected-pressed-state-layer-opacity: 0;
        --mdc-switch-unselected-focus-state-layer-opacity: 0;
        --mdc-switch-unselected-hover-state-layer-opacity: 0;
        --mdc-switch-unselected-pressed-state-layer-opacity: 0;
      }
    `]}render(){const t=(0,S.$)({"switch-container":!0,disabled:this.disabled,selected:this.selected});return w.dy`
      <div class=${t} @click=${()=>{this.selected=!this.selected;const t=new Event("change");this.dispatchEvent(t)}}>
        <div class='switch-label label-left'>
          ${this.labelLeft}<slot name="labelLeft"></slot>
        </div>
        <mwc-switch ?selected=${this.selected} ?disabled=${this.disabled}>
        </mwc-switch>
        <div class='switch-label label-right'>
          <slot name="labelRight"></slot>${this.labelRight}
        </div>
      </div>
    `}};(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],C.prototype,"labelLeft",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],C.prototype,"labelRight",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],C.prototype,"selected",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],C.prototype,"disabled",void 0),C=(0,a.gn)([(0,s.Mo)("lit-switch")],C)},6645:(t,n,r)=>{"use strict";r.d(n,{w:()=>T});var a=r(7582),s=(r(1239),r(9956),r(4600),r(8684),r(3886)),l=r(9392),d=r(5595),h=r(4772),p=r(9455),f=r(3959),m=r(8949),g=r(6610),v=r(9537),y=r(5889),b=r(4915),x=r(7098),w=(r(2613),r(4869),r(1774));const S=l.iv`:host {
  --table-header-height: 24px;
  --table-footer-height: 20px;
  --table-cell-padding: 2px 8px;
  --header-text-max-width: none;
}

.holder {
  height: 100%;
  padding: 0px 1px; /* avoid spurious horizontal scrollbar */
}

.holder table {
  width: 100%;
  min-width: 100%;
  border-spacing: 0;
  color: var(--lit-gray-800);
  position: relative;
  z-index: 0;
}

.holder table.has-footer {
  height: 100%;
  min-height: 100%;
}

/**
 * Header styles
 */
.holder table > thead {
  position: sticky;
  top: 0;
  height: var(--table-header-height);
  z-index: 1;
  background: #f5fcfc;
}

.holder table > thead > th {
  font-weight: 500;
  color: #04394b;
  border-bottom: solid 1px #dadce0;
  position: relative;
}

.column-header {
  cursor: pointer;
  display: flex;
  flex-grow: 1;
  flex-direction: row;
  align-items: center;
  position: relative;
  box-sizing: border-box;
}

.column-header.right-align {
  justify-content: flex-end;
}

.header-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: var(--table-cell-padding);
}

.header-holder lit-tooltip {
  display: flex;
  align-items: center;
}

.header-text {
  flex: 1;
  text-align: center;
  text-overflow: ellipsis;
  overflow: hidden;
  max-height: 100%;
  direction: rtl;
  max-width: calc(var(--header-text-max-width) - 16px);   /* 16px for arrows */
  white-space: nowrap;
}

:host([searchenabled]) .header-text {
  /* Adjust max-width down by 40px to account for search (24) + arrows (16). */
  max-width: calc(var(--header-text-max-width) - 40px);
}

.column-header.right-align .header-text {
  text-align: right;
}

.arrow-container {
  width: 16px;
  height: 20px;
  position: relative;
  user-select: none;
  overflow: hidden;
}

.arrow {
  display: none;
  position: absolute;
  --mdc-icon-size: 24px;
  color: var(--lit-neutral-300);
  left: -4px;
}

.arrow.up {
  top: -6px;
}

.arrow.down {
  top: 2px;
}

.arrow.active {
  color: var(--lit-neutral-800);
}

.arrow.inactive {
  color: var(--lit-neutral-300);
}

.menu-button-container {
  width: 20px;
  height: 20px;
  user-select: none;
  padding-left: 4px;
}

.column-header:hover {
  padding-right: 0;
}

.column-header:hover .arrow-container > .arrow,
.column-header:hover .menu-button-container > .menu-button {
  display: block;
}

.menu-button {
  display: none;
  --mdc-icon-size: 16px;
  margin-top: 2px;
  outline: 'none';
}

.menu-button:hover {
  opacity: .7;
}

.togglable-menu-holder {
  background-color: #eff6f8; /* light gray-blue */
  border: 1px solid;
  border-radius: 3px;
  border-color: rgb(218, 220, 224);
  position: absolute;
}

.search-input {
  width:100%;
}

/**
 * Body styles
 */
tbody tr {
  height: 20px;
}

tbody tr:hover {
  background: var(--lit-mage-200);
}

:host([selectionenabled]) tbody tr:hover {
  cursor: pointer;
}

tbody tr.filler:hover {
  background: none;
  cursor: default;
}

tbody tr.selected {
  background: var(--lit-cyea-100);
  color: var(--lit-gray-800);
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody tr.primary-selected {
  background: var(--lit-cyea-300);
  color: black;
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody tr.focused {
  background: var(--lit-mage-200);
  transition-duration: 0.2s;
  transition-property: background-color;
}

tbody td {
  vertical-align: top;
  box-sizing: border-box;
}

.n-rows {
  margin-left: 20px;
}

.cell-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
  padding: var(--table-cell-padding);
}

.cell-holder.right-align {
  justify-content: flex-end;
  padding-right: 24px;
}

:host([searchenabled]) .cell-holder.right-align {
  padding-right: 46px;
}

.text-cell {
  max-height: 150px;
  overflow: auto;
  white-space: pre-wrap;
  display: inline;
}

/* TODO(lit-dev): Make the table image width configurable. */
.table-img {
  width: 100px;
}


/**
 * Footer styles
 */
.holder table > tfoot {
  position: sticky;
  bottom: 0;
  height: var(--table-footer-height);

  background: #f5fcfc;
}

.footer {
  color: #04394b;
  font-weight: 400;
  padding: 3px 0;

  display: flex;
  flex-direction: row;
}

.footer .pagination-controls-group {
  position: sticky;
  left: 4px;

  display: flex;
  align-items: center;
}

.icon-button-fix-offset {
  vertical-align: -3px;
}

.footer .export-controls-group {
  position: sticky;
  right: 4px;

  display: flex;
  align-items: center;
}

.footer-spacer {
  flex: 1;
}

.current-page-num {
  display: inline-block;
  text-align: center;
  min-width: 16px;
}

.checkbox-holder{
  padding: 4px;
}

.right-aligned-search {
  right: 20px;
}
`;var _;!function(t){t[t.START=0]="START",t[t.END=1]="END"}(_||(_={}));let T=class DataTable extends v.f{static get styles(){return[y.W,S]}constructor(){super(),this.columnNames=[],this.data=[],this.selectedIndices=[],this.starredIndices=[],this.primarySelectedIndex=-1,this.referenceSelectedIndex=-1,this.focusedIndex=-1,this.globalSearchText="",this.selectionEnabled=!1,this.searchEnabled=!1,this.paginationEnabled=!1,this.exportEnabled=!1,this.showMoreEnabled=!1,this.shiftSelectionStartIndex=0,this.shiftSelectionEndIndex=0,this.verticalAlignMiddle=!1,this.headerTextMaxWidth=null,this.hasExpandedCells=!1,this.onSelect=()=>{},this.onPrimarySelect=()=>{},this.sortName=void 0,this.sortAscending=!0,this.showColumnMenu=!1,this.columnMenuName="",this.columnFilterInfo=new Map,this.pageNum=0,this.entriesPerPage=10,this.downloadFilename="data.csv",this.resizeObserver=new ResizeObserver((()=>{this.adjustEntriesIfHeightChanged()})),this.needsEntriesPerPageRecompute=!0,this.lastContainerHeight=0,this.selectedIndicesSetForRender=new Set,this.shiftSpanAnchor=_.START,this.hoveredIndex=null,this.HOVER_TIMEOUT_MS=3,this.hoverTimeoutId=null,(0,m.rC)(this)}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>[this.data,this.rowFilteredData]),(()=>{this.needsEntriesPerPageRecompute=!0,this.requestUpdate()})),this.reactImmediately((()=>this.totalPages),(()=>{this.pageNum>=this.totalPages&&(this.pageNum=0);const t=this.entriesPerPage*(this.pageNum+1);null!=this.hoveredIndex&&this.hoveredIndex>t&&(this.hoveredIndex=null)}))}firstUpdated(){const t=this.shadowRoot.querySelector(".holder");this.resizeObserver.observe(t)}shouldUpdate(t){return t.get("data")&&(this.shiftSelectionStartIndex=0,this.shiftSelectionEndIndex=0),!0}updated(){this.needsEntriesPerPageRecompute&&this.computeEntriesPerPage()}getContainerHeight(){return this.shadowRoot.querySelector(".holder").getBoundingClientRect().height}adjustEntriesIfHeightChanged(){const t=this.getContainerHeight();Math.abs(t-this.lastContainerHeight)>20&&(this.lastContainerHeight=t,this.computeEntriesPerPage())}computeEntriesPerPage(){if(this.needsEntriesPerPageRecompute=!1,!this.paginationEnabled)return void(this.entriesPerPage=this.rowFilteredData.length+1);const t=this.getContainerHeight(),n=this.shadowRoot.querySelector("thead").getBoundingClientRect().height,r=this.shadowRoot.querySelector("tfoot").getBoundingClientRect().height,a=Math.max(0,t-n-r);let s=0,l=0;const d=this.shadowRoot.querySelectorAll("tbody > tr.lit-data-table-row");if(d.length<this.entriesPerPage)return;for(;s<a&&l<d.length;)s+=d[l].getBoundingClientRect().height,l+=1;let h;if(0===s||0===l)h=Math.ceil(a/28);else{if(this.shadowRoot.querySelectorAll("tbody > tr.filler").length>0||s===a){const t="tbody > tr > td > div.cell-holder",n=[...this.shadowRoot.querySelectorAll(t).values()].map((t=>t.getBoundingClientRect().height)),r=(0,x.C2)(n);h=Math.ceil(a/r)}else if(s<a){const t=s/l;h=Math.ceil(a/t)}else h=l}this.entriesPerPage=10*Math.ceil(h/10)}get sortIndex(){return null!=this.sortName?this.columnStrings.indexOf(this.sortName):void 0}shouldRightAlignColumn(t){const n=this.pageData.map((n=>n.rowData[t]));return n.filter((t=>(0,x.hj)(t))).length/n.length>.5}get columnStrings(){return this.columnNames.map((t=>"string"==typeof t?t:t.name))}get columnHeaders(){return this.columnNames.map(((t,n)=>{var r,a,s,d,h,p;const m="string"==typeof t?{name:t}:Object.assign({},t);let g=!1;if(null==m.html){const t=null!==(r=m.maxWidth)&&void 0!==r?r:0,n=null!==(a=this.headerTextMaxWidth)&&void 0!==a?a:0,d=0===t&&0===n?0:0===t&&0!==n?n:0!==t&&0===n?t:Math.min(t,n),h=d-(this.searchEnabled?40:16),p=(0,x.RE)(m.name);g=0!==d&&p>h;const v=(0,f.V)({"--header-text-max-width":d>0?`${d}px`:"none"});null!==(s=m.html)&&void 0!==s||(m.html=l.dy`<div slot="tooltip-anchor" class="header-text"
          style=${v}>
          ${m.name}
        </div>`)}null!==(d=m.rightAlign)&&void 0!==d||(m.rightAlign=this.shouldRightAlignColumn(n));if(null!=m.tooltip||g){const t=m.rightAlign||n===this.columnNames.length-1?"left":"",r=(0,f.V)({"--tooltip-max-width":`${null!==(h=m.tooltipMaxWidth)&&void 0!==h?h:500}px`,"--tooltip-width":null!=m.tooltipWidth?`${m.tooltipWidth}px`:"auto"});m.html=l.dy`<lit-tooltip content=${null!==(p=m.tooltip)&&void 0!==p?p:m.name}
          style=${r} tooltipPosition=${t}>
          ${m.html}
        </lit-tooltip>`}return m}))}get indexedData(){return this.data.map((t=>t instanceof Array?t:this.columnStrings.map((n=>t[n])))).map(((t,n)=>({inputIndex:n,rowData:t})))}get globalSearchFilteredData(){const t=(0,w.Bf)(this.globalSearchText,this.columnStrings);return(0,w.V$)(this.indexedData,this.columnStrings,t)}get rowFilteredData(){return this.globalSearchFilteredData.filter((t=>{let n=!0;for(const[r,a]of this.columnFilterInfo){const s=this.columnStrings.indexOf(r);if(-1===s)return;const l=(0,w.du)(t.rowData[s]);n=n&&a.fn(l)}return n}))}getSortedData(t){if(null!=this.sortName){const n=this.sortAscending?s.j2p:s.$1i;return t.slice().sort(((t,r)=>n((0,w.du)(t.rowData[this.sortIndex]),(0,w.du)(r.rowData[this.sortIndex]))))}return t}get displayData(){return this.getSortedData(this.rowFilteredData)}getArrayData(){return this.displayData.map((t=>t.rowData.map(w.du)))}getCSVContent(){return g.unparse({fields:this.columnStrings,data:this.getArrayData()},{newline:"\r\n"})}get totalPages(){return Math.ceil(this.displayData.length/this.entriesPerPage)}get pageData(){const t=this.pageNum*this.entriesPerPage,n=t+this.entriesPerPage;return this.displayData.slice(t,n)}get fillerRows(){const t=[];for(let n=0;n<this.entriesPerPage-this.pageData.length;n++)t.push(l.dy`<tr class="filler">
        <td colspan=${this.columnNames.length}>&nbsp;</td>
      </tr>`);return t}get isPaginated(){return this.paginationEnabled&&this.displayData.length>this.entriesPerPage}get hasFooter(){return this.isPaginated||this.exportEnabled}setShiftSelectionSpan(t,n){this.shiftSelectionStartIndex=t,this.shiftSelectionEndIndex=n}isRowWithinShiftSelectionSpan(t){return t>=this.shiftSelectionStartIndex&&t<=this.shiftSelectionEndIndex}getInputIndexFromRowIndex(t){return this.displayData[t].inputIndex}selectFromRange(t,n,r,a=!0){for(let s=n;s<=r;s++){const n=this.getInputIndexFromRowIndex(s);if(null==n)return;a?t.add(n):(t.delete(n),n===this.primarySelectedIndex&&this.setPrimarySelectedIndex(-1))}}handleRowClick(t,n,r){let a=new Set(this.selectedIndices),s=!0;if(null==this.onClick){if(t.metaKey||t.ctrlKey)a.has(n)?(a.delete(n),n===this.primarySelectedIndex&&this.setPrimarySelectedIndex(-1)):a.add(n),this.setShiftSelectionSpan(r,r),this.setPrimarySelectedIndex(r);else if(t.shiftKey){const t=this.isRowWithinShiftSelectionSpan(r),n=this.shiftSelectionStartIndex,s=this.shiftSelectionEndIndex;t?this.shiftSpanAnchor===_.START?(this.selectFromRange(a,r+1,s,!1),this.shiftSelectionEndIndex=r):(this.selectFromRange(a,n,r-1,!1),this.shiftSelectionStartIndex=r):r>=s?(this.selectFromRange(a,s,r),this.setShiftSelectionSpan(n,r),this.shiftSpanAnchor=_.START):r<=n&&(this.selectFromRange(a,r,n),this.setShiftSelectionSpan(r,s),this.shiftSpanAnchor=_.END),this.setPrimarySelectedIndex(r)}else a.has(n)&&1===a.size?(a=new Set,this.setPrimarySelectedIndex(-1)):a.has(n)&&n!==this.primarySelectedIndex?(this.setPrimarySelectedIndex(r),s=!1):(a=new Set([n]),this.setPrimarySelectedIndex(r)),this.setShiftSelectionSpan(r,r);s&&(this.selectedIndices=Array.from(a),this.onSelect([...this.selectedIndices]))}else this.onClick(n)}handleRowMouseEnter(t,n){null!=this.hoverTimeoutId&&window.clearTimeout(this.hoverTimeoutId),this.hoverTimeoutId=window.setTimeout((()=>{this.hoveredIndex=n,null!=this.onHover&&this.onHover(this.hoveredIndex)}),this.HOVER_TIMEOUT_MS)}handleRowMouseLeave(t,n){null!=this.hoverTimeoutId&&window.clearTimeout(this.hoverTimeoutId),this.hoverTimeoutId=window.setTimeout((()=>{n===this.hoveredIndex&&(this.hoveredIndex=null),null!=this.onHover&&this.onHover(this.hoveredIndex)}),this.HOVER_TIMEOUT_MS)}setPrimarySelectedIndex(t){let n=-1;if(-1!==t){const r=this.getInputIndexFromRowIndex(t);if(null==r)return;n=r}this.primarySelectedIndex=n,this.onPrimarySelect(n)}get isDefaultView(){return void 0===this.sortName&&0===this.columnFilterInfo.size&&""===this.globalSearchText&&!this.hasExpandedCells}get isFiltered(){return 0!==this.columnFilterInfo.size||""!==this.globalSearchText}resetView(){var t;this.columnFilterInfo.clear(),this.sortName=void 0,this.showColumnMenu=!1,this.requestUpdate(),this.hasExpandedCells=!1,null===(t=this.tableTextCells)||void 0===t||t.forEach((t=>{t.expanded=!1}))}getVisibleDataIdxs(){return this.displayData.map((t=>t.inputIndex))}render(){this.selectedIndicesSetForRender=new Set(this.selectedIndices);const t=this.columnHeaders.map((t=>{const n=(0,f.V)({"max-width":null!=t.maxWidth?`${t.maxWidth}px`:"unset","min-width":null!=t.minWidth?`${t.minWidth}px`:"unset",width:null!=t.width?`${t.width}px`:"unset"});return l.dy`<col id=${`${t.name}-col`} span="1" style=${n}>`}));return l.dy`<div class="holder">
      <table class=${(0,p.$)({"has-footer":this.hasFooter})}>
        <colgroup>${t}</colgroup>
        <thead>
          ${this.columnHeaders.map(((t,n)=>{var r;return this.renderColumnHeader(t,null!==(r=t.rightAlign)&&void 0!==r&&r)}))}
        </thead>
        <tbody>
          ${this.pageData.map(((t,n)=>this.renderRow(t,n)))}
          ${this.hasFooter?this.fillerRows:null}
        </tbody>
        <tfoot>
          ${this.renderFooter()}
        </tfoot>
      </table>
    </div>`}renderPaginationControls(){const t=t=>(t%this.totalPages+this.totalPages)%this.totalPages,n=n=>{var r;this.pageNum=t(this.pageNum+n),null===(r=this.tableTextCells)||void 0===r||r.forEach((t=>{t.expanded=!1})),this.hasExpandedCells=!1},r={"icon-button":!0,disabled:0===this.pageNum},a={"icon-button":!0,disabled:this.pageNum===this.totalPages-1};return l.dy`
      <div class='pagination-controls-group'>
        <mwc-icon class=${(0,p.$)(r)}
          @click=${()=>{this.pageNum=0}}>
          first_page
        </mwc-icon>
        <mwc-icon class='icon-button'
          @click=${()=>{n(-1)}}>
          chevron_left
        </mwc-icon>
        <div>
        Page
        <span class="current-page-num">${this.pageNum+1}</span>
        of ${this.totalPages}
        </div>
        <mwc-icon class='icon-button'
          @click=${()=>{n(1)}}>
          chevron_right
        </mwc-icon>
        <mwc-icon class=${(0,p.$)(a)}
          @click=${()=>{this.pageNum=this.totalPages-1}}>
          last_page
        </mwc-icon>
        <lit-tooltip .content=${"Go to a random page"}
          .tooltipPosition=${"above"}>
          <mwc-icon class='icon-button mdi-outlined icon-button-fix-offset'
            @click=${()=>{this.pageNum=(0,x.rO)(0,this.totalPages)}} slot="tooltip-anchor">
            casino
          </mwc-icon>
        </lit-tooltip>
      </div>`}renderFooter(){return this.hasFooter?l.dy`
      <tr>
        <td colspan=${this.columnNames.length}>
          <div class="footer">
            ${this.isPaginated?this.renderPaginationControls():null}
            <div class='footer-spacer'></div>
            ${this.exportEnabled?l.dy`
              <div class='export-controls-group'>
                <export-controls .data=${this.getArrayData()}
                    .columnNames=${this.columnStrings}
                    .popupPosition=${"above"}
                    .tooltipPosition=${"above left"}>
                </export-controls>
              </div>`:null}
          </div>
        </td>
      </tr>`:null}columnNameToId(t){return t.replace(/\s+/g,"")}renderColumnHeader(t,n){const r=t.name,a=this.columnNameToId(r),s=t=>{t.preventDefault(),t.stopPropagation(),this.sortName!==r?(this.sortName=r,this.sortAscending=!0):this.sortAscending?this.sortAscending=!1:this.sortName=void 0},d=this.sortName===r&&this.sortAscending,h=this.sortName===r&&!this.sortAscending,m=this.sortName===r&&!this.sortAscending,g=this.sortName===r&&this.sortAscending,v=(0,f.V)(m||d?{display:"block"}:{}),y=(0,f.V)((()=>{var t;const n=null===(t=this.columnFilterInfo.get(r))||void 0===t?void 0:t.values,a=n&&n.length>0&&n[0].length>0,{showColumnMenu:s,columnMenuName:l}=this;return a||s&&l===r})()?{display:"block",outline:"auto"}:{}),b=(0,p.$)({arrow:!0,up:!0,active:d,inactive:h}),x=(0,p.$)({arrow:!0,down:!0,active:m,inactive:g}),w=(0,p.$)({"column-header":!0,"right-align":t.rightAlign});return l.dy`
        <th id=${a} scope="col">
          <div class=${w}>
            <div class="header-holder">
              <div @click=${s}>${t.html}</div>
              ${this.searchEnabled?l.dy`
                <div class="menu-button-container">
                  <mwc-icon class="menu-button" style=${y}
                   title="Filter" @click=${t=>{t.stopPropagation(),this.columnMenuName===r?this.showColumnMenu=!this.showColumnMenu:(this.columnMenuName=r,this.showColumnMenu=!0),this.showColumnMenu&&window.requestAnimationFrame((()=>{const t=this.shadowRoot.querySelector(`th#${a} .togglable-menu-holder input`);null!=t&&t.focus()}))}}>
                   filter_alt
                  </mwc-icon>
                </div>`:null}
              <div class="arrow-container" @click=${s}
               title="Sort (${d?"ascending":m?"descending":"default"})">
                <mwc-icon class=${b} style=${v}>
                  arrow_drop_up
                </mwc-icon>
                <mwc-icon class=${x} style=${v}>
                  arrow_drop_down
                </mwc-icon>
              </div>
            </div>
          </div>
          ${this.searchEnabled?this.renderSearch(t,n):null}
        </th>
      `}renderSearch(t,n){const r=(0,f.V)({display:this.showColumnMenu&&this.columnMenuName===t.name?"block":"none"}),a=(0,p.$)({"togglable-menu-holder":!0,"checkbox-holder":null!=t.vocab,"right-aligned-search":n});if(null==t.vocab){const n=n=>{var r;const a=(null===(r=n.target)||void 0===r?void 0:r.value)||"";this.columnFilterInfo.set(t.name,{fn:function(t){return(0,w.Ut)(t,a)},values:[a]})},s=this.columnFilterInfo.has(t.name)?this.columnFilterInfo.get(t.name).values[0]:"";return l.dy`
        <div class=${a} style=${r}>
            <input type="search" class='search-input'
            .value=${s}
            placeholder="Filter" @input=${n}/>
        </div>`}return l.dy`
        <div class=${a} style=${r}>
          ${t.vocab.map((n=>{var r;const a=(null===(r=this.columnFilterInfo.get(t.name))||void 0===r?void 0:r.values.includes(n))||!1;return l.dy`<lit-checkbox label=${n} ?checked=${a}
                @change=${r=>{var a;let s=(null===(a=this.columnFilterInfo.get(t.name))||void 0===a?void 0:a.values)||[];r.target.checked?s.push(n):s=s.filter((t=>t!==n));this.columnFilterInfo.set(t.name,{fn:n=>{var r;const a=(null===(r=this.columnFilterInfo.get(t.name))||void 0===r?void 0:r.values)||[];return 0===a.length||a.includes(n.toString())},values:s})}}></lit-checkbox>`}))}
        </div>`}renderRow(t,n){const r=t.inputIndex,a=n+this.pageNum*this.entriesPerPage,s=this.selectedIndicesSetForRender.has(r),d=this.primarySelectedIndex===r,m=this.referenceSelectedIndex===r,g=this.focusedIndex===r,v=-1!==this.starredIndices.indexOf(r),y=(0,p.$)({"lit-data-table-row":!0,selected:s,"primary-selected":d,"reference-selected":m,focused:g}),x=t=>{this.hasExpandedCells=!0},w=(t,n)=>{if(null==t)return null;if("string"==typeof t&&t.startsWith("data:image"))return l.dy`<img class='table-img' src=${t.toString()}>`;if((0,h.hN)(t))return t;if(t.constructor===Object){let n=null;const r=t.template;return n="function"==typeof r?r(s,d,m,g,v):r,l.dy`${n}`}return"string"==typeof t&&this.showMoreEnabled?l.dy`
        <lit-table-text-cell
          @showmore=${x}
          .content=${t}
          .maxWidth=${n}>
        </lit-table-text-cell>`:l.dy`
          <div class="text-cell">${(0,b.E9)(t,void 0,!0)}</div>`},S=this.columnHeaders.map((t=>(0,p.$)({"cell-holder":!0,"right-align":t.rightAlign}))),_=this.columnHeaders.map((t=>t.maxWidth)),T=(0,f.V)({"vertical-align":this.verticalAlignMiddle?"middle":"top"});return l.dy`
      <tr class="${y}" @click=${t=>{this.selectionEnabled&&this.handleRowClick(t,r,a)}} @mouseenter=${t=>{this.handleRowMouseEnter(t,r)}}
        @mouseleave=${t=>{this.handleRowMouseLeave(t,r)}} @mousedown=${t=>{t.shiftKey&&this.selectionEnabled&&t.preventDefault()}}>
        ${t.rowData.map(((t,n)=>l.dy`<td style=${T}><div class=${S[n]}>${w(t,_[n])}</div></td>`))}
      </tr>
    `}};(0,a.gn)([m.LO.struct,(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],T.prototype,"columnNames",void 0),(0,a.gn)([m.LO.struct,(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],T.prototype,"data",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],T.prototype,"selectedIndices",void 0),(0,a.gn)([(0,d.Cb)({type:Array}),(0,a.w6)("design:type",Array)],T.prototype,"starredIndices",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Number)],T.prototype,"primarySelectedIndex",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Number)],T.prototype,"referenceSelectedIndex",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Number)],T.prototype,"focusedIndex",void 0),(0,a.gn)([m.LO,(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],T.prototype,"globalSearchText",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"selectionEnabled",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"searchEnabled",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"paginationEnabled",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"exportEnabled",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"showMoreEnabled",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],T.prototype,"shiftSelectionStartIndex",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Object)],T.prototype,"shiftSelectionEndIndex",void 0),(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],T.prototype,"verticalAlignMiddle",void 0),(0,a.gn)([(0,d.Cb)({type:Number}),(0,a.w6)("design:type",Number)],T.prototype,"headerTextMaxWidth",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"hasExpandedCells",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Function)],T.prototype,"onClick",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Function)],T.prototype,"onHover",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Function)],T.prototype,"onSelect",void 0),(0,a.gn)([(0,d.Cb)({type:Object}),(0,a.w6)("design:type",Function)],T.prototype,"onPrimarySelect",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",String)],T.prototype,"sortName",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"sortAscending",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"showColumnMenu",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"columnMenuName",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"columnFilterInfo",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"pageNum",void 0),(0,a.gn)([m.LO,(0,a.w6)("design:type",Object)],T.prototype,"entriesPerPage",void 0),(0,a.gn)([(0,d.Cb)({type:String}),(0,a.w6)("design:type",Object)],T.prototype,"downloadFilename",void 0),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],T.prototype,"sortIndex",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"columnStrings",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"columnHeaders",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"indexedData",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"globalSearchFilteredData",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"rowFilteredData",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"displayData",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],T.prototype,"totalPages",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"pageData",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"fillerRows",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],T.prototype,"isPaginated",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],T.prototype,"hasFooter",null),(0,a.gn)([m.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[MouseEvent,Number,Number]),(0,a.w6)("design:returntype",void 0)],T.prototype,"handleRowClick",null),(0,a.gn)([m.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Number]),(0,a.w6)("design:returntype",void 0)],T.prototype,"setPrimarySelectedIndex",null),(0,a.gn)([(0,d.Kt)("lit-table-text-cell"),(0,a.w6)("design:type",Array)],T.prototype,"tableTextCells",void 0),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"isDefaultView",null),(0,a.gn)([m.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"isFiltered",null),T=(0,a.gn)([(0,d.Mo)("lit-data-table"),(0,a.w6)("design:paramtypes",[])],T)},2613:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(3959),h=r(9537),p=r(5889),f=r(4915);let m=class LitTableTextCell extends h.f{constructor(){super(...arguments),this.content="",this.expanded=!1}static get styles(){return[p.W,s.iv`
        .lit-table-text-cell {
          max-height: 150px;
          overflow: auto;
          white-space: pre-wrap;
          display: inline;
        }

        lit-showmore {
          white-space: normal;
        }
      `]}render(){var t;const n=null!==(t=this.maxWidth)&&void 0!==t?t:200,r=(0,d.V)({"--show-more-max-width":`${n}px`,"--show-more-icon-width":"20px"}),a=3*n-25,l=Math.floor(.139*a),h=this.content.split("\n\n",3).join("\n\n").length,p=Math.min(l,h),m=this.expanded||this.content.length<=p,g=this.content.length-p,v=m?this.content:this.content.substring(0,p),y=(0,f.E9)(v,void 0,!0),b=m?"":s.dy`<lit-showmore .hiddenTextLength=${g}
              @showmore=${t=>{this.expanded=!0;const n=new CustomEvent("showmore");this.dispatchEvent(n),t.stopPropagation(),t.preventDefault()}}></lit-showmore>`;return s.dy`
       <div style=${r}
        class='lit-table-text-cell'>${y} ${b}</div>`}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],m.prototype,"content",void 0),(0,a.gn)([(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Number)],m.prototype,"maxWidth",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],m.prototype,"expanded",void 0),m=(0,a.gn)([(0,l.Mo)("lit-table-text-cell")],m)},4869:(t,n,r)=>{"use strict";r(9392)},1774:(t,n,r)=>{"use strict";r.d(n,{Bf:()=>p,Ut:()=>f,V$:()=>g,du:()=>d});var a,s=r(4772),l=r(7098);r(4869);function d(t){return"string"==typeof t||(0,l.hj)(t)?t:(0,s.hN)(t)?0:t.value}function h(t,n=[]){if(-1===t.lastIndexOf(":"))return{matcher:t};const r=t.split(":");let a="",s=r.length-1;for(;s>=0;){const t=r.slice(0,s).join(":");if(-1!==n.indexOf(t)){a=t;break}s-=1}return""!==a?{columnName:a,matcher:r.slice(s).join(":")}:{matcher:t}}function p(t,n){if(!t)return null;const r=" AND ",s=" OR ";if(-1!==t.indexOf(r)){const s=t.split(r).map((t=>p(t,n))).filter(Boolean);return 1===s.length?s[0]:s.length>1?{type:a.AND,children:s}:null}if(-1!==t.indexOf(s)){const r=t.split(s).filter(Boolean).map((t=>h(t,n)));return 1===r.length?{type:a.EXPR,children:r[0]}:r.length>1?{type:a.OR,children:r.map((t=>({type:a.EXPR,children:t})))}:null}return{type:a.EXPR,children:h(t,n)}}function f(t,n){const r=Number(t);if((0,l.Ak)(n)&&!isNaN(r)){return(0,l.rl)(n)(r)}if((t=String(t)).startsWith("data:image/png"))return!0;try{return null!==t.match(new RegExp(n))}catch(r){return t.includes(n)}}function m(t,n,r){if(r.type===a.EXPR)return function(t,n,r){if(void 0!==r.columnName)return f(d(t.rowData[n.indexOf(r.columnName)]),r.matcher);return t.rowData.some((t=>f(d(t),r.matcher)))}(t,n,r.children);{const s=r.children;return r.type===a.AND?s.every((r=>m(t,n,r))):s.some((r=>m(t,n,r)))}}function g(t,n,r){return r?t.filter((t=>m(t,n,r))):t}!function(t){t[t.AND=0]="AND",t[t.OR=1]="OR",t[t.EXPR=2]="EXPR"}(a||(a={}))},4567:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(3959);let h=class TcavScoreBar extends l.oi{constructor(){super(...arguments),this.score=0,this.meanVal=0,this.clampVal=0}static get styles(){return l.iv`
        .cell {
          position: relative;
          display: flex;
          min-width: 100px;
          min-height: 20px;
          background-color: var(--lit-neutral-200);
        }

        .separator {
          width: 2px;
          background-color: black;
          min-height: 20px;
          position: absolute;
        }

        .pos-bar {
          min-height: 20px;
          position: absolute;
          background-color: var(--lit-cyea-300);
        }
    `}render(){const{score:t,clampVal:n,meanVal:r}=this,a=Math.min(Math.max(t,0),n)/n,s=Math.min(Math.max(r,0),n)/n,h={width:100*Math.abs(a-s)+"%",left:a>s?100*s+"%":100*a+"%"},p={left:100*s+"%"};return l.dy`<td><div class='cell'>
        <div class='pos-bar' style='${(0,d.V)(h)}'></div>
        <div class='separator' style='${(0,d.V)(p)}'></div>
      </div></td>`}};(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],h.prototype,"score",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],h.prototype,"meanVal",void 0),(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],h.prototype,"clampVal",void 0),h=(0,a.gn)([(0,s.Mo)("tcav-score-bar")],h)},6278:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(9455),h=r(5889),p=r(7098);let f=class ThresholdSlider extends l.oi{constructor(){super(...arguments),this.margin=0,this.label="",this.isThreshold=!0,this.showControls=!1}static get styles(){return[h.W,l.iv`
        .slider-row {
          display: flex;
          flex-direction: row;
          align-items: center;
          justify-content: center;
        }

        .text-with-controls {
          padding-top: 0;
        }

        .text-no-controls {
          padding-top: 2px;
        }
    `]}renderThresholdSlider(t,n){return this.renderSlider(t,n,0,1,.01,(t=>{const r=t.target.value,a=(0,p.DO)(Number(r)),s=new CustomEvent("threshold-changed",{detail:{label:n,margin:a}});this.dispatchEvent(s)}),(function(t){const n=(0,p.xt)(+t);return Math.round(100*n)/100}),"Threshold")}renderMarginSlider(t,n){return this.renderSlider(t,n,-5,5,.05,(t=>{const r=t.target.value,a=new CustomEvent("threshold-changed",{detail:{label:n,margin:Number(r)}});this.dispatchEvent(a)}),(function(t){return t}),"margin")}renderSlider(t,n,r,a,s,h,p,f){const m=p(t),g=0===t,v={"text-with-controls":this.showControls,"text-no-controls":!this.showControls};return l.dy`
        <div class="slider-row">
          ${(()=>this.showControls?l.dy`
          <div class=${(0,d.$)(v)}>${n} ${f}:</div>`:null)()}
          <lit-numeric-input min="${r}" max="${a}" step="${s}"
            value="${m}" @change=${h}></lit-numeric-input>
          ${this.showControls?l.dy`<button class='hairline-button reset-button' @click=${()=>{const t=new CustomEvent("threshold-changed",{detail:{label:n,margin:0}});this.dispatchEvent(t)}}
                   ?disabled="${g}">Reset</button>`:null}
        </div>`}render(){return l.dy`${this.isThreshold?this.renderThresholdSlider(this.margin,this.label):this.renderMarginSlider(this.margin,this.label)}`}};(0,a.gn)([(0,s.Cb)({type:Number}),(0,a.w6)("design:type",Object)],f.prototype,"margin",void 0),(0,a.gn)([(0,s.Cb)({type:String}),(0,a.w6)("design:type",Object)],f.prototype,"label",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],f.prototype,"isThreshold",void 0),(0,a.gn)([(0,s.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],f.prototype,"showControls",void 0),f=(0,a.gn)([(0,s.Mo)("threshold-slider")],f)},4424:(t,n,r)=>{"use strict";r.d(n,{T:()=>v,j:()=>g});var a=r(7582),s=(r(3514),r(9392)),l=r(5595),d=r(9455),h=r(3959),p=r(6070),f=r(5889);const m=s.iv`/* TODO(b/329716900): consider CSS nesting to make this more readable */

.tokens-group {
  position: relative;
}

.tokens-holder {
  --tokens-line-height: 22px;

  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.salient-token {
  --token-outline-color: transparent;
  /* color and background set individually vis styleMap */
  --token-bg-color: transparent;
  --token-text-color: black;

  background-color: var(--token-bg-color);
  color: var(--token-text-color);

  font-family: 'Roboto';
  border-radius: 2px;
  /* TODO: switch to using outline: instead? */
  border: 1px solid var(--token-outline-color); /* for spacing */
  padding: 2px 4px; /* wider horizontally */
  margin: 3px;
  width: fit-content;
  position: relative;
}

.salient-token.clickable {
  cursor: pointer;
}

.salient-token.pinned:after {
  position: absolute;
  font-family: 'Material Icons';
  content: 'push_pin';
  /* upper right corner of token */
  right: -4px;
  top: -12px;
  bottom: 60%;
  z-index: 1; /* draw over adjacent tokens in dense mode */
}

.salient-token.hover-enabled:hover {
  --token-outline-color: var(--lit-neutral-500);
}

.salient-token.selected {
  --token-outline-color: var(--lit-neutral-900);
}

.tokens-holder.dense .salient-token {
  padding: 0;
  margin: 0;
  border: 0;
  outline: 1px solid var(--token-outline-color);
}

.pre-wrap {
  white-space: pre-wrap;
}

.row-break {
  flex-basis: 100%;
  height: 0;
}

/**
 * If there are multiple row breaks, subsequent ones should create full blank
 * lines.
 */
.row-break + .row-break {
  height: calc(var(--tokens-line-height) + 3.5px);
}

.word-spacer {
  width: 1em;
}

.tokens-holder.dense .word-spacer {
  width: 0.5em;
}

/**
 * Styles for <lit-text-chips>
 */
.text-chips {
  display: block;
  font-size: 0; /* hack to get zero spacing between elements */
  line-height: var(--tokens-line-height);
}

.text-chips > * {
  /* TODO: set this for all modes? */
  font-size: 13px;  /* restore standard font size */
}

.text-chips:not(.dense) .salient-token:not(.selected) {
  /* outline in non-dense mode */
  --token-outline-color: var(--lit-neutral-300);
}

.text-chips .salient-token {
  display: inline;
  min-height: 1lh;
  vertical-align: baseline;

  padding: 3px 0; /* this controls the visible highlight area */
  margin: 0;
  margin-right: 4px;

  /* use outline instead of border for more consistent spacing */
  outline: 1px solid var(--token-outline-color);
  border: 0;
}

.text-chips .salient-token span {
  /* this controls the mouseover area, so there are no gaps */
  /* or flickering when hovering over multiline tokens */
  padding: 6px 0;
}

.text-chips .salient-token.selected {
  --token-outline-color: var(--lit-mage-700);
  outline: 2px solid var(--token-outline-color);
}

/**
 * This is the ugliest matcher I've ever written but it seems to fix the mess
 * that is element spacing in inline mode. In particular: with the way we use
 * word-spacer, any token followed by one would get extra trailing whitespace,
 * e.g. it would appear as |word | rather than |word|, making the highlighting
 * awkward.
 *
 * It's possible to fix this by scrupulously removing whitespace from the HTML,
 * so long as the <span> are direct siblings of the word spacer. But this all
 * breaks down when they're nested inside <lit-tooltip> to provide the
 * mouseover.
 *
 * So, instead we need to add a negative margin equal to the width
 * of a single space, only to those .salient-token elements that are followed
 * by a .word-spacer. Of course, CSS provides only a next-sibling combinator
 * (+), which would work to match the .word-spacer itself - but applying
 * margin-left there does not have the desired effect (you just get twice the
 * spacing). So, we hack it with the unofficial but well-supported :has()
 * pseudo-class to match .salient-token that "has" a next-sibling .word-spacer.
 */
.text-chips.dense .salient-token:has(+ .word-spacer) span {
   /* hack to remove extra whitespace. ugh. */
  margin-right: -0.445ch;
}

.text-chips.dense .salient-token {
  padding: 3px 0; /* this controls the visible highlight area */
  margin: 0; /* no extra spacing; determine only from line-height */
}

.text-chips.dense .salient-token.selected {
  /* TODO see if we can get away from z-index here */
  z-index: 1;
}

.text-chips .word-spacer {
  display: inline;
  vertical-align: baseline;
  white-space: pre-wrap;
}

.text-chips lit-tooltip {
  --anchor-display-mode: 'inline';
  --tooltip-position-left: 0;
}

/* vertical dense mode */
.text-chips.vdense {
  --tokens-line-height: 16px;
  /* line-height: 16px; */
}
.text-chips.vdense .salient-token {
  padding: 1.5px 0; /* avoid highlight area overlapping across lines */
}`;let g=class TokenChips extends s.oi{constructor(){super(...arguments),this.tokensWithWeights=[],this.cmap=new p.zT,this.dense=!1,this.breakNewlines=!1,this.preSpace=!1}static get styles(){return[f.W,m]}renderToken(t,n){const r=(0,d.$)({"salient-token":!0,selected:Boolean(t.selected),pinned:Boolean(t.pinned),clickable:void 0!==t.onClick,"hover-enabled":!Boolean(t.disableHover)}),a=(0,h.V)({"--token-bg-color":this.cmap.bgCmap(t.weight),"--token-text-color":this.cmap.textCmap(t.weight)});let l=t.token,p=!1,f=!1;this.breakNewlines&&(l.endsWith("\n")&&(l=l.slice(0,-1)+" ",f=!0),l.startsWith("\n")&&(p=!0,l=" "+l.slice(1)));let m=!1;return this.preSpace&&l.startsWith(" ")&&!p&&(m=!0,l=l.slice(1)),""===l&&(l=" "),s.dy`
      ${m?s.dy`<div class='word-spacer'> </div>`:null}
      ${p?s.dy`<div class='row-break'></div>`:null}
      <div class=${r} style=${a} @click=${t.onClick}
        @mouseover=${t.onMouseover} @mouseout=${t.onMouseout}>
        <lit-tooltip content=${t.weight.toPrecision(3)}
          ?forceShow=${Boolean(t.forceShowTooltip)}
          ?disabled=${Boolean(t.disableHover)}>
          <span class='pre-wrap' slot="tooltip-anchor">${l}</span>
        </lit-tooltip>
      </div>
      ${f?s.dy`<div class='row-break'></div>`:null}
      `}holderClass(){return{"tokens-holder":!0,dense:this.dense}}render(){const t=this.tokensWithWeights.map(((t,n)=>this.renderToken(t,n)));return s.dy`
      <div class="tokens-group">
        ${this.tokenGroupTitle?this.tokenGroupTitle:""}
        <div class=${(0,d.$)(this.holderClass())}>
          ${t}
        </div>
      </div>`}};(0,a.gn)([(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],g.prototype,"tokensWithWeights",void 0),(0,a.gn)([(0,l.Cb)({type:Object}),(0,a.w6)("design:type",p.LB)],g.prototype,"cmap",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",String)],g.prototype,"tokenGroupTitle",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"dense",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"breakNewlines",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"preSpace",void 0),g=(0,a.gn)([(0,l.Mo)("lit-token-chips")],g);let v=class TextChips extends g{constructor(){super(...arguments),this.vDense=!1}holderClass(){return Object.assign({},super.holderClass(),{"text-chips":!0,vdense:this.vDense})}};(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],v.prototype,"vDense",void 0),v=(0,a.gn)([(0,l.Mo)("lit-text-chips")],v)},3514:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(9455),h=r(9537),p=r(5889),f=r(7098);const m=s.iv`:host {
  --tooltip-max-width: 232px;
  --tooltip-width: auto;
  /**
   * Set this to inline if the wrapped content should also be rendered as
   * inline, such as when applying a tooltip to a sentence span as part of
   * a larger paragraph.
   *
   * TODO(lit-dev): see if we can use inline for this always? May cause issues
   * with tooltip positioning.
   */
  --anchor-display-mode: inline-block;
  --tooltip-position-left: auto;
  --tooltip-position-right: auto;
  --tooltip-position-top: auto;
  --tooltip-position-bottom: auto;
}

/* Tooltip */
.lit-tooltip {
  display: var(--anchor-display-mode);
}

/* Tooltip text */
.lit-tooltip .tooltip-text {
  max-width: var(--tooltip-max-width);
  width: var(--tooltip-width);

  background-color: #202124;
  opacity: 0.9;
  border-radius: 4px;
  color: #fff;
  padding: 0px 8px;

  position: absolute;
  z-index: 9999;
  white-space: normal;
  font-size: 12px;
  font-weight: normal;
  line-height: 16px;
  left: var(--tooltip-position-left);
  right: var(--tooltip-position-right);
  top: var(--tooltip-position-top);
  bottom: var(--tooltip-position-bottom);

  display: -webkit-box;
  -webkit-line-clamp: 6;
  -webkit-box-orient: vertical;
  overflow: hidden;
}

.tooltip-text.above {
  bottom: 28px;
}

.tooltip-text.left {
  right: 12px;
}

.lit-tooltip .tooltip-text a {
  color: #7bcccc;
}

/* Show the tooltip text when you mouse over the tooltip container */
.lit-tooltip:hover .tooltip-text:not(.disabled) {
  visibility: visible;
}

.lit-tooltip .tooltip-text:not(.force-show) {
  visibility: hidden;
}

/* Show the tooltip when forceShow is set. */
.lit-tooltip .tooltip-text.force-show {
  visibility: visible;
}`;let g=class LitTooltip extends h.f{constructor(){super(...arguments),this.content="",this.tooltipPosition="",this.shouldRenderAriaLabel=!0,this.disabled=!1,this.forceShow=!1}static get styles(){return[p.W,m]}renderAriaLabel(){return this.shouldRenderAriaLabel?s.dy`aria-label=${this.content}`:""}render(){const t=(0,d.$)({"tooltip-text":!0,above:-1!==this.tooltipPosition.indexOf("above"),left:-1!==this.tooltipPosition.indexOf("left"),"force-show":this.forceShow,disabled:this.disabled});return s.dy`<div class='lit-tooltip'>
        <slot name="tooltip-anchor">
          ${this.content?s.dy`
            <span class="help-icon material-icon-outlined icon-button">
              help_outline
            </span>`:""}
        </slot>
        ${this.content?s.dy`
          <span class=${t} ${this.renderAriaLabel()}>
              ${(0,f.Xo)(this.content)}
          </span>`:""}
      </div>
    `}};(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"content",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],g.prototype,"tooltipPosition",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"shouldRenderAriaLabel",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"disabled",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],g.prototype,"forceShow",void 0),g=(0,a.gn)([(0,l.Mo)("lit-tooltip")],g)},8286:(t,n,r)=>{"use strict";r.d(n,{p:()=>BatchRequestCache});var a=r(7582);class BatchRequestCache{constructor(t,n){this.requestFn=t,this.keyFn=n,this.resultCache=new Map}call(t){return(0,a.mG)(this,void 0,void 0,(function*(){const n=t.map((t=>this.resultCache.get(this.keyFn(t)))),r=[];for(let t=0;t<n.length;++t)void 0===n[t]&&r.push(t);if(0===r.length)return n;const a=r.map((n=>t[n])),s=yield this.requestFn(a);return null===s?null:(r.forEach(((r,a)=>{const l=this.keyFn(t[r]),d=s[a];this.resultCache.set(l,d),n[r]=d})),n)}))}}},6070:(t,n,r)=>{"use strict";r.d(n,{Do:()=>C,G0:()=>T,If:()=>y,LB:()=>SalienceCmap,NM:()=>g,TP:()=>b,eC:()=>h,f8:()=>E,kh:()=>SignedSalienceCmap,lf:()=>m,nA:()=>p,qL:()=>x,rD:()=>w,zT:()=>UnsignedSalienceCmap});var a=r(3886);r(4915);const s=["50","100","200","300","400","500","600","700","800","900"],l=["orange","blue","yellow","purple","coral","teal","magenta","other"];function d(t,n){return n=Math.trunc(n),(n%=t.length)<0&&(n+=t.length),t[n]}function h(t){return a.u1K(t)}function p(t,n){const r=a.$_Y(t);if(null==r)throw new RangeError(`Invalid CSS color '${t}'`);return null!=n&&(r.opacity=n),r.rgb()}const f={cyea:[{color:"#EDFFFA",textColor:"black"},{color:"#CDF2FA",textColor:"black"},{color:"#AFE6DE",textColor:"black"},{color:"#7BCCCC",textColor:"black"},{color:"#52A6B3",textColor:"black"},{color:"#348199",textColor:"white"},{color:"#1F6180",textColor:"white"},{color:"#114566",textColor:"white"},{color:"#092F4D",textColor:"white"},{color:"#041D33",textColor:"white"}],mage:[{color:"#FFF5F7",textColor:"black"},{color:"#FEEAEF",textColor:"black"},{color:"#FED5E0",textColor:"black"},{color:"#F9A9C0",textColor:"black"},{color:"#EF7CA1",textColor:"black"},{color:"#E25287",textColor:"white"},{color:"#CE2F75",textColor:"white"},{color:"#B7166A",textColor:"white"},{color:"#800060",textColor:"white"},{color:"#470046",textColor:"white"}],bric:[{color:"#FDF8EA",textColor:"black"},{color:"#F9F1DC",textColor:"black"},{color:"#EFD9AB",textColor:"black"},{color:"#E4BC78",textColor:"black"},{color:"#D59441",textColor:"black"},{color:"#C26412",textColor:"white"},{color:"#A93D00",textColor:"white"},{color:"#8B2100",textColor:"white"},{color:"#6A0C00",textColor:"white"},{color:"#470000",textColor:"white"}],neutral:[{color:"#F8F9FA",textColor:"black"},{color:"#F1F3F4",textColor:"black"},{color:"#E8EAED",textColor:"black"},{color:"#DADCE0",textColor:"black"},{color:"#BDC1C6",textColor:"black"},{color:"#9AA0A6",textColor:"white"},{color:"#80868B",textColor:"white"},{color:"#5F6368",textColor:"white"},{color:"#3C4043",textColor:"white"},{color:"#202124",textColor:"white"}]};function m(t,n){return d(f[t],"number"==typeof n?n:s.indexOf(n))}const g={primary:[{color:"#EEFBF8",textColor:"black"},{color:"#D8F2ED",textColor:"black"},{color:"#C0E7E3",textColor:"black"},{color:"#A1D2D4",textColor:"black"},{color:"#72AEB9",textColor:"black"},{color:"#48879C",textColor:"white"},{color:"#326882",textColor:"white"},{color:"#284E67",textColor:"white"},{color:"#1D3649",textColor:"white"},{color:"#142838",textColor:"white"}],secondary:[{color:"#FFF5F7",textColor:"black"},{color:"#FAEDF0",textColor:"black"},{color:"#F7DBE4",textColor:"black"},{color:"#EDBDCD",textColor:"black"},{color:"#E091AC",textColor:"black"},{color:"#CC6990",textColor:"white"},{color:"#BE4079",textColor:"white"},{color:"#9D2D69",textColor:"white"},{color:"#651A54",textColor:"white"},{color:"#3B0A3C",textColor:"white"}],tertiary:[{color:"#FCF8EF",textColor:"black"},{color:"#F9F7ED",textColor:"black"},{color:"#EDDEBF",textColor:"black"},{color:"#E0C9A2",textColor:"black"},{color:"#CEA269",textColor:"black"},{color:"#B6763E",textColor:"white"},{color:"#A14C1C",textColor:"white"},{color:"#7E351F",textColor:"white"},{color:"#58211B",textColor:"white"},{color:"#3B0A0B",textColor:"white"}],"neutral-variant":[{color:"#F0F7F7",textColor:"black"},{color:"#EBF3F2",textColor:"black"},{color:"#E3ECED",textColor:"black"},{color:"#CCD9DD",textColor:"black"},{color:"#B5C6CA",textColor:"black"},{color:"#9CAFB4",textColor:"white"},{color:"#72868F",textColor:"white"},{color:"#596C75",textColor:"white"},{color:"#3F5259",textColor:"white"},{color:"#222C35",textColor:"white"}]};const v={pastel:[{color:"#ffd8c3",textColor:"black"},{color:"#87cdf9",textColor:"black"},{color:"#faf49f",textColor:"black"},{color:"#cdc5ff",textColor:"black"},{color:"#f6aea9",textColor:"black"},{color:"#bdf4e7",textColor:"black"},{color:"#edc4e6",textColor:"black"},{color:"#dadce0",textColor:"black"}],bright:[{color:"#f0bd80",textColor:"black"},{color:"#61aff7",textColor:"black"},{color:"#ffe839",textColor:"black"},{color:"#9b86ef",textColor:"black"},{color:"#ff777b",textColor:"black"},{color:"#7ddad3",textColor:"black"},{color:"#ef96cd",textColor:"black"},{color:"#b5bcc3",textColor:"black"}],deep:[{color:"#ff9230",textColor:"black"},{color:"#3c7dbf",textColor:"white"},{color:"#ffc700",textColor:"black"},{color:"#7647ea",textColor:"white"},{color:"#fc4f61",textColor:"white"},{color:"#1f978a",textColor:"white"},{color:"#b22a72",textColor:"white"},{color:"#879695",textColor:"white"}],dark:[{color:"#ba4a0d",textColor:"white"},{color:"#184889",textColor:"white"},{color:"#b48014",textColor:"white"},{color:"#270086",textColor:"white"},{color:"#b12d33",textColor:"white"},{color:"#006067",textColor:"white"},{color:"#632440",textColor:"white"},{color:"#515050",textColor:"white"}]};function y(t,n){const r=v[t];if("number"==typeof n&&n>-1)return r[Math.trunc(n)%(r.length-1)];return d(r,l.indexOf(n))}const b=f.cyea[4].color,x=(v.deep[v.deep.length-1].color,f.mage[4].color,f.neutral[5].color,v.deep.slice(0,-1).map((t=>t.color))),w=[v.deep[4].color,v.deep[1].color];h([v.dark[4].color,v.deep[4].color,v.bright[4].color,v.pastel[7].color,v.bright[5].color,v.deep[5].color,v.dark[5].color]);function S(t){return a.BYU().domain(t.map(((n,r)=>r/(t.length-1)))).range(t).interpolate(((t,n)=>a.uUj(t.toString(),n.toString())))}function _(t,n){const r=l.indexOf(t),s=["#ffffff",...Object.values(v).map((t=>t[r].color))];if(n){const t=l.indexOf(n),r=Object.values(v).map((n=>n[t].color));s.unshift(...r.reverse())}const d=S(s);return a.w6H(256).map((t=>d(t/256)))}const T=h(function(t,n){const r=["#ffffff",...f[t].slice(1).map((t=>t.color))];if(n){const t=f[n].slice(1).map((t=>t.color));r.unshift(...t.reverse())}const s=S(r);return a.w6H(256).map((t=>s(t/256)))}("cyea","mage")),E=h(_("purple")),C=(h(_("blue")),h([v.pastel[3].color,v.bright[3].color,v.deep[3].color,v.dark[3].color]),f.cyea[2].color,f.cyea[4].color,f.cyea[6].color,h(f.cyea.slice(2,9).map((t=>t.color))),f.mage[2].color,f.mage[4].color,f.mage[6].color,h(f.mage.slice(2,9).map((t=>t.color))),f.bric[5].color,f.bric[3].color,f.cyea[3].color,f.cyea[5].color,h([v.deep[3].color,v.deep[1].color,v.deep[5].color,v.deep[2].color]));f.bric[5].color,f.bric[3].color,f.neutral[2].color,f.cyea[3].color,f.cyea[5].color,f.bric[5].color,f.bric[3].color,f.bric[1].color,f.cyea[1].color,f.cyea[3].color,f.cyea[5].color;class SalienceCmap{get colorScale(){return this.myColorScale}constructor(t=1,n=[0,1],r=E,s=[0,1]){this.gamma=t,this.domain=n,this.cRamp=r,this.range=s,this.myColorScale=a.cJy(r).domain(n)}asScale(){const t=t=>this.bgCmap(t);return t.domain=()=>this.myColorScale.domain(),t}textCmap(t){return this.lightness(t)<=.5?"black":"white"}clamp(t){const[n,r]=this.myColorScale.domain();return Math.max(n,Math.min(r,t))}scale(t){const[n,r]=this.myColorScale.domain();return this.clamp(t)<0?n:r}lightness(t){return t=this.clamp(t)/this.scale(t),t=1-(t=Math.pow(1-t,this.gamma)),this.range[0]+(this.range[1]-this.range[0])*t}bgCmap(t){return this.myColorScale(this.lightness(t)*this.scale(t))}}class UnsignedSalienceCmap extends SalienceCmap{}class SignedSalienceCmap extends SalienceCmap{constructor(t=1,n=[-1,1],r=T,a=[0,1]){super(t,n,r,a)}}},9845:()=>{},9537:(t,n,r)=>{"use strict";r.d(n,{f:()=>ReactiveElement});var a=r(7582),s=r(7924),l=r(5595),d=r(8949);class ReactiveElement extends s.G{constructor(){super(),this.__allowInstanceProperties=!0,this.shouldReact=1,this.reactionDisposers=[],this.pendingReactions=new Map,(0,d.rC)(this),(0,d.U5)((()=>this.shouldReact),(t=>{0!==t&&this.performPendingReactions()}))}disconnectedCallback(){super.disconnectedCallback(),this.reactionDisposers.forEach((t=>{t()}))}performPendingReactions(){this.pendingReactions.forEach(((t,n)=>{n.apply(window,[t.arg,t.r])})),this.pendingReactions.clear()}react(t,n,r={}){const a=(0,d.U5)(t,((t,r,a)=>{0!==this.shouldReact?n.apply(window,[t,a]):this.pendingReactions.set(n,{arg:t,r:a})}),r);this.reactionDisposers.push(a)}reactImmediately(t,n,r={}){this.react(t,n,Object.assign(Object.assign({},r),{fireImmediately:!0}))}}(0,a.gn)([d.LO,(0,l.Cb)({type:Number}),(0,a.w6)("design:type",Object)],ReactiveElement.prototype,"shouldReact",void 0)},5806:(t,n,r)=>{"use strict";r.d(n,{C5:()=>m,No:()=>h,T9:()=>v,UZ:()=>b,YR:()=>f,hs:()=>g,ii:()=>p,sQ:()=>y});var a=r(7499),s=r.n(a),l=r(4262),d=(r(4915),r(7098));const h=[l.CP,l.hS];function p(t,n){const r={};for(const a of Object.keys(t))n[a]instanceof l.CP&&(r[a]=[[t[a],null]]),n[a]instanceof l.hS&&(r[a]=t[a]);return r}function f(t,n){if(null==n)return[];const r=[];for(const a of t){const t=n[a];if(t instanceof Array)for(const n of t)r.push(n[0]);else r.push(t)}return r}function m(t,n){return f((0,d.Fe)(t,h),n)}var g,v;function y(t,n,r,a){const s=[];for(const a of function(t,n,r){if(null==r)return[];const a=new Set;for(const r of(0,d.Fe)(n,[l.pl,...h])){const{parent:s}=n[r];s&&t[s]&&a.add(s)}return f([...a],r.data)}(t,n,r))s.push({text:a,source:g.REFERENCE});for(const t of m(n,a))s.push({text:t,source:g.MODEL_OUTPUT});return s}function b(t,n,r){const a=t.split(" "),l=n.split(" "),d=(r?new(s().SequenceMatcher)((()=>!1),a,l):new(s().SequenceMatcher)((()=>!1),t,n)).getOpcodes(),h=[],p=[],f=[];for(const s of d){const d=s[0],m=Number(s[1]),g=Number(s[2]),v=Number(s[3]),y=Number(s[4]);f.push("equal"===d),r?(h.push(a.slice(m,g).join(" ")),p.push(l.slice(v,y).join(" "))):(h.push(t.slice(m,g)),p.push(n.slice(v,y)))}return{inputStrings:h,outputStrings:p,equal:f}}!function(t){t.REFERENCE="Reference",t.MODEL_OUTPUT="Output"}(g||(g={})),function(t){t.NONE="None",t.WORD="Word",t.CHAR="Character"}(v||(v={}))},4262:(t,n,r)=>{"use strict";r.d(n,{$K:()=>re,C4:()=>ge,CP:()=>v,FG:()=>se,JK:()=>X,Jb:()=>E,Kx:()=>J,MK:()=>oe,Mj:()=>_,NO:()=>le,OS:()=>V,RR:()=>Q,Ri:()=>T,Rj:()=>Y,Ru:()=>I,Su:()=>h,UW:()=>me,Uz:()=>B,VM:()=>d,Xs:()=>p,YH:()=>y,Z2:()=>ue,aK:()=>D,b_:()=>q,fv:()=>ve,h5:()=>pe,hS:()=>b,hW:()=>G,j:()=>ae,k6:()=>W,lM:()=>ye,my:()=>x,nY:()=>ie,nk:()=>A,oB:()=>ce,pl:()=>$,q0:()=>j,qQ:()=>S,rQ:()=>ne,sO:()=>f,sm:()=>U,ue:()=>s,wk:()=>de});var a=r(7582);const s={};function l(t){s[t.name]=t}Object.keys(s);let d=class LitType{constructor(){this.required=!0,this.default=void 0,this.annotated=!1,this.show_in_data_table=!1}get name(){return this.constructor.name}};d=(0,a.gn)([l],d);let h=class StringLitType extends d{constructor(){super(...arguments),this.default=""}};h=(0,a.gn)([l],h);let p=class TextSegment extends h{};p=(0,a.gn)([l],p);let f=class ImageBytes extends d{};f=(0,a.gn)([l],f);let m=class JPEGBytes extends f{};m=(0,a.gn)([l],m);let g=class PNGBytes extends f{};g=(0,a.gn)([l],g);let v=class GeneratedText extends p{constructor(){super(...arguments),this.parent=void 0}};v=(0,a.gn)([l],v);let y=class ListLitType extends d{constructor(){super(...arguments),this.default=[]}};y=(0,a.gn)([l],y);class _StringCandidateList extends y{constructor(){super(...arguments),this.default=[]}}let b=class GeneratedTextCandidates extends _StringCandidateList{constructor(){super(...arguments),this.parent=void 0}};b=(0,a.gn)([l],b);let x=class ReferenceTexts extends _StringCandidateList{};x=(0,a.gn)([l],x);let w=class TopTokens extends _StringCandidateList{};w=(0,a.gn)([l],w);let S=class ImageBytesList extends y{};S=(0,a.gn)([l],S);let _=class URLLitType extends p{};_=(0,a.gn)([l],_);let T=class GeneratedURL extends p{constructor(){super(...arguments),this.align=void 0}};T=(0,a.gn)([l],T);let E=class SearchQuery extends p{};E=(0,a.gn)([l],E);let C=class StringList extends y{constructor(){super(...arguments),this.default=[]}};C=(0,a.gn)([l],C);let A=class Tokens extends C{constructor(){super(...arguments),this.parent=void 0,this.mask_token=void 0,this.token_prefix="##"}};A=(0,a.gn)([l],A);let O=class TokenTopKPreds extends y{constructor(){super(...arguments),this.default=[],this.align=void 0,this.parent=void 0}};O=(0,a.gn)([l],O);let I=class Scalar extends d{constructor(){super(...arguments),this.default=0,this.min_val=0,this.max_val=1,this.step=.01}};I=(0,a.gn)([l],I);let P=class Integer extends I{constructor(){super(...arguments),this.min_val=-32768,this.max_val=32767,this.step=1}};P=(0,a.gn)([l],P);let D=class RegressionScore extends I{constructor(){super(...arguments),this.parent=void 0}};D=(0,a.gn)([l],D);let F=class FloatList extends y{constructor(){super(...arguments),this.default=[]}};F=(0,a.gn)([l],F);let B=class TokenScores extends F{constructor(){super(...arguments),this.align=void 0}};B=(0,a.gn)([l],B);let $=class ReferenceScores extends y{constructor(){super(...arguments),this.default=[],this.parent=void 0}};$=(0,a.gn)([l],$);let j=class CategoryLabel extends h{constructor(){super(...arguments),this.vocab=void 0}};j=(0,a.gn)([l],j);class _Tensor extends d{constructor(){super(...arguments),this.default=[]}}let V=class MulticlassPreds extends _Tensor{constructor(){super(...arguments),this.vocab=[],this.null_idx=void 0,this.parent=void 0,this.autosort=!1,this.threshold=void 0}get num_labels(){return this.vocab.length}};V=(0,a.gn)([l],V);let U=class SequenceTags extends C{constructor(){super(...arguments),this.align=void 0}};U=(0,a.gn)([l],U);let G=class SpanLabels extends y{constructor(){super(...arguments),this.default=[],this.align="",this.parent=void 0}};G=(0,a.gn)([l],G);let W=class EdgeLabels extends y{constructor(){super(...arguments),this.default=[],this.align=""}};W=(0,a.gn)([l],W);let q=class MultiSegmentAnnotations extends y{constructor(){super(...arguments),this.default=[],this.exclusive=!1,this.background=!1}};q=(0,a.gn)([l],q);let X=class Embeddings extends _Tensor{};X=(0,a.gn)([l],X);class _GradientsBase extends _Tensor{constructor(){super(...arguments),this.align=void 0,this.grad_for=void 0,this.grad_target_field_key=void 0}}let Y=class Gradients extends _GradientsBase{};Y=(0,a.gn)([l],Y);let K=class TokenEmbeddings extends _Tensor{constructor(){super(...arguments),this.align=void 0}};K=(0,a.gn)([l],K);let J=class TokenGradients extends _GradientsBase{};J=(0,a.gn)([l],J);let Q=class ImageGradients extends _GradientsBase{};Q=(0,a.gn)([l],Q);let ee=class AttentionHeads extends _Tensor{constructor(){super(...arguments),this.align_in="",this.align_out=""}};ee=(0,a.gn)([l],ee);let te=class SubwordOffsets extends y{constructor(){super(...arguments),this.default=[],this.align_in="",this.align_out=""}};te=(0,a.gn)([l],te);let ie=class SparseMultilabel extends C{constructor(){super(...arguments),this.vocab=void 0,this.separator=","}};ie=(0,a.gn)([l],ie);let ne=class SparseMultilabelPreds extends _StringCandidateList{constructor(){super(...arguments),this.default=[],this.vocab=void 0,this.parent=void 0}};ne=(0,a.gn)([l],ne);let re=class FieldMatcher extends d{constructor(){super(...arguments),this.spec="dataset",this.types="",this.vocab=void 0}};re=(0,a.gn)([l],re);let oe=class SingleFieldMatcher extends re{constructor(){super(...arguments),this.default=""}};oe=(0,a.gn)([l],oe);let ae=class MultiFieldMatcher extends re{constructor(){super(...arguments),this.default=[],this.select_all=!1}};ae=(0,a.gn)([l],ae);let se=class Salience extends d{constructor(){super(...arguments),this.autorun=!1,this.signed=!1}};se=(0,a.gn)([l],se);let le=class TokenSalience extends se{constructor(){super(...arguments),this.default=void 0}};le=(0,a.gn)([l],le);let ce=class FeatureSalience extends se{constructor(){super(...arguments),this.default=void 0}};ce=(0,a.gn)([l],ce);let de=class FrameSalience extends se{constructor(){super(...arguments),this.default=void 0}};de=(0,a.gn)([l],de);let ue=class ImageSalience extends se{};ue=(0,a.gn)([l],ue);let he=class SequenceSalience extends se{constructor(){super(...arguments),this.default=void 0}};he=(0,a.gn)([l],he);let pe=class BooleanLitType extends d{constructor(){super(...arguments),this.default=!1}};pe=(0,a.gn)([l],pe);let fe=class CurveDataPoints extends d{};fe=(0,a.gn)([l],fe);let me=class InfluentialExamples extends d{};var ge;me=(0,a.gn)([l],me),function(t){t.HIGHEST="highest",t.LOWEST="lowest",t.NONE="none",t.ZERO="zero"}(ge||(ge={}));let ve=class MetricResult extends d{constructor(){super(...arguments),this.default=0,this.description="",this.best_value=ge.NONE}};ve=(0,a.gn)([l],ve);let ye=class SalienceTargetInfo extends d{constructor(){super(...arguments),this.default=null}};ye=(0,a.gn)([l],ye)},5254:(t,n,r)=>{"use strict";r.d(n,{T4:()=>s,c3:()=>h,dQ:()=>d});const a="▁";function s(t){return t.replaceAll(a," ")}function l(t,n,r){const a=t.join(""),s=[];for(const t of a.matchAll(n))s.push(t.index),void 0!==t.index&&r&&s.push(t.index+t[0].length);let l=0,d=0;const h=[];let p=[];for(let n=0;n<t.length;n++){const r=t[n],a=s[d];void 0!==a&&l+r.length>a&&((p.length>0||h.length>0)&&h.push(p),p=[],d+=1),p.push(r),l+=r.length}return p.length>0&&h.push(p),h}function d(t,n){return l(t,n,!1)}function h(t,n){return l(t,n,!0)}},125:(t,n,r)=>{"use strict";r.d(n,{$A:()=>y,$Q:()=>g,L9:()=>p,X9:()=>m,bN:()=>w,eb:()=>d,hh:()=>v,l:()=>x,qc:()=>b,re:()=>h,rn:()=>l,uf:()=>f});var a=r(9392),s=r(3959);function l(t){return`${t.label}${null!=t.score?` (${t.score})`:""}`}function d(t){return t?"✔":" "}function h(t){function n(t){return`[${t[0]}, ${t[1]})`}return`${n(t.span1)}${t.span2?` ← ${n(t.span2)}`:""}⁠: ${t.label}`.replace(/\ /g," ")}function p(t){return Array.isArray(t)?`<float>[${t.length}]`:""}function f(t){return Number.isInteger(t)?t:Number(t.toFixed(3))}function m([t,n]){return`${t}${"number"==typeof n?` (${f(n)})`:""}`}function g(t){return t.map(m).join("\n\n")}function v(t){return t.map(g).join("\n\n")}function y(t,n=!1){let r=`[${t.start}, ${t.end})`;return t.align&&(r=`${t.align} ${r}`),t.label&&(r=`${r}⁠: ${t.label}`),r=r.replace(/\ /g," "),n?a.dy`<div class="monospace-label">${r}</div>`:r}function b(t,n,r=""){return a.dy`<select class="dropdown" @change=${n} .value=${r}>
    ${t.map((t=>a.dy`<option value=${t} ?selected=${r===t}>${t}</option>`))}
    <option value="" ?selected=${""===r}></option>
  </select>`}function x(t,n="",r={}){return a.dy`<textarea class="input-box" style="${(0,s.V)(r)}"
      @input=${t} .value=${n}></textarea>`}function w(t,n=""){return a.dy`<input type="text" class="input-short" @input=${t}
      .value=${n}>`}},4915:(t,n,r)=>{"use strict";r.d(n,{$A:()=>p,E9:()=>_,SU:()=>S,_X:()=>x,eb:()=>T,h6:()=>w,ql:()=>y,re:()=>f,rn:()=>m});r(3886),r(9392);var a=r(4262),s=r(7098),l=r(5108);function d(t){return Array.isArray(t)&&2===t.length&&"string"==typeof t[0]&&(null==t[1]||"number"==typeof t[1])}function h(t){return Number.isInteger(t)?t:Number(t.toFixed(3))}function p(t){let n=`[${t.start}, ${t.end})`;return t.align&&(n=`${t.align} ${n}`),t.label&&(n=`${n}⁠: ${t.label}`),n.replace(/\ /g," ")}function f(t){function n(t){return`[${t[0]}, ${t[1]})`}return`${n(t.span1)}${t.span2?" ← "+n(t.span2):""}⁠: ${t.label}`.replace(/\ /g," ")}function m(t){return`${t.label}${null!=t.score?` (${t.score})`:""}`}function g([t,n]){return`${t}${"number"==typeof n?` (${h(n)})`:""}`}function v(t){return t.map(g).join("\n\n")}function y(t,n){const r=n[t];if(void 0!==r.default)return r instanceof a.q0&&r.vocab&&!r.vocab.includes(r.default)?r.vocab[0]:r.default;if(r instanceof a.Ru)return 0;if(r instanceof a.YH)return[];if(r instanceof a.sO)return"";const d=[a.Xs,a.q0];return(0,s.kL)(r,d)||l.log("Warning: default value requested for unrecognized input field type",t,r),""}const b="none",x="_union_empty";function w(t){return t===x?b:t}const S="scroll-sync";function _(t,n,r){if(null==t)return"";if(n instanceof a.hW){return t.map(p).join(", ")}if(n instanceof a.k6){return t.map(f).join(", ")}if(n instanceof a.b_){return t.map(m).join(", ")}if(n instanceof a.JK)return Array.isArray(t)?`<float>[${t.length}]`:"";if(n instanceof a.hS)return v(t);if(Array.isArray(t)){if(d(t))return g(t);if(Array.isArray(t[0])&&d(t[0]))return v(t);return`${t.map((t=>"number"==typeof t?h(t):r?(0,s.aN)(t):`${t}`)).join(", ")}`}return"boolean"==typeof t?T(t):"number"==typeof t?h(t):r?(0,s.aN)(t):`${t}`}function T(t){return t?"✔":" "}},7098:(t,n,r)=>{"use strict";r.d(n,{Eb:()=>Q,VV:()=>re,Ak:()=>Fe,aN:()=>ke,o8:()=>ce,Rt:()=>Se,Tp:()=>le,yq:()=>xe,F:()=>Me,Rf:()=>_e,Mg:()=>Ce,tf:()=>pe,Fe:()=>he,xH:()=>fe,DO:()=>ve,Lt:()=>Pe,Xo:()=>Le,mY:()=>Re,xt:()=>ge,IK:()=>ae,yu:()=>se,Nl:()=>we,qx:()=>me,p5:()=>Ee,un:()=>Ie,S7:()=>Te,kL:()=>ue,hj:()=>ye,Ou:()=>Be,sV:()=>Ve,q1:()=>oe,J6:()=>ee,RE:()=>$e,C2:()=>te,rl:()=>Ne,rO:()=>ie,T7:()=>Ae,vP:()=>ne,P0:()=>be,XH:()=>je});var a=r(3886),s=r(3692),l=r(875);class e extends l.Xe{constructor(t){if(super(t),this.et=s.Ld,t.type!==l.pX.CHILD)throw Error(this.constructor.directiveName+"() can only be used in child bindings")}render(t){if(t===s.Ld||null==t)return this.ft=void 0,this.et=t;if(t===s.Jb)return t;if("string"!=typeof t)throw Error(this.constructor.directiveName+"() called with a non-string value");if(t===this.et)return this.ft;this.et=t;const n=[t];return n.raw=n,this.ft={_$litType$:this.constructor.resultType,strings:n,values:[]}}}e.directiveName="unsafeHTML",e.resultType=1;const d=(0,l.XM)(e);var h=r(5108);function p(){return{async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1}}let f={async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1};function m(t){f=t}const g=/[&<>"']/,v=new RegExp(g.source,"g"),y=/[<>"']|&(?!(#\d{1,7}|#[Xx][a-fA-F0-9]{1,6}|\w+);)/,b=new RegExp(y.source,"g"),x={"&":"&amp;","<":"&lt;",">":"&gt;",'"':"&quot;","'":"&#39;"},w=t=>x[t];function S(t,n){if(n){if(g.test(t))return t.replace(v,w)}else if(y.test(t))return t.replace(b,w);return t}const _=/&(#(?:\d+)|(?:#x[0-9A-Fa-f]+)|(?:\w+));?/gi;function T(t){return t.replace(_,((t,n)=>"colon"===(n=n.toLowerCase())?":":"#"===n.charAt(0)?"x"===n.charAt(1)?String.fromCharCode(parseInt(n.substring(2),16)):String.fromCharCode(+n.substring(1)):""))}const E=/(^|[^\[])\^/g;function C(t,n){t="string"==typeof t?t:t.source,n=n||"";const r={replace:(n,a)=>(a=(a=a.source||a).replace(E,"$1"),t=t.replace(n,a),r),getRegex:()=>new RegExp(t,n)};return r}const A=/[^\w:]/g,O=/^$|^[a-z][a-z0-9+.-]*:|^[?#]/i;function I(t,n,r){if(t){let t;try{t=decodeURIComponent(T(r)).replace(A,"").toLowerCase()}catch(t){return null}if(0===t.indexOf("javascript:")||0===t.indexOf("vbscript:")||0===t.indexOf("data:"))return null}n&&!O.test(r)&&(r=function(t,n){P[" "+t]||(D.test(t)?P[" "+t]=t+"/":P[" "+t]=V(t,"/",!0));t=P[" "+t];const r=-1===t.indexOf(":");return"//"===n.substring(0,2)?r?n:t.replace(F,"$1")+n:"/"===n.charAt(0)?r?n:t.replace(B,"$1")+n:t+n}(n,r));try{r=encodeURI(r).replace(/%25/g,"%")}catch(t){return null}return r}const P={},D=/^[^:]+:\/*[^/]*$/,F=/^([^:]+:)[\s\S]*$/,B=/^([^:]+:\/*[^/]*)[\s\S]*$/;const $={exec:function(){}};function j(t,n){const r=t.replace(/\|/g,((t,n,r)=>{let a=!1,s=n;for(;--s>=0&&"\\"===r[s];)a=!a;return a?"|":" |"})).split(/ \|/);let a=0;if(r[0].trim()||r.shift(),r.length>0&&!r[r.length-1].trim()&&r.pop(),r.length>n)r.splice(n);else for(;r.length<n;)r.push("");for(;a<r.length;a++)r[a]=r[a].trim().replace(/\\\|/g,"|");return r}function V(t,n,r){const a=t.length;if(0===a)return"";let s=0;for(;s<a;){const l=t.charAt(a-s-1);if(l!==n||r){if(l===n||!r)break;s++}else s++}return t.slice(0,a-s)}function U(t,n,r,a){const s=n.href,l=n.title?S(n.title):null,d=t[1].replace(/\\([\[\]])/g,"$1");if("!"!==t[0].charAt(0)){a.state.inLink=!0;const t={type:"link",raw:r,href:s,title:l,text:d,tokens:a.inlineTokens(d)};return a.state.inLink=!1,t}return{type:"image",raw:r,href:s,title:l,text:S(d)}}class Tokenizer{constructor(t){this.options=t||f}space(t){const n=this.rules.block.newline.exec(t);if(n&&n[0].length>0)return{type:"space",raw:n[0]}}code(t){const n=this.rules.block.code.exec(t);if(n){const t=n[0].replace(/^ {1,4}/gm,"");return{type:"code",raw:n[0],codeBlockStyle:"indented",text:this.options.pedantic?t:V(t,"\n")}}}fences(t){const n=this.rules.block.fences.exec(t);if(n){const t=n[0],r=function(t,n){const r=t.match(/^(\s+)(?:```)/);if(null===r)return n;const a=r[1];return n.split("\n").map((t=>{const n=t.match(/^\s+/);if(null===n)return t;const[r]=n;return r.length>=a.length?t.slice(a.length):t})).join("\n")}(t,n[3]||"");return{type:"code",raw:t,lang:n[2]?n[2].trim().replace(this.rules.inline._escapes,"$1"):n[2],text:r}}}heading(t){const n=this.rules.block.heading.exec(t);if(n){let t=n[2].trim();if(/#$/.test(t)){const n=V(t,"#");this.options.pedantic?t=n.trim():n&&!/ $/.test(n)||(t=n.trim())}return{type:"heading",raw:n[0],depth:n[1].length,text:t,tokens:this.lexer.inline(t)}}}hr(t){const n=this.rules.block.hr.exec(t);if(n)return{type:"hr",raw:n[0]}}blockquote(t){const n=this.rules.block.blockquote.exec(t);if(n){const t=n[0].replace(/^ *>[ \t]?/gm,""),r=this.lexer.state.top;this.lexer.state.top=!0;const a=this.lexer.blockTokens(t);return this.lexer.state.top=r,{type:"blockquote",raw:n[0],tokens:a,text:t}}}list(t){let n=this.rules.block.list.exec(t);if(n){let r,a,s,l,d,h,p,f,m,g,v,y,b=n[1].trim();const x=b.length>1,w={type:"list",raw:"",ordered:x,start:x?+b.slice(0,-1):"",loose:!1,items:[]};b=x?`\\d{1,9}\\${b.slice(-1)}`:`\\${b}`,this.options.pedantic&&(b=x?b:"[*+-]");const S=new RegExp(`^( {0,3}${b})((?:[\t ][^\\n]*)?(?:\\n|$))`);for(;t&&(y=!1,n=S.exec(t))&&!this.rules.block.hr.test(t);){if(r=n[0],t=t.substring(r.length),f=n[2].split("\n",1)[0].replace(/^\t+/,(t=>" ".repeat(3*t.length))),m=t.split("\n",1)[0],this.options.pedantic?(l=2,v=f.trimLeft()):(l=n[2].search(/[^ ]/),l=l>4?1:l,v=f.slice(l),l+=n[1].length),h=!1,!f&&/^ *$/.test(m)&&(r+=m+"\n",t=t.substring(m.length+1),y=!0),!y){const n=new RegExp(`^ {0,${Math.min(3,l-1)}}(?:[*+-]|\\d{1,9}[.)])((?:[ \t][^\\n]*)?(?:\\n|$))`),a=new RegExp(`^ {0,${Math.min(3,l-1)}}((?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$)`),s=new RegExp(`^ {0,${Math.min(3,l-1)}}(?:\`\`\`|~~~)`),d=new RegExp(`^ {0,${Math.min(3,l-1)}}#`);for(;t&&(g=t.split("\n",1)[0],m=g,this.options.pedantic&&(m=m.replace(/^ {1,4}(?=( {4})*[^ ])/g,"  ")),!s.test(m))&&!d.test(m)&&!n.test(m)&&!a.test(t);){if(m.search(/[^ ]/)>=l||!m.trim())v+="\n"+m.slice(l);else{if(h)break;if(f.search(/[^ ]/)>=4)break;if(s.test(f))break;if(d.test(f))break;if(a.test(f))break;v+="\n"+m}h||m.trim()||(h=!0),r+=g+"\n",t=t.substring(g.length+1),f=m.slice(l)}}w.loose||(p?w.loose=!0:/\n *\n *$/.test(r)&&(p=!0)),this.options.gfm&&(a=/^\[[ xX]\] /.exec(v),a&&(s="[ ] "!==a[0],v=v.replace(/^\[[ xX]\] +/,""))),w.items.push({type:"list_item",raw:r,task:!!a,checked:s,loose:!1,text:v}),w.raw+=r}w.items[w.items.length-1].raw=r.trimRight(),w.items[w.items.length-1].text=v.trimRight(),w.raw=w.raw.trimRight();const _=w.items.length;for(d=0;d<_;d++)if(this.lexer.state.top=!1,w.items[d].tokens=this.lexer.blockTokens(w.items[d].text,[]),!w.loose){const t=w.items[d].tokens.filter((t=>"space"===t.type)),n=t.length>0&&t.some((t=>/\n.*\n/.test(t.raw)));w.loose=n}if(w.loose)for(d=0;d<_;d++)w.items[d].loose=!0;return w}}html(t){const n=this.rules.block.html.exec(t);if(n){const t={type:"html",block:!0,raw:n[0],pre:!this.options.sanitizer&&("pre"===n[1]||"script"===n[1]||"style"===n[1]),text:n[0]};if(this.options.sanitize){const r=this.options.sanitizer?this.options.sanitizer(n[0]):S(n[0]);t.type="paragraph",t.text=r,t.tokens=this.lexer.inline(r)}return t}}def(t){const n=this.rules.block.def.exec(t);if(n){const t=n[1].toLowerCase().replace(/\s+/g," "),r=n[2]?n[2].replace(/^<(.*)>$/,"$1").replace(this.rules.inline._escapes,"$1"):"",a=n[3]?n[3].substring(1,n[3].length-1).replace(this.rules.inline._escapes,"$1"):n[3];return{type:"def",tag:t,raw:n[0],href:r,title:a}}}table(t){const n=this.rules.block.table.exec(t);if(n){const t={type:"table",header:j(n[1]).map((t=>({text:t}))),align:n[2].replace(/^ *|\| *$/g,"").split(/ *\| */),rows:n[3]&&n[3].trim()?n[3].replace(/\n[ \t]*$/,"").split("\n"):[]};if(t.header.length===t.align.length){t.raw=n[0];let r,a,s,l,d=t.align.length;for(r=0;r<d;r++)/^ *-+: *$/.test(t.align[r])?t.align[r]="right":/^ *:-+: *$/.test(t.align[r])?t.align[r]="center":/^ *:-+ *$/.test(t.align[r])?t.align[r]="left":t.align[r]=null;for(d=t.rows.length,r=0;r<d;r++)t.rows[r]=j(t.rows[r],t.header.length).map((t=>({text:t})));for(d=t.header.length,a=0;a<d;a++)t.header[a].tokens=this.lexer.inline(t.header[a].text);for(d=t.rows.length,a=0;a<d;a++)for(l=t.rows[a],s=0;s<l.length;s++)l[s].tokens=this.lexer.inline(l[s].text);return t}}}lheading(t){const n=this.rules.block.lheading.exec(t);if(n)return{type:"heading",raw:n[0],depth:"="===n[2].charAt(0)?1:2,text:n[1],tokens:this.lexer.inline(n[1])}}paragraph(t){const n=this.rules.block.paragraph.exec(t);if(n){const t="\n"===n[1].charAt(n[1].length-1)?n[1].slice(0,-1):n[1];return{type:"paragraph",raw:n[0],text:t,tokens:this.lexer.inline(t)}}}text(t){const n=this.rules.block.text.exec(t);if(n)return{type:"text",raw:n[0],text:n[0],tokens:this.lexer.inline(n[0])}}escape(t){const n=this.rules.inline.escape.exec(t);if(n)return{type:"escape",raw:n[0],text:S(n[1])}}tag(t){const n=this.rules.inline.tag.exec(t);if(n)return!this.lexer.state.inLink&&/^<a /i.test(n[0])?this.lexer.state.inLink=!0:this.lexer.state.inLink&&/^<\/a>/i.test(n[0])&&(this.lexer.state.inLink=!1),!this.lexer.state.inRawBlock&&/^<(pre|code|kbd|script)(\s|>)/i.test(n[0])?this.lexer.state.inRawBlock=!0:this.lexer.state.inRawBlock&&/^<\/(pre|code|kbd|script)(\s|>)/i.test(n[0])&&(this.lexer.state.inRawBlock=!1),{type:this.options.sanitize?"text":"html",raw:n[0],inLink:this.lexer.state.inLink,inRawBlock:this.lexer.state.inRawBlock,block:!1,text:this.options.sanitize?this.options.sanitizer?this.options.sanitizer(n[0]):S(n[0]):n[0]}}link(t){const n=this.rules.inline.link.exec(t);if(n){const t=n[2].trim();if(!this.options.pedantic&&/^</.test(t)){if(!/>$/.test(t))return;const n=V(t.slice(0,-1),"\\");if((t.length-n.length)%2==0)return}else{const t=function(t,n){if(-1===t.indexOf(n[1]))return-1;const r=t.length;let a=0,s=0;for(;s<r;s++)if("\\"===t[s])s++;else if(t[s]===n[0])a++;else if(t[s]===n[1]&&(a--,a<0))return s;return-1}(n[2],"()");if(t>-1){const r=(0===n[0].indexOf("!")?5:4)+n[1].length+t;n[2]=n[2].substring(0,t),n[0]=n[0].substring(0,r).trim(),n[3]=""}}let r=n[2],a="";if(this.options.pedantic){const t=/^([^'"]*[^\s])\s+(['"])(.*)\2/.exec(r);t&&(r=t[1],a=t[3])}else a=n[3]?n[3].slice(1,-1):"";return r=r.trim(),/^</.test(r)&&(r=this.options.pedantic&&!/>$/.test(t)?r.slice(1):r.slice(1,-1)),U(n,{href:r?r.replace(this.rules.inline._escapes,"$1"):r,title:a?a.replace(this.rules.inline._escapes,"$1"):a},n[0],this.lexer)}}reflink(t,n){let r;if((r=this.rules.inline.reflink.exec(t))||(r=this.rules.inline.nolink.exec(t))){let t=(r[2]||r[1]).replace(/\s+/g," ");if(t=n[t.toLowerCase()],!t){const t=r[0].charAt(0);return{type:"text",raw:t,text:t}}return U(r,t,r[0],this.lexer)}}emStrong(t,n,r=""){let a=this.rules.inline.emStrong.lDelim.exec(t);if(!a)return;if(a[3]&&r.match(/[\p{L}\p{N}]/u))return;if(!(a[1]||a[2]||"")||!r||this.rules.inline.punctuation.exec(r)){const r=a[0].length-1;let s,l,d=r,h=0;const p="*"===a[0][0]?this.rules.inline.emStrong.rDelimAst:this.rules.inline.emStrong.rDelimUnd;for(p.lastIndex=0,n=n.slice(-1*t.length+r);null!=(a=p.exec(n));){if(s=a[1]||a[2]||a[3]||a[4]||a[5]||a[6],!s)continue;if(l=s.length,a[3]||a[4]){d+=l;continue}if((a[5]||a[6])&&r%3&&!((r+l)%3)){h+=l;continue}if(d-=l,d>0)continue;l=Math.min(l,l+d+h);const n=t.slice(0,r+a.index+l+1);if(Math.min(r,l)%2){const t=n.slice(1,-1);return{type:"em",raw:n,text:t,tokens:this.lexer.inlineTokens(t)}}const p=n.slice(2,-2);return{type:"strong",raw:n,text:p,tokens:this.lexer.inlineTokens(p)}}}}codespan(t){const n=this.rules.inline.code.exec(t);if(n){let t=n[2].replace(/\n/g," ");const r=/[^ ]/.test(t),a=/^ /.test(t)&&/ $/.test(t);return r&&a&&(t=t.substring(1,t.length-1)),t=S(t,!0),{type:"codespan",raw:n[0],text:t}}}br(t){const n=this.rules.inline.br.exec(t);if(n)return{type:"br",raw:n[0]}}del(t){const n=this.rules.inline.del.exec(t);if(n)return{type:"del",raw:n[0],text:n[2],tokens:this.lexer.inlineTokens(n[2])}}autolink(t,n){const r=this.rules.inline.autolink.exec(t);if(r){let t,a;return"@"===r[2]?(t=S(this.options.mangle?n(r[1]):r[1]),a="mailto:"+t):(t=S(r[1]),a=t),{type:"link",raw:r[0],text:t,href:a,tokens:[{type:"text",raw:t,text:t}]}}}url(t,n){let r;if(r=this.rules.inline.url.exec(t)){let t,a;if("@"===r[2])t=S(this.options.mangle?n(r[0]):r[0]),a="mailto:"+t;else{let n;do{n=r[0],r[0]=this.rules.inline._backpedal.exec(r[0])[0]}while(n!==r[0]);t=S(r[0]),a="www."===r[1]?"http://"+r[0]:r[0]}return{type:"link",raw:r[0],text:t,href:a,tokens:[{type:"text",raw:t,text:t}]}}}inlineText(t,n){const r=this.rules.inline.text.exec(t);if(r){let t;return t=this.lexer.state.inRawBlock?this.options.sanitize?this.options.sanitizer?this.options.sanitizer(r[0]):S(r[0]):r[0]:S(this.options.smartypants?n(r[0]):r[0]),{type:"text",raw:r[0],text:t}}}}const G={newline:/^(?: *(?:\n|$))+/,code:/^( {4}[^\n]+(?:\n(?: *(?:\n|$))*)?)+/,fences:/^ {0,3}(`{3,}(?=[^`\n]*(?:\n|$))|~{3,})([^\n]*)(?:\n|$)(?:|([\s\S]*?)(?:\n|$))(?: {0,3}\1[~`]* *(?=\n|$)|$)/,hr:/^ {0,3}((?:-[\t ]*){3,}|(?:_[ \t]*){3,}|(?:\*[ \t]*){3,})(?:\n+|$)/,heading:/^ {0,3}(#{1,6})(?=\s|$)(.*)(?:\n+|$)/,blockquote:/^( {0,3}> ?(paragraph|[^\n]*)(?:\n|$))+/,list:/^( {0,3}bull)([ \t][^\n]+?)?(?:\n|$)/,html:"^ {0,3}(?:<(script|pre|style|textarea)[\\s>][\\s\\S]*?(?:</\\1>[^\\n]*\\n+|$)|comment[^\\n]*(\\n+|$)|<\\?[\\s\\S]*?(?:\\?>\\n*|$)|<![A-Z][\\s\\S]*?(?:>\\n*|$)|<!\\[CDATA\\[[\\s\\S]*?(?:\\]\\]>\\n*|$)|</?(tag)(?: +|\\n|/?>)[\\s\\S]*?(?:(?:\\n *)+\\n|$)|<(?!script|pre|style|textarea)([a-z][\\w-]*)(?:attribute)*? */?>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$)|</(?!script|pre|style|textarea)[a-z][\\w-]*\\s*>(?=[ \\t]*(?:\\n|$))[\\s\\S]*?(?:(?:\\n *)+\\n|$))",def:/^ {0,3}\[(label)\]: *(?:\n *)?([^<\s][^\s]*|<.*?>)(?:(?: +(?:\n *)?| *\n *)(title))? *(?:\n+|$)/,table:$,lheading:/^((?:(?!^bull ).|\n(?!\n|bull ))+?)\n {0,3}(=+|-+) *(?:\n+|$)/,_paragraph:/^([^\n]+(?:\n(?!hr|heading|lheading|blockquote|fences|list|html|table| +\n)[^\n]+)*)/,text:/^[^\n]+/,_label:/(?!\s*\])(?:\\.|[^\[\]\\])+/,_title:/(?:"(?:\\"?|[^"\\])*"|'[^'\n]*(?:\n[^'\n]+)*\n?'|\([^()]*\))/};G.def=C(G.def).replace("label",G._label).replace("title",G._title).getRegex(),G.bullet=/(?:[*+-]|\d{1,9}[.)])/,G.listItemStart=C(/^( *)(bull) */).replace("bull",G.bullet).getRegex(),G.list=C(G.list).replace(/bull/g,G.bullet).replace("hr","\\n+(?=\\1?(?:(?:- *){3,}|(?:_ *){3,}|(?:\\* *){3,})(?:\\n+|$))").replace("def","\\n+(?="+G.def.source+")").getRegex(),G._tag="address|article|aside|base|basefont|blockquote|body|caption|center|col|colgroup|dd|details|dialog|dir|div|dl|dt|fieldset|figcaption|figure|footer|form|frame|frameset|h[1-6]|head|header|hr|html|iframe|legend|li|link|main|menu|menuitem|meta|nav|noframes|ol|optgroup|option|p|param|section|source|summary|table|tbody|td|tfoot|th|thead|title|tr|track|ul",G._comment=/<!--(?!-?>)[\s\S]*?(?:-->|$)/,G.html=C(G.html,"i").replace("comment",G._comment).replace("tag",G._tag).replace("attribute",/ +[a-zA-Z:_][\w.:-]*(?: *= *"[^"\n]*"| *= *'[^'\n]*'| *= *[^\s"'=<>`]+)?/).getRegex(),G.lheading=C(G.lheading).replace(/bull/g,G.bullet).getRegex(),G.paragraph=C(G._paragraph).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("|table","").replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",G._tag).getRegex(),G.blockquote=C(G.blockquote).replace("paragraph",G.paragraph).getRegex(),G.normal={...G},G.gfm={...G.normal,table:"^ *([^\\n ].*\\|.*)\\n {0,3}(?:\\| *)?(:?-+:? *(?:\\| *:?-+:? *)*)(?:\\| *)?(?:\\n((?:(?! *\\n|hr|heading|blockquote|code|fences|list|html).*(?:\\n|$))*)\\n*|$)"},G.gfm.table=C(G.gfm.table).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("blockquote"," {0,3}>").replace("code"," {4}[^\\n]").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",G._tag).getRegex(),G.gfm.paragraph=C(G._paragraph).replace("hr",G.hr).replace("heading"," {0,3}#{1,6} ").replace("|lheading","").replace("table",G.gfm.table).replace("blockquote"," {0,3}>").replace("fences"," {0,3}(?:`{3,}(?=[^`\\n]*\\n)|~{3,})[^\\n]*\\n").replace("list"," {0,3}(?:[*+-]|1[.)]) ").replace("html","</?(?:tag)(?: +|\\n|/?>)|<(?:script|pre|style|textarea|!--)").replace("tag",G._tag).getRegex(),G.pedantic={...G.normal,html:C("^ *(?:comment *(?:\\n|\\s*$)|<(tag)[\\s\\S]+?</\\1> *(?:\\n{2,}|\\s*$)|<tag(?:\"[^\"]*\"|'[^']*'|\\s[^'\"/>\\s]*)*?/?> *(?:\\n{2,}|\\s*$))").replace("comment",G._comment).replace(/tag/g,"(?!(?:a|em|strong|small|s|cite|q|dfn|abbr|data|time|code|var|samp|kbd|sub|sup|i|b|u|mark|ruby|rt|rp|bdi|bdo|span|br|wbr|ins|del|img)\\b)\\w+(?!:|[^\\w\\s@]*@)\\b").getRegex(),def:/^ *\[([^\]]+)\]: *<?([^\s>]+)>?(?: +(["(][^\n]+[")]))? *(?:\n+|$)/,heading:/^(#{1,6})(.*)(?:\n+|$)/,fences:$,lheading:/^(.+?)\n {0,3}(=+|-+) *(?:\n+|$)/,paragraph:C(G.normal._paragraph).replace("hr",G.hr).replace("heading"," *#{1,6} *[^\n]").replace("lheading",G.lheading).replace("blockquote"," {0,3}>").replace("|fences","").replace("|list","").replace("|html","").getRegex()};const W={escape:/^\\([!"#$%&'()*+,\-./:;<=>?@\[\]\\^_`{|}~])/,autolink:/^<(scheme:[^\s\x00-\x1f<>]*|email)>/,url:$,tag:"^comment|^</[a-zA-Z][\\w:-]*\\s*>|^<[a-zA-Z][\\w-]*(?:attribute)*?\\s*/?>|^<\\?[\\s\\S]*?\\?>|^<![a-zA-Z]+\\s[\\s\\S]*?>|^<!\\[CDATA\\[[\\s\\S]*?\\]\\]>",link:/^!?\[(label)\]\(\s*(href)(?:\s+(title))?\s*\)/,reflink:/^!?\[(label)\]\[(ref)\]/,nolink:/^!?\[(ref)\](?:\[\])?/,reflinkSearch:"reflink|nolink(?!\\()",emStrong:{lDelim:/^(?:\*+(?:((?!\*)[punct])|[^\s*]))|^_+(?:((?!_)[punct])|([^\s_]))/,rDelimAst:/^[^_*]*?__[^_*]*?\*[^_*]*?(?=__)|[^*]+(?=[^*])|(?!\*)[punct](\*+)(?=[\s]|$)|[^punct\s](\*+)(?!\*)(?=[punct\s]|$)|(?!\*)[punct\s](\*+)(?=[^punct\s])|[\s](\*+)(?!\*)(?=[punct])|(?!\*)[punct](\*+)(?!\*)(?=[punct])|[^punct\s](\*+)(?=[^punct\s])/,rDelimUnd:/^[^_*]*?\*\*[^_*]*?_[^_*]*?(?=\*\*)|[^_]+(?=[^_])|(?!_)[punct](_+)(?=[\s]|$)|[^punct\s](_+)(?!_)(?=[punct\s]|$)|(?!_)[punct\s](_+)(?=[^punct\s])|[\s](_+)(?!_)(?=[punct])|(?!_)[punct](_+)(?!_)(?=[punct])/},code:/^(`+)([^`]|[^`][\s\S]*?[^`])\1(?!`)/,br:/^( {2,}|\\)\n(?!\s*$)/,del:$,text:/^(`+|[^`])(?:(?= {2,}\n)|[\s\S]*?(?:(?=[\\<!\[`*_]|\b_|$)|[^ ](?= {2,}\n)))/,punctuation:/^((?![*_])[\spunctuation])/};function q(t){return t.replace(/---/g,"—").replace(/--/g,"–").replace(/(^|[-\u2014/(\[{"\s])'/g,"$1‘").replace(/'/g,"’").replace(/(^|[-\u2014/(\[{\u2018\s])"/g,"$1“").replace(/"/g,"”").replace(/\.{3}/g,"…")}function X(t){let n,r,a="";const s=t.length;for(n=0;n<s;n++)r=t.charCodeAt(n),Math.random()>.5&&(r="x"+r.toString(16)),a+="&#"+r+";";return a}W._punctuation="\\p{P}$+<=>`^|~",W.punctuation=C(W.punctuation,"u").replace(/punctuation/g,W._punctuation).getRegex(),W.blockSkip=/\[[^[\]]*?\]\([^\(\)]*?\)|`[^`]*?`|<[^<>]*?>/g,W.anyPunctuation=/\\[punct]/g,W._escapes=/\\([punct])/g,W._comment=C(G._comment).replace("(?:--\x3e|$)","--\x3e").getRegex(),W.emStrong.lDelim=C(W.emStrong.lDelim,"u").replace(/punct/g,W._punctuation).getRegex(),W.emStrong.rDelimAst=C(W.emStrong.rDelimAst,"gu").replace(/punct/g,W._punctuation).getRegex(),W.emStrong.rDelimUnd=C(W.emStrong.rDelimUnd,"gu").replace(/punct/g,W._punctuation).getRegex(),W.anyPunctuation=C(W.anyPunctuation,"gu").replace(/punct/g,W._punctuation).getRegex(),W._escapes=C(W._escapes,"gu").replace(/punct/g,W._punctuation).getRegex(),W._scheme=/[a-zA-Z][a-zA-Z0-9+.-]{1,31}/,W._email=/[a-zA-Z0-9.!#$%&'*+/=?^_`{|}~-]+(@)[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?(?:\.[a-zA-Z0-9](?:[a-zA-Z0-9-]{0,61}[a-zA-Z0-9])?)+(?![-_])/,W.autolink=C(W.autolink).replace("scheme",W._scheme).replace("email",W._email).getRegex(),W._attribute=/\s+[a-zA-Z:_][\w.:-]*(?:\s*=\s*"[^"]*"|\s*=\s*'[^']*'|\s*=\s*[^\s"'=<>`]+)?/,W.tag=C(W.tag).replace("comment",W._comment).replace("attribute",W._attribute).getRegex(),W._label=/(?:\[(?:\\.|[^\[\]\\])*\]|\\.|`[^`]*`|[^\[\]\\`])*?/,W._href=/<(?:\\.|[^\n<>\\])+>|[^\s\x00-\x1f]*/,W._title=/"(?:\\"?|[^"\\])*"|'(?:\\'?|[^'\\])*'|\((?:\\\)?|[^)\\])*\)/,W.link=C(W.link).replace("label",W._label).replace("href",W._href).replace("title",W._title).getRegex(),W.reflink=C(W.reflink).replace("label",W._label).replace("ref",G._label).getRegex(),W.nolink=C(W.nolink).replace("ref",G._label).getRegex(),W.reflinkSearch=C(W.reflinkSearch,"g").replace("reflink",W.reflink).replace("nolink",W.nolink).getRegex(),W.normal={...W},W.pedantic={...W.normal,strong:{start:/^__|\*\*/,middle:/^__(?=\S)([\s\S]*?\S)__(?!_)|^\*\*(?=\S)([\s\S]*?\S)\*\*(?!\*)/,endAst:/\*\*(?!\*)/g,endUnd:/__(?!_)/g},em:{start:/^_|\*/,middle:/^()\*(?=\S)([\s\S]*?\S)\*(?!\*)|^_(?=\S)([\s\S]*?\S)_(?!_)/,endAst:/\*(?!\*)/g,endUnd:/_(?!_)/g},link:C(/^!?\[(label)\]\((.*?)\)/).replace("label",W._label).getRegex(),reflink:C(/^!?\[(label)\]\s*\[([^\]]*)\]/).replace("label",W._label).getRegex()},W.gfm={...W.normal,escape:C(W.escape).replace("])","~|])").getRegex(),_extended_email:/[A-Za-z0-9._+-]+(@)[a-zA-Z0-9-_]+(?:\.[a-zA-Z0-9-_]*[a-zA-Z0-9])+(?![-_])/,url:/^((?:ftp|https?):\/\/|www\.)(?:[a-zA-Z0-9\-]+\.?)+[^\s<]*|^email/,_backpedal:/(?:[^?!.,:;*_'"~()&]+|\([^)]*\)|&(?![a-zA-Z0-9]+;$)|[?!.,:;*_'"~)]+(?!$))+/,del:/^(~~?)(?=[^\s~])([\s\S]*?[^\s~])\1(?=[^~]|$)/,text:/^([`~]+|[^`~])(?:(?= {2,}\n)|(?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)|[\s\S]*?(?:(?=[\\<!\[`*~_]|\b_|https?:\/\/|ftp:\/\/|www\.|$)|[^ ](?= {2,}\n)|[^a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-](?=[a-zA-Z0-9.!#$%&'*+\/=?_`{\|}~-]+@)))/},W.gfm.url=C(W.gfm.url,"i").replace("email",W.gfm._extended_email).getRegex(),W.breaks={...W.gfm,br:C(W.br).replace("{2,}","*").getRegex(),text:C(W.gfm.text).replace("\\b_","\\b_| {2,}\\n").replace(/\{2,\}/g,"*").getRegex()};class Lexer{constructor(t){this.tokens=[],this.tokens.links=Object.create(null),this.options=t||f,this.options.tokenizer=this.options.tokenizer||new Tokenizer,this.tokenizer=this.options.tokenizer,this.tokenizer.options=this.options,this.tokenizer.lexer=this,this.inlineQueue=[],this.state={inLink:!1,inRawBlock:!1,top:!0};const n={block:G.normal,inline:W.normal};this.options.pedantic?(n.block=G.pedantic,n.inline=W.pedantic):this.options.gfm&&(n.block=G.gfm,this.options.breaks?n.inline=W.breaks:n.inline=W.gfm),this.tokenizer.rules=n}static get rules(){return{block:G,inline:W}}static lex(t,n){return new Lexer(n).lex(t)}static lexInline(t,n){return new Lexer(n).inlineTokens(t)}lex(t){let n;for(t=t.replace(/\r\n|\r/g,"\n"),this.blockTokens(t,this.tokens);n=this.inlineQueue.shift();)this.inlineTokens(n.src,n.tokens);return this.tokens}blockTokens(t,n=[]){let r,a,s,l;for(t=this.options.pedantic?t.replace(/\t/g,"    ").replace(/^ +$/gm,""):t.replace(/^( *)(\t+)/gm,((t,n,r)=>n+"    ".repeat(r.length)));t;)if(!(this.options.extensions&&this.options.extensions.block&&this.options.extensions.block.some((a=>!!(r=a.call({lexer:this},t,n))&&(t=t.substring(r.raw.length),n.push(r),!0)))))if(r=this.tokenizer.space(t))t=t.substring(r.raw.length),1===r.raw.length&&n.length>0?n[n.length-1].raw+="\n":n.push(r);else if(r=this.tokenizer.code(t))t=t.substring(r.raw.length),a=n[n.length-1],!a||"paragraph"!==a.type&&"text"!==a.type?n.push(r):(a.raw+="\n"+r.raw,a.text+="\n"+r.text,this.inlineQueue[this.inlineQueue.length-1].src=a.text);else if(r=this.tokenizer.fences(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.heading(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.hr(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.blockquote(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.list(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.html(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.def(t))t=t.substring(r.raw.length),a=n[n.length-1],!a||"paragraph"!==a.type&&"text"!==a.type?this.tokens.links[r.tag]||(this.tokens.links[r.tag]={href:r.href,title:r.title}):(a.raw+="\n"+r.raw,a.text+="\n"+r.raw,this.inlineQueue[this.inlineQueue.length-1].src=a.text);else if(r=this.tokenizer.table(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.lheading(t))t=t.substring(r.raw.length),n.push(r);else{if(s=t,this.options.extensions&&this.options.extensions.startBlock){let n=1/0;const r=t.slice(1);let a;this.options.extensions.startBlock.forEach((function(t){a=t.call({lexer:this},r),"number"==typeof a&&a>=0&&(n=Math.min(n,a))})),n<1/0&&n>=0&&(s=t.substring(0,n+1))}if(this.state.top&&(r=this.tokenizer.paragraph(s)))a=n[n.length-1],l&&"paragraph"===a.type?(a.raw+="\n"+r.raw,a.text+="\n"+r.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=a.text):n.push(r),l=s.length!==t.length,t=t.substring(r.raw.length);else if(r=this.tokenizer.text(t))t=t.substring(r.raw.length),a=n[n.length-1],a&&"text"===a.type?(a.raw+="\n"+r.raw,a.text+="\n"+r.text,this.inlineQueue.pop(),this.inlineQueue[this.inlineQueue.length-1].src=a.text):n.push(r);else if(t){const n="Infinite loop on byte: "+t.charCodeAt(0);if(this.options.silent){h.error(n);break}throw new Error(n)}}return this.state.top=!0,n}inline(t,n=[]){return this.inlineQueue.push({src:t,tokens:n}),n}inlineTokens(t,n=[]){let r,a,s,l,d,p,f=t;if(this.tokens.links){const t=Object.keys(this.tokens.links);if(t.length>0)for(;null!=(l=this.tokenizer.rules.inline.reflinkSearch.exec(f));)t.includes(l[0].slice(l[0].lastIndexOf("[")+1,-1))&&(f=f.slice(0,l.index)+"["+"a".repeat(l[0].length-2)+"]"+f.slice(this.tokenizer.rules.inline.reflinkSearch.lastIndex))}for(;null!=(l=this.tokenizer.rules.inline.blockSkip.exec(f));)f=f.slice(0,l.index)+"["+"a".repeat(l[0].length-2)+"]"+f.slice(this.tokenizer.rules.inline.blockSkip.lastIndex);for(;null!=(l=this.tokenizer.rules.inline.anyPunctuation.exec(f));)f=f.slice(0,l.index)+"++"+f.slice(this.tokenizer.rules.inline.anyPunctuation.lastIndex);for(;t;)if(d||(p=""),d=!1,!(this.options.extensions&&this.options.extensions.inline&&this.options.extensions.inline.some((a=>!!(r=a.call({lexer:this},t,n))&&(t=t.substring(r.raw.length),n.push(r),!0)))))if(r=this.tokenizer.escape(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.tag(t))t=t.substring(r.raw.length),a=n[n.length-1],a&&"text"===r.type&&"text"===a.type?(a.raw+=r.raw,a.text+=r.text):n.push(r);else if(r=this.tokenizer.link(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.reflink(t,this.tokens.links))t=t.substring(r.raw.length),a=n[n.length-1],a&&"text"===r.type&&"text"===a.type?(a.raw+=r.raw,a.text+=r.text):n.push(r);else if(r=this.tokenizer.emStrong(t,f,p))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.codespan(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.br(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.del(t))t=t.substring(r.raw.length),n.push(r);else if(r=this.tokenizer.autolink(t,X))t=t.substring(r.raw.length),n.push(r);else if(this.state.inLink||!(r=this.tokenizer.url(t,X))){if(s=t,this.options.extensions&&this.options.extensions.startInline){let n=1/0;const r=t.slice(1);let a;this.options.extensions.startInline.forEach((function(t){a=t.call({lexer:this},r),"number"==typeof a&&a>=0&&(n=Math.min(n,a))})),n<1/0&&n>=0&&(s=t.substring(0,n+1))}if(r=this.tokenizer.inlineText(s,q))t=t.substring(r.raw.length),"_"!==r.raw.slice(-1)&&(p=r.raw.slice(-1)),d=!0,a=n[n.length-1],a&&"text"===a.type?(a.raw+=r.raw,a.text+=r.text):n.push(r);else if(t){const n="Infinite loop on byte: "+t.charCodeAt(0);if(this.options.silent){h.error(n);break}throw new Error(n)}}else t=t.substring(r.raw.length),n.push(r);return n}}class Renderer{constructor(t){this.options=t||f}code(t,n,r){const a=(n||"").match(/\S*/)[0];if(this.options.highlight){const n=this.options.highlight(t,a);null!=n&&n!==t&&(r=!0,t=n)}return t=t.replace(/\n$/,"")+"\n",a?'<pre><code class="'+this.options.langPrefix+S(a)+'">'+(r?t:S(t,!0))+"</code></pre>\n":"<pre><code>"+(r?t:S(t,!0))+"</code></pre>\n"}blockquote(t){return`<blockquote>\n${t}</blockquote>\n`}html(t,n){return t}heading(t,n,r,a){if(this.options.headerIds){return`<h${n} id="${this.options.headerPrefix+a.slug(r)}">${t}</h${n}>\n`}return`<h${n}>${t}</h${n}>\n`}hr(){return this.options.xhtml?"<hr/>\n":"<hr>\n"}list(t,n,r){const a=n?"ol":"ul";return"<"+a+(n&&1!==r?' start="'+r+'"':"")+">\n"+t+"</"+a+">\n"}listitem(t){return`<li>${t}</li>\n`}checkbox(t){return"<input "+(t?'checked="" ':"")+'disabled="" type="checkbox"'+(this.options.xhtml?" /":"")+"> "}paragraph(t){return`<p>${t}</p>\n`}table(t,n){return n&&(n=`<tbody>${n}</tbody>`),"<table>\n<thead>\n"+t+"</thead>\n"+n+"</table>\n"}tablerow(t){return`<tr>\n${t}</tr>\n`}tablecell(t,n){const r=n.header?"th":"td";return(n.align?`<${r} align="${n.align}">`:`<${r}>`)+t+`</${r}>\n`}strong(t){return`<strong>${t}</strong>`}em(t){return`<em>${t}</em>`}codespan(t){return`<code>${t}</code>`}br(){return this.options.xhtml?"<br/>":"<br>"}del(t){return`<del>${t}</del>`}link(t,n,r){if(null===(t=I(this.options.sanitize,this.options.baseUrl,t)))return r;let a='<a href="'+t+'"';return n&&(a+=' title="'+n+'"'),a+=">"+r+"</a>",a}image(t,n,r){if(null===(t=I(this.options.sanitize,this.options.baseUrl,t)))return r;let a=`<img src="${t}" alt="${r}"`;return n&&(a+=` title="${n}"`),a+=this.options.xhtml?"/>":">",a}text(t){return t}}class TextRenderer{strong(t){return t}em(t){return t}codespan(t){return t}del(t){return t}html(t){return t}text(t){return t}link(t,n,r){return""+r}image(t,n,r){return""+r}br(){return""}}class Slugger{constructor(){this.seen={}}serialize(t){return t.toLowerCase().trim().replace(/<[!\/a-z].*?>/gi,"").replace(/[\u2000-\u206F\u2E00-\u2E7F\\'!"#$%&()*+,./:;<=>?@[\]^`{|}~]/g,"").replace(/\s/g,"-")}getNextSafeSlug(t,n){let r=t,a=0;if(this.seen.hasOwnProperty(r)){a=this.seen[t];do{a++,r=t+"-"+a}while(this.seen.hasOwnProperty(r))}return n||(this.seen[t]=a,this.seen[r]=0),r}slug(t,n={}){const r=this.serialize(t);return this.getNextSafeSlug(r,n.dryrun)}}class Parser{constructor(t){this.options=t||f,this.options.renderer=this.options.renderer||new Renderer,this.renderer=this.options.renderer,this.renderer.options=this.options,this.textRenderer=new TextRenderer,this.slugger=new Slugger}static parse(t,n){return new Parser(n).parse(t)}static parseInline(t,n){return new Parser(n).parseInline(t)}parse(t,n=!0){let r,a,s,l,d,p,f,m,g,v,y,b,x,w,S,_,E,C,A,O="";const I=t.length;for(r=0;r<I;r++)if(v=t[r],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[v.type]&&(A=this.options.extensions.renderers[v.type].call({parser:this},v),!1!==A||!["space","hr","heading","code","table","blockquote","list","html","paragraph","text"].includes(v.type)))O+=A||"";else switch(v.type){case"space":continue;case"hr":O+=this.renderer.hr();continue;case"heading":O+=this.renderer.heading(this.parseInline(v.tokens),v.depth,T(this.parseInline(v.tokens,this.textRenderer)),this.slugger);continue;case"code":O+=this.renderer.code(v.text,v.lang,v.escaped);continue;case"table":for(m="",f="",l=v.header.length,a=0;a<l;a++)f+=this.renderer.tablecell(this.parseInline(v.header[a].tokens),{header:!0,align:v.align[a]});for(m+=this.renderer.tablerow(f),g="",l=v.rows.length,a=0;a<l;a++){for(p=v.rows[a],f="",d=p.length,s=0;s<d;s++)f+=this.renderer.tablecell(this.parseInline(p[s].tokens),{header:!1,align:v.align[s]});g+=this.renderer.tablerow(f)}O+=this.renderer.table(m,g);continue;case"blockquote":g=this.parse(v.tokens),O+=this.renderer.blockquote(g);continue;case"list":for(y=v.ordered,b=v.start,x=v.loose,l=v.items.length,g="",a=0;a<l;a++)S=v.items[a],_=S.checked,E=S.task,w="",S.task&&(C=this.renderer.checkbox(_),x?S.tokens.length>0&&"paragraph"===S.tokens[0].type?(S.tokens[0].text=C+" "+S.tokens[0].text,S.tokens[0].tokens&&S.tokens[0].tokens.length>0&&"text"===S.tokens[0].tokens[0].type&&(S.tokens[0].tokens[0].text=C+" "+S.tokens[0].tokens[0].text)):S.tokens.unshift({type:"text",text:C}):w+=C),w+=this.parse(S.tokens,x),g+=this.renderer.listitem(w,E,_);O+=this.renderer.list(g,y,b);continue;case"html":O+=this.renderer.html(v.text,v.block);continue;case"paragraph":O+=this.renderer.paragraph(this.parseInline(v.tokens));continue;case"text":for(g=v.tokens?this.parseInline(v.tokens):v.text;r+1<I&&"text"===t[r+1].type;)v=t[++r],g+="\n"+(v.tokens?this.parseInline(v.tokens):v.text);O+=n?this.renderer.paragraph(g):g;continue;default:{const t='Token with "'+v.type+'" type was not found.';if(this.options.silent)return void h.error(t);throw new Error(t)}}return O}parseInline(t,n){n=n||this.renderer;let r,a,s,l="";const d=t.length;for(r=0;r<d;r++)if(a=t[r],this.options.extensions&&this.options.extensions.renderers&&this.options.extensions.renderers[a.type]&&(s=this.options.extensions.renderers[a.type].call({parser:this},a),!1!==s||!["escape","html","link","image","strong","em","codespan","br","del","text"].includes(a.type)))l+=s||"";else switch(a.type){case"escape":case"text":l+=n.text(a.text);break;case"html":l+=n.html(a.text);break;case"link":l+=n.link(a.href,a.title,this.parseInline(a.tokens,n));break;case"image":l+=n.image(a.href,a.title,a.text);break;case"strong":l+=n.strong(this.parseInline(a.tokens,n));break;case"em":l+=n.em(this.parseInline(a.tokens,n));break;case"codespan":l+=n.codespan(a.text);break;case"br":l+=n.br();break;case"del":l+=n.del(this.parseInline(a.tokens,n));break;default:{const t='Token with "'+a.type+'" type was not found.';if(this.options.silent)return void h.error(t);throw new Error(t)}}return l}}class Hooks{constructor(t){this.options=t||f}static passThroughHooks=new Set(["preprocess","postprocess"]);preprocess(t){return t}postprocess(t){return t}}const Y=new class Marked{defaults={async:!1,baseUrl:null,breaks:!1,extensions:null,gfm:!0,headerIds:!0,headerPrefix:"",highlight:null,hooks:null,langPrefix:"language-",mangle:!0,pedantic:!1,renderer:null,sanitize:!1,sanitizer:null,silent:!1,smartypants:!1,tokenizer:null,walkTokens:null,xhtml:!1};options=this.setOptions;parse=this.#e(Lexer.lex,Parser.parse);parseInline=this.#e(Lexer.lexInline,Parser.parseInline);Parser=Parser;parser=Parser.parse;Renderer=Renderer;TextRenderer=TextRenderer;Lexer=Lexer;lexer=Lexer.lex;Tokenizer=Tokenizer;Slugger=Slugger;Hooks=Hooks;constructor(...t){this.use(...t)}walkTokens(t,n){let r=[];for(const a of t)switch(r=r.concat(n.call(this,a)),a.type){case"table":for(const t of a.header)r=r.concat(this.walkTokens(t.tokens,n));for(const t of a.rows)for(const a of t)r=r.concat(this.walkTokens(a.tokens,n));break;case"list":r=r.concat(this.walkTokens(a.items,n));break;default:this.defaults.extensions&&this.defaults.extensions.childTokens&&this.defaults.extensions.childTokens[a.type]?this.defaults.extensions.childTokens[a.type].forEach((t=>{r=r.concat(this.walkTokens(a[t],n))})):a.tokens&&(r=r.concat(this.walkTokens(a.tokens,n)))}return r}use(...t){const n=this.defaults.extensions||{renderers:{},childTokens:{}};return t.forEach((t=>{const r={...t};if(r.async=this.defaults.async||r.async||!1,t.extensions&&(t.extensions.forEach((t=>{if(!t.name)throw new Error("extension name required");if(t.renderer){const r=n.renderers[t.name];n.renderers[t.name]=r?function(...n){let a=t.renderer.apply(this,n);return!1===a&&(a=r.apply(this,n)),a}:t.renderer}if(t.tokenizer){if(!t.level||"block"!==t.level&&"inline"!==t.level)throw new Error("extension level must be 'block' or 'inline'");n[t.level]?n[t.level].unshift(t.tokenizer):n[t.level]=[t.tokenizer],t.start&&("block"===t.level?n.startBlock?n.startBlock.push(t.start):n.startBlock=[t.start]:"inline"===t.level&&(n.startInline?n.startInline.push(t.start):n.startInline=[t.start]))}t.childTokens&&(n.childTokens[t.name]=t.childTokens)})),r.extensions=n),t.renderer){const n=this.defaults.renderer||new Renderer(this.defaults);for(const r in t.renderer){const a=n[r];n[r]=(...s)=>{let l=t.renderer[r].apply(n,s);return!1===l&&(l=a.apply(n,s)),l}}r.renderer=n}if(t.tokenizer){const n=this.defaults.tokenizer||new Tokenizer(this.defaults);for(const r in t.tokenizer){const a=n[r];n[r]=(...s)=>{let l=t.tokenizer[r].apply(n,s);return!1===l&&(l=a.apply(n,s)),l}}r.tokenizer=n}if(t.hooks){const n=this.defaults.hooks||new Hooks;for(const r in t.hooks){const a=n[r];Hooks.passThroughHooks.has(r)?n[r]=s=>{if(this.defaults.async)return Promise.resolve(t.hooks[r].call(n,s)).then((t=>a.call(n,t)));const l=t.hooks[r].call(n,s);return a.call(n,l)}:n[r]=(...s)=>{let l=t.hooks[r].apply(n,s);return!1===l&&(l=a.apply(n,s)),l}}r.hooks=n}if(t.walkTokens){const n=this.defaults.walkTokens;r.walkTokens=function(r){let a=[];return a.push(t.walkTokens.call(this,r)),n&&(a=a.concat(n.call(this,r))),a}}this.defaults={...this.defaults,...r}})),this}setOptions(t){return this.defaults={...this.defaults,...t},this}#e(t,n){return(r,a,s)=>{"function"==typeof a&&(s=a,a=null);const l={...a};a={...this.defaults,...l};const d=this.#t(a.silent,a.async,s);if(null==r)return d(new Error("marked(): input parameter is undefined or null"));if("string"!=typeof r)return d(new Error("marked(): input parameter is of type "+Object.prototype.toString.call(r)+", string expected"));if(function(t,n){t&&!t.silent&&(n&&h.warn("marked(): callback is deprecated since version 5.0.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/using_pro#async"),(t.sanitize||t.sanitizer)&&h.warn("marked(): sanitize and sanitizer parameters are deprecated since version 0.7.0, should not be used and will be removed in the future. Read more here: https://marked.js.org/#/USING_ADVANCED.md#options"),(t.highlight||"language-"!==t.langPrefix)&&h.warn("marked(): highlight and langPrefix parameters are deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-highlight."),t.mangle&&h.warn("marked(): mangle parameter is enabled by default, but is deprecated since version 5.0.0, and will be removed in the future. To clear this warning, install https://www.npmjs.com/package/marked-mangle, or disable by setting `{mangle: false}`."),t.baseUrl&&h.warn("marked(): baseUrl parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-base-url."),t.smartypants&&h.warn("marked(): smartypants parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-smartypants."),t.xhtml&&h.warn("marked(): xhtml parameter is deprecated since version 5.0.0, should not be used and will be removed in the future. Instead use https://www.npmjs.com/package/marked-xhtml."),(t.headerIds||t.headerPrefix)&&h.warn("marked(): headerIds and headerPrefix parameters enabled by default, but are deprecated since version 5.0.0, and will be removed in the future. To clear this warning, install  https://www.npmjs.com/package/marked-gfm-heading-id, or disable by setting `{headerIds: false}`."))}(a,s),a.hooks&&(a.hooks.options=a),s){const l=a.highlight;let h;try{a.hooks&&(r=a.hooks.preprocess(r)),h=t(r,a)}catch(t){return d(t)}const p=t=>{let r;if(!t)try{a.walkTokens&&this.walkTokens(h,a.walkTokens),r=n(h,a),a.hooks&&(r=a.hooks.postprocess(r))}catch(n){t=n}return a.highlight=l,t?d(t):s(null,r)};if(!l||l.length<3)return p();if(delete a.highlight,!h.length)return p();let f=0;return this.walkTokens(h,(t=>{"code"===t.type&&(f++,setTimeout((()=>{l(t.text,t.lang,((n,r)=>{if(n)return p(n);null!=r&&r!==t.text&&(t.text=r,t.escaped=!0),f--,0===f&&p()}))}),0))})),void(0===f&&p())}if(a.async)return Promise.resolve(a.hooks?a.hooks.preprocess(r):r).then((n=>t(n,a))).then((t=>a.walkTokens?Promise.all(this.walkTokens(t,a.walkTokens)).then((()=>t)):t)).then((t=>n(t,a))).then((t=>a.hooks?a.hooks.postprocess(t):t)).catch(d);try{a.hooks&&(r=a.hooks.preprocess(r));const s=t(r,a);a.walkTokens&&this.walkTokens(s,a.walkTokens);let l=n(s,a);return a.hooks&&(l=a.hooks.postprocess(l)),l}catch(t){return d(t)}}}#t(t,n,r){return a=>{if(a.message+="\nPlease report this to https://github.com/markedjs/marked.",t){const t="<p>An error occurred:</p><pre>"+S(a.message+"",!0)+"</pre>";return n?Promise.resolve(t):r?void r(null,t):t}if(n)return Promise.reject(a);if(!r)throw a;r(a)}}}(f);function K(t,n,r){return Y.parse(t,n,r)}K.options=K.setOptions=function(t){return Y.setOptions(t),K.defaults=Y.defaults,m(K.defaults),K},K.getDefaults=p,K.defaults=f,K.use=function(...t){return Y.use(...t),K.defaults=Y.defaults,m(K.defaults),K},K.walkTokens=function(t,n){return Y.walkTokens(t,n)},K.parseInline=Y.parseInline,K.Parser=Parser,K.parser=Parser.parse,K.Renderer=Renderer,K.TextRenderer=TextRenderer,K.Lexer=Lexer,K.lexer=Lexer.lex,K.Tokenizer=Tokenizer,K.Slugger=Slugger,K.Hooks=Hooks,K.parse=K;K.options,K.setOptions,K.use,K.walkTokens,K.parseInline;var J=r(4262);r(4915);function Q(t){let n=0;for(let r=0;r<t.length;r++)t[r]>t[n]&&(n=r);return n}function ee(t){return t.reduce(((t,n)=>t+n))/t.length}function te(t){const n=[...t].sort(((t,n)=>t-n)),r=Math.floor(n.length/2);let a;if(n.length%2==0){a=(n[r]+n[r-1])/2}else a=n[r];return a}function ie(t,n){return Math.floor(t+Math.random()*(n-t))}function ne(t,n){if(t.size!==n.size)return!1;for(const r of t)if(!n.has(r))return!1;return!0}function re(t,n){return ne(new Set(t),new Set(n))}function oe(t,n){const r=Array.from(t.keys());if(!re(r,Array.from(n.keys())))return!1;for(const a of r)if(t.get(a)!==n.get(a))return!1;return!0}function ae(t){return t.map((t=>t.name))}function se(t){return"string"==typeof t&&(t=[t]),t.map((t=>J.ue[t]))}function le(t,n={}){const r=new t;for(const t in n)if(t in r)r[t]=n[t];else if(-1===["__class__","__name__"].indexOf(t))throw new Error(`Attempted to set unrecognized property ${t} on ${r.name}.`);return r}function ce(t){const n={};for(const[r,a]of Object.entries(t))n[r]=le(J.ue[a.name],a);return n}function de(t){return Array.isArray(t)||(t=[t]),t}function ue(t,n){if(null==t)return!1;const r=de(n);for(const n of r)if(t instanceof n)return!0;return!1}function he(t,n){const r=de(n);return Object.keys(t).filter((n=>ue(t[n],r)))}function pe(t,n){const r={};for(const a of n)r[a]=t[a];return r}function fe(t){return a.TSy(t)}function me(t,n){"Enter"===t.key&&n()}function ge(t){return t?1/(1+Math.exp(-t)):.5}function ve(t){return 1===t?5:0===t?-5:Math.log(t/(1-t))}function ye(t){return"number"==typeof t?t-t==0:"string"==typeof t&&""!==t.trim()&&Number.isFinite(+t)}function be(t){return t.reduce(((t,n)=>t+n),0)}function xe(t){const n=[];return t.reduce(((t,r,a)=>n[a]=t+r),0),n}function we(t,n){const r=[0,...xe(n.map((t=>t.length)))];if(r.at(-1)!==t.length)throw new Error(`Total length of groups (${r.at(-1)}) !== number of items (${t.length}).`);const a=[];for(let s=0;s<n.length;s++)a.push(t.slice(r[s],r[s+1]));return a}function Se(t,n){if(0===t.length||0===n.length)return a.j2p(t.length,n.length);const r=a.j2p(t[0],n[0]);return 0!==r?r:Se(t.slice(1),n.slice(1))}function _e(t,n,r){const a=Object.keys(t);for(let s=0;s<a.length;s++){const l=t[a[s]].spec.output,d=he(l,n);if(d.length){if(null==r)return!0;for(const t of d)if(r(l[t]))return!0}}return!1}function Me(t,n,r){const a=Object.keys(t);for(let s=0;s<a.length;s++){const l=t[a[s]].spec.input;let d=he(l,n);if(r&&(d=d.filter((t=>l[t].required))),d.length)return!0}return!1}function Te(t){if(t instanceof J.OS){const{vocab:n,null_idx:r}=t;return 2===n.length&&null!=r}return!1}function Ee(t,n){const r=t.parent;return null!=r&&null!=n[r]}function Ce(t){return Object.keys(t).sort().map((n=>`${n}:${t[n].displayVal}`)).join(" ")}function Ae(t,n){if(n<0)return t;const r=Math.pow(10,n);return Math.round((t+Number.EPSILON)*r)/r}function ke(t){return t.split(" ").map((t=>function(t){const n=[];for(let r=0;r<t.length;r+=15)n.push(t.slice(r,r+15));return n.join("​")}(t))).join(" ")}const Oe=document.createElement("canvas");function Re(t,n,r){const a=null==Oe.getContext?null:Oe.getContext("2d");if(null==a)return t.length*r;a.font=n;return a.measureText(t).width}function Ie(t){let n=0;for(let r=0;r<t.length;r++){n=(n<<5)-n+t.charCodeAt(r),n|=0}return n}function Pe(t){return Math.pow(10,Math.floor(Math.log10(t))-1)}function Le(t){const n=new K.Renderer;n.link=(t,r,a)=>K.Renderer.prototype.link.call(n,t,r,a).replace("<a","<a target='_blank' ");const r=K(t,{renderer:n});return d(r)}const De=/(-?\d*(?:\.\d+)?)(?:-(-?\d*(?:\.\d+)?))?/g;function Fe(t){if(!/^[0-9\s,-]+$/.test(t))return!1;const n=t.match(De);return null!==n&&n.filter((t=>t)).length>0}function Ne(t){const n=[];for(const[,r,a]of t.matchAll(De))0!==r.length&&n.push([r,a||r].map(Number));return t=>{if(0===n.length)return!0;for(const r of n)if(t>=r[0]&&t<=r[1])return!0;return!1}}function Be(t,n,r){if(t>n)return[];const a=[],s=(n-t)/(r-1);for(let n=0;n<r;n++)a.push(t+n*s);return a}const ze=document.createElement("canvas").getContext("2d");function $e(t,n="13px Roboto"){ze.font=n;return ze.measureText(t).width}function je(t,n){return null==n?[]:Object.entries(n).filter((([n,r])=>!!r.required&&null==t[n])).map((([t,n])=>t))}function Ve(t,n,r){for(const a of Object.keys(n))if(t.data[a]!==n[a]){const a={added:!0,source:r,parentId:t.id};return{data:Object.assign({},t.data,n,{_id:"",_meta:a}),id:"",meta:a}}return t}},4064:(t,n,r)=>{"use strict";var a=r(3506);window.addEventListener("load",(()=>{a.l.initialize()}))},7095:(t,n,r)=>{"use strict";var a=r(7582),s=(r(6299),r(9392)),l=r(5595),d=r(8949),h=r(9604),p=r(4262),f=r(5889),m=(r(4915),r(7098));let g=class AnnotatedTextGoldModule extends h.p{static get styles(){return f.W}renderImpl(){const t=this.selectionService.primarySelectedInputData;if(!t)return null;const n=this.appState.currentDatasetSpec,r=(0,m.Fe)(n,p.Xs),a=(0,m.tf)(t.data,r),l=(0,m.tf)(n,r),d=(0,m.Fe)(n,p.b_),h=(0,m.tf)(t.data,d),f=(0,m.tf)(n,d),g=!this.appState.compareExamplesEnabled&&this.appState.currentModels.length>1;return s.dy`
      ${g?s.dy`<div class='offset-for-module-header'></div>`:null}
      <annotated-text-vis .segments=${a}
                          .segmentSpec=${l}
                          .annotations=${h}
                          .annotationSpec=${f}>
      </annotated-text-vis>`}static shouldDisplayModule(t,n){return(0,m.Fe)(n,p.b_).length>0}};g.title="Annotated Text (gold)",g.duplicateForExampleComparison=!0,g.duplicateForModelComparison=!1,g.numCols=4,g.template=(t,n,r)=>s.dy`
      <annotated-text-gold-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </annotated-text-gold-module>`,g=(0,a.gn)([(0,l.Mo)("annotated-text-gold-module")],g);let v=class AnnotatedTextModule extends h.p{static get styles(){return f.W}constructor(){super(),this.currentData=void 0,this.currentPreds={},(0,d.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateToSelection(t)}))}updateToSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==t)return this.currentData=void 0,void(this.currentPreds={});this.currentData=t,this.currentPreds={};const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,[p.b_],[],"Retrieving annotations"),r=yield this.loadLatest("answers",n);null!==r&&(this.currentData=t,this.currentPreds=r[0])}))}renderImpl(){if(!this.currentData)return null;const t=(0,m.Fe)(this.appState.currentDatasetSpec,p.Xs),n=(0,m.tf)(this.currentData.data,t),r=(0,m.tf)(this.appState.currentDatasetSpec,t),a=this.appState.getModelSpec(this.model).output,l=(0,m.tf)(a,(0,m.Fe)(a,p.b_));return s.dy`
      <annotated-text-vis .segments=${n}
                          .segmentSpec=${r}
                          .annotations=${this.currentPreds}
                          .annotationSpec=${l}>
      </annotated-text-vis>`}static shouldDisplayModule(t,n){return(0,m.Rf)(t,p.b_)}};v.title="Annotated Text (predicted)",v.duplicateForExampleComparison=!0,v.duplicateForModelComparison=!0,v.numCols=4,v.template=(t,n,r)=>s.dy`
      <annotated-text-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </annotated-text-module>`,(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],v.prototype,"currentData",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],v.prototype,"currentPreds",void 0),v=(0,a.gn)([(0,l.Mo)("annotated-text-module"),(0,a.w6)("design:paramtypes",[])],v)},2133:(t,n,r)=>{"use strict";var a=r(7582),s=(r(2637),r(5950),r(9392)),l=r(5595),d=r(8949),h=r(3506),p=r(9604),f=(r(6645),r(4262)),m=r(5889),g=(r(4915),r(7098)),v=r(7965),y=r(9410);const b=s.iv`.field-name {
  font-weight: bold;
  color: var(--lit-bold-label-color);
}

.row-title {
  padding: 4px 8px;
}

.classification-row-holder {
  padding-bottom: 10px;
}

.module-footer {
  /* Avoid spurious scrollbar from mwc-switch */
  overflow-x: clip;
}
`;let x=class ClassificationModule extends p.p{static get styles(){return[m.W,b]}static shouldDisplayModule(t,n){return(0,g.Rf)(t,f.OS)}constructor(){super(),this.colorService=h.l.getService(y.x4),this.dataService=h.l.getService(y.Do),this.pinnedSelectionService=h.l.getService(y.z2,"pinned"),this.sparseMode=!1,this.labeledPredictions={},(0,d.rC)(this)}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.compareExamplesEnabled,this.appState.currentModels,this.colorService.selectedColorOption,this.pinnedSelectionService.primarySelectedInputData,this.sparseMode,this.selectionService.primarySelectedInputData,this.dataService.dataVals]),(()=>{this.updateSelection()}))}updateSelection(){return(0,a.mG)(this,void 0,void 0,(function*(){const t=[];if(this.appState.compareExamplesEnabled&&this.pinnedSelectionService.primarySelectedInputData&&t.push(this.pinnedSelectionService.primarySelectedInputData),this.selectionService.primarySelectedInputData&&t.push(this.selectionService.primarySelectedInputData),0!==t.length)for(const n of this.appState.currentModels){const r=this.parseResult(n,t);Object.assign(this.labeledPredictions,r)}else this.labeledPredictions={}}))}parseResult(t,n){const{output:r}=this.appState.getModelSpec(t),a=(0,g.Fe)(r,f.OS),s={},l=this.colorService.selectedColorOption;for(const d of a){const a=this.dataService.getColumnName(t,d),h=this.dataService.getColumnName(t,d,v.g_.PREDICTED_CLASS),p=this.dataService.getColumnName(t,d,v.g_.CORRECT),{parent:f,vocab:m}=r[d],g=n.map((t=>({predScores:this.dataService.getVal(t.id,a),predClass:this.dataService.getVal(t.id,h),truth:null!=f?this.dataService.getVal(t.id,f):null}))),y=m||Array.from({length:g[0].predScores.length},((t,n)=>`${n}`)),b=[h,p,f].includes(l.name),x=b?l.scale.range():[];s[a]={},y.forEach(((t,n)=>{const r=[];for(const{predScores:a,predClass:s,truth:d}of g){if(null==a){this.sparseMode||r.push({value:0,isPredicted:!1,isTruth:!1});continue}const h=a[n],f=t===s,m=d===t;if(!this.sparseMode||h>=.01){const t={value:h,isPredicted:f,isTruth:m};if(b)if(l.name===p){const n=m?1:0;t.color=x[n]}else t.color=x[n];r.push(t)}}r.length&&(s[a][t]=r)}))}return s}renderImpl(){const{currentModels:t,currentDatasetSpec:n}=this.appState,r=t.flatMap((t=>Object.values(this.appState.getModelSpec(t).output).filter((t=>t instanceof f.OS)))),a=r.some((t=>null!=t.parent&&t.parent in n)),l=r.some((t=>t.vocab.length>10)),d=Object.entries(this.labeledPredictions).filter((([n])=>t.some((t=>n.startsWith(t)))));return s.dy`<div class='module-container'>
      <div class="module-results-area">${d.map((([t,n],r,l)=>{const d=this.renderFeatureTable(n,a);return 1===l.length?d:s.dy`
              <expansion-panel .label=${t} expanded>
                ${d}
              </expansion-panel>`}))}</div>
      <div class="module-footer">
        <annotated-score-bar-legend ?hasTruth=${a}>
        </annotated-score-bar-legend>
        ${l?s.dy`
            <lit-switch
              labelLeft="Only show classes above ${.01}"
              ?selected=${this.sparseMode}
              @change=${()=>{this.sparseMode=!this.sparseMode}}>
            </lit-switch>`:null}
      </div>
    </div>`}renderFeatureTable(t,n){function r(t){return{template:s.dy`<annotated-score-bar
          .value=${t.value}
          .barColor=${t.color}
          ?isPredicted=${t.isPredicted}
          ?isTruth=${t.isTruth}
          ?hasTruth=${n}>
        </annotated-score-bar>`,value:t.value}}const a=Object.entries(t).map((([t,n])=>{const a=[t,...n.map(r)];if(2===n.length){const t=n[0].value,r=n[1].value;a.push(Math.abs(t-r))}return a})),l=a[0].length>2?[{name:"Class",rightAlign:!1},"Score - Pinned","Score - Selected","Δ(Pinned, Selected)"]:this.appState.compareExamplesEnabled?[{name:"Class",rightAlign:!1},"Score - Pinned"]:[{name:"Class",rightAlign:!1},"Score"];return s.dy`<lit-data-table .columnNames=${l} .data=${a}>
                </lit-data-table>`}};x.title="Classification Results",x.infoMarkdown="Classification results are displayed for labels of `MulticlassPreds`\n      and `SparseMultilabelPreds` type.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#classification)",x.duplicateForExampleComparison=!1,x.duplicateForModelComparison=!1,x.numCols=3,x.template=(t,n,r)=>s.dy`
      <classification-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </classification-module>`,(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],x.prototype,"sparseMode",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],x.prototype,"labeledPredictions",void 0),x=(0,a.gn)([(0,l.Mo)("classification-module"),(0,a.w6)("design:paramtypes",[])],x)},6554:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(8949),h=r(3506),p=(r(482),r(9604)),f=(r(4494),r(9537)),m=r(4262),g=r(5889),v=(r(4915),r(7098)),y=r(7190),b=r(9410);const x=s.iv`.module-results-area {
  display: flex;
  flex-direction: column;
}

.non-faceted-matrix {
  width: calc(100% - 16px);
  padding: 8px;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: start;
}

.faceted-matrices {
  flex: 1 1 0;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-content: start;
  padding: 8px;
}

.matrix {
  margin-right: 16px;
  margin-bottom: 16px;
}

.matrix-update-checkboxes {
  display: flex;
  flex-direction: row;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.matrix-options {
  width: 100%;
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  align-items: center;
  justify-content: start;
  padding: 4px 0;
  column-gap: 4px;
}

#create-button {
  margin-top: 28px;
  pointer-events: auto;
}

.dropdown-holder {
  display: flex;
  flex-direction: row;
  align-items: center;
}

/* Make the "Rows" and "Columns" labels the same width */
.dropdown-label {
  display: inline-block;
  margin: 0 4px;
}

.spacer {
  width: 16px;
}

.confusion-matrix {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 4px;
  padding-bottom: 0;
  margin-bottom: 4px;
  max-width: max-content;
}

.matrix-label {
  margin-bottom: 4px;
}
`;var w;let S=w=class ConfusionMatrixModule extends p.p{static get styles(){return[g.W,x]}constructor(){super(),this.dataService=h.l.getService(b.Do),this.groupService=h.l.getService(y.l),this.facetingControl=document.createElement("faceting-control"),this.verticalColumnLabels=!1,this.hideEmptyLabels=!1,this.showSelection=!1,this.selectedRowOption=0,this.selectedColOption=1,this.facetFeatures=[],this.facetBins={},this.MAX_ENTRIES=50,this.matrices={},(0,d.rC)(this),this.setInitialOptions();this.facetingControl.contextName=w.title,this.facetingControl.addEventListener("facets-change",(t=>{this.facetFeatures=t.detail.features,this.facetBins=t.detail.bins}))}setInitialOptions(){for(let t=0;t<this.options.length;t++){const n=this.options[t].parent;if(void 0!==n){for(let t=0;t<this.options.length;t++)if(this.options[t].name===n){this.selectedRowOption=t;break}this.selectedColOption=t;break}}}get shouldDisplaySelectionMatrix(){return this.showSelection&&this.selectionService.selectedInputData.length>0}get subsets(){const t=new Map,n=this.appState.currentInputData;if(t.set(`Dataset (${n.length})`,n),this.shouldDisplaySelectionMatrix){const n=this.selectionService.selectedInputData;t.set(`Selection (${n.length})`,n)}if(this.facetFeatures.length>0){const r=this.groupService.groupExamplesByFeatures(this.facetBins,n,this.facetFeatures),a=Object.keys(r).sort();for(const n of a){const{data:a}=r[n],s=`Dataset faceted by ${n} (${a.length})`;t.set(s,a)}}return t}get options(){const t=[],{categoricalFeatures:n}=(this.dataService.dataVals,this.groupService);for(const[r,s]of Object.entries(n)){if(s.length>this.MAX_ENTRIES)continue;const n=this.groupService.numericalFeatureBins([{featureName:r,method:y.J.DISCRETE}]),l=(t,a)=>this.groupService.getFeatureValForInput(n,t,r),d={name:r,labelList:s,runner:t=>(0,a.mG)(this,void 0,void 0,(function*(){return t.map(l)}))};for(const t of this.appState.currentModels)if(r.startsWith(`${t}:`)){const{output:n}=this.appState.getModelSpec(t),a=n[r.split(":")[1]];a instanceof m.OS&&(d.parent=a.parent)}t.push(d)}return t}firstUpdated(){this.reactImmediately((()=>this.options),(()=>{this.setInitialOptions()}))}renderImpl(){const t=this.options[this.selectedRowOption],n=this.options[this.selectedColOption],r=[...this.subsets.entries()].map((([r,a])=>s.dy` <confusion-matrix ?hideEmptyLabels=${this.hideEmptyLabels}
                                .row=${t} .col=${n}
                                .data=${a} .label=${r}>
              </confusion-matrix>`));return s.dy`<div class="module-container">
                  <div class="module-toolbar">${this.renderControls()}</div>
                  <div class="module-results-area">
                    <div class="non-faceted-matrix">
                      ${r.shift()}
                      ${this.shouldDisplaySelectionMatrix?r.shift():null}
                    </div>
                    <div class="faceted-matrices">${r}</div>
                  </div>
                </div>`}renderControls(){return s.dy`<div class="matrix-options">
                  <lit-checkbox label="Show matrix for selection"
                                ?checked=${this.showSelection}
                                @change=${()=>{this.showSelection=!this.showSelection}}>
                  </lit-checkbox>
                  <lit-checkbox label="Hide empty labels"
                                ?checked=${this.hideEmptyLabels}
                                @change=${()=>{this.hideEmptyLabels=!this.hideEmptyLabels}}>
                  </lit-checkbox>
                  <div class="spacer"></div>
                  <div class="dropdown-holder">
                    <label class="dropdown-label">Rows:</label>
                    <select class="dropdown" @change=${t=>{this.selectedRowOption=Number(t.target.value)}}>
                      ${this.options.map(((t,n)=>s.dy`
                        <option value=${n}
                                ?selected=${this.selectedRowOption===n}
                                ?disabled=${n===this.selectedColOption}>
                          ${t.name}
                        </option>`))}
                    </select>
                  </div>
                  <div class="dropdown-holder">
                    <label class="dropdown-label">Columns:</label>
                    <select class="dropdown" @change=${t=>{this.selectedColOption=Number(t.target.value)}}>
                      ${this.options.map(((t,n)=>s.dy`
                        <option value=${n}
                                ?selected=${this.selectedColOption===n}
                                ?disabled=${n===this.selectedRowOption}>
                          ${t.name}
                          </option>`))}
                    </select>
                  </div>
                  <div class="spacer"></div>
                  ${this.facetingControl}
                </div>`}static shouldDisplayModule(t){return(0,v.Rf)(t,m.OS)}};S.title="Confusion Matrix",S.infoMarkdown="Compare predictions to gold labels, between two different models,\n      or relative to other categorical fields. Click on cells or rows/column\n      headers to select the associated examples.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#confusion-matrix)",S.template=(t,n,r)=>s.dy`<confusion-matrix-module
            model=${t} .shouldReact=${r}
            selectionServiceIndex=${n}>
        </confusion-matrix-module>`,S.numCols=4,S.duplicateForModelComparison=!1,(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"verticalColumnLabels",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"hideEmptyLabels",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"showSelection",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"selectedRowOption",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"selectedColOption",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Array)],S.prototype,"facetFeatures",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"facetBins",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],S.prototype,"matrices",void 0),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],S.prototype,"shouldDisplaySelectionMatrix",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Map),(0,a.w6)("design:paramtypes",[])],S.prototype,"subsets",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],S.prototype,"options",null),S=w=(0,a.gn)([(0,l.Mo)("confusion-matrix-module"),(0,a.w6)("design:paramtypes",[])],S);let _=class ConfusionMatrix extends f.f{static get styles(){return[g.W,x]}loadLatest(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){this.latestLoadPromises.set(t,n);const r=yield n;return this.latestLoadPromises.get(t)===n?(this.latestLoadPromises.delete(t),r):null}))}calculateMatrix(){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==this.row||null==this.col||null==this.data||0===this.data.length)return;const t=Promise.all([this.row.runner(this.data),this.col.runner(this.data)]),n=yield this.loadLatest("rowColIdxs",t);if(null==n)return;(0,v.VV)(this.row.labelList,this.col.labelList)&&(this.col.labelList=this.row.labelList);const{labelList:r,name:a}=this.row,{labelList:s,name:l}=this.col,d={[a]:n[0],[l]:n[1]},h=this.groupService.numericalFeatureBins([{featureName:a,method:y.J.DISCRETE},{featureName:l,method:y.J.DISCRETE}]);this.groups=this.groupService.groupExamplesByFeatures(h,this.data,[a,l],((t,n,r,a)=>d[a][r])),this.cells=r.map((t=>s.map((n=>{if(l===a&&n!==t)return{size:0,selected:!1};const r={[l]:{val:n,displayVal:n},[a]:{val:t,displayVal:t}},s=this.groups[(0,v.Mg)(r)];return{size:s?s.data.length:0,selected:!1}}))))}))}constructor(){super(),this.row=void 0,this.col=void 0,this.data=void 0,this.hideEmptyLabels=!1,this.label="Confusion Matrix",this.cells=[],this.latestLoadPromises=new Map,this.groups={},this.groupService=h.l.getService(y.l),this.selectionService=h.l.getService(b.z2),(0,d.rC)(this)}firstUpdated(){this.reactImmediately((()=>[this.row,this.col,this.data]),(()=>{this.calculateMatrix()}))}render(){if(null==this.row||null==this.col||null==this.data||0===this.data.length)return s.dy``;return s.dy`
        <div class='confusion-matrix'>
          <div class="matrix-label">${this.label}</div>
          <data-matrix class='matrix'
                      ?hideEmptyLabels=${this.hideEmptyLabels}
                      .matrixCells=${this.cells}
                      .rowTitle=${this.row.name}
                      .rowLabels=${this.row.labelList}
                      .colTitle=${this.col.name}
                      .colLabels=${this.col.labelList}
                      @matrix-selection=${t=>{t.stopPropagation(),t.preventDefault();let n=[];for(const[r,a]of t.detail.cells){const t=this.row.labelList[r],s=this.col.labelList[a],l={[this.col.name]:{val:s,displayVal:s},[this.row.name]:{val:t,displayVal:t}},d=this.groups[(0,v.Mg)(l)];n=n.concat(d.data.map((t=>t.id)))}this.selectionService.selectIds(n,this)}}></data-matrix>
        </div>`}};(0,a.gn)([d.LO,(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"row",void 0),(0,a.gn)([d.LO,(0,l.Cb)({type:Object}),(0,a.w6)("design:type",Object)],_.prototype,"col",void 0),(0,a.gn)([d.LO,(0,l.Cb)({type:Array}),(0,a.w6)("design:type",Array)],_.prototype,"data",void 0),(0,a.gn)([(0,l.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],_.prototype,"hideEmptyLabels",void 0),(0,a.gn)([(0,l.Cb)({type:String}),(0,a.w6)("design:type",Object)],_.prototype,"label",void 0),(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Array)],_.prototype,"cells",void 0),_=(0,a.gn)([(0,l.Mo)("confusion-matrix"),(0,a.w6)("design:paramtypes",[])],_)},2570:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5197),r(940),r(9392)),l=r(5595),d=r(8949),h=r(3506),p=(r(482),r(9604)),f=r(4262),m=r(5889),g=r(4915),v=r(7098),y=(r(7190),r(9410));const b=s.iv`.charts-holder {
  display: flex;
  flex-flow: wrap;
  padding-top: 4px;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.chart-holder {
  padding-bottom: 12px;
}
`;var x;let w=x=class CurvesModule extends p.p{static get styles(){return[m.W,b]}constructor(){super(),this.showSlices=!1,this.isPanelCollapsed=new Map,this.datasetCurves=void 0,this.sliceCurves={},this.groupedCurves={},this.selectedPredKeyIndex=0,this.selectedPositiveLabelIndex=0,this.positiveLabelOptions=[],this.selectedFacetBins={},this.selectedFacets=[],this.groupService=h.l.getService(y.lT),this.sliceService=h.l.getService(y.qG),this.facetingControl=document.createElement("faceting-control"),(0,d.rC)(this);this.facetingControl.contextName=x.title,this.facetingControl.addEventListener("facets-change",(t=>{this.setFacetInfo(t)})),this.updateLabels()}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>[this.appState.currentInputData,this.predKey,this.positiveLabel]),(()=>(0,a.mG)(this,void 0,void 0,(function*(){this.datasetCurves=yield this.getCurveData(this.appState.currentInputData,this.predKey,this.positiveLabel)})))),this.reactImmediately((()=>[this.groupedExamples,this.predKey,this.positiveLabel]),(([t,n,r])=>(0,a.mG)(this,void 0,void 0,(function*(){yield this.getGroupedCurveData(t,n,r)})))),this.reactImmediately((()=>[this.appState.currentModels]),(()=>(0,a.mG)(this,void 0,void 0,(function*(){this.updateLabels(),this.datasetCurves=yield this.getCurveData(this.appState.currentInputData,this.predKey,this.positiveLabel)})))),this.reactImmediately((()=>[this.sliceService.sliceNames,this.sliceMembers,this.predKey,this.positiveLabel]),(([t,n,r,s])=>(0,a.mG)(this,void 0,void 0,(function*(){yield this.getSliceCurveData(t,r,s)}))))}getGroupedCurveData(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){this.groupedCurves={};for(const a of Object.keys(t))""!==a&&(this.groupedCurves[a]=yield this.getCurveData(t[a].data,n,r))}))}getSliceCurveData(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){this.sliceCurves={};for(const a of t)this.sliceCurves[a]=yield this.getCurveData(this.sliceService.getSliceDataByName(a),n,r)}))}updateLabels(){let t=[];for(const n of this.appState.currentModels){const r=this.appState.getModelSpec(n);if(this.predKey in r.output){const n=r.output[this.predKey];n instanceof f.OS&&(this.selectedPositiveLabelIndex=n.vocab.findIndex(((t,r)=>r!==n.null_idx)),t=n.vocab)}}this.positiveLabelOptions=t}getCurveData(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){const s=this.appState.currentModels;return Promise.all(s.map((s=>(0,a.mG)(this,void 0,void 0,(function*(){return this.makeBackendCall(t,s,n,r)})))))}))}makeBackendCall(t,n,r,s){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==this.appState.getModelSpec(n).output[r]||!this.positiveLabel)return{prCurve:new Map,rocCurve:new Map};const a={Label:s,"Prediction field":r},l=yield this.apiService.getInterpretations(t,n,this.appState.currentDataset,"curves",a);return this.convertCurveResponse(l)}))}convertCurveResponse(t){const n={prCurve:new Map,rocCurve:new Map};for(const r of t.pr_data)0===n.prCurve.size&&0!==r[0]&&n.prCurve.set(0,1),n.prCurve.set(r[0],r[1]);for(const r of t.roc_data)0===n.prCurve.size&&0!==r[0]&&n.prCurve.set(0,0),n.rocCurve.set(r[0],r[1]);return n}get sliceMembers(){return[...this.sliceService.namedSlices.values()].flatMap((t=>[...t.values()]))}get predKeyOptions(){return this.appState.currentModels.flatMap((t=>{const n=this.appState.metadata.models[t].spec;return(0,v.Fe)(n.output,f.OS)}))}get predKey(){return this.predKeyOptions[this.selectedPredKeyIndex]}get positiveLabel(){return this.positiveLabelOptions[this.selectedPositiveLabelIndex]||""}get groupedExamples(){return this.groupService.groupExamplesByFeatures(this.selectedFacetBins,this.appState.currentInputData,this.selectedFacets)}renderPredKeySelect(){const t=this.predKeyOptions,n=t.map((t=>s.dy`
        <option value=${t}>${t}</option>
      `));return this.renderSelect("Prediction key",n,(t=>{const n=t.target;this.selectedPredKeyIndex=(null==n?void 0:n.selectedIndex)||0}),t[0])}renderPositiveLabelSelect(){const t=this.positiveLabelOptions,n=t.map(((t,n)=>((t,n)=>s.dy`<option value=${t} ?selected=${n}>${t}</option>`)(t,n===this.selectedPositiveLabelIndex))),r=this.positiveLabelOptions[this.selectedPositiveLabelIndex];return this.renderSelect("Positive label",n,(t=>{const n=t.target;this.selectedPositiveLabelIndex=(null==n?void 0:n.selectedIndex)||0}),r)}renderSelect(t,n,r,a){return s.dy`
      <div class="dropdown-container">
        <label class="dropdown-label">${t}:</label>
        <select class="dropdown" @change=${r} .value=${a}>
          ${n}
        </select>
      </div>
    `}renderChart(t,n,r,a){return s.dy`
        <div class="chart-holder">
          <div class="chart-title">${n}</div>
          <line-chart height=150 width=250
                      .scores=${t} .xScale=${r} .yScale=${a}>
          </line-chart>
        </div>`}renderCharts(t,n,r){const a=null==this.isPanelCollapsed.get(n)?!r:this.isPanelCollapsed.get(n),l=[0,1],d=[0,1];return s.dy`
      <expansion-panel .label=${n} padLeft padRight
          @expansion-toggle=${()=>{const t=null==this.isPanelCollapsed.get(n)?!r:this.isPanelCollapsed.get(n);this.isPanelCollapsed.set(n,!t)}} ?expanded=${!a}>
        <div class="charts-holder">
          ${t.map(((n,r)=>{let a="Precision / Recall";return t.length>1&&(a+=` - ${this.appState.currentModels[r]}`),this.renderChart(n.prCurve,a,l,d)}))}
          ${t.map(((n,r)=>{let a="ROC (TPR / FPR)";return t.length>1&&(a+=` - ${this.appState.currentModels[r]}`),this.renderChart(n.rocCurve,a,l,d)}))}
        </div>
      </expansion-panel>`}setFacetInfo(t){this.selectedFacets.length=0,this.selectedFacets.push(...t.detail.features),this.selectedFacetBins=t.detail.bins}renderHeader(){return s.dy`
        ${this.renderPredKeySelect()}
        ${this.renderPositiveLabelSelect()}
        <lit-checkbox
          label="Show slices"
          ?checked=${this.showSlices}
          @change=${()=>{this.showSlices=!this.showSlices}}
          ?disabled=${0===this.sliceService.sliceNames.length}>
        </lit-checkbox>
        ${this.facetingControl}
    `}renderImpl(){return s.dy`
        <div class='module-container'>
          <div class='module-toolbar'>
            ${this.renderHeader()}
          </div>
          <div class='module-results-area ${g.SU}'>
            ${this.datasetCurves?this.renderCharts(this.datasetCurves,"Dataset",!0):null}
            ${this.showSlices?Object.entries(this.sliceCurves).map((([t,n])=>this.renderCharts(n,t,!1))):null}
            ${Object.entries(this.groupedCurves).map((([t,n])=>this.renderCharts(n,t,!1)))}
          </div>
        </div>`}static shouldDisplayModule(t,n){for(const r of Object.values(t)){const t=r.spec.output;for(const r of(0,v.Fe)(t,f.OS))if((0,v.p5)(t[r],n))return!0}return!1}};w.title="PR/ROC Curves",w.numCols=3,w.duplicateForModelComparison=!1,w.template=(t,n,r)=>s.dy`
  <curves-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </curves-module>`,(0,a.gn)([(0,l.SB)(),(0,a.w6)("design:type",Object)],w.prototype,"showSlices",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],w.prototype,"isPanelCollapsed",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Array)],w.prototype,"datasetCurves",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],w.prototype,"sliceCurves",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],w.prototype,"groupedCurves",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],w.prototype,"selectedPredKeyIndex",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],w.prototype,"selectedPositiveLabelIndex",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Array)],w.prototype,"positiveLabelOptions",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Array)],w.prototype,"selectedFacets",void 0),(0,a.gn)([d.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object,String,String]),(0,a.w6)("design:returntype",Promise)],w.prototype,"getGroupedCurveData",null),(0,a.gn)([d.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object,String,String]),(0,a.w6)("design:returntype",Promise)],w.prototype,"getSliceCurveData",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],w.prototype,"sliceMembers",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],w.prototype,"predKeyOptions",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],w.prototype,"predKey",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],w.prototype,"positiveLabel",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],w.prototype,"groupedExamples",null),(0,a.gn)([d.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[CustomEvent]),(0,a.w6)("design:returntype",void 0)],w.prototype,"setFacetInfo",null),w=x=(0,a.gn)([(0,l.Mo)("curves-module"),(0,a.w6)("design:paramtypes",[])],w)},6326:(t,n,r)=>{"use strict";var a=r(7582),s=(r(9956),r(8684),r(9392)),l=r(5595),d=r(9455),h=r(3959),p=r(8949),f=r(3506),m=r(9604),g=r(6645),v=r(4262),y=r(5889),b=r(4915),x=r(7098),w=r(9410),S=r(437);const _=s.iv`.module-toolbar {
  justify-content: space-between;
}

#toolbar-buttons {
  display: flex;
  flex-direction: row;
  margin-left: 0;
  margin-right: 0;
}

.search-container {
  display: flex;
  flex-direction: row;
  flex-grow: 1;
  align-items: center;
  min-height: 32px;
  max-width: 60%;
  margin-left: 0;
  margin-right: 0;
  overflow-y: clip;
}

.search-input-container {
  width: calc(100% - 24px);
  padding: 4px;
  border-radius: 4px;
}

.search-input-container input {
  width: 100%;
  background-color: unset; /* transparent */
  border-width: 1px;
  border-radius: 3px;
}

.search-container-edited .search-input-container {
  background: var(--lit-bric-50);
}

.checkbox-row {
  display: flex;
  flex-direction: row;
  column-gap: 4px;
}

popup-container.column-dropdown-container {
  --popup-top: 4px;
}

.column-dropdown-container > .hairline-button {
  margin-left: 0;
  margin-right: 0;
}

lit-checkbox.column-select {
  --lit-checkbox-label-white-space: nowrap;
}
`,T={TextSegment:[220,600],CategoryLabel:[60,100],BooleanLitType:[60,100],MulticlassPreds:[60,200],Scalar:[60,100],RegressionScore:[60,100],ImageBytes:[60,void 0],SearchQuery:[100,300],Tokens:[220,600],SequenceTags:[100,600],SpanLabels:[150,200],EdgeLabels:[150,200],MultiSegmentAnnotations:[60,200],GeneratedTextCandidates:[150,400]};let E=class DataTableModule extends m.p{static get styles(){return[y.W,_]}get dataSpec(){return this.appState.currentDatasetSpec}get keys(){function t(t,n){const[r,a]=n.name in T?T[n.name]:[],s={name:t,maxWidth:a,minWidth:r,width:a,vocab:n.vocab};return n instanceof v.h5&&(s.vocab=["✔"," "]),s}const n=this.appState.currentInputDataKeys.map((n=>t(n,this.dataSpec[n]))),r=this.dataService.cols.map((n=>t(n.name,n.dataType)));return n.concat(r)}get defaultKeys(){return this.keys.filter((t=>{const n=this.dataService.getColumnInfo(t.name);return null==n||n.dataType.show_in_data_table}))}get defaultColumns(){return[{name:"index",minWidth:75,maxWidth:105,width:75},...this.keys]}get pinnedInputData(){return this.appState.currentInputData.filter((t=>this.referenceSelectionService.primarySelectedId===t.id))}get filteredData(){const t=this.onlyShowSelected?this.selectionService.selectedInputData:this.appState.currentInputData;return this.onlyShowGenerated?t.filter((t=>t.meta.added)):t}get sortedData(){return this.filteredData.slice().sort(((t,n)=>(0,x.Rt)(this.reversedAncestorIndices(t),this.reversedAncestorIndices(n))))}get dataEntries(){return this.sortedData.map((t=>{if(null==this.appState.indicesById.get(t.id))return[];return this.keys.filter((t=>this.columnVisibility.get(t.name))).map((n=>function(t,n,r){if(n instanceof v.Mj){const n=t=>{t.stopPropagation()};return{template:s.dy`
      <a href=${t} target="_blank"
       @click=${n}>${t}</a>`,value:t}}return(0,b.E9)(t,n,r)}(this.dataService.getVal(t.id,n.name),this.dataSpec[n.name])))}))}get selectedRowIndices(){return this.sortedData.map(((t,n)=>this.selectionService.isIdSelected(t.id)?n:-1)).filter((t=>-1!==t))}get tableDataIds(){return this.sortedData.map((t=>t.id))}indexOfId(t){return null!=t?this.tableDataIds.indexOf(t):-1}get primarySelectedIndex(){return this.indexOfId(this.selectionService.primarySelectedId)}get referenceSelectedIndex(){return this.appState.compareExamplesEnabled?this.indexOfId(this.referenceSelectionService.primarySelectedId):-1}get starredIndices(){const t=this.sliceService.getSliceByName(S.Z);return t?t.map((t=>this.indexOfId(t))):[]}get focusedIndex(){const t=this.focusService.focusData;return null==t||null!=t.io?-1:this.indexOfId(t.datapointId)}reversedAncestorIndices(t){return this.appState.getAncestry(t.id).map((t=>this.appState.indicesById.get(t))).reverse()}isStarred(t){return null!==t&&this.sliceService.isInSlice(S.Z,t)}toggleStarred(t){null!=t&&(this.isStarred(t)?this.sliceService.removeIdsFromSlice(S.Z,[t]):this.sliceService.addIdsToSlice(S.Z,[t]))}get tableData(){return this.dataEntries.map(((t,n)=>{const r=this.sortedData[n],a=this.appState.indicesById.get(r.id);if(null==a)return[];const l=t=>{(this.appState.compareExamplesEnabled?this.referenceSelectionService.primarySelectedId:null)===r.id?(this.appState.compareExamplesEnabled=!1,this.referenceSelectionService.selectIds([])):(this.appState.compareExamplesEnabled=!0,this.referenceSelectionService.selectIds([r.id])),t.stopPropagation()},p=t=>{this.toggleStarred(r.id),t.stopPropagation(),t.preventDefault()};return[{template:function(t,n,r,f,m){const g=(0,h.V)({display:"flex","justify-content":"space-between",width:"100%"}),v=(0,h.V)({display:"flex","flex-direction":"row","column-gap":"8px"}),y=(0,h.V)({"text-align":"right",flex:"1"});return s.dy`
            <div style="${g}">
              <div style=${v}>
               ${function(){function t(t){return(0,h.V)({visibility:n||f||t?"default":"hidden"})}function a(t){return(0,d.$)({"icon-button":!0,cyea:!0,"mdi-outlined":!t})}return n||f||r||m?s.dy`
              <mwc-icon style="${t(r)}"
                class="${a(r)}"
                @click=${l}
                title=${(r?"Pin":"Unpin")+" datapoint"}>
                push_pin
              </mwc-icon>
              <mwc-icon style="${t(m)}" @click=${p}
                class="${a(m)}"
                title=${m?"Remove from starred slice":"Add to starred slice"}>
                ${m?"star":"star_border"}
              </mwc-icon>`:null}()}
              </div>
              <div style="${y}">${a}</div>
            </div>`},value:a},...t]}))}constructor(){super(),this.showControls=!0,this.focusService=f.l.getService(w.io),this.dataService=f.l.getService(w.Do),this.sliceService=f.l.getService(w.qG),this.referenceSelectionService=f.l.getService(w.z2,"pinned"),this.columnVisibility=new Map,this.globalSearchText="",this.globalSearchEdited=!1,this.onlyShowGenerated=!1,this.onlyShowSelected=!1,(0,p.rC)(this)}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.currentModels,this.appState.currentDataset,this.keys]),(()=>{this.updateColumns()}))}updateColumns(){const t=new Map;for(const n of this.defaultColumns)t.set(n.name,this.defaultKeys.includes(n)||"index"===n.name);this.columnVisibility=t}datasetIndexToRowIndex(t){const n=this.appState.currentInputData[t];return null==n?-1:this.sortedData.findIndex((t=>t.id===n.id))}getIdFromTableIndex(t){var n;return null===(n=this.sortedData[t])||void 0===n?void 0:n.id}onSelect(t){const n=t.map((t=>this.getIdFromTableIndex(t))).filter((t=>null!=t));this.selectionService.selectIds(n,this)}onPrimarySelect(t){const n=this.getIdFromTableIndex(t);this.selectionService.setPrimarySelection(n,this)}onHover(t){if(null==t)this.focusService.clearFocus();else{const n=this.getIdFromTableIndex(t);this.focusService.setFocusedDatapoint(n)}}renderDropdownItem(t){const n=this.columnVisibility.get(t);if(null==n)return;return s.dy`
      <div>
        <lit-checkbox class='column-select'
         label=${t} ?checked=${n}
                      @change=${()=>{this.columnVisibility.set(t,!n)}}>
        </lit-checkbox>
      </div>
    `}renderColumnDropdown(){const t=[...this.columnVisibility.keys()].filter((t=>"index"!==t));return s.dy`
      <popup-container class='column-dropdown-container'>
        <button class='hairline-button' slot='toggle-anchor-closed'>
          &nbsp;Columns&nbsp;
          <span class='material-icon'>expand_more</span>
        </button>
        <button class='hairline-button' slot='toggle-anchor-open'>
          &nbsp;Columns&nbsp;
          <span class='material-icon'>expand_less</span>
        </button>
        <div class='column-dropdown'>
          ${t.map((t=>this.renderDropdownItem(t)))}
        </div>
      </popup-container>
    `}renderControls(){var t,n,r;return s.dy`
      ${this.renderColumnDropdown()}
      <div class="checkbox-row">
        <lit-checkbox label="Show selected"
                  ?checked=${this.onlyShowSelected}
                  @change=${()=>{this.onlyShowSelected=!this.onlyShowSelected}}>
        </lit-checkbox>
        <lit-checkbox label="Show generated"
              ?checked=${this.onlyShowGenerated}
              @change=${()=>{this.onlyShowGenerated=!this.onlyShowGenerated}}>
        </lit-checkbox>
      </div>
      <div id="toolbar-buttons">
        <button class='hairline-button' @click=${()=>{var t;null===(t=this.table)||void 0===t||t.resetView(),this.globalSearchText=""}}
          ?disabled="${null===(n=null===(t=this.table)||void 0===t?void 0:t.isDefaultView)||void 0===n||n}">
          Reset view
        </button>
        <button class='hairline-button' @click=${()=>{this.onSelect(this.table.getVisibleDataIdxs())}}
          ?disabled="${!(null===(r=this.table)||void 0===r?void 0:r.isFiltered)}">
        Select filtered
        </button>
      </div>
    `}renderSearch(){const t=(0,d.$)({"search-container":!0,"search-container-edited":this.globalSearchEdited});return s.dy`
      <div class=${t}>
        <mwc-icon class='icon material-icon-outlined'>search</mwc-icon>
        <div class='search-input-container'>
          <input type="search" id="search-input" .value=${this.globalSearchText}
            @input=${t=>{var n;const r=(null===(n=t.target)||void 0===n?void 0:n.value)||"";this.globalSearchEdited=r!==this.globalSearchText}}
            @keydown=${t=>{var n;if("Enter"===t.key){const r=(null===(n=t.target)||void 0===n?void 0:n.value)||"";this.globalSearchText=r,this.globalSearchEdited=!1}}} placeholder="Search"/>
        </div>
        <lit-tooltip content=${"Search using text, regex, numerical ranges,\n      and column-name prefixes. Use AND and OR for joint queries. For example,\n      'query AND ^query2 OR columnName:1-10.'"}></lit-tooltip>
      </div>`}renderTable(){const t=this.defaultColumns.filter((t=>this.columnVisibility.get(t.name))),n=this.datasetIndexToRowIndex(this.selectionService.shiftSelectionStartIndex),r=this.datasetIndexToRowIndex(this.selectionService.shiftSelectionEndIndex);return s.dy`
      <lit-data-table
        .data=${this.tableData}
        .columnNames=${t}
        .selectedIndices=${this.selectedRowIndices}
        .primarySelectedIndex=${this.primarySelectedIndex}
        .referenceSelectedIndex=${this.referenceSelectedIndex}
        .starredIndices=${this.starredIndices}
        .focusedIndex=${this.focusedIndex}
        .headerTextMaxWidth=${150}
        .globalSearchText=${this.globalSearchText}
        .onSelect=${t=>{this.onSelect(t)}}
        .onPrimarySelect=${t=>{this.onPrimarySelect(t)}}
        .onHover=${t=>{this.onHover(t)}}
        searchEnabled
        selectionEnabled
        paginationEnabled
        exportEnabled
        showMoreEnabled
        shiftSelectionStartIndex=${n}
        shiftSelectionEndIndex=${r}
      ></lit-data-table>
    `}renderImpl(){return s.dy`
      <div class='module-container'>
        ${this.showControls?s.dy`
          <div class='module-toolbar'>
            ${this.renderControls()}
          </div>
          <div class='module-toolbar'>
            ${this.renderSearch()}
          </div>`:null}
        <div class='module-results-area'>
          ${this.renderTable()}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return!0}};E.title="Data Table",E.template=(t,n,r)=>s.dy`
      <data-table-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </data-table-module>`,E.numCols=4,E.duplicateForModelComparison=!1,(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],E.prototype,"columnVisibility",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],E.prototype,"globalSearchText",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],E.prototype,"globalSearchEdited",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],E.prototype,"onlyShowGenerated",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],E.prototype,"onlyShowSelected",void 0),(0,a.gn)([(0,l.IO)("lit-data-table"),(0,a.w6)("design:type",g.w)],E.prototype,"table",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],E.prototype,"dataSpec",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"keys",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"defaultKeys",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"defaultColumns",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"pinnedInputData",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"filteredData",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"sortedData",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"dataEntries",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"selectedRowIndices",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"tableDataIds",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],E.prototype,"primarySelectedIndex",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],E.prototype,"referenceSelectedIndex",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"starredIndices",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],E.prototype,"focusedIndex",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],E.prototype,"tableData",null),E=(0,a.gn)([(0,l.Mo)("data-table-module"),(0,a.w6)("design:paramtypes",[])],E);let C=class SimpleDataTableModule extends E{constructor(){super(...arguments),this.showControls=!1}};C.template=()=>s.dy`<simple-data-table-module></simple-data-table-module>`,C=(0,a.gn)([(0,l.Mo)("simple-data-table-module")],C)},3072:(t,n,r)=>{"use strict";var a=r(7582),s=(r(9956),r(3886)),l=r(9392),d=r(5595),h=r(9455),p=r(3959),f=r(8949),m=r(3506),g=r(9604),v=r(4262),y=r(5889),b=r(4915),x=r(7098),w=r(7190),S=r(9929);const _=l.iv`.staged-text {
  margin-bottom: 10px;
}

.module-footer {
  justify-content: flex-end;
}

.module-footer button {
  margin: 4px;
}

.field-header {
  align-items: center;
  display: flex;
  flex-flow: row wrap;
  gap: .5em;
  justify-content: space-between;
}

.field-name a {
  /* don't apply standard link style, it's distracting */
  text-decoration: unset;
  color: unset;
}

.field-type {
  color: var(--lit-light-label-color);
  font-size: 10px;
}

.field-header mwc-icon {
  vertical-align: middle;
  padding-right: 10px; /* for a larger click target */
}

.input-box {
  width: 95%;
  /* Fill available up to outer margin, if supported. */
  width: -moz-available;
  width: -webkit-fill-available;
  border-radius: 3px;
}

.token-box {
  height: 26px;
  padding-right: 16px;
  box-sizing: border-box;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  resize: none;
  min-width: 48px;
  max-width: 250px;
  padding-left: 4px;
  max-width: 250px;
  overflow: auto;
}

.token-div {
  height: 26px;
  min-width: 16px;
  max-width: 226px;
  padding-right: 4px;
  padding-top: 2px;
  padding-left: 4px;
  box-sizing: border-box;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  overflow: auto;
}

.token-div:hover {
  cursor: text;
}

.tokens-holder {
  display: flex;
  flex-wrap: wrap;
  margin-right: 6px;
}

.icon-button.token-button {
  width: 18px;
  height: 18px;
  padding-top: 4px;
  padding-left: 2px;
  border: 2px solid var(--lit-neutral-400);
  border-radius: 4px;
  margin-bottom: 2px;
  overflow: hidden;
}

.token-holder {
  margin-right: 2px;
  position: relative;
  height: 26px;
}

.delete-button {
  position: absolute;
  right: 2px;
  top: 4px;
}

.token-outer {
  display: flex;
  margin-bottom: 2px;
}

.insert-token-div {
  width: 6px;
  background: white;
  margin-right: 2px;
  margin-bottom: 2px;
  margin-top: 2px;
  border-radius: 2px;
  cursor: pointer;
}

.insert-token-div:hover {
  background: var(--lit-neutral-400);
}

.input-short {
  width: 95%;
  /* Fill available up to outer margin, if supported. */
  width: -moz-available;
  width: -webkit-fill-available;
}

select.dropdown {
  margin-right: 4px;
  min-width: 50px;
}

#edit-table {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.entry {
  align-items: center;
  box-sizing: border-box;
  display: flex;
  flex-flow: row wrap;
  justify-content: space-between;
  margin: 4px;
  padding: 4px;
  border-radius: 4px;
}

.entry-long {
  flex-grow: 1;
  flex-basis: 100%;
  flex-direction: column;
  align-items: flex-start;
  justify-content: flex-start;
  flex-flow: column;
}

.entry-edited {
  background: var(--lit-bric-50);
}

/* right-align content, particularly dropdowns */
.entry-content {
  display: flex;
  justify-content: flex-end;
}

.entry-medium .entry-content {
  flex-grow: 1;
  max-width: max(50%, 500px);
}

.entry-long .entry-content {
  flex-direction: column;
  justify-content: flex-start;
  height: 100%;
  width: 100%;
}

.entry-long .entry-content textarea {
  height: 100%;
}

.entry-left-align .entry-content {
  justify-content: flex-start;
}

input {
  font-family: 'Roboto', sans;
  color: var(--lit-gray-800);
}

textarea {
  resize: vertical;
  font-family: 'Roboto', sans;
  line-height: 18px;
  color: var(--lit-gray-800);
  background-color: unset;
}

.monospace-label {
  font-family: Monospace;
}

.annotation-cluster,
.multi-segment-annotation {
  display: flex;
  flex-direction: column;
  margin-bottom: 8px;
  width: 100%;
  width: -moz-available;
  width: -webkit-fill-available;
}

.annotation-cluster:last-child {
  margin-bottom: 0;
}

.annotation-cluster ul {
  margin-block-start: 0;
  margin-block-end: 0;
  padding-inline-start: 16px;
}

.image-holder {
  position: relative;
}

.image-min {
  max-width: 200px;
  max-height: 200px;
}

.image-toggle {
  position: absolute;
  top: 0;
  left: 0;
  margin: 5px;
  cursor: pointer;
  background: rgb(211,211,211, 0.5);
  border-radius: 4px;
  height: 20px;
  width: 20px;
  min-width: 20px;
  --mdc-icon-size: 20px;
  color: rgb(95, 99, 104);
}

.image-toggle:hover {
  opacity: .8;
  background: rgb(211,211,211, 0.8);
}

mwc-icon.google-icon {
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-font: "Google Material Icons";
  --mdc-icon-size: 12px;
  margin-bottom: 1px;
  margin-left: 4px;
}

.hidden {
  display: none;
}

.image-button {
  margin-left: 0;
}

.error-icon {
  height: 12px;
  width: 12px;
  min-width: 12px;
  --mdc-icon-font: "Google Material Icons";
  --mdc-icon-size: 12px;
  margin-bottom: 1px;
  margin-left: 1px;
  color: var(--google-red-600);
}

.error-input {
  border-color: var(--google-red-600);
  border-style: solid;
  border-radius: 3px;
  border-width: 2px;
  padding-top: 1px;
  padding-bottom: 1px;
}

input::placeholder {
  opacity: 50%;
}


`;let T=class DatapointEditorModule extends g.p{static get styles(){return[y.W,_]}get baseData(){const t=this.selectionService.primarySelectedInputData;if(t)return t;const n=this.appState.makeEmptyDatapoint("manual"),r={};for(const t of this.appState.currentInputDataKeys)if(this.groupService.numericalFeatureNames.includes(t)){const a=n.data[t],s=this.appState.currentDatasetSpec[t],[l,d]=[s.min_val,s.max_val];(a<l||a>d)&&(r[t]="")}return(0,x.sV)(n,r,"manual")}get missingFields(){return this.appState.currentModelRequiredInputSpecKeys.filter((t=>this.groupService.numericalFeatureNames.includes(t)?void 0===this.editedData.data[t]||null===this.editedData.data[t]:!this.editedData.data[t]))}get invalidNumericFields(){return Object.keys(this.numericFieldRanges).filter((t=>{const n=this.editedData.data[t];if(void 0===n)return!0;const[r,a]=this.numericFieldRanges[t];return n<r||n>a}))}get numericFieldRanges(){const t={};for(const n of this.appState.currentInputDataKeys)if(this.groupService.numericalFeatureNames.includes(n)){const r=this.appState.currentDatasetSpec[n];t[n]=[r.min_val,r.max_val]}return t}get editedData(){return(0,x.sV)(this.baseData,this.dataEdits,"manual")}get datapointEdited(){return Object.keys(this.dataEdits).length>0}get dataTextKeys(){const t=[];for(const n of this.appState.currentInputDataKeys){if(this.groupService.categoricalFeatureNames.includes(n))continue;if(this.groupService.numericalFeatureNames.includes(n))continue;const r=this.appState.currentDatasetSpec[n];r instanceof v.YH||(r instanceof v.JK||r instanceof v.sO||r instanceof v.h5||t.push(n))}return t}get sparseMultilabelInputKeys(){const t=this.appState.currentDatasetSpec;return(0,x.Fe)(t,v.nY)}calculateQuantileLengthsForFields(t,n=.8){var r;const a={};for(const l of t){const t=this.appState.currentDatasetSpec[l];let d;if(t instanceof v.Su)d=t=>t.length;else{if(!(t instanceof v.nY))throw new Error(`Attempted to convert field ${l} of unrecognized type to string.`);{const n=t.separator;d=t=>Object.values(t).join(n).length}}const h=this.appState.currentInputData.map((t=>d(t.data[l])));a[l]=null!==(r=s.VRg(h,n))&&void 0!==r?r:1;const p=Math.max(...h);n*p<=a[l]&&(a[l]=p)}return a}get dataTextLengths(){return this.calculateQuantileLengthsForFields(this.dataTextKeys)}get sparseMultilabelInputLengths(){return this.calculateQuantileLengthsForFields(this.sparseMultilabelInputKeys)}constructor(){super(),this.groupService=m.l.getService(w.l),this.resizeObserver=new ResizeObserver((()=>{this.resize()})),this.isShiftPressed=!1,this.addButtonText="Add",this.showAddAndCompare=!0,this.dataEdits={},this.inputHeights={},this.maximizedImageFields=new Set,this.editingTokenIndex=-1,this.editingTokenField=void 0,this.editingTokenWidth=0,(0,f.rC)(this)}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.appState.currentDataset),(()=>{(0,f.gx)((()=>this.appState.currentInputDataIsLoaded),(()=>{this.resize()}))})),this.react((()=>this.selectionService.primarySelectedInputData),(()=>{this.resetEditedData()}))}updated(){super.updated();const t=this.shadowRoot.querySelector(".module-container");null!=t?this.resizeObserver.observe(t):this.resizeObserver.disconnect();const n=Array.from(this.shadowRoot.querySelectorAll("textarea"));for(const t of n)t.value=t.textContent}convertNumLinesToHeight(t){return 2.4*t+.2}getHeightForInputBox(t,n,r=!0){const a=Math.ceil(8.3*t/n),s=this.convertNumLinesToHeight(Math.max(1,a));return r?`${s}ex`:s}resize(){const t=this.shadowRoot.querySelectorAll(".input-box")[0];if(null!=t){for(const[n,r]of Object.entries(this.dataTextLengths))r!==-1/0&&(this.inputHeights[n]=this.getHeightForInputBox(r,t.clientWidth));for(const[n,r]of Object.entries(this.sparseMultilabelInputLengths)){const a=this.convertNumLinesToHeight(4),s=this.getHeightForInputBox(r,t.clientWidth,!1),l=Math.min(s,a);this.inputHeights[n]=`${l}ex`}}}resetEditedData(){this.editingTokenIndex=-1,this.editingTokenField=void 0,this.dataEdits={}}renderImpl(){return l.dy`
      <div class='module-container'>
        <div class="${b.SU} module-results-area">
          ${this.renderEditableFields()}
        </div>
        <div class="module-footer">
          ${this.renderButtons()}
        </div>
      </div>
    `}renderButtons(){const t=0===this.missingFields.length,n=0===this.invalidNumericFields.length,r=this.datapointEdited&&t&&n,s=r&&!this.appState.compareExamplesEnabled,d=this.datapointEdited,h=null!=this.selectionService.primarySelectedInputData,p=()=>(0,a.mG)(this,void 0,void 0,(function*(){const t=yield this.appState.annotateNewData([this.editedData]);this.appState.commitNewDatapoints(t);const n=t.map((t=>t.id));return this.selectionService.selectIds(n),n})),f=l.dy`
      <button id="make" class='hairline-button'
        @click=${p}
        ?disabled="${!r}">
        ${this.addButtonText}
      </button>
    `,g=l.dy`
      <button id="compare" class='hairline-button' style="text-wrap: nowrap;"
        @click=${()=>(0,a.mG)(this,void 0,void 0,(function*(){const t=this.selectionService.primarySelectedId,n=yield p();this.appState.compareExamplesEnabled=!0,m.l.getService(S.z,"pinned").selectIds([t]),m.l.getService(S.z).selectIds(n)}))} ?disabled="${!s}">
        Add and compare
      </button>
    `,v=l.dy`
      <button id="reset" class='hairline-button'
        @click=${()=>{this.resetEditedData()}}  ?disabled="${!d}">
        Reset
      </button>
    `,y=l.dy`
      <button id="clear" class='hairline-button'
        @click=${()=>{this.selectionService.selectIds([])}}  ?disabled="${!h}">
        Clear
      </button>
    `;return l.dy`
      ${f}
      ${this.showAddAndCompare?g:null}
      ${v}
      ${y}
    `}renderEditableFields(){const t=Object.keys(this.appState.currentDatasetSpec);return l.dy`
      <div id="edit-table">
       ${t.map((t=>this.renderEntry(t,this.editedData.data[t])))}
      </div>
    `}renderEntry(t,n){const r=(n,r=(t=>t))=>{const a=r(n.target.value);a===this.baseData.data[t]?delete this.dataEdits[t]:this.dataEdits[t]=a},a=()=>{const r=this.maximizedImageFields.has(t),a=null==n?"":n.toString(),s=""===a,d=(0,h.$)({"image-min":!r,hidden:s}),p=(0,h.$)({"image-toggle":!0,hidden:s}),f=s?"Upload image":"Replace image";return l.dy`
        <div class="image-holder">
          <img class=${d} src=${a}>
          <mwc-icon class="${p}" @click=${()=>{this.maximizedImageFields.has(t)?this.maximizedImageFields.delete(t):this.maximizedImageFields.add(t)}}
                    title="Toggle full size">
            ${r?"photo_size_select_small":"photo_size_select_large"}
          </mwc-icon>
          <div>
            <input type='file' id='uploadimage' accept="image/*"
                   @change=${n=>{const r=n.target,a=null==r.files||0===r.files.length?null:r.files[0];if(null==a)return;const s=new FileReader;s.addEventListener("load",(()=>{const n=s.result;n===this.baseData.data[t]?delete this.dataEdits[t]:this.dataEdits[t]=n})),s.readAsDataURL(a),r.value=""}} class="hidden">
            <button class="hairline-button image-button"
                   @click=${()=>{this.shadowRoot.querySelector("#uploadimage").click()}}>
              <span class="material-icon">publish</span>
              ${f}
            </button>
          </div>
        </div>
      `},s=this.appState.currentModelRequiredInputSpecKeys.includes(t),d=this.missingFields.includes(t),f=this.invalidNumericFields.includes(t),m=(d&&s||f)&&this.datapointEdited,g=m?"error-input":"",y=m?"error-icon":"",w={"min-height":this.inputHeights[t]},S=()=>l.dy`<input type="text" class="input-short ${g}"
          @input=${r} .value=${n} />`,_=()=>{const[a,s]=this.numericFieldRanges[t];return l.dy`
      <input type="number" class="input-short ${g}"
        @input=${t=>{r(t,(t=>{if(""!==t)return Number(t)}))}}
        .placeholder="${a} — ${s}"
        .value=${n} />`},T=t=>l.dy`<div class="monospace-label">${(0,b.$A)(t)}</div>`,E=()=>l.dy`<div>${n?n.map(T):null}</div>`,C=()=>l.dy`<div>${n?n.map((t=>l.dy`<div class="monospace-label">${(0,b.re)(t)}</div>`)):null}</div>`,A=()=>l.dy`<div class="multi-segment-annotation">${n?n.map((t=>l.dy`<div class="annotation-cluster">
          <div>${(0,b.rn)(t)}</div>
          <ul>${t.spans.map((t=>l.dy`<li>${T(t)}</li>`))}</ul>
        </div>`)):""}</div>`;const O=()=>l.dy`
      <lit-checkbox
        ?checked=${n}
        @change=${t=>{r(t,(()=>!!t.target.checked))}}
      ></lit-checkbox>`,I=()=>this.renderTokensInput(t,n,r,!(F instanceof v.JK)),P={entry:!0,"entry-edited":void 0!==this.dataEdits[t],"entry-medium":!1,"entry-long":!1,"entry-left-align":!1};let D=()=>l.dy`
      <textarea
        class="input-box ${g}"
        style="${(0,p.V)(w)}"
        @input=${r}>${n}</textarea>`;const F=this.appState.currentDatasetSpec[t],{vocab:B}=F;null==B||F instanceof v.nY?this.groupService.categoricalFeatureNames.includes(t)?(D=S,P["entry-medium"]=!0):this.groupService.numericalFeatureNames.includes(t)?D=_:(0,x.kL)(F,[v.nk,v.sm,v.nY])?(D=I,P["entry-long"]=!0,P["entry-left-align"]=!0):F instanceof v.JK?D=function(){return l.dy`<div class="monospace-label">
        ${n?l.dy`&lt;float&gt;[${n.length}]`:null}
      </div>`}:F instanceof v.hW?D=E:F instanceof v.k6?D=C:F instanceof v.b_?D=A:F instanceof v.sO?D=a:F instanceof v.h5?D=O:P["entry-long"]=!0:D=()=>{return t=B,l.dy`
        <select class="dropdown"
          @change=${r} .value=${n}>
          ${t.map((t=>l.dy`
            <option value="${t}" ?selected=${t===n}>${t}</option>
          `))}
        </select>
      `;var t};const $=t=>{"Shift"===t.key&&(this.isShiftPressed=!1)},j=t=>{"Shift"===t.key&&(this.isShiftPressed=!0),"Enter"===t.key&&(this.isShiftPressed||(t.preventDefault(),this.shadowRoot.getElementById("make").click()))};let V="";if(f){const[n,r]=this.numericFieldRanges[t];V=`Please choose a value between ${n} and\n          ${r}.`}else m&&(V=`Please enter a valid value for the ${t} field.`);let U=l.dy`${s?"*":""}${t}`;if(F instanceof v.Mj)U=l.dy`
        <a href=${n} target="_blank">
          ${U}
          <mwc-icon class="icon-button">open_in_new</mwc-icon>
        </a>`;else if(F instanceof v.Jb){const t=new URLSearchParams;t.set("q",n),U=l.dy`
        <a href="https://www.google.com/search?${t.toString()}" target="_blank">
          ${U}
          <mwc-icon class="icon-button google-icon">google</mwc-icon>
        </a>`}return l.dy`
      <div class=${(0,h.$)(P)}
        @keyup=${t=>{$(t)}}
        @keydown=${t=>{j(t)}}
        >
        <div class='field-header'>
          <div class='field-name'>${U}</div>
          <div class='field-type'>${F.name}</div>
          <lit-tooltip content=${V}>
            <mwc-icon slot="tooltip-anchor" class="${y}">
              ${m?"error":null}
            </mwc-icon>
          </lit-tooltip>
        </div>
        <div class='entry-content'>
          ${D()}
        </div>
      </div>
    `}renderTokensInput(t,n,r,a=!0){const s=null==n?[]:[...n],d=[];for(let n=0;n<s.length;n++){const f=s[n],m=t=>{r(t,(t=>(s[n]=t,s)))},g=this.editingTokenIndex===n&&this.editingTokenField===t,v=t=>{r(t,(()=>(s.splice(n,1),s)))},y=a=>{r(a,(()=>(s.splice(n+1,0,""),s))),this.editingTokenIndex=n+1,this.editingTokenField=t},b=()=>g?l.dy`<mwc-icon class="icon-button delete-button"
                           title="delete token"
                           @click=${v}>delete</mwc-icon>`:null,x=(0,h.$)({"insert-token-div":!0}),w=r=>{this.editingTokenIndex=n,this.editingTokenField=t,this.editingTokenWidth=r.target.clientWidth},S=t=>{window.setTimeout((()=>{this.editingTokenIndex===n&&(this.editingTokenIndex=-1)}),200)},_=()=>{requestAnimationFrame((()=>{const t=this.renderRoot.querySelector(".token-box");null!=t&&t.focus()}));const t=this.editingTokenWidth+60,n=(0,p.V)({width:`${t}px`});return l.dy`
            <textarea class="token-box"
                      style=${n}
                      @input=${m} rows=1
                      @focusout=${S}
            >${f}</textarea>`},T=()=>l.dy`
        <div class="token-div"
             @click=${w}>${f}</div>`,E=()=>l.dy`
        <div class="${x}" @click=${y}
            title="insert token">
        </div>`;d.push(l.dy`<div class="token-outer">
                 <div class="token-holder">
                   ${g?_():T()}
                   ${a?b():null}
                 </div>
                 ${a?E():null}
              </div>`)}const f=n=>{r(n,(()=>(s.push(""),s))),this.editingTokenIndex=s.length-1,this.editingTokenField=t};return l.dy`<div class="tokens-holder">
        ${d.map((t=>t))}
        ${a?l.dy`<mwc-icon class="icon-button token-button" @click=${f}
                  title="insert token">add
           </mwc-icon>`:null}
        </div>`}static shouldDisplayModule(t,n){return!0}};T.title="Datapoint Editor",T.numCols=2,T.template=(t,n,r)=>l.dy`
      <datapoint-editor-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </datapoint-editor-module>`,T.duplicateForExampleComparison=!0,T.duplicateForModelComparison=!1,(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"baseData",null),(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],T.prototype,"dataEdits",void 0),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"missingFields",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"invalidNumericFields",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"numericFieldRanges",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"editedData",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],T.prototype,"datapointEdited",null),(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],T.prototype,"inputHeights",void 0),(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],T.prototype,"maximizedImageFields",void 0),(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],T.prototype,"editingTokenIndex",void 0),(0,a.gn)([f.LO,(0,a.w6)("design:type",String)],T.prototype,"editingTokenField",void 0),(0,a.gn)([f.LO,(0,a.w6)("design:type",Object)],T.prototype,"editingTokenWidth",void 0),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"dataTextKeys",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],T.prototype,"sparseMultilabelInputKeys",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"dataTextLengths",null),(0,a.gn)([f.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],T.prototype,"sparseMultilabelInputLengths",null),T=(0,a.gn)([(0,d.Mo)("datapoint-editor-module"),(0,a.w6)("design:paramtypes",[])],T);let E=class SingleDatapointEditorModule extends T{};E.duplicateForExampleComparison=!1,E.template=()=>l.dy`<single-datapoint-editor-module></single-datapoint-editor-module>`,E=(0,a.gn)([(0,d.Mo)("single-datapoint-editor-module")],E);let C=class SimpleDatapointEditorModule extends E{constructor(){super(...arguments),this.addButtonText="Analyze",this.showAddAndCompare=!1}};C.template=()=>l.dy`<simple-datapoint-editor-module></simple-datapoint-editor-module>`,C=(0,a.gn)([(0,d.Mo)("simple-datapoint-editor-module")],C)},9791:(t,n,r)=>{"use strict";var a,s=r(7582),l=r(9392),d=r(5595),h=r(355),p=r(8949),f=r(3506),m=r(9604),g=r(7146),v=r(6070),y=r(4262),b=r(5889),x=(r(4915),r(7098)),w=r(7190),S=r(9410),_=r(5108);const T=(0,v.nA)("black"),E=(0,v.nA)((0,v.lf)("cyea","700").color),C=(0,v.nA)((0,v.lf)("mage","400").color),A=(0,v.nA)((0,v.lf)("mage","700").color),O=[0,0,0,0];function I(t,n){t.FillColor=T,t.SizePixel=14,t.PositionWorld=n.world,t.PositionPixel=n.pixel}function P(t,n){return t.localeCompare(n)}function D(t){t.FillColor=O,t.SizePixel=0}let F=a=class DiveModule extends m.p{static get styles(){const t=l.iv`
      .scene {
        height: 100%;
        width: 100%;
        cursor: crosshair;
      }

      select.limit-width {
        width: 150px;
        max-width: 150px;
      }

      .dive-controls {
        width: 100%;
        height: 100%;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;
      }

      .dive-controls .feature-selectors {
        display: flex;
        flex-direction: row;
      }

      .dive-controls .icon-button {
        font-size: 16px;
      }
    `;return[b.W,t]}constructor(){super(),this.colorService=f.l.getService(S.x4),this.dataService=f.l.getService(S.Do),this.focusService=f.l.getService(S.io),this.groupService=f.l.getService(S.lT),this.pinnedSelectionService=f.l.getService(S.z2,"pinned"),this.colsFeatureIdx=1,this.rowsFeatureIdx=0,this.points=new Map,this.dots=[],this.columns=[],this.rows=[],this.colorValueMap=new Map,this.resizeObserver=new ResizeObserver((()=>{this.resize()})),this.selections=Object.seal({columnLabels:void 0,rowLabels:void 0,points:void 0}),(0,p.rC)(this)}configure(){var t;const n=this.groupService.denseFeatureNames[this.colsFeatureIdx],r=this.groupService.denseFeatureNames[this.rowsFeatureIdx];if(null==n||null==r)return;const a=(t,n)=>{var r;const a=(null===(r=this.focusService.focusData)||void 0===r?void 0:r.datapointId)===n.id,s=this.pinnedSelectionService.primarySelectedId===n.id,l=this.selectionService.primarySelectedId===n.id,d=this.selectionService.selectedIds.includes(n.id)&&!(a||s||l),h=a||s||l||d,p=0===this.selectionService.selectedIds.length,f=this.appState.getCurrentInputDataById(n.id),m=this.colorService.getDatapointColor(f),y=(0,v.nA)(m);t.BorderColor=s?A:l?E:y,t.BorderColorOpacity=h?1:.25,t.BorderRadiusPixel=s||l?2:0,t.BorderPlacement=1,t.FillColor=a||s?C:y,t.FillColorOpacity=p||h?1:.25,t.PositionWorld=n.world,t.PositionPixel=n.pixel,t.Sides=2,t.SizeWorld=.9*g,t.SizePixel=0},s=(t,n)=>{const r=this.colorValueMap.get(t.id),a=this.colorValueMap.get(n.id);return r>a?1:r<a?-1:0},l=this.groupExamples([r,n]),d=this.matrixSizes(l,n,r),h=d.columns,p=Object.keys(h).sort(P),f=d.rows,m=Object.keys(f).sort(P),g=1/Object.values(h).reduce(((t,n)=>t+n.size),0);this.columns=p.map(((t,n)=>{const r=h[t],a=(r.sumTo+r.size/2)*g-.5;return{text:t,pixel:{x:8*p.indexOf(t),y:0},world:{x:a,y:.5}}})),this.rows=m.map(((t,n)=>{const r=f[t],a=r.sumTo,s=r.size/2,l=-(.5+g),d=.5-(a+s)*g;return{text:t,pixel:{x:0,y:8*m.indexOf(t)},world:{x:l,y:d}}}));for(const[t,a]of Object.entries(l)){if(!(n in a.facets)||!(r in a.facets)){_.warn(`Skipping "${t}". Missing ${n} or ${r}. Has ${Object.keys(a.facets).join(" ")}. Contains ${a.data.length} element(s).`,a);continue}const l=Math.ceil(Math.sqrt(a.data.length)),d=l*g,v=Math.floor(a.data.length/l)*g,y=a.facets[n].displayVal,b=8*p.indexOf(y),x=h[y].sumTo,w=a.facets[r].displayVal,S=8*m.indexOf(w),T=f[w].sumTo,E=(f[w].size*g-v)/2,C=(h[y].size*g-d)/2;("None"===this.colorService.selectedColorOption.name?a.data:a.data.sort(s)).forEach((({id:t},n)=>{this.points.has(t)||this.points.set(t,{id:t,pixel:{x:0,y:0},world:{x:0,y:0}});const r=this.points.get(t),a=(Math.floor(n%l)+x)*g,s=(Math.floor(n/l)+T)*g;r.world.x=a+C-.5,r.world.y=.5-(s+E),r.pixel.x=b,r.pixel.y=S}))}this.dots=[...this.points.values()],null===(t=this.selections.points)||void 0===t||t.onInit(a).onUpdate(a),this.resetScale()}groupExamples(t){const n=t.filter((t=>this.groupService.numericalFeatureNames.includes(t))).map((t=>({featureName:t,method:w.J.EQUAL_INTERVAL}))),r=this.groupService.numericalFeatureBins(n);return this.groupService.groupExamplesByFeatures(r,this.appState.currentInputData,t)}matrixSizes(t,n,r){const a={columns:{},rows:{}},s=Object.keys(t).sort(P);for(const l of s){const s=t[l],d=Math.ceil(Math.sqrt(s.data.length)),h=Math.ceil(s.data.length/d);for(const[t,{displayVal:l}]of Object.entries(s.facets))if(n===r)null==a.columns[l]?a.columns[l]={size:d,sumTo:0}:d>a.columns[l].size&&(a.columns[l].size=d),null==a.rows[l]?a.rows[l]={size:h,sumTo:0}:h>a.rows[l].size&&(a.rows[l].size=h);else{const r=n===t?d:h,s=n===t?a.columns:a.rows;null==s[l]?s[l]={size:r,sumTo:0}:r>s[l].size&&(s[l].size=r)}}let l=0;for(const t of Object.values(a.columns))t.sumTo=l,l+=t.size;let d=0;for(const t of Object.values(a.rows))t.sumTo=d,d+=t.size;return a}draw(){var t,n,r;null===(t=this.selections.columnLabels)||void 0===t||t.bind(this.columns),null===(n=this.selections.rowLabels)||void 0===n||n.bind(this.rows),null===(r=this.selections.points)||void 0===r||r.bind(this.dots)}resetScale(){if(null==this.container||null==this.scene)return;const{width:t,height:n}=this.container.getBoundingClientRect();if(0===t||0===n)return;const r=n<t?n:t;this.scene.scale.x=.7*r,this.scene.scale.y=.7*r,this.scene.offset.x=Math.ceil(t/2),this.scene.offset.y=Math.floor(n/2)-8-14}resize(){var t;null===(t=this.scene)||void 0===t||t.resize(),this.resetScale()}updateZoom(t,n){if(null!=this.scene){const{x:r,y:a}=this.scene.offset;this.scene.scale.x=t,this.scene.scale.y=n,this.scene.offset.x=r,this.scene.offset.y=a}}renderControls(){const t=t=>{if(null!=this.scene){const{x:n,y:r}=this.scene.scale;this.updateZoom(n*t,r*t)}},n=[["Rows:",this.rowsFeatureIdx,t=>{this.rowsFeatureIdx=Number(t.target.value)}],["Columns:",this.colsFeatureIdx,t=>{this.colsFeatureIdx=Number(t.target.value)}]];return l.dy`<div class="dive-controls">
      <div class="feature-selectors">
        ${n.map((([t,n,r])=>l.dy`
        <div class="dropdown-holder">
          <label class="dropdown-label">${t}</label>
          <select class="dropdown limit-width" @change=${r}
                  aria-label=${this.groupService.denseFeatureNames[n]}>
            ${this.groupService.denseFeatureNames.map(((t,r)=>l.dy`
              <option value=${r} ?selected=${n===r}>
                ${t}
              </option>`))}
          </select>
        </div>`))}
      </div>
      <div class="view-controls">
        <lit-tooltip content="Zoom in" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{t(1.1)}}>
            zoom_in
          </span>
        </lit-tooltip>
        <lit-tooltip content="Zoom out" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{t(.9)}}>
            zoom_out
          </span>
        </lit-tooltip>
        <lit-tooltip content="Reset view" tooltipPosition="left">
          <span class="material-icon-outlined icon-button" slot="tooltip-anchor"
                @click=${()=>{this.resetScale()}}>
            view_in_ar
          </span>
        </lit-tooltip>
      </div>
    </div>`}renderFooter(){const[t]=this.colorService.selectedColorOption.scale.domain(),n="number"==typeof t?g.H.SEQUENTIAL:g.H.CATEGORICAL;return l.dy`<color-legend legendType=${n}
      label=${this.colorService.selectedColorOption.name}
      .scale=${this.colorService.selectedColorOption.scale}>
    </color-legend>`}render(){return l.dy`<div class="module-container">
      <div class='module-toolbar'>${this.renderControls()}</div>
      <div class="module-results-area">
        <div class="scene" @click=${t=>{var n;const{mouseDown:r,mouseMoved:a}=this;if(r===a){const{offsetX:r,offsetY:a}=t,s=null===(n=this.selections.points)||void 0===n?void 0:n.hitTest({x:r,y:a});if(null==s?void 0:s.length){const n=s[0].id,r=s.map((t=>t.id));if(t.altKey)return this.pinnedSelectionService.selectIds([]),void this.pinnedSelectionService.setPrimarySelection(n);(t.metaKey||t.ctrlKey)&&r.unshift(...this.selectionService.selectedIds),this.selectionService.selectIds(r),this.selectionService.setPrimarySelection(n)}else this.selectionService.selectIds([])}this.mouseDown=void 0,this.mouseMoved=void 0}} @mousedown=${t=>{this.mouseDown={x:t.offsetX,y:t.offsetY},this.mouseMoved=this.mouseDown}}
             @mousemove=${t=>{var n;t.stopPropagation(),t.preventDefault();const{offsetX:r,offsetY:a}=t;if(null!=this.mouseMoved){if(null==this.scene)return;this.focusService.clearFocus(),this.scene.offset.x-=this.mouseMoved.x-r,this.scene.offset.y-=this.mouseMoved.y-a,this.mouseMoved={x:r,y:a}}else{const t=null===(n=this.selections.points)||void 0===n?void 0:n.hitTest({x:r,y:a});(null==t?void 0:t.length)?this.focusService.setFocusedDatapoint(t[0].id):this.focusService.clearFocus()}}} @mouseout=${()=>{this.mouseDown=void 0,this.mouseMoved=void 0}}
             @wheel=${t=>{if(t.preventDefault(),t.stopPropagation(),null!=this.scene){const{x:n,y:r}=this.scene.scale,a=-.05*t.deltaY;this.updateZoom(n+a,r+a)}}}></div>
      </div>
      <div class="module-footer">${this.renderFooter()}</div>
    </div>`}firstUpdated(){if(null==this.container)return;this.scene=new h.Scene({container:this.container,defaultTransitionTimeMs:300}),this.selections.columnLabels=this.scene.createTextSelection(),this.selections.columnLabels.align((()=>"center")).verticalAlign((()=>"bottom")).text((t=>t.text)).onInit(I).onUpdate(I).onExit(D),this.selections.rowLabels=this.scene.createTextSelection(),this.selections.rowLabels.align((()=>"right")).verticalAlign((()=>"middle")).text((t=>t.text)).onInit(I).onUpdate(I).onExit(D),this.selections.points=this.scene.createSelection(),this.selections.points.onExit(D),this.resizeObserver.observe(this.container),this.reactImmediately((()=>this.appState.currentDataset),(()=>{var t,n,r;null===(t=this.selections.columnLabels)||void 0===t||t.clear(),null===(n=this.selections.rowLabels)||void 0===n||n.clear(),null===(r=this.selections.points)||void 0===r||r.clear(),this.points=new Map}));this.reactImmediately((()=>[this.colsFeatureIdx,this.rowsFeatureIdx,this.dataService.dataVals,this.colorService.selectedColorOption]),(()=>{const t=this.colorService.selectedColorOption.name;if("None"!==t)for(const{id:n}of this.appState.currentInputData)this.colorValueMap.set(n,this.dataService.getVal(n,t));this.configure(),this.draw()}));this.reactImmediately((()=>{var t;return[this.selectionService.selectedIds,this.selectionService.primarySelectedId,this.pinnedSelectionService.primarySelectedId,null===(t=this.focusService.focusData)||void 0===t?void 0:t.datapointId]}),(()=>{this.draw()}))}};F.compatibleTypes=[y.h5,y.q0,y.Ru],F.title="Dive",F.numCols=3,F.shouldDisplayModule=(t,n)=>{const r=[];r.push(...(0,x.Fe)(n,a.compatibleTypes));for(const{spec:n}of Object.values(t)){const{input:t,output:s}=n;r.push(...(0,x.Fe)(t,a.compatibleTypes)),r.push(...(0,x.Fe)(s,a.compatibleTypes))}return new Set(r).size>1},F.template=(t,n,r)=>l.dy`<dive-module model=${t} .shouldReact=${r}
                selectionServiceIndex=${n}>
              </dive-module>`,(0,s.gn)([p.LO,(0,s.w6)("design:type",Object)],F.prototype,"colsFeatureIdx",void 0),(0,s.gn)([p.LO,(0,s.w6)("design:type",Object)],F.prototype,"rowsFeatureIdx",void 0),(0,s.gn)([(0,d.IO)("div.scene"),(0,s.w6)("design:type",HTMLDivElement)],F.prototype,"container",void 0),F=a=(0,s.gn)([(0,d.Mo)("dive-module"),(0,s.w6)("design:paramtypes",[])],F)},552:(t,n,r)=>{"use strict";var a=r(7582),s=r(5595),l=r(9392),d=r(8949),h=r(3506),p=r(9604),f=(r(4915),r(7098)),m=r(9410),g=r(5889);let v=class DocumentationModule extends p.p{static get styles(){const t=l.iv`
      .wrapper {
        margin: 8px;
      }
    `;return[g.W,t]}get markdownString(){return(0,f.Xo)(this.appState.metadata.inlineDoc)}constructor(){super(),(0,d.rC)(this)}renderImpl(){return l.dy`<div class="wrapper">${this.markdownString}</div>`}static shouldDisplayModule(t,n){var r;return null!=(null===(r=h.l.getService(m.aB).metadata)||void 0===r?void 0:r.inlineDoc)}};v.title="Documentation",v.numCols=3,v.duplicateForModelComparison=!1,v.template=(t,n,r)=>l.dy`
      <documentation-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </documentation-module>`,(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],v.prototype,"markdownString",null),v=(0,a.gn)([(0,s.Mo)("documentation-module"),(0,a.w6)("design:paramtypes",[])],v)},2186:(t,n,r)=>{"use strict";var a=r(7582),s=(r(3514),r(1239),r(3886)),l=r(2688),d=r(9392),h=r(5595),p=r(8949),f=r(3506),m=r(9604),g=r(7146),v=r(8286),y=r(6070),b=r(4262),x=r(5889),w=(r(4915),r(7098)),S=r(9410);const _=d.iv`#scatter-gl-container {
  height: 100%;
  user-select: none;
}

#scatter-gl-container>canvas {
  outline: none;
}

.hidden-container {
  display: none;
}

.container {
  position: relative;
  height: 100%;
  overflow: hidden;
}

/* *
 * TODO(https://github.com/PAIR-code/scatter-gl/issues/113): Remove when fixed.
 */
.module-results-area {overflow: hidden}

.module-footer > * { min-width: 0; }

.selected-nearest-button {
  text-wrap: nowrap;
}

.selected-nearest-button:disabled {
  pointer-events: auto;
}

#select-button-container {
  bottom: 4px;
  right: 4px;
}
`,T="nearest neighbors",E={pca:{displayName:"PCA",interpreterName:"pca"},umap:{displayName:"UMAP",interpreterName:"umap"}};let C=class EmbeddingsModule extends m.p{static get styles(){return[x.W,_]}get projector(){return this.projectorChoices[this.projectorName]}get currentInputIndicesById(){const t=new Map;return this.appState.currentInputData.forEach(((n,r)=>{t.set(n.id,r)})),t}get embeddingOptions(){const t=this.appState.currentModels.flatMap((t=>{const n=this.appState.metadata.models[t].spec;return(0,w.Fe)(n.output,b.JK).map((n=>({modelName:t,fieldName:n})))}));return(0,w.Fe)(this.appState.currentDatasetSpec,b.JK).map((t=>({modelName:"",fieldName:t}))).concat(t)}get embeddingOptionNames(){return this.embeddingOptions.map((t=>""===t.modelName?`${t.fieldName}`:`${t.modelName}:${t.fieldName}`))}get displayLabels(){const t=this.getLabelByFields();return this.appState.currentInputData.map((n=>{let r="";if(this.selectedLabelIndex<t.length){const a=t[this.selectedLabelIndex];r=n.data[a]}return{label:r,added:n.meta.added?1:0}}))}get scatterGLDataset(){if(0===this.projectedPoints.length)return null;const t=this.displayLabels.slice(0,this.projectedPoints.length),n=new l.qz(this.projectedPoints,t);return this.spriteImage&&n.setSpriteMetadata({spriteImage:this.spriteImage,singleSpriteSize:[48,48]}),n}getEmbeddingCache(t,n,r,s){const l=`${t}:${n}:${r}:${JSON.stringify(s)}`;if(!this.embeddingCache.has(l)){const d=l=>(0,a.mG)(this,void 0,void 0,(function*(){return this.apiService.getInterpretations(l,n,t,r,s,"Fetching projections")})),h=new v.p(d,(t=>t.id));this.embeddingCache.set(l,h)}return this.embeddingCache.get(l)}getNearestNeighbors(t,n=10){return(0,a.mG)(this,void 0,void 0,(function*(){const{modelName:r,fieldName:a}=this.embeddingOptions[this.selectedEmbeddingsIndex],s={embedding_name:a,num_neighbors:n,use_input:""===r},l=yield this.apiService.getInterpretations([t],r,this.appState.currentDataset,T,s,`Running ${T}`);if(null===l)return;const d=l[0].nearest_neighbors.map((t=>t.id));this.selectionService.selectIds(d)}))}constructor(){super(),this.projectorChoices={},this.isLoading=!1,this.projectorName="",this.projectedPoints=[],this.spriteImage=void 0,this.colorService=f.l.getService(S.x4),this.focusService=f.l.getService(S.io),this.dataService=f.l.getService(S.Do),this.pinnedSelectionService=f.l.getService(S.z2,"pinned"),this.resizeObserver=new ResizeObserver((()=>{var t;const n=this.shadowRoot.querySelector(".module-results-area"),r=this.shadowRoot.getElementById("scatter-gl-container");if(null==n||null==r)return;const a=n.getBoundingClientRect(),s=r.getBoundingClientRect();s.width&&s.height&&s.width===a.width&&s.height===a.height&&(null===(t=this.scatterGL)||void 0===t||t.resize())})),this.embeddingCache=new Map,this.selectedEmbeddingsIndex=0,this.selectedLabelIndex=0,this.selectedSpriteIndex=0,(0,p.rC)(this);const t=this.appState.metadata.interpreters;for(const[n,r]of Object.entries(E))t.hasOwnProperty(r.interpreterName)&&(this.projectorChoices[n]=r);if(Object.keys(this.projectorChoices).length<=0)throw new Error("Embeddings module: no projection methods available.");this.appState.currentInputData.length>1e3&&this.projectorChoices.hasOwnProperty("pca")?this.projectorName="pca":this.projectorChoices.hasOwnProperty("umap")?this.projectorName="umap":this.projectorName=Object.keys(this.projectorChoices)[0]}firstUpdated(){const t=this.shadowRoot.getElementById("scatter-gl-container");this.scatterGL=new l.cq(t,{pointColorer:(t,n,r)=>this.pointColorer(t,n,r),onSelect:this.onSelect.bind(this),onHover:this.onHover.bind(this),styles:{fog:{threshold:4}},rotateOnStart:!1}),this.resizeObserver.observe(t)}connectedCallback(){super.connectedCallback(),this.setupReactions()}setupReactions(){this.reactImmediately((()=>[this.appState.currentInputData,this.selectedEmbeddingsIndex,this.projectorName]),(()=>{this.computeProjectedEmbeddings()}),{delay:.2});this.reactImmediately((()=>[this.dataService.dataVals,this.scatterGLDataset,this.colorService.selectedColorOption]),(()=>{this.updateScatterGL()})),this.reactImmediately((()=>this.selectionService.selectedIds),(t=>{var n;const r=this.uniqueIdsToIndices(t);null===(n=this.scatterGL)||void 0===n||n.select(r)})),this.react((()=>this.selectedSpriteIndex),(()=>{this.computeSpriteMap()})),this.reactImmediately((()=>this.focusService.focusData),(()=>{const{isLoading:t,scatterGL:n}=this,{focusData:r}=this.focusService;if(t||!n||!r||r.fieldName)return;const a=this.currentInputIndicesById.get(r.datapointId);null==a?n.setHoverPointIndex(null):n.setHoverPointIndex(a)}))}updateScatterGL(){const{scatterGL:t,scatterGLDataset:n,spriteImage:r}=this;n&&t&&(t.render(n),r?t.setSpriteRenderMode():t.setPointRenderMode())}uniqueIdsToIndices(t){return t.map((t=>this.currentInputIndicesById.get(t))).filter((t=>void 0!==t))}computeProjectedEmbeddings(){return(0,a.mG)(this,void 0,void 0,(function*(){if(!this.appState.currentInputData.length)return void(this.projectedPoints=[]);const t=this.embeddingOptions[this.selectedEmbeddingsIndex];if(!t)return;this.isLoading=!0;const{modelName:n,fieldName:r}=t,a=this.appState.currentDataset,s={model_name:n,field_name:r,use_input:""===n,proj_kw:{n_components:3}},l=this.getEmbeddingCache(a,n,this.projector.interpreterName,s).call(this.appState.currentInputData),d=yield this.loadLatest(`proj-${JSON.stringify(s)}`,l);null!==d?(this.appState.datasetHasImages?this.computeSpriteMap():this.spriteImage=void 0,this.projectedPoints=d.map((t=>t.z)),window.setTimeout((()=>this.isLoading=!1),400)):this.isLoading=!1}))}getLabelByFields(){return(0,w.Fe)(this.appState.currentDatasetSpec,[b.Xs,b.Ru,b.Su,b.q0])}getImageFields(){return(0,w.Fe)(this.appState.currentDatasetSpec,b.sO)}computeSpriteMap(){if(this.selectedSpriteIndex>=this.getImageFields().length)return void(this.spriteImage=void 0);const t=this.getImageFields()[this.selectedSpriteIndex],n=document.createElement("canvas"),r=Math.ceil(Math.sqrt(this.appState.currentInputData.length)),a=48;n.width=r*a,n.height=r*a;const s=n.getContext("2d");let l=0;const d=this.appState.currentInputData.length;for(let h=0;h<d;h++){const p=this.appState.currentInputData[h],f=h%r,m=Math.floor(h/r),g=new Image;g.onload=()=>{if(s.drawImage(g,f*a,m*a,a,a),l++,l===d){const t=document.createElement("img");t.src=n.toDataURL("image/jpeg"),this.spriteImage=t}};const v=p.data[t];null!=v&&(g.src=v)}}pointColorer(t,n,r){const a=this.appState.currentInputData[t];let l=this.colorService.getDatapointColor(a);const d=null!=a&&this.selectionService.isIdSelected(a.id),h=null!=a&&this.selectionService.primarySelectedId===a.id,p=null!=this.focusService.focusData&&this.focusService.focusData.datapointId===a.id&&null==this.focusService.focusData.io,f=null!=a&&this.pinnedSelectionService.primarySelectedId===a.id;if((p||f)&&(l=(0,y.lf)("mage","400").color),this.spriteImage&&!p&&!d)return"";const m=s.$_Y(l);return p||h?m.opacity=1:d&&!h?m.opacity=.8:this.selectionService.selectedInputData.length?m.opacity=.25:m.opacity=.8,m.toString()}onSelect(t){const n=this.appState.currentInputData.filter(((n,r)=>t.includes(r))).map((t=>t.id));this.selectionService.selectIds(n)}onHover(t){null==t?this.focusService.clearFocus():this.focusService.setFocusedDatapoint(this.appState.currentInputData[t].id)}render(){const t="number"==typeof this.colorService.selectedColorOption.scale.domain()[0]?g.H.SEQUENTIAL:g.H.CATEGORICAL,n=1!==this.selectionService.selectedIds.length;return d.dy`
      <div class="module-container">
        <div class="module-toolbar">
          ${this.renderProjectorSelect()}
          ${this.renderEmbeddingsSelect()}
          ${this.renderLabelBySelect()}
          ${this.renderSpriteBySelect()}
          <div>
            <lit-tooltip .content=${"Reset view"}>
              <mwc-icon class="icon-button mdi-outlined" slot="tooltip-anchor"
                @click=${()=>{var t;null===(t=this.scatterGL)||void 0===t||t.resetZoom()}}>
                view_in_ar
              </mwc-icon>
            </lit-tooltip>
          </div>
        </div>
        <div class="module-results-area">
          ${this.renderResultsArea()}
        </div>
        <div class="module-footer">
          <color-legend legendType=${t}
            label=${this.colorService.selectedColorOption.name}
            .scale=${this.colorService.selectedColorOption.scale}>
          </color-legend>
          <lit-tooltip content=${n?"Select nearest neighbors for the current datapoint. To enable, select a single datapoint.":""}
            tooltipPosition="above">
            <button class="hairline-button selected-nearest-button"
              ?disabled=${n}
              @click=${()=>{null!=this.selectionService.primarySelectedInputData&&this.getNearestNeighbors(this.selectionService.primarySelectedInputData)}}
              slot="tooltip-anchor"
            >Select ${10} nearest neighbors</button>
          </lit-tooltip>
        </div>
      </div>
    `}renderResultsArea(){return d.dy`
     ${this.isLoading?this.renderSpinner():null}
     <div class=${this.isLoading?"hidden-container":""}
      id="scatter-gl-container"></div>
    `}renderSpinner(){return d.dy`
      <div class="spinner-container">
        <lit-spinner size=${20} color="var(--app-secondary-color)"></lit-spinner>
      </div>`}renderProjectorSelect(){const t=this.projectorChoices,n=Object.keys(t).map((n=>d.dy`
        <option value=${n} ?selected=${n===this.projectorName}>
          ${t[n].displayName}
        </option>
      `));return this.renderSelect("Projector",n,(n=>{const r=n.target,a=(null==r?void 0:r.selectedIndex)||0;this.projectorName=Object.keys(t)[a]}),this.projectorName)}renderEmbeddingsSelect(){const t=this.embeddingOptionNames,n=t.map(((t,n)=>d.dy`
        <option value=${n}>${t}</option>
      `));return this.renderSelect("Embedding",n,(t=>{const n=t.target;this.selectedEmbeddingsIndex=(null==n?void 0:n.selectedIndex)||0}),t[0])}renderLabelBySelect(){var t;const n=this.getLabelByFields(),r=n.map(((t,n)=>d.dy`<option value=${n}>${t}</option>`));return this.renderSelect("Label by",r,(t=>{const n=t.target;this.selectedLabelIndex=(null==n?void 0:n.selectedIndex)||0}),null!==(t=n[0])&&void 0!==t?t:"")}renderSpriteBySelect(){var t;const n=this.getImageFields();if(0===n.length)return null;n.push("none");const r=n.map(((t,n)=>d.dy`<option value=${n}>${t}</option>`));return this.renderSelect("Thumbnail by",r,(t=>{const n=t.target;this.selectedSpriteIndex=(null==n?void 0:n.selectedIndex)||0}),null!==(t=n[0])&&void 0!==t?t:"")}renderSelect(t,n,r,a){return d.dy`
      <div class="dropdown-container">
        <label class="dropdown-label">${t}:</label>
        <select class="dropdown" @change=${r} .value=${a}>
          ${n}
        </select>
      </div>
    `}static shouldDisplayModule(t,n){if((0,w.Fe)(n,b.JK).length>0)return!0;if(!(0,w.Rf)(t,b.JK))return!1;for(const n of Object.values(t))for(const t of Object.keys(E))if(-1!==n.interpreters.indexOf(t))return!0;return!1}};C.title="Embeddings",C.infoMarkdown="Pan, zoom, rotate, and click to visualize datapoints in the latent space\n      of your model, in order to find clusters or patterns in the data.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#embedding-projector)",C.template=(t,n,r)=>d.dy`
      <embeddings-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </embeddings-module>`,C.duplicateForModelComparison=!1,C.numCols=3,(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"isLoading",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"projectorName",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],C.prototype,"projector",null),(0,a.gn)([p.LO.ref,(0,a.w6)("design:type",Array)],C.prototype,"projectedPoints",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"spriteImage",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"selectedEmbeddingsIndex",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"selectedLabelIndex",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],C.prototype,"selectedSpriteIndex",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Map),(0,a.w6)("design:paramtypes",[])],C.prototype,"currentInputIndicesById",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],C.prototype,"embeddingOptions",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],C.prototype,"embeddingOptionNames",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],C.prototype,"displayLabels",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",l.qz),(0,a.w6)("design:paramtypes",[])],C.prototype,"scatterGLDataset",null),C=(0,a.gn)([(0,h.Mo)("embeddings-module"),(0,a.w6)("design:paramtypes",[])],C)},6284:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(3959),h=r(8949),p=r(3506),f=(r(482),r(9604)),m=r(7146),g=(r(3539),r(6645),r(4262)),v=(r(4915),r(7098)),y=r(7376),b=(r(7190),r(9410)),x=r(5889);const w=s.iv`.module-container {
  display: flex;
  flex-direction: column;
}

.module-toolbar {
  border-bottom: 1px solid var(--lit-neutral-300);
}

.module-results-area {
  display: flex;
  flex: 1 0 auto;
  flex-direction: row;
}

.side-navigation {
  border-right: 1px solid var(--lit-neutral-300);
  max-width: 300px;
  min-width: 300px;
  overflow-y: auto;
}

.main-content {
  max-width: calc(100% - 300px);
  display: flex;
  flex: 1 0 auto;
  flex-direction: column;
}

.module-results {
  flex: 1 0 auto;
  overflow-y: scroll;
}`;var S;const _="Entire Dataset",T="Selection";let E=S=class FeatureAttributionModule extends f.p{static get styles(){return[x.W,w]}static shouldDisplayModule(t){const n=p.l.getService(b.aB);return null!=n.metadata&&Object.values(t).some((t=>{const r=(0,v.Fe)(t.spec.output,g.oB).length>0,a=t.interpreters.some((t=>{const{metaSpec:r}=n.metadata.interpreters[t];return(0,v.Fe)(r,g.oB).length>0}));return r||a}))}constructor(){super(),this.groupService=p.l.getService(b.lT),this.colorMap=new y.kh,this.facetingControl=document.createElement("faceting-control"),this.startsOpen=void 0,this.isColored=!0,this.features=[],this.bins={},this.settings=new Map,this.summaries={},this.enabled={model:this.hasIntrinsicSalience,[T]:!1},(0,h.rC)(this);this.facetingControl.contextName=S.title,this.facetingControl.addEventListener("facets-change",(t=>{this.features=t.detail.features,this.bins=t.detail.bins}))}get facets(){return this.groupService.groupExamplesByFeatures(this.bins,this.appState.currentInputData,this.features)}get hasIntrinsicSalience(){var t,n;return!!(null===(n=null===(t=this.appState.metadata.models[this.model])||void 0===t?void 0:t.spec)||void 0===n?void 0:n.output)&&(0,v.Fe)(this.appState.metadata.models[this.model].spec.output,g.oB).length>0}get salienceInterpreters(){const{interpreters:t}=this.appState.metadata.models[this.model];return Object.entries(p.l.getService(b.aB).metadata.interpreters).filter((([n,r])=>t.includes(n)&&(0,v.Fe)(r.metaSpec,g.oB).length>0)).map((([t])=>t))}predict(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){const r=this.apiService.getPreds(n,this.model,this.appState.currentDataset,[g.oB]),a=yield this.loadLatest("predictionScores",r);if(null==a)return;const s=this.appState.metadata.models[this.model].spec.output,l=(0,v.Fe)(s,g.oB);for(const n of l){const r=`Feature: ${n} | Facet: ${t}`,s=a.map((t=>t[n])),l=this.summarize(s);l&&(this.summaries[r]=l,1===Object.keys(this.summaries).length&&(this.startsOpen=r))}}))}updateModelAttributions(){return(0,a.mG)(this,void 0,void 0,(function*(){if(this.enabled.model&&(yield this.predict(_,this.appState.currentInputData),this.enabled[T]&&(yield this.predict(T,this.selectionService.selectedInputData)),this.features.length))for(const[t,n]of Object.entries(this.facets))yield this.predict(t,n.data)}))}interpret(t,n,r){var s;return(0,a.mG)(this,void 0,void 0,(function*(){const a=`interpretations-${t}`,{configSpec:l}=this.appState.metadata.interpreters[t],d={};for(const[t,n]of Object.entries(l))if(n.default)d[t]=n.default;else{const r=n;(null===(s=r.vocab)||void 0===s?void 0:s.length)&&(d[t]=r.vocab[0])}const h=Object.assign({},d,this.settings.get(t)),p=this.apiService.getInterpretations(r,this.model,this.appState.currentDataset,t,h,`Running ${t}`),f=yield this.loadLatest(a,p);if(null==f||0===f.length)return;const{metaSpec:m}=this.appState.metadata.interpreters[t],{output:y}=this.appState.getModelSpec(this.model),b=Object.assign(Object.assign({},m),y),x=(0,v.Fe)(b,g.oB);for(const r of x)if(null!=f[0][r]){const a=f.map((t=>t[r])),s=`Interpreter: ${t} | Key: ${r} | Facet: ${n}`;this.summaries[s]=this.summarize(a),1===Object.keys(this.summaries).length&&(this.startsOpen=s)}}))}updateInterpreterAttributions(){return(0,a.mG)(this,void 0,void 0,(function*(){const t=this.salienceInterpreters.filter((t=>this.enabled[t]));for(const n of t)if(yield this.interpret(n,_,this.appState.currentInputData),this.enabled[T]&&(yield this.interpret(n,T,this.selectionService.selectedInputData)),this.features.length)for(const[t,r]of Object.entries(this.facets))yield this.interpret(n,t,r.data)}))}updateSummaries(){this.summaries={},this.updateModelAttributions(),this.updateInterpreterAttributions()}summarize(t){const n={},r=Object.keys(t[0].salience);for(const a of r){const r=t.map((t=>t.salience[a])),s=Math.min(...r),l=Math.max(...r),d=v.J6(r),h=v.C2(r);n[a]={min:s,median:h,max:l,mean:d}}return n}renderSecondaryControls(){const t=()=>{this.isColored=!this.isColored};return s.dy`
        ${this.facetingControl}
        <span style="felx: 1 1 auto;"></span>
        <lit-checkbox label="Heatmap" ?checked=${this.isColored}
                      @change=${()=>{t()}}>
        </lit-checkbox>`}renderPrimaryControls(){const t=t=>{this.enabled[t]=!this.enabled[t]},n=0===this.selectionService.selectedIds.length,r="Attribution is calculated for the entire dataset by default."+(n?" Make a selection to enable this checkbox.":"");return s.dy`
      <lit-checkbox label="Show attributions for selection"
                    title=${r} ?disabled=${n}
                    ?checked=${this.enabled[T]}
                    @change=${()=>{t(T)}}>
      </lit-checkbox>
      <span style="width: 16px;"></span>
      <span>Show attributions from:</span>
      ${this.salienceInterpreters.map((n=>s.dy`<lit-checkbox label=${n} ?checked=${this.enabled[n]}
                             @change=${()=>{t(n)}}>
               </lit-checkbox>`))}`}renderInterpreterControls(t){const{configSpec:n,description:r}=this.appState.metadata.interpreters[t],a=Object.assign({},n);for(const t of Object.values(a))t instanceof g.MK&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));return s.dy`
      <lit-interpreter-controls @interpreter-click=${n=>{this.settings.set(t,n.detail.settings),this.enabled[t]||(this.enabled[t]=!0)}}
                                .spec=${n} .name=${t}
                                .description=${r||""}
                                .opened=${this.enabled[t]}>
      </lit-interpreter-controls>`}renderColoredCell(t){const n=this.colorMap.textCmap(t),r=this.colorMap.bgCmap(t),a=(0,d.V)({width:"100%",height:"100%",position:"relative","text-align":"right",color:n,"background-color":r}),l=s.dy`<div style=${a}>${t.toFixed(4)}</div>`;return{value:t,template:l}}renderTable(t){const n=Object.entries(t).map((([t,n])=>{const{min:r,median:a,max:s,mean:l}=n;let d=[r,a,s,l];return this.isColored&&(d=d.map((t=>this.renderColoredCell(t)))),[t,...d]}));return s.dy`<lit-data-table .data=${n} .columnNames=${[{name:"field",rightAlign:!1},{name:"min",rightAlign:!0},{name:"median",rightAlign:!0},{name:"max",rightAlign:!0},{name:"mean",rightAlign:!0}]}
                                searchEnabled></lit-data-table>`}firstUpdated(){this.react((()=>[this.appState.currentInputData,this.features,this.model,Object.values(this.enabled)]),(()=>{this.updateSummaries()})),this.enabled.model=this.hasIntrinsicSalience,this.updateSummaries()}renderImpl(){const t=t=>this.colorMap.bgCmap(t);return t.domain=()=>this.colorMap.colorScale.domain(),s.dy`
      <div class='module-container'>
        <div class='module-toolbar'>${this.renderPrimaryControls()}</div>
        <div class='module-results-area'>
          <div class='side-navigation'>
            ${this.salienceInterpreters.map((t=>this.renderInterpreterControls(t)))}
          </div>
          <div class='main-content'>
            <div class='module-toolbar'>${this.renderSecondaryControls()}</div>
            <div class='module-results'>
              ${Object.keys(this.summaries).length||this.latestLoadPromises.size?null:s.dy`<div style="padding: 8px;">
                          Select a model or interpreter to show attributions.
                          Attributions are calculated from the entire dataset by
                          default, but can also be calculated for the selection
                          or any facets of the entire dataset. Faceting of
                          selections is not supported.
                        </div>`}
              ${Object.entries(this.summaries).map((([t,n])=>s.dy`
                  <div class="attribution-container">
                    <expansion-panel .label=${t}
                                     ?expanded=${t===this.startsOpen}>
                      ${this.renderTable(n)}
                    </expansion-panel>
                  </div>`))}
              ${this.latestLoadPromises.size?s.dy`<lit-spinner size=${24} color="var(--lit-cyea-400)">
                       </lit-spinner>`:null}
            </div>
          </div>
        </div>
        <div class="module-footer">
          <color-legend label="Salience" .scale=${t}
              .paletteTooltipText=${"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class, whereas a negaitve score (more pink) means the token influenced the model to not predict that class."}
              legendType=${m.H.SEQUENTIAL} numBlocks=${7}>
          </color-legend>
        </div>
      </div>`}};E.title="Tabular Feature Attribution",E.duplicateForExampleComparison=!1,E.duplicateAsRow=!0,E.template=(t,n,r)=>s.dy`
      <feature-attribution-module model=${t} .shouldReact=${r}
        selectionServiceIndex=${n}>
      </feature-attribution-module>`,(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],E.prototype,"startsOpen",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],E.prototype,"isColored",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Array)],E.prototype,"features",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],E.prototype,"bins",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],E.prototype,"settings",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],E.prototype,"summaries",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],E.prototype,"enabled",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],E.prototype,"facets",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],E.prototype,"hasIntrinsicSalience",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],E.prototype,"salienceInterpreters",null),E=S=(0,a.gn)([(0,l.Mo)("feature-attribution-module"),(0,a.w6)("design:paramtypes",[])],E)},2981:(t,n,r)=>{"use strict";var a,s=r(7582),l=r(5595),d=r(9392),h=r(8949),p=r(9604),f=r(4262),m=r(5889),g=(r(4915),r(7098));let v=a=class GeneratedImageModule extends p.p{static get styles(){const t=d.iv`
      .field-group {
        padding: 8px;
      }

      .field-title {
        color: var(--lit-bold-label-color);
      }

      .field-group a {
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: left;
      }`;return[m.W,t]}constructor(){super(),this.generatedImages={},(0,h.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection(t)}))}updateSelection(t){return(0,s.mG)(this,void 0,void 0,(function*(){if(this.generatedImages={},null==t)return;const n=this.appState.currentDataset,r=this.apiService.getPreds([t],this.model,n,[...a.supportedTypes,f.Ri],[],"Generating images"),s=yield this.loadLatest("generatedImages",r);null!==s&&(this.generatedImages=s[0])}))}renderImage(t,n){return d.dy`
      <div class='field-group'>
        <div class="field-title">${t}</div>
        ${Array.isArray(n)?n.map((t=>d.dy`<img src=${t}>`)):d.dy`<img src=${n}>`}
      </div>
    `}renderLink(t,n){return d.dy`
      <div class='field-group'>
        <div class="field-title">${t}</div>
        <a href=${n} target="_blank">${n}</a>
      </div>`}renderImpl(){const{output:t}=this.appState.getModelSpec(this.model);return d.dy`
      <div class='module-container'>
        <div class="module-results-area">
          ${Object.entries(this.generatedImages).map((([n,r])=>{const s=t[n];if((0,g.kL)(s,a.supportedTypes))return this.renderImage(n,r);if(s instanceof f.Ri){const{align:t}=s;if(null!=t&&t in this.generatedImages)return this.renderLink(n,r)}return null}))}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return(0,g.Rf)(t,a.supportedTypes)}};v.title="Generated Images",v.duplicateForExampleComparison=!0,v.duplicateAsRow=!0,v.template=(t,n,r)=>d.dy`
  <generated-image-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generated-image-module>`,v.supportedTypes=[f.sO,f.qQ],(0,s.gn)([h.LO.ref,(0,s.w6)("design:type",Object)],v.prototype,"generatedImages",void 0),v=a=(0,s.gn)([(0,l.Mo)("generated-image-module"),(0,s.w6)("design:paramtypes",[])],v)},8233:(t,n,r)=>{"use strict";var a=r(7582),s=(r(6196),r(5950)),l=r(9392),d=r(5595),h=r(8949),p=r(9604),f=r(1547),m=r(5806),g=r(4262),v=r(5889),y=(r(4915),r(7098));const b=l.iv`.module-toolbar {
  justify-content: space-between;
}

.diff-selector > * {
  cursor: pointer;
}

.switch-container-disabled {
  color: rgba(60, 64, 67, 0.38);
}
`;var x=r(5108);let w=class DiffSwitch extends s.j{static get styles(){return[...s.j.styles,l.iv`
      :not(.selected):not(.disabled) .label-left {
        color: #a93d00;
        font-weight: bold;
      }

      .selected:not(.disabled) .label-right {
        color: #129eaf;
        font-weight: bold;
      }
    `]}};w=(0,a.gn)([(0,d.Mo)("lit-diff-switch")],w);let S=class GeneratedTextModule extends p.p{static get styles(){return[v.W,f.W,b]}get referenceFields(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output,r=new Map,a=(0,y.Fe)(n,m.No);for(const s of a){const{parent:a}=n[s];a&&t[a]&&r.set(s,a)}return r}get referenceScoreFields(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output,r=new Map,a=(0,y.Fe)(n,g.pl);for(const s of a){const a=n[s].parent;a&&t[a]&&r.set(s,a)}return r}constructor(){super(),this.inputData=null,this.generatedText={},this.referenceScores={},this.diffMode=m.T9.NONE,this.invertDiffs=!1,(0,h.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection(t)}))}updateSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(this.inputData=null,this.generatedText={},this.referenceScores={},null==t)return;const n=this.appState.currentDataset,r=this.apiService.getPreds([t],this.model,n,[...m.No,g.pl],[],"Generating text"),a=yield this.loadLatest("generatedText",r);if(null===a)return;this.inputData=t.data;const s=this.appState.getModelSpec(this.model).output,l=a[0];for(const t of Object.keys(l))if(s[t]instanceof g.CP&&(this.generatedText[t]=[[l[t],null]]),s[t]instanceof g.hS&&(this.generatedText[t]=l[t]),s[t]instanceof g.pl){const n=this.referenceScoreFields.get(t);null!=n?this.referenceScores[n]=l[t]:x.log(`Ignoring ReferenceScores field '${t}' found with no parent in the dataset.`)}}))}renderToolbar(){if(!this.referenceFields.size)return null;const t=this.diffMode!==m.T9.NONE,n=t=>{this.diffMode=t.target.value};return l.dy`
      <div class='module-toolbar'>
        <div class="diff-selector">
          Highlight comparison:
          ${Object.values(m.T9).map((t=>l.dy`
            <input type="radio" name="diffSelect" value="${t}" id='diff${t}'
             ?checked=${t===this.diffMode} @change=${n}>
            <label for='diff${t}'>${t}</label>
          `))}
        </div>
        <lit-diff-switch labelLeft="Diffs" labelRight="Matches"
          ?selected=${this.invertDiffs}
          ?disabled=${!t}
          @change=${t?()=>{this.invertDiffs=!this.invertDiffs}:null}>
        </lit-diff-switch>
      </div>
    `}renderOutputGroup(t){var n;const r=null!=t.generated?this.generatedText[t.generated]:[],a=t.reference;let s=null!=a?null===(n=this.inputData)||void 0===n?void 0:n[a]:[];if(void 0!==a){this.appState.getModelSpec(this.model).input[a]instanceof g.my||(s=[[s,null]])}const d=null!=t.referenceModelScores?this.referenceScores[t.referenceModelScores]:[];return l.dy`
      <generated-text-vis .fieldName=${t.generated}
                          .candidates=${r}
                          .referenceFieldName=${a}
                          .referenceTexts=${s}
                          .referenceModelScores=${d}
                          .diffMode=${this.diffMode}
                          ?highlightMatch=${this.invertDiffs}>
      </generated-text-vis>
    `}renderImpl(){const t=new Set(Object.keys(this.referenceScores)),n=[];for(const r of Object.keys(this.generatedText)){const a={generated:r,reference:this.referenceFields.get(r)};null!=a.reference&&null!=this.referenceScores[a.reference]&&(a.referenceModelScores=a.reference,t.delete(a.reference)),n.push(a)}for(const r of t)n.push({reference:r,referenceModelScores:r});return l.dy`
      <div class='module-container'>
        ${this.renderToolbar()}
        <div class="module-results-area">
          ${n.map((t=>this.renderOutputGroup(t)))}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){return(0,y.Rf)(t,m.No)}};S.title="Generated Text",S.duplicateForExampleComparison=!0,S.duplicateAsRow=!1,S.template=(t,n,r)=>l.dy`
  <generated-text-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generated-text-module>`,(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],S.prototype,"inputData",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],S.prototype,"generatedText",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],S.prototype,"referenceScores",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],S.prototype,"diffMode",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],S.prototype,"invertDiffs",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Map),(0,a.w6)("design:paramtypes",[])],S.prototype,"referenceFields",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Map),(0,a.w6)("design:paramtypes",[])],S.prototype,"referenceScoreFields",null),S=(0,a.gn)([(0,d.Mo)("generated-text-module"),(0,a.w6)("design:paramtypes",[])],S)},4208:(t,n,r)=>{"use strict";var a=r(7582),s=(r(3539),r(1800),r(1239),r(7924)),l=r(9392),d=r(5595),h=r(8949),p=r(3506),f=r(9604),m=(r(6645),r(4262)),g=r(5889),v=r(4915),y=r(7098),b=r(7190),x=r(9410);const w=l.iv`.generator-module-content {
  display: flex;
  flex-direction: row;
  overflow: hidden;
}

.generators-panel {
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  flex-grow: 0;
  flex-shrink: 0;
  overflow-y: auto;
  width: 400px;
}

.results-holder {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  overflow-y: auto;
  margin-left: 4px;
}

.generators-panel .label {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
}

.generators-panel.visible {
  display: block;
}

.generator-control {
  display: flex;
  flex-direction: row;
}

.input-label {
  margin-right: 4px;
  padding: 10px;
}

.input-box {
  width: 95%;
}

.overall-controls {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}

.slice-name-input {
  margin-left: 4px;
  width: 250px;
}

.select-all {
  color: #1a73e8;
  text-decoration: underline;
  cursor: pointer;
}
`;let S=class GeneratedRowControls extends s.G{static get styles(){return[g.W,w,l.iv`
            :host {
              display: flex;
              flex-direction: row;
              color: #1a73e8;
            }
            :host > * {
              margin-right: 4px;
            }
            `]}render(){return l.dy`
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("add-point");this.dispatchEvent(t)}}>
        add_box
      </mwc-icon>
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("remove-point");this.dispatchEvent(t)}}>
        delete
      </mwc-icon>
    `}};S=(0,a.gn)([(0,d.Mo)("generated-row-controls")],S);let _=class GeneratorModule extends f.p{static get styles(){return[g.W,w]}get datasetName(){return this.appState.currentDataset}get modelName(){return this.appState.currentModels[0]}get globalParams(){return{model_name:this.modelName,dataset_name:this.datasetName}}get totalNumGenerated(){return this.generated.reduce(((t,n)=>t+n.length),0)}constructor(){super(),this.groupService=p.l.getService(b.l),this.sliceService=p.l.getService(x.qG),this.isGenerating=!1,this.generated=[],this.appliedGenerator=null,this.sliceName="",(0,h.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.selectionService.lastUser!==this&&this.resetEditedData()})),this.react((()=>this.totalNumGenerated),(t=>{t<=0&&this.resetEditedData()}))}resetEditedData(){this.generated=[],this.appliedGenerator=null,this.sliceName=""}handleGeneratorClick(t,n){this.isGenerating||(this.resetEditedData(),this.generate(t,this.modelName,n))}makeAutoSliceName(t,n){const r=[t],{globalParams:a}=this;if(null!=n)for(const[t,s]of Object.entries(n))Object.hasOwn(a,t)||r.push(`${t}=${s}`);return r.join(":")}generate(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){this.isGenerating=!0,this.appliedGenerator=t;const a=this.selectionService.selectedInputData;try{const s=yield this.apiService.getGenerated(a,n,this.appState.currentDataset,t,r);for(const t of s)for(const n of t)Object.assign(n.meta,{added:1});this.generated=s,this.isGenerating=!1,this.sliceName=this.makeAutoSliceName(t,r)}catch(t){this.isGenerating=!1}}))}createNewDatapoints(t){return(0,a.mG)(this,void 0,void 0,(function*(){const n=yield this.appState.annotateNewData((0,y.xH)(t));this.appState.commitNewDatapoints(n);const r=n.map((t=>t.id));if(0===r.length)return;""!==this.sliceName&&this.sliceService.addOrAppendToSlice(this.sliceName,r);const a=new Set(n.map((t=>t.meta.parentId)));if(this.selectionService.selectIds([...a,...r],this),this.selectionService.setPrimarySelection(r[0],this),this.appState.compareExamplesEnabled){const t=p.l.getService(x.z2,"pinned");t.selectIds([...a,...r],this);const s=n[0].meta.parentId;t.setPrimarySelection(s,this)}}))}renderImpl(){return l.dy`
      <div class="module-container">
        <div class="module-content generator-module-content">
          ${this.renderGeneratorButtons()}
          ${this.renderGenerated()}
        </div>
        <div class="module-footer">
          <p class="module-status">${this.getStatus()}</p>
          <p class="module-status">${this.getSliceStatus()}</p>
          ${this.renderOverallControls()}
        </div>
      </div>
    `}getSliceStatus(){if(!this.sliceService.namedSlices.has(this.sliceName))return null;const t=this.sliceService.getSliceByName(this.sliceName).length,n=1===t?"":"s";return l.dy`
       Slice exists (${t} point${n});
       will append ${this.totalNumGenerated} more.
    `}getStatus(){if(this.isGenerating)return"Generating...";if(this.appliedGenerator){const t=1===this.totalNumGenerated?"":"s";return`\n        ${this.appliedGenerator}: generated ${this.totalNumGenerated}\n        counterfactual${t} from ${this.generated.length} inputs.\n      `}const t=this.appState.metadata.generators;if(!Object.keys(t).length)return"No generator components available.";const n=this.selectionService.selectedInputData,r=()=>{this.selectionService.selectAll()};if(n.length<=0)return l.dy`
          No examples selected.
          <span class='select-all' @click=${r}>
            Select entire dataset?
          </span>`;const a=1===n.length?"":"s";return`\n      Generate counterfactuals from current selection\n      (${n.length} datapoint${a}).\n    `}renderInterstitial(){return l.dy`
      <lit-interstitial headline="Counterfactual Generators">
        Create new datapoints derived from the current selection.
      </lit-interstitial>`}renderEmptyNotice(){return l.dy`
      <lit-interstitial>
        No examples generated.
      </lit-interstitial>`}renderGenerated(){const t=this.createEntries();return this.appliedGenerator?t.length<=0?this.isGenerating?null:this.renderEmptyNotice():l.dy`
      <div class="results-holder">
        <lit-data-table class="table"
            .columnNames=${Object.keys(t[0])}
            .data=${t}
            exportEnabled
        ></lit-data-table>
      </div>
    `:this.renderInterstitial()}createEntries(){const t=[];for(let n=0;n<this.generated.length;n++){const r=this.generated[n];for(let s=0;s<r.length;s++){const d=r[s],h=()=>(0,a.mG)(this,void 0,void 0,(function*(){this.generated[n].splice(s,1),yield this.createNewDatapoints([[d]])})),p=()=>{this.generated[n].splice(s,1)},f=Object.keys(d.data).filter((t=>"_id"!==t&&"_meta"!==t)),m={};for(const t of f){const n=!this.appState.currentModelRequiredInputSpecKeys.includes(t);m[t]=n?this.renderEntry(d.data,t):d.data[t]}m["Add/Remove"]=l.dy`<generated-row-controls
                                @add-point=${h}
                                @remove-point=${p} />`,t.push(m)}}return t}renderOverallControls(){const t=()=>(0,a.mG)(this,void 0,void 0,(function*(){yield this.createNewDatapoints(this.generated),this.resetEditedData()})),n=this.totalNumGenerated<=0;return l.dy`
      <div class="overall-controls">
        <label for="slice-name">Slice name:</label>
        <input type="text" class="slice-name-input" name="slice-name"
         .value=${this.sliceName} @input=${t=>{this.sliceName=t.target.value}}
         placeholder="Name for generated set">
        <button class="hairline-button" ?disabled=${n}
           @click=${t}>
           Add all
        </button>
        <button class='hairline-button'
          @click=${()=>(0,a.mG)(this,void 0,void 0,(function*(){this.appState.compareExamplesEnabled=!0,yield t()}))} ?disabled=${n}>
          Add and compare
        </button>
        <button class="hairline-button" ?disabled=${n}
           @click=${()=>{this.resetEditedData()}}>
           Clear
        </button>
      </div>`}renderGeneratorButtons(){const t=this.appState.metadata.generators,n=Object.keys(t),r=t=>{const n=t.detail.settings,r=t.detail.name,a=Object.assign({},this.globalParams,n);this.handleGeneratorClick(r,a)};return l.dy`
        <div class="generators-panel">
          ${n.map((n=>{const a=t[n].configSpec,s=(0,y.o8)(a),d=t[n].description;for(const t of Object.values(s))t instanceof m.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.modelName));return l.dy`
                <lit-interpreter-controls
                  .spec=${s}
                  .name=${n}
                  .description=${d||""}
                  @interpreter-click=${r}>
                </lit-interpreter-controls>`}))}
        </div>
    `}renderEntry(t,n){const r=t[n],a=this.groupService.categoricalFeatureNames.includes(n),s=r=>{t[n]=r.target.value};return a?(()=>{const t=this.groupService.categoricalFeatures[n];return{template:l.dy`
          <select class="dropdown" @change=${s}>
            ${t.map((t=>l.dy`
                <option value="${t}" ?selected=${t===r}>
                  ${t}
                </option>`))}
          </select>`,value:r}})():(()=>{const t=this.appState.currentDatasetSpec[n],a=[m.k6,m.hW],d=(0,v.E9)(r,t).toString();return(0,y.kL)(t,a)?d:{template:l.dy`<input type="text" class="input-box"
            @input=${s}
            .value="${d}" />`,value:d}})()}static shouldDisplayModule(t,n){return!0}};_.title="Datapoint Generator",_.infoMarkdown="Automatically generate counterfactuals using various techniques.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#generators)",_.numCols=10,_.template=(t,n,r)=>l.dy`
  <generator-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </generator-module>`,_.duplicateForModelComparison=!1,(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"isGenerating",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Array)],_.prototype,"generated",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],_.prototype,"appliedGenerator",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"sliceName",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"datasetName",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"modelName",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"globalParams",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"totalNumGenerated",null),_=(0,a.gn)([(0,d.Mo)("generator-module"),(0,a.w6)("design:paramtypes",[])],_)},5309:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5950),r(6353),r(4424),r(9392)),l=r(5595),d=r(8949),h=r(9604),p=r(7146),f=r(6070),m=r(5806),g=(r(4262),r(5889)),v=(r(4915),r(7098));const y=s.iv`table.field-table {
  --border-spacing: 8px;
  width: calc(100% - var(--border-spacing));
  min-width: calc(100% - var(--border-spacing));
  border-spacing: var(--border-spacing);
}

table.field-table th {
  vertical-align: top;
  text-align: start;
}

lit-numeric-input {
  max-width: 200px;
}

.subfield-title {
  padding-top: 6px; /* align title with first row of content */
}

/**
 * Module controls
 */
.module-results-area {
  overflow-x: clip;
}

.module-toolbar {
  border-bottom: 1px solid #dadce0;
  box-sizing: border-box;
  justify-content: space-between;
}

.module-footer {
  justify-content: space-between;
}

.controls-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0 4px;
}

.controls-group > * {
  margin: 0 2px;
}

/* Allow dropdown area to grow, but not to cause line wrapping. */
.controls-group-variable {
  flex: 1;
  overflow-x: clip;
  margin-right: 8px;
}

.controls-group-variable .dropdown {
  max-width: 100%;
}

.vertical-separator {
  background: #dadce0;
  width: 2px;
  height: 1.2rem;
  padding: 0;
  margin: 0 8px;
}

color-legend {
  margin-right: 16px;
}

.gamma-value {
  min-width: 32px;
}

.module-footer > * { min-width: 0; }

.controls-group > * { min-width: 0; }
`;var b;!function(t){t.NORMALIZE="normalize",t.MAX_LOCAL="max_local",t.MAX_GLOBAL="max_global"}(b||(b={}));let x=class LegacySequenceSalienceModule extends h.p{static get styles(){return[g.W,y]}get salienceSpecInfo(){var t,n;return null!==(n=null===(t=this.appState.metadata.interpreters.sequence_salience)||void 0===t?void 0:t.metaSpec)&&void 0!==n?n:{}}get cmap(){return null!=this.selectedSalienceField&&this.salienceSpecInfo[this.selectedSalienceField].signed?new f.kh(this.cmapGamma):new f.zT(this.cmapGamma)}get salienceTargetOptions(){const t=this.appState.currentDatasetSpec,n=this.appState.getModelSpec(this.model).output;return(0,m.sQ)(t,n,this.currentData,this.currentPreds)}constructor(){super(),this.currentData=void 0,this.currentPreds=void 0,this.salienceTarget=void 0,this.currentSalience={},this.selectedSalienceField=void 0,this.focusState=void 0,this.cmapGamma=2,this.cmapScalingMode=b.NORMALIZE,this.denseView=!1,(0,d.rC)(this)}firstUpdated(){void 0===this.selectedSalienceField&&(this.selectedSalienceField=Object.keys(this.salienceSpecInfo)[0]);this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>(0,a.mG)(this,void 0,void 0,(function*(){this.focusState=void 0,yield this.updateToSelection(t),this.salienceTarget=this.salienceTargetOptions[0].text})))),this.reactImmediately((()=>this.salienceTarget),(t=>{this.updateSalience(this.currentData,t)}))}updateToSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(this.currentPreds=void 0,null==t)return void(this.currentData=void 0);this.currentData=t;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,m.No,[],"Getting targets from model prediction"),r=yield this.loadLatest("generationResults",n);if(null===r)return;const a=this.appState.getModelSpec(this.model).output,s=(0,m.ii)(r[0],a);this.currentData=t,this.currentPreds=s}))}updateSalience(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==t||null==n)return void(this.currentSalience={});this.currentSalience={};const r={target_text:[n]},a=this.apiService.getInterpretations([t],this.model,this.appState.currentDataset,"sequence_salience",r,"Computing sequence salience"),s=yield this.loadLatest("salience",a);null!==s&&(this.currentSalience=s[0])}))}renderField(t){var n,r;const a=this.currentSalience[t],l=null!==(r=null===(n=this.focusState)||void 0===n?void 0:n.idx)&&void 0!==r?r:-1,d=this.cmap,h=l>-1?a.salience[l]:[...a.salience[0]].fill(0);let p=1;if(this.cmapScalingMode===b.NORMALIZE)p=(0,v.P0)(h.map(Math.abs));else if(this.cmapScalingMode===b.MAX_LOCAL)p=Math.max(...h.map(Math.abs));else if(this.cmapScalingMode===b.MAX_GLOBAL){const t=a.salience.map((t=>Math.max(...t.map(Math.abs))));p=Math.max(...t)}const f=p>0?h.map((t=>t/p)):h,m=t=>{var n;(null===(n=this.focusState)||void 0===n?void 0:n.sticky)||(this.focusState={idx:t,sticky:!1})},g=()=>{var t;(null===(t=this.focusState)||void 0===t?void 0:t.sticky)||(this.focusState=void 0)},y=(t,n)=>{var r,a;n.stopPropagation(),(null===(r=this.focusState)||void 0===r?void 0:r.idx)===t&&(null===(a=this.focusState)||void 0===a?void 0:a.sticky)?this.focusState=void 0:this.focusState={idx:t,sticky:!0}},x=a.tokens_in.map(((t,n)=>({token:t,weight:f[n],disableHover:-1===l}))),w=a.tokens_out.map(((t,n)=>{var r;return{token:t,weight:f[n+a.tokens_in.length],selected:n===l,pinned:n===l&&!0===(null===(r=this.focusState)||void 0===r?void 0:r.sticky),onClick:t=>{y(n,t)},onMouseover:()=>{m(n)},onMouseout:g}}));return s.dy`
      <div class='field-group'>
        <table class='field-table'>
          <tr>
            <th><div class='subfield-title'>Source</div></th>
            <td><div>
              <lit-token-chips ?dense=${this.denseView}
                .tokensWithWeights=${x}
                .cmap=${d}>
              </lit-token-chips>
            </div></td>
          </tr>
          <tr>
            <th><div class='subfield-title'>Target</div></th>
            <td><div>
              <lit-token-chips ?dense=${this.denseView}
                .tokensWithWeights=${w}
                .cmap=${d}>
              </lit-token-chips>
            </div></td>
          </tr>
        </table>
      </div>
    `}renderContent(){return this.currentData?void 0===this.selectedSalienceField?null:this.currentSalience[this.selectedSalienceField]?this.renderField(this.selectedSalienceField):null:null}renderHeaderControls(){return s.dy`
      <div class="controls-group controls-group-variable" title="Target string for salience.">
        <label class="dropdown-label">Target:</label>
        <select class="dropdown" @change=${t=>{this.salienceTarget=t.target.value}}>
          ${this.salienceTargetOptions.map((t=>s.dy`<option value=${t.text}
                  ?selected=${t.text===this.salienceTarget}>
                   (${t.source}) "${t.text}"
                 </option>`))}
        </select>
      </div>
      <div class="controls-group">
        <div title="Type of salience map to use.">
          <label class="dropdown-label">Method:</label>
          <select class="dropdown" @change=${t=>{this.selectedSalienceField=t.target.value}}>
            ${Object.keys(this.salienceSpecInfo).map((t=>s.dy`<option value=${t} ?selected=${t===this.selectedSalienceField}>
                     ${t}
                   </option>`))}
          </select>
        </div>
        <div title="Method to scale raw values for display.">
          <label class="dropdown-label">Scaling:</label>
          <select class="dropdown" @change=${t=>{this.cmapScalingMode=t.target.value}}>
            ${Object.values(b).map((t=>s.dy`<option value=${t} ?selected=${t===this.cmapScalingMode}>
                     ${t}
                   </option>`))}
          </select>
        </div>
      </div>
    `}renderColorLegend(){const t=this.cmap,n=t instanceof f.kh,r=n?"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class, whereas a negaitve score (more pink) means the token influenced the model to not predict that class.":"Salience is relative to the model's prediction of a class. A larger score (more purple) for a token means that token was more influential on the model's prediction of that class.";return s.dy`
      <color-legend legendType=${p.H.SEQUENTIAL}
        label=${"Token Salience"}
        alignRight
        .scale=${t.asScale()}
        numBlocks=${n?7:5}
        .paletteTooltipText=${r}>
      </color-legend>`}renderFooterControls(){return s.dy`
      <div class="controls-group">
        <lit-switch labelLeft="Dense view"
              ?selected=${this.denseView}
              @change=${()=>{this.denseView=!this.denseView}}>
        </lit-switch>
      </div>
      <div class="controls-group">
        ${this.renderColorLegend()}
        <label for="gamma-slider">Gamma:</label>
        <lit-numeric-input min="0.25" max="6" step="0.25"
          value="${this.cmapGamma}" @change=${t=>{this.cmapGamma=+t.target.value}}>
        </lit-numeric-input>
      </div>`}renderImpl(){return s.dy`
      <div class="module-container">
        <div class="module-toolbar">
          ${this.renderHeaderControls()}
        </div>
        <div class="module-results-area"
         @click=${()=>{var t;(null===(t=this.focusState)||void 0===t?void 0:t.sticky)&&(this.focusState=void 0)}}>
          ${this.renderContent()}
        </div>
        <div class="module-footer">
          ${this.renderFooterControls()}
        </div>
      </div>
    `}static shouldDisplayModule(t,n){for(const n of Object.values(t))if(-1!==n.interpreters.indexOf("sequence_salience"))return!0;return!1}};x.title="Sequence Salience (legacy)",x.duplicateForExampleComparison=!0,x.duplicateForModelComparison=!0,x.numCols=4,x.template=(t,n,r)=>s.dy`
  <legacy-sequence-salience-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </legacy-sequence-salience-module>`,(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"currentData",void 0),(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"currentPreds",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",String)],x.prototype,"salienceTarget",void 0),(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"currentSalience",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",String)],x.prototype,"selectedSalienceField",void 0),(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"focusState",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],x.prototype,"cmapGamma",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",String)],x.prototype,"cmapScalingMode",void 0),(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],x.prototype,"denseView",void 0),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],x.prototype,"salienceSpecInfo",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],x.prototype,"cmap",null),(0,a.gn)([d.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],x.prototype,"salienceTargetOptions",null),x=(0,a.gn)([(0,l.Mo)("legacy-sequence-salience-module"),(0,a.w6)("design:paramtypes",[])],x)},593:(t,n,r)=>{"use strict";var a,s,l=r(7582),d=r(9392),h=r(5595),p=r(3959),f=r(8949),m=r(3506),g=(r(482),r(9604)),v=r(6645),y=r(4262),b=r(5889),x=(r(4915),r(696),r(7190)),w=r(9410);!function(t){t.DATASET="dataset",t.SELECTION="selection",t.SLICE="slice"}(s||(s={}));let S=a=class MetricsModule extends g.p{static get styles(){return[b.W]}constructor(){super(),this.sliceService=m.l.getService(w.qG),this.groupService=m.l.getService(x.l),this.classificationService=m.l.getService(w.c1),this.facetingControl=document.createElement("faceting-control"),this.selectedFacetBins={},this.metricsMap={},this.facetBySlice=!1,this.selectedFacets=[],this.pendingCalls=0,(0,f.rC)(this);this.facetingControl.contextName=a.title,this.facetingControl.addEventListener("facets-change",(t=>{this.selectedFacets=t.detail.features,this.selectedFacetBins=t.detail.bins,this.updateAllFacetedMetrics()}))}connectedCallback(){super.connectedCallback(),this.react((()=>this.appState.currentInputData),(()=>{this.metricsMap={},this.addMetrics(this.appState.currentInputData,s.DATASET),this.updateAllFacetedMetrics()})),this.react((()=>this.classificationService.allMarginSettings),(()=>{this.addMetrics(this.appState.currentInputData,s.DATASET),this.addMetrics(this.selectionService.selectedInputData,s.SELECTION),this.updateAllFacetedMetrics()})),this.react((()=>this.sliceService.sliceNames),(()=>{this.facetBySlice=!0,this.updateSliceMetrics()})),this.react((()=>this.selectionService.selectedInputData),(()=>{Object.keys(this.metricsMap).forEach((t=>{this.metricsMap[t].source===s.SELECTION&&delete this.metricsMap[t]})),this.selectionService.lastUser!==this&&(null!=this.table&&(this.table.primarySelectedIndex=-1,this.table.selectedIndices=[]),this.selectionService.selectedInputData.length>0&&this.addMetrics(this.selectionService.selectedInputData,s.SELECTION))})),this.addMetrics(this.appState.currentInputData,s.DATASET),this.addMetrics(this.selectionService.selectedInputData,s.SELECTION),this.updateAllFacetedMetrics()}addMetrics(t,n,r,a){return(0,l.mG)(this,void 0,void 0,(function*(){const{currentModels:s}=this.appState,d=yield Promise.all(s.map((n=>(0,l.mG)(this,void 0,void 0,(function*(){return this.getMetrics(t,n)})))));let h=null!=a?a:n.toString();null!=r&&(h+=" (faceted)"),d.forEach(((a,l)=>{Object.entries(a).forEach((([a,d])=>{d.forEach((d=>{const p=this.getRowKey(s[l],h,d.pred_key,r);null==this.metricsMap[p]&&(this.metricsMap[p]={model:s[l],selection:h,exampleIds:t.map((t=>t.id)),predKey:d.pred_key,headMetrics:{},facets:r,source:n}),this.metricsMap[p].exampleIds=t.map((t=>t.id)),this.metricsMap[p].headMetrics[a]=d.metrics}))}))}))}))}getRowKey(t,n,r,a){let s="";if(null!=a)for(const t of Object.values(a))s+=`${t.displayVal}-`;return`${t}-${n}-${r}-${s}`}updateFacetedMetrics(t,n){if(this.selectedFacets.length>0){const r=this.groupService.groupExamplesByFeatures(this.selectedFacetBins,t,this.selectedFacets),a=n?s.SELECTION:s.DATASET;Object.keys(r).forEach((t=>{this.addMetrics(r[t].data,a,r[t].facets)}))}}updateAllFacetedMetrics(){Object.keys(this.metricsMap).forEach((t=>{null!=this.metricsMap[t].facets&&delete this.metricsMap[t]})),this.selectedFacets.length>0&&this.updateFacetedMetrics(this.appState.currentInputData,!1)}updateSliceMetrics(){Object.keys(this.metricsMap).forEach((t=>{this.metricsMap[t].source===s.SLICE&&delete this.metricsMap[t]})),this.facetBySlice&&this.sliceService.sliceNames.forEach((t=>{const n=this.sliceService.getSliceDataByName(t);n.length>0&&this.addMetrics(n,s.SLICE,void 0,t)}))}getMetrics(t,n){return(0,l.mG)(this,void 0,void 0,(function*(){const{currentDataset:r}=this.appState,{metrics:a,datasets:s}=this.appState.metadata.models[n];if(!s.includes(r))return Promise.resolve({});this.pendingCalls+=1;const l=a.length?a.join(","):"",d=this.classificationService.getMargins(n);let h;if(t.length)try{h=yield this.apiService.getMetrics(t,n,r,l,d)}catch(t){h={}}else h={};return this.pendingCalls-=1,h}))}get tableData(){const{currentModels:t}=this.appState,n=this.appState.metadata.metrics;if(0===Object.keys(n).length)return{header:[],data:[]};const r=[],a=new Map;Object.values(this.metricsMap).forEach((t=>{Object.entries(t.headMetrics).forEach((([t,r])=>{const{metaSpec:s}=n[t];Object.entries(r).forEach((([n,r])=>{const l=function(t,n){return`${t}: ${n}`}(t,n),d=a.get(l),h=s[n];if(!(h instanceof y.fv))return;const p=h.best_value,f=!a.has(l),m=p===y.C4.HIGHEST&&d<r,g=p===y.C4.LOWEST&&d>r,v=p===y.C4.ZERO&&Math.abs(d)>Math.abs(r);null!=p&&(f||m||g||v)&&a.set(l,p===y.C4.NONE?1/0:r)}))}))}));const s=[...a.keys()],l=Object.values(this.metricsMap).filter((n=>t.some((t=>t===n.model))));for(const t of l){const n=s.map((n=>{const[r,s]=n.split(": ");if(null==t.headMetrics[r])return"-";const l=t.headMetrics[r][s];if(null==l)return"-";const h=l===a.get(n),f="number"!=typeof l||Number.isInteger(l)?l:l.toFixed(3),m=(0,p.V)({"font-weight":h?"bold":"normal"});return d.dy`<span style=${m}>${f}</span>`})),l=this.selectedFacets.map((n=>t.facets&&t.facets[n]?t.facets[n].displayVal:"-")),h=[t.model,t.selection,...l,t.predKey,t.exampleIds.length,...n];r.push(h)}const h=s.map((t=>{const[r,a]=t.split(": "),s=n[r].metaSpec[a],[l,h]=t.split(": ");return{name:t,html:d.dy`<div slot="tooltip-anchor" class="header-text">
          ${l}<br>${h}
        </div>`,rightAlign:!0,tooltip:s.description,tooltipWidth:200,width:100}}));return{header:["Model","From",...this.selectedFacets,"Field","N",...h],data:r}}renderImpl(){return d.dy`
      <div class="module-container">
        <div class='module-toolbar'>
          ${this.renderFacetSelector()}
        </div>
        <div class='module-results-area'>
          ${this.renderTable()}
        </div>
      </div>
    `}renderTable(){const t=t=>{if(null==this.table)return;const n=this.table.primarySelectedIndex;if(n<0)return this.selectionService.selectIds([],this),void(this.table.selectedIndices=[]);const r=Object.values(this.metricsMap)[n],a=r.exampleIds;r.source!==s.SELECTION?(this.selectionService.selectIds(a,this),this.table.selectedIndices=[n]):(this.table.primarySelectedIndex=-1,this.table.selectedIndices=[])};return d.dy`
      <lit-data-table id="metrics-table"
        .columnNames=${this.tableData.header}
        .data=${this.tableData.data}
        selectionEnabled
        .onSelect=${n=>{t()}}
      ></lit-data-table>
    `}renderFacetSelector(){const t=this.sliceService.areAllSlicesEmpty();return d.dy`
      <lit-checkbox label="Show slices"
        ?checked=${this.facetBySlice}
        @change=${t=>{this.facetBySlice=!this.facetBySlice,this.updateSliceMetrics()}}
        ?disabled=${t}>
      </lit-checkbox>
      ${this.facetingControl}
      ${this.pendingCalls>0?this.renderSpinner():null}
    `}renderSpinner(){return d.dy`
      <lit-spinner size=${24} color="var(--app-secondary-color)">
      </lit-spinner>
    `}static shouldDisplayModule(t,n){return Object.values(t).some((t=>t.metrics.length))}};S.title="Metrics",S.numCols=6,S.template=(t,n,r)=>d.dy`
  <metrics-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </metrics-module>`,S.duplicateForModelComparison=!1,(0,l.gn)([f.LO.ref,(0,l.w6)("design:type",Object)],S.prototype,"selectedFacetBins",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],S.prototype,"metricsMap",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],S.prototype,"facetBySlice",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Array)],S.prototype,"selectedFacets",void 0),(0,l.gn)([f.LO,(0,l.w6)("design:type",Object)],S.prototype,"pendingCalls",void 0),(0,l.gn)([(0,h.IO)("#metrics-table"),(0,l.w6)("design:type",v.w)],S.prototype,"table",void 0),(0,l.gn)([f.Fl,(0,l.w6)("design:type",Object),(0,l.w6)("design:paramtypes",[])],S.prototype,"tableData",null),S=a=(0,l.gn)([(0,h.Mo)("metrics-module"),(0,l.w6)("design:paramtypes",[])],S)},3732:(t,n,r)=>{"use strict";var a=r(7582),s=(r(2637),r(5595)),l=r(9392),d=r(8949),h=r(3506),p=r(9604),f=(r(6645),r(4262)),m=r(4915),g=r(7098),v=r(9410);const y=l.iv`.top-holder {
  display: flex;
  flex-direction: column;
  height: 100%;
}

.table-holder {
  flex: 1 1 0%;
  overflow-y: auto;
}
`;var b=r(5889);let x=class MultilabelModule extends p.p{static get styles(){return[b.W,y]}constructor(){super(),this.resultsInfo={},this.datapoints=[],this.groundTruthLabels=new Set,this.maxValues={},(0,d.rC)(this)}firstUpdated(){this.react((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateSelection()})),this.react((()=>this.appState.compareExamplesEnabled),(t=>{this.updateSelection()})),this.updateSelection()}updateSelection(){return(0,a.mG)(this,void 0,void 0,(function*(){if(null===this.selectionService.primarySelectedInputData)return void(this.resultsInfo={});const t=h.l.getServiceArray(v.z2),n=[];for(const r of t){const t=r.primarySelectedInputData;if(null!=t&&n.push(t),!this.appState.compareExamplesEnabled)break}this.datapoints=n;const r=this.appState.currentModels,s=yield Promise.all(r.map((t=>(0,a.mG)(this,void 0,void 0,(function*(){return this.apiService.getPreds(n,t,this.appState.currentDataset,[f.rQ])})))));if(null===s)return void(this.resultsInfo={});this.groundTruthLabels.clear();for(const t of r){const{output:n}=this.appState.getModelSpec(t),r=(0,g.Fe)(n,f.rQ);for(const t of r){const r=n[t].parent;null!=r&&this.groundTruthLabels.add(r)}}this.maxValues={};const l={};for(let t=0;t<s.length;t++)for(let n=0;n<s[t].length;n++)for(const a of Object.keys(s[t][n])){null==l[a]&&(l[a]={});const d=s[t][n][a];for(const h of d){const d=h[0],p=h[1];null==l[a][d]&&(l[a][d]={});let f=`${r[t]}`;s[t].length>1&&(f+=0===n?" selected":" pinned"),l[a][d][f]=p,null==this.maxValues[a]&&(this.maxValues[a]=0),p>this.maxValues[a]&&(this.maxValues[a]=p)}}this.resultsInfo=l}))}renderImpl(){const t=Object.keys(this.resultsInfo);return l.dy`
        <div class="top-holder">
          ${t.map((t=>this.renderTable(t,this.resultsInfo[t])))}
        </div>
    `}renderBar(t,n){return{template:l.dy`
          <score-bar score=${t} maxScore=${n}></score-bar>`,value:t}}renderTable(t,n){const r=[`${t} class`];for(let t=0;t<this.datapoints.length;t++)for(const n of this.groundTruthLabels){let a=n;this.datapoints.length>1&&(a+=0===t?" selected":" pinned"),r.push(a)}const a=new Set;for(const t of Object.values(n))for(const n of Object.keys(t))a.add(n);const s=Array.from(a.values());for(let t=0;t<s.length;t++){const n=s[t];r.push(n),t>0&&r.push(n+" Δ")}const d=Math.ceil(this.maxValues[t]),h=Object.keys(n).map((t=>{const r=[t];for(let n=0;n<this.datapoints.length;n++){const a=this.datapoints[n];for(const n of this.groundTruthLabels.keys())r.push((0,m.eb)(a.data[n].includes(t)))}let a=0;for(let l=0;l<s.length;l++){const h=s[l],p=null==n[t][h]?0:n[t][h];if(r.push(this.renderBar(p,d)),0===l)a=p;else{const t=p-a;r.push(t.toFixed(3))}}return r}));return l.dy`
        <div class="table-holder">
          <lit-data-table
            .columnNames=${r}
            .data=${h}
            searchEnabled
          ></lit-data-table>
        </div>`}static shouldDisplayModule(t,n){return(0,g.Rf)(t,f.rQ)}};x.title="Multilabel Results",x.duplicateForModelComparison=!1,x.numCols=3,x.template=(t,n,r)=>l.dy`
  <multilabel-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </multilabel-module>`,(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"resultsInfo",void 0),x=(0,a.gn)([(0,s.Mo)("multilabel-module"),(0,a.w6)("design:paramtypes",[])],x)},6402:(t,n,r)=>{"use strict";var a=r(7582),s=(r(940),r(2396),r(5595)),l=r(9392),d=r(3692),h=r(4232),p=r(875);const f=(t,n)=>{var r,a;const s=t._$AN;if(void 0===s)return!1;for(const t of s)null===(a=(r=t)._$AO)||void 0===a||a.call(r,n,!1),f(t,n);return!0},m=t=>{let n,r;do{if(void 0===(n=t._$AM))break;r=n._$AN,r.delete(t),t=n}while(0===(null==r?void 0:r.size))},g=t=>{for(let n;n=t._$AM;t=n){let r=n._$AN;if(void 0===r)n._$AN=r=new Set;else if(r.has(t))break;r.add(t),b(n)}};function v(t){void 0!==this._$AN?(m(this),this._$AM=t,g(this)):this._$AM=t}function y(t,n=!1,r=0){const a=this._$AH,s=this._$AN;if(void 0!==s&&0!==s.size)if(n)if(Array.isArray(a))for(let t=r;t<a.length;t++)f(a[t],!1),m(a[t]);else null!=a&&(f(a,!1),m(a));else f(this,t)}const b=t=>{var n,r,a,s;t.type==p.pX.CHILD&&(null!==(n=(a=t)._$AP)&&void 0!==n||(a._$AP=y),null!==(r=(s=t)._$AQ)&&void 0!==r||(s._$AQ=v))};class async_directive_c extends p.Xe{constructor(){super(...arguments),this._$AN=void 0}_$AT(t,n,r){super._$AT(t,n,r),g(this),this.isConnected=t._$AU}_$AO(t,n=!0){var r,a;t!==this.isConnected&&(this.isConnected=t,t?null===(r=this.reconnected)||void 0===r||r.call(this):null===(a=this.disconnected)||void 0===a||a.call(this)),n&&(f(this,t),m(this))}setValue(t){if((0,h.OR)(this._$Ct))this._$Ct._$AI(t,this);else{const n=[...this._$Ct._$AH];n[this._$Ci]=t,this._$Ct._$AI(n,this,0)}}disconnected(){}reconnected(){}}class private_async_helpers_s{constructor(t){this.G=t}disconnect(){this.G=void 0}reconnect(t){this.G=t}deref(){return this.G}}class i{constructor(){this.Y=void 0,this.Z=void 0}get(){return this.Y}pause(){var t;null!==(t=this.Y)&&void 0!==t||(this.Y=new Promise((t=>this.Z=t)))}resume(){var t;null===(t=this.Z)||void 0===t||t.call(this),this.Y=this.Z=void 0}}const x=t=>!(0,h.pt)(t)&&"function"==typeof t.then,w=1073741823;const S=(0,p.XM)(class c extends async_directive_c{constructor(){super(...arguments),this._$C_t=w,this._$Cwt=[],this._$Cq=new private_async_helpers_s(this),this._$CK=new i}render(...t){var n;return null!==(n=t.find((t=>!x(t))))&&void 0!==n?n:d.Jb}update(t,n){const r=this._$Cwt;let a=r.length;this._$Cwt=n;const s=this._$Cq,l=this._$CK;this.isConnected||this.disconnected();for(let t=0;t<n.length&&!(t>this._$C_t);t++){const d=n[t];if(!x(d))return this._$C_t=t,d;t<a&&d===r[t]||(this._$C_t=w,a=0,Promise.resolve(d).then((async t=>{for(;l.get();)await l.get();const n=s.deref();if(void 0!==n){const r=n._$Cwt.indexOf(d);r>-1&&r<n._$C_t&&(n._$C_t=r,n.setValue(t))}})))}return d.Jb}disconnected(){this._$Cq.disconnect(),this._$CK.pause()}reconnected(){this._$Cq.reconnect(this),this._$CK.resume()}});var _=r(8949),T=r(9604),E=(r(5197),r(4262)),C=(r(4915),r(7098));const A=l.iv`.pdp-background {
  padding: 5px;
}

.charts-holder {
  display: flex;
  flex-wrap: wrap;
}

.chart-label {
  width: 100%;
  text-align: center;
}
`;var O=r(5889);let I=class PdpModule extends T.p{static get styles(){return[O.W,A]}constructor(){super(),this.plotVisibility=new Map,this.plotInfo=new Map,this.selectionSet=new Set,(0,_.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.appState.getModelSpec(this.model).input),(t=>{this.resetPlots(t)})),this.react((()=>this.selectionService.selectedInputData),(()=>{this.selectionSet=new Set(this.selectionService.selectedInputData.map((t=>t.id))),this.plotInfo.clear();for(const t of this.plotVisibility.keys())this.plotVisibility.set(t,!1)}))}resetPlots(t){return(0,a.mG)(this,void 0,void 0,(function*(){this.plotVisibility.clear(),this.plotInfo.clear();const n=(0,C.Fe)(t,[E.Ru,E.q0]);for(const r of n)t[r].required&&this.plotVisibility.set(r,!1)}))}calculatePlotInfo(t){return(0,a.mG)(this,void 0,void 0,(function*(){const n={feature:t},r=this.selectionService.selectedInputData;return yield this.apiService.getInterpretations(r,this.model,this.appState.currentDataset,"pdp",n)}))}renderPlot(t){if(!this.plotVisibility.get(t))return l.dy``;const n=this.appState.getModelSpec(this.model),r=n.input[t]instanceof E.Ru,s=(t,a)=>{const s=new Array;s.push(new Map);for(const n of Object.keys(t)){const a=t[n],l=r?+n:n;if(Array.isArray(a))for(let t=0;t<a.length;t++)s.length<=t&&s.push(new Map),s[t].set(l,a[t]);else s[0].set(l,a)}const{vocab:d}=n.output[a],{null_idx:h}=n.output[a],p=n.output[a]instanceof E.OS?[0,1]:[];return l.dy`
          <div class="charts-holder">
            ${s.map(((t,n)=>{const a=null!=d&&d.length>n?d[n]:"";return null==h||h!==n?l.dy`
                    <div class="chart">
                      <div class="chart-label">${a}</div>
                      ${(t=>r?l.dy`
              <line-chart height=150 width=300
                  .scores=${t} .yScale=${p}>
              </line-chart>`:l.dy`
              <bar-chart height=150 width=300
                  .scores=${t} .yScale=${p}>
              </bar-chart>`)(t)}
                    </div>`:null}))}
          </div>`};return l.dy`${S((t=>{const n=new Set(this.selectionSet);return new Promise(((r,s)=>(0,a.mG)(this,void 0,void 0,(function*(){if(null==this.plotInfo.get(t)){const r=yield this.calculatePlotInfo(t);(0,C.vP)(n,this.selectionSet)&&this.plotInfo.set(t,r)}r(this.plotInfo.get(t))}))))})(t).then((t=>(t=>l.dy`
          <div class='pdp-background'>
            ${Object.keys(t).map((n=>s(t[n],n)))}
          </div>`)(t))),l.dy`
          <div class='pdp-background'>
            <lit-spinner size=${24} color="var(--app-secondary-color)">
            </lit-spinner>
          </div>`)}`}renderPlotHolder(t){return l.dy`
        <div class='plot-holder'>
          <expansion-panel .label=${t}
                           @expansion-toggle=${n=>{const{isExpanded:r}=n.detail;this.plotVisibility.set(t,r),this.requestUpdate()}}>
            ${this.renderPlot(t)}
          </expansion-panel>
        </div>
      `}renderImpl(){return l.dy`${Array.from(this.plotVisibility.keys()).map((t=>this.renderPlotHolder(t)))}`}static shouldDisplayModule(t,n){return(0,C.Rf)(t,[E.aK,E.OS])&&(0,C.F)(t,[E.Ru,E.q0],!0)}};I.title="Partial Dependence Plots",I.duplicateForExampleComparison=!0,I.numCols=4,I.template=(t,n,r)=>l.dy`
  <pdp-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </pdp-module>`,(0,a.gn)([_.LO,(0,a.w6)("design:type",Object)],I.prototype,"plotVisibility",void 0),(0,a.gn)([_.LO,(0,a.w6)("design:type",Object)],I.prototype,"plotInfo",void 0),I=(0,a.gn)([(0,s.Mo)("pdp-module"),(0,a.w6)("design:paramtypes",[])],I)},3241:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(8949),h=r(3506),p=r(9604),f=(r(6645),r(5889)),m=r(4262),g=(r(4915),r(7098)),v=r(7965),y=r(9410);const b=s.iv`td {
  padding-right: 4px;
  text-align: left;
}

th {
  text-align: left;
}
`;let x=class RegressionModule extends p.p{static get styles(){return[f.W,b]}constructor(){super(),this.dataService=h.l.getService(y.Do),this.result=null,(0,d.rC)(this)}firstUpdated(){this.reactImmediately((()=>[this.selectionService.primarySelectedInputData,this.dataService.dataVals]),(()=>{this.updateSelection(this.selectionService.primarySelectedInputData)}))}updateSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==t)return void(this.result=null);const n={},{output:r}=this.appState.getModelSpec(this.model),a=(0,g.Fe)(r,m.aK);for(const r of a){const a=this.dataService.getColumnName(this.model,r),s=this.dataService.getColumnName(this.model,r,v.g_.ERROR);n[r]={score:this.dataService.getVal(t.id,a),error:this.dataService.getVal(t.id,s)}}this.result=n}))}renderImpl(){var t,n,r;const{result:a}=this;if(null==a)return null;const l=this.selectionService.primarySelectedInputData,d=this.appState.getModelSpec(this.model),h=(0,g.Fe)(d.output,m.aK),p=[];let f=!1;for(const s of h){const h=(null===(n=null===(t=a[s])||void 0===t?void 0:t.score)||void 0===n?void 0:n.toFixed(4))||"",m=d.output[s].parent||"",g=(null===(r=l.data[m])||void 0===r?void 0:r.toFixed(4))||"";let v="";if(m&&g){const t=a[s].error;null!=t&&(f=!0,v=t.toFixed(4))}p.push({Field:s,"Ground truth":g,Score:h,Error:v})}const v=f?["Field","Ground truth","Score","Error"]:["Field","Score"];return s.dy`
      <lit-data-table
        .columnNames=${v}
        .data=${p}
      ></lit-data-table>`}static shouldDisplayModule(t,n){return(0,g.Rf)(t,m.aK)}};x.title="Regression Results",x.duplicateForExampleComparison=!0,x.numCols=3,x.template=(t,n,r)=>s.dy`
  <regression-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </regression-module>`,(0,a.gn)([d.LO.ref,(0,a.w6)("design:type",Object)],x.prototype,"result",void 0),x=(0,a.gn)([(0,l.Mo)("regression-module"),(0,a.w6)("design:paramtypes",[])],x)},4016:(t,n,r)=>{"use strict";var a=r(7582),s=r(9392),l=r(5595),d=r(8949),h=r(3506),p=r(9604),f=r(7146),m=(r(3539),r(6645),r(4424),r(4262)),g=r(5889),v=(r(4915),r(7098)),y=r(7376),b=(r(7965),r(9410));const x=s.iv`.clustering-salience-mapper {
  padding: 8px;
}

.grad-key-label {
  padding: 4px;
  text-align: start;
  vertical-align: baseline;
  width: 150px;
}

.grad-key-row {
  padding: 8px;
}

.selection-warning {
  color: var(--google-red-500);
}

.module-toolbar.footer {
  width: 100%;
  padding: 0;
}

.clustering-controls-container {
  max-height: 100%;
  width: 400px;
  max-width: 400px;
  overflow-y: auto;
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  display: flex;
  flex-direction: column;
  align-items: stretch;
  justify-content: start;
}

.clustering-results-container {
  flex: 1 1 auto;
  max-height: 100%;
  overflow-y: auto;
}

.controls-and-results-container {
  max-height: 100%;
  height: 100%;
  display: flex;
}`,w="Salience Mapper",S="Number of clusters",_="Salience Clustering",T={reuse_clustering:!0};let E=class SalienceClusteringModule extends p.p{static get styles(){return[g.W,x]}constructor(){super(),this.dataService=h.l.getService(b.Do),this.runCount=0,this.statusMessage="",this.cmapGamma=2,this.signedCmap=new y.kh(this.cmapGamma),this.unsignedCmap=new y.zT(this.cmapGamma),this.state={dataColumns:[],clusteringConfig:{},salienceConfigs:{},clusteringState:{clusterInfosByField:{},isLoading:!1,colorMap:{},clusteringConfig:{}}},(0,d.rC)(this)}firstUpdated(){this.state={dataColumns:[],clusteringConfig:{},salienceConfigs:{},clusteringState:{clusterInfosByField:{},isLoading:!1,colorMap:{},clusteringConfig:{}}}}runInterpreter(){return(0,a.mG)(this,void 0,void 0,(function*(){const t=this.state.clusteringConfig[w],n=this.selectionService.selectedOrAllInputData;if(!this.canRunClustering)return;this.state.clusteringState.isLoading=!0;const r=yield this.apiService.getInterpretations(n,this.model,this.appState.currentDataset,_,Object.assign(Object.assign({},this.state.clusteringConfig),this.state.salienceConfigs[t]),`Running ${t}`);this.state.clusteringState.isLoading=!1,this.state.dataColumns=Object.keys(n[0].data);const s=(0,v.Tp)(m.q0);s.vocab=Array.from({length:this.state.clusteringConfig[S]},((t,n)=>n.toString()));const l=(n,r)=>(0,a.mG)(this,void 0,void 0,(function*(){const a=Object.assign(Object.assign(Object.assign({},this.state.clusteringConfig),this.state.salienceConfigs[t]),T);return(yield this.apiService.getInterpretations([r],this.model,this.appState.currentDataset,_,a,`Running ${t}`)).cluster_ids[n][0].toString()}));for(const a of Object.keys(r.cluster_ids)){this.state.clusteringState.clusterInfosByField[a]={};const d=Math.max(...r.cluster_ids[a])+1;for(let t=0;t<d;t++){const n={exampleIds:[],topTokens:[]};this.state.clusteringState.clusterInfosByField[a][t]=n}const h=r.cluster_ids[a],p=h.length,f=`saliency cluster index (${this.state.clusteringConfig[w]}, ${a}, ${this.state.clusteringConfig[S]}, ${this.state.clusteringConfig["Number of top salient tokens to consider per data point"]}, ${this.runCount})`,m=new Map;this.state.clusteringState.clusteringConfig[a]=Object.assign({},this.state.clusteringConfig);for(let t=0;t<p;t++){const r=n[t].id,s=h[t];this.state.clusteringState.clusterInfosByField[a][s].exampleIds.push(r),m.set(n[t].id,s.toString())}const g=t=>l(a,t);this.dataService.addColumn(m,_,f,s,"Interpreter",g),this.statusMessage=`Clustered ${p} datapoints (Generated column name: ${f}).`;const v=r.top_tokens[a],y=v.length;for(let t=0;t<y;t++)for(const n of v[t])this.state.clusteringState.clusterInfosByField[a][t].topTokens.push({token:n[0],weight:n[1]});const b=this.appState.metadata.interpreters[t].metaSpec.saliency;this.state.clusteringState.colorMap[a]=b.signed?this.signedCmap:this.unsignedCmap}this.runCount++}))}renderSpinner(){return s.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>`}renderSingleGradKeyTopTokenInfos(t,n,r){const a=Object.entries(n).map((([t,n])=>[Number(t),n.exampleIds.length,s.dy`
            <lit-token-chips
              .tokensWithWeights=${n.topTokens}
              .cmap=${r}>
            </lit-token-chips>`])),l=this.state.clusteringState.clusteringConfig[t]["Number of tokens to display per cluster"];return s.dy`
      <div class="grad-key-row">
        <div class="grad-key-label">${t}</div>
        <lit-data-table
          .columnNames=${[{name:"Cluster index",width:125},{name:"N",width:75},`Tokens with high average saliency (up to ${l})`]}
          .data=${a}
          selectionEnabled
          .onSelect=${t=>{const r=Object.entries(n).flatMap((([n,r])=>t.includes(Number(n))?r.exampleIds:[]));this.selectionService.selectIds(r,this)}}
        ></lit-data-table>
      </div>`}renderTopTokens(){const{clusterInfosByField:t,colorMap:n}=this.state.clusteringState;return s.dy`
      ${Object.entries(t).map((([t,r])=>this.renderSingleGradKeyTopTokenInfos(t,r,n[t])))}
      ${this.state.clusteringState.isLoading?this.renderSpinner():null}`}getSalienceInterpreterNames(){const t=[],{interpreters:n}=this.appState.metadata,r=this.appState.metadata.models[this.model].interpreters;for(const a of r){0!==(0,v.Fe)(n[a].metaSpec,m.NO).length&&t.push(a)}return t}renderControlsAndResults(){if(null==this.state.clusteringState||null==this.state.clusteringState.clusterInfosByField)return s.dy`<div>Nothing to show.</div>`;const t=t=>{this.state.clusteringConfig=t.detail.settings,this.runInterpreter()},n=t=>{const{name:n,settings:r}=t.detail;this.state.salienceConfigs[n]=r},r=[_,...this.getSalienceInterpreterNames()];return s.dy`
      <div class="controls-and-results-container">
        <div class="clustering-controls-container">
          ${r.map((r=>{const a=this.appState.metadata.interpreters[r].configSpec,l=(0,v.o8)(a);for(const t of Object.values(l))t instanceof m.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));if(0!==Object.keys(l).length)return s.dy`
        <lit-interpreter-controls
          .spec=${l}
          .name=${r}
          .opened=${r===_}
          @interpreter-click=${r===_?t:n}>
        </lit-interpreter-controls>`}))}
        </div>
        <div class="clustering-results-container">
          ${this.renderTopTokens()}
        </div>
      </div>`}get canRunClustering(){const t=this.selectionService.selectedOrAllInputData;return null!=t&&t.length>=2}renderSelectionWarning(){return s.dy`
      <span class="selection-warning">
        Please select no datapoint (for entire dataset) or >= 2 datapoints to
        compute clusters.
      </span>`}renderColorLegend(t,n,r){return s.dy`
      <color-legend legendType=${f.H.SEQUENTIAL}
        label=${t}
        .scale=${n.asScale()}
        numBlocks=${r}>
      </color-legend>`}renderColorLegends(){const t={};for(const n of Object.keys(this.state.clusteringState.colorMap))this.state.clusteringState.colorMap[n]===this.signedCmap&&(t.Signed=this.renderColorLegend("Signed",this.signedCmap,7)),this.state.clusteringState.colorMap[n]===this.unsignedCmap&&(t.Unsigned=this.renderColorLegend("Unsigned",this.unsignedCmap,5));return Object.values(t)}renderImpl(){return s.dy`
      <div class="module-container">
        <div class="module-results-area">
          ${this.renderControlsAndResults()}
        </div>
        <div class="module-footer">
          <p class="module-status">
            ${this.canRunClustering?"":this.renderSelectionWarning()}
            ${this.statusMessage}
          </p>
          ${this.renderColorLegends()}
        </div>
      </div>`}static shouldDisplayModule(t){return Object.values(t).some((t=>-1!==t.interpreters.indexOf(_)))}};E.title="Salience Clustering Results",E.numCols=1,E.template=(t,n,r)=>s.dy`
  <salience-clustering-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </salience-clustering-module>`,(0,a.gn)([d.LO,(0,a.w6)("design:type",Object)],E.prototype,"state",void 0),E=(0,a.gn)([(0,l.Mo)("salience-clustering-module"),(0,a.w6)("design:paramtypes",[])],E)},8e3:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5681),r(6353),r(8684),r(4424),r(9392)),l=r(5595),d=r(3959),h=r(8949),p=r(3506),f=r(9604),m=r(7146),g=(r(3539),r(4262)),v=r(5889),y=r(4915),b=r(7098),x=r(7376),w=r(5587),S=r(9410);const _=s.iv`.group-label {
  text-align: start;
  vertical-align: baseline;
  width: 295px;
}

.group-container {
  padding: 4px;
  position: relative; /* to allow overlay div */
  vertical-align: top;
}

.module-toolbar > * {
  margin: 0px 4px;
}

.salience-target-dropdown {
  min-width: 60px;
  margin-left: 4px;
}

.module-footer > * { min-width: 0; }

.module-footer {
  justify-content: space-between;
}

.slider-controls {
  display: flex;
  flex-direction: row;
}

.tokens-holder {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
}

.method-row-contents {
  display: flex;
  flex-direction: row;
}

.controls-toggle {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.controls-toggle mwc-icon {
  --mdc-icon-size: 16px;
}

.controls-panel {
  width: 295px;
}

color-legend {
  margin-right: 16px;
}

.method-results {
  padding: 4px;
}

.salience-placeholder {
  color: var(--lit-neutral-800);
}

.loading {
  opacity: 0.2;
  pointer-events: none;
}

.spinner-container {
  opacity: 1.0;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}
`;var T,E=r(5108);const C=[g.NO,g.oB,g.Z2,g.wk],A=[g.OS,g.aK];let O=T=class SalienceMapModule extends f.p{static get styles(){return[v.W,_]}get signedCmap(){return new x.kh(this.cmapGamma)}get unsignedCmap(){return new x.zT(this.cmapGamma)}get compatibleWithTargetSelector(){const{input:t,output:n}=this.appState.getModelSpec(this.model),r=(0,b.Fe)(n,g.Kx),a=this.targetFields.map((t=>n[t].parent)).filter((t=>null!=t));for(const s of r){const r=n[s].grad_target_field_key;if(null!=r){if(null==t[r])return!1;if(-1===a.indexOf(r))return!1}}return!0}get targetFields(){const t=this.appState.getModelSpec(this.model).output;return(0,b.Fe)(t,A)}get targetFieldSpec(){return null==this.targetField?null:this.appState.getModelSpec(this.model).output[this.targetField]}get inputLabelField(){var t;return null==this.targetFieldSpec?null:null!==(t=this.targetFieldSpec.parent)&&void 0!==t?t:null}get labelVocab(){return null==this.targetFieldSpec?[]:this.targetFieldSpec instanceof g.OS?this.targetFieldSpec.vocab:[]}get modifiedInput(){const t=this.currentData;if(null==t)return null;if(null==this.inputLabelField||void 0===this.salienceTarget)return t;const n=this.labelVocab[this.salienceTarget];return(0,b.sV)(t,{[this.inputLabelField]:n},"SalienceMapModule")}constructor(){super(),this.focusService=p.l.getService(w.i),this.isRenderImage=!1,this.hasSignedSalience=!1,this.hasUnsignedSalience=!1,this.cmapGamma=2,this.state={},this.currentData=void 0,this.currentPreds=void 0,this.targetField=void 0,this.salienceTarget=void 0,(0,h.rC)(this)}shouldRunInterpreter(t){return this.state[t].autorun}clearSalience(){for(const t of Object.keys(this.state))this.state[t].salience={}}firstUpdated(){const t=this.appState.metadata.interpreters,n=this.appState.metadata.models[this.model].interpreters,r={};for(const a of n){const n=(0,b.Fe)(t[a].metaSpec,C);if(0===n.length)continue;const s=t[a].metaSpec[n[0]];s instanceof g.Z2&&(this.isRenderImage=!0),this.hasSignedSalience=this.hasSignedSalience||!!s.signed,this.hasUnsignedSalience=this.hasUnsignedSalience||!s.signed,r[a]={autorun:!!s.autorun,isLoading:!1,salience:{},cmap:s.signed?this.signedCmap:this.unsignedCmap}}this.state=r,this.reactImmediately((()=>this.targetFields),(t=>{t.length<=0&&(E.warn(`Salience Map module: model "${this.model}" has no compatible output fields. Salience methods may still work, but you will not be able to change the target from the UI.`),this.targetField=void 0),this.targetField=t[0]})),this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.updateToSelection(t);for(const t of Object.keys(this.state))this.shouldRunInterpreter(t)&&this.runInterpreter(t)}));for(const t of Object.keys(this.state)){this.react((()=>this.salienceTarget),(()=>{this.shouldRunInterpreter(t)?this.runInterpreter(t):this.state[t].salience={}}));const n=()=>this.state[t].autorun;this.react(n,(()=>{this.shouldRunInterpreter(t)&&this.runInterpreter(t)}))}}updateToSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(this.currentData=void 0,this.currentPreds=void 0,this.salienceTarget=void 0,this.clearSalience(),null==t)return;this.currentData=t;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,A,[],"Getting targets from model prediction"),r=yield this.loadLatest("modelPreds",n);if(null!==r)if(this.currentData=t,this.currentPreds=r[0],this.targetFieldSpec instanceof g.OS){const t=this.currentPreds[this.targetField];this.salienceTarget=(0,b.Eb)(t)}else this.salienceTarget=void 0}))}runInterpreter(t){return(0,a.mG)(this,void 0,void 0,(function*(){const n=this.modifiedInput;if(null==n)return void(this.state[t].salience={});let r=this.state[t].config;const a=this.appState.metadata.interpreters[t].configSpec;for(const t of(0,b.Fe)(a,[g.lM]))r=Object.assign({},r,{[t]:{field:this.targetField,index:this.salienceTarget}});this.state[t].isLoading=!0;const s=this.apiService.getInterpretations([n],this.model,this.appState.currentDataset,t,r,`Running ${t}`),l=yield this.loadLatest(`interpretations-${t}`,s);this.state[t].isLoading=!1,null!==l&&(this.state[t].salience=l[0])}))}renderImageSalience(t,n){const r=t[n];return s.dy`<img src='${r}'></img>`}renderHeaderControls(){if(!this.compatibleWithTargetSelector)return null;if(this.targetFields.length<=0)return null;const t=t=>{this.salienceTarget=t.target.selectedIndex};return s.dy`
      <div class="module-toolbar">
        <div class="controls-group">
          <label class="dropdown-label">Target field:</label>
          <select class="dropdown salience-target-dropdown"
            @change=${t=>{this.targetField=t.target.value}}>
            ${this.targetFields.map((t=>s.dy`<option value=${t}
                     ?selected=${t===this.targetField}>
                    ${t}
                   </option>`))}
          </select>
          ${this.labelVocab.length>0?(()=>s.dy`
        <label class="dropdown-label">Class to explain:</label>
        <select class="dropdown salience-target-dropdown"
          @change=${t}
          .value=${this.labelVocab[this.salienceTarget]}>
          ${this.labelVocab.map(((t,n)=>s.dy`<option value=${t}
                    ?selected=${n===this.salienceTarget}>
                  ${t}
                  </option>`))}
        </select>
      `)():null}
        </div>
        <div class="controls-group">
        </div>
      </div>`}renderColorLegend(t,n,r){const a="Signed"===t?"Salience is relative to the model's prediction of a class. A positive score (more green) for a token means that token influenced the model to predict that class.":"Salience is relative to the model's prediction of a class. A larger score (more purple) for a token means that token was more influential on the model's prediction of that class.";return s.dy`
      <color-legend legendType=${m.H.SEQUENTIAL}
        label=${t}
        .paletteTooltipText=${a}
        .scale=${n.asScale()}
        numBlocks=${r}>
      </color-legend>`}renderSlider(){return s.dy`
      <div class='slider-controls'>
        <lit-tooltip .tooltipPosition=${"above"}
          .content=${T.sliderTooltipText}>
          <label for="gamma-slider" slot="tooltip-anchor">Gamma:</label>
        </lit-tooltip>
        <lit-numeric-input min="0.25" max="6" step="0.25"
          value="${this.cmapGamma}" @change=${t=>{this.cmapGamma=Number(t.target.value);const n=this.appState.metadata.interpreters,r=this.appState.metadata.models[this.model].interpreters;for(const t of r){const r=(0,b.Fe)(n[t].metaSpec,g.FG);if(0===r.length)continue;const a=n[t].metaSpec[r[0]];this.state[t].cmap=a.signed?this.signedCmap:this.unsignedCmap}}}>
        </lit-numeric-input>
      </div>`}renderFooter(){return s.dy`
      <div class="module-footer">
        ${this.hasSignedSalience?this.renderColorLegend("Signed",this.signedCmap,7):null}
        ${this.hasUnsignedSalience?this.renderColorLegend("Unsigned",this.unsignedCmap,5):null}
        ${this.hasSignedSalience||this.hasUnsignedSalience?this.renderSlider():null}
      </div>`}renderTokenSalience(t,n,r,a,l){const d=[];for(let a=0;a<t.length;a++){const s=()=>{this.focusService.setFocusedField(this.selectionService.primarySelectedInputData.id,"input",r,a)},l=()=>{this.focusService.clearFocus()},h=this.focusService.focusData,p=(null==h?void 0:h.fieldName)===r&&(null==h?void 0:h.datapointId)===this.selectionService.primarySelectedId&&(null==h?void 0:h.subField)===a;d.push({token:t[a],weight:n[a],onMouseover:s,onMouseout:l,forceShowTooltip:p})}return s.dy`
      <div class="tokens-group">
        ${l?s.dy`<div class="tokens-group-title">${l}</div>`:null}
        <lit-token-chips
          .tokensWithWeights=${d}
          .cmap=${a}>
        </lit-token-chips>
      </div>`}renderFeatureSalience(t,n,r,a){const s=t[n].salience,l=Object.keys(s).sort(((t,n)=>s[n]-s[t])),d=this.selectionService.primarySelectedInputData.data,h=l.map((t=>`${t}: ${d[t]}`)),p=l.map((t=>s[t]));return this.renderTokenSalience(h,p,n,r,a)}renderGroup(t,n,r,a,s){return n[r]instanceof g.RR?this.renderImageSalience(t,r):n[r]instanceof g.oB?this.renderFeatureSalience(t,r,a,s):this.renderTokenSalience(t[r].tokens,t[r].salience,r,a,s)}renderSpinner(){return s.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}controlsApplyCallback(t){const n=t.detail.name;this.state[n].config=t.detail.settings,this.runInterpreter(n)}renderMethodControls(t){var n;const r=this.appState.metadata.interpreters[t].configSpec;if(0===Object.keys(r).length)return null;const a=(0,b.o8)(r);for(const[t,n]of Object.entries(a))n instanceof g.lM?delete a[t]:n instanceof g.$K&&(n.vocab=this.appState.getSpecKeysFromFieldMatcher(n,this.model));const l=(null!==(n=this.appState.metadata.interpreters[t].description)&&void 0!==n?n:t).split("\n")[0],h=(0,d.V)({"--popup-right":"0"});return s.dy`
      <popup-container style=${h}>
        <div class="controls-toggle" slot="toggle-anchor">
          <mwc-icon class='icon-button'>settings</mwc-icon>
        </div>
        <div class="controls-panel">
          <lit-interpreter-controls .spec=${a} .name=${t}
                      .description=${l}
                      noexpand opened
                      @interpreter-click=${this.controlsApplyCallback}>
          </lit-interpreter-controls>
        </div>
      </popup-container>`}renderMethodRow(t){var n;const{output:r}=this.appState.getModelSpec(this.model),{metaSpec:a}=this.appState.metadata.interpreters[t],l=Object.assign(Object.assign({},a),r),d=this.state[t].salience,h=null!==(n=this.appState.metadata.interpreters[t].description)&&void 0!==n?n:t,p=1===Object.keys(d).length,f=Object.keys(d).map((n=>this.renderGroup(d,l,n,this.state[t].cmap,p?void 0:n)));return s.dy`
      <div class='method-row' id='${t.toLowerCase()}'>
        <expansion-panel .label=${t} ?expanded=${this.state[t].autorun}
                         .description=${h}
                          @expansion-toggle=${()=>{this.state[t].autorun=!this.state[t].autorun}}>
          <div slot="bar-content">
            ${this.renderMethodControls(t)}
          </div>
          <div class='method-row-contents'>
            <div class='method-results'>
              ${null!=this.selectionService.primarySelectedInputData?f:s.dy`
                <span class='salience-placeholder'>
                  Select a datapoint to see ${t} attributions.
                </span>`}
              ${this.state[t].isLoading?this.renderSpinner():null}
            </div>
          </div>
        </expansion-panel>
      </div>`}renderImpl(){return s.dy`
      <div class='module-container'>
        ${this.renderHeaderControls()}
        <div class='module-results-area ${y.SU}'>
          ${Object.keys(this.state).map((t=>this.renderMethodRow(t)))}
        </div>
        ${this.isRenderImage?null:this.renderFooter()}
      </div>
    `}static shouldDisplayModule(t,n){const r=p.l.getService(S.aB);return null!=r.metadata&&Object.values(t).some((t=>t.interpreters.some((t=>{const n=r.metadata.interpreters[t];return(0,b.Fe)(n.metaSpec,C).length>0}))))}};O.title="Salience Maps",O.infoMarkdown="Input salience methods try to explain model predictions as a heatmap\n      over input features, such as tokens.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#token-based-salience)",O.numCols=6,O.duplicateForExampleComparison=!0,O.template=(t,n,r)=>s.dy`<salience-map-module model=${t} selectionServiceIndex=${n} .shouldReact=${r}></salience-map-module>`,O.sliderTooltipText="A larger gamma value makes lower salience tokens more visible.",(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],O.prototype,"cmapGamma",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],O.prototype,"signedCmap",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],O.prototype,"unsignedCmap",null),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],O.prototype,"state",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],O.prototype,"currentData",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],O.prototype,"currentPreds",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],O.prototype,"targetField",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Number)],O.prototype,"salienceTarget",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],O.prototype,"compatibleWithTargetSelector",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],O.prototype,"targetFields",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],O.prototype,"targetFieldSpec",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",String),(0,a.w6)("design:paramtypes",[])],O.prototype,"inputLabelField",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],O.prototype,"labelVocab",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],O.prototype,"modifiedInput",null),O=T=(0,a.gn)([(0,l.Mo)("salience-map-module"),(0,a.w6)("design:paramtypes",[])],O)},407:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5197),r(3886)),l=r(9392),d=r(5595),h=r(355),p=r(8949),f=r(3506),m=r(9604),g=r(7146),v=(r(6278),r(6070)),y=r(4262),b=r(5889),x=r(4915),w=r(7098),S=r(7965),_=r(9410);const T=l.iv`.scatterplot {
  position: relative;
  margin: 8px;
  min-height: 112px;
}

.scatterplot .axes {
  position: absolute;
  top: 0;
  left: 0;
  max-width: 100%;
}

.scatterplot .scene {
  min-height: 100px;
  height: 100px;
  max-height: 100px;
  max-width: calc(100% - 40px);
  margin-left: 32px;
  cursor: crosshair;
}

#regression-line,
#threshold-line {
  stroke-width: 2px;
}

.confusion-zone {
  fill: url(#diagonalHatch);
  fill-opacity: .30;
}

#diagonalHatch path{
  stroke: var(--lit-neutral-700);
  stroke-width: 1;
}
`,E=r(6377),C=(0,v.lf)("neutral","600").color,A={defaultTransitionTimeMs:0},O=(0,v.nA)((0,v.lf)("cyea","700").color),I=(0,v.nA)((0,v.lf)("mage","400").color),P=(0,v.nA)((0,v.lf)("mage","700").color),D=(0,v.nA)("white");let F=class ScalarModule extends m.p{static get styles(){return[b.W,T]}static shouldDisplayModule(t,n){const r=[y.Ru,y.OS],a=(0,w.Fe)(n,r).length>0,s=(0,w.Rf)(t,r);return a||s}get datasetScalarKeys(){return(0,w.Fe)(this.appState.currentDatasetSpec,y.Ru)}get datasetSize(){return this.appState.metadata.datasets[this.appState.currentDataset].size}containerSelector(t){return`div.scatterplot[data-id="${t}"]`}constructor(){super(),this.colorService=f.l.getService(_.x4),this.classificationService=f.l.getService(_.c1),this.focusService=f.l.getService(_.io),this.dataService=f.l.getService(_.Do),this.pinnedSelectionService=f.l.getService(_.z2,"pinned"),this.plots=new Map,this.resizeObserver=new ResizeObserver((()=>{this.resizePlots()})),this.numPlotsRendered=0,this.preds=[],(0,p.rC)(this)}connectedCallback(){super.connectedCallback();this.reactImmediately((()=>[this.appState.currentInputData,this.dataService.dataVals]),(()=>{var t;for(const n of this.plots.values())null===(t=n.points)||void 0===t||t.clear(),delete n.points,delete n.scene;this.updatePredictions(this.appState.currentInputData)}));this.react((()=>{var t;return[this.colorService.selectedColorOption,this.preds,this.selectionService.selectedIds,this.selectionService.primarySelectedId,this.pinnedSelectionService.primarySelectedId,null===(t=this.focusService.focusData)||void 0===t?void 0:t.datapointId]}),(()=>{this.updatePlots()}))}firstUpdated(){this.reactImmediately((()=>this.classificationService.allMarginSettings),(()=>{for(const[t,{model:n,key:r,xScale:a}]of this.plots.entries()){if(null==n||null==a)continue;if(!(this.appState.getModelSpec(n).output[r]instanceof y.OS))continue;const l=this.containerSelector(t),d=this.renderRoot.querySelector(l);if(null==d)continue;const h=s.Ys(d).select("#threshold-line");if(h.empty())continue;const p=this.classificationService.getMargin(n,r),f=a((0,w.xt)(p));h.attr("x1",f).attr("x2",f)}}));const t=this.shadowRoot.getElementById("container");this.resizeObserver.observe(t)}updated(){this.updatePlots()}updatePredictions(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==t)return;const n=E("lit");this.preds=t.map((({id:t})=>({id:t,rngY:n()})))}))}getXScale(t,n){let r;if(null==n){const n=this.dataService.getColumn(t);r=[Math.min(...n),Math.max(...n)]}else{const{output:a}=this.appState.getModelSpec(n),s=this.dataService.getColumnName(n,t),l=this.dataService.getColumn(s);r=a[t]instanceof y.OS?[0,1]:[Math.min(...l),Math.max(...l)]}return s.BYU().domain(r).range([0,1])}getYScale(t,n){const r=s.BYU().domain([0,1]).range([0,1]);if(t){const t=this.dataService.getColumn(n),a=s.Wem(t);if(null!=a&&!a.some(isNaN)){const t=Math.max(...a.map(Math.abs));r.domain([-t,t])}}return r}getValue(t,n,r,a){if(null==r)return n in this.appState.currentDatasetSpec?this.dataService.getVal(t,n):void 0;const s=this.appState.getModelSpec(r),l=this.dataService.getColumnName(r,n),d=s.output[n];if(d instanceof y.OS){if(!a)return;const{vocab:n}=d,r=n.indexOf(a),s=this.dataService.getVal(t,l);return Array.isArray(s)?s[r]:void 0}return this.dataService.getVal(t,l)}setupPlot(t,n){const{model:r,key:a,label:l}=t,d=n.querySelector(".axes"),p=n.querySelector(".scene"),{width:f,height:m}=p.getBoundingClientRect();d.textContent="",p.textContent="";const g=this.dataService.getColumnName(r||"",a,S.g_.ERROR),b=this.dataService.getColumnInfo(g),x=null!=b&&b.source.includes(S.Yz),_=this.getXScale(a,r),T=this.getYScale(x,g);t.xScale=this.getXScale(a,r).range([0,f-16]),t.yScale=s.BYU().domain([T.domain()[1],T.domain()[0]]).range([8,m-8]),s.Ys(d).style("width",f).style("height",m);const E=s.Ys(d).append("svg").style("width",f+40).style("height",m+12);E.append("defs").append("pattern").attr("id","diagonalHatch").attr("patternUnits","userSpaceOnUse").attr("width",8).attr("height",8).append("path").style("stroke-width",2).attr("d","M-2,2 l4,-4 M0,8 l8,-8 M6,10 l4,-4");const F=E.append("g").attr("id","lines").attr("transform","translate(40, 0)");E.append("g").attr("id","xAxis").attr("transform",`translate(40, ${m-8})`).call(s.LLu(t.xScale)),E.append("g").attr("id","yAxis").attr("transform","translate(40, 0)").call(s.y4O(t.yScale).ticks(x?5:0));const[B,$]=t.xScale.range(),[j,V]=t.yScale.range(),U=t.brush=x?s.DmU():s.Yud(),G=E.append("g").attr("id","brushGroup").attr("transform","translate(40, 0)").on("mouseenter",(()=>{this.focusService.clearFocus()}));if(U.extent([[B,0],[$,V+12]]).on("start end",(()=>{var n;const r=s.Ba6.selection;if(!s.Ba6.sourceEvent||!(null==r?void 0:r.length))return;const a=Array.isArray(r[0]),[l,d]=a?[r[0][0],r[1][0]]:r,[h,p]=a?[r[0][1],r[1][1]]:[j,V];if(d-l<window.devicePixelRatio||p-h<window.devicePixelRatio)this.selectionService.selectIds([]);else{const r=null===(n=t.points)||void 0===n?void 0:n.hitTest({x:l,y:h,width:d-l,height:p-h}).map((t=>t.id));null!=r&&this.selectionService.selectIds(r)}G.call(U.move,null)})),G.call(U),null!=r){if(x){const t=(V-j)/2+j;F.append("line").attr("id","regression-line").attr("x1",B).attr("y1",t).attr("x2",$).attr("y2",t).style("stroke",C)}const n=this.appState.getModelSpec(r).output[a];if(n instanceof y.OS)if(null!=n.null_idx){const n=this.classificationService.getMargin(r,a),s=t.xScale((0,w.xt)(n));F.append("line").attr("id","threshold-line").attr("x1",s).attr("y1",j).attr("x2",s).attr("y2",V).style("stroke",C)}else if(n.vocab.length>2){const r=t.xScale(1/n.vocab.length),a=t.xScale(.5);F.append("line").attr("id","lowerbound-line").attr("x1",r).attr("y1",j).attr("x2",r).attr("y2",j+(m-8)).style("stroke",C),F.append("line").attr("id","upperbound-line").attr("x1",a).attr("y1",j).attr("x2",a).attr("y2",j+(m-8)).style("stroke",C),F.append("rect").attr("x",r).attr("y",j).attr("width",a-r).attr("height",m-8).classed("confusion-zone",!0)}}t.scene=new h.Scene(Object.assign({container:p,desiredSpriteCapacity:this.datasetSize},A)),t.scene.scale.x=f-16,t.scene.scale.y=m-16,t.scene.offset.x=8,t.scene.offset.y=m-8;const W=(t,n)=>{var s;const d=this.getValue(n.id,a,r,l),h=null!=d?_(d):NaN;t.PositionWorldX=isNaN(h)?0:h;const p=x?this.dataService.getVal(n.id,g):n.rngY,f=null!=p?T(p):NaN;t.PositionWorldY=isNaN(f)?V:f;const m=(null===(s=this.focusService.focusData)||void 0===s?void 0:s.datapointId)===n.id,y=this.pinnedSelectionService.primarySelectedId===n.id,b=this.selectionService.primarySelectedId===n.id,w=this.selectionService.selectedIds.includes(n.id)&&!(m||y||b),S=m||y||b||w,E=this.appState.getCurrentInputDataById(n.id),C=this.colorService.getDatapointColor(E),A=(0,v.nA)(C);t.BorderRadiusPixel=2,t.BorderColor=m?I:y?P:b?O:w?D:A,t.BorderColorOpacity=S?1:.25,t.FillColor=m||y?I:A,t.FillColorOpacity=S?1:.25,t.OrderZ=S?m?1:w?.5:.8:0,t.Sides=1,t.SizePixel=S?w?12:14:10};t.points=t.scene.createSelection().onExit((t=>{t.SizePixel=0})).onInit(W).onEnter(W).onUpdate(W)}updatePlots(){for(const[t,n]of this.plots.entries()){const r=this.renderRoot.querySelector(this.containerSelector(t)),{hidden:a,scene:s}=n;if(a||null==r)continue;const{width:l,height:d}=r.getBoundingClientRect();if(0===l||0===d)continue;null==s&&this.setupPlot(n,r);const{points:h}=n;null!=h&&h.bind(this.preds)}}resizePlots(){for(const[t,n]of this.plots.entries()){const r=this.renderRoot.querySelector(this.containerSelector(t));if(null==r||n.hidden)continue;const{brush:a,scene:l,key:d,points:h,xScale:p,yScale:f}=n;if(null==a||null==l||null==d||null==h||null==p||null==f)continue;const m=r.querySelector(".scene"),{width:g}=m.getBoundingClientRect();p.range([0,g-16]);const[v,y]=p.range(),b=f.range()[1],x=r.querySelector(".axes"),S=s.Ys(x).select("svg");S.style("width",g+40),S.select("g#xAxis").call(s.LLu(p));const _=S.select("g#lines"),T=_.select("#regression-line");T.empty()||T.attr("x1",v).attr("x2",y);const E=_.select("#threshold-line");if(!E.empty()){const t=this.classificationService.getMargin(this.model,d),n=p((0,w.xt)(t));E.attr("x1",n).attr("x2",n)}a.extent([[v,0],[y,b+12]]);const{x:C,y:A}=l.offset;l.resize(l.offset),l.scale.x=y,l.offset.x=C,l.offset.y=A}}render(){this.numPlotsRendered=0;const t=this.colorService.selectedColorOption,n="number"==typeof t.scale.domain()[0]?g.H.SEQUENTIAL:g.H.CATEGORICAL,r=this.datasetScalarKeys.map((t=>this.renderPlot(t))),a=[];for(const t of this.appState.currentModels){const{output:n}=this.appState.getModelSpec(t);for(const[r,s]of Object.entries(n))if(s instanceof y.OS){const n=this.renderClassificationGroup(r,t);Array.isArray(n)?a.push(...n):null!=n&&a.push(n)}else if(s instanceof y.aK){a.push(this.renderPlot(r,t));const n=`${r}:${S.g_.ERROR}`;a.push(this.renderPlot(n,t));const s=`${r}:${S.g_.SQUARED_ERROR}`;a.push(this.renderPlot(s,t))}else s instanceof y.Ru&&a.push(this.renderPlot(r,t))}return l.dy`<div class="module-container">
      <div class="module-results-area">
        <div id='container'>
          ${r}
          ${a}
        </div>
      </div>
      <div class="module-footer">
        <color-legend legendType=${n} .scale=${t.scale}
          label=${t.name}>
        </color-legend>
      </div>
    </div>`}renderClassificationGroup(t,n){const r=this.appState.getModelSpec(n).output[t];if(!(r instanceof y.OS))return null;const{vocab:a,null_idx:s}=r,l=null!=s?this.renderMarginSlider(n,t):void 0;return 2===(null==a?void 0:a.length)&&null!=s?this.renderPlot(t,n,a[1-s],l):a.map((r=>this.renderPlot(t,n,r,l)))}renderPlot(t,n,r,a){this.numPlotsRendered+=1;const s=`${null!=n?`${n}:`:""}${t}${null!=r?`:${r}`:""}`,{primarySelectedId:d}=this.selectionService,h=this.preds.find((t=>t.id===d));let p=`${s}`;if(null!=h){const a=this.getValue(h.id,t,n,r);p+=` - Value: ${(0,x.E9)(a)}`}if(!this.plots.has(s)){const a=this.numPlotsRendered>2;this.plots.set(s,{model:n,key:t,label:r,hidden:a})}const f=this.plots.get(s),m=t=>{const{clientX:n,clientY:r}=t,a=`div.scatterplot[data-id="${s}"] div.scene`,l=this.renderRoot.querySelector(a),{top:d,left:h}=l.getBoundingClientRect();return{x:n-h,y:r-d}};return l.dy`<div class='plot-holder'>
      <expansion-panel  .label=${p} ?expanded=${!f.hidden}
                        @expansion-toggle=${()=>{f.hidden=!f.hidden,f.scene||this.requestUpdate()}}>
        ${a}
        <div  class="scatterplot" data-id=${s} @mousemove=${t=>{var n;const{x:r,y:a}=m(t),s=null===(n=f.points)||void 0===n?void 0:n.hitTest({x:r,y:a});(null==s?void 0:s.length)?this.focusService.setFocusedDatapoint(s[0].id):this.focusService.clearFocus()}}
              @click=${t=>{var n;const{x:r,y:a}=m(t),s=null===(n=f.points)||void 0===n?void 0:n.hitTest({x:r,y:a});(null==s?void 0:s.length)&&this.selectionService.setPrimarySelection(s[0].id)}}>
          <div class="scene"></div>
          <div class="axes"></div>
        </div>
      </expansion-panel>
    </div>`}renderMarginSlider(t,n){const r=this.classificationService.getMargin(t,n);return l.dy`<threshold-slider slot="bar-content" ?isThreshold=${!1}
      .margin=${r} ?showControls=${!0} @threshold-changed=${r=>{this.classificationService.setMargin(t,n,r.detail.margin)}}>
    </threshold-slider>`}};F.duplicateForModelComparison=!1,F.title="Scalars",F.infoMarkdown="Visualize the distribution of scalar (`Scalar`, `RegressionScore`,\n      or `MulticlassPreds`) features over their range - for example, to find\n      examples near the decision boundary.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#scalar-plots)",F.numCols=4,F.template=(t,n,r)=>l.dy`<scalar-module selectionServiceIndex=${n}
                .shouldReact=${r} ></scalar-module>`,(0,a.gn)([p.LO.ref,(0,a.w6)("design:type",Array)],F.prototype,"preds",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],F.prototype,"datasetScalarKeys",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],F.prototype,"datasetSize",null),F=(0,a.gn)([(0,d.Mo)("scalar-module"),(0,a.w6)("design:paramtypes",[])],F)},3227:(t,n,r)=>{"use strict";var a=r(7582),s=(r(1239),r(7146)),l=(r(1800),r(6353),r(5689),r(9392)),d=r(5595),h=r(9455),p=r(8949),f=r(9604),m=r(4424),g=r(6070),v=r(5806),y=r(4262),b=r(5889),x=r(5254),w=r(4915),S=r(7098);const _=l.iv`.flex-column {
  display: flex;
  flex-direction: column;
}

.chip-container {
  padding: 8px;
}

.pre-wrap {
  white-space: pre-wrap;
}

.gray-text {
  color: var(--lit-neutral-400);
}

.target-info-line {
  white-space: nowrap;
  text-overflow: ellipsis;
  overflow-x: hidden;
  line-height: 22px;
  flex: 1;
}

lit-switch .icon-button {
  vertical-align: middle;
}

select:invalid {
  color: var(--lit-neutral-400);
}

/**
 * Interstitial for target selection
 */
.interstitial-container {
  height: 100%;
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
}

.interstitial-header {
  font-size: 1.5em;
  font-family: 'Google Sans', sans;
  padding: 4px 2px;  /* 2px left shift vs. smaller fonts below */
}

.interstitial-contents {
  width: 80%;
  /* color: #5f6368; */
  color: var(--lit-neutral-700);
}

.interstitial-target-option {
  display: flex;
  flex-direction: row;
  margin-bottom: 6px;
  margin-left: 4px;
  cursor: pointer;
}

.interstitial-target-type {
  /* width: 80px; */
  /* font-weight: bold; */
  color: var(--lit-neutral-500);
  padding: 4px;
}

.interstitial-target-option .interstitial-target-text {
  flex-grow: 1;
  flex-basis: 100%;
  padding: 4px;
  border: 1px solid var(--lit-neutral-300);
  border-radius: 4px;
  overflow: hidden;
  min-height: 28px;  /* one line of text */
  max-height: 34px;  /* two lines of text */
}

.interstitial-target-option:hover .interstitial-target-text {
  border: 1px solid var(--lit-neutral-400);
  background-color: var(--lit-mintonal-p-1);
}

/**
 * Module controls
 */
.module-toolbar {
  border-bottom: 1px solid #dadce0;
  box-sizing: border-box;
  justify-content: space-between;

  /* should match min-height? Consider moving this to shared_styles */
  line-height: 36px;
  container-type: inline-size;
}

.module-container .module-toolbar:first-child {
  /* fix for tooltip occlusion issues caused by container-type */
  z-index: 1;
}

.module-footer {
  justify-content: space-between;

  container-type: inline-size;
}

.controls-group {
  display: flex;
  flex-direction: row;
  align-items: center;
  margin: 0 4px;
  gap: 4px;

  height: 36px; /* for proper height when wrapping */
}

.controls-group[disabled] {
  color: rgb(60, 64, 67);
  opacity: 0.38;
  pointer-events: none;
}

/* Allow contents to consume available space, but not to cause line wrapping. */
.controls-group-variable {
  flex: 1;
  overflow-x: clip;
  margin-right: 8px;
}

.flex-grow-spacer {
  flex: 1;
  margin: 0;
}

#change-target-button {
  white-space: nowrap;
  margin: 0; /* have enough already from controls-group */
}

#change-target-icon {
  display: none; /* hide by default */
  mwc-icon {
    line-height: 36px; /* vertical alignment issue */
  }
}

.vertical-separator {
  background: #dadce0;
  width: 2px;
  height: 1.2rem;
  padding: 0;
  margin: 0 8px;
}

/* Allow wrap. TODO move this to shared_styles as an option? */
.module-footer-wrappable {
  flex-wrap: wrap;
  height: unset;
  min-height: 36px;
  /* should match min-height? Consider moving this to shared_styles */
  line-height: 36px;
}

.module-footer > * { min-width: 0; }

.controls-group > * { min-width: 0; }

.controls-group label {
  white-space: nowrap;
}

/**
 * Container queries to hide some labels in narrow windows.
 * Helps in SxS mode when the module is replicated.
 *
 * Adjust the size of these so the labels are hidden in a graceful way as the
 * module is resized:
 * - Method label is on the right, hide this first as fewer things will jump.
 * - Remaining things can hide at a narrower width
 *
 * Adjust sizes based on the actual width of toolbar elements so that labels
 * will be hidden /before/ items wrap to the next row. For example, if adding
 * an additional button that is 20px wide (including margins), add 20px to
 * the widths so that the labels hide sooner.
 */
@container (width < 745px) {
  #method-label {
    display: none;
  }
}

@container (width < 685px) {
  #change-target-button, #granularity-label, #colormap-slider-label {
    display: none;
  }

  #change-target-icon {
    display: block; /* show */
  }
}

color-legend {
  /* extra space to keep other controls from jumping when legend changes */
  /* width: 400px; */
  margin-right: 16px;
}


/**
 * Pending request indicator
 */
.loading-indicator-container {
  position: relative;
  width: 100%;
}

@keyframes running-progress {
  0% { margin-left: 0; width: 0; }
  50% { margin-left: 35%; width: 65%; }
  100% { margin-left: 100%; width: 0; }
}

.loading-indicator {
  position: absolute;
  top: -2px;
  background-color: var(--lit-neutral-500);
  width: 100%;
  height: 2px;
  animation: running-progress 2s cubic-bezier(0.4, 0, 0.2, 1) infinite;
}

.regex-input-container {
  display: flex;
  flex-direction: row;
  align-items: center;
  gap: 2px;
}

.regex-input {
  max-width: 100px;
}

.error-input {
  border-color: var(--google-red-600);
  border-style: solid;
  border-radius: 3px;
  border-width: 2px;
  padding-top: 1px;
  padding-bottom: 1px;
}
`;var T,E=r(5108);!function(t){t.TOKENS="Tokens",t.WORDS="Words",t.SENTENCES="Sentences",t.LINES="Lines",t.PARAGRAPHS="¶",t.CUSTOM="⚙"}(T||(T={}));const C="modelPreds";class SingleExampleSingleModelModule extends f.p{constructor(){super(),this.predsTypes=[y.VM],this.currentData=void 0,this.currentPreds=void 0,(0,p.rC)(this)}postprocessPreds(t,n){return n}resetState(){this.currentData=void 0,this.currentPreds=void 0}updateToSelection(){return(0,a.mG)(this,void 0,void 0,(function*(){this.resetState();const t=this.selectionService.primarySelectedInputData;if(null==t)return;this.currentData=t;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,this.predsTypes,[],`Getting predictions from ${this.model}`),r=yield this.loadLatest(C,n);if(null==r)return;const a=this.postprocessPreds(t,r[0]);this.currentData=t,this.currentPreds=a}))}firstUpdated(){this.reactImmediately((()=>[this.selectionService.primarySelectedInputData,this.model,this.appState.currentDataset]),(()=>{this.updateToSelection()}))}}SingleExampleSingleModelModule.duplicateForExampleComparison=!0,SingleExampleSingleModelModule.duplicateForModelComparison=!0,(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],SingleExampleSingleModelModule.prototype,"currentData",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],SingleExampleSingleModelModule.prototype,"currentPreds",void 0);let A=class SequenceSalienceChips extends m.T{constructor(){super(...arguments),this.underline=!1}holderClass(){return Object.assign({},super.holderClass(),{underline:this.underline})}static get styles(){return[...m.j.styles,l.iv`
        .text-chips.underline .salient-token {
          --underline-height: 6px;
          background-color: transparent;
          color: black;
        }

        .text-chips.dense.underline .salient-token {
          padding-bottom: var(--underline-height);
        }

        .text-chips.underline .salient-token.selected {
          outline: 1px solid var(--token-outline-color);
          --underline-height: 5px; /* subtract 1px for outline */
        }

        /* In dense mode we style the text span */
        .text-chips.dense.underline .salient-token span {
          /* have to use border- because there is no outline-bottom */
          border-bottom: var(--underline-height) solid var(--token-bg-color);
          border-radius: 2px;
          padding-bottom: 0; /* used by border instead */
        }

        .text-chips.dense.underline .salient-token.selected span {
          /* use mage-500 for underline block as mage-700 is too dark */
          border-bottom: var(--underline-height) solid var(--lit-mage-500);
        }

        /* In non-dense mode we style the containing div */
        .text-chips:not(.dense).underline .salient-token {
          /* have to use border- because there is no outline-bottom */
          border-bottom: var(--underline-height) solid var(--token-bg-color);
          border-radius: 2px;
          padding-bottom: 0; /* used by border instead */
        }

        .text-chips:not(.dense).underline .salient-token.selected {
          /* use mage-500 for underline block as mage-700 is too dark */
          border-bottom: var(--underline-height) solid var(--lit-mage-500);
        }
      `]}};(0,a.gn)([(0,d.Cb)({type:Boolean}),(0,a.w6)("design:type",Object)],A.prototype,"underline",void 0),A=(0,a.gn)([(0,d.Mo)("sequence-salience-chips")],A);const O=Symbol("REQUEST_PENDING");let I=class SequenceSalienceModule extends SingleExampleSingleModelModule{static get styles(){return[b.W,_]}get salienceModelName(){return`_${this.model}_salience`}get tokenizerModelName(){return`_${this.model}_tokenizer`}clearResultCache(){this.salienceResultCache={}}resetTargetSpan(){this.targetSegmentSpan=void 0}resetState(){super.resetState(),this.salienceTargetOptions=[],this.salienceTargetOption=void 0,this.currentTokens=[],this.resetTargetSpan(),this.clearResultCache()}get modifiedData(){if(null==this.currentData)return null;if(void 0===this.salienceTargetOption)return null;const t=this.salienceTargetOptions[this.salienceTargetOption].text;return(0,S.sV)(this.currentData,{target:t})}get customSegmentationRegex(){try{return RegExp(this.customSegmentationRegexString,"g")}catch(t){return void E.warn("Invalid segmentation regex: ",this.customSegmentationRegexString)}}get currentTokenGroups(){if(this.segmentationMode===T.TOKENS)return this.currentTokens.map((t=>[t]));if(this.segmentationMode===T.WORDS)return(0,x.dQ)(this.currentTokens,/([▁\s]+)|(?<=\n)[^\n]/g);if(this.segmentationMode===T.SENTENCES)return(0,x.dQ)(this.currentTokens,/(\n+)|((?<=\n)[^\n])|((?<=[.?!])([▁\s]+))/g);if(this.segmentationMode===T.LINES)return(0,x.c3)(this.currentTokens,/\n+/g);if(this.segmentationMode===T.PARAGRAPHS)return(0,x.c3)(this.currentTokens,/\n\n+/g);if(this.segmentationMode===T.CUSTOM)return void 0===this.customSegmentationRegex?this.currentTokens.map((t=>[t])):(0,x.dQ)(this.currentTokens,this.customSegmentationRegex);throw new Error(`Unsupported segmentation mode ${this.segmentationMode}.`)}get currentSegmentOffsets(){return[0,...(0,S.yq)(this.currentTokenGroups.map((t=>t.length)))]}get targetTokenSpan(){if(void 0===this.targetSegmentSpan)return;const[t,n]=this.targetSegmentSpan,r=this.currentSegmentOffsets;return[r[t],r[n]]}get currentSegmentTexts(){const t=this.currentTokenGroups.map((t=>t.join("")));return this.segmentationMode!==T.TOKENS||this.denseView?t.map(x.T4):t}get salienceSpecInfo(){const t=this.appState.getModelSpec(this.salienceModelName).output,n=(0,S.Fe)(t,y.Uz);return(0,S.tf)(t,n)}get activeTokenSalience(){if(void 0===this.targetTokenSpan)return;const t=this.salienceResultCache[this.spanToKey(this.targetTokenSpan)];return void 0!==t&&t!==O&&void 0!==this.selectedSalienceMethod?t[this.selectedSalienceMethod]:void 0}get activeSalience(){if(void 0===this.activeTokenSalience)return;return(0,S.Nl)(this.activeTokenSalience,this.currentTokenGroups).map(S.P0)}get cmapDomain(){return void 0===this.activeSalience?1:Math.max(.001,(t=this.activeSalience,Math.max(...t.map(Math.abs))));var t}get cmapGamma(){return 2.5*this.cmapRange}get signedSalienceCmap(){return new g.kh(this.cmapGamma,[-1*this.cmapDomain,this.cmapDomain],g.G0,[0,this.cmapRange])}get unsignedSalienceCmap(){return new g.zT(this.cmapGamma,[0,this.cmapDomain],g.f8,[0,this.cmapRange])}get cmap(){return"grad_dot_input"===this.selectedSalienceMethod?this.signedSalienceCmap:this.unsignedSalienceCmap}constructor(){super(),this.predsTypes=v.No,this.segmentationMode=T.WORDS,this.customSegmentationRegexString="\\n+",this.selectedSalienceMethod="grad_l2",this.cmapRange=.4,this.denseView=!0,this.vDense=!1,this.underline=!1,this.showSelfSalience=!1,this.currentTokens=[],this.salienceTargetOptions=[],this.salienceTargetOption=void 0,this.targetSegmentSpan=void 0,this.salienceResultCache={},(0,p.rC)(this)}spanToKey(t){return`${t[0]}:${t[1]}`}updateTokens(){return(0,a.mG)(this,void 0,void 0,(function*(){this.currentTokens=[];const t=this.modifiedData;if(null==t)return;const n=this.apiService.getPreds([t],this.tokenizerModelName,this.appState.currentDataset,[y.nk],[],`Fetching tokens for model ${this.model}`),r=yield this.loadLatest("updateTokens",n);null!==r?this.currentTokens=r[0].tokens:E.warn("No tokens returned or stale request for example",t)}))}fetchSalience(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==this.modifiedData)return;if(void 0===t)return;const n=this.spanToKey(t),r=this.salienceResultCache[n];if(void 0!==r)return void(r===O?E.log("Duplicate request for target span ",n):E.log("Found cached return for target span ",n));this.salienceResultCache[n]=O;const[a,s]=t,l=this.currentTokens.map(((t,n)=>n>=a&&n<s?1:0)),d=(0,S.sV)(this.modifiedData,{target_mask:l},"salience"),h=this.apiService.getPreds([d],this.salienceModelName,this.appState.currentDataset,[y.Uz],[],`Getting salience scores for ${this.printTargetForHuman(a,s)}`),p=yield h;if(null===p)return E.warn("Empty results from request",d,n),void delete this.salienceResultCache[n];this.salienceResultCache[n]=p[0]}))}firstUpdated(){super.firstUpdated(),this.reactImmediately((()=>[this.currentData,this.currentPreds]),(([t,n])=>{const r=this.appState.currentDatasetSpec,a=this.appState.getModelSpec(this.model).output,s=(0,v.sQ)(r,a,t,n);this.salienceTargetOptions=s})),this.reactImmediately((()=>[this.modifiedData,this.model,this.appState.currentDataset]),(()=>{this.clearResultCache(),this.resetTargetSpan(),this.updateTokens()})),this.reactImmediately((()=>this.targetTokenSpan),(t=>{this.fetchSalience(t)}))}renderGranularitySelector(){const t=Object.values(T).map((t=>({text:t,selected:this.segmentationMode===t,tooltipText:t===T.PARAGRAPHS?"Paragraphs":t===T.CUSTOM?"Custom Regex":"",onClick:()=>{this.segmentationMode!==t&&this.resetTargetSpan(),this.segmentationMode=t}}))),n=(0,h.$)({"regex-input":!0,"error-input":void 0===this.customSegmentationRegex}),r=l.dy`
      <div class='regex-input-container'>
        <input type='text' class=${n} slot='tooltip-anchor'
          title="Enter a regex to match segment prefix."
          @input=${t=>{const{value:n}=t.target;this.customSegmentationRegexString=n,this.resetTargetSpan()}}
          .value=${this.customSegmentationRegexString}>
        <mwc-icon class='icon-button value-reset-icon' title='Reset regex'
          @click=${()=>{this.customSegmentationRegexString="\\n+"}}>
          restart_alt
        </mwc-icon>
      </div>
    `;return l.dy`
      <div class="controls-group" style="gap: 8px;">
        <label class="dropdown-label" id="granularity-label"
         for="granularity-selector">Granularity:</label>
        <lit-fused-button-bar id="granularity-selector"
            .options=${t}
            ?disabled=${0===this.currentTokens.length}>
        </lit-fused-button-bar>
        ${this.segmentationMode===T.CUSTOM?r:null}
      </div>
      <div class="controls-group" style="gap: 8px;">
        <lit-switch
          ?selected=${!this.denseView}
          @change=${()=>{this.denseView=!this.denseView}}>
          <mwc-icon class='icon-button large-icon' title='Flowing text' slot='labelLeft'>
            notes
          </mwc-icon>
          <mwc-icon class='icon-button large-icon' title='Segments' slot='labelRight'>
            grid_view
          </mwc-icon>
        </lit-switch>
        <mwc-icon class='icon-button large-icon' title='Vertical density'
            @click=${()=>{this.vDense=!this.vDense}}>
            ${this.vDense?"expand":"compress"}
        </mwc-icon>
        <mwc-icon class='icon-button large-icon'
            title=${this.underline?"Switch to highlight mode":"Switch to underline mode"}
            @click=${()=>{this.underline=!this.underline}}>
            ${this.underline?"font_download":"format_color_text"}
        </mwc-icon>
      </div>
      <div class='flex-grow-spacer'></div>
    `}renderSelfScoreSelector(){return null}renderMethodSelector(){const t=Object.keys(this.salienceSpecInfo).map((t=>({text:t,selected:this.selectedSalienceMethod===t,onClick:()=>{this.selectedSalienceMethod!==t&&(this.selectedSalienceMethod=t)}})));return l.dy`
      <div class="controls-group" style="gap: 8px;">
        <label class="dropdown-label" id="method-label"
         for="method-selector">Method:</label>
        <lit-fused-button-bar .options=${t} id="method-selector">
        </lit-fused-button-bar>
        ${this.renderSelfScoreSelector()}
      </div>
    `}targetSpanText(t,n){const r=this.currentTokens.slice(t,n);return this.segmentationMode!==T.TOKENS||this.denseView?(0,x.T4)(r.join("")).trim():r.join(" ")}printTargetForHuman(t,n){return n===t+1?`[${t}] "${this.targetSpanText(t,n)}"`:`[${t}:${n}] "${this.targetSpanText(t,n)}"`}renderSalienceTargetStringIndicator(){const t=void 0!==this.salienceTargetOption?this.salienceTargetOptions[this.salienceTargetOption]:null;let n="",r="none selected.";null!=t&&(n=t.source===v.hs.REFERENCE?" (target)":" (response)",r=t.text);const a="Select a (response) from the model or a pre-defined (target) sequence from the dataset.",s=this.latestLoadPromises.has(C),d=(0,h.$)({"target-info-line":!0,"gray-text":null==t}),p=()=>{this.salienceTargetOption=void 0};return l.dy`
      <div class="controls-group controls-group-variable">
        <label class="dropdown-label" title=${a}>
          Sequence${n}:
        </label>
        <div class=${d}
         title=${null==t?"No target; select one below.":r}>
          ${r}
          ${s?this.renderLoadingIndicator():null}
        </div>
      </div>
      <div class='controls-group'>
        <lit-tooltip content=${a} tooltipPosition="left"
          id='change-target-button'>
          <button class='hairline-button'
            slot='tooltip-anchor' @click=${p}
            ?disabled=${null==t}>
            <span>Select sequence </span><span class='material-icon'>arrow_drop_down</span>
          </button>
        </lit-tooltip>
        <lit-tooltip content=${a} tooltipPosition="left"
          id='change-target-icon'>
          <mwc-icon class='icon-button'
            slot='tooltip-anchor' @click=${p}>
            edit
          </mwc-icon>
        </lit-tooltip>
      </div>
    `}renderLoadingIndicator(){return l.dy`
      <div class='loading-indicator-container'>
        <div class='loading-indicator'></div>
      </div>`}renderTargetIndicator(){const t=void 0!==this.targetTokenSpan&&this.salienceResultCache[this.spanToKey(this.targetTokenSpan)]===O,n=(0,h.$)({"target-info-line":!0,"gray-text":t});return l.dy`
      <div class="controls-group controls-group-variable"
        title="Selected target span.">
        <div class=${n}>
          ${(()=>{if(void 0===this.targetTokenSpan){const t=this.segmentationMode===T.TOKENS?"token(s)":"segment(s)";return l.dy`<span class="gray-text">
          Click ${t} above to select a target to explain.
        </span>`}const[t,n]=this.targetTokenSpan;return`Explaining ${this.printTargetForHuman(t,n)}`})()}
          ${t?this.renderLoadingIndicator():null}
        </div>
      </div>
    `}setSegmentTarget(t,n=!1){if(void 0===this.targetSegmentSpan)return void(this.targetSegmentSpan=[t,t+1]);const[r,a]=this.targetSegmentSpan;n?t<r?this.targetSegmentSpan=[t,a]:t>=a&&(this.targetSegmentSpan=[r,t+1]):this.targetSegmentSpan=t===r-1?[t,a]:t===a?[r,t+1]:t===r?r+1<a?[r+1,a]:void 0:t===a-1?r<a-1?[r,a-1]:void 0:[t,t+1]}inTargetSpan(t){return void 0!==this.targetSegmentSpan&&(t>=this.targetSegmentSpan[0]&&t<this.targetSegmentSpan[1])}renderTargetSelectorInterstitial(){const t=(t,n)=>({source:t.source,template:l.dy`<div class='interstitial-target-option'
            @click=${()=>{this.salienceTargetOption=n}}>
            <div class='interstitial-target-text'>${t.text}</div>
          </div>`}),n=this.salienceTargetOptions.map(((n,r)=>t(n,r))),r=n.filter((t=>t.source===v.hs.REFERENCE)).map((t=>t.template)),a=n.filter((t=>t.source===v.hs.MODEL_OUTPUT)).map((t=>t.template)),s=this.latestLoadPromises.has(C);return l.dy`
      <div class='interstitial-container'>
        <div class='interstitial-contents'>
          <div class='interstitial-header'>
            Choose a sequence to explain
          </div>
          <div class='interstitial-target-selector'>
            <div class='interstitial-target-type'>From dataset (target):</div>
            ${r}
            <div class='interstitial-target-type'>From model (response):</div>
            ${s?this.renderLoadingIndicator():null}
            ${a}
          </div>
        </div>
      </div>`}renderNoExampleInterstitial(){return l.dy`
      <lit-interstitial headline="Sequence Salience">
        Enter a prompt in the Editor or select an example from the Data Table to begin.
      </lit-interstitial>`}renderContent(){var t,n;if(null==this.currentData)return this.renderNoExampleInterstitial();if(void 0===this.salienceTargetOption)return this.renderTargetSelectorInterstitial();if(0===this.currentSegmentTexts.length)return null;const r=this.currentSegmentTexts,a=[];for(let s=0;s<r.length;s++){const l=this.inTargetSpan(s);let d=null!==(n=null===(t=this.activeSalience)||void 0===t?void 0:t[s])&&void 0!==n?n:0;l&&!this.showSelfSalience&&(d=0),a.push({token:r[s],weight:d,selected:l,onClick:t=>{var n;this.setSegmentTarget(s,t.shiftKey),t.shiftKey&&(null===(n=document.getSelection())||void 0===n||n.removeAllRanges()),t.stopPropagation()}})}return l.dy`
      <div class='chip-container'>
        <sequence-salience-chips
          .tokensWithWeights=${a} .cmap=${this.cmap}
          ?dense=${this.denseView} ?vDense=${this.vDense}
          ?underline=${this.underline}
          ?preSpace=${this.denseView} breakNewlines>
        </sequence-salience-chips>
      </div>
    `}renderColorLegend(){const t=this.cmap,n=t instanceof g.kh,r=n?"Salience is relative to the model's prediction of a token. A positive score (more green) for a token means that token influenced the model to predict the selected target, whereas a negaitve score (more pink) means the token influenced the model to not predict the selected target.":"Salience is relative to the model's prediction of a token. A larger score (more purple) for a token means that token was more influential on the model's prediction of the selected target.";return l.dy`
      <color-legend legendType=${s.H.SEQUENTIAL}
        label=${"Salience"}
        .scale=${t.asScale()}
        numBlocks=${n?7:5}
        tooltipPosition="above"
        paletteTooltipText=${r}>
      </color-legend>`}renderColorControls(){return l.dy`
      <div class="controls-group">
        ${this.renderColorLegend()}
        <mwc-icon class='icon'>opacity</mwc-icon>
        <label id='colormap-slider-label' class='dropdown-label'
         for="cmap-range-slider">Colormap intensity:</label>
        <lit-numeric-input min="0" max="1" step="0.1" id='cmap-range-slider'
          value="${this.cmapRange}" @change=${t=>{this.cmapRange=Number(t.target.value)}}>
        </lit-numeric-input>
        <mwc-icon class='icon-button value-reset-icon' title='Reset colormap'
          @click=${()=>{this.cmapRange=.4}}>
          restart_alt
        </mwc-icon>
      </div>`}renderImpl(){return l.dy`
      <div class="module-container">
        <div class="module-toolbar">
          ${this.renderSalienceTargetStringIndicator()}
        </div>
        <div class="module-toolbar">
          ${this.renderGranularitySelector()}
          ${this.renderMethodSelector()}
        </div>
        <div class="module-results-area ${w.SU} flex-column" @click=${()=>{this.resetTargetSpan()}}>
          ${this.renderContent()}
        </div>
        <div class="module-footer module-footer-wrappable">
          ${this.renderTargetIndicator()}
          ${this.renderColorControls()}
        </div>
      </div>
    `}};I.title="Sequence Salience",I.numCols=6,I.duplicateAsRow=!0,I.template=(t,n,r)=>l.dy`<sequence-salience-module model=${t} .shouldReact=${r}
                  selectionServiceIndex=${n}>
                </sequence-salience-module>`,(0,a.gn)([p.LO,(0,a.w6)("design:type",String)],I.prototype,"segmentationMode",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",String)],I.prototype,"customSegmentationRegexString",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"selectedSalienceMethod",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"cmapRange",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"denseView",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"vDense",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"underline",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"showSelfSalience",void 0),(0,a.gn)([p.LO.ref,(0,a.w6)("design:type",Array)],I.prototype,"currentTokens",void 0),(0,a.gn)([p.LO.ref,(0,a.w6)("design:type",Array)],I.prototype,"salienceTargetOptions",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Number)],I.prototype,"salienceTargetOption",void 0),(0,a.gn)([p.LO.ref,(0,a.w6)("design:type",Array)],I.prototype,"targetSegmentSpan",void 0),(0,a.gn)([p.LO,(0,a.w6)("design:type",Object)],I.prototype,"salienceResultCache",void 0),(0,a.gn)([p.Fl,(0,a.w6)("design:type",String),(0,a.w6)("design:paramtypes",[])],I.prototype,"salienceModelName",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",String),(0,a.w6)("design:paramtypes",[])],I.prototype,"tokenizerModelName",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],I.prototype,"modifiedData",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",RegExp),(0,a.w6)("design:paramtypes",[])],I.prototype,"customSegmentationRegex",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"currentTokenGroups",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"currentSegmentOffsets",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"targetTokenSpan",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"currentSegmentTexts",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],I.prototype,"salienceSpecInfo",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"activeTokenSalience",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],I.prototype,"activeSalience",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],I.prototype,"cmapDomain",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Number),(0,a.w6)("design:paramtypes",[])],I.prototype,"cmapGamma",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],I.prototype,"signedSalienceCmap",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],I.prototype,"unsignedSalienceCmap",null),(0,a.gn)([p.Fl,(0,a.w6)("design:type",g.LB),(0,a.w6)("design:paramtypes",[])],I.prototype,"cmap",null),I=(0,a.gn)([(0,d.Mo)("sequence-salience-module"),(0,a.w6)("design:paramtypes",[])],I)},5909:(t,n,r)=>{"use strict";var a=r(7582),s=(r(5681),r(4567),r(9392)),l=r(5595),d=r(9455),h=r(8949),p=r(3506),f=r(9604),m=(r(6645),r(4262)),g=r(5889),v=(r(4915),r(7098)),y=(r(7965),r(9410)),b=r(437);const x=s.iv`.module-content {
  display: flex;
  flex-direction: row;
}

.module-footer {
  justify-content: flex-end;
}

.field-name {
  font-weight: bold;
}

.tcav-dropdown {
  max-width: unset;
}

#vis-container {
  height: 100%;
  width: 100%;
}

#warning-text {
  margin-left: 5px;
  font-size: 11px;
}

.loading {
  opacity: .3;
}

.spinner-container {
  position: absolute;
  top: 150px;
  left: 80px;
}

.collapse-bar {
  align-items: center;
  background: rgb(248, 249, 250);
  width: 100%;
  height: 36px;
  cursor: pointer;
  padding: 2px 8px;
  width: 100%;
  border: 1px solid rgb(232, 234, 237);
  outline: none;
  display: flex;
  justify-content: space-between;
  box-sizing: border-box;
}

.collapse-content {
  flex: 1 1 0%
}

.left-container {
  border-right: 1px solid #e8eaed;
  width: 500px;
}

.controls-buttons {
  display: flex;
  flex-direction: row;
  align-items: center;
}

.controls-actions {
  align-items: center;
  border-bottom: 1px solid #e8eaed;
  border-top: 1px solid #e8eaed;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
}

.controls-actions > * {
  margin: 4px;
}

.output-controls {
  border: 1px solid #e8eaed;
  display: flex;
  height: 32px;
}

.require-text {
  margin: 4px 8px 16px 4px;
}

.label-2 {
  color: #80868b;
  font-family: Roboto;
  font-size: 12px;
  font-style: normal;
  font-weight: normal;
}
`,w="tcav",S=["Positive Slice","Negative Slice","Run","Embedding","Class","CAV Score","Score Bar"];let _=class TCAVModule extends f.p{static get styles(){return[g.W,x]}get modelSpec(){return this.appState.getModelSpec(this.model)}get gradKeys(){return(0,v.Fe)(this.modelSpec.output,m.Rj)}get TCAVSliceNames(){return this.sliceService.sliceNames.filter((t=>t!==b.Z))}get slicePairs(){const t=Array.from(this.selectedSlices.values()),n=Array.from(this.negativeSlices.values());if(0===t.length)return[];if(0===n.length)return t.map((t=>[t,null]));const r=[];for(const a of t)for(const t of n)r.push([a,t]);return r}get predClasses(){const[t]=(0,v.Fe)(this.modelSpec.output,m.OS);return null==t?[]:this.modelSpec.output[t].vocab}get nullIndex(){const[t]=(0,v.Fe)(this.modelSpec.output,m.OS);return null==t?void 0:this.modelSpec.output[t].null_idx}constructor(){super(),this.sliceService=p.l.getService(y.qG),this.dataService=p.l.getService(y.Do),this.selectedSlices=new Set,this.selectedLayers=new Set,this.selectedClasses=new Set,this.negativeSlices=new Set,this.isLoading=!1,this.resultsTableData=[],this.cavCounter=0,(0,h.rC)(this)}firstUpdated(){if(0===this.selectedLayers.size&&this.gradKeys.length>0&&this.selectedLayers.add(this.gradKeys[0]),0===this.selectedClasses.size&&this.predClasses.length>1){const t=0===this.nullIndex?1:0;this.selectedClasses.add(this.predClasses[t])}}renderSpinner(){return s.dy`
      <div class="spinner-container">
        <lit-spinner size=${24} color="var(--app-secondary-color)">
        </lit-spinner>
      </div>
    `}renderCollapseBar(t,n,r,a,l="",d=null){function h(t){return(n,r)=>{n.target.checked?t.add(r):t.delete(r)}}const p=n.map((t=>{const n=h(a),r=[s.dy`<lit-checkbox ?checked=${a.has(t)}
                @change='${r=>{n(r,t)}}'>
            </lit-checkbox>`,t];if(null!=d){const n=h(d);r.push(s.dy`<lit-checkbox id='compare-switch'
                  ?checked=${d.has(t)}
                  @change='${r=>{n(r,t)}}'>
                </lit-checkbox>`)}return r})),f=["selected",r];return null!=d&&f.push(l),s.dy`
      <expansion-panel .label=${t} ?expanded=${"Select Slices"===t}>
        <div class='collapse-content'>
          ${0===p.length?s.dy`
                <div class='require-text label-2'>
                  This module requires at least one ${r.toLowerCase()}.
                </div>`:s.dy`
                <lit-data-table .verticalAlignMiddle=${!0}
                                .columnNames=${f}
                                .data=${p}></lit-data-table>`}
        </div>
      </expansion-panel>`}renderImpl(){const t=()=>{for(const t of this.selectedSlices){const n=this.sliceService.getSliceByName(t);if(null==n)return!0;const r=this.appState.currentInputData.length-n.length;if(n.length>=3&&r>=3)return!1}return!0},n=this.selectedClasses.size*this.selectedSlices.size*this.selectedLayers.size;return s.dy`
      <div class="module-container">
        <div class="module-content">
          <div class="left-container">
            <div class="controls-holder">
              ${this.renderCollapseBar("Select Slices",this.TCAVSliceNames,"Positive slice",this.selectedSlices,"Negative slice",this.negativeSlices)}
              ${this.renderCollapseBar("Explainable Classes",this.predClasses,"Class",this.selectedClasses)}
              ${this.renderCollapseBar("Embeddings",this.gradKeys,"Embedding",this.selectedLayers)}
            </div>
            <div class="controls-actions">
              <div id='examples-selected-label'
                class="label-2">${n} CAV Results</div>
              <div class="controls-buttons">
                <button id='clear-button' class="hairline-button"
                  @click=${()=>{this.selectedClasses.clear(),this.selectedLayers.clear(),this.selectedSlices.clear(),this.negativeSlices.clear()}}
                  ?disabled=${0===this.selectedClasses.size&&0===this.selectedLayers.size&&0===this.selectedSlices.size&&0===this.negativeSlices.size}>Clear</button>
                <lit-tooltip content=${t()?"Select a slice with 3 or more examples.":""}>
                  <button id='submit'
                    class="hairline-button" slot="tooltip-anchor"
                    @click=${()=>this.runTCAV()} ?disabled=${t()}>Run TCAV</button>
                </lit-tooltip>
              </div>
            </div>
          </div>
          <div id='vis-container' class=${(0,d.$)({loading:this.isLoading})}>
            ${this.isLoading?this.renderSpinner():""}
            <lit-data-table .columnNames=${S}
                            .data=${[...this.resultsTableData]}
                            .verticalAlignMiddle=${!0}></lit-data-table>
          </div>
        </div>
        <div class="module-footer">
          <button class="hairline-button" @click=${()=>{this.resultsTableData=[],this.cavCounter=0,this.requestUpdate()}}
             ?disabled=${0===this.resultsTableData.length}>Clear</button>
        </div>
      </div>
    `}runSingleTCAV(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){const a=this.appState.currentInputData.length-t.concept_set_ids.length;if(t.concept_set_ids.length<3||a<3)return;const s=yield this.apiService.getInterpretations(this.appState.currentInputData,this.model,this.appState.currentDataset,w,t,`Running ${w}`);return null!==s?{positiveSlice:n,negativeSlice:r,config:t,score:s[0].result.score,p_val:s[0].p_val,cosSim:s[0].result.cos_sim,random_mean:s[0].random_mean,cav:s[0].result.cav}:void 0}))}runCAVSimilarity(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){const r=yield this.apiService.getInterpretations([n],this.model,this.appState.currentDataset,w,t,`Running ${w}`);if(null!=r)return r[0].cos_sim[0]}))}getTcavRunName(t,n,r){let a=n;return"-"!==r&&(a+=`-${r}`),a+=`-${this.cavCounter}-${t.grad_layer}-${t.class_to_explain}`,a}runTCAV(){return(0,a.mG)(this,void 0,void 0,(function*(){this.isLoading=!0;const t=[];for(const n of this.slicePairs)for(const r of this.selectedClasses.values())for(const a of this.selectedLayers.values()){const s=n[0],l=n[1],d={concept_set_ids:this.sliceService.getSliceByName(s),class_to_explain:r,grad_layer:a};if(null!=l){const t=this.sliceService.getSliceByName(l);d.negative_set_ids=t}t.push(this.runSingleTCAV(d,s,null!=l?l:"-"))}const n=yield this.loadLatest("getResults",Promise.all(t));if(null!=n){for(const t of n){if(null==t)continue;if(null==t.config||null==t.score)continue;let n=s.dy`<tcav-score-bar
             score=${t.score}
             meanVal=${t.random_mean}
             clampVal=${1}>
           </tcav-score-bar>`,r=t.score.toFixed(3);if(null!=t.p_val&&t.p_val>.05)r="-",n="this run was not statistically significant (p > 0.05)";else if(null==t.p_val)n="Did not run t-testing (requires at least 6 positive and 6 negative samples)";else{const n=`TCAV cosine similarity: ${this.getTcavRunName(t.config,t.positiveSlice,t.negativeSlice)}`,r=(0,v.Tp)(m.Ru),s=n=>(0,a.mG)(this,void 0,void 0,(function*(){t.config.cav=t.cav;return yield this.runCAVSimilarity(t.config,n)})),l=new Map;for(let n=0;n<this.appState.currentInputData.length;n++){const r=this.appState.currentInputData[n];l.set(r.id,t.cosSim[n])}this.dataService.addColumn(l,"TCAV",n,r,"Interpreter",s)}this.resultsTableData.push({"Positive Slice":t.positiveSlice,"Negative Slice":t.negativeSlice,Run:this.cavCounter,Embedding:t.config.grad_layer,Class:t.config.class_to_explain,"CAV Score":r,"Score Bar":n})}this.cavCounter++,this.isLoading=!1,this.requestUpdate()}}))}static shouldDisplayModule(t){if(!(0,v.Rf)(t,[m.JK,m.Rj,m.OS]))return!1;for(const n of Object.values(t))if(-1!==n.interpreters.indexOf("tcav"))return!0;return!1}};_.title="TCAV Explorer",_.infoMarkdown="TCAV estimates the importance of high-level concepts (e.g., color,\n      gender, race) for a prediction class.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#tcav)",_.numCols=12,_.duplicateForModelComparison=!0,_.template=(t,n,r)=>s.dy`
  <tcav-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </tcav-module>`,(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"selectedSlices",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"selectedLayers",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"selectedClasses",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"negativeSlices",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"isLoading",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"modelSpec",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"gradKeys",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"TCAVSliceNames",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],_.prototype,"slicePairs",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"predClasses",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"nullIndex",null),_=(0,a.gn)([(0,l.Mo)("tcav-module"),(0,a.w6)("design:paramtypes",[])],_)},8565:(t,n,r)=>{"use strict";var a=r(7582),s=(r(3539),r(1800),r(1239),r(7924)),l=r(9392),d=r(5595),h=r(8949),p=r(3506),f=r(9604),m=(r(6645),r(5806)),g=r(4262),v=r(5889),y=(r(4915),r(7098)),b=r(9410);const x=l.iv`.module-toolbar {
  border-bottom: 1px solid #dadce0;
  box-sizing: border-box;
  justify-content: space-between;
}

.tda-module-content {
  display: flex;
  flex-direction: row;
  overflow: hidden;
}

.controls-sidebar {
  border-right: 1px solid var(--lit-neutral-300);
  box-sizing: border-box;
  flex-grow: 0;
  flex-shrink: 0;
  overflow-y: auto;
  width: 400px;
}

.label-controls {
  overflow: hidden;
  transition: max-height 0.2s ease-out;
  box-sizing: border-box;
}

.label-control-holder {
  margin: 8px;
  display: flex;
  align-items: center;
  flex-flow: row wrap;
  justify-content: space-between;
  box-sizing: border-box;
}

/* right-align content, particularly dropdowns */
.label-control {
  display: flex;
  justify-content: flex-end;
  width: 65%;
}

.label-control .dropdown {
  max-width: unset; /* unset default from shared_styles */
  width: 100%;
}

.results-holder {
  display: flex;
  flex-direction: column;
  flex-grow: 1;
  flex-shrink: 1;
  overflow-y: auto;
  margin-left: 4px;
}

.controls-sidebar .label {
  font-size: 16px;
  font-weight: bold;
  margin-bottom: 10px;
}

.controls-sidebar.visible {
  display: block;
}

.footer-end-controls {
  align-items: center;
  display: flex;
  flex-direction: row;
  justify-content: flex-end;
}
`;var w;let S=class OutputRowControls extends s.G{constructor(){super(...arguments),this.exampleInDataset=!1}static get styles(){return[v.W,x,l.iv`
            :host {
              display: flex;
              flex-direction: row;
              color: #1a73e8;
            }
            :host > * {
              margin-right: 4px;
            }
            `]}render(){return this.exampleInDataset?l.dy`
        <mwc-icon class="icon-button outlined disabled">
          done
        </mwc-icon>
      `:l.dy`
      <mwc-icon class="icon-button outlined" @click=${()=>{const t=new CustomEvent("add-point");this.dispatchEvent(t)}}>
        add_box
      </mwc-icon>
    `}};(0,a.gn)([(0,d.Cb)({type:Boolean,reflect:!0}),(0,a.w6)("design:type",Object)],S.prototype,"exampleInDataset",void 0),S=(0,a.gn)([(0,d.Mo)("tda-output-row-controls")],S);let _=w=class TrainingDataAttributionModule extends f.p{static get styles(){return[v.W,x]}get datasetName(){return this.appState.currentDataset}get globalParams(){return{model_name:this.model,dataset_name:this.datasetName}}get targetLabelInputKeys(){const{input:t,output:n}=this.appState.getModelSpec(this.model),r=new Set;for(const t of Object.values(n)){const{parent:n}=t;null!=n&&r.add(n)}return[...r].filter((n=>void 0!==t[n]))}getTargetStringsByInputKey(t){const n=[],r=this.appState.currentDatasetSpec;if(null!=this.currentData&&void 0!==r[t]?n.push(...(0,m.YR)([t],this.currentData.data)):n.push(""),null!=this.currentData&&null!=this.currentPreds){const r=this.appState.getModelSpec(this.model).output,a=Object.keys(r).filter((n=>r[n].parent===t)),s=(0,y.tf)(r,a);n.push(...(0,m.C5)(s,this.currentPreds))}return n}get modifiedInput(){if(null!=this.currentData)return Object.keys(this.customLabels).length?(0,y.sV)(this.currentData,this.customLabels,"tda_custom"):this.currentData}static compatibleGenerators(t){return Object.keys(t).filter((n=>(0,y.Fe)(t[n].metaSpec,g.UW).length>0))}get compatibleGenerators(){const t=this.appState.metadata.generators;return w.compatibleGenerators(t)}get totalNumGenerated(){return this.retrievedExamples.reduce(((t,n)=>t+n.length),0)}constructor(){super(),this.currentData=void 0,this.customLabels={},this.currentPreds=void 0,this.isRunning=!1,this.retrievedExamples=[],this.appliedGenerator=null,(0,h.rC)(this)}firstUpdated(){this.reactImmediately((()=>this.selectionService.primarySelectedInputData),(t=>{this.selectionService.lastUser!==this&&this.clearOutput(),this.updateToSelection(t)})),this.react((()=>this.totalNumGenerated),(t=>{t<=0&&this.clearOutput()}))}updateToSelection(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(null==t)return this.currentData=void 0,this.customLabels={},void(this.currentPreds=void 0);this.currentData=t,this.customLabels={},this.currentPreds=void 0;const n=this.apiService.getPreds([t],this.model,this.appState.currentDataset,m.No,[],"Getting targets from model prediction"),r=yield this.loadLatest("generationResults",n);if(null===r)return;const a=this.appState.getModelSpec(this.model).output,s=(0,m.ii)(r[0],a);this.currentData=t,this.customLabels={},this.currentPreds=s}))}clearOutput(){this.retrievedExamples=[],this.appliedGenerator=null}handleGeneratorClick(t,n){this.isRunning||(this.clearOutput(),this.retrieveExamples(t,this.model,n))}retrieveExamples(t,n,r){return(0,a.mG)(this,void 0,void 0,(function*(){this.isRunning=!0,this.appliedGenerator=t;const a=this.modifiedInput?[this.modifiedInput]:[];try{const s=yield this.apiService.getGenerated(a,n,this.appState.currentDataset,t,r);for(const t of s)for(const n of t)Object.assign(n.meta,{added:1});this.retrievedExamples=s,this.isRunning=!1}catch(t){this.isRunning=!1}}))}addToDataset(t){return(0,a.mG)(this,void 0,void 0,(function*(){this.appState.commitNewDatapoints(t);const n=t.map((t=>t.id));if(0===n.length)return;const r=new Set(t.map((t=>t.meta.parentId)));if(this.selectionService.selectIds([...r,...n],this),this.selectionService.setPrimarySelection(n[0],this),this.appState.compareExamplesEnabled){const a=p.l.getService(b.z2,"pinned");a.selectIds([...r,...n],this);const s=t[0].meta.parentId;a.setPrimarySelection(s,this)}}))}renderTargetSelector(t){var n,r;const a=this.getTargetStringsByInputKey(t),s=null!==(r=null===(n=this.modifiedInput)||void 0===n?void 0:n.data[t])&&void 0!==r?r:"",d=`Target string for ${t}`;return l.dy`
      <div class='label-control-holder' title=${d}>
        <div class="field-name">${t}</div>
        <div class='label-control'>
          <select class="dropdown" @change=${n=>{const r=n.target.value;""===r?delete this.customLabels[t]:this.customLabels[t]=r}}>
            ${a.map((t=>l.dy`<option value=${t} ?selected=${t===s}>
                     ${t}
                   </option>`))}
          </select>
        </div>
      </div>
    `}renderLabelControls(){const t=this.targetLabelInputKeys.map((t=>this.renderTargetSelector(t)));return l.dy`
      <div>
        <expansion-panel label="Target Labels" expanded>
          <div class='label-controls'>
            ${t}
          </div>
        </expansion-panel>
      </div>
    `}renderFooterControls(){const t=this.totalNumGenerated<=0;return l.dy`
      <div class="footer-end-controls">
        <button class="hairline-button" ?disabled=${t}
           @click=${this.clearOutput}>
           Clear output
        </button>
      </div>`}renderImpl(){return l.dy`
      <div class="module-container">
        <div class="module-content tda-module-content">
          <div class="controls-sidebar">
            ${this.renderLabelControls()}
            ${this.renderGeneratorControls()}
          </div>
          ${this.renderRetrievedExamples()}
        </div>
        <div class="module-footer">
          <p class="module-status">${this.getStatus()}</p>
          ${this.renderFooterControls()}
        </div>
      </div>
    `}getStatus(){if(this.isRunning)return"Running...";if(this.appliedGenerator){const t=1===this.totalNumGenerated?"":"s";return`\n        ${this.appliedGenerator}: retrieved ${this.totalNumGenerated}\n        example${t}.\n      `}return this.compatibleGenerators.length?null==this.selectionService.primarySelectedInputData?"Select an example to begin.":"":"No generator components available."}renderInterstitial(){return l.dy`
      <lit-interstitial headline="Training Data Attribution">
        Find training examples that are influential for a given prediction.
      </lit-interstitial>`}renderEmptyNotice(){return l.dy`
      <lit-interstitial>
        No examples generated.
      </lit-interstitial>`}renderRetrievedExamples(){const t=this.createEntries();return this.appliedGenerator?t.length<=0?this.isRunning?null:this.renderEmptyNotice():l.dy`
      <div class="results-holder">
        <lit-data-table class="table"
            .columnNames=${Object.keys(t[0])}
            .data=${t}
            exportEnabled
        ></lit-data-table>
      </div>
    `:this.renderInterstitial()}createEntries(){const t=[];for(let n=0;n<this.retrievedExamples.length;n++){const r=this.retrievedExamples[n];for(let n=0;n<r.length;n++){const s=r[n],d=()=>(0,a.mG)(this,void 0,void 0,(function*(){yield this.addToDataset([s])})),h=Object.assign({},s.data),p=this.appState.currentInputDataById.has(s.id);h["Add to Dataset"]=l.dy`<tda-output-row-controls
                                      ?exampleInDataset=${p}
                                      @add-point=${d}/>`,t.push(h)}}return t}renderGeneratorControls(){const t=this.appState.metadata.generators,n=t=>{const n=t.detail.settings,r=t.detail.name,a=Object.assign({},this.globalParams,n);this.handleGeneratorClick(r,a)};return this.compatibleGenerators.map(((r,a)=>{const s=t[r].configSpec,d=(0,y.o8)(s),h=t[r].description;for(const t of Object.values(d))t instanceof g.$K&&(t.vocab=this.appState.getSpecKeysFromFieldMatcher(t,this.model));const p=null==this.selectionService.primarySelectedInputData;return l.dy`
            <lit-interpreter-controls
              .spec=${d}
              .name=${r}
              .description=${h||""}
              .applyButtonText=${"Run"}
              ?applyButtonDisabled=${p}
              ?opened=${0===a}
              @interpreter-click=${n}>
            </lit-interpreter-controls>`}))}static shouldDisplayModule(t,n){const r=p.l.getService(b.aB);return null!=r.metadata&&w.compatibleGenerators(r.metadata.generators).length>0}};_.title="Training Data Attribution",_.numCols=10,_.duplicateForExampleComparison=!0,_.duplicateForModelComparison=!0,_.template=(t,n,r)=>l.dy`
  <tda-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </tda-module>`,(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],_.prototype,"currentData",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"customLabels",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Object)],_.prototype,"currentPreds",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",Object)],_.prototype,"isRunning",void 0),(0,a.gn)([h.LO.ref,(0,a.w6)("design:type",Array)],_.prototype,"retrievedExamples",void 0),(0,a.gn)([h.LO,(0,a.w6)("design:type",String)],_.prototype,"appliedGenerator",void 0),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"datasetName",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"globalParams",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],_.prototype,"targetLabelInputKeys",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"modifiedInput",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],_.prototype,"compatibleGenerators",null),(0,a.gn)([h.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],_.prototype,"totalNumGenerated",null),_=w=(0,a.gn)([(0,d.Mo)("tda-module"),(0,a.w6)("design:paramtypes",[])],_)},5887:(t,n,r)=>{"use strict";var a,s=r(7582),l=(r(6278),r(5595)),d=r(9392),h=r(3959),p=r(8949),f=(r(482),r(3506)),m=r(9604),g=(r(6645),r(4262)),v=r(4915),y=r(7098),b=r(9410),x=(r(7190),r(5889));let w=a=class ThresholderModule extends m.p{static get styles(){return[x.W,d.iv`
        .cost-ratio-input {
          width: 50px;
        }

        .module-toolbar {
          margin-bottom: 4px;
        }
    `]}constructor(){super(),this.costRatio=1,this.selectedFacetBins={},this.selectedFacets=[],this.calculatedMargins={},this.classificationService=f.l.getService(b.c1),this.groupService=f.l.getService(b.lT),this.facetingControl=document.createElement("faceting-control"),(0,p.rC)(this);this.facetingControl.contextName=a.title,this.facetingControl.addEventListener("facets-change",(t=>{this.selectedFacets.length=0,this.selectedFacets.push(...t.detail.features),this.selectedFacetBins=t.detail.bins}))}connectedCallback(){super.connectedCallback(),this.reactImmediately((()=>this.groupedExamples),(t=>{this.updateMarginCategories(t)}))}updateMarginCategories(t){const{model:n}=this;if(n){this.calculatedMargins={};for(const r of this.binaryClassificationKeys){this.classificationService.setMarginGroups(n,r,t);const a={};for(const n of Object.keys(t))a[n]={};this.calculatedMargins[r]=a}}}get binaryClassificationKeys(){if(!this.model)return[];const t=this.appState.getModelSpec(this.model).output;return(0,y.Fe)(t,g.OS).filter((n=>(0,y.S7)(t[n])))}calculateThresholds(){return(0,s.mG)(this,void 0,void 0,(function*(){const t={cost_ratio:this.costRatio,facets:this.groupedExamples},n=yield this.apiService.getInterpretations(this.appState.currentInputData,this.model,this.appState.currentDataset,"thresholder",t);for(const t of n){const n=this.calculatedMargins[t.pred_key];for(const r of Object.keys(t.thresholds)){const a={};for(const n of Object.keys(t.thresholds[r]))a[n]=(0,y.DO)(t.thresholds[r][n]);n[r]=a}this.calculatedMargins[t.pred_key]=n}}))}get groupedExamples(){return this.groupService.groupExamplesByFeatures(this.selectedFacetBins,this.appState.currentInputData,this.selectedFacets)}renderTable(t){const n={background:"transparent","border-radius":"4px",border:"1px solid rgb(189, 193, 198)",color:"rgb(26, 115, 232)"},r=["Facet"],a=this.calculatedMargins[t];if(null==a)return null;let s=!0;const l=[];for(const p of Object.keys(a)){const f=[""===p?"All":p];for(const l of Object.keys(a[p])){if(s){const s=()=>{for(const n of Object.keys(a))this.classificationService.setMargin(this.model,t,a[n][l],this.groupedExamples[n])};r.push({name:l,html:d.dy`
              <div>${l}</div>
              <button style=${(0,h.V)(n)} @click=${s}>
                Apply
              </button>`,rightAlign:!0})}f.push((0,y.xt)(a[p][l]).toFixed(2))}const m=this.classificationService.getMargin(this.model,t,this.groupedExamples[p]),g=n=>{this.classificationService.setMargin(this.model,t,n.detail.margin,this.groupedExamples[p])};f.push(d.dy`<threshold-slider .margin=${m} label=${p}
                    ?isThreshold=${!0} @threshold-changed=${g}>
                  </threshold-slider>`),s=!1,l.push(f)}return r.push(t+" threshold"),d.dy`
        <lit-data-table
          .columnNames=${r}
          .data=${l}
        ></lit-data-table>
    `}renderControls(){return d.dy`
        ${this.facetingControl}
        <lit-tooltip content=${"The cost of false positives relative to false negatives. Used to find optimal classifier thresholds"}>
          <div slot="tooltip-anchor">Cost ratio (FP/FN):</div>
        </lit-tooltip>
        <input type=number class="cost-ratio-input" step="0.1" min=0 max=20
               .value=${this.costRatio.toString()}
               @input=${t=>{this.costRatio=+t.target.value}}>
        <lit-tooltip content=${"Calculate optimal threholds for each facet using the cost ratio and a number of different techniques"}>
          <button class='hairline-button' slot="tooltip-anchor"
            @click=${this.calculateThresholds}>
            Get optimal thresholds
          </button>
        </lit-tooltip>`}renderImpl(){const t=this.binaryClassificationKeys.map((t=>this.renderTable(t)));return d.dy`
        <div class='module-container'>
          <div class='module-toolbar'>
            ${this.renderControls()}
          </div>
          <div class='module-results-area ${v.SU}'>
            ${t}
          </div>
        </div>
        `}static shouldDisplayModule(t,n){return(0,y.Rf)(t,g.OS,y.S7)}};w.title="Binary Classifier Thresholds",w.infoMarkdown="Set threshold scores that are used to determine whether examples belong\n      to the positive class.<br>\n      [Learn more.](https://pair-code.github.io/lit/documentation/components.md#binary-classification-thresholds)",w.numCols=3,w.template=(t,n,r)=>d.dy`
  <thresholder-module model=${t} .shouldReact=${r}
    selectionServiceIndex=${n}>
  </thresholder-module>`,(0,s.gn)([p.LO,(0,s.w6)("design:type",Array)],w.prototype,"selectedFacets",void 0),(0,s.gn)([p.LO,(0,s.w6)("design:type",Object)],w.prototype,"calculatedMargins",void 0),(0,s.gn)([p.Fl,(0,s.w6)("design:type",Object),(0,s.w6)("design:paramtypes",[])],w.prototype,"binaryClassificationKeys",null),(0,s.gn)([p.Fl,(0,s.w6)("design:type",Object),(0,s.w6)("design:paramtypes",[])],w.prototype,"groupedExamples",null),w=a=(0,s.gn)([(0,l.Mo)("thresholder-module"),(0,s.w6)("design:paramtypes",[])],w)},696:(t,n,r)=>{"use strict";r.d(n,{s:()=>ApiService});var a=r(7582),s=r(4262),l=(r(4915),r(7098)),d=r(3930);r(9705);class ApiService extends d.R{constructor(t){super(),this.statusService=t}getDataset(t){return(0,a.mG)(this,void 0,void 0,(function*(){const n=yield this.queryServer("/get_dataset",{dataset_name:t},[],"Loading inputs");if(null==n){const t="Failed to load dataset (server returned null).";throw this.statusService.addError(t),new Error(t)}return n}))}createDataset(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){return this.queryServer("/create_dataset",{dataset_name:t},[],"Creating new dataset",n)}))}createModel(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){return this.queryServer("/create_model",{model_name:t},[],"Loading new model",n)}))}getInfo(){return(0,a.mG)(this,void 0,void 0,(function*(){return this.queryServer("/get_info",{},[],"Loading metadata")}))}getPreds(t,n,r,a,s,d){return d=d||"Fetching predictions",s=s||[],this.queryServer("/get_preds",{model:n,dataset_name:r,requested_types:(0,l.IK)(a).join(","),requested_fields:s.join(",")},t,d)}getGenerated(t,n,r,s,l,d){return(0,a.mG)(this,void 0,void 0,(function*(){return d=null!=d?d:"Loading generator output",this.queryServer("/get_generated",{model:n,dataset_name:r,generator:s},t,d,l)}))}annotateNewData(t,n){return this.queryServer("/annotate_new_data",{dataset_name:n},t)}fetchNewData(t){return this.queryServer("/fetch_new_data",{saved_datapoints_id:t},[])}getInterpretations(t,n,r,a,s,l,d=!1){return l=null!=l?l:"Fetching interpretations",this.queryServer("/get_interpretations",{model:n,dataset_name:r,interpreter:a,do_predict:d?"0":"1"},t,l,s)}getMetrics(t,n,r,a,s,l,d=!1){return l=null!=l?l:"Computing metrics.",this.queryServer("/get_metrics",{model:n,dataset_name:r,metrics:null!=a?a:"",do_predict:d?"0":"1"},t,l,s)}saveDatapoints(t,n,r){return this.queryServer("/save_datapoints",{dataset_name:n,path:r},t,"Saving new datapoints")}loadDatapoints(t,n){return this.queryServer("/load_datapoints",{dataset_name:t,path:n},[],"Loading new datapoints")}pushState(t,n,r){return this.queryServer("/push_ui_state",{dataset_name:n},t,"Syncing UI state.",r)}queryServer(t,n,r,d="",h){return(0,a.mG)(this,void 0,void 0,(function*(){const a=this.statusService.startLoading(d),p=r.map((t=>t.meta.added?t:t.id)),f=Object.keys(n).map((t=>`${t}=${n[t]}`)),m=encodeURI(`.${t}?${f.join("&")}`),g=JSON.stringify({inputs:p,config:h});try{const t=yield fetch(m,{method:"POST",body:g}),n=yield t.text();if(!t.ok)throw new Error(n);const r=JSON.parse(n,((t,n)=>{if(null!=n&&"object"==typeof n&&Object.hasOwn(n,"__class__")&&Object.hasOwn(n,"__name__")){const t=n;if("LitType"!==t.__class__)return n;const r=s.ue[t.__name__];if(null==r)throw new Error(`Attempted to revive an unknown LitType '${t.__name__}' with value:\n\n${JSON.stringify(n,null,"  ")}`);return(0,l.Tp)(r,n)}return n}));return a(),this.statusService.removeError(m),r}catch(t){a();const n=t.message.match("^.*?(?=\n\nDetails:)");throw n?this.statusService.addError(n[0],t.toString(),m):this.statusService.addError("Unknown error",t.toString(),m),t}}))}}},4479:(t,n,r)=>{"use strict";r.d(n,{c:()=>ClassificationService});var a=r(7582),s=r(8949),l=r(4262),d=(r(4915),r(7098)),h=r(3930);r(4725);class ClassificationService extends h.R{constructor(t){super(),this.appState=t,this.marginSettings={},(0,s.rC)(this),(0,s.U5)((()=>this.appState.currentModels),(t=>{if(0===t.length)return;const n=t.reduce(((t,n)=>(t[n]=this.appState.getModelSpec(n).output,t)),{});this.resetMargins(n)}),{fireImmediately:!0})}get allMarginSettings(){const t=[];for(const n of Object.values(this.marginSettings))for(const r of Object.values(n))for(const n of Object.values(r))t.push(n.margin);return t}setMarginGroups(t,n,r){null==this.marginSettings[t]&&(this.marginSettings[t]={}),null==this.marginSettings[t][n]&&(this.marginSettings[t][n]={});const{output:a}=this.appState.getModelSpec(t),s=a[n];if(!(s instanceof l.OS))return;const h=null!=s.threshold?(0,d.DO)(s.threshold):0;for(const a of Object.values(r))this.marginSettings[t][n][a.displayName]={facetData:a,margin:h}}resetMargins(t){const n={};for(const[r,a]of Object.entries(t)){n[r]={};for(const[t,s]of Object.entries(a)){if(!(s instanceof l.OS&&null!=s.null_idx&&s.vocab.length))continue;const a=null!=s.threshold?(0,d.DO)(s.threshold):0;if(n[r][t]={"":{margin:a}},null==this.marginSettings[r]||null==this.marginSettings[r][t])continue;const h=Object.keys(this.marginSettings[r][t]);for(const s of h){const{facetData:l}=this.marginSettings[r][t][s];n[r][t][s]={facetData:l,margin:a}}}}this.marginSettings=n}setMargin(t,n,r,a){if(null==this.marginSettings[t]&&(this.marginSettings[t]={}),null==this.marginSettings[t][n]&&(this.marginSettings[t][n]={}),null==a)if(""in this.marginSettings[t][n])this.marginSettings[t][n][""]={facetData:a,margin:r};else for(const a of Object.keys(this.marginSettings[t][n]))this.marginSettings[t][n][a].margin=r;else this.marginSettings[t][n][a.displayName]={facetData:a,margin:r}}getMargins(t){var n;return null!==(n=this.marginSettings[t])&&void 0!==n?n:{}}getMargin(t,n,r){var a,s,l;return null!==(l=null===(s=this.getMargins(t)[n][null!==(a=null==r?void 0:r.displayName)&&void 0!==a?a:""])||void 0===s?void 0:s.margin)&&void 0!==l?l:0}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],ClassificationService.prototype,"marginSettings",void 0),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],ClassificationService.prototype,"allMarginSettings",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,String,Object]),(0,a.w6)("design:returntype",void 0)],ClassificationService.prototype,"setMarginGroups",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object]),(0,a.w6)("design:returntype",void 0)],ClassificationService.prototype,"resetMargins",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,String,Number,Object]),(0,a.w6)("design:returntype",void 0)],ClassificationService.prototype,"setMargin",null)},7376:(t,n,r)=>{"use strict";r.d(n,{kh:()=>d.kh,x4:()=>ColorService,zT:()=>d.zT});var a=r(7582),s=r(3886),l=r(8949),d=r(6070),h=(r(4915),r(7965),r(7190),r(3930));r(2525);class ColorService extends h.R{constructor(t,n){super(),this.groupService=t,this.dataService=n,this.defaultColor=d.TP,this.defaultOption={name:"None",getValue:()=>"all",scale:s.PKp([this.defaultColor]).domain(["all"])},this.selectedColorOptionName="",(0,l.rC)(this)}get selectedColorOption(){if(0===this.colorableOptions.length)return this.defaultOption;const t=this.getTargetColorOption(this.selectedColorOptionName,this.colorableOptions);if(void 0!==t)return t;const n=this.getTargetColorOption(this.defaultClassificationColorOption,this.colorableOptions);return void 0!==n?n:this.defaultOption}get colorableOptions(){this.dataService.dataVals;const t=this.groupService.categoricalFeatureNames.map((t=>{var n;const r=this.groupService.categoricalFeatures[t];let a=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==a&&(a=r.length>1?d.qL:[d.TP]),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:s.PKp(a).domain(r)}})),n=this.groupService.booleanFeatureNames.map((t=>{var n;let r=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==r&&(r=d.qL),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:s.PKp(r).domain(["false","true"])}}));return[...t,...this.groupService.numericalFeatureNames.map((t=>{var n;const r=this.groupService.numericalFeatureRanges[t];let a=null===(n=this.dataService.getColumnInfo(t))||void 0===n?void 0:n.colorRange;return null==a&&(a=d.Do),{name:t,getValue:n=>this.dataService.getVal(n.id,t),scale:s.cJy(a).domain(r)}})),...n,this.defaultOption]}get defaultClassificationColorOption(){return this.dataService.predictedClassFeatureName}getTargetColorOption(t,n){return n.find((n=>n.name===t))}getDatapointColor(t){if(null==this.selectedColorOption||null==t)return this.defaultColor;const n=this.selectedColorOption.getValue(t);return this.selectedColorOption.scale(n)||this.defaultColor}setUrlConfiguration(t){var n;this.selectedColorOptionName=null!==(n=t.colorBy)&&void 0!==n?n:""}}(0,a.gn)([l.LO,(0,a.w6)("design:type",Object)],ColorService.prototype,"selectedColorOptionName",void 0),(0,a.gn)([l.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],ColorService.prototype,"selectedColorOption",null),(0,a.gn)([l.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],ColorService.prototype,"colorableOptions",null),(0,a.gn)([l.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],ColorService.prototype,"defaultClassificationColorOption",null)},7965:(t,n,r)=>{"use strict";r.d(n,{Do:()=>DataService,Yz:()=>m,g_:()=>a});var a,s=r(7582),l=r(8949),d=r(6070),h=r(4262),p=(r(4915),r(7098)),f=r(3930);r(9410);!function(t){t.PREDICTED_CLASS="class",t.CORRECT="correct",t.ERROR="error",t.SQUARED_ERROR="squared error"}(a||(a={}));const m="Regression";class DataService extends f.R{constructor(t,n,r,a){super(),this.appState=t,this.classificationService=n,this.apiService=r,this.settingsService=a,this.columnHeaders=new Map,this.columnData=new Map,this.predictedClassFeatureName="",(0,l.rC)(this),(0,l.U5)((()=>t.currentDataset),(()=>{this.columnHeaders.clear(),this.columnData.clear()})),(0,l.U5)((()=>[this.appState.currentInputData,this.appState.currentModels]),(([t,n])=>{if((null==t?void 0:t.length)&&n.length&&this.settingsService.isValidCurrentDataAndModels)for(const r of n)this.runClassification(r,t),this.runGeneratedTextPreds(r,t),this.runMultiLabelPreds(r,t),this.runRegression(r,t),this.runScalarPreds(r,t)}),{fireImmediately:!0}),(0,l.U5)((()=>this.classificationService.allMarginSettings),(()=>{if(this.settingsService.isValidCurrentDataAndModels)for(const t of this.appState.currentModels)this.runClassification(t,this.appState.currentInputData)}),{fireImmediately:!0}),this.appState.addNewDatapointsCallback((t=>(0,s.mG)(this,void 0,void 0,(function*(){return this.setValuesForNewDatapoints(t)}))))}getColumnName(t,n,r){return`${t}:${n}${null!=r?`:${r}`:""}`}runClassification(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,p.Fe)(r,h.OS).length)return;const s=this.apiService.getInterpretations(n,t,this.appState.currentDataset,"classification",this.classificationService.getMargins(t),"Computing classification results"),l=yield s;if(null==l||0===l.length)return;const f=Object.keys(l[0]);for(const s of f){const f=this.getColumnName(t,s),m=this.getColumnName(t,s,a.PREDICTED_CLASS),g=this.getColumnName(t,s,a.CORRECT),v=l.map((t=>t[s].scores)),y=l.map((t=>t[s].predicted_class)),b=l.map((t=>t[s].correct)),x=`Classification:${t}`;this.addColumnFromList(v,n,s,f,(0,p.Tp)(h.OS),x);const w=(0,p.Tp)(h.q0);if(r[s]instanceof h.OS){const t=r[s];w.vocab=t.vocab,this.addColumnFromList(y,n,s,m,w,x),this.updatePredictedClassFeatureName(m),null!=t.parent&&this.addColumnFromList(b,n,s,g,(0,p.Tp)(h.h5),x,(()=>null),d.rD)}}}))}updatePredictedClassFeatureName(t){this.predictedClassFeatureName=t}runGeneratedTextPreds(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){const r=[h.CP,h.hS],{output:a}=this.appState.getModelSpec(t);if(0===(0,p.Fe)(a,r).length)return;const s=this.apiService.getPreds(n,t,this.appState.currentDataset,r),l=yield s;if(null==l||0===l.length)return;const d=Object.keys(l[0]);for(const r of d){const s=a[r]instanceof h.CP,d=this.getColumnName(t,r),f=l.map((t=>t[r])),m=s?(0,p.Tp)(h.CP):(0,p.Tp)(h.hS),g=`${s?"GeneratedText":"GeneratedTextCandidates"}:${t}`;this.addColumnFromList(f,n,r,d,m,g)}}))}runRegression(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,p.Fe)(r,h.aK).length)return;const s=this.apiService.getInterpretations(n,t,this.appState.currentDataset,"regression",void 0,"Computing regression results"),l=yield s;if(null==l||0===l.length)return;const d=Object.keys(l[0]);for(const s of d){const d=this.getColumnName(t,s),f=this.getColumnName(t,s,a.ERROR),g=this.getColumnName(t,s,a.SQUARED_ERROR),v=l.map((t=>t[s].score)),y=l.map((t=>t[s].error)),b=l.map((t=>t[s].squared_error)),x=(0,p.Tp)(h.Ru),w=`${m}:${t}`;if(this.addColumnFromList(v,n,s,d,x,w),r[s]instanceof h.aK){null!=r[s].parent&&(this.addColumnFromList(y,n,s,f,x,w),this.addColumnFromList(b,n,s,g,x,w))}}}))}runScalarPreds(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,p.Fe)(r,h.Ru).length)return;const a=this.apiService.getPreds(n,t,this.appState.currentDataset,[h.Ru]),s=yield a;if(null==s||0===s.length)return;const l=Object.keys(s[0]);for(const r of l){const a=this.getColumnName(t,r),l=s.map((t=>t[r])),d=(0,p.Tp)(h.Ru),f=`Scalar:${t}`;this.addColumnFromList(l,n,r,a,d,f)}}))}runMultiLabelPreds(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){const{output:r}=this.appState.getModelSpec(t);if(0===(0,p.Fe)(r,h.rQ).length)return;const a=this.apiService.getPreds(n,t,this.appState.currentDataset,[h.rQ]),s=yield a;if(null==s||0===s.length)return;const l=Object.keys(s[0]);for(const r of l){const a=this.getColumnName(t,r),l=s.map((t=>t[r])),d=(0,p.Tp)(h.rQ),f=`Multilabel:${t}`;this.addColumnFromList(l,n,r,a,d,f)}}))}setValuesForNewDatapoints(t){return(0,s.mG)(this,void 0,void 0,(function*(){for(const n of t)for(const t of this.cols){const r=t.name,a=yield this.columnHeaders.get(r).getValueFn(n);this.columnData.get(r).set(n.id,a)}}))}get cols(){return Array.from(this.columnHeaders.values())}getColNamesOfType(t){return this.cols.filter((n=>(0,p.kL)(n.dataType,t))).map((t=>t.name))}getColumnInfo(t){return this.columnHeaders.get(t)}get dataVals(){const t=[];for(const n of this.columnData.values())t.push(...n.values());return t}addColumn(t,n,r,a,s,l=(()=>null),d){this.columnHeaders.has(r)||this.columnHeaders.set(r,{dataType:a,source:s,name:r,key:n,getValueFn:l,colorRange:d}),this.columnData.has(r)&&(0,p.q1)(this.columnData.get(r),t)||this.columnData.set(r,t)}addColumnFromList(t,n,r,a,s,l,d=(()=>null),h){if(t.length!==n.length)throw new Error(`Attempted to add data column ${a} with incorrect number of values.`);const p=new Map;for(let r=0;r<n.length;r++){const a=n[r],s=t[r];p.set(a.id,s)}this.addColumn(p,r,a,s,l,d,h)}getVal(t,n){if(!this.columnHeaders.has(n)){const r=this.appState.getCurrentInputDataById(t);return null!=r?r.data[n]:null}return this.columnData.get(n).has(t)?this.columnData.get(n).get(t):null}getValAsync(t,n){return(0,s.mG)(this,void 0,void 0,(function*(){if(!this.columnHeaders.has(n)||this.columnData.get(n).has(t))return this.getVal(t,n);const r=this.appState.getCurrentInputDataById(t),a=yield this.columnHeaders.get(n).getValueFn(r);return this.columnData.get(n).set(r.id,a),a}))}getColumn(t){return this.appState.currentInputData.map((n=>this.getVal(n.id,t)))}}(0,s.gn)([l.LO,(0,s.w6)("design:type",Object)],DataService.prototype,"columnHeaders",void 0),(0,s.gn)([l.LO,(0,s.w6)("design:type",Object)],DataService.prototype,"columnData",void 0),(0,s.gn)([l.LO,(0,s.w6)("design:type",Object)],DataService.prototype,"predictedClassFeatureName",void 0),(0,s.gn)([l.aD,(0,s.w6)("design:type",Function),(0,s.w6)("design:paramtypes",[String]),(0,s.w6)("design:returntype",void 0)],DataService.prototype,"updatePredictedClassFeatureName",null),(0,s.gn)([l.aD,(0,s.w6)("design:type",Function),(0,s.w6)("design:paramtypes",[Array]),(0,s.w6)("design:returntype",Promise)],DataService.prototype,"setValuesForNewDatapoints",null),(0,s.gn)([l.Fl,(0,s.w6)("design:type",Array),(0,s.w6)("design:paramtypes",[])],DataService.prototype,"cols",null),(0,s.gn)([l.Fl,(0,s.w6)("design:type",Object),(0,s.w6)("design:paramtypes",[])],DataService.prototype,"dataVals",null),(0,s.gn)([l.aD,(0,s.w6)("design:type",Function),(0,s.w6)("design:paramtypes",[Object,String,String,h.VM,String,Function,Object]),(0,s.w6)("design:returntype",void 0)],DataService.prototype,"addColumn",null),(0,s.gn)([l.aD,(0,s.w6)("design:type",Function),(0,s.w6)("design:paramtypes",[Array,Array,String,String,h.VM,String,Function,Object]),(0,s.w6)("design:returntype",void 0)],DataService.prototype,"addColumnFromList",null)},5587:(t,n,r)=>{"use strict";r.d(n,{i:()=>FocusService});var a=r(7582),s=r(8949),l=r(3930);r(9929);class FocusService extends l.R{get focusData(){return this.focusDataInternal}constructor(t){super(),this.focusDataInternal=null,(0,s.rC)(this),(0,s.U5)((()=>t.primarySelectedInputData),(()=>{this.clearFocus()}))}setFocusedDatapoint(t){this.focusDataInternal={datapointId:t}}setFocusedField(t,n,r,a){this.focusDataInternal={datapointId:t,io:n,fieldName:r,subField:a}}clearFocus(){this.focusDataInternal=null}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],FocusService.prototype,"focusDataInternal",void 0),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],FocusService.prototype,"focusData",null)},7190:(t,n,r)=>{"use strict";r.d(n,{J:()=>a,l:()=>GroupService});var a,s=r(7582),l=r(3886),d=r(8949),h=r(4262),p=(r(4915),r(7098)),f=(r(7965),r(3930));r(4725);!function(t){t.DISCRETE="discrete",t.EQUAL_INTERVAL="equal-interval",t.QUANTILE="quantile",t.THRESHOLD="threshold"}(a||(a={}));class GroupService extends f.R{constructor(t,n){super(),this.appState=t,this.dataService=n,this.numericFeatureBinsMap=new Map,(0,d.rC)(this),(0,d.U5)((()=>this.appState.currentInputData),(()=>{this.numericFeatureBinsMap=new Map}))}get categoricalFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,p.Fe)(t,h.q0).concat(this.dataService.getColNamesOfType(h.q0))}get numericalFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,p.Fe)(t,h.Ru).concat(this.dataService.getColNamesOfType(h.Ru))}get booleanFeatureNames(){const t=this.appState.currentDatasetSpec;return(0,p.Fe)(t,h.h5).concat(this.dataService.getColNamesOfType(h.h5))}get denseFeatureNames(){return[...this.categoricalFeatureNames,...this.numericalFeatureNames,...this.booleanFeatureNames]}get categoricalFeatures(){var t;const n={};for(const r of this.categoricalFeatureNames){const a=null===(t=this.appState.currentDatasetSpec[r])||void 0===t?void 0:t.vocab;if(null!=a){n[r]=[...a];continue}const s=this.dataService.getColumnInfo(r),l=null==s?void 0:s.dataType;null==l||null==l.vocab?n[r]=[...new Set(this.dataService.getColumn(r))]:n[r]=l.vocab}return n}get numericalFeatureRanges(){const t={};for(const n of this.numericalFeatureNames){const r=this.dataService.getColumn(n),a=Math.min(...r),s=Math.max(...r);t[n]=[a,s]}return t}numericBinKey(t,n,r,a=!1){return a?r?`≥ ${t}`:`< ${n}`:`[${t}, ${n}${r?"]":")"}`}numericBinRange(t,n,r){return[t,n+(r?1e-6:0)]}freedmanDiaconisBins(t){const n=this.numericalFeatureRanges[t][0],r=this.numericalFeatureRanges[t][1],a=this.dataService.getColumn(t);let s=l.o6f(a,n,r);0!==s&&isFinite(s)||(s=10);const d=l.KXr().domain([n,r]).thresholds(s)(a),h={};for(const t of d){const{x0:n,x1:a}=t,s=a===r;if(null==n||null==a)continue;const l=this.numericBinRange(n,a,s);h[this.numericBinKey((0,p.T7)(n,3),(0,p.T7)(a,3),s)]=l}return h}discreteBins(t){const n={},[r,a]=this.numericalFeatureRanges[t],s=(0,p.Lt)(a-r);if("number"!=typeof s)throw new Error(`Unable to generate discrete bins; '${t}' step is not defined`);for(let t=r;t<a;t+=s){const r=t+s;n[this.numericBinKey(t,r,r===a)]=[t,r]}return n}equalIntervalBins(t,n){const r={},[a,s]=this.numericalFeatureRanges[t],l=(s-a)/n;for(let t=0;t<n;t++){const s=t===n-1,d=a+l*t,h=a+l*(t+1),f=this.numericBinRange(d,h,s);r[this.numericBinKey((0,p.T7)(d,3),(0,p.T7)(h,3),s)]=f}return r}quantileBins(t,n){const r={},a=this.dataService.getColumn(t).sort(((t,n)=>t-n));n=Math.min(n,a.length);const s=Math.ceil(a.length/n);for(let t=0;t<n;t++){const l=t===n-1,d=a[s*t],h=a[l?a.length-1:s*(t+1)],f=this.numericBinRange(d,h,l);r[this.numericBinKey((0,p.T7)(d,3),(0,p.T7)(h,3),l)]=f}return r}thresholdBins(t,n){const r=(0,p.T7)(n,3),a=this.numericBinKey(0,r,!1,!0),s=this.numericBinKey(r,0,!0,!0);return{[a]:[Number.NEGATIVE_INFINITY,n],[s]:[n,Number.POSITIVE_INFINITY]}}facetConfigsToKey(t){const n=t.sort(((t,n)=>t.featureName<n.featureName?-1:t.featureName>n.featureName?1:0));return JSON.stringify(n)}validateFacetingConfig(t){const{featureName:n,method:r,numBins:s,threshold:l}=t,d=null==r||r===a.DISCRETE,h=r===a.EQUAL_INTERVAL,p=r===a.QUANTILE&&"number"==typeof s&&s>0,f=r===a.THRESHOLD&&"number"==typeof l,m=d||h||p||f;if(!m){const r=JSON.stringify(t);throw new Error(`Invalid faceting config for '${n}': ${r}`)}return m}validateFacetingConfigs(t){return t.filter(this.validateFacetingConfig)}numericalFeatureBins(t){const n=JSON.stringify(t);if(this.numericFeatureBinsMap.has(n))return this.numericFeatureBinsMap.get(n);const r={},s=t.filter((t=>this.numericalFeatureNames.includes(t.featureName)));for(const t of s){const{featureName:n,method:s,numBins:l,threshold:d}=t;s===a.EQUAL_INTERVAL?r[n]=null==l||l<1?this.freedmanDiaconisBins(n):this.equalIntervalBins(n,l):s===a.QUANTILE?r[n]=this.quantileBins(n,l||4):s===a.THRESHOLD&&null!=d?r[n]=this.thresholdBins(n,d):r[n]=this.discreteBins(n)}return this.numericFeatureBinsMap.set(n,r),r}getNumericalBinForExample(t,n,r){const a=this.dataService.getVal(n.id,r);for(const n of Object.values(t[r])){const[t,r]=n;if(t<=a&&a<r)return n}return null}numIntersectionsLabel(t,n){const r=n.map((n=>this.categoricalFeatureNames.includes(n)?this.categoricalFeatures[n].length:this.numericalFeatureNames.includes(n)?Object.keys(t[n]).length:this.booleanFeatureNames.includes(n)?2:0)),a=r.reduce(((t,n)=>t*n));return r.length>1?`${r.join("x")} = ${a}`:r[0].toString()}groupExamplesByFeatures(t,n,r,a=((t,n,r,a)=>this.getFeatureValForInput(t,n,a))){const s={};for(let l=0;l<n.length;l++){const d=n[l],h={};for(const n of r){const r=a(t,d,l,n);if(null!=r)if(Array.isArray(r)){const a=Object.values(t[n]).indexOf(r),s=Object.keys(t[n])[a];h[n]={val:r,displayVal:s}}else h[n]={val:r,displayVal:r.toString()}}const f=(0,p.Mg)(h);s.hasOwnProperty(f)||(s[f]={displayName:f,data:[],facets:h}),s[f].data.push(d)}return s}getFeatureValForInput(t,n,r){return this.numericalFeatureNames.includes(r)?this.getNumericalBinForExample(t,n,r):this.dataService.getVal(n.id,r)}}(0,s.gn)([d.Fl,(0,s.w6)("design:type",Array),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"categoricalFeatureNames",null),(0,s.gn)([d.Fl,(0,s.w6)("design:type",Array),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"numericalFeatureNames",null),(0,s.gn)([d.Fl,(0,s.w6)("design:type",Array),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"booleanFeatureNames",null),(0,s.gn)([d.Fl,(0,s.w6)("design:type",Array),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"denseFeatureNames",null),(0,s.gn)([d.Fl,(0,s.w6)("design:type",Object),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"categoricalFeatures",null),(0,s.gn)([d.Fl,(0,s.w6)("design:type",Object),(0,s.w6)("design:paramtypes",[])],GroupService.prototype,"numericalFeatureRanges",null)},3930:(t,n,r)=>{"use strict";r.d(n,{R:()=>LitService});class LitService{}},1165:(t,n,r)=>{"use strict";r.d(n,{m:()=>h,s:()=>ModulesService});var a=r(7582),s=r(8949),l=(r(4915),r(3930)),d=(r(2525),r(5108));function h(t){var n;const r="string"==typeof t?{module:t}:t,a=function(t){const n=window.customElements.get(t);if(void 0===n)throw new Error(`Malformed layout; unable to find element '${t}'`);return n}(r.module);return Object.assign({constructor:a,title:a.title,requiredForTab:null!==(n=r.requiredForTab)&&void 0!==n&&n},r)}class ModulesService extends l.R{constructor(){super(),this.declaredLayout={upper:{},lower:{},left:{},layoutSettings:{},description:""},this.selectedTabs={upper:"",lower:"",left:""},this.renderLayout={upper:{},lower:{},left:{}},this.hiddenModuleKeys=new Set,this.expandedModuleKey="",this.allModuleKeys=new Set,this.renderModulesCallback=()=>{},(0,s.rC)(this)}setRenderModulesCallback(t){this.renderModulesCallback=t}renderModules(){this.renderModulesCallback()}initializeLayout(t,n,r,a){this.declaredLayout=t,this.updateRenderLayout(n,r,a)}clearLayout(){this.updateRenderLayout({},{},!1),this.renderModules()}quickUpdateLayout(t,n,r){this.updateRenderLayout(t,n,r),this.renderModules()}setHiddenModules(t){const n=new Set(t);this.hiddenModuleKeys=n}setExpandedModule(t){this.expandedModuleKey=t}setUrlConfiguration(t){var n,r,a,s;this.setHiddenModules(t.hiddenModules),this.setExpandedModule(null!==(n=t.expandedModule)&&void 0!==n?n:""),this.selectedTabs.upper=null!==(r=t.selectedTabUpper)&&void 0!==r?r:"",this.selectedTabs.lower=null!==(a=t.selectedTabLower)&&void 0!==a?a:"",this.selectedTabs.left=null!==(s=t.selectedTabLeft)&&void 0!==s?s:""}isModuleGroupHidden(t){return this.hiddenModuleKeys.has(t.key)}isModuleGroupExpanded(t){return this.expandedModuleKey===t.key}toggleHiddenModule(t,n){n?this.hiddenModuleKeys.add(t.key):this.hiddenModuleKeys.delete(t.key)}toggleExpandedModule(t,n){this.expandedModuleKey=n?t.key:""}getRenderLayout(){return this.renderLayout}getSetting(t){var n,r;return null===(r=null===(n=this.declaredLayout)||void 0===n?void 0:n.layoutSettings)||void 0===r?void 0:r[t]}computeTabGroupLayout(t,n,r,a){const s={};for(const[l,d]of Object.entries(t)){const t=d.map(h),p=this.getRenderConfigs(t,n,r,a,l);0!==p.length&&(s[l]=p)}return s}updateRenderLayout(t,n,r){const a=this.computeTabGroupLayout(this.declaredLayout.upper,t,n,r),s=this.computeTabGroupLayout(this.declaredLayout.lower,t,n,r),l=this.computeTabGroupLayout(this.declaredLayout.left,t,n,r);d.log("module_service.updateRenderLayout",{upper:a,lower:s,left:l});const h={upper:a,lower:s,left:l};this.updateModuleKeys(h),d.log("module_service.updateRenderLayout",{currentLayout:this.renderLayout,newLayout:h},Date.now()),this.renderLayout=h}updateModuleKeys(t){const n=new Set;for(const r of Object.values(t))for(const t of Object.values(r))for(const r of t)for(const t of r)n.add(t.key),t.moduleType.collapseByDefault&&this.hiddenModuleKeys.add(t.key);for(const t of[...this.hiddenModuleKeys])n.has(t)||this.hiddenModuleKeys.delete(t);this.allModuleKeys=n}getRenderConfigs(t,n,r,a,s){const l=[];for(const h of t){const t=h.constructor;if(!t.shouldDisplayModule(n,r)){if(h.requiredForTab)return[];continue}const p=[],f=a&&t.duplicateForExampleComparison,m=`${s}_${t.title}`;let g=[void 0];t.duplicateForModelComparison&&(g=Object.keys(n));for(const n of g)f?(p.push(this.makeRenderConfig(m,t,n,1)),p.push(this.makeRenderConfig(m,t,n,0))):p.push(this.makeRenderConfig(m,t,n,a?0:void 0));p.length>0?l.push(p):d.warn(`LIT layout: no compatible configs for module '${t.title}' in tab '${s}'`)}return l}makeRenderConfig(t,n,r,a){return{key:t,moduleType:n,modelName:r,selectionServiceIndex:a}}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],ModulesService.prototype,"selectedTabs",void 0),(0,a.gn)([s.LO.ref,(0,a.w6)("design:type",Object)],ModulesService.prototype,"renderLayout",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],ModulesService.prototype,"hiddenModuleKeys",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],ModulesService.prototype,"expandedModuleKey",void 0),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[]),(0,a.w6)("design:returntype",void 0)],ModulesService.prototype,"clearLayout",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object,Object,Boolean]),(0,a.w6)("design:returntype",void 0)],ModulesService.prototype,"quickUpdateLayout",null)},9929:(t,n,r)=>{"use strict";r.d(n,{z:()=>SelectionService});var a=r(7582),s=r(8949),l=(r(4915),r(3930));r(2525);class SelectionService extends l.R{constructor(t){super(),this.appState=t,this.selectedIdsSet=new Set,this.primarySelectedIdInternal=null,this.lastUserInternal=void 0,this.shiftSelectionStartIndexInternal=0,this.shiftSelectionEndIndexInternal=0,(0,s.rC)(this)}get lastUser(){return this.lastUserInternal}get primarySelectedId(){return this.primarySelectedIdInternal}get selectedIds(){return[...this.selectedIdsSet.values()].sort(((t,n)=>this.appState.getIndexById(t)-this.appState.getIndexById(n)))}get selectedInputData(){return 0===this.selectedIds.length?[]:this.appState.currentInputData.filter((t=>this.selectedIdsSet.has(t.id)))}get primarySelectedInputData(){return null!==this.primarySelectedId?this.appState.getCurrentInputDataById(this.primarySelectedId):null}get shiftSelectionStartIndex(){return this.shiftSelectionStartIndexInternal}get shiftSelectionEndIndex(){return this.shiftSelectionEndIndexInternal}setLastUser(t){this.lastUserInternal=t}setPrimarySelection(t,n){null==t||this.selectedIdsSet.has(t)?(this.primarySelectedIdInternal=t,this.setLastUser(n)):this.selectIds([t],n)}setShiftSelectionSpan(t,n){this.shiftSelectionStartIndexInternal=t,this.shiftSelectionEndIndexInternal=n}selectIds(t,n){if(this.selectedIdsSet.clear(),t.forEach((t=>{this.selectedIdsSet.add(t)})),null!==this.primarySelectedId&&this.selectedIdsSet.has(this.primarySelectedId)||(0===this.selectedIdsSet.size?this.primarySelectedIdInternal=null:this.primarySelectedIdInternal=t[0]),this.setLastUser(n),1===t.length){const n=this.appState.getIndexById(t[0]);this.setShiftSelectionSpan(n,n)}}selectAll(t){const n=this.appState.currentInputData.map((t=>t.id));this.selectIds(n,t)}syncFrom(t){this.selectIds(t.selectedIds),this.setPrimarySelection(t.primarySelectedId)}isIdSelected(t){return this.selectedIdsSet.has(t)}get selectedOrAllInputData(){return this.selectedInputData.length>0?this.selectedInputData:this.appState.currentInputData}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],SelectionService.prototype,"selectedIdsSet",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",String)],SelectionService.prototype,"primarySelectedIdInternal",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],SelectionService.prototype,"lastUserInternal",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],SelectionService.prototype,"shiftSelectionStartIndexInternal",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],SelectionService.prototype,"shiftSelectionEndIndexInternal",void 0),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"lastUser",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"primarySelectedId",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedIds",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedInputData",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"primarySelectedInputData",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"shiftSelectionStartIndex",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"shiftSelectionEndIndex",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"setLastUser",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Object]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"setPrimarySelection",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Number,Number]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"setShiftSelectionSpan",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Array,Object]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"selectIds",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"selectAll",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[SelectionService]),(0,a.w6)("design:returntype",void 0)],SelectionService.prototype,"syncFrom",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],SelectionService.prototype,"selectedOrAllInputData",null)},9410:(t,n,r)=>{"use strict";r.d(n,{Bj:()=>b.B,Do:()=>d.Do,aB:()=>y.a,c1:()=>s.c,gb:()=>g.g,io:()=>h.i,lT:()=>p.l,qG:()=>v.q,s7:()=>f.s,sM:()=>a.s,x4:()=>l.x4,z2:()=>m.z});var a=r(696),s=r(4479),l=r(7376),d=r(7965),h=r(5587),p=r(7190),f=r(1165),m=r(9929),g=r(4624),v=r(437),y=r(4725),b=r(9705);r(2525)},4624:(t,n,r)=>{"use strict";r.d(n,{g:()=>SettingsService});var a=r(7582),s=r(8949),l=r(7098),d=r(3930);r(9410);class SettingsService extends d.R{constructor(t,n,r){super(),this.appState=t,this.modulesService=n,this.selectionService=r,(0,s.rC)(this),(0,s.U5)((()=>t.compareExamplesEnabled),(t=>{this.modulesService.quickUpdateLayout(this.appState.currentModelInfos,this.appState.currentDatasetSpec,t)}))}isDatasetValidForModels(t,n){return n.every((n=>this.isDatasetValidForModel(t,n)))}isDatasetValidForModel(t,n){var r,a;return((null===(a=null===(r=this.appState.metadata)||void 0===r?void 0:r.models)||void 0===a?void 0:a[n].datasets)||[]).includes(t)}get isValidCurrentDataAndModels(){return this.isDatasetValidForModels(this.appState.currentDataset,this.appState.currentModels)}updateSettings(t){var n,r,d;return(0,a.mG)(this,void 0,void 0,(function*(){const a=null!==(n=t.models)&&void 0!==n?n:this.appState.currentModels,h=null!==(r=t.dataset)&&void 0!==r?r:this.appState.currentDataset,p=null!==(d=t.layoutName)&&void 0!==d?d:this.appState.layoutName;yield this.appState.loadDataset(h),p!==this.appState.layoutName&&(this.modulesService.clearLayout(),yield this.raf());const f=!(0,l.VV)(this.appState.currentModels,a),m=h!==this.appState.currentDataset&&h;(0,s.z)((()=>{m&&(this.selectionService.selectIds([]),this.appState.setCurrentDataset(h)),f&&this.appState.setCurrentModels(a)})),this.appState.layoutName!==p||0===Object.keys(this.modulesService.declaredLayout.upper).length||0===Object.keys(this.modulesService.declaredLayout.lower).length?(this.appState.layoutName=p,this.modulesService.initializeLayout(this.appState.layout,this.appState.currentModelInfos,this.appState.currentDatasetSpec,this.appState.compareExamplesEnabled),this.modulesService.renderModules()):this.modulesService.quickUpdateLayout(this.appState.currentModelInfos,this.appState.currentDatasetSpec,this.appState.compareExamplesEnabled)}))}raf(){return(0,a.mG)(this,void 0,void 0,(function*(){return new Promise((t=>{requestAnimationFrame(t)}))}))}}(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],SettingsService.prototype,"isValidCurrentDataAndModels",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Object]),(0,a.w6)("design:returntype",Promise)],SettingsService.prototype,"updateSettings",null)},437:(t,n,r)=>{"use strict";r.d(n,{Z:()=>h,q:()=>SliceService});var a=r(7582),s=r(8949),l=(r(4915),r(7098)),d=r(3930);r(9410);const h="Starred";class SliceService extends d.R{constructor(t,n){super(),this.selectionService=t,this.appState=n,this.namedSlices=new Map([[h,new Set]]),this.selectedSliceNameInternal=null,(0,s.rC)(this),(0,s.U5)((()=>t.selectedInputData),(t=>{null!=this.selectedSliceName&&this.namedSlices.has(this.selectedSliceName)&&!(0,l.VV)(t.map((t=>t.id)),this.getSliceByName(this.selectedSliceName))&&this.setSelectedSliceName(null)}))}setSelectedSliceName(t){this.selectedSliceNameInternal=t}get selectedSliceName(){return this.selectedSliceNameInternal}selectNamedSlice(t,n){if(null===t)return this.setSelectedSliceName(t),void this.selectionService.selectIds([],n);const r=this.getSliceByName(t);null!==r&&(this.selectionService.selectIds(r,n),this.setSelectedSliceName(t))}addNamedSlice(t,n){this.namedSlices.set(t,new Set(n))}addIdsToSlice(t,n){const r=this.namedSlices.get(t);null!=r&&n.forEach((t=>{r.add(t)}))}addOrAppendToSlice(t,n){this.namedSlices.has(t)?this.addIdsToSlice(t,n):this.addNamedSlice(t,n)}removeIdsFromSlice(t,n){const r=this.namedSlices.get(t);null!=r&&n.forEach((t=>{r.delete(t)}))}deleteNamedSlice(t){this.namedSlices.delete(t)}get sliceNames(){return[...this.namedSlices.keys()]}getSliceByName(t){const n=this.namedSlices.get(t);return n?[...n]:null}getSliceDataByName(t){const n=this.getSliceByName(t);return this.appState.getExamplesById(n)}isInSlice(t,n){const r=this.namedSlices.get(t);return!!r&&r.has(n)}isSliceEmpty(t){const n=this.getSliceByName(t);return null==n||0===n.length}areAllSlicesEmpty(){for(const t of this.sliceNames)if(!this.isSliceEmpty(t))return!1;return!0}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],SliceService.prototype,"namedSlices",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",String)],SliceService.prototype,"selectedSliceNameInternal",void 0),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"setSelectedSliceName",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",String),(0,a.w6)("design:paramtypes",[])],SliceService.prototype,"selectedSliceName",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Object]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"selectNamedSlice",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Array]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"addNamedSlice",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Array]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"addIdsToSlice",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Array]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"addOrAppendToSlice",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Array]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"removeIdsFromSlice",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String]),(0,a.w6)("design:returntype",void 0)],SliceService.prototype,"deleteNamedSlice",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],SliceService.prototype,"sliceNames",null)},4725:(t,n,r)=>{"use strict";r.d(n,{a:()=>AppState});var a=r(7582),s=r(8949),l=r(4262),d=r(4915),h=r(7098),p=(r(696),r(3930)),f=(r(9410),r(2525),r(5108));class AppState extends p.R{constructor(t,n){super(),this.apiService=t,this.statusService=n,this.metadata={models:{},datasets:{},generators:{},interpreters:{},metrics:{},layouts:{},demoMode:!1,defaultLayout:"",syncState:!1,initSpecs:{datasets:{},models:{}}},this.layoutName="",this.initialized=!1,this.documentationOpen=!1,this.currentModels=[],this.compareExamplesEnabled=!1,this.layouts={},this.currentDatasetInternal="",this.inputData=new Map,this.newDatapointsCallbacks=[],(0,s.rC)(this)}get layout(){return this.layouts[this.layoutName]}get currentDataset(){return this.currentDatasetInternal}setCurrentDataset(t){if(!this.inputData.has(t))throw new Error(`Dataset '${t}' is not loaded. Call loadDataset() first.`);this.currentDatasetInternal=t}setDatasetForTest(t,n){this.inputData.set(t,n),this.setCurrentDataset(t)}get currentDatasetSpec(){return this.metadata.datasets[this.currentDataset].spec}get datasetHasImages(){return(0,h.Fe)(this.currentDatasetSpec,l.sO).length>0}makeEmptyInputs(){return new Map}get currentInputDataById(){if(!this.currentDataset)return this.makeEmptyInputs();const t=this.inputData.get(this.currentDataset);return t||this.makeEmptyInputs()}get currentInputData(){return[...this.currentInputDataById.values()]}get currentInputDataIsLoaded(){return this.currentInputData.length>0}get currentModelRequiredInputSpecKeys(){const t=new Set;return Object.values(this.currentModelInfos).forEach((n=>{Object.keys(n.spec.input).forEach((r=>{!0===n.spec.input[r].required&&t.add(r)}))})),[...t]}get currentInputDataKeys(){return Object.keys(this.currentDatasetSpec)}get indicesById(){const t=new Map;return this.currentInputData.forEach(((n,r)=>{t.set(n.id,r)})),t}getIndexById(t){if(null==t)return-1;const n=this.indicesById.get(t);return null!=n?n:-1}getCurrentInputDataById(t){const n=this.currentInputDataById.get(t);return n||null}getExamplesById(t){const n=[];return t.forEach((t=>{const r=this.currentInputDataById.get(t);r?n.push(r):f.error(`input key ${r} was not found in the currently loaded dataset.`)})),n}getAncestry(t){var n;const r=[];for(;t;)r.push(t),t=null===(n=this.getCurrentInputDataById(t))||void 0===n?void 0:n.meta.parentId;return r}setCurrentModels(t){this.currentModels=t}get currentModelInfos(){const{currentModels:t}=this;return Object.entries(this.metadata.models).reduce(((n,[r,a])=>(t.includes(r)&&(n[r]=a),n)),{})}getModelSpec(t){const n=this.metadata.models[t];if(null!=n)return n.spec;throw new Error(`Model ${t} not found in LitMetadata.`)}getSpecKeysFromFieldMatcher(t,n){let r=this.currentDatasetSpec;return"output"===t.spec?r=this.getModelSpec(n).output:"input"===t.spec&&(r=this.getModelSpec(n).input),(0,h.Fe)(r,(0,h.yu)(t.types))}makeEmptyDatapoint(t){const n={_id:"",_meta:{source:t,added:!0}},r=this.currentDatasetSpec;for(const t of this.currentInputDataKeys)n[t]=(0,d.ql)(t,r);return{data:n,id:"",meta:n._meta}}annotateNewData(t){return(0,a.mG)(this,void 0,void 0,(function*(){return this.apiService.annotateNewData(t,this.currentDataset)}))}addNewDatapointsCallback(t){this.newDatapointsCallbacks.push(t)}commitNewDatapoints(t){const n=[];for(const r of t)this.currentInputDataById.has(r.id)?f.log("Attempted to add existing datapoint, ignoring add request.",(0,s.ZN)(r)):(this.currentInputDataById.set(r.id,r),n.push(r));for(const n of this.newDatapointsCallbacks)n(t)}addLayouts(t){Object.assign(this.layouts,t)}initialize(){return(0,a.mG)(this,void 0,void 0,(function*(){const{urlConfiguration:t}=this;f.log("[LIT - url configuration]",t),this.addLayouts(this.metadata.layouts),this.layoutName=t.layoutName||this.metadata.defaultLayout,this.currentModels=this.determineCurrentModelsFromUrl(t);const n=yield this.determineCurrentDatasetFromUrl(t);yield this.loadDataset(n),this.setCurrentDataset(n),this.initialized=!0}))}loadDataset(t){return(0,a.mG)(this,void 0,void 0,(function*(){if(!t)return;if(this.inputData.has(t))return;const n=yield this.apiService.getDataset(t),r=new Map;n.forEach((t=>{r.set(t.id,t)})),this.inputData.set(t,r)}))}determineCurrentModelsFromUrl(t){var n;const r=t.selectedModels,a=Object.keys((null===(n=this.metadata)||void 0===n?void 0:n.models)||{});let s=[];return r.length>0&&(s=r.filter((t=>a.includes(t)))),s.length>0?s:a.slice(0,1)}determineCurrentDatasetFromUrl(t){var n,r;return(0,a.mG)(this,void 0,void 0,(function*(){const a=t.selectedDataset||"",s=t.newDatasetPath,l=new Set;for(const t of this.currentModels){const a=(null===(r=null===(n=this.metadata)||void 0===n?void 0:n.models)||void 0===r?void 0:r[t].datasets)||[];for(const t of a)l.add(t)}if(l.has(a)){let t;return s&&(t=yield this.createNewDataset(a,s),t)?t:a}return 0===l.size?(f.log("No dataset available for loaded models, using the empty dataset."),d._X):[...l][0]}))}createNewDataset(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){try{const n=yield this.apiService.createDataset(t,{});return this.metadata=n[0],n[1]}catch(t){return void this.statusService.addError(`Could not load dataset from\n        ${n}. See console for more details.`)}}))}setUrlConfiguration(t){this.urlConfiguration=Object.assign({},t)}getUrlConfiguration(){return this.urlConfiguration}getBestURL(){let t=this.metadata.canonicalURL||window.location.origin;return new URL(`${t}${window.location.search}`).href}}(0,a.gn)([s.LO.ref,(0,a.w6)("design:type",Object)],AppState.prototype,"metadata",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"layoutName",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"initialized",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"documentationOpen",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Array)],AppState.prototype,"currentModels",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"compareExamplesEnabled",void 0),(0,a.gn)([s.LO.ref,(0,a.w6)("design:type",Object)],AppState.prototype,"layouts",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"currentDatasetInternal",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],AppState.prototype,"inputData",void 0),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"layout",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",String),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentDataset",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String]),(0,a.w6)("design:returntype",void 0)],AppState.prototype,"setCurrentDataset",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[String,Map]),(0,a.w6)("design:returntype",void 0)],AppState.prototype,"setDatasetForTest",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentDatasetSpec",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"datasetHasImages",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataById",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentInputData",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Boolean),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataIsLoaded",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentModelRequiredInputSpecKeys",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Array),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentInputDataKeys",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Map),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"indicesById",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Array]),(0,a.w6)("design:returntype",void 0)],AppState.prototype,"setCurrentModels",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],AppState.prototype,"currentModelInfos",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[Array]),(0,a.w6)("design:returntype",void 0)],AppState.prototype,"commitNewDatapoints",null),(0,a.gn)([s.aD,(0,a.w6)("design:type",Function),(0,a.w6)("design:paramtypes",[]),(0,a.w6)("design:returntype",Promise)],AppState.prototype,"initialize",null)},9705:(t,n,r)=>{"use strict";r.d(n,{B:()=>StatusService});var a=r(7582),s=r(8949),l=r(7098),d=r(3930);class StatusService extends d.R{get loadingMessages(){return[...this.loadingEvents.values()]}get errorMessages(){return Array.from(this.errorEvents.values(),(t=>t.message))}get errorFullMessages(){return Array.from(this.errorEvents.values(),(t=>t.fullMessage))}get hasMessage(){return this.isLoading||this.hasError}get isLoading(){return this.loadingMessages.length>0}get hasError(){return this.errorMessages.length>0}get errorMessage(){if(!this.hasError)return null;let t=this.errorMessages[0];const n=this.errorMessages.length-1;return n>0&&(t+=` (and ${n} other error${n>1?"s)":")"}`),t}get loadingMessage(){return this.isLoading?this.loadingMessages[0]:""}constructor(){super(),this.loadingId=0,this.loadingEvents=new Map,this.errorEvents=new Map,(0,s.rC)(this)}startLoading(t){const n=this.loadingId;return this.loadingEvents.set(n,t),this.loadingId+=1,()=>{this.endLoading(n)}}endLoading(t){this.loadingEvents.delete(t)}addError(t,n,r){const a=null!=r?r:t,s=(0,l.un)(a);null==n&&(n=t),this.errorEvents.set(s,{message:t,fullMessage:n})}removeError(t){this.errorEvents.delete((0,l.un)(t))}clearErrors(){this.errorEvents.clear()}}(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],StatusService.prototype,"loadingEvents",void 0),(0,a.gn)([s.LO,(0,a.w6)("design:type",Object)],StatusService.prototype,"errorEvents",void 0),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"loadingMessages",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"errorMessages",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"errorFullMessages",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"hasMessage",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"isLoading",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"hasError",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"errorMessage",null),(0,a.gn)([s.Fl,(0,a.w6)("design:type",Object),(0,a.w6)("design:paramtypes",[])],StatusService.prototype,"loadingMessage",null)},2525:(t,n,r)=>{"use strict";r.d(n,{i:()=>UrlService});var a=r(7582),s=r(8949),l=r(4262),d=r(4915),h=r(7098),p=r(3930),f=(r(9410),r(5108));class UrlConfiguration{constructor(){this.selectedModels=[],this.selectedData=[],this.dataFields={},this.hiddenModules=[]}}const m="upper_tab",g="lower_tab",v="left_tab",y="selection",b="primary",x="pinned",w="dataset",S="models",_="hidden_modules",T="expanded_module",E="doc_open",C="layout",A="data",O="color_by";function I(t){const n=t.split(/_([^]*)/,2),r=n[0].replace(A,"");return{fieldKey:n[1],dataIndex:+(r||"0")}}class UrlService extends p.R{constructor(t){super(),this.apiService=t}urlParseArray(t){if(null==t)return[];return t.split(",").filter((t=>""!==t))}urlParseString(t){return t||void 0}urlParseBoolean(t){return"true"===t}parseDataFieldValue(t,n,r){var a;return r[t]instanceof l.YH?this.urlParseArray(n):null!==(a=this.urlParseString(n))&&void 0!==a?a:(0,d.ql)(t,r)}getConfigurationFromUrl(){const t=new UrlConfiguration,n=new URLSearchParams(window.location.search);for(const[r,a]of n)if(r===S)t.selectedModels=this.urlParseArray(a);else if(r===y)t.selectedData=this.urlParseArray(a);else if(r===b)t.primarySelectedData=this.urlParseString(a);else if(r===x)t.pinnedSelectedData=this.urlParseString(a);else if(r===w)t.selectedDataset=this.urlParseString(a);else if(r===_)t.hiddenModules=this.urlParseArray(a);else if(r===T)t.expandedModule=this.urlParseString(a);else if(r===E)t.documentationOpen=this.urlParseBoolean(a);else if(r===m)t.selectedTabUpper=this.urlParseString(a);else if(r===g)t.selectedTabLower=this.urlParseString(a);else if(r===v)t.selectedTabLeft=this.urlParseString(a);else if(r===C)t.layoutName=this.urlParseString(a);else if("new_dataset_path"===r)t.newDatasetPath=this.urlParseString(a);else if("saved_datapoints_id"===r)t.savedDatapointsId=this.urlParseString(a);else if(r.startsWith(A)){const{fieldKey:n,dataIndex:s}=I(r);s in t.dataFields||(t.dataFields[s]={}),n in t.dataFields[s]&&f.log(`Warning, data index ${s} is set more than once.`),t.dataFields[s][n]=a}else r===O&&(t.colorBy=this.urlParseString(a));return t}setUrlParam(t,n,r){const a=r instanceof Array?r.join(","):r;""!==a&&null!=a&&t.set(n,a)}setDataFieldURLParams(t,n,r){const a=r.getCurrentInputDataById(n);null!==a&&a.meta.added&&Object.keys(a.data).forEach((n=>{this.setUrlParam(t,function(t){return`${A}_${t}`}(n),a.data[n])}))}syncStateToUrl(t,n,r,a,l){const d=this.getConfigurationFromUrl();t.setUrlConfiguration(d),n.setUrlConfiguration(d),l.setUrlConfiguration(d);const h=d.selectedData||[];if(r.selectIds(h,this),d.pinnedSelectedData){const{pinnedSelectedData:t}=d;a.selectIds([t],this)}t.documentationOpen=d.documentationOpen||!1,(0,s.EH)((()=>{const s=new URLSearchParams;if(t.layoutName in t.layouts||(f.log("Invalid value for layout param:",t.layoutName),t.layoutName=t.metadata.defaultLayout),this.setUrlParam(s,S,t.currentModels),r.selectedIds.length<=100){this.setUrlParam(s,y,r.selectedIds);const n=r.primarySelectedId;null!=n&&(this.setUrlParam(s,b,n),this.setDataFieldURLParams(s,n,t))}if(a.primarySelectedId){const n=a.primarySelectedId;this.setUrlParam(s,x,n),this.setDataFieldURLParams(s,n,t)}if(this.setUrlParam(s,w,t.currentDataset),t.documentationOpen&&this.setUrlParam(s,E,"true"),this.setUrlParam(s,_,[...n.hiddenModuleKeys]),this.setUrlParam(s,T,n.expandedModuleKey),this.setUrlParam(s,C,t.layoutName),this.setUrlParam(s,m,n.selectedTabs.upper),this.setUrlParam(s,g,n.selectedTabs.lower),this.setUrlParam(s,v,n.selectedTabs.left),this.setUrlParam(s,O,l.selectedColorOptionName),""!==s.toString()){const t=`${window.location.pathname}?${s.toString()}`;window.history.replaceState({},"",t)}}))}syncSelectedDatapointToUrl(t,n){return(0,a.mG)(this,void 0,void 0,(function*(){const r=t.getUrlConfiguration(),a=r.dataFields,s=Object.values(a).map((n=>{const r={},a=t.currentDatasetSpec;Object.keys(a).forEach((t=>{r[t]=this.parseDataFieldValue(t,n[t],a)}));return(0,h.sV)(t.makeEmptyDatapoint(),r,"url")}));if(s.length>0){const r=yield t.annotateNewData(s);t.commitNewDatapoints(r),n.selectIds(r.map((t=>t.id)),this)}else{const t=r.primarySelectedData;void 0!==t&&n.setPrimarySelection(t,this)}if(null!=r.savedDatapointsId){const a=yield this.apiService.fetchNewData(r.savedDatapointsId);t.commitNewDatapoints(a),n.selectIds(a.map((t=>t.id)),this)}}))}}},384:t=>{t.exports=function(t){return t&&"object"==typeof t&&"function"==typeof t.copy&&"function"==typeof t.fill&&"function"==typeof t.readUInt8}},5955:(t,n,r)=>{"use strict";var a=r(2584),s=r(8662),l=r(6430),d=r(5692);function h(t){return t.call.bind(t)}var p="undefined"!=typeof BigInt,f="undefined"!=typeof Symbol,m=h(Object.prototype.toString),g=h(Number.prototype.valueOf),v=h(String.prototype.valueOf),y=h(Boolean.prototype.valueOf);if(p)var b=h(BigInt.prototype.valueOf);if(f)var x=h(Symbol.prototype.valueOf);function w(t,n){if("object"!=typeof t)return!1;try{return n(t),!0}catch(t){return!1}}function S(t){return"[object Map]"===m(t)}function _(t){return"[object Set]"===m(t)}function T(t){return"[object WeakMap]"===m(t)}function E(t){return"[object WeakSet]"===m(t)}function C(t){return"[object ArrayBuffer]"===m(t)}function A(t){return"undefined"!=typeof ArrayBuffer&&(C.working?C(t):t instanceof ArrayBuffer)}function O(t){return"[object DataView]"===m(t)}function I(t){return"undefined"!=typeof DataView&&(O.working?O(t):t instanceof DataView)}n.isArgumentsObject=a,n.isGeneratorFunction=s,n.isTypedArray=d,n.isPromise=function(t){return"undefined"!=typeof Promise&&t instanceof Promise||null!==t&&"object"==typeof t&&"function"==typeof t.then&&"function"==typeof t.catch},n.isArrayBufferView=function(t){return"undefined"!=typeof ArrayBuffer&&ArrayBuffer.isView?ArrayBuffer.isView(t):d(t)||I(t)},n.isUint8Array=function(t){return"Uint8Array"===l(t)},n.isUint8ClampedArray=function(t){return"Uint8ClampedArray"===l(t)},n.isUint16Array=function(t){return"Uint16Array"===l(t)},n.isUint32Array=function(t){return"Uint32Array"===l(t)},n.isInt8Array=function(t){return"Int8Array"===l(t)},n.isInt16Array=function(t){return"Int16Array"===l(t)},n.isInt32Array=function(t){return"Int32Array"===l(t)},n.isFloat32Array=function(t){return"Float32Array"===l(t)},n.isFloat64Array=function(t){return"Float64Array"===l(t)},n.isBigInt64Array=function(t){return"BigInt64Array"===l(t)},n.isBigUint64Array=function(t){return"BigUint64Array"===l(t)},S.working="undefined"!=typeof Map&&S(new Map),n.isMap=function(t){return"undefined"!=typeof Map&&(S.working?S(t):t instanceof Map)},_.working="undefined"!=typeof Set&&_(new Set),n.isSet=function(t){return"undefined"!=typeof Set&&(_.working?_(t):t instanceof Set)},T.working="undefined"!=typeof WeakMap&&T(new WeakMap),n.isWeakMap=function(t){return"undefined"!=typeof WeakMap&&(T.working?T(t):t instanceof WeakMap)},E.working="undefined"!=typeof WeakSet&&E(new WeakSet),n.isWeakSet=function(t){return E(t)},C.working="undefined"!=typeof ArrayBuffer&&C(new ArrayBuffer),n.isArrayBuffer=A,O.working="undefined"!=typeof ArrayBuffer&&"undefined"!=typeof DataView&&O(new DataView(new ArrayBuffer(1),0,1)),n.isDataView=I;var P="undefined"!=typeof SharedArrayBuffer?SharedArrayBuffer:void 0;function D(t){return"[object SharedArrayBuffer]"===m(t)}function F(t){return void 0!==P&&(void 0===D.working&&(D.working=D(new P)),D.working?D(t):t instanceof P)}function B(t){return w(t,g)}function $(t){return w(t,v)}function j(t){return w(t,y)}function V(t){return p&&w(t,b)}function U(t){return f&&w(t,x)}n.isSharedArrayBuffer=F,n.isAsyncFunction=function(t){return"[object AsyncFunction]"===m(t)},n.isMapIterator=function(t){return"[object Map Iterator]"===m(t)},n.isSetIterator=function(t){return"[object Set Iterator]"===m(t)},n.isGeneratorObject=function(t){return"[object Generator]"===m(t)},n.isWebAssemblyCompiledModule=function(t){return"[object WebAssembly.Module]"===m(t)},n.isNumberObject=B,n.isStringObject=$,n.isBooleanObject=j,n.isBigIntObject=V,n.isSymbolObject=U,n.isBoxedPrimitive=function(t){return B(t)||$(t)||j(t)||V(t)||U(t)},n.isAnyArrayBuffer=function(t){return"undefined"!=typeof Uint8Array&&(A(t)||F(t))},["isProxy","isExternal","isModuleNamespaceObject"].forEach((function(t){Object.defineProperty(n,t,{enumerable:!1,value:function(){throw new Error(t+" is not supported in userland")}})}))},9539:(t,n,r)=>{var a=r(4155),s=r(5108),l=Object.getOwnPropertyDescriptors||function(t){for(var n=Object.keys(t),r={},a=0;a<n.length;a++)r[n[a]]=Object.getOwnPropertyDescriptor(t,n[a]);return r},d=/%[sdj%]/g;n.format=function(t){if(!E(t)){for(var n=[],r=0;r<arguments.length;r++)n.push(m(arguments[r]));return n.join(" ")}r=1;for(var a=arguments,s=a.length,l=String(t).replace(d,(function(t){if("%%"===t)return"%";if(r>=s)return t;switch(t){case"%s":return String(a[r++]);case"%d":return Number(a[r++]);case"%j":try{return JSON.stringify(a[r++])}catch(t){return"[Circular]"}default:return t}})),h=a[r];r<s;h=a[++r])_(h)||!O(h)?l+=" "+h:l+=" "+m(h);return l},n.deprecate=function(t,r){if(void 0!==a&&!0===a.noDeprecation)return t;if(void 0===a)return function(){return n.deprecate(t,r).apply(this,arguments)};var l=!1;return function(){if(!l){if(a.throwDeprecation)throw new Error(r);a.traceDeprecation?s.trace(r):s.error(r),l=!0}return t.apply(this,arguments)}};var h={},p=/^$/;if(a.env.NODE_DEBUG){var f=a.env.NODE_DEBUG;f=f.replace(/[|\\{}()[\]^$+?.]/g,"\\$&").replace(/\*/g,".*").replace(/,/g,"$|^").toUpperCase(),p=new RegExp("^"+f+"$","i")}function m(t,r){var a={seen:[],stylize:v};return arguments.length>=3&&(a.depth=arguments[2]),arguments.length>=4&&(a.colors=arguments[3]),S(r)?a.showHidden=r:r&&n._extend(a,r),C(a.showHidden)&&(a.showHidden=!1),C(a.depth)&&(a.depth=2),C(a.colors)&&(a.colors=!1),C(a.customInspect)&&(a.customInspect=!0),a.colors&&(a.stylize=g),y(a,t,a.depth)}function g(t,n){var r=m.styles[n];return r?"["+m.colors[r][0]+"m"+t+"["+m.colors[r][1]+"m":t}function v(t,n){return t}function y(t,r,a){if(t.customInspect&&r&&D(r.inspect)&&r.inspect!==n.inspect&&(!r.constructor||r.constructor.prototype!==r)){var s=r.inspect(a,t);return E(s)||(s=y(t,s,a)),s}var l=function(t,n){if(C(n))return t.stylize("undefined","undefined");if(E(n)){var r="'"+JSON.stringify(n).replace(/^"|"$/g,"").replace(/'/g,"\\'").replace(/\\"/g,'"')+"'";return t.stylize(r,"string")}if(T(n))return t.stylize(""+n,"number");if(S(n))return t.stylize(""+n,"boolean");if(_(n))return t.stylize("null","null")}(t,r);if(l)return l;var d=Object.keys(r),h=function(t){var n={};return t.forEach((function(t,r){n[t]=!0})),n}(d);if(t.showHidden&&(d=Object.getOwnPropertyNames(r)),P(r)&&(d.indexOf("message")>=0||d.indexOf("description")>=0))return b(r);if(0===d.length){if(D(r)){var p=r.name?": "+r.name:"";return t.stylize("[Function"+p+"]","special")}if(A(r))return t.stylize(RegExp.prototype.toString.call(r),"regexp");if(I(r))return t.stylize(Date.prototype.toString.call(r),"date");if(P(r))return b(r)}var f,m="",g=!1,v=["{","}"];(w(r)&&(g=!0,v=["[","]"]),D(r))&&(m=" [Function"+(r.name?": "+r.name:"")+"]");return A(r)&&(m=" "+RegExp.prototype.toString.call(r)),I(r)&&(m=" "+Date.prototype.toUTCString.call(r)),P(r)&&(m=" "+b(r)),0!==d.length||g&&0!=r.length?a<0?A(r)?t.stylize(RegExp.prototype.toString.call(r),"regexp"):t.stylize("[Object]","special"):(t.seen.push(r),f=g?function(t,n,r,a,s){for(var l=[],d=0,h=n.length;d<h;++d)j(n,String(d))?l.push(x(t,n,r,a,String(d),!0)):l.push("");return s.forEach((function(s){s.match(/^\d+$/)||l.push(x(t,n,r,a,s,!0))})),l}(t,r,a,h,d):d.map((function(n){return x(t,r,a,h,n,g)})),t.seen.pop(),function(t,n,r){var a=t.reduce((function(t,n){return n.indexOf("\n")>=0&&0,t+n.replace(/\u001b\[\d\d?m/g,"").length+1}),0);if(a>60)return r[0]+(""===n?"":n+"\n ")+" "+t.join(",\n  ")+" "+r[1];return r[0]+n+" "+t.join(", ")+" "+r[1]}(f,m,v)):v[0]+m+v[1]}function b(t){return"["+Error.prototype.toString.call(t)+"]"}function x(t,n,r,a,s,l){var d,h,p;if((p=Object.getOwnPropertyDescriptor(n,s)||{value:n[s]}).get?h=p.set?t.stylize("[Getter/Setter]","special"):t.stylize("[Getter]","special"):p.set&&(h=t.stylize("[Setter]","special")),j(a,s)||(d="["+s+"]"),h||(t.seen.indexOf(p.value)<0?(h=_(r)?y(t,p.value,null):y(t,p.value,r-1)).indexOf("\n")>-1&&(h=l?h.split("\n").map((function(t){return"  "+t})).join("\n").slice(2):"\n"+h.split("\n").map((function(t){return"   "+t})).join("\n")):h=t.stylize("[Circular]","special")),C(d)){if(l&&s.match(/^\d+$/))return h;(d=JSON.stringify(""+s)).match(/^"([a-zA-Z_][a-zA-Z_0-9]*)"$/)?(d=d.slice(1,-1),d=t.stylize(d,"name")):(d=d.replace(/'/g,"\\'").replace(/\\"/g,'"').replace(/(^"|"$)/g,"'"),d=t.stylize(d,"string"))}return d+": "+h}function w(t){return Array.isArray(t)}function S(t){return"boolean"==typeof t}function _(t){return null===t}function T(t){return"number"==typeof t}function E(t){return"string"==typeof t}function C(t){return void 0===t}function A(t){return O(t)&&"[object RegExp]"===F(t)}function O(t){return"object"==typeof t&&null!==t}function I(t){return O(t)&&"[object Date]"===F(t)}function P(t){return O(t)&&("[object Error]"===F(t)||t instanceof Error)}function D(t){return"function"==typeof t}function F(t){return Object.prototype.toString.call(t)}function B(t){return t<10?"0"+t.toString(10):t.toString(10)}n.debuglog=function(t){if(t=t.toUpperCase(),!h[t])if(p.test(t)){var r=a.pid;h[t]=function(){var a=n.format.apply(n,arguments);s.error("%s %d: %s",t,r,a)}}else h[t]=function(){};return h[t]},n.inspect=m,m.colors={bold:[1,22],italic:[3,23],underline:[4,24],inverse:[7,27],white:[37,39],grey:[90,39],black:[30,39],blue:[34,39],cyan:[36,39],green:[32,39],magenta:[35,39],red:[31,39],yellow:[33,39]},m.styles={special:"cyan",number:"yellow",boolean:"yellow",undefined:"grey",null:"bold",string:"green",date:"magenta",regexp:"red"},n.types=r(5955),n.isArray=w,n.isBoolean=S,n.isNull=_,n.isNullOrUndefined=function(t){return null==t},n.isNumber=T,n.isString=E,n.isSymbol=function(t){return"symbol"==typeof t},n.isUndefined=C,n.isRegExp=A,n.types.isRegExp=A,n.isObject=O,n.isDate=I,n.types.isDate=I,n.isError=P,n.types.isNativeError=P,n.isFunction=D,n.isPrimitive=function(t){return null===t||"boolean"==typeof t||"number"==typeof t||"string"==typeof t||"symbol"==typeof t||void 0===t},n.isBuffer=r(384);var $=["Jan","Feb","Mar","Apr","May","Jun","Jul","Aug","Sep","Oct","Nov","Dec"];function j(t,n){return Object.prototype.hasOwnProperty.call(t,n)}n.log=function(){var t,r;s.log("%s - %s",(t=new Date,r=[B(t.getHours()),B(t.getMinutes()),B(t.getSeconds())].join(":"),[t.getDate(),$[t.getMonth()],r].join(" ")),n.format.apply(n,arguments))},n.inherits=r(5717),n._extend=function(t,n){if(!n||!O(n))return t;for(var r=Object.keys(n),a=r.length;a--;)t[r[a]]=n[r[a]];return t};var V="undefined"!=typeof Symbol?Symbol("util.promisify.custom"):void 0;function U(t,n){if(!t){var r=new Error("Promise was rejected with a falsy value");r.reason=t,t=r}return n(t)}n.promisify=function(t){if("function"!=typeof t)throw new TypeError('The "original" argument must be of type Function');if(V&&t[V]){var n;if("function"!=typeof(n=t[V]))throw new TypeError('The "util.promisify.custom" argument must be of type Function');return Object.defineProperty(n,V,{value:n,enumerable:!1,writable:!1,configurable:!0}),n}function n(){for(var n,r,a=new Promise((function(t,a){n=t,r=a})),s=[],l=0;l<arguments.length;l++)s.push(arguments[l]);s.push((function(t,a){t?r(t):n(a)}));try{t.apply(this,s)}catch(t){r(t)}return a}return Object.setPrototypeOf(n,Object.getPrototypeOf(t)),V&&Object.defineProperty(n,V,{value:n,enumerable:!1,writable:!1,configurable:!0}),Object.defineProperties(n,l(t))},n.promisify.custom=V,n.callbackify=function(t){if("function"!=typeof t)throw new TypeError('The "original" argument must be of type Function');function n(){for(var n=[],r=0;r<arguments.length;r++)n.push(arguments[r]);var s=n.pop();if("function"!=typeof s)throw new TypeError("The last argument must be of type Function");var l=this,d=function(){return s.apply(l,arguments)};t.apply(this,n).then((function(t){a.nextTick(d.bind(null,null,t))}),(function(t){a.nextTick(U.bind(null,t,d))}))}return Object.setPrototypeOf(n,Object.getPrototypeOf(t)),Object.defineProperties(n,l(t)),n}},6430:(t,n,r)=>{"use strict";var a=r(4029),s=r(3083),l=r(5559),d=r(1924),h=r(7296),p=d("Object.prototype.toString"),f=r(6410)(),m="undefined"==typeof globalThis?r.g:globalThis,g=s(),v=d("String.prototype.slice"),y=Object.getPrototypeOf,b=d("Array.prototype.indexOf",!0)||function(t,n){for(var r=0;r<t.length;r+=1)if(t[r]===n)return r;return-1},x={__proto__:null};a(g,f&&h&&y?function(t){var n=new m[t];if(Symbol.toStringTag in n){var r=y(n),a=h(r,Symbol.toStringTag);if(!a){var s=y(r);a=h(s,Symbol.toStringTag)}x["$"+t]=l(a.get)}}:function(t){var n=new m[t];x["$"+t]=l(n.slice)});t.exports=function(t){if(!t||"object"!=typeof t)return!1;if(!f){var n=v(p(t),8,-1);return b(g,n)>-1?n:"Object"===n&&function(t){var n=!1;return a(x,(function(r,a){if(!n)try{r(t),n=v(a,1)}catch(t){}})),n}(t)}return h?function(t){var n=!1;return a(x,(function(r,a){if(!n)try{"$"+r(t)===a&&(n=v(a,1))}catch(t){}})),n}(t):null}},5042:()=>{},3083:(t,n,r)=>{"use strict";var a=["BigInt64Array","BigUint64Array","Float32Array","Float64Array","Int16Array","Int32Array","Int8Array","Uint16Array","Uint32Array","Uint8Array","Uint8ClampedArray"],s="undefined"==typeof globalThis?r.g:globalThis;t.exports=function(){for(var t=[],n=0;n<a.length;n++)"function"==typeof s[a[n]]&&(t[t.length]=a[n]);return t}},4232:(t,n,r)=>{"use strict";r.d(n,{OR:()=>h,hN:()=>d,hl:()=>f,pt:()=>l});var a=r(3692);const{I:s}=a._$LH,l=t=>null===t||"object"!=typeof t&&"function"!=typeof t,d=(t,n)=>void 0===n?void 0!==(null==t?void 0:t._$litType$):(null==t?void 0:t._$litType$)===n,h=t=>void 0===t.strings,p={},f=(t,n=p)=>t._$AH=n},875:(t,n,r)=>{"use strict";r.d(n,{XM:()=>s,Xe:()=>i,pX:()=>a});const a={ATTRIBUTE:1,CHILD:2,PROPERTY:3,BOOLEAN_ATTRIBUTE:4,EVENT:5,ELEMENT:6},s=t=>(...n)=>({_$litDirective$:t,values:n});class i{constructor(t){}get _$AU(){return this._$AM._$AU}_$AT(t,n,r){this._$Ct=t,this._$AM=n,this._$Ci=r}_$AS(t,n){return this.update(t,n)}update(t,n){return this.render(...n)}}},3692:(t,n,r)=>{"use strict";var a;r.d(n,{Jb:()=>D,Ld:()=>F,_$LH:()=>W,dy:()=>P,sY:()=>X});const s=window,l=s.trustedTypes,d=l?l.createPolicy("lit-html",{createHTML:t=>t}):void 0,h="$lit$",p=`lit$${(Math.random()+"").slice(9)}$`,f="?"+p,m=`<${f}>`,g=document,v=()=>g.createComment(""),y=t=>null===t||"object"!=typeof t&&"function"!=typeof t,b=Array.isArray,x=t=>b(t)||"function"==typeof(null==t?void 0:t[Symbol.iterator]),w="[ \t\n\f\r]",S=/<(?:(!--|\/[^a-zA-Z])|(\/?[a-zA-Z][^>\s]*)|(\/?$))/g,_=/-->/g,T=/>/g,E=RegExp(`>|${w}(?:([^\\s"'>=/]+)(${w}*=${w}*(?:[^ \t\n\f\r"'\`<>=]|("|')|))|$)`,"g"),C=/'/g,A=/"/g,O=/^(?:script|style|textarea|title)$/i,I=t=>(n,...r)=>({_$litType$:t,strings:n,values:r}),P=I(1),D=(I(2),Symbol.for("lit-noChange")),F=Symbol.for("lit-nothing"),B=new WeakMap,$=g.createTreeWalker(g,129,null,!1);function j(t,n){if(!Array.isArray(t)||!t.hasOwnProperty("raw"))throw Error("invalid template strings array");return void 0!==d?d.createHTML(n):n}const V=(t,n)=>{const r=t.length-1,a=[];let s,l=2===n?"<svg>":"",d=S;for(let n=0;n<r;n++){const r=t[n];let f,g,v=-1,y=0;for(;y<r.length&&(d.lastIndex=y,g=d.exec(r),null!==g);)y=d.lastIndex,d===S?"!--"===g[1]?d=_:void 0!==g[1]?d=T:void 0!==g[2]?(O.test(g[2])&&(s=RegExp("</"+g[2],"g")),d=E):void 0!==g[3]&&(d=E):d===E?">"===g[0]?(d=null!=s?s:S,v=-1):void 0===g[1]?v=-2:(v=d.lastIndex-g[2].length,f=g[1],d=void 0===g[3]?E:'"'===g[3]?A:C):d===A||d===C?d=E:d===_||d===T?d=S:(d=E,s=void 0);const b=d===E&&t[n+1].startsWith("/>")?" ":"";l+=d===S?r+m:v>=0?(a.push(f),r.slice(0,v)+h+r.slice(v)+p+b):r+p+(-2===v?(a.push(void 0),n):b)}return[j(t,l+(t[r]||"<?>")+(2===n?"</svg>":"")),a]};class N{constructor({strings:t,_$litType$:n},r){let a;this.parts=[];let s=0,d=0;const m=t.length-1,g=this.parts,[y,b]=V(t,n);if(this.el=N.createElement(y,r),$.currentNode=this.el.content,2===n){const t=this.el.content,n=t.firstChild;n.remove(),t.append(...n.childNodes)}for(;null!==(a=$.nextNode())&&g.length<m;){if(1===a.nodeType){if(a.hasAttributes()){const t=[];for(const n of a.getAttributeNames())if(n.endsWith(h)||n.startsWith(p)){const r=b[d++];if(t.push(n),void 0!==r){const t=a.getAttribute(r.toLowerCase()+h).split(p),n=/([.?@])?(.*)/.exec(r);g.push({type:1,index:s,name:n[2],strings:t,ctor:"."===n[1]?H:"?"===n[1]?L:"@"===n[1]?z:k})}else g.push({type:6,index:s})}for(const n of t)a.removeAttribute(n)}if(O.test(a.tagName)){const t=a.textContent.split(p),n=t.length-1;if(n>0){a.textContent=l?l.emptyScript:"";for(let r=0;r<n;r++)a.append(t[r],v()),$.nextNode(),g.push({type:2,index:++s});a.append(t[n],v())}}}else if(8===a.nodeType)if(a.data===f)g.push({type:2,index:s});else{let t=-1;for(;-1!==(t=a.data.indexOf(p,t+1));)g.push({type:7,index:s}),t+=p.length-1}s++}}static createElement(t,n){const r=g.createElement("template");return r.innerHTML=t,r}}function U(t,n,r=t,a){var s,l,d,h;if(n===D)return n;let p=void 0!==a?null===(s=r._$Co)||void 0===s?void 0:s[a]:r._$Cl;const f=y(n)?void 0:n._$litDirective$;return(null==p?void 0:p.constructor)!==f&&(null===(l=null==p?void 0:p._$AO)||void 0===l||l.call(p,!1),void 0===f?p=void 0:(p=new f(t),p._$AT(t,r,a)),void 0!==a?(null!==(d=(h=r)._$Co)&&void 0!==d?d:h._$Co=[])[a]=p:r._$Cl=p),void 0!==p&&(n=U(t,p._$AS(t,n.values),p,a)),n}class M{constructor(t,n){this._$AV=[],this._$AN=void 0,this._$AD=t,this._$AM=n}get parentNode(){return this._$AM.parentNode}get _$AU(){return this._$AM._$AU}u(t){var n;const{el:{content:r},parts:a}=this._$AD,s=(null!==(n=null==t?void 0:t.creationScope)&&void 0!==n?n:g).importNode(r,!0);$.currentNode=s;let l=$.nextNode(),d=0,h=0,p=a[0];for(;void 0!==p;){if(d===p.index){let n;2===p.type?n=new R(l,l.nextSibling,this,t):1===p.type?n=new p.ctor(l,p.name,p.strings,this,t):6===p.type&&(n=new Z(l,this,t)),this._$AV.push(n),p=a[++h]}d!==(null==p?void 0:p.index)&&(l=$.nextNode(),d++)}return $.currentNode=g,s}v(t){let n=0;for(const r of this._$AV)void 0!==r&&(void 0!==r.strings?(r._$AI(t,r,n),n+=r.strings.length-2):r._$AI(t[n])),n++}}class R{constructor(t,n,r,a){var s;this.type=2,this._$AH=F,this._$AN=void 0,this._$AA=t,this._$AB=n,this._$AM=r,this.options=a,this._$Cp=null===(s=null==a?void 0:a.isConnected)||void 0===s||s}get _$AU(){var t,n;return null!==(n=null===(t=this._$AM)||void 0===t?void 0:t._$AU)&&void 0!==n?n:this._$Cp}get parentNode(){let t=this._$AA.parentNode;const n=this._$AM;return void 0!==n&&11===(null==t?void 0:t.nodeType)&&(t=n.parentNode),t}get startNode(){return this._$AA}get endNode(){return this._$AB}_$AI(t,n=this){t=U(this,t,n),y(t)?t===F||null==t||""===t?(this._$AH!==F&&this._$AR(),this._$AH=F):t!==this._$AH&&t!==D&&this._(t):void 0!==t._$litType$?this.g(t):void 0!==t.nodeType?this.$(t):x(t)?this.T(t):this._(t)}k(t){return this._$AA.parentNode.insertBefore(t,this._$AB)}$(t){this._$AH!==t&&(this._$AR(),this._$AH=this.k(t))}_(t){this._$AH!==F&&y(this._$AH)?this._$AA.nextSibling.data=t:this.$(g.createTextNode(t)),this._$AH=t}g(t){var n;const{values:r,_$litType$:a}=t,s="number"==typeof a?this._$AC(t):(void 0===a.el&&(a.el=N.createElement(j(a.h,a.h[0]),this.options)),a);if((null===(n=this._$AH)||void 0===n?void 0:n._$AD)===s)this._$AH.v(r);else{const t=new M(s,this),n=t.u(this.options);t.v(r),this.$(n),this._$AH=t}}_$AC(t){let n=B.get(t.strings);return void 0===n&&B.set(t.strings,n=new N(t)),n}T(t){b(this._$AH)||(this._$AH=[],this._$AR());const n=this._$AH;let r,a=0;for(const s of t)a===n.length?n.push(r=new R(this.k(v()),this.k(v()),this,this.options)):r=n[a],r._$AI(s),a++;a<n.length&&(this._$AR(r&&r._$AB.nextSibling,a),n.length=a)}_$AR(t=this._$AA.nextSibling,n){var r;for(null===(r=this._$AP)||void 0===r||r.call(this,!1,!0,n);t&&t!==this._$AB;){const n=t.nextSibling;t.remove(),t=n}}setConnected(t){var n;void 0===this._$AM&&(this._$Cp=t,null===(n=this._$AP)||void 0===n||n.call(this,t))}}class k{constructor(t,n,r,a,s){this.type=1,this._$AH=F,this._$AN=void 0,this.element=t,this.name=n,this._$AM=a,this.options=s,r.length>2||""!==r[0]||""!==r[1]?(this._$AH=Array(r.length-1).fill(new String),this.strings=r):this._$AH=F}get tagName(){return this.element.tagName}get _$AU(){return this._$AM._$AU}_$AI(t,n=this,r,a){const s=this.strings;let l=!1;if(void 0===s)t=U(this,t,n,0),l=!y(t)||t!==this._$AH&&t!==D,l&&(this._$AH=t);else{const a=t;let d,h;for(t=s[0],d=0;d<s.length-1;d++)h=U(this,a[r+d],n,d),h===D&&(h=this._$AH[d]),l||(l=!y(h)||h!==this._$AH[d]),h===F?t=F:t!==F&&(t+=(null!=h?h:"")+s[d+1]),this._$AH[d]=h}l&&!a&&this.j(t)}j(t){t===F?this.element.removeAttribute(this.name):this.element.setAttribute(this.name,null!=t?t:"")}}class H extends k{constructor(){super(...arguments),this.type=3}j(t){this.element[this.name]=t===F?void 0:t}}const G=l?l.emptyScript:"";class L extends k{constructor(){super(...arguments),this.type=4}j(t){t&&t!==F?this.element.setAttribute(this.name,G):this.element.removeAttribute(this.name)}}class z extends k{constructor(t,n,r,a,s){super(t,n,r,a,s),this.type=5}_$AI(t,n=this){var r;if((t=null!==(r=U(this,t,n,0))&&void 0!==r?r:F)===D)return;const a=this._$AH,s=t===F&&a!==F||t.capture!==a.capture||t.once!==a.once||t.passive!==a.passive,l=t!==F&&(a===F||s);s&&this.element.removeEventListener(this.name,this,a),l&&this.element.addEventListener(this.name,this,t),this._$AH=t}handleEvent(t){var n,r;"function"==typeof this._$AH?this._$AH.call(null!==(r=null===(n=this.options)||void 0===n?void 0:n.host)&&void 0!==r?r:this.element,t):this._$AH.handleEvent(t)}}class Z{constructor(t,n,r){this.element=t,this.type=6,this._$AN=void 0,this._$AM=n,this.options=r}get _$AU(){return this._$AM._$AU}_$AI(t){U(this,t)}}const W={O:h,P:p,A:f,C:1,M:V,L:M,R:x,D:U,I:R,V:k,H:L,N:z,U:H,F:Z},q=s.litHtmlPolyfillSupport;null==q||q(N,R),(null!==(a=s.litHtmlVersions)&&void 0!==a?a:s.litHtmlVersions=[]).push("2.8.0");const X=(t,n,r)=>{var a,s;const l=null!==(a=null==r?void 0:r.renderBefore)&&void 0!==a?a:n;let d=l._$litPart$;if(void 0===d){const t=null!==(s=null==r?void 0:r.renderBefore)&&void 0!==s?s:null;l._$litPart$=d=new R(n.insertBefore(v(),t),t,void 0,null!=r?r:{})}return d._$AI(t),d}},5595:(t,n,r)=>{"use strict";r.d(n,{Mo:()=>a,hO:()=>f,Cb:()=>d,IO:()=>m,Kt:()=>g,vZ:()=>x,GC:()=>v,SB:()=>h});const a=t=>n=>"function"==typeof n?((t,n)=>(customElements.define(t,n),n))(t,n):((t,n)=>{const{kind:r,elements:a}=n;return{kind:r,elements:a,finisher(n){customElements.define(t,n)}}})(t,n),s=(t,n)=>"method"===n.kind&&n.descriptor&&!("value"in n.descriptor)?{...n,finisher(r){r.createProperty(n.key,t)}}:{kind:"field",key:Symbol(),placement:"own",descriptor:{},originalKey:n.key,initializer(){"function"==typeof n.initializer&&(this[n.key]=n.initializer.call(this))},finisher(r){r.createProperty(n.key,t)}},l=(t,n,r)=>{n.constructor.createProperty(r,t)};function d(t){return(n,r)=>void 0!==r?l(t,n,r):s(t,n)}function h(t){return d({...t,state:!0})}const p=({finisher:t,descriptor:n})=>(r,a)=>{var s;if(void 0===a){const a=null!==(s=r.originalKey)&&void 0!==s?s:r.key,l=null!=n?{kind:"method",placement:"prototype",key:a,descriptor:n(r.key)}:{...r,key:a};return null!=t&&(l.finisher=function(n){t(n,a)}),l}{const s=r.constructor;void 0!==n&&Object.defineProperty(r,a,n(a)),null==t||t(s,a)}};function f(t){return p({finisher:(n,r)=>{Object.assign(n.prototype[r],t)}})}function m(t,n){return p({descriptor:r=>{const a={get(){var n,r;return null!==(r=null===(n=this.renderRoot)||void 0===n?void 0:n.querySelector(t))&&void 0!==r?r:null},enumerable:!0,configurable:!0};if(n){const n="symbol"==typeof r?Symbol():"__"+r;a.get=function(){var r,a;return void 0===this[n]&&(this[n]=null!==(a=null===(r=this.renderRoot)||void 0===r?void 0:r.querySelector(t))&&void 0!==a?a:null),this[n]}}return a}})}function g(t){return p({descriptor:n=>({get(){var n,r;return null!==(r=null===(n=this.renderRoot)||void 0===n?void 0:n.querySelectorAll(t))&&void 0!==r?r:[]},enumerable:!0,configurable:!0})})}function v(t){return p({descriptor:n=>({async get(){var n;return await this.updateComplete,null===(n=this.renderRoot)||void 0===n?void 0:n.querySelector(t)},enumerable:!0,configurable:!0})})}var y;const b=null!=(null===(y=window.HTMLSlotElement)||void 0===y?void 0:y.prototype.assignedElements)?(t,n)=>t.assignedElements(n):(t,n)=>t.assignedNodes(n).filter((t=>t.nodeType===Node.ELEMENT_NODE));function x(t,n,r){let a,s=t;return"object"==typeof t?(s=t.slot,a=t):a={flatten:n},r?function(t){const{slot:n,selector:r}=null!=t?t:{};return p({descriptor:a=>({get(){var a;const s="slot"+(n?`[name=${n}]`:":not([name])"),l=null===(a=this.renderRoot)||void 0===a?void 0:a.querySelector(s),d=null!=l?b(l,t):[];return r?d.filter((t=>t.matches(r))):d},enumerable:!0,configurable:!0})})}({slot:s,flatten:n,selector:r}):p({descriptor:t=>({get(){var t,n;const r="slot"+(s?`[name=${s}]`:":not([name])"),l=null===(t=this.renderRoot)||void 0===t?void 0:t.querySelector(r);return null!==(n=null==l?void 0:l.assignedNodes(a))&&void 0!==n?n:[]},enumerable:!0,configurable:!0})})}},4772:(t,n,r)=>{"use strict";r.d(n,{hN:()=>a.hN});var a=r(4232)},9455:(t,n,r)=>{"use strict";r.d(n,{$:()=>l});var a=r(3692),s=r(875);const l=(0,s.XM)(class extends s.Xe{constructor(t){var n;if(super(t),t.type!==s.pX.ATTRIBUTE||"class"!==t.name||(null===(n=t.strings)||void 0===n?void 0:n.length)>2)throw Error("`classMap()` can only be used in the `class` attribute and must be the only part in the attribute.")}render(t){return" "+Object.keys(t).filter((n=>t[n])).join(" ")+" "}update(t,[n]){var r,s;if(void 0===this.it){this.it=new Set,void 0!==t.strings&&(this.nt=new Set(t.strings.join(" ").split(/\s/).filter((t=>""!==t))));for(const t in n)n[t]&&!(null===(r=this.nt)||void 0===r?void 0:r.has(t))&&this.it.add(t);return this.render(n)}const l=t.element.classList;this.it.forEach((t=>{t in n||(l.remove(t),this.it.delete(t))}));for(const t in n){const r=!!n[t];r===this.it.has(t)||(null===(s=this.nt)||void 0===s?void 0:s.has(t))||(r?(l.add(t),this.it.add(t)):(l.remove(t),this.it.delete(t)))}return a.Jb}})},796:(t,n,r)=>{"use strict";r.d(n,{o:()=>s});var a=r(3692);const s=t=>null!=t?t:a.Ld},3959:(t,n,r)=>{"use strict";r.d(n,{V:()=>h});var a=r(3692),s=r(875);const l="important",d=" !"+l,h=(0,s.XM)(class extends s.Xe{constructor(t){var n;if(super(t),t.type!==s.pX.ATTRIBUTE||"style"!==t.name||(null===(n=t.strings)||void 0===n?void 0:n.length)>2)throw Error("The `styleMap` directive must be used in the `style` attribute and must be the only part in the attribute.")}render(t){return Object.keys(t).reduce(((n,r)=>{const a=t[r];return null==a?n:n+`${r=r.includes("-")?r:r.replace(/(?:^(webkit|moz|ms|o)|)(?=[A-Z])/g,"-$&").toLowerCase()}:${a};`}),"")}update(t,[n]){const{style:r}=t.element;if(void 0===this.ht){this.ht=new Set;for(const t in n)this.ht.add(t);return this.render(n)}this.ht.forEach((t=>{null==n[t]&&(this.ht.delete(t),t.includes("-")?r.removeProperty(t):r[t]="")}));for(const t in n){const a=n[t];if(null!=a){this.ht.add(t);const n="string"==typeof a&&a.endsWith(d);t.includes("-")||n?r.setProperty(t,n?a.slice(0,-11):a,n?l:""):r[t]=a}}return a.Jb}})},9392:(t,n,r)=>{"use strict";r.d(n,{oi:()=>lit_element_s,iv:()=>h,dy:()=>E.dy});const a=window,s=a.ShadowRoot&&(void 0===a.ShadyCSS||a.ShadyCSS.nativeShadow)&&"adoptedStyleSheets"in Document.prototype&&"replace"in CSSStyleSheet.prototype,l=Symbol(),d=new WeakMap;class o{constructor(t,n,r){if(this._$cssResult$=!0,r!==l)throw Error("CSSResult is not constructable. Use `unsafeCSS` or `css` instead.");this.cssText=t,this.t=n}get styleSheet(){let t=this.o;const n=this.t;if(s&&void 0===t){const r=void 0!==n&&1===n.length;r&&(t=d.get(n)),void 0===t&&((this.o=t=new CSSStyleSheet).replaceSync(this.cssText),r&&d.set(n,t))}return t}toString(){return this.cssText}}const h=(t,...n)=>{const r=1===t.length?t[0]:n.reduce(((n,r,a)=>n+(t=>{if(!0===t._$cssResult$)return t.cssText;if("number"==typeof t)return t;throw Error("Value passed to 'css' function must be a 'css' function result: "+t+". Use 'unsafeCSS' to pass non-literal values, but take care to ensure page security.")})(r)+t[a+1]),t[0]);return new o(r,t,l)},p=s?t=>t:t=>t instanceof CSSStyleSheet?(t=>{let n="";for(const r of t.cssRules)n+=r.cssText;return(t=>new o("string"==typeof t?t:t+"",void 0,l))(n)})(t):t;var f;const m=window,g=m.trustedTypes,v=g?g.emptyScript:"",y=m.reactiveElementPolyfillSupport,b={toAttribute(t,n){switch(n){case Boolean:t=t?v:null;break;case Object:case Array:t=null==t?t:JSON.stringify(t)}return t},fromAttribute(t,n){let r=t;switch(n){case Boolean:r=null!==t;break;case Number:r=null===t?null:Number(t);break;case Object:case Array:try{r=JSON.parse(t)}catch(t){r=null}}return r}},x=(t,n)=>n!==t&&(n==n||t==t),w={attribute:!0,type:String,converter:b,reflect:!1,hasChanged:x},S="finalized";class u extends HTMLElement{constructor(){super(),this._$Ei=new Map,this.isUpdatePending=!1,this.hasUpdated=!1,this._$El=null,this._$Eu()}static addInitializer(t){var n;this.finalize(),(null!==(n=this.h)&&void 0!==n?n:this.h=[]).push(t)}static get observedAttributes(){this.finalize();const t=[];return this.elementProperties.forEach(((n,r)=>{const a=this._$Ep(r,n);void 0!==a&&(this._$Ev.set(a,r),t.push(a))})),t}static createProperty(t,n=w){if(n.state&&(n.attribute=!1),this.finalize(),this.elementProperties.set(t,n),!n.noAccessor&&!this.prototype.hasOwnProperty(t)){const r="symbol"==typeof t?Symbol():"__"+t,a=this.getPropertyDescriptor(t,r,n);void 0!==a&&Object.defineProperty(this.prototype,t,a)}}static getPropertyDescriptor(t,n,r){return{get(){return this[n]},set(a){const s=this[t];this[n]=a,this.requestUpdate(t,s,r)},configurable:!0,enumerable:!0}}static getPropertyOptions(t){return this.elementProperties.get(t)||w}static finalize(){if(this.hasOwnProperty(S))return!1;this[S]=!0;const t=Object.getPrototypeOf(this);if(t.finalize(),void 0!==t.h&&(this.h=[...t.h]),this.elementProperties=new Map(t.elementProperties),this._$Ev=new Map,this.hasOwnProperty("properties")){const t=this.properties,n=[...Object.getOwnPropertyNames(t),...Object.getOwnPropertySymbols(t)];for(const r of n)this.createProperty(r,t[r])}return this.elementStyles=this.finalizeStyles(this.styles),!0}static finalizeStyles(t){const n=[];if(Array.isArray(t)){const r=new Set(t.flat(1/0).reverse());for(const t of r)n.unshift(p(t))}else void 0!==t&&n.push(p(t));return n}static _$Ep(t,n){const r=n.attribute;return!1===r?void 0:"string"==typeof r?r:"string"==typeof t?t.toLowerCase():void 0}_$Eu(){var t;this._$E_=new Promise((t=>this.enableUpdating=t)),this._$AL=new Map,this._$Eg(),this.requestUpdate(),null===(t=this.constructor.h)||void 0===t||t.forEach((t=>t(this)))}addController(t){var n,r;(null!==(n=this._$ES)&&void 0!==n?n:this._$ES=[]).push(t),void 0!==this.renderRoot&&this.isConnected&&(null===(r=t.hostConnected)||void 0===r||r.call(t))}removeController(t){var n;null===(n=this._$ES)||void 0===n||n.splice(this._$ES.indexOf(t)>>>0,1)}_$Eg(){this.constructor.elementProperties.forEach(((t,n)=>{this.hasOwnProperty(n)&&(this._$Ei.set(n,this[n]),delete this[n])}))}createRenderRoot(){var t;const n=null!==(t=this.shadowRoot)&&void 0!==t?t:this.attachShadow(this.constructor.shadowRootOptions);return((t,n)=>{s?t.adoptedStyleSheets=n.map((t=>t instanceof CSSStyleSheet?t:t.styleSheet)):n.forEach((n=>{const r=document.createElement("style"),s=a.litNonce;void 0!==s&&r.setAttribute("nonce",s),r.textContent=n.cssText,t.appendChild(r)}))})(n,this.constructor.elementStyles),n}connectedCallback(){var t;void 0===this.renderRoot&&(this.renderRoot=this.createRenderRoot()),this.enableUpdating(!0),null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostConnected)||void 0===n?void 0:n.call(t)}))}enableUpdating(t){}disconnectedCallback(){var t;null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostDisconnected)||void 0===n?void 0:n.call(t)}))}attributeChangedCallback(t,n,r){this._$AK(t,r)}_$EO(t,n,r=w){var a;const s=this.constructor._$Ep(t,r);if(void 0!==s&&!0===r.reflect){const l=(void 0!==(null===(a=r.converter)||void 0===a?void 0:a.toAttribute)?r.converter:b).toAttribute(n,r.type);this._$El=t,null==l?this.removeAttribute(s):this.setAttribute(s,l),this._$El=null}}_$AK(t,n){var r;const a=this.constructor,s=a._$Ev.get(t);if(void 0!==s&&this._$El!==s){const t=a.getPropertyOptions(s),l="function"==typeof t.converter?{fromAttribute:t.converter}:void 0!==(null===(r=t.converter)||void 0===r?void 0:r.fromAttribute)?t.converter:b;this._$El=s,this[s]=l.fromAttribute(n,t.type),this._$El=null}}requestUpdate(t,n,r){let a=!0;void 0!==t&&(((r=r||this.constructor.getPropertyOptions(t)).hasChanged||x)(this[t],n)?(this._$AL.has(t)||this._$AL.set(t,n),!0===r.reflect&&this._$El!==t&&(void 0===this._$EC&&(this._$EC=new Map),this._$EC.set(t,r))):a=!1),!this.isUpdatePending&&a&&(this._$E_=this._$Ej())}async _$Ej(){this.isUpdatePending=!0;try{await this._$E_}catch(t){Promise.reject(t)}const t=this.scheduleUpdate();return null!=t&&await t,!this.isUpdatePending}scheduleUpdate(){return this.performUpdate()}performUpdate(){var t;if(!this.isUpdatePending)return;this.hasUpdated,this._$Ei&&(this._$Ei.forEach(((t,n)=>this[n]=t)),this._$Ei=void 0);let n=!1;const r=this._$AL;try{n=this.shouldUpdate(r),n?(this.willUpdate(r),null===(t=this._$ES)||void 0===t||t.forEach((t=>{var n;return null===(n=t.hostUpdate)||void 0===n?void 0:n.call(t)})),this.update(r)):this._$Ek()}catch(t){throw n=!1,this._$Ek(),t}n&&this._$AE(r)}willUpdate(t){}_$AE(t){var n;null===(n=this._$ES)||void 0===n||n.forEach((t=>{var n;return null===(n=t.hostUpdated)||void 0===n?void 0:n.call(t)})),this.hasUpdated||(this.hasUpdated=!0,this.firstUpdated(t)),this.updated(t)}_$Ek(){this._$AL=new Map,this.isUpdatePending=!1}get updateComplete(){return this.getUpdateComplete()}getUpdateComplete(){return this._$E_}shouldUpdate(t){return!0}update(t){void 0!==this._$EC&&(this._$EC.forEach(((t,n)=>this._$EO(n,this[n],t))),this._$EC=void 0),this._$Ek()}updated(t){}firstUpdated(t){}}u[S]=!0,u.elementProperties=new Map,u.elementStyles=[],u.shadowRootOptions={mode:"open"},null==y||y({ReactiveElement:u}),(null!==(f=m.reactiveElementVersions)&&void 0!==f?f:m.reactiveElementVersions=[]).push("1.6.3");var _,T,E=r(3692);class lit_element_s extends u{constructor(){super(...arguments),this.renderOptions={host:this},this._$Do=void 0}createRenderRoot(){var t,n;const r=super.createRenderRoot();return null!==(t=(n=this.renderOptions).renderBefore)&&void 0!==t||(n.renderBefore=r.firstChild),r}update(t){const n=this.render();this.hasUpdated||(this.renderOptions.isConnected=this.isConnected),super.update(t),this._$Do=(0,E.sY)(n,this.renderRoot,this.renderOptions)}connectedCallback(){var t;super.connectedCallback(),null===(t=this._$Do)||void 0===t||t.setConnected(!0)}disconnectedCallback(){var t;super.disconnectedCallback(),null===(t=this._$Do)||void 0===t||t.setConnected(!1)}render(){return E.Jb}}lit_element_s.finalized=!0,lit_element_s._$litElement$=!0,null===(_=globalThis.litElementHydrateSupport)||void 0===_||_.call(globalThis,{LitElement:lit_element_s});const C=globalThis.litElementPolyfillSupport;null==C||C({LitElement:lit_element_s});(null!==(T=globalThis.litElementVersions)&&void 0!==T?T:globalThis.litElementVersions=[]).push("3.3.3")},7582:(t,n,r)=>{"use strict";r.d(n,{CR:()=>m,XA:()=>f,ZT:()=>s,ev:()=>g,gn:()=>d,mG:()=>p,pi:()=>l,w6:()=>h});var a=function(t,n){return a=Object.setPrototypeOf||{__proto__:[]}instanceof Array&&function(t,n){t.__proto__=n}||function(t,n){for(var r in n)Object.prototype.hasOwnProperty.call(n,r)&&(t[r]=n[r])},a(t,n)};function s(t,n){if("function"!=typeof n&&null!==n)throw new TypeError("Class extends value "+String(n)+" is not a constructor or null");function r(){this.constructor=t}a(t,n),t.prototype=null===n?Object.create(n):(r.prototype=n.prototype,new r)}var l=function(){return l=Object.assign||function(t){for(var n,r=1,a=arguments.length;r<a;r++)for(var s in n=arguments[r])Object.prototype.hasOwnProperty.call(n,s)&&(t[s]=n[s]);return t},l.apply(this,arguments)};function d(t,n,r,a){var s,l=arguments.length,d=l<3?n:null===a?a=Object.getOwnPropertyDescriptor(n,r):a;if("object"==typeof Reflect&&"function"==typeof Reflect.decorate)d=Reflect.decorate(t,n,r,a);else for(var h=t.length-1;h>=0;h--)(s=t[h])&&(d=(l<3?s(d):l>3?s(n,r,d):s(n,r))||d);return l>3&&d&&Object.defineProperty(n,r,d),d}function h(t,n){if("object"==typeof Reflect&&"function"==typeof Reflect.metadata)return Reflect.metadata(t,n)}function p(t,n,r,a){return new(r||(r=Promise))((function(s,l){function d(t){try{p(a.next(t))}catch(t){l(t)}}function h(t){try{p(a.throw(t))}catch(t){l(t)}}function p(t){var n;t.done?s(t.value):(n=t.value,n instanceof r?n:new r((function(t){t(n)}))).then(d,h)}p((a=a.apply(t,n||[])).next())}))}Object.create;function f(t){var n="function"==typeof Symbol&&Symbol.iterator,r=n&&t[n],a=0;if(r)return r.call(t);if(t&&"number"==typeof t.length)return{next:function(){return t&&a>=t.length&&(t=void 0),{value:t&&t[a++],done:!t}}};throw new TypeError(n?"Object is not iterable.":"Symbol.iterator is not defined.")}function m(t,n){var r="function"==typeof Symbol&&t[Symbol.iterator];if(!r)return t;var a,s,l=r.call(t),d=[];try{for(;(void 0===n||n-- >0)&&!(a=l.next()).done;)d.push(a.value)}catch(t){s={error:t}}finally{try{a&&!a.done&&(r=l.return)&&r.call(l)}finally{if(s)throw s.error}}return d}function g(t,n,r){if(r||2===arguments.length)for(var a,s=0,l=n.length;s<l;s++)!a&&s in n||(a||(a=Array.prototype.slice.call(n,0,s)),a[s]=n[s]);return t.concat(a||Array.prototype.slice.call(n))}Object.create;"function"==typeof SuppressedError&&SuppressedError}},n={};function r(a){var s=n[a];if(void 0!==s)return s.exports;var l=n[a]={id:a,loaded:!1,exports:{}};return t[a].call(l.exports,l,l.exports,r),l.loaded=!0,l.exports}r.amdD=function(){throw new Error("define cannot be used indirect")},r.amdO={},r.n=t=>{var n=t&&t.__esModule?()=>t.default:()=>t;return r.d(n,{a:n}),n},r.d=(t,n)=>{for(var a in n)r.o(n,a)&&!r.o(t,a)&&Object.defineProperty(t,a,{enumerable:!0,get:n[a]})},r.g=function(){if("object"==typeof globalThis)return globalThis;try{return this||new Function("return this")()}catch(t){if("object"==typeof window)return window}}(),r.o=(t,n)=>Object.prototype.hasOwnProperty.call(t,n),r.r=t=>{"undefined"!=typeof Symbol&&Symbol.toStringTag&&Object.defineProperty(t,Symbol.toStringTag,{value:"Module"}),Object.defineProperty(t,"__esModule",{value:!0})},r.nmd=t=>(t.paths=[],t.children||(t.children=[]),t),r(4064),r(8596),r(8384),r(3506),r(2683),r(482),r(9594),r(2345),r(9604),r(5450),r(6265),r(2947),r(4987),r(6299),r(2396),r(9956),r(7146),r(4494),r(5197),r(4600),r(6957),r(5689),r(6196),r(3539),r(1800),r(940),r(4759),r(5192),r(6353),r(8684),r(2637),r(277),r(5681),r(5950),r(2613),r(4869),r(1774),r(6645),r(4567),r(6278),r(4424),r(3514),r(8286),r(6070),r(9845),r(9537),r(5806),r(4262),r(5254),r(125),r(4915),r(7098),r(7095),r(2133),r(6554),r(2570),r(6326),r(3072),r(9791),r(552),r(2186),r(6284),r(2981),r(8233),r(4208),r(5309),r(593),r(3732),r(6402),r(3241),r(4016),r(8e3),r(407),r(3227),r(5909),r(8565),r(5887),r(696),r(4479),r(7376),r(7965),r(5587),r(7190),r(3930),r(1165),r(9929),r(9410),r(4624),r(437),r(4725),r(9705);r(2525)})();
//# sourceMappingURL=main.js.map